///////////////////////////////////////////////////////////////////
//				White Dwarfs with brown companions		         //
///         Catalogue from Professor Wm. Robert Johnston         //
//   http://www.johnstonsarchive.net/astro/browndwarflist.html   //
//                     Updated December 2015 					 //
//						PART 1	(33 Systems)    			     //
///////////////////////////////////////////////////////////////////
//  Added short names for long names based in Julian coordinates //
//			    Unconfirmed browns also commented                //
///////////////////////////////////////////////////////////////////

// Star solver log level:
// 0 - do not log
// 1 - log errors and warnings only
// 2 - log everything
LogLevel    1

//WITH BROWN DWARF COMPANIONS

StarBarycenter "SDSS 00390-00300"
{
	RA   0 39  2.5
    Dec -0.5
	Dist 390
}

StarBarycenter "SDSS 01353+14455"
{
	RA   1 35 33.0
	Dec  +14 45 56
	Dist 71
}

StarBarycenter "HK Cet"
{
	RA   1 47 21.8
	Dec  -21 56 51
	Dist 39
}

RemoveStar     "HIP 11028"
StarBarycenter "HD 14651"
{
	RA   2 22  0.9
	Dec  +04 44 48
	Dist 40.57
}

RemoveStar     "HIP 12110"
StarBarycenter "GJ 1048"
{
	RA   2 35 59.9
	Dec  -23 31 21
	Dist 21.26
}

RemoveStar     "HIP 14501"
StarBarycenter "HD 19467"
{
	RA   3  7 18.6
	Dec  -13 45 42
	Dist 30.86
}

RemoveStar     "HIP 14568"
StarBarycenter "AE For"
{
	RA   3  8  6.7
	Dec  -24 45 35
	Dist 31.45
}

StarBarycenter "2MASSW 03105+16481"
{
	RA   3 10 59.9
	Dec  +16 48 16
	Dist 19
}

StarBarycenter "SBC9 3013"
{
	RA   3 20 28.4
	Dec  -04 46 36
	Dist 25
}

StarBarycenter "2MASSW 03370-17580"
{
	RA   3 37  3.6
	Dec  -17 58  8
	Dist 28.5
}

StarBarycenter "2MASS 03423+12162"
{
	RA   3 42 31.8
	Dec  +12 16 23
	Dist 15
}

StarBarycenter "2MASS 03453+24524"
{
	RA   3 45 31.3
	Dec  +24 52 48
	Dist 136.2
}

StarBarycenter "2MASS 03454+25402"
{
	RA   3 45 43.2
	Dec  +25 40 23
	Dist 26.95
}

StarBarycenter "IPMBD 25"
{
	RA   3 46 26.1
	Dec  +24  5 10
	Dist 136.2
}

StarBarycenter "HD 23514"
{
	RA   3 46 38.4
	Dec  +22 55 11
	Dist 136.2
}

StarBarycenter "PPl 15"
{
	RA   3 48  4.7
	Dec  +23 39 30
	Dist 136.2
}

StarBarycenter "CFHT-Pl-12"
{
	RA   3 53 55.1
	Dec  +23 23 36
	Dist 137.2
}

StarBarycenter "2MASS 03552+11334"
{
	RA   3 55 23.4
	Dec  +11 33 44
	Dist 9.12
}

StarBarycenter "2MASS 04080+28072"
{
	RA   4  8  7.8
	Dec  +28  7 28
	Dist 140
}

StarBarycenter "V1312 Tau"
{
	RA   4 17 38.9
	Dec  +28 33  1
	Dist 140
}

StarBarycenter "LP 415-20"
{
	RA   4 21 49.0
	Dec  +19 29 10
	Dist 21
}

StarBarycenter "SDSS 09075+05364"
{
	RA   9  7 59.6
	Dec  +05 36 50
	Dist 360
}

StarBarycenter "SDSS 10025+09395"
{
	RA   10  2 59.9
	Dec  +09 39 50
	Dist 540
}


StarBarycenter "SDSS 10344+00520"
{
	RA   10 34 48.9
	Dec  +00 52  1
	Dist 200
}

StarBarycenter "V379 Vir"
{
	RA   12 12  9.3
	Dec  +01 36 28
	Dist 150
}

StarBarycenter "WD 1234+481"
{
	RA   12 36 45.2
	Dec  +47 55 22
	Dist 158.73
}

StarBarycenter "WD 1317+021"
{
	RA   13 19 55.0
	Dec  +01 52 60
	Dist 290
}

StarBarycenter "GD 165"
{
	RA   14 24 39.1
	Dec  +09 17 10
	Dist 31.55
}

StarBarycenter "SDSS 15443+06010"
{
	RA   15 44 31.5
	Dec  +06  1  4
	Dist 90
}

StarBarycenter "LSR 1610-0040"
{
	RA   16 10 29.0
    Dec -0.681389
	Dist 30.21
}

StarBarycenter "SIMP 16192+03135"
{
	RA   16 19 27.5
	Dec  +03 13 51
	Dist 22
}

RemoveStar     "HIP 80053"
StarBarycenter "GJ 618.1"
{
	RA   16 20 26.1
	Dec  -04 16 32
	Dist 30.33
}

StarBarycenter "ISO-Oph 178"
{
	RA   16 27 49.8
	Dec  -24 25 22
	Dist 125
}










