//////////////////////////////////////////////////////////////////
//						Isolated brown dwarfs					//
///         Catalogue from Professor Wm. Robert Johnston        //
//   http://www.johnstonsarchive.net/astro/browndwarflist.html  //
//                     Version December 2015                    //
//						Revised 3 March 2016					//
//////////////////////////////////////////////////////////////////
// Added short names for long names based in Julian coordinates //
//			    Unconfirmed browns also commented               //
//////////////////////////////////////////////////////////////////

// Star solver log level:
// 0 - do not log
// 1 - log errors and warnings only
// 2 - log everything
LogLevel    0

///BROWNS WITH KNOWN DISTANCE//

Star "VLMC 89"
{
    RA        0  0  5.9
    Dec       -30 20 18
    Dist      207.00
    AppMagnI  21.97
    AppMagnJ  18.63
    MassSol   0.03325875
}

Star "VLMC 65"
{
    RA        0  0  7.3
    Dec       -29 54 27
    Dist      207.00
    AppMagnI  20.58
    AppMagnJ  17.75
    MassSol   0.03801
}

Star "VLMC 50"           //Unconfirmed
{
    RA        0  0  9.9
    Dec       -30  1 59
    Dist      207.00
    AppMagnI  19.61
    AppMagnJ  17.23
    MassSol   0.06176625
}

Star "SDSS 00001+25541/SDSS J000013.54+255418.6/2MASS J00001354+2554180"
{
    RA        0  0 13.5
    Dec       +25 54 19
    Dist      14.12
    Class     "T4.5 V"
    AppMagnJ  15.06
    AppMagnH  14.73
    AppMagnKs 14.84
}

Star "DENIS-P 00002?12451/DENIS-P J0000286?124514/2MASS J00002867-1245153"
{
    RA        0  0 28.7
    Dec       -12 45 15
    Dist      19.20
    Class     "M9.5 V"
    AppMagnR  18.73
    AppMagnI  16.16
    AppMagnJ  13.2
    AppMagnH  12.45
    AppMagnK  11.97
}

Star "VLMC 83"
{
    RA        0  0 34.8
    Dec       -30  2 51
    Dist      207.00
    AppMagnI  21.8
    AppMagnJ  18.45
    MassSol   0.03325875
}

Star "SDSS 00011+15353/SDSS J000112.18+153535.5/2MASS J00011217+1535355"
{
    RA        0  1 12.2
    Dec       +15 35 36
    Dist      29.00
    Class     "L4 V"
    AppMagnJ  15.52
    AppMagnH  14.51
    AppMagnKs 13.71
}

Star "VLMC 114"
{
    RA        0  2  5.7
    Dec       -30  1 24
    Dist      207.00
    AppMagnI  22.66
    AppMagnJ  19.08
    MassSol   0.0285075
}

Star "VLMC 55"           //Unconfirmed
{
    RA        0  2 15.1
    Dec       -30  9 53
    Dist      207.00
    AppMagnI  19.84
    AppMagnJ  17.24
    MassSol   0.0475125
}

Star "VLMC 53"           //Unconfirmed
{
    RA        0  2 16.1
    Dec       -30 18 41
    Dist      207.00
    AppMagnI  19.81
    AppMagnJ  17.03
    MassSol   0.0475125
}

Star "SDSS 00025+24541/SDSS J000250.98+245413.8/2MASS J00025097+2454141"
{
    RA        0  2 51.0
    Dec       +24 54 14
    Dist      50.30
    Class     "L5.5 V"
    AppMagnJ  17.17
    AppMagnH  16.06
    AppMagnKs 15.66
}

Star "VLMC 85"
{
    RA        0  3  6.6
    Dec       -30 29 54
    Dist      207.00
    AppMagnI  22
    AppMagnJ  18.62
    MassSol   0.03325875
}

Star "bl84053-20433"
{
    RA        0  3 17.9
    Dec       -30 11 41
    Dist      207.00
    AppMagnI  21.66
    AppMagnJ  18.38
    MassSol   0.03325875
}

Star "VLMC 60"           //Unconfirmed
{
    RA        0  3 40.2
    Dec       -30  3 41
    Dist      207.00
    AppMagnI  20.48
    AppMagnJ  17.65
    MassSol   0.0475125
}

Star "VLMC 74"
{
    RA        0  3 43.8
    Dec       -30  4  2
    Dist      207.00
    AppMagnI  21.4
    AppMagnJ  18.2
    MassSol   0.03801
}

Star "bl56159-35803"
{
    RA        0  3 50.9
    Dec       -30  1 58
    Dist      207.00
    AppMagnI  22.33
    AppMagnJ  18.86
    MassSol   0.03325875
}

Star "2MASS 00040-64103/2MASS J000402.88-6410358/2MASS J00040288-6410358"
{
    RA        0  4  2.9
    Dec       -64 10 36
    Dist      58.00
    Class     "L1 V"
    AppMagnJ  15.79
    AppMagnH  14.83
    AppMagnKs 14.01
    AppMagnW1 13.37
    AppMagnW2 12.94
    AppMagnW3 12.18
}

Star "VLMC 51"           //Unconfirmed
{
    RA        0  4  7.6
    Dec       -29 59 19
    Dist      207.00
    AppMagnI  19.81
    AppMagnJ  17.21
    MassSol   0.0475125
}

Star "VLMC 82"
{
    RA        0  4 42.0
    Dec       -30  4 34
    Dist      207.00
    AppMagnI  21.7
    AppMagnJ  18.43
    MassSol   0.03325875
}

Star "VLMC 93"
{
    RA        0  4 57.7
    Dec       -30 14  2
    Dist      207.00
    AppMagnI  22.19
    AppMagnJ  18.82
    MassSol   0.03325875
}

Star "VLMC 67"
{
    RA        0  5  5.2
    Dec       -29 49 56
    Dist      207.00
    AppMagnI  20.94
    AppMagnJ  18.04
    MassSol   0.03801
}

Star "WISEP 00051+37372/WISEP J000517.48+373720.5"
{
    RA        0  5 17.5
    Dec       +37 37 21
    Dist      7.10
    Class     "T9 V"
    AppMagnJ  18.33
    AppMagnH  18.1
    AppMagnW1 16.88
    AppMagnW2 13.27
    AppMagnW3 11.99
    Teff      525
}

Star "VLMC 70"
{
    RA        0  5 45.8
    Dec       -30  3 46
    Dist      207.00
    AppMagnI  21.22
    AppMagnJ  18.14
    MassSol   0.03801
}

Star "bl76187-40858"           //Unconfirmed
{
    RA        0  6  8.5
    Dec       -30 25 42
    Dist      207.00
    AppMagnI  19.77
    AppMagnJ  17.48
    MassSol   0.06176625
}

Star "VLMC 72"
{
    RA        0  6  9.0
    Dec       -29 44 25
    Dist      207.00
    AppMagnI  21.28
    AppMagnJ  18.22
    MassSol   0.03801
}

Star "2MASSI 00062-17205/2MASSI J0006205-172051/2MASS J00062050-1720506"
{
    RA        0  6 20.5
    Dec       -17 20 51
    Dist      43.00
    Class     "L2.5 V"
    AppMagnJ  15.66
    AppMagnH  14.65
    AppMagnKs 14.01
}

Star "VLMC 75"
{
    RA        0  6 29.3
    Dec       -30 20 34
    Dist      207.00
    AppMagnI  21.32
    AppMagnJ  18.45
    MassSol   0.03801
}

Star "SDSS 00063+14060/SDSS J000632.60+140606.2/2MASS J00063258+1406064"
{
    RA        0  6 32.6
    Dec       +14  6  6
    Dist      63.00
    Class     "L0 V"
    AppMagnr  22.3
    AppMagni  19.83
    AppMagnJ  15.85
    AppMagnH  15.3
    AppMagnKs 15.06
}

Star "VLMC 118"
{
    RA        0  6 32.6
    Dec       -29 46  6
    Dist      207.00
    AppMagnI  22.78
    AppMagnJ  19.11
    MassSol   0.02755725
}

Star "VLMC 63"
{
    RA        0  6 49.4
    Dec       -29 40 41
    Dist      207.00
    AppMagnI  20.7
    AppMagnJ  17.8
    MassSol   0.03801
}

Star "DENIS-P 00065?64365/DENIS-P J0006579?643654/2MASS J00065794-6436542"
{
    RA        0  6 57.9
    Dec       -64 36 54
    Dist      20.90
    Class     "L0 V"
    AppMagnI  16.71
    AppMagnJ  13.39
    AppMagnH  12.66
    AppMagnK  12.17
}

Star "VLMC 57"           //Unconfirmed
{
    RA        0  7 22.8
    Dec       -30  1 57
    Dist      207.00
    AppMagnI  20.14
    AppMagnJ  17.62
    MassSol   0.0475125
}

Star "VLMC 54"           //Unconfirmed
{
    RA        0  7 41.5
    Dec       -29 56 20
    Dist      207.00
    AppMagnI  19.97
    AppMagnJ  16.99
    MassSol   0.0475125
}

Star "WISEPC 00084-17392/WISEPC J000849.76-173922.6"
{
    RA        0  8 49.8
    Dec       -17 39 23
    Dist      26.70
    Class     "T6 V"
    AppMagnJ  17.03
    AppMagnH  17.77
    AppMagnKs 17.00
    AppMagnW1 16.59
    AppMagnW2 14.54
    AppMagnW3 12.24
    Teff      975
}

Star "2MASS 00100-20311/2MASS J00100009-2031122"
{
    RA        0 10  0.1
    Dec       -20 31 12
    Dist      30.00
    Class     "L0 V"
    AppMagnJ  14.13
    AppMagnH  13.37
    AppMagnKs 12.88
}

Star "2MASSI 00135-22352/2MASSI J0013578-223520/2MASS J00135779-2235200"
{
    RA        0 13 57.8
    Dec       -22 35 20
    Dist      35.00
    Class     "L4 V"
    AppMagnJ  15.78
    AppMagnH  14.6
    AppMagnKs 14.04
}

Star "DENIS-P 00145?48441/DENIS-P J0014554?484417/2MASS J00145575-4844171"
{
    RA        0 14 55.8
    Dec       -48 44 17
    Dist      21.00
    Class     "L2.5 V"
    AppMagnI  17.54
    AppMagnJ  14.05
    AppMagnH  13.11
    AppMagnKs 12.72
    AppMagnK  12.58
    AppMagnW1 12.24
    AppMagnW2 11.99
    AppMagnW3 11.45
}

Star "WISE 00150-46151/WISE J001505.87-461517.6"
{
    RA        0 15  5.9
    Dec       -46 15 18
    Dist      14.90
    Class     "T8 V"
    AppMagnW1 17.02
    AppMagnW2 14.25
    Teff      675
}

Star "2MASSW 00154+35160/2MASSW J0015447+351603/2MASS J00154476+3516026"
{
    RA        0 15 44.8
    Dec       +35 16  3
    Dist      21.00
    Class     "L2 V"
    AppMagnJ  13.88
    AppMagnH  12.89
    AppMagnKs 12.26
    AppMagnW1 11.79
    AppMagnW2 11.54
    AppMagnW3 10.91
    Teff      2200
}

Star "SDSS 00160-00430/SDSS J001608.44-004302.3/2MASS J00160844-0043021"
{
    RA        0 16  8.4
    Dec      -0.717222
    Dist      28.00
    Class     "L5.5 V"
    AppMagnJ  16.33
    AppMagnH  15.23
    AppMagnKs 14.54
}

Star "SDSS 00163-10391/SDSS J001637.61-103911.1/2MASS J00163762-1039106"
{
    RA        0 16 37.6
    Dec       -10 39 11
    Dist      32.90
    Class     "L0 V"
    AppMagnr  22.66
    AppMagni  19.74
    AppMagnJ  15.46
    AppMagnH  14.78
    AppMagnKs 14.53
}

Star "2MASS 00165-40565/2MASS J00165953-4056541"
{
    RA        0 16 59.5
    Dec       -40 56 54
    Dist      31.00
    Class     "L3.5 V"
    AppMagnJ  15.32
    AppMagnH  14.21
    AppMagnKs 13.43
}

Star "2MASS 00184-63561/2MASS J00184613-6356122"
{
    RA        0 18 46.1
    Dec       -63 56 12
    Dist      36.00
    Class     "L2 V"
    AppMagnJ  15.22
    AppMagnH  14.23
    AppMagnKs 13.61
}

Star "SDSS 00191+00301/SDSS J001911.65+003017.8/2MASS J00191165+0030176"
{
    RA        0 19 11.7
    Dec       +00 30 18
    Dist      38.00
    Class     "L1 V"
    AppMagnr  21.95
    AppMagni  19.42
    AppMagnI  18.4
    AppMagnJ  14.92
    AppMagnH  14.18
    AppMagnKs 13.57
}

Star "2MASS 00192+46140/2MASS J00192626+4614078"
{
    RA        0 19 26.3
    Dec       +46 14  8
    Dist      19.50
    Class     "M8 V"
    AppMagn   20
    AppMagnJ  12.6
    AppMagnH  11.94
    AppMagnKs 11.5
    AppMagnK  11.5
    Teff      2600
    MassSol   0.06176625
}

Star "2MASS 00194+52131/2MASS J00194579+5213179"           //Unconfirmed
{
    RA        0 19 45.8
    Dec       +52 13 18
    Dist      18.70
    Class     "M9 V"
    AppMagnJ  12.79
    AppMagnH  12.07
    AppMagnKs 11.62
}

Star "SDSS 00213+00260/SDSS J002138.86+002605.8/2MASS J00213884+0026058"
{
    RA        0 21 38.8
    Dec       +00 26  6
    Dist      91.00
    Class     "L1.5 V"
    AppMagnJ  16.95
    AppMagnH  16.29
    AppMagnKs 16.08
}

Star "SDSS 00220-01103/SDSS J002209.34-011039.7/2MASS J00220932-0110399"
{
    RA        0 22  9.3
    Dec       -01 10 40
    Dist      66.20
    Class     "L0 V"
    AppMagnr  22.24
    AppMagni  19.47
    AppMagnJ  15.82
    AppMagnH  15.09
    AppMagnKs 14.7
}

Star "ULAS 00242+00224/ULAS J002422.94+002247.9"
{
    RA        0 24 22.9
    Dec       +00 22 48
    Dist      60.00
    Class     "T4.5 V"
    AppMagnJ  18.16
    AppMagnH  18.24
}

Star "2MASS 00242-01582/2MASS J00242463-0158201"
{
    RA        0 24 24.6
    Dec       -01 58 20
    Dist      11.50
    Class     "M9.5 V"
    AppMagnJ  11.86
    AppMagnH  11.12
    AppMagnKs 10.58
}

Star "SDSS 00261-09434/SDSS J002611.45-094341.1"
{
    RA        0 26 11.5
    Dec       -09 43 41
    Dist      61.90
    Class     "L1 V"
    AppMagni  19.98
    AppMagnJ  15.6
    AppMagnH  15
    AppMagnKs 14.38
}

Star "PC 0025+0447/2MASS J00274197+0503417"
{
    RA        0 27 42.0
    Dec       +05  3 42
    Dist      72.46
    Class     "M9.5 V"
    AppMagn   24
    AppMagnI  19.6
    AppMagnJ  16.08
    AppMagnH  15.35
    AppMagnKs 14.96
    AppMagnK  14.91
}

Star "SDSS 00280+01025/SDSS J002800.37+010252.0"
{
    RA        0 28  0.4
    Dec       +01  2 52
    Dist      151.00
    Class     "L0 V"
    AppMagnr  23.85
    AppMagni  21.74
}

Star "2MASSI 00283+15014/2MASSI J0028394+150141/2MASS J00283943+1501418"
{
    RA        0 28 39.4
    Dec       +15  1 42
    Dist      45.00
    Class     "L4.5 V"
    AppMagnI  20
    AppMagnJ  16.51
    AppMagnH  15.26
    AppMagnKs 14.56
    AppMagnK  14.57
}

Star "DENIS-P 00285?19271/DENIS-P J0028554?192716/2MASS J00285545-1927165"
{
    RA        0 28 55.5
    Dec       -19 27 17
    Dist      16.30
    Class     "L3 V"
    AppMagnI  17.61
    AppMagnJ  14.19
    AppMagnH  13.33
    AppMagnKs 12.85
    AppMagnK  12.77
}

Star "2MASSW 00303-14503/2MASSW J0030300-145033/2MASS J00303013-1450333"
{
    RA        0 30 30.1
    Dec       -14 50 33
    Dist      26.72
    Class     "L7 V"
    AppMagnI  18.6
    AppMagnJ  16.28
    AppMagnH  15.27
    AppMagnKs 14.48
    AppMagnK  14.51
    AppMagnW2 13.24
}

Star "2MASSW 00304+31393/2MASSW J0030438+313932/2MASS J00304384+3139321"
{
    RA        0 30 43.8
    Dec       +31 39 32
    Dist      43.00
    Class     "L2 V"
    AppMagnJ  15.48
    AppMagnH  14.62
    AppMagnKs 14.03
    AppMagnW1 13.49
    AppMagnW2 13.13
    AppMagnW3 11.96
}

Star "WISE 00311+57493/WISE J003110.04+574936.3/2MASS J00310928+5749364"
{
    RA        0 31  9.3
    Dec       +57 49 36
    Dist      11.00
    Class     "L8 V"
    AppMagnJ  14.95
    AppMagnH  13.78
    AppMagnKs 13.22
    AppMagnW1 12.41
    AppMagnW2 11.84
    AppMagnW3 11.3
}

Star "DENIS-P 00311?38403/DENIS-P J0031192?384035/2MASS J00311925-3840356"
{
    RA        0 31 19.3
    Dec       -38 40 36
    Dist      18.70
    Class     "L2 V"
    AppMagnI  17.62
    AppMagnJ  14.1
    AppMagnH  13.4
    AppMagnKs 12.92
    AppMagnK  12.86
    AppMagnW1 12.43
    AppMagnW2 12.03
    AppMagnW3 11.46
}

Star "WISE 00323-49465/WISE J003231.09-494651.4"
{
    RA        0 32  1.1
    Dec       -49 46 51
    Dist      19.30
    Class     "T8.5 V"
    AppMagnW1 18.08
    AppMagnW2 15.07
    Teff      675
}

Star "2MASS 00320+02190/2MASS J00320509+0219017"
{
    RA        0 32  5.1
    Dec       +02 19  2
    Dist      27.00
    Class     "L1.5 V"
    AppMagnJ  14.32
    AppMagnH  13.39
    AppMagnKs 12.8
}

Star "2MASSI 00324-22372/2MASSI J0032431-223727/2MASS J00324308-2237272"
{
    RA        0 32 43.1
    Dec       -22 37 27
    Dist      48.00
    Class     "L1 V"
    AppMagnJ  15.39
    AppMagnH  14.51
    AppMagnKs 13.96
}

Star "EROS-MP J0032-4405/2MASS J00325584-4405058"
{
    RA        0 32 55.8
    Dec       -44  5  6
    Dist      26.03
    Class     "L0 V"
    AppMagnI  18.6
    AppMagnJ  14.78
    AppMagnH  13.86
    AppMagnKs 13.27
    AppMagnW1 12.82
    AppMagnW2 12.49
    AppMagnW3 11.73
    Teff      2000
    Radius    69911
}

Star "SDSSp 00325+14103/SDSSp J003259.36+141036.6/2MASS J00325937+1410371"
{
    RA        0 32 59.4
    Dec       +14 10 37
    Dist      33.18
    Class     "L8 V"
    AppMagnJ  16.83
    AppMagnH  15.65
    AppMagnKs 14.95
    AppMagnK  14.99
    AppMagnW2 13.6
}

Star "2MASS 00332-15213/2MASS J00332386-1521309"
{
    RA        0 33 23.9
    Dec       -15 21 31
    Dist      28.00
    Class     "L4 V"
    AppMagnI  18.3
    AppMagnJ  15.29
    AppMagnH  14.21
    AppMagnKs 13.41
}

Star "ULAS 00340-00520/ULAS J003402.77-005206.7"
{
    RA        0 34  2.8
    Dec      -0.868611
    Dist      12.82
    Class     "T8.5 V"
    AppMagni  26.37
    AppMagnJ  18.15
    AppMagnH  18.49
    AppMagnKs 18.48
    AppMagnK  18.48
    AppMagnW1 17.32
    AppMagnW2 14.47
    AppMagnW3 11.80
    Teff      575
    Radius    72707.44
    MassSol   0.01615425
}

Star "2MASS 00345+05230/2MASS J00345157+0523050"
{
    RA        0 34 51.6
    Dec       +05 23  5
    Dist      9.49
    Class     "T6.5 V"
    AppMagnJ  15.54
    AppMagnH  15.44
    AppMagnKs 16.24
    AppMagnW1 15.06
    AppMagnW2 12.52
    Teff      840
    Radius    58026.13
    MassSol   0.04656225
}

Star "2MASSI 00345-07060/2MASSI J0034568-070601/2MASS J00345684-0706013"
{
    RA        0 34 56.8
    Dec       -07  6  1
    Dist      37.00
    Class     "L3 V"
    AppMagnJ  15.53
    AppMagnH  14.57
    AppMagnKs 13.94
}

Star "SDSS 00352+14473/SDSS J003524.44+144739.8/2MASSA J00352440+144739"
{
    RA        0 35 24.4
    Dec       +14 47 40
    Dist      104.60
    Class     "L0 V"
    AppMagnr  23.76
    AppMagni  21.12
    AppMagnJ  16.95
    AppMagnH  16.26
    AppMagnKs 15.69
}

Star "SDSS 00360+24134/SDSS J003609.26+241343.3/2MASS J00360925+2413434"
{
    RA        0 36  9.3
    Dec       +24 13 43
    Dist      30.30
    Class     "L5.5 V"
    AppMagnJ  17.03
    AppMagnH  16.11
    AppMagnKs 15.66
}

Star "2MASS 00374-58462/2MASS J00374306-5846229"
{
    RA        0 37 43.1
    Dec       -58 46 23
    Dist      54.00
    Class     "L0 V"
    AppMagnJ  15.37
    AppMagnH  14.26
    AppMagnKs 13.59
    AppMagnW1 13.13
    AppMagnW2 12.74
    AppMagnW3 12.56
}

Star "WISEP 00382+27585/WISEP J003829.05+275852.1"
{
    RA        0 38 29.1
    Dec       +27 58 52
    Dist      11.30
    Class     "T9 V"
    AppMagnJ  18.61
    AppMagnH  18.92
    AppMagnW1 18.04
    AppMagnW2 14.38
    AppMagnW3 12.46
    Teff      525
}

Star "WISEP 00383+84051/WISEP J003830.54+840517.7"
{
    RA        0 38 30.5
    Dec       +84  5 18
    Dist      31.20
    Class     "T6 V"
    AppMagnJ  17.53
    AppMagnH  17.06
    AppMagnKs 16.50
    AppMagnW1 17.53
    AppMagnW2 15.34
    AppMagnW3 13.18
    Teff      975
}

Star "SDSS 00384+13433/SDSS J003843.99+134339.5/2MASS J00384398+1343395"
{
    RA        0 38 44.0
    Dec       +13 43 40
    Dist      61.00
    Class     "L1 V"
    AppMagnr  23.34
    AppMagni  20.33
    AppMagnJ  15.91
    AppMagnH  15.2
    AppMagnKs 14.76
}

Star "WISEP 00402+09005/WISEP J004024.88+090054.8/2MASS J00402492+0900547"
{
    RA        0 40 24.9
    Dec       +09  0 55
    Dist      14.60
    Class     "T7 V"
    AppMagnJ  16.5
    AppMagnH  16.56
    AppMagnKs 15.74
    AppMagnW1 16.06
    AppMagnW2 13.92
    AppMagnW3 12.06
    Teff      825
}

Star "SDSS 00405+15284/SDSS J004058.93+152845.0/2MASS J00405893+1528452"
{
    RA        0 40 58.9
    Dec       +15 28 45
    Dist      117.70
    Class     "L1 V"
    AppMagnr  23.35
    AppMagni  20.59
    AppMagnJ  16.96
    AppMagnH  15.58
    AppMagnKs 15.6
}

Star "2MASS 00412+35471/2MASS J00412179+3547133"
{
    RA        0 41 21.8
    Dec       +35 47 13
    Dist      88.00
    Class     "M9 V"
    AppMagnJ  15.94
    AppMagnH  15.73
    AppMagnKs 15.17
    AppMagnW1 14.74
    AppMagnW2 14.45
}

Star "SDSS 00422+14592/SDSS J004221.15+145923.9/2MASS J00422118+1459236"
{
    RA        0 42 21.2
    Dec       +14 59 24
    Dist      46.60
    Class     "L1 V"
    AppMagnr  23.62
    AppMagni  21.05
    AppMagnJ  16.68
    AppMagnH  16.09
    AppMagnKs 15.58
}

Star "2MASSW 00452+16344/2MASSW J0045214+163445/2MASS J00452143+1634446"
{
    RA        0 45 21.4
    Dec       +16 34 45
    Dist      14.00
    Class     "L2 V"
    AppMagn   22
    AppMagnJ  13.06
    AppMagnH  12.06
    AppMagnKs 11.37
    Teff      2100
    Radius    25867.07
}

Star "WISEP 00454+36113/WISEP J004542.56+361139.1"
{
    RA        0 45 42.6
    Dec       +36 11 39
    Dist      21.00
    Class     "T5 V"
    AppMagnJ  16.15
    AppMagnH  16.04
    AppMagnKs 15.8
    AppMagnW1 15.34
    AppMagnW2 13.73
    AppMagnW3 12.61
}

Star "SDSS 00464+07151/SDSS J004648.45+071517.4/2MASS J00464841+0715177"
{
    RA        0 46 48.4
    Dec       +07 15 18
    Dist      13.10
    Class     "L0 V"
    AppMagnJ  13.89
    AppMagnH  13.18
    AppMagnKs 12.55
}

Star "WISEP 00470+68035/WISEP J004701.06+680352.1/2MASS J00470038+6803543"
{
    RA        0 47  1.1
    Dec       +68  3 52
    Dist      15.00
    Class     "L7.5 V"
    AppMagnJ  15.6
    AppMagnH  13.97
    AppMagnKs 13.05
    AppMagnW1 11.88
    AppMagnW2 11.27
    AppMagnW3 10.33
    Teff      1350
}

Star "WISEPC 00492+04410/WISEPC J004928.48+044100.1"
{
    RA        0 49 28.5
    Dec       +04 41  0
    Dist      19.20
    Class     "L9 V"
    AppMagni  22.3
    AppMagnJ  15.85
    AppMagnH  14.67
    AppMagnKs 14.17
    AppMagnK  14.13
    AppMagnW1 13.45
    AppMagnW2 12.94
    AppMagnW3 12.24
}

Star "WISEP 00494+21512/WISEP J004945.61+215120.0"
{
    RA        0 49 45.6
    Dec       +21 51 20
    Dist      7.40
    Class     "T8.5 V"
    AppMagnJ  16.72
    AppMagnH  16.51
    AppMagnKs 15.86
    AppMagnW1 15.47
    AppMagnW2 12.97
    AppMagnW3 11.73
    Teff      675
}

Star "2MASS 00501-33224/2MASS J00501994-3322402"
{
    RA        0 50 19.9
    Dec       -33 22 40
    Dist      8.00
    Class     "T7 V"
    AppMagnJ  15.93
    AppMagnH  15.84
    AppMagnKs 15.24
    AppMagnW1 15.51
    AppMagnW2 13.53
    AppMagnW3 11.96
    Teff      980
    Radius    66415.45
    MassSol   0.0323085
}

Star "DENIS-P 00502?15381/DENIS-P J0050244?153818/2MASS J00502444-1538184"
{
    RA        0 50 24.4
    Dec       -15 38 18
    Dist      21.40
    Class     "L1 V"
    AppMagnI  16.86
    AppMagnJ  13.78
    AppMagnH  13.08
    AppMagnKs 12.65
    AppMagnK  12.56
}

Star "2MASSW 00511-15441/2MASSW J0051107-154417/2MASS J00511078-1544169"
{
    RA        0 51 10.8
    Dec       -15 44 17
    Dist      29.50
    Class     "L3.5 V"
    AppMagn   24.1
    AppMagnJ  15.28
    AppMagnH  14.16
    AppMagnKs 13.47
}

Star "DENIS-P 00531?36311/DENIS-P J0053189?363110/2MASS J00531899-3631102"
{
    RA        0 53 19.0
    Dec       -36 31 10
    Dist      21.00
    Class     "L3.5 V"
    AppMagnI  18.1
    AppMagnJ  14.45
    AppMagnH  13.48
    AppMagnKs 12.94
    AppMagnK  12.91
    AppMagnW1 12.31
    AppMagnW2 12.03
    AppMagnW3 11.52
}

Star "SDSS 00534-01135/SDSS J005349.11-011354.4"
{
    RA        0 53 49.1
    Dec       -01 13 54
    Dist      149.00
    Class     "L0 V"
    AppMagnr  25.63
    AppMagni  21.83
}

Star "SDSS 00540-00310/SDSS J005406.60-003102.4/2MASS J00540655-0031018"
{
    RA        0 54  6.6
    Dec      -0.517222
    Dist      56.00
    Class     "L1 V"
    AppMagnr  22.76
    AppMagni  20.05
    AppMagnJ  15.73
    AppMagnH  14.89
    AppMagnKs 14.38
}

Star "DENIS-P 00550-54502/DENIS-P J0055005-545026/2MASS J00550057-5450262"
{
    RA        0 55  0.6
    Dec       -54 50 26
    Dist      22.10
    Class     "L1 V"
    AppMagnI  16.78
    AppMagnJ  13.96
    AppMagnH  13.25
    AppMagnK  12.88
}

Star "SDSS 00563-01113/SDSS J005636.22-011131.9"
{
    RA        0 56 36.2
    Dec       -01 11 32
    Dist      119.00
    Class     "L1.5 V"
    AppMagnr  23
    AppMagni  22.06
}

Star "SDSS 00570-08462/SDSS J005705.56-084624.1/2MASS J00570555-0846241"
{
    RA        0 57  5.6
    Dec       -08 46 24
    Dist      59.80
    Class     "L0 V"
    AppMagnr  22.33
    AppMagni  19.84
    AppMagnJ  15.7
    AppMagnH  14.92
    AppMagnKs 14.36
}

Star "2MASSW 00584-06512/2MASSW J0058425-065123/2MASS J00584253-0651239"
{
    RA        0 58 42.5
    Dec       -06 51 24
    Dist      29.59
    Class     "L0 V"
    AppMagnI  17.5
    AppMagnJ  14.31
    AppMagnH  13.44
    AppMagnKs 12.9
    AppMagnW1 12.56
    AppMagnW2 12.25
    AppMagnW3 11.69
    Teff      2050
    Radius    69911
}

Star "CFBDS 00591-01140/CFBDS J005910.90-011401.3"
{
    RA        0 59 10.9
    Dec       -01 14  1
    Dist      9.89
    Class     "T8.5 V"
    AppMagni  28.05
    AppMagnJ  18.06
    AppMagnH  18.27
    AppMagnKs 18.63
    AppMagnK  18.4
    AppMagnW1 17
    AppMagnW2 13.67
    AppMagnW3 12.36
    Teff      525
    Radius    69911
    MassSol   0.019005
}

Star "2MASSI 01033+19353/2MASSI J0103320+193536/2MASS J01033203+1935361"
{
    RA        1  3 32.0
    Dec       +19 35 36
    Dist      21.32
    Class     "L6 V"
    AppMagn   24.5
    AppMagnJ  16.29
    AppMagnH  14.9
    AppMagnKs 14.15
    AppMagnW1 13.18
    AppMagnW2 12.7
    AppMagnW3 12.23
}

Star "SDSS 01040-00532/SDSS J010407.60-005328.5/2MASS J01040750-0053283"
{
    RA        1  4  7.5
    Dec      -0.891111
    Dist      35.10
    Class     "L4.5 V"
    AppMagni  21.93
    AppMagnJ  16.53
    AppMagnH  15.64
    AppMagnKs 15.33
}

Star "2MASS 01062-59331/2MASS J01062285-5933185"
{
    RA        1  6 22.9
    Dec       -59 33 19
    Dist      33.00
    Class     "L0 V"
    AppMagnJ  14.33
    AppMagnH  13.57
    AppMagnKs 13.01
}

Star "SDSS 01071+13265/SDSS J010718.70+132656.1/2MASS J01071863+1326565"
{
    RA        1  7 18.7
    Dec       +13 26 56
    Dist      36.10
    Class     "L0 V"
    AppMagnr  23.25
    AppMagni  20.73
    AppMagnJ  16.58
    AppMagnH  16.21
    AppMagnKs 15.34
}

Star "SDSS 01075+00415/SDSS J010752.34+004156.1/2MASS J01075242+0041563"
{
    RA        1  7 52.4
    Dec       +00 41 56
    Dist      15.59
    Class     "L8 V"
    AppMagnr  24.06
    AppMagni  21.52
    AppMagnJ  15.82
    AppMagnH  14.51
    AppMagnKs 13.71
    AppMagnW1 12.69
    AppMagnW2 12.17
    AppMagnW3 11.45
}

Star "SDSS 01084+13473/SDSS J010840.48+134739.2/2MASS J01084048+1347390"
{
    RA        1  8 40.5
    Dec       +13 47 39
    Dist      72.80
    Class     "L0 V"
    AppMagnr  22.87
    AppMagni  20.46
    AppMagnJ  16.29
    AppMagnH  15.72
}

Star "SDSS 01085-10454/SDSS J010859.24-104546.3/2MASS J01085925-1045462"
{
    RA        1  8 59.2
    Dec       -10 45 46
    Dist      72.80
    Class     "L0 V"
    AppMagnr  22.99
    AppMagni  20.52
    AppMagnJ  16.33
    AppMagnH  15.72
    AppMagnKs 15.34
}

Star "SSSPM J0109-5101/2MASS J01090150-5100494"
{
    RA        1  9  1.5
    Dec       -51  0 49
    Dist      17.30
    Class     "L2 V"
    AppMagnJ  12.23
    AppMagnH  11.54
    AppMagnKs 11.09
    AppMagnW1 10.83
    AppMagnW2 10.57
    AppMagnW3 10.37
    Teff      2800
    Radius    69911
}

Star "SSSPM J0109-4955/2MASS J01090918-4954532"
{
    RA        1  9  9.2
    Dec       -49 54 53
    Dist      20.00
    Class     "L1 V"
    AppMagnJ  13.55
    AppMagnH  12.88
    AppMagnKs 12.45
}

Star "2MASS 01092+29492/2MASS J01092170+2949255"
{
    RA        1  9 21.7
    Dec       +29 49 26
    Dist      18.00
    Class     "M9.5 V"
    AppMagnJ  12.91
    AppMagnH  12.16
    AppMagnKs 11.68
}

Star "LP 647-13/2MASS J01095117-0343264"           //Unconfirmed
{
    RA        1  9 51.2
    Dec       -03 43 26
    Dist      9.60
    Class     "M9 V"
    AppMagn   19.5
    AppMagnI  14.77
    AppMagnJ  11.69
    AppMagnH  10.93
    AppMagnKs 10.43
}

Star "SDSS 01101+01061/SDSS J011014.30+010619.1"
{
    RA        1 10 14.3
    Dec       +01  6 19
    Dist      64.00
    Class     "L4 V"
    AppMagnr  23.73
    AppMagni  21.91
}

Star "DENIS-P 01165?64555/DENIS-P J0116529?645557/2MASS J01165283-6455570"
{
    RA        1 16 52.8
    Dec       -64 55 57
    Dist      26.70
    Class     "L1 V"
    AppMagnI  17.68
    AppMagnJ  14.45
    AppMagnH  13.67
    AppMagnK  13.2
}

Star "2MASSI 01174-34032/2MASSI J0117474-340325/2MASS J01174748-3403258"
{
    RA        1 17 47.5
    Dec       -34  3 26
    Dist      38.00
    Class     "L2 V"
    AppMagnJ  15.18
    AppMagnH  14.21
    AppMagnKs 13.49
}

Star "SDSS 01181+14184/SDSS J011816.78+141841.4"
{
    RA        1 18 16.8
    Dec       +14 18 41
    Dist      98.90
    Class     "L1 V"
    AppMagni  21.27
}

Star "SDSS 01191+24033/SDSS J011912.22+240331.6/2MASS J01191207+2403317"
{
    RA        1 19 12.1
    Dec       +24  3 32
    Dist      31.80
    Class     "T2 V"
    AppMagnJ  17.02
    AppMagnH  15.95
    AppMagnKs 17.04
}

Star "2MASS 01230-36103/2MASS J01230050-3610306"
{
    RA        1 23  0.5
    Dec       -36 10 31
    Dist      19.00
    Class     "L2 V"
    AppMagnR  17.4
    AppMagnJ  13.64
    AppMagnH  13.11
    AppMagnKs 12.19
}

Star "2MASS 01231-69213/2MASS J01231125-6921379"
{
    RA        1 23 11.3
    Dec       -69 21 38
    Dist      19.00
    Class     "M8 V"
    AppMagnJ  12.32
    AppMagnH  11.71
    AppMagnKs 11.32
    AppMagnK  11.32
    Teff      2600
    MassSol   0.06176625
}

Star "WISEPA 01233+41420/WISEPA J012333.21+414203.9"
{
    RA        1 23 33.2
    Dec       +41 42  4
    Dist      20.60
    Class     "T7 V"
    AppMagnJ  17.38
    AppMagnH  17.2
    AppMagnKs 18.37
    AppMagnW1 17.12
    AppMagnW2 14.85
    AppMagnW3 12.99
    Teff      825
}

Star "SSSPM J0124-4240/2MASS J01235905-4240073"
{
    RA        1 23 59.1
    Dec       -42 40  7
    Dist      25.00
    Class     "L2.5 V"
    AppMagnJ  13.15
    AppMagnH  12.47
    AppMagnKs 12.04
}

Star "2MASS 01244-57453/2MASS J01244599-5745379"
{
    RA        1 24 46.0
    Dec       -57 45 38
    Dist      82.00
    Class     "L0 V"
    AppMagnJ  16.31
    AppMagnH  15.06
    AppMagnKs 14.32
    AppMagnW1 13.77
    AppMagnW2 13.34
    AppMagnW3 12.45
}

Star "2MASSI 01253-34350/2MASSI J0125369-343505/2MASS J01253689-3435049"
{
    RA        1 25 36.9
    Dec       -34 35  5
    Dist      44.00
    Class     "L2 V"
    AppMagnJ  15.52
    AppMagnH  14.47
    AppMagnKs 13.9
}

Star "2MASS 01262+14280/2MASS J01262109+1428057"
{
    RA        1 26 21.1
    Dec       +14 28  6
    Dist      87.00
    Class     "L4 V"
    AppMagnJ  17.11
    AppMagnH  16.17
    AppMagnKs 15.28
    AppMagnW1 14.24
    AppMagnW2 13.7
    AppMagnW3 12.38
}

Star "SDSS 01274+13542/SDSS J012743.51+135420.9/2MASS J01274352+1354210"
{
    RA        1 27 43.5
    Dec       +13 54 21
    Dist      49.00
    Class     "L5 V"
    AppMagnr  23.57
    AppMagni  22.08
    AppMagnJ  16.83
    AppMagnH  15.9
    AppMagnKs 15.43
}

Star "ULAS J0128-0041"
{
    RA        1 28 14.4
    Dec      -0.698333
    Dist      50.00
    Class     "T1 V"
    AppMagnJ  17.62
    AppMagnH  16.91
    AppMagnK  16.52
}

Star "DENIS-P 01282?55453/DENIS-P J0128266?554534/2MASS J01282664-5545343"
{
    RA        1 28 26.6
    Dec       -55 45 34
    Dist      23.00
    Class     "L2 V"
    AppMagnI  17.07
    AppMagnJ  13.78
    AppMagnH  12.92
    AppMagnKs 12.34
    AppMagnK  12.34
    AppMagnW1 11.94
    AppMagnW2 11.69
    AppMagnW3 11.3
}

Star "2MASSW 01291+35175/2MASSW J0129122+351758/2MASS J01291221+3517580"
{
    RA        1 29 12.2
    Dec       +35 17 58
    Dist      39.00
    Class     "L4 V"
    AppMagnI  19.43
    AppMagnJ  16.78
    AppMagnH  15.34
    AppMagnKs 14.7
    AppMagnW1 14.09
    AppMagnW2 13.68
    AppMagnW3 12.12
}

Star "ULAS 01311-00312/ULAS J013117.53-003128.6"
{
    RA        1 31 17.5
    Dec      -0.524722
    Dist      80.00
    Class     "T3 V"
    AppMagnJ  18.6
    AppMagnH  18.48
    AppMagnKs 18.41
}

Star "2MASS 01311+38015/2MASS J01311838+3801554"
{
    RA        1 31 18.4
    Dec       +38  1 55
    Dist      20.90
    Class     "L4 V"
    AppMagnJ  14.68
    AppMagnH  13.7
    AppMagnKs 13.05
    AppMagnW1 12.54
    AppMagnW2 12.21
    AppMagnW3 11.98
}

Star "CFBDS 01330+02312/CFBDS J013302+023128"
{
    RA        1 33  2.3
    Dec       +02 31 28
    Dist      22.00
    Class     "T8.5 V"
    AppMagnJ  18.15
    AppMagnH  18.62
    AppMagnKs 18.64
    AppMagnW1 17.79
    AppMagnW2 15.1
    Teff      675
}

Star "SSSPM J0134-6315/2MASS J01333248-6314415"
{
    RA        1 33 32.5
    Dec       -63 14 42
    Dist      36.00
    Class     "L0 V"
    AppMagnJ  14.51
    AppMagnH  14.02
    AppMagnKs 13.7
}

Star "WISEP 01352+17150/WISEP J013525.64+171503.4"
{
    RA        1 35 25.6
    Dec       +17 15  3
    Dist      23.70
    Class     "T6 V"
    AppMagnW1 17.19
    AppMagnW2 14.74
    AppMagnW3 12.73
    Teff      975
}

Star "2MASSW 01353+12052/2MASSW J0135358+120522/2MASS J01353586+1205216"
{
    RA        1 35 35.9
    Dec       +12  5 22
    Dist      28.00
    Class     "L1.5 V"
    AppMagnJ  14.41
    AppMagnH  13.53
    AppMagnKs 12.92
    AppMagnW1 12.51
    AppMagnW2 12.26
    AppMagnW3 11.72
}

Star "IPMS 01365+09334/IPMS J013656.57+093347.3/2MASS J01365662+0933473"
{
    RA        1 36 56.6
    Dec       +09 33 47
    Dist      6.00
    Class     "T2.5 V"
    AppMagnJ  13.46
    AppMagnH  12.77
    AppMagnKs 12.56
    AppMagnW1 11.97
    AppMagnW2 10.96
    AppMagnW3 9.67
}

Star "WISEPC 01383-03222/WISEPC J013836.59-032221.2"
{
    RA        1 38 36.6
    Dec       -03 22 21
    Dist      17.70
    Class     "T3 V"
    AppMagnJ  16.36
    AppMagnH  15.65
    AppMagnKs 15.3
    AppMagnW1 14.43
    AppMagnW2 13.36
    AppMagnW3 11.91
}

Star "ULAS 01393+00481/ULAS J013939.77+004813.8"
{
    RA        1 39 39.8
    Dec       +00 48 14
    Dist      32.70
    Class     "T7.5 V"
    AppMagnJ  18.43
    AppMagnH  19.12
    AppMagnKs 19.23
    Teff      850
}

Star "2MASS 01410+18045/2MASS J01410321+1804502"
{
    RA        1 41  3.2
    Dec       +18  4 50
    Dist      24.00
    Class     "L1 V"
    AppMagnJ  13.88
    AppMagnH  13.03
    AppMagnKs 12.49
    Teff      2200
    Radius    19575.08
}

Star "DENIS-P 01415?46335/DENIS-P J0141582?463358/2MASS J01415823-4633574"
{
    RA        1 41 58.2
    Dec       -46 33 57
    Dist      42.00
    Class     "L0 V"
    AppMagnI  18.37
    AppMagnJ  14.83
    AppMagnH  13.88
    AppMagnKs 13.1
    AppMagnK  12.92
    AppMagnW1 12.55
    AppMagnW2 12.17
    AppMagnW3 11.92
}

Star "2MASS 01443-07161/2MASS J01443536-0716142"
{
    RA        1 44 35.4
    Dec       -07 16 14
    Dist      12.00
    Class     "L5 V"
    AppMagnJ  14.19
    AppMagnH  13.01
    AppMagnKs 12.27
    AppMagnW1 11.63
    AppMagnW2 11.36
    AppMagnW3 10.81
    Teff      1600
    Radius    38451.05
}

Star "WISEP 01465+42341/WISEP J014656.66+423410.0"
{
    RA        1 46 57.1
    Dec       +42 34 10
    Dist      10.64
    Class     "Y0 V"
    AppMagnJ  19.4
    AppMagnH  20.91
    AppMagnW1 18.99
    AppMagnW2 15.08
    AppMagnW3 13.2
    Teff      451
    Radius    67813.67
    MassSol   0.0133035
}

Star "SDSS 01465+00213/SDSS J014658.14+002132.7/2MASS J01465816+0021332"
{
    RA        1 46 58.2
    Dec       +00 21 33
    Dist      56.10
    Class     "L0 V"
    AppMagnr  22.75
    AppMagni  20.71
    AppMagnJ  16.56
    AppMagnH  16.3
    AppMagnKs 15.4
}

Star "2MASSW 01473+34531/2MASSW J0147334+345311/2MASS J01473344+3453112"
{
    RA        1 47 33.4
    Dec       +34 53 11
    Dist      41.00
    Class     "L0.5 V"
    AppMagnJ  14.95
    AppMagnH  14.16
    AppMagnKs 13.57
    AppMagnW1 13.18
    AppMagnW2 12.86
    AppMagnW3 11.68
}

Star "WISEPC 01480-72025/WISEPC J014807.25-720258.7"
{
    RA        1 48  7.3
    Dec       -72  2 59
    Dist      17.00
    Class     "T9.5 V"
    AppMagnJ  18.96
    AppMagnH  19.22
    AppMagnW1 18.81
    AppMagnW2 14.58
    AppMagnW3 12.86
    Teff      500
    Radius    72707.44
    MassSol   0.01235325
}

Star "2MASS 01490+29561/2MASS J01490895+2956131"
{
    RA        1 49  9.0
    Dec       +29 56 13
    Dist      22.50
    Class     "M9.5 V"
    AppMagnJ  13.44
    AppMagnH  12.59
    AppMagnKs 12.01
}

Star "SDSS 01495+00164/SDSS J014956.27+001647.8"
{
    RA        1 49 56.3
    Dec       +00 16 48
    Dist      118.00
    Class     "L0.5 V"
    AppMagnr  23.71
    AppMagni  21.34
}

Star "WISEPA 01501+38272/WISEPA J015010.86+382724.3"
{
    RA        1 50 10.9
    Dec       +38 27 24
    Dist      18.80
    Class     "T0 V"
    AppMagnJ  16.11
    AppMagnH  15.02
    AppMagnKs 14.48
    AppMagnW1 13.62
    AppMagnW2 12.98
    AppMagnW3 11.93
}

Star "ULAS 01502+13592/ULAS J015024.37+135924.0"
{
    RA        1 50 24.4
    Dec       +13 59 24
    Dist      23.00
    Class     "T7.5 V"
    AppMagnJ  17.73
    AppMagnH  18.11
    AppMagnKs 17.84
    AppMagnW1 17.39
    AppMagnW2 15.19
    AppMagnW3 12.11
    Teff      775
}

Star "SDSS 01514+12442/SDSS J015141.69+124429.6/2MASS J01514155+1244300"
{
    RA        1 51 41.6
    Dec       +12 44 30
    Dist      21.40
    Class     "T1 V"
    AppMagnr  24.31
    AppMagni  22.84
    AppMagnJ  16.57
    AppMagnH  15.6
    AppMagnKs 15.18
    AppMagnK  15.21
    AppMagnW1 14.6
    AppMagnW2 13.82
    AppMagnW3 12.25
}

Star "2MASS 01531-67441/2MASS J01531463-6744181"
{
    RA        1 53 14.6
    Dec       -67 44 18
    Dist      58.00
    Class     "L2 V"
    AppMagnJ  16.41
    AppMagnH  15.11
    AppMagnKs 14.42
}

Star "SDSS 01535+14045/SDSS J015354.23+140452.8/2MASS J01535422+1404532"
{
    RA        1 53 54.2
    Dec       +14  4 53
    Dist      31.10
    Class     "L0 V"
    AppMagnr  21.76
    AppMagni  19.25
    AppMagnJ  15.21
    AppMagnH  14.48
    AppMagnKs 13.96
}

Star "2MASS 01550+09500/2MASS J01550354+0950003"
{
    RA        1 55  3.5
    Dec       +09 50  0
    Dist      17.00
    Class     "L5 V"
    AppMagnJ  14.83
    AppMagnKs 13.14
}

Star "ULAS 02004+13375/ULAS J020047.44+133755.1"
{
    RA        2  0 47.4
    Dec       +13 37 55
    Dist      92.00
    Class     "T4 V"
    AppMagnJ  18.78
    AppMagnH  19.22
}

Star "SDSS 02033-01081/SDSS J020333.26-010812.5/2MASSA J02033318-010811"
{
    RA        2  3 33.2
    Dec       -01  8 12
    Dist      35.00
    Class     "L9.5 V"
    AppMagnJ  16.86
    AppMagnH  16.52
    AppMagnKs 16.08
    AppMagnW1 15.41
    AppMagnW2 14.76
    AppMagnW3 12.48
}

Star "ULAS 02033-01023/ULAS J020336.94-010231.1"
{
    RA        2  3 36.9
    Dec       -01  2 31
    Dist      54.00
    Class     "T5 V"
    AppMagnJ  18.04
    AppMagnH  18.31
    AppMagnKs 18.13
}

Star "2MASSW 02050+12514/2MASSW J0205034+125142/2MASS J02050344+1251422"
{
    RA        2  5  3.4
    Dec       +12 51 42
    Dist      22.00
    Class     "L5 V"
    AppMagnJ  15.68
    AppMagnH  14.45
    AppMagnKs 13.67
    AppMagnW1 12.92
    AppMagnW2 12.53
    AppMagnW3 11.44
}

Star "SDSS 02055-07592/SDSS J020551.36-075925.0/2MASS J02055138-0759253"
{
    RA        2  5 51.4
    Dec       -07 59 25
    Dist      54.90
    Class     "L3 V"
    AppMagni  20.77
    AppMagnJ  16.03
    AppMagnH  15.17
    AppMagnKs 14.36
}

Star "SDSS 02060+22355/SDSS J020608.97+223559.2/2MASS J02060880+2235593"
{
    RA        2  6  8.8
    Dec       +22 35 59
    Dist      21.90
    Class     "L5.5 V"
    AppMagnJ  16.56
    AppMagnH  15.54
    AppMagnKs 15.16
}

Star "WISEPA 02062+26402/WISEPA J020625.26+264023.6"
{
    RA        2  6 25.3
    Dec       +26 40 24
    Dist      17.90
    Class     "L9 V"
    AppMagnJ  16.53
    AppMagnH  15.1
    AppMagnKs 14.52
    AppMagnW1 13.4
    AppMagnW2 12.81
    AppMagnW3 11.6
}

Star "DENIS-P 02065-07351/DENIS-P J0206566-073519/2MASS J02065668-0735200"
{
    RA        2  6 56.7
    Dec       -07 35 20
    Dist      21.50
    Class     "L2 V"
    AppMagnI  17.92
    AppMagnJ  14.24
    AppMagnH  13.62
    AppMagnK  13.16
}

Star "SDSS 02073+13555/SDSS J020735.60+135556.3/2MASS J02073557+1355564"           //Unconfirmed
{
    RA        2  7 35.6
    Dec       +13 55 56
    Dist      35.00
    Class     "L3 V"
    AppMagnr  22.34
    AppMagni  19.86
    AppMagnJ  15.46
    AppMagnH  14.47
    AppMagnKs 13.81
    AppMagnK  13.79
    AppMagnW1 13.48
    AppMagnW2 13.23
    AppMagnW3 12.50
    MassSol   0.079821
}

Star "SDSS 02074+00005/SDSS J020742.48+000056.2/2MASS J02074284+0000564"
{
    RA        2  7 42.8
    Dec       +00  0 56
    Dist      34.13
    Class     "T4.5 V"
    AppMagnJ  16.8
    AppMagnH  16.79
    AppMagnKs 16.71
    AppMagnK  16.52
    AppMagnW1 16.4
    AppMagnW2 15.04
    AppMagnW3 12.62
    Teff      1180
    Radius    67114.56
}

Star "2MASSW 02081+25425/2MASSW J0208183+254253/2MASS J02081833+2542533"
{
    RA        2  8 18.3
    Dec       +25 42 53
    Dist      25.30
    Class     "L1 V"
    AppMagnI  17.7
    AppMagnJ  13.99
    AppMagnH  13.11
    AppMagnKs 12.59
    AppMagnW1 12.19
    AppMagnW2 11.92
    AppMagnW3 11.33
}

Star "2MASSW 02082+27374/2MASSW J0208236+273740/2MASS J02082363+2737400"
{
    RA        2  8 23.6
    Dec       +27 37 40
    Dist      24.00
    Class     "L5 V"
    AppMagnJ  15.71
    AppMagnH  14.56
    AppMagnKs 13.87
    AppMagnW1 13.27
    AppMagnW2 12.96
    AppMagnW3 12.07
}

Star "2MASSW 02085+25004/2MASSW J0208549+250048/2MASS J02085499+2500488"
{
    RA        2  8 55.0
    Dec       +25  0 49
    Dist      31.00
    Class     "L5 V"
    AppMagnJ  16.21
    AppMagnH  14.97
    AppMagnKs 14.41
    AppMagnW1 13.66
    AppMagnW2 13.25
    AppMagnW3 11.42
}

Star "ULAS 02094+13392/ULAS J020944.30+133924.7"
{
    RA        2  9 44.3
    Dec       +13 39 25
    Dist      57.00
    Class     "T5.5 V"
    AppMagnJ  18.35
    AppMagnH  18.64
}

Star "WISEP 02101+40082/WISEP J021010.25+400829.6"
{
    RA        2 10 10.3
    Dec       +40  8 30
    Dist      27.00
    Class     "T4.5 V"
    AppMagnJ  16.77
    AppMagnH  16.06
    AppMagnKs 15.88
    AppMagnW1 16.29
    AppMagnW2 14.74
    AppMagnW3 12.66
}

Star "SDSS 02112+14100/SDSS J021128.25+141003.8/2MASS J02112827+1410039"
{
    RA        2 11 28.3
    Dec       +14 10  4
    Dist      67.00
    Class     "L1 V"
    AppMagnr  23.62
    AppMagni  20.55
    AppMagnJ  16.13
    AppMagnH  15.42
    AppMagnKs 15.01
}

Star "SDSS 02124+22182/SDSS J021248.51+221822.0"
{
    RA        2 12 48.5
    Dec       +22 18 22
    Dist      112.30
    Class     "L0 V"
    AppMagni  21.36
}

Star "2MASSI 02132+44444/2MASSI J0213288+444445/2MASS J02132880+4444453"
{
    RA        2 13 28.8
    Dec       +44 44 45
    Dist      18.70
    Class     "L1.5 V"
    AppMagnJ  13.49
    AppMagnH  12.76
    AppMagnKs 12.21
    Teff      2200
    Radius    35654.61
}

Star "DENIS-P 02133-13432/DENIS-P J0213371-134322/2MASS J02133713-1343228"
{
    RA        2 13 37.1
    Dec       -13 43 23
    Dist      29.10
    Class     "L1 V"
    AppMagnI  17.61
    AppMagnJ  14.48
    AppMagnH  13.8
    AppMagnK  13.34
}

Star "2MASSI 02182-31332/2MASSI J0218291-313322/2MASS J02182913-3133230"
{
    RA        2 18 29.1
    Dec       -31 33 23
    Dist      26.00
    Class     "L3 V"
    AppMagnJ  14.73
    AppMagnH  13.81
    AppMagnKs 13.15
    AppMagnW1 12.61
    AppMagnW2 12.29
    AppMagnW3 12.15
}

Star "2MASS 02192+05063/2MASS J02192196+0506306"
{
    RA        2 19 22.0
    Dec       +05  6 31
    Dist      39.00
    Class     "L1 V"
    AppMagnJ  14.97
    AppMagnKs 13.48
}

Star "SSSPM J0219-1939/2MASS J02192807-1938416"
{
    RA        2 19 28.1
    Dec       -19 38 42
    Dist      26.88
    Class     "L1 V"
    AppMagnJ  14.11
    AppMagnH  13.34
    AppMagnKs 12.91
    AppMagnW1 12.55
    AppMagnW2 12.31
    AppMagnW3 12.87
    Teff      1950
    Radius    69911
}

Star "WISEPA 02210+38420/WISEPA J022105.94+384202.9"
{
    RA        2 21  5.9
    Dec       +38 42  3
    Dist      22.40
    Class     "T6.5 V"
    AppMagnJ  17.59
    AppMagnH  17.45
    AppMagnKs 16.95
    AppMagnW1 16.72
    AppMagnW2 14.62
    AppMagnW3 12.69
    Teff      975
}

Star "DENIS-P 02212-68314/DENIS-P J022128.5-683140/2MASS J02212859-6831400"
{
    RA        2 21 28.6
    Dec       -68 31 40
    Dist      39.37
    Class     "M8 V"
    AppMagnI  16.96
    AppMagnJ  13.89
    AppMagnH  13.28
    AppMagnK  12.81
}

Star "ULAS 02220-00241/ULAS J022200.43-002410.5"
{
    RA        2 22  0.4
    Dec      -0.403056
    Dist      75.00
    Class     "T5 V"
    AppMagnJ  18.71
    AppMagnH  19.02
    AppMagnKs 19.18
}

Star "WISEPC 02232-29325/WISEPC J022322.39-293258.1"
{
    RA        2 23 22.4
    Dec       -29 32 58
    Dist      14.40
    Class     "T7 V"
    AppMagnJ  17.1
    AppMagnH  17.3
    AppMagnKs 16.94
    AppMagnW1 16.93
    AppMagnW2 13.99
    AppMagnW3 12.84
    Teff      825
}

Star "2MASS 02235-58150/2MASS J02235464-5815067"
{
    RA        2 23 54.6
    Dec       -58 15  7
    Dist      47.00
    Class     "L0 V"
    AppMagnJ  15.07
    AppMagnH  14
    AppMagnKs 13.42
    AppMagnW1 12.82
    AppMagnW2 12.43
    AppMagnW3 11.64
}

Star "DENIS-P 02241?76332/DENIS-P J0224120?763320/2MASS J02241193-7633201"
{
    RA        2 24 11.9
    Dec       -76 33 20
    Dist      50.80
    Class     "L0 V"
    AppMagnI  18.07
    AppMagnJ  15.14
    AppMagnH  14.31
    AppMagnKs 13.91
    AppMagnK  13.31
}

Star "2MASSI 02243+25370/2MASSI J0224367+253704/2MASS J02243670+2537042"
{
    RA        2 24 36.7
    Dec       +25 37  4
    Dist      66.90
    Class     "L2 V"
    AppMagnI  19.7
    AppMagnJ  16.58
    AppMagnH  15.41
    AppMagnKs 14.69
}

Star "WISEPA 02262-02114/WISEPA J022623.98-021142.8"
{
    RA        2 26 24.0
    Dec       -02 11 43
    Dist      27.90
    Class     "T7 V"
    AppMagnJ  18.94
    AppMagnH  18.84
    AppMagnW1 17.64
    AppMagnW2 14.54
    AppMagnW3 12.86
    Teff      825
}

Star "IfA 0230-Z1"
{
    RA        2 26 37.6
    Dec       +00 51 55
    Dist      70.00
    Class     "T2 V"
    AppMagnR  25.50
    AppMagnI  23.61
    AppMagnJ  18.33
    AppMagnH  17.83
    AppMagnK  17.69
}

Star "CFBDS 02263-07283/CFBDS J022638-072831"
{
    RA        2 26 39.0
    Dec       -07 28 32
    Dist      40.00
    Class     "T6.5 V"
    AppMagni  25.53
    AppMagnJ  18.19
    AppMagnH  18.65
    AppMagnKs 18.3
    Teff      975
}

Star "CFBDS 02264-06252/CFBDS J022644-062522"
{
    RA        2 26 44.7
    Dec       -06 25 22
    Dist      60.00
    Class     "T3 V"
    AppMagnJ  17.8
    AppMagnH  17.7
    AppMagnKs 17.5
}

Star "DENIS-P 02271?16244/DENIS-P J0227102?162446/2MASS J02271036-1624479"
{
    RA        2 27 10.4
    Dec       -16 24 48
    Dist      21.00
    Class     "L1 V"
    AppMagnI  17.04
    AppMagnJ  13.57
    AppMagnH  12.63
    AppMagnKs 12.14
    AppMagnK  12.18
    AppMagnW1 11.77
    AppMagnW2 11.56
    AppMagnW3 11.21
    Teff      2100
}

Star "SDSS 02272-00551/SDSS J022723.77-005518.6/2MASSA J02272377-005518"
{
    RA        2 27 23.8
    Dec      -0.921944
    Dist      117.00
    Class     "L0 V"
    AppMagnr  23.27
    AppMagni  20.94
    AppMagnJ  16.88
    AppMagnH  16.59
    AppMagnKs 16.05
}

Star "SDSS 02275+00261/SDSS J022754.94+002619.9/2MASS J02275495+0026201"
{
    RA        2 27 55.0
    Dec       +00 26 20
    Dist      91.30
    Class     "L0 V"
    AppMagnr  23.68
    AppMagni  20.48
    AppMagnJ  16.53
    AppMagnH  15.87
    AppMagnKs 15.32
}

Star "2MASSW 02281+25373/2MASSW J0228110+253738/2MASS J02281101+2537380"
{
    RA        2 28 11.0
    Dec       +25 37 38
    Dist      26.00
    Class     "L0 V"
    AppMagnJ  13.84
    AppMagnH  12.99
    AppMagnKs 12.47
    AppMagnW1 12.12
    AppMagnW2 11.89
    AppMagnW3 11.39
    Teff      2100
}

Star "2MASS 02284+16393/2MASS J02284243+1639329"
{
    RA        2 28 42.4
    Dec       +16 39 33
    Dist      19.00
    Class     "L0 V"
    AppMagnJ  13.17
    AppMagnH  12.33
    AppMagnKs 11.82
}

Star "2MASS 02284-63250/2MASS J02284355-6325052"
{
    RA        2 28 43.6
    Dec       -63 25  5
    Dist      23.00
    Class     "L1 V"
    AppMagnJ  13.56
    AppMagnH  12.75
    AppMagnKs 12.25
}

Star "2MASS 02292?00532/2MASS J02292794?0053282"
{
    RA        2 29 27.9
    Dec      -0.891111
    Dist      68.00
    Class     "L2 V"
    AppMagni  21.56
    AppMagnJ  16.49
    AppMagnH  15.75
    AppMagnKs 15.18
}

Star "SDSS 02301+27040/SDSS J023015.61+270406.0/2MASS J02301551+2704061"
{
    RA        2 30 15.5
    Dec       +27  4  6
    Dist      32.50
    Class     "L0 V"
    AppMagnJ  14.29
    AppMagnH  13.48
    AppMagnKs 12.99
    AppMagnW1 12.64
    AppMagnW2 12.38
    AppMagnW3 11.91
}

Star "WISE 02303-02255/WISE J023038.90-022554.0"
{
    RA        2 30 38.9
    Dec       -02 25 54
    Dist      25.00
    Class     "L8 V"
    AppMagnJ  16.68
    AppMagnH  15.72
    AppMagnKs 14.93
    AppMagnW1 14.23
    AppMagnW2 13.63
    AppMagnW3 11.85
}

Star "DENIS-P 02304?09530/DENIS-P J0230450?095305/2MASS J02304498-0953050"
{
    RA        2 30 45.0
    Dec       -09 53  5
    Dist      30.86
    Class     "L0 V"
    AppMagnI  18.24
    AppMagnJ  14.68
    AppMagnH  13.91
    AppMagnKs 13.4
    AppMagnK  12.99
    AppMagnW1 12.94
    AppMagnW2 12.7
    AppMagnW3 11.9
    Teff      1650
    Radius    69911
}

Star "WISEP 02331+30303/WISEP J023318.05+303030.5"
{
    RA        2 33 18.1
    Dec       +30 30 31
    Dist      25.00
    Class     "T6 V"
    AppMagnJ  16.85
    AppMagnH  17.18
    AppMagnKs 17.04
    AppMagnW1 16.59
    AppMagnW2 14.46
    AppMagnW3 12.25
}

Star "2MASS 02340-64420/2MASS J02340093-6442068"
{
    RA        2 34  0.9
    Dec       -64 42  7
    Dist      67.00
    Class     "L0 V"
    AppMagnJ  15.33
    AppMagnH  14.44
    AppMagnKs 13.85
    AppMagnW1 13.25
    AppMagnW2 12.91
    AppMagnW3 12.62
}

Star "SDSS 02354-08491/SDSS J023547.56-084919.8/2MASS J02354756-0849198"
{
    RA        2 35 47.6
    Dec       -08 49 20
    Dist      45.00
    Class     "L2 V"
    AppMagnr  22.34
    AppMagni  19.89
    AppMagnJ  15.57
    AppMagnH  14.81
    AppMagnKs 14.19
    AppMagnW1 13.76
    AppMagnW2 13.49
    AppMagnW3 12.05
}

Star "SDSSp 02361+00485/SDSSp J023617.93+004855.0/2MASS J02361794+0048548"
{
    RA        2 36 17.9
    Dec       +00 48 55
    Dist      29.00
    Class     "L6 V"
    AppMagnr  25.04
    AppMagni  21.5
    AppMagnJ  16.1
    AppMagnH  15.27
    AppMagnKs 14.67
    AppMagnK  14.54
    AppMagnW1 13.81
    AppMagnW2 13.36
    AppMagnW3 12.36
}

Star "HQT-8"
{
    RA        2 37  0.6
    Dec       +00 39  8
    Dist      116.00
    Class     "T1 V"
    AppMagnI  24.76
    AppMagnJ  19.6
    AppMagnK  18.6
}

Star "2MASSI 02394-17354/2MASSI J0239424-173547/2MASS J02394245-1735471"
{
    RA        2 39 42.5
    Dec       -17 35 47
    Dist      31.15
    Class     "L0 V"
    AppMagnJ  14.29
    AppMagnH  13.53
    AppMagnKs 13.04
    AppMagnW1 12.71
    AppMagnW2 12.43
    AppMagnW3 11.83
    Teff      2300
    Radius    69911
}

Star "EQ 0239+7040"           //Unconfirmed
{
    RA        2 39 59.8
    Dec       +70 40 20
    Dist      40.60
    Class     "T8 V"
}

Star "DENIS-P 02401?53055/DENIS-P J0240121?530552/2MASS J02401209-5305527"
{
    RA        2 40 12.1
    Dec       -53  5 53
    Dist      15.40
    Class     "L4 V"
    AppMagnI  18.18
    AppMagnJ  14.39
    AppMagnH  13.65
    AppMagnKs 13.16
    AppMagnK  12.99
}

Star "2MASS 02411-03265/2MASS J02411151-0326587"
{
    RA        2 41 11.5
    Dec       -03 26 59
    Dist      66.00
    Class     "L0 V"
    AppMagnJ  15.8
    AppMagnH  14.81
    AppMagnKs 14.04
    AppMagnW1 13.64
    AppMagnW2 13.26
    AppMagnW3 12.77
}

Star "WISE 02412-36532/WISE J024124.73-365328.0"
{
    RA        2 41 24.7
    Dec       -36 53 28
    Dist      16.50
    Class     "T7 V"
    AppMagnH  16.98
    AppMagnW1 16.89
    AppMagnW2 14.34
    Teff      825
}

Star "2MASSI 02415-12410/2MASSI J0241536-124106/2MASS J02415367-1241069"
{
    RA        2 41 53.7
    Dec       -12 41  7
    Dist      46.00
    Class     "L2 V"
    AppMagnJ  15.61
    AppMagnH  14.65
    AppMagnKs 13.93
    AppMagnW1 13.6
    AppMagnW2 13.27
    AppMagnW3 12.68
}

Star "2MASSW 02424+16073/2MASSW J0242435+160739/2MASS J02424355+1607392"
{
    RA        2 42 43.6
    Dec       +16  7 39
    Dist      53.00
    Class     "L1.5 V"
    AppMagnJ  15.78
    AppMagnH  15
    AppMagnKs 14.35
    AppMagnW1 13.9
    AppMagnW2 13.5
    AppMagnW3 12.32
}

Star "SDSS 02425+21231/SDSS J024256.98+212319.6/2MASS J02425693+2123204"
{
    RA        2 42 56.9
    Dec       +21 23 20
    Dist      53.30
    Class     "L4 V"
    AppMagnJ  16.98
    AppMagnH  15.94
    AppMagnKs 15.47
}

Star "2MASS 02431-24532/2MASS J02431371-2453298"
{
    RA        2 43 13.7
    Dec       -24 53 30
    Dist      10.68
    Class     "T6 V"
    AppMagnJ  15.38
    AppMagnH  15.14
    AppMagnKs 15.22
    AppMagnK  15.24
    AppMagnW1 14.68
    AppMagnW2 12.93
    AppMagnW3 11.29
    Teff      1070
    Radius    67813.67
    MassSol   0.0323085
}

Star "DENIS-P 02435-54321/DENIS-P J024351.0-543219/2MASS J02435103-5432194"
{
    RA        2 43 51.0
    Dec       -54 32 19
    Dist      34.40
    Class     "M9 V"
    AppMagnI  17.05
    AppMagnJ  14.04
    AppMagnH  13.32
    AppMagnKs 12.78
}

Star "WISEP 02451-34504/WISEP J024512.62-345047.8"
{
    RA        2 45 12.6
    Dec       -34 50 48
    Dist      17.20
    Class     "T8 V"
    AppMagnJ  17.77
    AppMagnW1 17.92
    AppMagnW2 14.56
    AppMagnW3 12.19
    Teff      675
}

Star "WISEP 02471+37252/WISEP J024714.52+372523.5"
{
    RA        2 47 14.5
    Dec       +37 25 24
    Dist      17.50
    Class     "T8 V"
    AppMagnJ  18.44
    AppMagnH  18.24
    AppMagnKs 18.37
    AppMagnW1 18.37
    AppMagnW2 14.7
    AppMagnW3 12.58
    Teff      675
}

Star "SDSS 02474-16311/SDSS J024749.90-163112.6/2MASS J02474978-1631132"
{
    RA        2 47 49.8
    Dec       -16 31 13
    Dist      28.00
    Class     "T2 V"
    AppMagnJ  17.19
    AppMagnH  16.17
    AppMagnKs 15.62
    AppMagnW1 15.2
    AppMagnW2 14.2
    AppMagnW3 12.68
}

Star "CFBDS 02505+16205/CFBDS J025053+162050"
{
    RA        2 50 53.3
    Dec       +16 20 51
    Dist      94.00
    Class     "T2.5 V"
    AppMagnJ  18.69
}

Star "2MASSI 02511-03524/2MASSI J0251148-035245/2MASS J02511490-0352459"
{
    RA        2 51 14.9
    Dec       -03 52 46
    Dist      12.10
    Class     "L3 V"
    AppMagnJ  13.06
    AppMagnH  12.25
    AppMagnKs 11.66
    Teff      2100
    Radius    31459.95
}

Star "CFBDS 02540-18252/CFBDS J025401-182529"
{
    RA        2 54  1.7
    Dec       -18 25 29
    Dist      42.00
    Class     "T6.5 V"
    AppMagnJ  18.2
    AppMagnH  18.49
    AppMagnKs 18.37
    AppMagnW1 18.36
    AppMagnW2 15.72
    Teff      975
}

Star "DENIS-P 02540-19345/DENIS-P J0254058-193452/2MASS J02540582-1934523"
{
    RA        2 54  5.8
    Dec       -19 34 52
    Dist      21.10
    Class     "M9 V"
    AppMagnI  16.3
    AppMagnJ  13.08
    AppMagnH  12.36
    AppMagnK  11.91
}

Star "WISEPA 02540+02235/WISEPA J025409.45+022359.1"
{
    RA        2 54  9.5
    Dec       +02 23 59
    Dist      6.02
    Class     "T8 V"
    AppMagnJ  15.91
    AppMagnH  16.29
    AppMagnKs 16.01
    AppMagnK  16.73
    AppMagnW1 15.74
    AppMagnW2 12.71
    AppMagnW3 11.04
    Teff      800
}

Star "DENIS-P 02550-47005/DENIS-P J025503.5-470050/2MASS J02550357-4700509"
{
    RA        2 55  3.6
    Dec       -47  0 51
    Dist      4.97
    Class     "L8 V"
    AppMagnR  20.06
    AppMagnI  17.24
    AppMagnJ  13.25
    AppMagnH  12.2
    AppMagnKs 11.56
    AppMagnK  12.93
    AppMagnW2 10.19
    Teff      1380
    Radius    62919.9
    MassSol   0.06176625
}

Star "CFBDS 02555-17302/CFBDS J025558-173020"
{
    RA        2 55 58.5
    Dec       -17 30 20
    Dist      57.00
    Class     "T1 V"
    AppMagni  23.91
    AppMagnJ  17.81
}

Star "SDSS 02560+01104/SDSS J025601.86+011047.2/2MASS J02560189+0110467"
{
    RA        2 56  1.9
    Dec       +01 10 47
    Dist      79.00
    Class     "L0 V"
    AppMagnr  23.56
    AppMagni  20.47
    AppMagnJ  16.21
    AppMagnH  15.7
    AppMagnKs 15.22
    AppMagnW1 14.92
    AppMagnW2 14.53
    AppMagnW3 12.46
}

Star "CFBDS 02571-12485/CFBDS J025718-124853"
{
    RA        2 57 18.1
    Dec       -12 48 53
    Dist      65.00
    Class     "T3.5 V"
    AppMagni  24.4
    AppMagnJ  18.02
}

Star "2MASS 02572-31055/2MASS J02572581-3105523"
{
    RA        2 57 25.8
    Dec       -31  5 52
    Dist      10.03
    Class     "L8 V"
    AppMagnJ  14.67
    AppMagnH  13.52
    AppMagnKs 12.88
    AppMagnW1 12.02
    AppMagnW2 11.59
    AppMagnW3 10.6
    Teff      1400
    Radius    69911
}

Star "CFBDS 02580-14553/CFBDS J025805-145534"
{
    RA        2 58  5.9
    Dec       -14 55 34
    Dist      54.00
    Class     "T1.5 V"
    AppMagni  25.19
    AppMagnJ  17.58
}

Star "CFBDS 02584-18264/CFBDS J025840-182648"
{
    RA        2 58 40.6
    Dec       -18 26 48
    Dist      61.00
    Class     "T3 V"
    AppMagni  23.83
    AppMagnJ  17.34
}

Star "UGCS 03001+49014/UGCS J030013.86+490142.5"
{
    RA        3  0 13.9
    Dec       +49  1 43
    Dist      36.70
    Class     "T6.5 V"
    AppMagnJ  17.99
    AppMagnH  18.37
    AppMagnW1 18.19
    AppMagnW2 15.91
    Teff      975
}

Star "CFBDS 03013-10450/CFBDS J030130-104504"
{
    RA        3  1 30.5
    Dec       -10 45  4
    Dist      33.00
    Class     "T6 V"
    AppMagni  24.88
    AppMagnJ  17.38
    AppMagnW1 17.04
    AppMagnW2 15.32
    Teff      975
}

Star "CFBDS 03013-16141/CFBDS J030135-161418"
{
    RA        3  1 35.1
    Dec       -16 14 18
    Dist      36.00
    Class     "T7 V"
    AppMagnJ  18.34
    AppMagnH  18.99
    AppMagnKs 18.07
    AppMagnW1 18.66
    AppMagnW2 15.59
    Teff      825
}

Star "SDSSp 03013+00205/SDSSp J030136.53+002057.9/2MASSA J03013652+002057"
{
    RA        3  1 36.5
    Dec       +00 20 57
    Dist      97.00
    Class     "L1 V"
    AppMagnJ  16.88
    AppMagnH  16.33
    AppMagnKs 15.62
    AppMagnW1 15.51
    AppMagnW2 15.22
    AppMagnW3 12.59
}

Star "DENIS-P 03014?59030/DENIS-P J0301488?590302/2MASS J03014892-5903021"
{
    RA        3  1 48.9
    Dec       -59  3  2
    Dist      19.40
    Class     "L0 V"
    AppMagnI  16.8
    AppMagnJ  13.52
    AppMagnH  12.86
    AppMagnK  12.31
}

Star "2MASSI 03020+13581/2MASSI J0302012+135814/2MASS J03020122+1358142"
{
    RA        3  2  1.2
    Dec       +13 58 14
    Dist      59.00
    Class     "L3 V"
    AppMagnJ  16.53
    AppMagnH  15.43
    AppMagnKs 14.63
}

Star "CFBDS 03022-14412/CFBDS J030225-144125"
{
    RA        3  2 25.9
    Dec       -14 41 25
    Dist      38.00
    Class     "T5.5 V"
    AppMagni  28.24
    AppMagnJ  17.49
    AppMagnH  17.97
    AppMagnKs 18.15
    Teff      975
}

Star "CFBDS 03022-14371/CFBDS J030226-143719"
{
    RA        3  2 26.7
    Dec       -14 37 19
    Dist      51.00
    Class     "T4 V"
    AppMagni  24.67
    AppMagnJ  17.44
    AppMagnH  17.41
    AppMagnKs 17.37
}

Star "2MASS 03032-73123/2MASS J030320.42-7312300/2MASS J03032042-7312300"
{
    RA        3  3 20.4
    Dec       -73 12 30
    Dist      50.00
    Class     "L2 V"
    AppMagnJ  16.14
    AppMagnH  15.1
    AppMagnKs 14.32
    AppMagnW1 13.78
    AppMagnW2 13.35
    AppMagnW3 12.29
}

Star "SDSSp 03032-00093/SDSSp J030321.24-000938.2/2MASS J03032123-0009378"
{
    RA        3  3 21.2
    Dec      -0.160556
    Dist      76.00
    Class     "L0 V"
    AppMagnJ  16.12
    AppMagnH  15.61
    AppMagnKs 14.88
    AppMagnW1 14.65
    AppMagnW2 14.22
    AppMagnW3 12.45
}

Star "EQ 0304+4331"           //Unconfirmed
{
    RA        3  4 26.6
    Dec       +43 31 11
    Dist      47.60
    Class     "T8 V"
}

Star "DENIS-P 03043-24351/DENIS-P J0304322-243513/2MASS J03043226-2435136"
{
    RA        3  4 32.3
    Dec       -24 35 14
    Dist      26.70
    Class     "L0 V"
    AppMagnI  17.29
    AppMagnJ  13.97
    AppMagnH  13.34
    AppMagnK  12.94
}

Star "WISEPA 03053+39543/WISEPA J030533.54+395434.4"
{
    RA        3  5 33.5
    Dec       +39 54 34
    Dist      23.10
    Class     "T6 V"
    AppMagnJ  17.13
    AppMagnH  17.08
    AppMagnKs 16.93
    AppMagnW1 16.82
    AppMagnW2 14.64
    AppMagnW3 12.64
    Teff      975
}

Star "SDSS 03053-06421/SDSS J030536.55-064216.1/2MASS J03053655-0642161"
{
    RA        3  5 36.6
    Dec       -06 42 16
    Dist      78.70
    Class     "L0 V"
    AppMagnr  22.76
    AppMagni  20.29
    AppMagnJ  15.99
    AppMagnH  15.51
    AppMagnKs 14.76
}

Star "SSSPM J0306-3648/2MASS J03061159-3647528"
{
    RA        3  6 11.6
    Dec       -36 47 53
    Dist      10.00
    Class     "L0 V"
    AppMagnJ  11.69
    AppMagnH  11.07
    AppMagnKs 10.63
    Teff      1900
}

Star "2MASSW 03062+15451/2MASSW J0306268+154514/2MASS J03062684+1545137"
{
    RA        3  6 26.8
    Dec       +15 45 14
    Dist      36.00
    Class     "L6 V"
    AppMagnJ  17.11
    AppMagnH  16.24
    AppMagnKs 15.13
}

Star "WISEPA 03072+29044/WISEPA J030724.57+290447.6"
{
    RA        3  7 24.6
    Dec       +29  4 48
    Dist      25.40
    Class     "T6.5 V"
    AppMagnJ  17.78
    AppMagnH  17.7
    AppMagnKs 18.08
    AppMagnK  18.08
    AppMagnW1 17.44
    AppMagnW2 14.88
    AppMagnW3 12.39
    Teff      975
}

Star "WISP 0307-7243"
{
    RA        3  7 41.1
    Dec       -72 43 58
    Dist      400.00
    Class     "T4.5 V"
    AppMagnH  22.36
}

Star "2MASSW 03090-19493/2MASSW J0309088-194938/2MASS J03090888-1949387"
{
    RA        3  9  8.9
    Dec       -19 49 39
    Dist      31.00
    Class     "L4.5 V"
    AppMagnJ  15.75
    AppMagnH  14.66
    AppMagnKs 14.06
    AppMagnW1 13.38
    AppMagnW2 13.07
    AppMagnW3 12.75
}

Star "CFBDS 03092-16142/CFBDS J030922-161426"
{
    RA        3  9 22.3
    Dec       -16 14 26
    Dist      65.00
    Class     "T4 V"
    AppMagnJ  18.52
}

Star "2MASS 03101-27564/2MASS J03101401-2756452"
{
    RA        3 10 14.0
    Dec       -27 56 45
    Dist      25.00
    Class     "L5 V"
    AppMagnJ  15.8
    AppMagnH  14.66
    AppMagnKs 13.96
    AppMagnW1 13.18
    AppMagnW2 12.82
    AppMagnW3 12.34
}

Star "WISEPA 03132+78074/WISEPA J031325.96+780744.2"
{
    RA        3 13 25.8
    Dec       +78  7 44
    Dist      6.54
    Class     "T8.5 V"
    AppMagnJ  17.67
    AppMagnH  17.67
    AppMagnW1 16.09
    AppMagnW2 13.23
    AppMagnW3 11.85
    Teff      651
    Radius    61521.68
    MassSol   0.0247065
}

Star "2MASS 03140+16030/2MASS J03140344+1603056"
{
    RA        3 14  3.4
    Dec       +16  3  6
    Dist      14.50
    Class     "L0 V"
    AppMagnJ  12.53
    AppMagnH  11.82
    AppMagnKs 11.24
}

Star "DENIS-P 03143?46234/DENIS-P J0314352?462340/2MASS J03143304-4623400"
{
    RA        3 14 33.1
    Dec       -46 23 40
    Dist      28.90
    Class     "L2 V"
    AppMagnI  17.99
    AppMagnJ  14.75
    AppMagnH  13.92
    AppMagnKs 13.34
    AppMagnK  13.71
}

Star "WISEP 03161+38200/WISEP J031614.68+382008.0"
{
    RA        3 16 14.7
    Dec       +38 20  8
    Dist      23.00
    Class     "T3 V"
    AppMagnJ  16.21
    AppMagnH  15.5
    AppMagnKs 15.33
    AppMagnW1 14.72
    AppMagnW2 13.56
    AppMagnW3 12.37
}

Star "WISEP 03162+43070/WISEP J031624.35+430709.1"
{
    RA        3 16 24.4
    Dec       +43  7  9
    Dist      32.60
    Class     "T8 V"
    AppMagnJ  19.47
    AppMagnH  19.7
    AppMagnW1 17.86
    AppMagnW2 14.56
    AppMagnW3 12.82
    Teff      675
}

Star "2MASSI 03164-28485/2MASSI J0316451-284852/2MASS J03164512-2848521"
{
    RA        3 16 45.1
    Dec       -28 48 52
    Dist      37.00
    Class     "L0 V"
    AppMagnJ  14.57
    AppMagnH  13.77
    AppMagnKs 13.11
    AppMagnW1 12.68
    AppMagnW2 12.32
    AppMagnW3 11.93
}

Star "SDSS 03174+06130/SDSS J031740.38+061303.8"
{
    RA        3 17 40.4
    Dec       +06 13  4
    Dist      57.80
    Class     "L3 V"
    AppMagni  20.93
    AppMagnJ  16.37
    AppMagnH  15.6
    AppMagnKs 14.91
}

Star "2MASS 03185-34212/2MASS J03185403-3421292"
{
    RA        3 18 54.0
    Dec       -34 21 29
    Dist      13.72
    Class     "L7 V"
    AppMagnJ  15.57
    AppMagnH  14.35
    AppMagnKs 13.51
    AppMagnW1 12.62
    AppMagnW2 12.12
    AppMagnW3 11.16
}

Star "WISEP 03212-73475/WISEP J032120.91-734758.8"
{
    RA        3 21 20.9
    Dec       -73 47 59
    Dist      26.00
    Class     "T8 V"
    AppMagnJ  19.13
    AppMagnH  19.06
    AppMagnW1 19.19
    AppMagnW2 15.6
    AppMagnW3 13.01
    Teff      675
}

Star "ULAS J0321+0051"
{
    RA        3 21 23.0
    Dec       +00 51  5
    Dist      110.00
    Class     "T3 V"
    AppMagnJ  19.19
    AppMagnH  18.76
    AppMagnK  18.74
}

Star "2MASS 03231-46312/2MASS J03231002-4631237"
{
    RA        3 23 10.0
    Dec       -46 31 24
    Dist      54.00
    Class     "L0 V"
    AppMagnJ  15.39
    AppMagnH  14.32
    AppMagnKs 13.7
    AppMagnW1 13.08
    AppMagnW2 12.67
    AppMagnW3 11.94
}

Star "WISEPC 03233-60255/WISEPC J032337.53-602554.9"
{
    RA        3 23 37.5
    Dec       -60 25 55
    Dist      13.90
    Class     "T8.5 V"
    AppMagnJ  18.15
    AppMagnH  18.4
    AppMagnW1 17.5
    AppMagnW2 14.47
    AppMagnW3 12.81
    Teff      675
}

Star "2MASS 03250+22530/2MASS J03250136+2253039"
{
    RA        3 25  1.4
    Dec       +22 53  4
    Dist      36.00
    Class     "L3 V"
    AppMagnJ  15.43
    AppMagnH  14.33
    AppMagnKs 13.77
}

Star "WISEA 03250-50440/WISEA J032504.52-504403.0"
{
    RA        3 25  4.5
    Dec       -50 44  3
    Dist      36.40
    Class     "T8 V"
    AppMagnJ  18.94
    AppMagnH  19.42
    AppMagnW1 18.43
    AppMagnW2 16.21
    AppMagnW3 12.92
    Teff      575
}

Star "WISEP 03251-38545/WISEP J032517.69-385454.1"
{
    RA        3 25 17.7
    Dec       -38 54 54
    Dist      15.70
    Class     "T9 V"
    AppMagnJ  19.4
    AppMagnW1 18.46
    AppMagnW2 14.98
    AppMagnW3 13.22
    Teff      525
}

Star "DENIS-P 03252-43122/DENIS-P J0325293-431229/2MASS J03252938-4312299"
{
    RA        3 25 29.4
    Dec       -43 12 30
    Dist      29.10
    Class     "L0 V"
    AppMagnI  17.48
    AppMagnJ  14.18
    AppMagnH  13.43
    AppMagnK  12.91
}

Star "WISEP 03254+08311/WISEP J032547.72+083118.2"
{
    RA        3 25 47.7
    Dec       +08 31 18
    Dist      11.20
    Class     "T7 V"
    AppMagnJ  16.54
    AppMagnH  16.15
    AppMagnW1 15.44
    AppMagnW2 13.49
    AppMagnW3 11.66
    Teff      825
}

Star "SDSS 03255+04254/SDSS J032553.17+042540.1/2MASS J03255322+0425406"
{
    RA        3 25 53.2
    Dec       +04 25 41
    Dist      17.99
    Class     "T5.5 V"
    AppMagnJ  16.25
    AppMagnH  16.08
    AppMagnKs 16.53
    AppMagnW1 15.89
    AppMagnW2 13.78
    AppMagnW3 12.45
}

Star "2MASSW 03261+29501/2MASSW J0326137+295015/2MASS J03261367+2950152"
{
    RA        3 26 13.7
    Dec       +29 50 15
    Dist      32.26
    Class     "L3.5 V"
    AppMagnI  19.7
    AppMagnJ  15.48
    AppMagnH  14.4
    AppMagnKs 13.84
    AppMagnW2 12.75
}

Star "2MASS 03264-21020/2MASS J03264225-2102057"
{
    RA        3 26 42.3
    Dec       -21  2  6
    Dist      41.00
    Class     "L4 V"
    AppMagnI  19.9
    AppMagnJ  16.13
    AppMagnH  14.79
    AppMagnKs 13.92
    AppMagnW1 12.95
    AppMagnW2 12.44
    AppMagnW3 12.17
}

Star "2MASS 03274-31481/2MASS J03274091-3148156"
{
    RA        3 27 40.9
    Dec       -31 48 16
    Dist      48.00
    Class     "L3 V"
    AppMagnJ  16.09
    AppMagnKs 14.15
}

Star "SDSSp 03281+00325/SDSSp J032817.38+003257.2/2MASS J03281738+0032572"
{
    RA        3 28 17.4
    Dec       +00 32 57
    Dist      46.00
    Class     "L3 V"
    AppMagnr  22.9
    AppMagni  20.61
    AppMagnJ  15.99
    AppMagnH  14.98
    AppMagnKs 14.16
}

Star "SONYC-NGC1333-29/2MASS J03282839+3116273"           //Unconfirmed
{
    RA        3 28 28.4
    Dec       +31 16 27
    Dist      300.00
    Class     "M7 V"
    AppMagni  17.64
    AppMagnJ  14.62
    AppMagnH  13.93
    AppMagnK  13.62
    Teff      3150
}

Star "SONYC-NGC1333-30/2MASS J03283107+3117040"
{
    RA        3 28 31.1
    Dec       +31 17  4
    Dist      300.00
    Class     "M9.5 V"
    AppMagni  23.65
    AppMagnJ  16.82
    AppMagnH  15.35
    AppMagnK  14.08
    Teff      2700
    MassSol   0.019005
}

Star "2MASSI 03284+23020/2MASSI J0328426+230205/2MASS J03284265+2302051"
{
    RA        3 28 42.7
    Dec       +23  2  5
    Dist      30.18
    Class     "L8 V"
    AppMagnI  20.3
    AppMagnJ  16.69
    AppMagnH  15.55
    AppMagnKs 14.92
    AppMagnK  14.88
}

Star "Sp 46/2MASS J03284407+3120528"           //Unconfirmed
{
    RA        3 28 44.1
    Dec       +31 20 53
    Dist      300.00
    Class     "M7.5 V"
    AppMagnJ  14.25
    AppMagnH  13.21
    AppMagnK  12.63
    Teff      2940
}

Star "ASR 117/2MASS J03284734+3111298"           //Unconfirmed
{
    RA        3 28 47.3
    Dec       +31 11 30
    Dist      300.00
    Class     "L V"      //Unknown
    AppMagni  21.63
    AppMagnJ  15.48
    AppMagnH  13.71
    AppMagnK  12.7
    Teff      3100
}

Star "MBO 139"
{
    RA        3 28 47.7
    Dec       +31 21 55
    Dist      300.00
    Class     "M9 V"
    AppMagni  23.54
    AppMagnJ  17.55
    AppMagnK  15.24
    Teff      2700
    MassSol   0.019005
}

Star "ASR 111/2MASS J03284782+3116552"           //Unconfirmed
{
    RA        3 28 47.8
    Dec       +31 16 55
    Dist      300.00
    Class     "M8 V"
    AppMagnJ  12.94
    AppMagnH  11.76
    AppMagnK  10.91
    Teff      2710
}

Star "ASR 45/2MASS J03285213+3115471"           //Unconfirmed
{
    RA        3 28 52.1
    Dec       +31 15 47
    Dist      300.00
    Class     "M7 V"
    AppMagnJ  13.16
    AppMagnH  12.47
    AppMagnK  12.03
    Teff      2850
}

Star "ASR 109/2MASS J03285492+3115290"           //Unconfirmed
{
    RA        3 28 54.9
    Dec       +31 15 29
    Dist      300.00
    Class     "M8 V"
    AppMagni  21.04
    AppMagnJ  15.99
    AppMagnH  14.97
    AppMagnK  14.22
    Teff      2725
}

Star "SONYC-NGC1333-39/2MASS J03285496+3118153"           //Unconfirmed
{
    RA        3 28 55.0
    Dec       +31 18 15
    Dist      300.00
    Class     "M8.5 V"
    AppMagnJ  16.88
    AppMagnH  14.93
    AppMagnK  13.16
    Teff      2900
}

Star "ASR 38/2MASS J03285524+3117354"           //Unconfirmed
{
    RA        3 28 55.2
    Dec       +31 17 35
    Dist      300.00
    Class     "M8 V"
    AppMagni  19.39
    AppMagnJ  15.09
    AppMagnH  14.21
    AppMagnK  13.43
    Teff      2900
}

Star "SONYC-NGC1333 -4"           //Unconfirmed
{
    RA        3 28 56.4
    Dec       +31 16  4
    Dist      300.00
    Class     "M9.5 V"
    AppMagni  23
    AppMagnJ  18.17
    AppMagnH  17.57
    AppMagnK  16.73
    Teff      2500
    MassSol   0.01425375
}

Star "ASR 15/2MASS J03285694+3115503"           //Unconfirmed
{
    RA        3 28 56.9
    Dec       +31 15 50
    Dist      300.00
    Class     "M7 V"
    AppMagnR  21.2
    AppMagnJ  15.06
    AppMagnH  14.18
    AppMagnK  13.46
}

Star "MBO 91/2MASS J03285694+3120487"           //Unconfirmed
{
    RA        3 28 56.9
    Dec       +31 20 49
    Dist      300.00
    Class     "M7 V"
    AppMagni  19.42
    AppMagnJ  15.36
    AppMagnH  14.48
    AppMagnK  13.82
    Teff      2875
}

Star "SONYC-NGC1333-44"           //Unconfirmed
{
    RA        3 28 57.0
    Dec       +31 16 49
    Dist      300.00
    Class     "M8.5 V"
    AppMagnJ  17.12
    AppMagnH  16.25
    AppMagnK  15.59
    Teff      2800
    MassSol   0.019005
}

Star "ASR 64"           //Unconfirmed
{
    RA        3 28 57.1
    Dec       +31 19 12
    Dist      300.00
    Class     "M8 V"
    AppMagni  21.16
    AppMagnJ  17.24
    AppMagnH  15.97
    AppMagnK  15.34
    Teff      2975
}

Star "ASR 17/2MASS J03285715+3115345"           //Unconfirmed
{
    RA        3 28 57.2
    Dec       +31 15 35
    Dist      300.00
    Class     "M7 V"
    AppMagnJ  15.41
    AppMagnH  14
    AppMagnK  13.19
}

Star "MBO 80/2MASS J03285842+3122567"           //Unconfirmed
{
    RA        3 28 58.4
    Dec       +31 22 57
    Dist      300.00
    Class     "M7 V"
    AppMagni  19.23
    AppMagnJ  15.4
    AppMagnH  14.24
    AppMagnK  13.69
    Teff      2800
}

Star "SONYC-NGC1333-40/2MASS J03290279+3122172"           //Unconfirmed
{
    RA        3 29  2.8
    Dec       +31 22 17
    Dist      300.00
    Class     "M9.5 V"
    AppMagnJ  16.96
    AppMagnH  14.88
    AppMagnK  13.42
    Teff      2700
}

Star "MBO 89/2MASS J03290320+3125451"           //Unconfirmed
{
    RA        3 29  3.2
    Dec       +31 25 45
    Dist      300.00
    Class     "M7 V"
    AppMagnJ  15.8
    AppMagnH  14.62
    AppMagnK  13.83
    Teff      3200
}

Star "ASR 63/2MASS J03290339+3118399"           //Unconfirmed
{
    RA        3 29  3.4
    Dec       +31 18 40
    Dist      300.00
    Class     "M8.5 V"
    AppMagni  20.06
    AppMagnJ  15.83
    AppMagnH  14.8
    AppMagnK  14.01
    Teff      2725
}

Star "MBO 116/2MASS J03290394+3123307"           //Unconfirmed
{
    RA        3 29  3.9
    Dec       +31 23 31
    Dist      300.00
    Class     "M8.5 V"
    AppMagnJ  17.14
    AppMagnH  16.06
    AppMagnK  14.93
    Teff      2500
    MassSol   0.01425375
}

Star "ASR 8/2MASS J03290406+3117075"           //Unconfirmed
{
    RA        3 29  4.1
    Dec       +31 17  8
    Dist      300.00
    Class     "M7 V"
    AppMagnR  17.6
    AppMagnJ  13.31
    AppMagnH  12.78
    AppMagnK  12.31
}

Star "SONYC-NGC1333-41/2MASS J03290462+3120289"           //Unconfirmed
{
    RA        3 29  4.6
    Dec       +31 20 29
    Dist      300.00
    Class     "M7.5 V"
    AppMagnJ  17.65
    AppMagnH  15.46
    AppMagnK  13.89
    Teff      3100
}

Star "SONYC-NGC1333 -9"           //Unconfirmed
{
    RA        3 29  5.5
    Dec       +31 10 14
    Dist      300.00
    Class     "M8.5 V"
    AppMagni  21.29
    AppMagnJ  17.07
    AppMagnK  15.67
    Teff      2600
}

Star "MBO 143/2MASS J03290566+3120107"           //Unconfirmed
{
    RA        3 29  5.7
    Dec       +31 20 11
    Dist      300.00
    AppMagni  20.08
    AppMagnJ  17.11
    AppMagnH  16.34
    AppMagnK  15.49
    Teff      2500
    MassSol   0.01425375
}

Star "SONYC-NGC1333-34/2MASS J03290693+3129571"           //Unconfirmed
{
    RA        3 29  6.9
    Dec       +31 29 57
    Dist      300.00
    Class     "M7 V"
    AppMagni  20.84
    AppMagnJ  16.54
    AppMagnH  15.55
    AppMagnK  14.77
    Teff      2950
}

Star "MBO 141"           //Unconfirmed
{
    RA        3 29  7.2
    Dec       +31 23 23
    Dist      300.00
    Class     "M9 V"
    AppMagni  22.99
    AppMagnJ  17.87
    AppMagnK  15.62
    Teff      2600
}

Star "MBO 70/2MASS J03290933+3121042"           //Unconfirmed
{
    RA        3 29  9.3
    Dec       +31 21  4
    Dist      300.00
    Class     "L V"      //Unknown
    AppMagni  22.55
    AppMagnJ  16.42
    AppMagnH  14.34
    AppMagnK  13.15
    Teff      2500
}

Star "MBO 94/2MASS J03291018+3127159"           //Unconfirmed
{
    RA        3 29 10.2
    Dec       +31 27 16
    Dist      300.00
    Class     "M7.5 V"
    AppMagni  18.99
    AppMagnJ  15.55
    AppMagnH  14.69
    AppMagnK  14.13
    Teff      3050
}

Star "ASR 24/2MASS J03291130+3117175"           //Unconfirmed
{
    RA        3 29 11.3
    Dec       +31 17 18
    Dist      300.00
    Class     "M8 V"
    AppMagnJ  13.98
    AppMagnH  13.45
    AppMagnK  12.92
}

Star "ASR 83/2MASS J03291279+3120077"           //Unconfirmed
{
    RA        3 29 12.8
    Dec       +31 20  8
    Dist      300.00
    Class     "M7.5 V"
    AppMagnJ  14.68
    AppMagnH  13.78
    AppMagnK  13.29
    Teff      2880
}

Star "ASR 28/2MASS J03291303+3117383"           //Unconfirmed
{
    RA        3 29 13.0
    Dec       +31 17 38
    Dist      300.00
    Class     "M8 V"
    AppMagnJ  15.23
    AppMagnH  14.71
    AppMagnK  14.16
    Teff      2710
}

Star "SONYC-NGC1333-45"           //Unconfirmed
{
    RA        3 29 13.0
    Dec       +31 17 38
    Dist      300.00
    Class     "M8 V"
    AppMagnJ  15.23
    AppMagnH  14.71
    AppMagnK  14.16
    Teff      2900
}

Star "SONYC-NGC1333-42"           //Unconfirmed
{
    RA        3 29 13.9
    Dec       +31 18  6
    Dist      300.00
    Class     "L1 V"
    AppMagnJ  19.25
    AppMagnH  18.39
    AppMagnK  17.54
    Teff      2400
    MassSol   0.0095025
}

Star "MBO 66/2MASS J03291443+3122362"           //Unconfirmed
{
    RA        3 29 14.4
    Dec       +31 22 36
    Dist      300.00
    Class     "M7 V"
    AppMagni  18.1
    AppMagnJ  14.61
    AppMagnH  13.53
    AppMagnK  13.04
    Teff      2900
}

Star "ASR 80/2MASS J03291776+3119481"           //Unconfirmed
{
    RA        3 29 17.8
    Dec       +31 19 48
    Dist      300.00
    Class     "M7.5 V"
    AppMagni  19.09
    AppMagnJ  14.8
    AppMagnH  13.65
    AppMagnK  12.99
    Teff      3000
}

Star "ULAS 03292+04302/ULAS J032920.22+043024.5"
{
    RA        3 29 20.2
    Dec       +04 30 25
    Dist      24.00
    Class     "T7 V"
    AppMagnJ  17.5
    AppMagnH  17.88
    AppMagnK  18.17
}

Star "SONYC-NGC1333-43"           //Unconfirmed
{
    RA        3 29 21.9
    Dec       +31 18 29
    Dist      300.00
    Class     "M8 V"
    AppMagnJ  18.73
    AppMagnK  17.13
    Teff      2900
}

Star "MBO 69/2MASS J03292445+3128149"           //Unconfirmed
{
    RA        3 29 24.5
    Dec       +31 28 15
    Dist      300.00
    Class     "M7 V"
    AppMagnJ  14.04
    AppMagnH  13.17
    AppMagnK  12.69
    Teff      3200
}

Star "SONYC-NGC1333-36"
{
    RA        3 29 25.8
    Dec       +31 16 42
    Dist      300.00
    Class     "L3 V"
    AppMagni  23.39
    AppMagnJ  18.53
    AppMagnK  17.07
    Teff      2250
    MassSol   0.0057015
}

Star "SONYC-NGC1333-16/2MASS J03292815+3116285"           //Unconfirmed
{
    RA        3 29 28.2
    Dec       +31 16 29
    Dist      300.00
    Class     "M8 V"
    AppMagni  16.93
    AppMagnJ  13.05
    AppMagnH  12.5
    AppMagnK  12.09
    Teff      2740
}

Star "MBO 68/2MASS J03293053+3127280"           //Unconfirmed
{
    RA        3 29 30.5
    Dec       +31 27 28
    Dist      300.00
    Class     "M7 V"
    AppMagni  17.36
    AppMagnJ  13.81
    AppMagnH  13.01
    AppMagnK  12.6
    Teff      3200
}

Star "MBO 140/2MASS J03293387+3120362"           //Unconfirmed
{
    RA        3 29 33.9
    Dec       +31 20 36
    Dist      300.00
    Class     "M8 V"
    AppMagni  20.38
    AppMagnJ  16.56
    AppMagnH  15.68
    AppMagnK  15.48
    Teff      2550
}

Star "SONYC-NGC1333-38"           //Unconfirmed
{
    RA        3 29 34.4
    Dec       +31 15 25
    Dist      300.00
    Class     "M7.5 V"
    AppMagni  21.09
    AppMagnJ  17.33
    AppMagnK  16.15
    Teff      2850
}

Star "SONYC-NGC1333-18"           //Unconfirmed
{
    RA        3 29 35.7
    Dec       +31 21  9
    Dist      300.00
    Class     "M8 V"
    AppMagni  22.63
    AppMagnJ  18.5
    AppMagnK  16.94
    Teff      2500
    MassSol   0.01425375
}

Star "SONYC-NGC1333-19"           //Unconfirmed
{
    RA        3 29 36.4
    Dec       +31 17 50
    Dist      300.00
    Class     "L V"      //Unknown
    AppMagni  22.53
    AppMagnJ  17.91
    AppMagnK  16.38
    Teff      2700
}

Star "MBO 65/2MASS J03293773+3122024"           //Unconfirmed
{
    RA        3 29 37.7
    Dec       +31 22  2
    Dist      300.00
    Class     "M7.5 V"
    AppMagnJ  13.99
    AppMagnH  13.37
    AppMagnK  12.96
    Teff      2870
}

Star "SONYC-NGC1333-31/2MASS J03294415+3119478"           //Unconfirmed
{
    RA        3 29 44.2
    Dec       +31 19 48
    Dist      300.00
    Class     "M9 V"
    AppMagnJ  17.39
    AppMagnH  16.59
    AppMagnK  15.29
    Teff      2300
    MassSol   0.0095025
}

Star "SDSSp 03301+00004/SDSSp J033017.77+000047.8/2MASS J03301774+0000477"
{
    RA        3 30 17.7
    Dec       +00  0 48
    Dist      91.00
    Class     "L0 V"
    AppMagnJ  16.52
    AppMagnH  15.88
    AppMagnKs 15.53
}

Star "SDSSp 03303-00253/SDSSp J033035.13-002534.5/2MASS J03303511-0025346"
{
    RA        3 30 35.1
    Dec      -0.426389
    Dist      28.00
    Class     "L4 V"
    AppMagnr  22.31
    AppMagni  20.14
    AppMagnI  19
    AppMagnJ  15.31
    AppMagnH  14.42
    AppMagnKs 13.84
}

Star "WISEPC 03334-58561/WISEPC J033349.34-585618.7"
{
    RA        3 33 49.3
    Dec       -58 56 19
    Dist      16.80
    Class     "T3 V"
    AppMagnJ  16
    AppMagnH  15.42
    AppMagnKs 14.64
    AppMagnW1 14.02
    AppMagnW2 13.25
    AppMagnW3 12.11
}

Star "DENIS-P 03341-49533/DENIS-P J033411.3-495333/2MASS J03341218-4953322"
{
    RA        3 34 12.2
    Dec       -49 53 32
    Dist      8.29
    Class     "M9 V"
    AppMagnJ  11.38
    AppMagnH  10.82
    AppMagnK  10.39
}

Star "SDSS 03345+01061/SDSS J033456.32+010618.7/2MASSA J0334563+010619"
{
    RA        3 34 56.3
    Dec       +01  6 19
    Dist      116.00
    Class     "L0.5 V"
    AppMagnr  23.85
    AppMagni  21.02
    AppMagnJ  17.26
    AppMagnH  16.46
    AppMagnKs 15.88
}

Star "2MASSW 03350+23423/2MASSW J0335020+234235"           //Unconfirmed
{
    RA        3 35  2.1
    Dec       +23 42 36
    Dist      11.30
    Class     "L2 V"
    AppMagnR  17.67
    AppMagnI  15.7
    AppMagnJ  12.25
    AppMagnH  11.66
    AppMagnKs 11.26
}

Star "WISEP 03351+43104/WISEP J033515.01+431045.1"
{
    RA        3 35 14.3
    Dec       +43 10 53
    Dist      14.29
    Class     "T9 V"
    AppMagnJ  19.47
    AppMagnH  19.94
    AppMagnKs 18.56
    AppMagnW1 18.65
    AppMagnW2 14.52
    AppMagnW3 12.42
    Teff      465
    Radius    62919.9
    MassSol   0.0209055
}

Star "WISEP 03360-01435/WISEP J033605.05-014350.4"
{
    RA        3 36  5.1
    Dec       -01 43 50
    Dist      17.00
    Class     "T8 V"
    AppMagnJ  19.00
    AppMagnH  18.25
    AppMagnW1 17.96
    AppMagnW2 14.54
    AppMagnW3 12.56
    Teff      675
}

Star "WISEP 03365+28262/WISEP J033651.90+282628.8"
{
    RA        3 36 51.9
    Dec       +28 26 29
    Dist      24.00
    Class     "T5 V"
    AppMagnJ  16.54
    AppMagnH  16.28
    AppMagnKs 15.77
    AppMagnW1 16.01
    AppMagnW2 14.44
    AppMagnW3 12.47
}

Star "LP 944-20/2MASS J03393521-3525440"
{
    RA        3 39 35.2
    Dec       -35 25 44
    Dist      4.97
    Class     "M9 V"
    AppMagnI  13.29
    AppMagnJ  10.73
    AppMagnH  10.02
    AppMagnK  9.55
    Teff      2200
    Radius    59424.35
    MassSol   0.057015
}

Star "2MASS 03400-67240/2MASS J03400942-6724051"
{
    RA        3 40  9.4
    Dec       -67 24  5
    Dist      11.00
    Class     "L7 V"
    AppMagnJ  14.74
    AppMagnH  13.59
    AppMagnKs 12.93
}

Star "2MASS 03421-68173/2MASS J03421621-6817321"
{
    RA        3 42 16.2
    Dec       -68 17 32
    Dist      81.00
    Class     "L2 V"
    AppMagnJ  16.85
    AppMagnH  15.39
    AppMagnKs 14.54
    AppMagnW1 13.95
    AppMagnW2 13.46
    AppMagnW3 13.07
}

Star "CFHT-Pl -8/2MASS J03422680+2450204"           //Unconfirmed
{
    RA        3 42 26.8
    Dec       +24 50 21
    Dist      136.20
    AppMagnI  17.42
    AppMagnJ  15.2
    AppMagnH  14.51
    AppMagnK  14.19
    MassSol   0.0741195
}

Star "CFHT-Pl-17/2MASS J03430016+2443525"           //Unconfirmed
{
    RA        3 43  0.2
    Dec       +24 43 53
    Dist      136.20
    Class     "M8 V"
    AppMagnI  18.8
    AppMagnJ  16
    AppMagnH  15.36
    AppMagnK  15.03
    MassSol   0.0513135
}

Star "CFHT-Pl-14"           //Unconfirmed
{
    RA        3 43 14.2
    Dec       +24 23 21
    Dist      136.20
    Class     "M6 V"
    AppMagnI  17.9
    MassSol   0.05986575
}

Star "Roque 7/2MASS J03434028+2430113"           //Unconfirmed
{
    RA        3 43 40.3
    Dec       +24 30 11
    Dist      136.20
    Class     "M8.5 V"
    AppMagnI  19.29
    AppMagnJ  16.35
    AppMagnH  15.93
    AppMagnK  15.34
    MassSol   0.0437115
}

Star "SDSS 03440+01112/SDSS J034408.91+011124.9/2MASS J03440892+0111251"
{
    RA        3 44  8.9
    Dec       +01 11 25
    Dist      34.00
    Class     "L1 V"
    AppMagnr  21.49
    AppMagni  20.04
    AppMagnI  18.2
    AppMagnJ  14.74
    AppMagnH  13.91
    AppMagnKs 13.52
}

Star "CFHT-Pl-20/2MASS J03441269+2524352"           //Unconfirmed
{
    RA        3 44 12.7
    Dec       +25 24 36
    Dist      136.20
    AppMagnI  18.9
    AppMagnJ  16.5
    AppMagnH  15.66
    AppMagnK  15.4
    MassSol   0.0475125
}

Star "CFHT-Pl-10/2MASS J03443231+2525181"           //Unconfirmed
{
    RA        3 44 32.3
    Dec       +25 25 18
    Dist      136.20
    Class     "M6.5 V"
    AppMagnI  17.59
    AppMagnJ  15.46
    AppMagnH  14.88
    AppMagnK  14.47
    MassSol   0.06936825
}

Star "CFHT-Pl-16"           //Unconfirmed
{
    RA        3 44 35.2
    Dec       +25 13 43
    Dist      136.20
    Class     "M9.5 V"
    AppMagnI  18.66
    AppMagnJ  15.66
    AppMagnH  14.99
    AppMagnK  14.45
    MassSol   0.06176625
}

Star "CFHT J0344+3206"
{
    RA        3 44 49.5
    Dec       +32  6 35
    Dist      188.30
    Class     "T6 V"
    AppMagnH  21.65
    Teff      975
}

Star "CFHT-Pl-19/2MASS J03453315+2534300"           //Unconfirmed
{
    RA        3 45 33.2
    Dec       +25 34 30
    Dist      136.20
    AppMagnI  16.5
    AppMagnJ  15.63
    AppMagnKs 15.26
    MassSol   0.05226375
}

Star "Roque 15"           //Unconfirmed
{
    RA        3 45 41.3
    Dec       +23 54 10
    Dist      136.20
    Class     "M6.5 V"
    AppMagn   22.08
    AppMagnI  18.21
    AppMagnJ  15.36
    AppMagnH  14.78
    AppMagnK  14.31
    MassSol   0.0741195
}

Star "Teide 1"
{
    RA        3 47 17.9
    Dec       +24 22 32
    Dist      136.20
    Class     "M8 V"
    AppMagnI  19.26
    AppMagnJ  16.22
    AppMagnH  15.59
    AppMagnK  15.1
    Teff      2600
    MassSol   0.05226375
}

Star "Roque 16/2MASS J03473900+2436226"           //Unconfirmed
{
    RA        3 47 39.0
    Dec       +24 36 23
    Dist      136.20
    Class     "M6 V"
    AppMagnR  20.17
    AppMagnI  17.91
    AppMagnJ  15.63
    AppMagnH  14.98
    AppMagnK  14.7
    MassSol   0.0665175
}

Star "2MASS 03480-60222/2MASS J03480772-6022270"
{
    RA        3 48  7.7
    Dec       -60 22 27
    Dist      9.00
    Class     "T7 V"
    AppMagnJ  15.32
    AppMagnH  15.56
    AppMagnKs 15.6
    AppMagnW1 15.02
    AppMagnW2 12.57
    AppMagnW3 11.1
    Teff      825
}

Star "Roque 25"
{
    RA        3 48 30.8
    Dec       +22 44 50
    Dist      150.00
    Class     "L0 V"
    AppMagnI  21.8
    AppMagnJ  17.71
    AppMagnH  16.86
    AppMagnKs 16.25
}

Star "UGCS 03483+24343/UGCS J034831.52+243437.2"
{
    RA        3 48 31.5
    Dec       +24 34 38
    Dist      136.20
    Class     "M9 V"
    AppMagnI  20
    AppMagnJ  16.72
    AppMagnH  15.98
    AppMagnK  15.36
    Teff      2300
    MassSol   0.0475125
}

Star "CFHT-Pl -9"           //Unconfirmed
{
    RA        3 49 15.1
    Dec       +24 36 23
    Dist      136.20
    Class     "M6.5 V"
    AppMagnR  19.95
    AppMagnI  17.71
    AppMagnJ  15.39
    AppMagnH  14.89
    AppMagnK  14.43
    MassSol   0.07126875
}

Star "WISEP 03500-56583/WISEP J035000.32-565830.2"
{
    RA        3 50  0.3
    Dec       -56 58 30
    Dist      4.20
    Class     "Y1 V"
    AppMagnJ  22.18
    AppMagnH  22.26
    AppMagnW1 18.70
    AppMagnW2 14.75
    AppMagnW3 12.33
    Teff      325
}

Star "SDSS 03504-05181/SDSS J035048.62-051812.8/2MASS J03504861-0518126"
{
    RA        3 50 48.6
    Dec       -05 18 13
    Dist      73.00
    Class     "L1 V"
    AppMagnr  23.43
    AppMagni  20.79
    AppMagnJ  16.33
    AppMagnH  15.53
    AppMagnKs 15.13
}

Star "LP 413-53/2MASS J03505737+1818069"
{
    RA        3 50 57.4
    Dec       +18 18  7
    Dist      16.80
    Class     "L2 V"
    AppMagn   19.28
    AppMagnR  19.2
    AppMagnI  15.6
    AppMagnJ  12.97
    AppMagnH  12.21
    AppMagnKs 11.78
}

Star "SDSS 03510+48104/SDSS J035104.37+481046.8/2MASS J03510423+4810477"
{
    RA        3 51  4.2
    Dec       +48 10 48
    Dist      23.00
    Class     "T1 V"
    AppMagnJ  16.47
    AppMagnH  15.57
    AppMagnKs 15
    AppMagnW1 14.57
    AppMagnW2 13.9
    AppMagnW3 12.31
}

Star "Calar 3"
{
    RA        3 51 25.6
    Dec       +23 45 21
    Dist      136.20
    Class     "M8 V"
    AppMagnR  21.42
    AppMagnI  18.73
    AppMagnJ  16.13
    AppMagnH  15.48
    AppMagnK  15.01
    Teff      2600
    MassSol   0.05416425
}

Star "CFHT-Pl -7/2MASS J03520581+2417314"           //Unconfirmed
{
    RA        3 52  5.8
    Dec       +24 17 31
    Dist      136.20
    Class     "M5.5 V"
    AppMagnR  19.32
    AppMagnI  17.34
    AppMagnJ  15.26
    AppMagnH  14.57
    AppMagnK  14.26
    MassSol   0.07506975
}

Star "Teide 2/2MASS J03520670+2416008"           //Unconfirmed
{
    RA        3 52  6.7
    Dec       +24 16  1
    Dist      136.20
    Class     "M6 V"
    AppMagnR  20.05
    AppMagnI  17.82
    AppMagnJ  15.54
    AppMagnH  14.97
    AppMagnK  14.5
    MassSol   0.0627165
}

Star "2MASS 03521+02104/2MASS J03521086+0210479"
{
    RA        3 52 10.9
    Dec       +02 10 48
    Dist      21.00
    Class     "L0 V"
    AppMagnJ  13.08
    AppMagnH  12.41
    AppMagnKs 11.96
}

Star "CFHT-Pl-23/2MASS J03521864+2404283"           //Unconfirmed
{
    RA        3 52 18.6
    Dec       +24  4 28
    Dist      136.20
    AppMagnI  19.2
    AppMagnJ  16.26
    AppMagnH  15.73
    AppMagnK  15.38
    MassSol   0.045612
}

Star "2MASS 03524+21123/2MASS J03524627+2112332"
{
    RA        3 52 46.3
    Dec       +21 12 33
    Dist      52.80
    Class     "L1.5 V"
    AppMagnJ  15.94
    AppMagnH  14.81
    AppMagnK  14.26
    AppMagnW1 13.58
    AppMagnW2 13.28
    Teff      2332
    MassSol   0.07316925
}

Star "SDSS 03530+10305/SDSS J035308.54+103056.0"
{
    RA        3 53  8.5
    Dec       +10 30 56
    Dist      32.90
    Class     "L1 V"
    AppMagni  19.91
    AppMagnJ  15.45
    AppMagnH  14.65
    AppMagnKs 14.18
}

Star "CFHT-Pl-18/2MASS J03532311+2319203"           //Unconfirmed
{
    RA        3 53 23.1
    Dec       +23 19 20
    Dist      136.20
    Class     "M8 V"
    AppMagnI  18.34
    AppMagnJ  16.04
    AppMagnH  15.28
    AppMagnK  14.75
    MassSol   0.057015
}

Star "CFHT-Pl-26"           //Unconfirmed
{
    RA        3 54  1.4
    Dec       +24 44 47
    Dist      136.20
    AppMagnI  20.1
    MassSol   0.03515925
}

Star "CFHT-Pl-25/2MASS J03540532+2333597"           //Unconfirmed
{
    RA        3 54  5.3
    Dec       +23 33 60
    Dist      136.20
    Class     "M9 V"
    AppMagnR  22.38
    AppMagnI  19.57
    AppMagnJ  16.69
    AppMagnH  15.78
    AppMagnK  15.29
    MassSol   0.0399105
}

Star "SDSS 03544-00274/SDSS J035448.73-002742.1/2MASS J03544855-0027420"
{
    RA        3 54 48.6
    Dec      -0.461667
    Dist      98.00
    Class     "L2 V"
    AppMagnJ  17.28
    AppMagnH  16.19
    AppMagnKs 15.74
}

Star "CFHT-Pl-22"           //Unconfirmed
{
    RA        3 54 59.4
    Dec       +23 58  9
    Dist      136.20
    AppMagnI  19.2
    MassSol   0.04086075
}

Star "CFHT-Pl-15/2MASS J03551257+2317378"           //Unconfirmed
{
    RA        3 55 12.6
    Dec       +23 17 38
    Dist      136.20
    Class     "M7 V"
    AppMagnR  21.09
    AppMagnI  18.62
    AppMagnJ  16.01
    AppMagnH  15.19
    AppMagnK  14.77
    MassSol   0.0513135
}

Star "2MASSW 03554+22570/2MASSW J0355419+225702/2MASS J03554191+2257016"
{
    RA        3 55 41.9
    Dec       +22 57  2
    Dist      37.60
    Class     "L3 V"
    AppMagnI  19.49
    AppMagnJ  16.11
    AppMagnH  15.05
    AppMagnKs 14.28
    AppMagnK  14.21
    AppMagnW1 13.64
    AppMagnW2 13.31
    Teff      2332
    MassSol   0.07316925
}

Star "SDSS 03572-06412/SDSS J035721.11-064126.0/2MASS J03572110-0641260"
{
    RA        3 57 21.1
    Dec       -06 41 26
    Dist      70.00
    Class     "L0 V"
    AppMagnr  22.92
    AppMagni  20.18
    AppMagnJ  15.95
    AppMagnH  15.06
    AppMagnKs 14.6
}

Star "2MASS 03582-41160/2MASS J03582255-4116060"
{
    RA        3 58 22.6
    Dec       -41 16  6
    Dist      24.00
    Class     "L5 V"
    AppMagnJ  15.85
    AppMagnH  14.61
    AppMagnKs 13.84
    AppMagnW1 12.9
    AppMagnW2 12.43
    AppMagnW3 11.66
}

Star "WISEP 03593-54015/WISEP J035934.06-540154.6"
{
    RA        3 59 34.1
    Dec       -54  1 55
    Dist      6.90
    Class     "Y0 V"
    AppMagnJ  21.57
    AppMagnH  22.03
    AppMagnW1 19.29
    AppMagnW2 15.38
    AppMagnW3 13.02
    Teff      375
}

"Star ""SDSS 04010-06093/SDSS J040100.96-060933.0	/2MASSA J04010093-060932   """
{
    RA        4  1  0.9 
    Dec       -06 9 32
    Dist      64.00
    Class     "L4 V"
    AppMagnJ  17.16
    AppMagnH  16.04
    AppMagnKs 15.52
}

Star "2MASS 04012-40504/2MASS J04012977-4050448"
{
    RA        4  1 29.8
    Dec       -40 50 45
    Dist      36.00
    Class     "L0 V"
    AppMagnJ  14.53
    AppMagnH  13.72
    AppMagnKs 13.18
}

Star "WISE 04013+28495/WISE J040137.21+284951.7"
{
    RA        4  1 37.2
    Dec       +28 49 52
    Dist      14.10
    Class     "L3 V"
    AppMagnJ  13.41
    AppMagnH  12.43
    AppMagnKs 11.82
    AppMagnW1 11.28
    AppMagnW2 11.01
    AppMagnW3 11.01
    Teff      1970
    MassSol   0.06176625
}

Star "WISE 04041+41273/WISE J040418.01+412735.6"
{
    RA        4  4 18.0
    Dec       +41 27 36
    Dist      23.20
    Class     "L2 V"
    AppMagnJ  14.15
    AppMagnH  13.1
    AppMagnKs 12.42
    AppMagnW1 11.85
    AppMagnW2 11.55
    AppMagnW3 11.64
    Teff      2100
    MassSol   0.0665175
}

Star "WISEA 04044-64203/WISEA J040443.50-642030.0"
{
    RA        4  4 43.5
    Dec       -64 20 30
    Dist      24.80
    Class     "T9 V"
    AppMagnJ  19.65
    AppMagnH  19.97
    AppMagnW1 18.44
    AppMagnW2 15.73
    AppMagnW3 12.98
    Teff      575
}

Star "2MASS 04062-38121/2MASS J04062677-3812102"
{
    RA        4  6 26.8
    Dec       -38 12 10
    Dist      124.00
    Class     "L0 V"
    AppMagnJ  16.77
    AppMagnH  15.71
    AppMagnKs 15.11
    AppMagnW1 14.45
    AppMagnW2 14.1
    AppMagnW3 12.52
}

Star "SDSS 04070+15464/SDSS J040707.56+154645.2/2MASS J04070752+1546457"
{
    RA        4  7  7.5
    Dec       +15 46 46
    Dist      33.00
    Class     "L3.5 V"
    AppMagnJ  15.48
    AppMagnH  14.35
    AppMagnKs 13.56
}

Star "DENIS-P 04070-23482/DENIS-P J0407089-234829/2MASS J04070892-2348301"
{
    RA        4  7  8.9
    Dec       -23 48 30
    Dist      26.20
    Class     "M9 V"
    AppMagnI  16.8
    AppMagnJ  13.75
    AppMagnH  13.08
    AppMagnK  12.63
}

Star "2MASSI 04082-14503/2MASSI J0408290-145033/2MASS J04082905-1450334"
{
    RA        4  8 29.1
    Dec       -14 50 33
    Dist      24.00
    Class     "L2 V"
    AppMagnJ  14.22
    AppMagnH  13.34
    AppMagnKs 12.82
}

Star "2MASSI 04090+21043/2MASSI J0409095+210439/2MASS J04090950+2104393"
{
    RA        4  9  9.5
    Dec       +21  4 39
    Dist      37.50
    Class     "L3 V"
    AppMagnJ  15.51
    AppMagnH  14.5
    AppMagnKs 13.85
}

Star "WISEPA 04102+15024/WISEPA J041022.71+150248.5"
{
    RA        4 10 22.1
    Dec       +15  3 11
    Dist      6.25
    Class     "Y0 V"
    AppMagnJ  19.33
    AppMagnH  19.9
    AppMagnK  19.91
    AppMagnW1 18.33
    AppMagnW2 14.11
    AppMagnW3 12.31
    Teff      409
    Radius    64318.12
    MassSol   0.0171045
}

Star "2MASS 04102+14591/2MASS J04102390+1459104"
{
    RA        4 10 23.9
    Dec       +14 59 10
    Dist      54.60
    Class     "L0.5 V"
    AppMagnJ  15.65
    AppMagnH  14.78
    AppMagnK  14.17
    AppMagnW1 13.95
    AppMagnW2 13.7
    Teff      2320
    MassSol   0.0741195
}

Star "WISEPA 04105+14113/WISEPA J041054.48+141131.6"
{
    RA        4 10 54.5
    Dec       +14 11 32
    Dist      26.30
    Class     "T6 V"
    AppMagnJ  17.16
    AppMagnH  17.26
    AppMagnKs 16.98
    AppMagnK  17.82
    AppMagnW1 17.1
    AppMagnW2 15.02
    AppMagnW3 12.10
    Teff      975
}

Star "SDSSp 04132-01142/SDSSp J041320.38-011424.9/2MASS J04132039-0114248"
{
    RA        4 13 20.4
    Dec       -01 14 25
    Dist      49.00
    Class     "L0.5 V"
    AppMagnJ  15.3
    AppMagnH  14.66
    AppMagnKs 14.14
}

Star "WISEP 04135-47503/WISEP J041358.14-475039.3"
{
    RA        4 13 58.1
    Dec       -47 50 39
    Dist      20.30
    Class     "T9 V"
    AppMagnJ  20.29
    AppMagnH  20.12
    AppMagnW1 19.39
    AppMagnW2 15.69
    AppMagnW3 13.14
    Teff      525
}

Star "2MASS 04141+28115/2MASS J04141188+2811535"
{
    RA        4 14 11.9
    Dec       +28 11 54
    Dist      140.00
    Class     "M6 V"
    AppMagnJ  13.16
    AppMagnH  12.33
    AppMagnKs 11.64
}

Star "KPNO-Tau 1/2MASS J04151471+2800096"
{
    RA        4 15 14.7
    Dec       +28  0 10
    Dist      140.00
    Class     "M9 V"
    AppMagnJ  15.1
    AppMagnH  14.25
    AppMagnK  13.77
    Teff      2600
    MassSol   0.01995525
}

Star "2MASS 04151-09350/2MASS J04151954-0935066"
{
    RA        4 15 19.5
    Dec       -09 35  7
    Dist      5.64
    Class     "T8 V"
    AppMagni  23.45
    AppMagnJ  15.7
    AppMagnH  15.54
    AppMagnKs 15.43
    AppMagnK  15.45
    AppMagnW1 15.1
    AppMagnW2 12.23
    AppMagnW3 11.04
    Teff      750
    Radius    63619.01
    MassSol   0.03325875
}

Star "2MASS 04152+29104/2MASS J04152409+2910434"
{
    RA        4 15 24.1
    Dec       +29 10 43
    Dist      140.00
    Class     "M7 V"
    AppMagnJ  13.68
    AppMagnH  12.88
    AppMagnKs 12.36
}

Star "2MASS 04161+27521/2MASS J04161885+2752155"
{
    RA        4 16 18.9
    Dec       +27 52 16
    Dist      140.00
    Class     "M6 V"
    AppMagnJ  12.55
    AppMagnH  11.78
    AppMagnKs 11.35
}

Star "2MASS 04173+14301/2MASS J04173384+1430156"
{
    RA        4 17 33.8
    Dec       +14 30 16
    Dist      47.80
    Class     "L1 V"
    AppMagnR  16.7
    AppMagnJ  16.51
    AppMagnH  15.43
    AppMagnK  14.84
    AppMagnW1 12.86
    AppMagnW2 12.79
    Teff      2295
    MassSol   0.07126875
}

Star "SSTB213 J041757"           //Unconfirmed
{
    RA        4 17 57.8
    Dec       +27 41  6
    Dist      145.00
    Class     "L V"      //Unknown
    AppMagni  22.56
    AppMagnJ  19.14
    AppMagnH  18.04
    AppMagnKs 16.81
    AppMagnK  16.79
}

Star "KPNO-Tau 2/2MASS J04185115+2814332"
{
    RA        4 18 51.2
    Dec       +28 14 33
    Dist      140.00
    Class     "M7 V"
    AppMagn   21.38
    AppMagnJ  13.93
    AppMagnH  13.24
    AppMagnKs 12.75
}

Star "KPNO-Tau 12/2MASS J04190126+2802487"
{
    RA        4 19  1.3
    Dec       +28  2 49
    Dist      140.00
    Class     "M9 V"
    AppMagn   23.23
    AppMagnJ  16.3
    AppMagnH  15.48
    AppMagnK  14.93
}

Star "DENIS-P 04195-40253/DENIS-P J0419556-402534/2MASS J04195568-4025344"
{
    RA        4 19 55.7
    Dec       -40 25 34
    Dist      23.60
    Class     "L1 V"
    AppMagnI  17.34
    AppMagnJ  13.93
    AppMagnH  13.38
    AppMagnK  12.73
}

Star "2MASS 04202+23561/2MASS J04202441+2356134"
{
    RA        4 20 24.4
    Dec       +23 56 13
    Dist      36.20
    Class     "M8.5 V"
    AppMagnR  20.6
    AppMagnI  18.4
    AppMagnJ  14.6
    AppMagnH  13.85
    AppMagnK  13.42
    AppMagnW1 13.09
    AppMagnW2 12.85
    Teff      2379
    MassSol   0.07506975
}

Star "2MASS 04210-63060/2MASS J04210718-6306022"
{
    RA        4 21  7.2
    Dec       -63  6  2
    Dist      31.00
    Class     "L5 V"
    AppMagnJ  15.57
    AppMagnH  14.28
    AppMagnKs 13.45
    AppMagnW1 12.56
    AppMagnW2 12.14
    AppMagnW3 11.6
}

Star "CFHT-Tau 10/2MASS J04214631+2659296"
{
    RA        4 21 46.3
    Dec       +26 59 30
    Dist      140.00
    Class     "M6 V"
    AppMagnJ  13.82
    AppMagnH  12.73
    AppMagnKs 12.13
}

Star "2MASS 04215+26523/2MASS J04215450+2652315"
{
    RA        4 21 54.5
    Dec       +26 52 32
    Dist      140.00
    Class     "M8.5 V"
    AppMagnJ  15.54
    AppMagnH  14.5
    AppMagnK  13.9
}

Star "2MASS 04220+13584/2MASS J04220512+1358474"           //Unconfirmed
{
    RA        4 22  5.1
    Dec       +13 58 47
    Dist      50.90
    Class     "M9.5 V"
    AppMagnJ  15.46
    AppMagnH  14.81
    AppMagnK  14.25
    AppMagnW1 13.93
    AppMagnW2 13.64
    Teff      2421
    MassSol   0.08457225
}

Star "LP 415-1446/2MASS J04221413+1530525"
{
    RA        4 22 14.1
    Dec       +15 30 53
    Dist      40.32
    Class     "M6 V"
    AppMagn   17
    AppMagnR  19.6
    AppMagnI  15.36
    AppMagnJ  12.76
    AppMagnH  11.77
    AppMagnK  11.28
}

Star "CFHT-Tau 14/2MASS J04221644+2549118"
{
    RA        4 22 16.4
    Dec       +25 49 12
    Dist      140.00
    Class     "M8 V"
    AppMagnJ  13.06
    AppMagnH  12.36
    AppMagnKs 11.94
}

Star "SDSS 04223+07234/SDSS J042230.66+072342.9"
{
    RA        4 22 30.7
    Dec       +07 23 43
    Dist      53.50
    Class     "L1 V"
    AppMagni  20.07
    AppMagnJ  15.77
    AppMagnH  14.92
    AppMagnKs 14.45
}

Star "WISEP 04241+07274/WISEP J042417.94+072744.1"
{
    RA        4 24 17.9
    Dec       +07 27 44
    Dist      31.00
    Class     "T7.5 V"
    AppMagnJ  18.71
    AppMagnH  18.76
    AppMagnKs 18.87
    AppMagnW1 18.44
    AppMagnW2 15.33
    AppMagnW3 12.68
}

Star "KPNO-Tau 3"           //Unconfirmed
{
    RA        4 26 29.4
    Dec       +26 24 14
    Dist      140.00
    Class     "M6 V"
    Teff      3000
    MassSol   0.07697025
}

Star "2MASS 04263+24435/2MASS J04263055+2443558"
{
    RA        4 26 30.6
    Dec       +24 43 56
    Dist      140.00
    Class     "M9 V"
    AppMagnJ  14.67
    AppMagnH  13.94
    AppMagnKs 13.4
}

Star "DENIS-P 04265-57355/DENIS-P J042655.9-573551"           //Unconfirmed
{
    RA        4 26 55.9
    Dec       -57 35 51
    Dist      62.30
    Class     "L1 V"
    AppMagnI  18.45
    AppMagnJ  15.28
}

Star "DENIS-P 04272-11271/DENIS-P J0427270-112713/2MASS J04272708-1127143"
{
    RA        4 27 27.1
    Dec       -11 27 14
    Dist      27.10
    Class     "M9 V"
    AppMagnI  16.67
    AppMagnJ  13.74
    AppMagnH  13.08
    AppMagnK  12.67
}

Star "KPNO-Tau 4/2MASS J04272799+2612052"
{
    RA        4 27 28.0
    Dec       +26 12  5
    Dist      132.00
    Class     "M9.5 V"
    AppMagn   24.72
    AppMagnR  20.54
    AppMagnI  18.75
    AppMagnJ  15
    AppMagnH  14.03
    AppMagnKs 13.28
    Teff      2330
    MassSol   0.01235325
}

Star "CFHT-Tau 15/2MASS J04274538+2357243"
{
    RA        4 27 45.4
    Dec       +23 57 24
    Dist      156.00
    Class     "M8 V"
    AppMagnI  17.94
    AppMagnJ  14.93
    AppMagnH  14.24
    AppMagnKs 13.69
    Teff      2830
    MassSol   0.026607
}

Star "DENIS-P 04285?22532/DENIS-P J0428510?225322/2MASS J04285096-2253227"
{
    RA        4 28 51.0
    Dec       -22 53 23
    Dist      21.00
    Class     "L0.5 V"
    AppMagnI  16.8
    AppMagnJ  13.51
    AppMagnH  12.67
    AppMagnKs 12.12
    AppMagnK  11.97
}

Star "2MASS 04290+27550/2MASS J04290068+2755033"
{
    RA        4 29  0.7
    Dec       +27 55  3
    Dist      140.00
    Class     "M8 V"
    AppMagnJ  14.02
    AppMagnH  13.33
    AppMagnKs 12.85
}

Star "CFHT-Hy-21"
{
    RA        4 29 22.7
    Dec       +15 35 29
    Dist      55.50
    Class     "T1 V"
    AppMagnI  22.16
    AppMagnKs 16.59
    AppMagnW1 15.28
    AppMagnW2 14.83
    Teff      1288
    MassSol   0.03515925
}

Star "KPNO-Tau 5/2MASS J04294568+2630468"
{
    RA        4 29 45.7
    Dec       +26 30 47
    Dist      139.00
    Class     "M7.5 V"
    AppMagn   19.69
    AppMagnR  19.1
    AppMagnI  15.08
    AppMagnJ  12.64
    AppMagnH  11.92
    AppMagnKs 11.54
    Teff      2890
    MassSol   0.0475125
}

Star "KPNO-Tau 6/2MASS J04300724+2608207"
{
    RA        4 30  7.2
    Dec       +26  8 21
    Dist      132.00
    Class     "M9 V"
    AppMagn   22.29
    AppMagnR  20.56
    AppMagnI  17.9
    AppMagnJ  14.99
    AppMagnH  14.2
    AppMagnKs 13.69
    AppMagnK  13.69
    Teff      2550
    MassSol   0.0209055
}

Star "CFHT-Tau 16/2MASS J04302365+2359129"
{
    RA        4 30 23.7
    Dec       +23 59 13
    Dist      160.00
    Class     "M8.5 V"
    AppMagnI  17.91
    AppMagnJ  14.96
    AppMagnH  14.24
    AppMagnKs 13.7
    AppMagnK  13.7
    Teff      2760
    MassSol   0.02185575
}

Star "CFHT-Hy-20"
{
    RA        4 30 38.8
    Dec       +13  9 57
    Dist      28.80
    Class     "T2 V"
    AppMagnI  21.58
    AppMagnKs 16.08
    AppMagnW1 15.6
    AppMagnW2 14.65
    AppMagnW3 11.84
    Teff      1361
    MassSol   0.03515925
}

Star "WISEP 04305+46333/WISEP J043052.92+463331.6"
{
    RA        4 30 52.9
    Dec       +46 33 32
    Dist      28.00
    Class     "T8 V"
    AppMagnJ  19.03
    AppMagnH  19.25
    AppMagnW1 18.08
    AppMagnW2 14.4
    AppMagnW3 11.51
}

Star "KPNO-Tau 7/2MASS J04305718+2556394"
{
    RA        4 30 57.2
    Dec       +25 56 39
    Dist      130.00
    Class     "M8 V"
    AppMagn   22.07
    AppMagnI  17.16
    AppMagnJ  14.52
    AppMagnH  13.83
    AppMagnKs 13.27
    AppMagnK  13.27
    Teff      2630
    MassSol   0.026607
}

Star "2MASS 04311+23350/2MASS J04311907+2335047"
{
    RA        4 31 19.1
    Dec       +23 35  5
    Dist      140.00
    Class     "M8 V"
    AppMagnR  20.3
    AppMagnI  17.5
    AppMagnJ  13.51
    AppMagnH  12.72
    AppMagnKs 12.2
}

Star "CFHT-Tau 13/2MASS J04312669+2703188"
{
    RA        4 31 26.7
    Dec       +27  3 19
    Dist      160.00
    Class     "M7 V"
    AppMagnI  17.9
    AppMagnJ  14.83
    AppMagnH  13.97
    AppMagnKs 13.45
    Teff      2970
    MassSol   0.0513135
}

Star "2MASS 04320+25280/2MASS J04320329+2528078"
{
    RA        4 32  3.3
    Dec       +25 28  8
    Dist      140.00
    Class     "M6 V"
    AppMagnR  16.7
    AppMagnJ  11.72
    AppMagnH  11.11
    AppMagnKs 10.72
}

Star "2MASS 04322+24030/2MASS J04322329+2403013"
{
    RA        4 32 23.3
    Dec       +24  3  1
    Dist      140.00
    Class     "M8 V"
    AppMagnR  17.9
    AppMagnJ  12.34
    AppMagnH  11.69
    AppMagnKs 11.33
}

Star "CFHT-Tau 5/2MASS J04325026+2422115"
{
    RA        4 32 50.3
    Dec       +24 22 12
    Dist      130.00
    Class     "M7.5 V"
    AppMagnR  23.37
    AppMagnI  18.79
    AppMagnJ  13.96
    AppMagnH  12.22
    AppMagnKs 11.28
    Teff      2690
    MassSol   0.0437115
}

Star "CFHT-Tau 12/2MASS J04330945+2246487"
{
    RA        4 33  9.5
    Dec       +22 46 49
    Dist      140.00
    Class     "M6.5 V"
    AppMagnI  16.26
    AppMagnJ  13.15
    AppMagnH  12.14
    AppMagnKs 11.55
    Teff      2920
    MassSol   0.0779205
}

Star "2MASS 04334+25264/2MASS J04334291+2526470"
{
    RA        4 33 42.9
    Dec       +25 26 47
    Dist      140.00
    Class     "M9 V"
    AppMagnJ  14.64
    AppMagnH  13.85
    AppMagnKs 13.33
}

Star "CFHT-Tau 1/2MASS J04341527+2250309"
{
    RA        4 34 15.3
    Dec       +22 50 31
    Dist      140.00
    Class     "M9 V"
    AppMagnJ  13.74
    AppMagnK  11.87
}

Star "CFHT-Tau 11/2MASS J04350850+2311398"
{
    RA        4 35  8.5
    Dec       +23 11 40
    Dist      130.00
    Class     "M7 V"
    AppMagn   18.4
    AppMagnR  17.5
    AppMagnI  14.88
    AppMagnJ  12.53
    AppMagnH  11.94
    AppMagnKs 11.59
    Teff      3020
    MassSol   0.06746775
}

Star "2MASS 04351-14144/2MASS J04351455-1414468"
{
    RA        4 35 14.6
    Dec       -14 14 47
    Dist      8.60
    Class     "M6 V"
    AppMagnJ  11.88
    AppMagnK  9.95
    MassSol   0.007602
}

Star "2MASS 04354+13234/2MASS J04354290+1323449"
{
    RA        4 35 42.9
    Dec       +13 23 45
    Dist      41.40
    Class     "L3.5 V"
    AppMagnJ  16.78
    AppMagnH  15.77
    AppMagnK  14.8
    AppMagnW1 14.23
    AppMagnW2 13.8
    Teff      1982
    MassSol   0.05796525
}

Star "2MASS 04354+27371/2MASS J04354526+2737130"
{
    RA        4 35 45.3
    Dec       +27 37 13
    Dist      140.00
    Class     "M9 V"
    AppMagnJ  15.02
    AppMagnH  14.24
    AppMagnK  13.71
}

Star "KPNO-Tau 9/2MASS J04355143+2249119"
{
    RA        4 35 51.4
    Dec       +22 49 12
    Dist      160.00
    Class     "M8.5 V"
    AppMagn   24.92
    AppMagnI  18.76
    AppMagnJ  15.48
    AppMagnH  14.66
    AppMagnKs 14.17
    AppMagnK  14.19
    Teff      2520
    MassSol   0.02375625
}

Star "2MASS 04361+21593/2MASS J04361030+2159364"
{
    RA        4 36 10.3
    Dec       +21 59 36
    Dist      140.00
    Class     "M8.5 V"
    AppMagnJ  14.86
    AppMagnH  14.11
    AppMagnKs 13.65
}

Star "CFHT-Tau 2/2MASS J04361038+2259560"
{
    RA        4 36 10.4
    Dec       +22 59 56
    Dist      130.00
    Class     "M7.5 V"
    AppMagn   22.52
    AppMagnR  20.21
    AppMagnI  16.81
    AppMagnJ  13.75
    AppMagnH  12.76
    AppMagnKs 12.17
    Teff      2790
    MassSol   0.0399105
}

Star "DENIS-P 04362-42185/DENIS-P J0436205-421851/2MASS J04362054-4218523"
{
    RA        4 36 20.5
    Dec       -42 18 52
    Dist      24.50
    Class     "L0 V"
    AppMagnI  18
    AppMagnJ  14.49
    AppMagnH  13.65
    AppMagnKs 13.14
    AppMagnK  13.15
}

Star "CFHT-Tau 3/2MASS J04363893+2258119"
{
    RA        4 36 38.9
    Dec       +22 58 12
    Dist      134.00
    Class     "M9 V"
    AppMagnR  20.33
    AppMagnI  16.88
    AppMagnJ  13.7
    AppMagnH  12.84
    AppMagnKs 12.37
    AppMagnK  12.34
    Teff      2750
    MassSol   0.03515925
}

Star "2MASS 04380+25585/2MASS J04380083+2558572"
{
    RA        4 38  0.8
    Dec       +25 58 57
    Dist      130.00
    Class     "M7 V"
    AppMagnR  20.21
    AppMagnI  14.71
    AppMagnJ  11.54
    AppMagnH  10.62
    AppMagnKs 10.1
    Teff      2840
    MassSol   0.05796525
}

Star "2MASS 04381+26113/2MASS J04381486+2611399"
{
    RA        4 38 14.9
    Dec       +26 11 40
    Dist      140.00
    Class     "M7 V"
    AppMagnR  20.33
    AppMagnI  17.84
    AppMagnJ  15.18
    AppMagnH  14.13
    AppMagnKs 12.98
    Teff      2840
    MassSol   0.05796525
}

Star "GM Tau/2MASS J04382134+2609137"
{
    RA        4 38 21.3
    Dec       +26  9 14
    Dist      151.00
    Class     "M6.5 V"
    AppMagn   17.58
    AppMagnR  16
    AppMagnI  15.04
    AppMagnJ  12.8
    AppMagnH  11.59
    AppMagnKs 10.63
    Teff      2940
    MassSol   0.07602
}

Star "2MASSI 04390-23530/2MASSI J0439010-235308/2MASS J04390101-2353083"
{
    RA        4 39  1.0
    Dec       -23 53  8
    Dist      9.06
    Class     "L6.5 V"
    AppMagnJ  14.41
    AppMagnH  13.41
    AppMagnKs 12.82
}

Star "CFHT-Tau 6/2MASS J04390396+2544264"
{
    RA        4 39  4.0
    Dec       +25 44 26
    Dist      140.00
    Class     "M7 V"
    AppMagnR  18.39
    AppMagnI  15.64
    AppMagnJ  12.65
    AppMagnH  11.84
    AppMagnKs 11.37
    Teff      2820
    MassSol   0.0551145
}

Star "CFHT-Tau 4/2MASS J04394748+2601407"
{
    RA        4 39 47.5
    Dec       +26  1 41
    Dist      130.00
    Class     "M7 V"
    AppMagn   21.56
    AppMagnR  19.1
    AppMagnI  15.78
    AppMagnJ  12.17
    AppMagnH  11.01
    AppMagnKs 10.33
    Teff      2880
    MassSol   0.06366675
}

Star "CFHT-Tau 8/2MASS J04411078+2555116"
{
    RA        4 41 10.8
    Dec       +25 55 12
    Dist      140.00
    Class     "M6.5 V"
    AppMagnR  19.28
    AppMagnI  16.43
    AppMagnJ  13.19
    AppMagnH  12.12
    AppMagnKs 11.45
    Teff      2920
    MassSol   0.0779205
}

Star "DENIS-P 04411+01055/DENIS-P J044111.3+010554"           //Unconfirmed
{
    RA        4 41 11.3
    Dec       +01  5 54
    Dist      103.70
    Class     "L0 V"
    AppMagnI  19.38
    AppMagnJ  16.27
}

Star "2MASS 04414+25343/2MASS J04414825+2534304"
{
    RA        4 41 48.3
    Dec       +25 34 31
    Dist      130.00
    Class     "M8 V"
    AppMagnI  17.03
    AppMagnJ  13.73
    AppMagnH  12.8
    AppMagnKs 12.22
    Teff      2750
    MassSol   0.03801
}

Star "2MASS 04421+17543/2MASS J04421852+1754378"           //Unconfirmed
{
    RA        4 42 18.5
    Dec       +17 54 38
    Dist      54.40
    Class     "M9.5 V"
    AppMagnJ  15.6
    AppMagnH  14.97
    AppMagnK  14.23
    AppMagnW1 13.82
    AppMagnW2 13.6
    Teff      2421
    MassSol   0.08457225
}

Star "2MASSI 04430-32020/2MASSI J0443058-320209/2MASS J04430581-3202090"
{
    RA        4 43  5.8
    Dec       -32  2  9
    Dist      24.00
    Class     "L5 V"
    AppMagnJ  15.27
    AppMagnH  14.35
    AppMagnKs 13.88
}

Star "DENIS-P 04433+00020/DENIS-P J0443376+000205/2MASS J04433761+0002051"
{
    RA        4 43 37.6
    Dec       +00  2  5
    Dist      15.30
    Class     "M9.5 V"
    AppMagn   19.6
    AppMagnr  19.74
    AppMagni  16.93
    AppMagnI  15.88
    AppMagnJ  12.51
    AppMagnH  11.8
    AppMagnKs 11.22
    AppMagnK  11.22
    Teff      2600
    MassSol   0.06176625
}

Star "2MASS 04442+25121/2MASS J04442713+2512164"
{
    RA        4 44 27.1
    Dec       +25 12 16
    Dist      140.00
    Class     "M7 V"
    AppMagnR  16.5
    AppMagnJ  12.2
    AppMagnH  11.36
    AppMagnKs 10.76
    Teff      2840
    MassSol   0.05416425
}

Star "2MASSI 04455-30482/2MASSI J0445538-304820/2MASS J04455387-3048204"
{
    RA        4 45 53.9
    Dec       -30 48 20
    Dist      12.74
    Class     "L2 V"
    AppMagnJ  13.39
    AppMagnH  12.58
    AppMagnKs 11.98
}

Star "WISE 04463-24295/WISE J044633.45-242956.8"
{
    RA        4 46 33.5
    Dec       -24 29 57
    Dist      35.00
    Class     "L5 V"
    AppMagnJ  16.43
    AppMagnH  15.53
    AppMagnKs 15.14
    AppMagnW1 14.27
    AppMagnW2 13.77
    AppMagnW3 12.42
}

Star "2MASS 04463+14512/2MASS J04463535+1451261"
{
    RA        4 46 35.4
    Dec       +14 51 26
    Dist      57.80
    Class     "L2 V"
    AppMagnJ  16.68
    AppMagnH  15.29
    AppMagnK  14.52
    AppMagnW1 13.94
    AppMagnW2 13.56
    Teff      2368
    MassSol   0.07506975
}

Star "WISEPA 04485-19354/WISEPA J044853.29-193548.5"
{
    RA        4 48 53.3
    Dec       -19 35 49
    Dist      26.00
    Class     "T5 V"
    AppMagnJ  16.99
    AppMagnH  16.39
    AppMagnKs 16.56
    AppMagnW1 16.48
    AppMagnW2 14.19
    AppMagnW3 13.04
}

Star "2MASS 04510-34021/2MASS J04510093-3402150"
{
    RA        4 51  0.9
    Dec       -34  2 15
    Dist      22.00
    Class     "L0.5 V"
    AppMagnJ  13.54
    AppMagnH  12.83
    AppMagnKs 12.29
}

Star "2MASSI 04532-17515/2MASSI J0453264-175154/2MASS J04532647-1751543"
{
    RA        4 53 26.5
    Dec       -17 51 54
    Dist      31.00
    Class     "L3 V"
    AppMagnJ  15.14
    AppMagnH  14.06
    AppMagnKs 13.47
}

Star "WISE 04574-02071/WISE J045746.08-020719.2"
{
    RA        4 57 46.1
    Dec       -02  7 19
    Dist      12.50
    Class     "T2 V"
    AppMagnJ  14.9
    AppMagnH  14.2
    AppMagnKs 14.02
    AppMagnK  13.98
    AppMagnW1 13.39
    AppMagnW2 12.44
    AppMagnW3 11.02
}

Star "2MASS 04584+12123/2MASS J04584566+1212343"
{
    RA        4 58 45.7
    Dec       +12 12 34
    Dist      44.80
    Class     "L0.5 V"
    AppMagnJ  15.46
    AppMagnH  14.55
    AppMagnK  14.02
    AppMagnW1 13.72
    AppMagnW2 13.49
    Teff      2320
    MassSol   0.0741195
}

Star "WISEPA 05000-12234/WISEPA J050003.05-122343.2"
{
    RA        5  0  3.1
    Dec       -12 23 43
    Dist      14.40
    Class     "T8 V"
    AppMagnJ  17.78
    AppMagnH  18.13
    AppMagnW1 17.76
    AppMagnW2 13.97
    AppMagnW3 11.56
    Teff      675
}

Star "2MASS 05002+03305/2MASS J05002100+0330501"
{
    RA        5  0 21.0
    Dec       +03 30 50
    Dist      13.00
    Class     "L4 V"
    AppMagnJ  13.67
    AppMagnH  12.68
    AppMagnKs 12.06
    Teff      1600
}

Star "DENIS-P 05010-77054/DENIS-P J0501005-770549/2MASS J05010074-7705487"
{
    RA        5  1  0.6
    Dec       -77  5 50
    Dist      27.40
    Class     "L0 V"
    AppMagnI  17.16
    AppMagnJ  13.89
    AppMagnK  12.94
}

Star "2MASS 05012-00104/2MASS J05012406-0010452"
{
    RA        5  1 24.1
    Dec      -0.179167
    Dist      13.09
    Class     "L4 V"
    AppMagnJ  14.98
    AppMagnH  13.71
    AppMagnKs 12.96
    AppMagnW1 12.05
    AppMagnW2 11.52
    AppMagnW3 10.95
}

Star "SDSS 05021+14423/SDSS J050213.49+144236.6/2MASS J05021345+1442367"
{
    RA        5  2 13.5
    Dec       +14 42 37
    Dist      32.00
    Class     "L0 V"
    AppMagnJ  14.27
    AppMagnH  13.39
    AppMagnKs 12.96
}

Star "2MASS 05103-42081/2MASS J05103520-4208140"
{
    RA        5 10 35.2
    Dec       -42  8 14
    Dist      18.00
    Class     "T5 V"
    AppMagnJ  16.22
    AppMagnH  16.24
    AppMagnKs 16
    AppMagnW1 15.6
    AppMagnW2 13.98
    AppMagnW3 11.86
}

Star "2MASSI 05120-29495/2MASSI J0512063-294954/2MASS J05120636-2949540"
{
    RA        5 12  6.4
    Dec       -29 49 54
    Dist      27.00
    Class     "L4.5 V"
    AppMagnJ  15.46
    AppMagnH  14.16
    AppMagnKs 13.29
    AppMagnW1 12.38
    AppMagnW2 11.92
    AppMagnW3 11.33
}

Star "WISEP 05120-30040/WISEP J051208.66-300404.4"
{
    RA        5 12  8.7
    Dec       -30  4  4
    Dist      24.00
    Class     "T8.5 V"
    AppMagnJ  19.21
    AppMagnH  19.66
    AppMagnW1 18.24
    AppMagnW2 15.24
    AppMagnW3 12.53
}

Star "WISEPA 05131+06081/WISEPA J051317.28+060814.7"
{
    RA        5 13 17.3
    Dec       +06  8 15
    Dist      13.70
    Class     "T6.5 V"
    AppMagnJ  16.21
    AppMagnH  16.13
    AppMagnKs 16.05
    AppMagnW1 15.86
    AppMagnW2 13.83
    AppMagnW3 12.37
    Teff      975
}

Star "2MASS 05160-04454/2MASS J05160945-0445499"
{
    RA        5 16  9.5
    Dec       -04 45 50
    Dist      22.47
    Class     "T5.5 V"
    AppMagnJ  15.98
    AppMagnH  15.72
    AppMagnKs 15.49
    AppMagnK  15.79
    AppMagnW1 15.46
    AppMagnW2 13.6
    AppMagnW3 12.65
}

Star "2MASS 05161-33320/2MASS J05161597-3332046"
{
    RA        5 16 16.0
    Dec       -33 32  5
    Dist      44.00
    Class     "L3 V"
    AppMagnJ  15.88
    AppMagnKs 13.99
}

Star "2MASS 05184-27564/2MASS J05184616-2756457"
{
    RA        5 18 46.2
    Dec       -27 56 46
    Dist      46.73
    Class     "L1 V"
    AppMagnJ  15.26
    AppMagnH  14.3
    AppMagnKs 13.62
    AppMagnW1 13.05
    AppMagnW2 12.66
    AppMagnW3 12.58
}

Star "WISE 05212+10252/WISE J052126.29+102528.4"
{
    RA        5 21 26.3
    Dec       +10 25 28
    Dist      5.00
    Class     "T7.5 V"
    AppMagnJ  15.26
    AppMagnH  15.22
    AppMagnKs 14.67
    AppMagnW1 14.1
    AppMagnW2 12.29
    AppMagnW3 10.31
}

Star "UGPS 05212+36404/UGPS J052127.27+364048.6"
{
    RA        5 21 27.3
    Dec       +36 40 49
    Dist      8.20
    Class     "T8.5 V"
    AppMagnJ  16.94
    AppMagnH  17.28
    AppMagnKs 17.32
    Teff      625
    MassSol   0.02185575
}

Star "2MASSI 05233-14030/2MASSI J0523382-140302/2MASS J05233822-1403022"
{
    RA        5 23 38.2
    Dec       -14  3  2
    Dist      13.00
    Class     "L2.5 V"
    AppMagnJ  13.08
    AppMagnH  12.22
    AppMagnKs 11.64
    Teff      2100
    Radius    32858.17
}

Star "EQ 0524+4646"           //Unconfirmed
{
    RA        5 24 39.3
    Dec       +46 46 31
    Dist      20.50
    Class     "T9 V"
}

Star "WISEPA 05253+67395/WISEPA J052536.33+673952.3"
{
    RA        5 25 36.3
    Dec       +67 39 52
    Dist      30.10
    Class     "T6 V"
    AppMagnJ  17.49
    AppMagnH  17.87
    AppMagnW1 17.92
    AppMagnW2 14.9
    AppMagnW3 12.81
    Teff      975
}

Star "DENIS-P 05264-44554/DENIS-P J0526434-445544/2MASS J05264348-4455455"
{
    RA        5 26 43.5
    Dec       -44 55 46
    Dist      31.00
    Class     "L1 V"
    AppMagnI  17.62
    AppMagnJ  14.08
    AppMagnH  13.31
    AppMagnKs 12.71
    AppMagnK  12.78
}

Star "2MASS 05265-50262/2MASS J05265973-5026216"
{
    RA        5 26 59.7
    Dec       -50 26 22
    Dist      35.00
    Class     "L3 V"
    AppMagnJ  15.41
    AppMagnH  14.4
    AppMagnKs 13.64
}

Star "WISEPA 05284-33082/WISEPA J052844.51-330823.9"
{
    RA        5 28 44.5
    Dec       -33  8 24
    Dist      17.60
    Class     "T7 V"
    AppMagnJ  16.67
    AppMagnH  16.97
    AppMagnKs 17.12
    AppMagnW1 17.63
    AppMagnW2 14.53
    AppMagnW3 12.46
    Teff      825
}

Star "SDSS 05301+62532/SDSS J053012.60+625325.2/2MASS J05301261+6253254"
{
    RA        5 30 12.6
    Dec       +62 53 25
    Dist      29.00
    Class     "L1 V"
    AppMagnJ  14.05
    AppMagnH  13.26
    AppMagnKs 12.71
}

Star "UGCS 05302-05244/UGCS J053022.52-052447.4"
{
    RA        5 30 22.5
    Dec       -05 24 47
    Dist      41.10
    Class     "T7 V"
    AppMagnJ  18.35
    AppMagnH  19.13
    Teff      825
}

Star "2MASS 05325+82464/2MASS J05325346+8246465"
{
    RA        5 32 53.5
    Dec       +82 46 47
    Dist      23.65
    Class     "L7 V"
    AppMagnJ  15.18
    AppMagnH  14.9
    AppMagnKs 14.92
    AppMagnW1 13.82
    AppMagnW2 13.26
    MassSol   0.0665175
}

Star "L Ori 140/2MASS J05341927+0948275"
{
    RA        5 34 19.3
    Dec       +09 48 28
    Dist      400.00
    Class     "M7 V"
    AppMagnR  20.34
    AppMagnI  18.21
    AppMagnJ  15.98
    AppMagnH  15.22
    AppMagnKs 14.75
    Teff      2900
    Radius    269157.35
    MassSol   0.05606475
}

Star "L Ori 154/2MASS J05341980+0954206"
{
    RA        5 34 19.8
    Dec       +09 54 21
    Dist      400.00
    Class     "M8 V"
    AppMagnR  21.79
    AppMagnI  19.31
    AppMagnJ  16.8
    AppMagnH  16.14
    AppMagnKs 15.51
    Teff      2700
    Radius    196449.91
    MassSol   0.03135825
}

Star "L Ori 156"
{
    RA        5 34 36.3
    Dec       +09 55 32
    Dist      400.00
    Class     "M8 V"
    AppMagnR  22.05
    AppMagnI  19.59
    Teff      2950
    Radius    142618.44
    MassSol   0.030408
}

Star "L Ori 146/2MASS J05350015+0952408"
{
    RA        5 35  0.2
    Dec       +09 52 41
    Dist      400.00
    AppMagnR  20.88
    AppMagnI  18.6
    AppMagnJ  16.23
    AppMagnH  15.47
    AppMagnKs 14.94
    Teff      2800
    Radius    241892.06
    MassSol   0.041811
}

Star "L Ori 143/2MASS J05350095+0958203"
{
    RA        5 35  1.0
    Dec       +09 58 20
    Dist      400.00
    Class     "M6.5 V"
    AppMagnR  20.32
    AppMagni  18.34
    AppMagnI  18.3
    AppMagnJ  15.94
    AppMagnH  15.45
    AppMagnKs 14.95
    Teff      3000
    Radius    225113.42
    MassSol   0.06746775
}

Star "C69-Sub-003"
{
    RA        5 35  7.5
    Dec       +09 49 33
    Dist      400.00
    Class     "L1 V"
    Teff      1800
    Radius    541111.14
    MassSol   0.01995525
}

Star "L Ori 150/2MASS J05350749+0949328"
{
    RA        5 35  7.5
    Dec       +09 49 33
    Dist      400.00
    Class     "M7 V"
    AppMagnR  21.29
    AppMagnI  19
    AppMagnJ  16.66
    AppMagnH  16.13
    AppMagnKs 15.56
    Teff      2900
    Radius    170582.84
    MassSol   0.0475125
}

Star "LOri-SOC 11"
{
    RA        5 35  9.1
    Dec       +09 54 36
    Dist      400.00
    Class     "L1 V"
    AppMagni  19
    AppMagnJ  16.46
    AppMagnH  16
    AppMagnKs 15.36
    Teff      1800
    Radius    541111.14
    MassSol   0.0209055
}

Star "LOri-SOC 13"
{
    RA        5 35 10.8
    Dec       +09 56  6
    Dist      400.00
    Class     "L1 V"
    AppMagni  18.16
    AppMagnJ  15.94
    AppMagnH  15.56
    AppMagnKs 14.92
    Teff      1800
    Radius    732667.28
    MassSol   0.03896025
}

Star "WISEP 05351-75002/WISEP J053516.80-750024.9"
{
    RA        5 35 16.9
    Dec       -75  0 25
    Dist      5.88
    Class     "Y1 V"
    AppMagnJ  22.13
    AppMagnH  21.6
    AppMagnW1 17.94
    AppMagnW2 14.9
    AppMagnW3 13.12
    Teff      225
}

Star "L Ori 134/2MASS J05352285+0955070"
{
    RA        5 35 22.9
    Dec       +09 55  7
    Dist      400.00
    Class     "M5 V"
    AppMagnR  19.91
    AppMagnI  17.9
    AppMagnJ  15.54
    AppMagnH  14.94
    AppMagnKs 14.67
    Teff      2900
    Radius    318794.16
    MassSol   0.05986575
}

Star "L Ori 161"
{
    RA        5 35 54.1
    Dec       +09 43 36
    Dist      400.00
    Class     "M8.5 V"
    AppMagnR  23.09
    AppMagnI  20.34
    Teff      2950
    Radius    116052.26
    MassSol   0.02375625
}

Star "L Ori 131/2MASS J05360698+0952515"
{
    RA        5 36  7.0
    Dec       +09 52 52
    Dist      400.00
    AppMagnR  19.79
    AppMagnI  17.78
    AppMagnJ  15.43
    AppMagnH  14.9
    AppMagnKs 14.38
    Teff      2900
    Radius    329979.92
    MassSol   0.0703185
}

Star "C69-Sub-001"
{
    RA        5 36 18.2
    Dec       +09 57 41
    Dist      400.00
    Class     "L1 V"
    AppMagnR  21.3
    AppMagnI  19.17
    Teff      1900
    Radius    198547.24
    MassSol   0.01235325
}

Star "2MASS 05361-19203/2MASS J05361998-1920396"
{
    RA        5 36 20.0
    Dec       -19 20 40
    Dist      39.06
    Class     "L2 V"
    AppMagnJ  15.77
    AppMagnH  14.69
    AppMagnKs 13.85
    AppMagnW1 13.26
    AppMagnW2 12.79
    AppMagnW3 12.55
}

Star "L Ori 155/2MASS J05362504+1001544"
{
    RA        5 36 25.1
    Dec       +10  1 54
    Dist      400.00
    Class     "M8 V"
    AppMagnR  21.87
    AppMagnI  19.36
    AppMagnJ  16.59
    Teff      2800
    Radius    182467.71
    MassSol   0.03705975
}

Star "S Ori 33/2MASS J05365807-0235194"
{
    RA        5 36 58.1
    Dec       -02 35 19
    Dist      360.00
    AppMagnI  17.36
    AppMagnJ  15.03
    AppMagnH  14.54
    AppMagnKs 14.18
    AppMagnW1 13.78
    AppMagnW2 13.27
    AppMagnW3 11.43
    MassSol   0.04276125
}

Star "Mayrit 1738301/2MASS J05370516-0221094"
{
    RA        5 37  5.2
    Dec       -02 21  9
    Dist      360.00
    AppMagnI  18.47
    AppMagnJ  15.51
    AppMagnH  14.97
    AppMagnKs 14.52
    AppMagnW1 14.04
    AppMagnW2 13.49
    AppMagnW3 11.46
    MassSol   0.03515925
}

Star "S Ori 05370-02512/S Ori J053705.5-025129"           //Unconfirmed
{
    RA        5 37  5.5
    Dec       -02 51 29
    Dist      360.00
    AppMagnJ  19.11
    AppMagnH  18.47
    AppMagnKs 17.84
    MassSol   0.007602
}

Star "S Ori 05370-02250/S Ori J053705.6-022508"           //Unconfirmed
{
    RA        5 37  5.6
    Dec       -02 25  8
    Dist      360.00
    AppMagnJ  20.11
    AppMagnH  19.21
    AppMagnKs 18.27
    MassSol   0.0057015
}

Star "S Ori 37"
{
    RA        5 37  7.6
    Dec       -02 27 15
    Dist      360.00
    AppMagnJ  15.3
    AppMagnH  14.81
    AppMagnKs 14.44
    AppMagnW1 14.31
    AppMagnW2 13.99
    AppMagnW3 11.95
    MassSol   0.03801
}

Star "S Ori 05371-02430/S Ori J053710.0-024302"
{
    RA        5 37 10.1
    Dec       -02 43  1
    Dist      360.00
    Class     "M8 V"
    AppMagnI  19.96
    AppMagnJ  17.02
    AppMagnH  16.42
    AppMagnKs 15.92
    AppMagnW1 15.6
    AppMagnW2 15.37
    AppMagnW3 12.02
    MassSol   0.01805475
}

Star "S Ori J053716.8-024308"           //Unconfirmed
{
    RA        5 37 16.8
    Dec       -02 43  8
    Dist      360.00
    AppMagnJ  20.29
    AppMagnH  19.48
    AppMagnKs 18.46
    MassSol   0.00475125
}

Star "S Ori 66"
{
    RA        5 37 24.7
    Dec       -02 31 52
    Dist      360.00
    Class     "L3.5 V"
    AppMagnI  23.23
    AppMagnJ  19.8
    MassSol   0.00665175
}

Star "S Ori 05372-02343/S Ori J053725.9-023432/2MASS J0537259-023432"           //Unconfirmed
{
    RA        5 37 25.9
    Dec       -02 34 32
    Dist      352.00
    Class     "M9 V"
    AppMagnI  21.32
    AppMagnJ  18.22
    AppMagnH  17
    AppMagnW1 16.81
    MassSol   0.01235325
}

Star "Mayrit 1717222/2MASS J05372761-0257100"           //Unconfirmed
{
    RA        5 37 27.6
    Dec       -02 57 10
    Dist      360.00
    Class     "M5 V"
    AppMagn   20.34
    AppMagnR  18.86
    AppMagnI  17.23
    AppMagnJ  15.12
    AppMagnH  14.61
    AppMagnKs 14.33
    AppMagnW1 14.14
    AppMagnW2 13.88
    MassSol   0.041811
}

Star "S Ori 05373-02555/S Ori J053734.5-025559/2MASS J05373456-0255588"
{
    RA        5 37 34.6
    Dec       -02 55 59
    Dist      360.00
    AppMagn   22.7
    AppMagnR  20.56
    AppMagni  19.14
    AppMagnI  18.35
    AppMagnJ  15.59
    AppMagnH  14.79
    AppMagnKs 14.31
    AppMagnW1 13.8
    AppMagnW2 13.22
    AppMagnW3 11.35
    MassSol   0.034209
}

Star "S Ori 05373-02415/S Ori J053736.4-024157/2MASS J05373648-0241567"           //Unconfirmed
{
    RA        5 37 36.5
    Dec       -02 41 57
    Dist      360.00
    Class     "M7 V"
    AppMagn   22.04
    AppMagnR  20.12
    AppMagnI  18.14
    AppMagnJ  15.49
    AppMagnH  15
    AppMagnKs 14.67
    AppMagnW1 14.37
    AppMagnW2 14.01
    MassSol   0.03515925
}

Star "S Ori 05373-02411/S Ori J053737.6-024115"           //Unconfirmed
{
    RA        5 37 37.6
    Dec       -02 41 15
    Dist      360.00
    AppMagnJ  20.42
    AppMagnH  19.25
    AppMagnKs 18.64
    AppMagnW1 16.9
    AppMagnW2 16.01
    MassSol   0.003801
}

Star "Mayrit 1436317/2MASS J05373965-0218267"           //Unconfirmed
{
    RA        5 37 39.7
    Dec       -02 18 27
    Dist      360.00
    AppMagn   21.63
    AppMagnR  19.79
    AppMagni  18.32
    AppMagnI  17.97
    AppMagnJ  15.37
    AppMagnH  14.86
    AppMagnKs 14.52
    AppMagnW1 14.29
    AppMagnW2 14.04
    MassSol   0.03705975
}

Star "2MASS 05374-02563/2MASS J05374248-0256358"           //Unconfirmed
{
    RA        5 37 42.5
    Dec       -02 56 36
    Dist      360.00
    AppMagn   21.22
    AppMagnR  19.68
    AppMagnI  17.82
    AppMagnJ  15.8
    AppMagnH  15.27
    AppMagnKs 14.96
    AppMagnW1 14.75
    AppMagnW2 14.5
    MassSol   0.03135825
}

Star "S Ori 05374-02271/S Ori J053747.3-022715"           //Unconfirmed
{
    RA        5 37 47.3
    Dec       -02 27 16
    Dist      360.00
    AppMagnJ  20.35
    AppMagnH  19.58
    AppMagnKs 18.53
    MassSol   0.00475125
}

Star "S Ori 23/2MASS J05375110-0226074"
{
    RA        5 37 51.1
    Dec       -02 26  7
    Dist      360.00
    Class     "M6.5 V"
    AppMagnR  19.4
    AppMagni  17.19
    AppMagnI  17.14
    AppMagnJ  14.86
    AppMagnH  14.37
    AppMagnKs 14.05
    AppMagnK  13.95
    AppMagnW1 13.8
    AppMagnW2 13.55
    MassSol   0.04656225
}

Star "Mayrit 790270/2MASS J05375206-0236046"           //Unconfirmed
{
    RA        5 37 52.1
    Dec       -02 36  5
    Dist      360.00
    Class     "M4.5 V"
    AppMagn   20.91
    AppMagnR  19.2
    AppMagnI  17.49
    AppMagnJ  15.14
    AppMagnH  14.64
    AppMagnKs 14.33
    AppMagnK  14.2
    AppMagnW1 14.17
    AppMagnW2 13.82
    MassSol   0.04086075
}

Star "S Ori 35/2MASS J05375559-0233053"           //Unconfirmed
{
    RA        5 37 55.6
    Dec       -02 33  5
    Dist      360.00
    Class     "M4.5 V"
    AppMagn   21.37
    AppMagnR  19.4
    AppMagnI  17.57
    AppMagnJ  15.14
    AppMagnH  14.66
    AppMagnKs 14.3
    AppMagnK  14.19
    AppMagnW1 13.95
    AppMagnW2 13.39
    MassSol   0.04086075
}

Star "S Ori 05380-02470/S Ori J053800.1-024707"           //Unconfirmed
{
    RA        5 38  0.1
    Dec       -02 47  7
    Dist      360.00
    AppMagnJ  19.45
    AppMagnH  18.68
    AppMagnKs 17.98
    MassSol   0.00665175
}

Star "S Ori 05380-02265/S Ori J053803.2-022657"           //Unconfirmed
{
    RA        5 38  3.2
    Dec       -02 26 57
    Dist      360.00
    AppMagnJ  19.26
    AppMagnH  18.59
    AppMagnKs 17.88
    MassSol   0.007602
}

Star "S Ori 05380-02135/S Ori J053804.6-021352"           //Unconfirmed
{
    RA        5 38  4.7
    Dec       -02 13 53
    Dist      360.00
    AppMagnJ  19.33
    AppMagnH  19.24
    AppMagnKs 18.9
    MassSol   0.007602
}

Star "Mayrit 588270/2MASS J05380552-0235571"           //Unconfirmed
{
    RA        5 38  5.5
    Dec       -02 35 57
    Dist      360.00
    Class     "M4.5 V"
    AppMagn   21.41
    AppMagnR  19.6
    AppMagnI  18
    AppMagnJ  15.28
    AppMagnH  14.8
    AppMagnKs 14.42
    AppMagnK  14.24
    AppMagnW1 13.95
    AppMagnW2 13.36
    MassSol   0.03896025
}

Star "S Ori 70"
{
    RA        5 38 10.1
    Dec       -02 36 26
    Dist      106.80
    Class     "T6 V"
    AppMagnI  25.03
    AppMagnJ  20.28
    AppMagnH  20.42
    AppMagnKs 19.78
    Teff      1100
    Radius    111857.6
    MassSol   0.00285075
}

Star "Mayrit 1095334/2MASS J05381239-0219387"           //Unconfirmed
{
    RA        5 38 12.4
    Dec       -02 19 39
    Dist      360.00
    AppMagn   21.89
    AppMagnR  19.61
    AppMagni  18.42
    AppMagnI  18
    AppMagnJ  15.4
    AppMagnH  14.91
    AppMagnKs 14.57
    AppMagnK  14.52
    AppMagnW1 14.15
    AppMagnW2 13.57
    MassSol   0.03705975
}

Star "S Ori 67"
{
    RA        5 38 12.6
    Dec       -02 21 38
    Dist      360.00
    Class     "L5 V"
    AppMagni  23.83
    AppMagnI  23.4
    AppMagnJ  19.9
}

Star "V2721 Ori/2MASS J05381279-0212266"           //Unconfirmed
{
    RA        5 38 12.8
    Dec       -02 12 27
    Dist      360.00
    AppMagn   20.28
    AppMagnR  17.94
    AppMagnI  16.97
    AppMagnJ  14.92
    AppMagnH  14.02
    AppMagnKs 13.49
    AppMagnK  13.65
    AppMagnW1 13.13
    AppMagnW2 12.57
    AppMagnW3 10.46
    MassSol   0.04466175
}

Star "S Ori 05381-02491/S Ori J053813.2-024910"           //Unconfirmed
{
    RA        5 38 13.2
    Dec       -02 49 10
    Dist      360.00
    Class     "T8 V"
    Teff      1300
    MassSol   0.00285075
}

Star "Mayrit 1045207/2MASS J05381330-0251329"           //Unconfirmed
{
    RA        5 38 13.3
    Dec       -02 51 33
    Dist      360.00
    Class     "M5.5 V"
    AppMagn   20.18
    AppMagnR  18.57
    AppMagnI  16.72
    AppMagnJ  14.51
    AppMagnH  14.03
    AppMagnKs 13.69
    AppMagnK  13.63
    AppMagnW1 13.54
    AppMagnW2 13.28
    MassSol   0.06746775
}

Star "S Ori 73"           //Unconfirmed
{
    RA        5 38 14.5
    Dec       -02 45 12
    Dist      185.00
    Class     "T5 V"
    AppMagnI  23.5
    AppMagnJ  20.91
    AppMagnH  20.83
    AppMagnKs 20.91
    MassSol   0.003801
}

Star "S Ori 47/2MASS J05381462-0240154"
{
    RA        5 38 14.6
    Dec       -02 40 15
    Dist      360.00
    Class     "L1.5 V"
    AppMagnI  20.49
    AppMagnJ  17.53
    AppMagnH  16.22
    AppMagnKs 15.81
    AppMagnK  15.77
    MassSol   0.019005
}

Star "S Ori 05381-02272/S Ori J053817.2-022722"           //Unconfirmed
{
    RA        5 38 17.2
    Dec       -02 27 23
    Dist      360.00
    AppMagnJ  19.96
    AppMagnH  18.96
    AppMagnKs 18.18
    MassSol   0.0057015
}

Star "S Ori 27/2MASS J05381741-0240242"
{
    RA        5 38 17.4
    Dec       -02 40 24
    Dist      360.00
    Class     "M6.5 V"
    AppMagn   21.02
    AppMagnR  19.21
    AppMagnI  17.25
    AppMagnJ  14.83
    AppMagnH  14.31
    AppMagnKs 14.09
    AppMagnW1 13.79
    AppMagnW2 13.42
    MassSol   0.049413
}

Star "Mayrit 396273/2MASS J05381834-0235385"           //Unconfirmed
{
    RA        5 38 18.3
    Dec       -02 35 39
    Dist      360.00
    AppMagn   22.91
    AppMagnR  20.49
    AppMagnI  17.82
    AppMagnJ  15.29
    AppMagnH  14.82
    AppMagnKs 14.4
    AppMagnK  14.49
    AppMagnW1 14.26
    AppMagnW2 13.89
    MassSol   0.03896025
}

Star "S Ori 31/2MASS J05382088-0246132"           //Unconfirmed
{
    RA        5 38 20.9
    Dec       -02 46 13
    Dist      360.00
    Class     "M7 V"
    AppMagnI  17.41
    AppMagnJ  15.19
    AppMagnH  14.57
    AppMagnKs 14.16
    AppMagnW1 13.97
    AppMagnW2 13.61
    MassSol   0.0437115
}

Star "Mayrit 994201/2MASS J05382089-0251280"           //Unconfirmed
{
    RA        5 38 20.9
    Dec       -02 51 28
    Dist      360.00
    Class     "M5.5 V"
    AppMagn   20.88
    AppMagnR  19.18
    AppMagnI  17.12
    AppMagnJ  14.77
    AppMagnH  14.31
    AppMagnKs 13.93
    AppMagnK  13.87
    AppMagnW1 13.69
    AppMagnW2 13.39
    MassSol   0.049413
}

Star "Mayrit 379292/2MASS J05382138-0233363"           //Unconfirmed
{
    RA        5 38 21.4
    Dec       -02 33 36
    Dist      360.00
    AppMagn   20.78
    AppMagnR  19.47
    AppMagnI  17.61
    AppMagnJ  15.31
    AppMagnH  14.81
    AppMagnKs 14.44
    AppMagnK  14.49
    AppMagnW1 14.2
    AppMagnW2 13.91
    AppMagnW3 12.62
    MassSol   0.03801
}

Star "S Ori 05382-03002/S Ori J053824.7-030028"           //Unconfirmed
{
    RA        5 38 24.7
    Dec       -03  0 28
    Dist      360.00
    AppMagnJ  18.64
    AppMagnH  18.09
    AppMagnKs 17.39
    MassSol   0.0095025
}

Star "S Ori 53"
{
    RA        5 38 25.1
    Dec       -02 48  3
    Dist      360.00
    Class     "M9 V"
    AppMagnI  20.93
    AppMagnJ  17.92
    AppMagnH  17.36
    AppMagnKs 16.76
    AppMagnW1 16.33
    MassSol   0.01425375
}

Star "S Ori 05382-02422/S Ori J053825.3-024225"           //Unconfirmed
{
    RA        5 38 25.3
    Dec       -02 42 25
    Dist      360.00
    AppMagnJ  19.96
    AppMagnH  18.98
    AppMagnKs 18.05
    MassSol   0.0057015
}

Star "S Ori 05382-02424/S Ori J053825.4-024241/2MASS J05382543-0242412"
{
    RA        5 38 25.4
    Dec       -02 42 41
    Dist      360.00
    Class     "M6 V"
    AppMagn   20.33
    AppMagnR  19.08
    AppMagnI  17.3
    AppMagnJ  14.88
    AppMagnH  14.16
    AppMagnKs 13.57
    AppMagnW1 13.03
    AppMagnW2 12.44
    AppMagnW3 10.5
    MassSol   0.049413
}

Star "S Ori 45/2MASS J05382557-0248370"
{
    RA        5 38 25.6
    Dec       -02 48 37
    Dist      360.00
    Class     "M8.5 V"
    AppMagn   24.4
    AppMagnR  22.07
    AppMagni  20.57
    AppMagnI  19.59
    AppMagnJ  16.67
    AppMagnH  16.02
    AppMagnKs 15.59
    MassSol   0.022806
}

Star "S Ori 18/2MASS J05382568-0231216"           //Unconfirmed
{
    RA        5 38 25.7
    Dec       -02 31 22
    Dist      360.00
    Class     "M3.5 V"
    AppMagn   19.99
    AppMagnR  18.68
    AppMagnI  16.63
    AppMagnJ  14.59
    AppMagnH  14.09
    AppMagnKs 13.75
    AppMagnK  13.84
    AppMagnW1 13.41
    AppMagnW2 13.19
    MassSol   0.060816
}

Star "S Ori 65"
{
    RA        5 38 26.1
    Dec       -02 23  5
    Dist      360.00
    Class     "L3.5 V"
    AppMagnI  23.23
    AppMagnJ  19.9
    AppMagnKs 18.8
    MassSol   0.00475125
}

Star "S Ori 05382-02404/S Ori J053826.1-024041/2MASS J05382623-0240413"
{
    RA        5 38 26.2
    Dec       -02 40 41
    Dist      360.00
    Class     "M5 V"
    AppMagn   20.45
    AppMagnR  19.08
    AppMagnI  17.28
    AppMagnJ  14.91
    AppMagnH  14.28
    AppMagnKs 13.92
    AppMagnW1 13.71
    AppMagnW2 13.37
    MassSol   0.05416425
}

Star "S Ori 05382-02092/S Ori J053826.5-020926"           //Unconfirmed
{
    RA        5 38 26.5
    Dec       -02  9 26
    Dist      360.00
    AppMagnJ  18.25
    AppMagnH  17.66
    AppMagnKs 17.06
    MassSol   0.011403
}

Star "Mayrit 1720188/2MASS J05382796-0304215"
{
    RA        5 38 28.0
    Dec       -03  4 22
    Dist      360.00
    AppMagnI  18.21
    AppMagnJ  15.56
    AppMagnH  15.09
    AppMagnKs 14.7
    MassSol   0.034209
}

Star "S Ori 05382-02484/S Ori J053829.0-024847/2MASS J05382896-0248473"           //Unconfirmed
{
    RA        5 38 29.0
    Dec       -02 48 47
    Dist      360.00
    Class     "M6 V"
    AppMagn   20.83
    AppMagnI  16.95
    AppMagnJ  14.82
    AppMagnH  14.28
    AppMagnKs 13.88
    AppMagnW1 13.43
    AppMagnW2 12.87
    MassSol   0.053214
}

Star "S Ori 05382-02293/S Ori J053829.5-022937"           //Unconfirmed
{
    RA        5 38 29.5
    Dec       -02 29 37
    Dist      360.00
    AppMagnJ  18.8
    AppMagnH  18.07
    AppMagnKs 17.46
    MassSol   0.00855225
}

Star "S Ori 29/2MASS J05382961-0225141"           //Unconfirmed
{
    RA        5 38 29.6
    Dec       -02 25 14
    Dist      360.00
    Class     "M6.5 V"
    AppMagn   20.72
    AppMagnR  18.73
    AppMagnI  17.05
    AppMagnJ  14.79
    AppMagnH  14.33
    AppMagnKs 13.97
    AppMagnK  13.96
    AppMagnW1 13.78
    AppMagnW2 13.43
    MassSol   0.04846275
}

Star "S Ori 05382-03043/S Ori J053829.6-030438"           //Unconfirmed
{
    RA        5 38 29.6
    Dec       -03  4 38
    Dist      360.00
    AppMagnJ  18.4
    AppMagnH  17.73
    AppMagnKs 17.05
    MassSol   0.01045275
}

Star "S Ori 39/2MASS J05383244-0229573"           //Unconfirmed
{
    RA        5 38 32.4
    Dec       -02 29 57
    Dist      360.00
    Class     "M6.5 V"
    AppMagn   21.65
    AppMagnR  19.77
    AppMagnI  17.58
    AppMagnJ  15.36
    AppMagnH  14.87
    AppMagnKs 14.49
    AppMagnK  14.44
    AppMagnW1 14.26
    AppMagnW2 13.93
    MassSol   0.03705975
}

Star "S Ori 54/2MASS J05383318-0221038"
{
    RA        5 38 33.3
    Dec       -02 21  0
    Dist      360.00
    AppMagnJ  17.99
    AppMagnH  17.42
    AppMagnKs 16.76
    MassSol   0.01235325
}

Star "Mayrit 1082188/2MASS J05383446-0253514"
{
    RA        5 38 34.5
    Dec       -02 53 51
    Dist      360.00
    Class     "M0 V"
    AppMagnR  17.8
    AppMagnI  17.17
    AppMagnJ  15.55
    AppMagnH  14.15
    AppMagnKs 12.71
    AppMagnK  12.65
    AppMagnW1 10.9
    AppMagnW2 9.85
    AppMagnW3 8.09
    MassSol   0.034209
}

Star "S Ori 22/2MASS J05383536-0225222"           //Unconfirmed
{
    RA        5 38 35.4
    Dec       -02 25 22
    Dist      360.00
    Class     "M6 V"
    AppMagn   20.73
    AppMagnR  18.91
    AppMagnI  16.88
    AppMagnJ  14.59
    AppMagnH  14.13
    AppMagnKs 13.76
    AppMagnW1 13.49
    AppMagnW2 13.16
    MassSol   0.060816
}

Star "V2734 Ori/2MASS J05383787-0220397"           //Unconfirmed
{
    RA        5 38 37.9
    Dec       -02 20 40
    Dist      360.00
    AppMagn   21.7
    AppMagnR  19.55
    AppMagnI  18
    AppMagnJ  15.46
    AppMagnH  14.98
    AppMagnKs 14.6
    AppMagnW1 14.37
    AppMagnW2 14.12
    MassSol   0.0361095
}

Star "Mayrit 258337/2MASS J05383812-0232025"           //Unconfirmed
{
    RA        5 38 38.1
    Dec       -02 32  3
    Dist      360.00
    AppMagn   20.29
    AppMagnR  18.32
    AppMagnI  16.26
    AppMagnJ  15.07
    AppMagnH  14.23
    AppMagnKs 13.33
    AppMagnW1 12.5
    AppMagnW2 11.8
    AppMagnW3 10.33
    MassSol   0.04276125
}

Star "S Ori 05383-02415/S Ori J053838.6-024157/2MASS J05383858-0241558"
{
    RA        5 38 38.6
    Dec       -02 41 56
    Dist      360.00
    Class     "M5.5 V"
    AppMagn   19.8
    AppMagnR  18.28
    AppMagnI  16.47
    AppMagnJ  14.56
    AppMagnH  13.97
    AppMagnKs 13.65
    AppMagnW1 13.5
    AppMagnW2 13.21
    MassSol   0.0665175
}

Star "Mayrit 487350/2MASS J05383888-0228016"           //Unconfirmed
{
    RA        5 38 38.9
    Dec       -02 28  2
    Dist      360.00
    Class     "M5 V"
    AppMagn   20.2
    AppMagnR  18.77
    AppMagnI  16.99
    AppMagnJ  15.25
    AppMagnH  14.74
    AppMagnKs 14.42
    AppMagnW1 14.27
    AppMagnW2 14
    MassSol   0.03896025
}

Star "S Ori 68"
{
    RA        5 38 39.1
    Dec       -02 28  5
    Dist      360.00
    Class     "L5 V"
    AppMagnI  23.77
    AppMagnJ  20.2
    MassSol   0.00475125
}

Star "Mayrit 232341/2MASS J05383976-0232203"           //Unconfirmed
{
    RA        5 38 39.8
    Dec       -02 32 20
    Dist      360.00
    AppMagn   21.75
    AppMagnR  19.72
    AppMagnI  17.56
    AppMagnJ  14.94
    AppMagnH  14.47
    AppMagnKs 13.93
    AppMagnW1 13.48
    AppMagnW2 12.79
    MassSol   0.04466175
}

Star "S Ori 74"           //Unconfirmed
{
    RA        5 38 44.3
    Dec       -02 40  8
    Dist      360.00
    Class     "L V"
    AppMagni  
    AppMagnI  23.3
    AppMagnJ  21.1
    AppMagnH  18.54
    AppMagnKs 19.38
    MassSol   0.003801
}

Star "S Ori 05384-02403/S Ori J053844.4-024037/2MASS J05384448-0240376"           //Unconfirmed
{
    RA        5 38 44.5
    Dec       -02 40 38
    Dist      360.00
    AppMagn   21.37
    AppMagnR  19.42
    AppMagnI  17.3
    AppMagnJ  14.8
    AppMagnH  14.21
    AppMagnKs 13.94
    MassSol   0.05606475
}

Star "S Ori 05384-02551/S Ori J053844.5-025512"
{
    RA        5 38 44.6
    Dec       -02 55 12
    Dist      360.00
    AppMagnI  22.77
    AppMagnJ  19.31
    AppMagnH  18.4
    AppMagnKs 17.99
    MassSol   0.00665175
}

Star "S Ori 05384-02575/S Ori J053847.2-025756/2MASS J05384714-0257557"
{
    RA        5 38 47.1
    Dec       -02 57 56
    Dist      360.00
    Class     "M7 V"
    AppMagn   21.15
    AppMagnI  17.22
    AppMagnJ  14.52
    AppMagnH  13.94
    AppMagnKs 13.46
    AppMagnW1 13.13
    AppMagnW2 12.55
    AppMagnW3 10.83
    MassSol   0.06556725
}

Star "S Ori 05384-02332/S Ori J053848.9-023329"           //Unconfirmed
{
    RA        5 38 48.9
    Dec       -02 33 29
    Dist      360.00
    AppMagnJ  20.27
    AppMagnH  19.46
    AppMagnKs 18.36
    MassSol   0.00475125
}

Star "V2737 Ori/2MASS J05384928-0223575"           //Unconfirmed
{
    RA        5 38 49.3
    Dec       -02 23 58
    Dist      360.00
    Class     "M5 V"
    AppMagn   19.39
    AppMagnR  17.67
    AppMagnI  16.57
    AppMagnJ  14.46
    AppMagnH  13.91
    AppMagnKs 13.45
    AppMagnK  13.2
    AppMagnW1 12.8
    AppMagnW2 12.24
    AppMagnW3 10.57
    MassSol   0.07126875
}

Star "S Ori 05384-02493/S Ori J053849.5-024934"           //Unconfirmed
{
    RA        5 38 49.6
    Dec       -02 49 33
    Dist      360.00
    AppMagnI  20.08
    AppMagnJ  17.3
    AppMagnH  16.7
    AppMagnKs 16.2
    AppMagnW1 15.77
    AppMagnW2 15.21
    MassSol   0.01805475
}

Star "Mayrit 799173/2MASS J05385100-0249140"           //Unconfirmed
{
    RA        5 38 51.0
    Dec       -02 49 14
    Dist      360.00
    Class     "M4.5 V"
    AppMagn   20.04
    AppMagnR  18.58
    AppMagnI  16.9
    AppMagnJ  15.03
    AppMagnH  14.45
    AppMagnKs 14.14
    AppMagnK  14.16
    AppMagnW1 14
    AppMagnW2 13.82
    MassSol   0.04276125
}

Star "S Ori 61"
{
    RA        5 38 52.6
    Dec       -02 28 46
    Dist      360.00
    Class     "L0 V"
    AppMagnI  22.78
    AppMagnJ  19.6
}

Star "*MJO2008 05385-02321/*MJO2008 J053852.6-023215"           //Unconfirmed
{
    RA        5 38 52.6
    Dec       -02 32 16
    Dist      360.00
    AppMagnJ  16.18
    AppMagnH  15.71
    AppMagnKs 15.24
    AppMagnW1 15.11
    AppMagnW2 14.77
    MassSol   0.02565675
}

Star "S Ori 05385-02445/S Ori J053853.8-024459/2MASS J05385382-0244588"
{
    RA        5 38 53.8
    Dec       -02 44 59
    Dist      360.00
    AppMagnJ  15.44
    AppMagnH  14.96
    AppMagnKs 14.62
    AppMagnK  14.59
    AppMagnW1 14.31
    AppMagnW2 14.03
    AppMagnW3 11.95
    MassSol   0.0361095
}

Star "S Ori 05385-02403/S Ori J053854.9-024034/2MASS J05385492-0240337"
{
    RA        5 38 54.9
    Dec       -02 40 34
    Dist      360.00
    AppMagn   23.22
    AppMagnR  20.88
    AppMagni  19.33
    AppMagnI  18.71
    AppMagnJ  15.92
    AppMagnH  15.17
    AppMagnKs 14.71
    AppMagnW1 13.95
    AppMagnW2 13.26
    MassSol   0.03705975
}

Star "S Ori 05385-02412/S Ori J053855.4-024121/2MASS J05385542-0241208"
{
    RA        5 38 55.4
    Dec       -02 41 21
    Dist      360.00
    AppMagn   21.25
    AppMagnI  18.59
    AppMagnJ  15.62
    AppMagnH  14.84
    AppMagnKs 13.97
    MassSol   0.04466175
}

Star "S Ori 05385-02290/S Ori J053857.5-022905"           //Unconfirmed
{
    RA        5 38 57.5
    Dec       -02 29  6
    Dist      360.00
    AppMagnJ  19.04
    AppMagnH  18.4
    AppMagnKs 17.52
    AppMagnK  17.48
    MassSol   0.00855225
}

Star "S Ori 05385-02522/S Ori J053858.6-025228"           //Unconfirmed
{
    RA        5 38 58.6
    Dec       -02 52 27
    Dist      360.00
    AppMagnI  22.19
    AppMagnJ  18.61
    AppMagnH  18.04
    AppMagnKs 17.29
    MassSol   0.011403
}

Star "S Ori 72"           //Unconfirmed
{
    RA        5 38 59.2
    Dec       -02 35 26
    Dist      360.00
    Class     "L V"
    AppMagni  
    AppMagnI  23.3
    AppMagnJ  20.89
    AppMagnH  19.57
    AppMagnKs 18.72
    MassSol   0.003801
}

Star "S Ori 71"
{
    RA        5 39  0.2
    Dec       -02 37  6
    Dist      360.00
    Class     "L0 V"
    AppMagnI  20.03
    AppMagnJ  17.23
    AppMagnH  16.52
    AppMagnKs 16.11
    AppMagnW1 15.77
    AppMagnW2 15
    MassSol   0.019005
}

Star "S Ori 56"
{
    RA        5 39  0.9
    Dec       -02 21 42
    Dist      360.00
    Class     "L0.5 V"
    AppMagnI  21.74
    AppMagnJ  18.44
    AppMagnH  16.87
    AppMagnKs 17.09
    MassSol   0.011403
}

Star "S Ori 05390-02350/S Ori J053902.1-023501/2MASS J05390193-0235029"           //Unconfirmed
{
    RA        5 39  1.9
    Dec       -02 35  3
    Dist      360.00
    AppMagn   19.68
    AppMagnR  18.46
    AppMagnI  16.38
    AppMagnJ  14.45
    AppMagnH  13.38
    AppMagnKs 12.61
    AppMagnW1 11.79
    AppMagnW2 11
    AppMagnW3 8.92
    MassSol   0.060816
}

Star "S Ori 51"
{
    RA        5 39  3.2
    Dec       -02 30 21
    Dist      360.00
    Class     "M9 V"
    AppMagnI  20.22
    AppMagnJ  17.06
    AppMagnH  16.42
    AppMagnKs 16.13
    AppMagnW1 15.83
    AppMagnW2 15.68
    MassSol   0.0209055
}

Star "S Ori 58"
{
    RA        5 39  3.6
    Dec       -02 25 36
    Dist      360.00
    Class     "L0 V"
    AppMagnI  21.9
    AppMagnJ  18.6
    AppMagnKs 16.87
    MassSol   0.011403
}

Star "S Ori 17/2MASS J05390449-0238353"           //Unconfirmed
{
    RA        5 39  4.5
    Dec       -02 38 35
    Dist      360.00
    Class     "M6 V"
    AppMagn   20
    AppMagnR  18.92
    AppMagnI  16.89
    AppMagnJ  14.72
    AppMagnH  14.19
    AppMagnKs 13.8
    AppMagnW1 13.57
    AppMagnW2 13.26
    MassSol   0.05226375
}

Star "V2739 Ori/2MASS J05390756-0212145"
{
    RA        5 39  7.6
    Dec       -02 12 15
    Dist      360.00
    AppMagnR  19.22
    AppMagnI  17.06
    AppMagnJ  14.92
    AppMagnH  14.35
    AppMagnKs 13.84
    AppMagnK  13.82
    AppMagnW1 13.26
    AppMagnW2 12.71
    AppMagnW3 10.81
    MassSol   0.045612
}

Star "S Ori 20/2MASS J05390758-0229055"           //Unconfirmed
{
    RA        5 39  7.6
    Dec       -02 29  6
    Dist      360.00
    Class     "M5.5 V"
    AppMagn   20.66
    AppMagnR  19.02
    AppMagnI  17.18
    AppMagnJ  14.96
    AppMagnH  14.34
    AppMagnKs 13.9
    AppMagnW1 13.73
    AppMagnW2 13.51
    MassSol   0.05416425
}

Star "S Ori 25/2MASS J05390894-0239579"
{
    RA        5 39  9.0
    Dec       -02 39 58
    Dist      360.00
    Class     "M6.5 V"
    AppMagn   21.09
    AppMagnR  19.34
    AppMagnI  17.37
    AppMagnJ  14.66
    AppMagnH  14.14
    AppMagnKs 13.74
    AppMagnW1 13.48
    AppMagnW2 13.14
    MassSol   0.05796525
}

Star "S Ori 50"
{
    RA        5 39 10.8
    Dec       -02 37 15
    Dist      360.00
    Class     "M9 V"
    AppMagnI  20.48
    AppMagnJ  17.5
    AppMagnH  17.12
    AppMagnKs 16.18
    MassSol   0.0171045
}

Star "S Ori 05391-02333/S Ori J053911.4-023333/2MASS J05391139-0233327"           //Unconfirmed
{
    RA        5 39 11.4
    Dec       -02 33 33
    Dist      360.00
    Class     "M5 V"
    AppMagn   19.94
    AppMagnR  18.32
    AppMagnI  16.54
    AppMagnJ  14.45
    AppMagnH  13.93
    AppMagnKs 13.57
    MassSol   0.0779205
}

Star "S Ori 05391-02245/S Ori J053912.8-022453/2MASS J05391289-0224537"           //Unconfirmed
{
    RA        5 39 12.9
    Dec       -02 24 54
    Dist      360.00
    Class     "M6 V"
    AppMagn   23.17
    AppMagnR  21.04
    AppMagnI  18.94
    AppMagnJ  16.68
    AppMagnH  15.97
    AppMagnKs 15.55
    AppMagnK  15.18
    AppMagnW1 15.12
    AppMagnW2 14.82
    MassSol   0.01995525
}

Star "S Ori 30/2MASS J05391308-0237509"           //Unconfirmed
{
    RA        5 39 13.1
    Dec       -02 37 51
    Dist      360.00
    Class     "M6 V"
    AppMagn   20.74
    AppMagnR  19.34
    AppMagnI  17.79
    AppMagnJ  15.24
    AppMagnH  14.75
    AppMagnKs 14.31
    AppMagnW1 13.99
    AppMagnW2 13.55
    MassSol   0.0437115
}

Star "S Ori 05391-02162/S Ori J053913.9-021621"
{
    RA        5 39 13.9
    Dec       -02 16 22
    Dist      360.00
    AppMagni  21.53
    AppMagnI  20.47
    AppMagnJ  17.49
    AppMagnH  16.9
    AppMagnKs 16.35
    AppMagnW1 16.13
    AppMagnW2 15.67
    MassSol   0.015204
}

Star "S Ori 16/2MASS J05391510-0240475"
{
    RA        5 39 15.1
    Dec       -02 40 48
    Dist      360.00
    Class     "M3.5 V"
    AppMagn   20.45
    AppMagnR  18.73
    AppMagnI  17.28
    AppMagnJ  14.67
    AppMagnH  14.04
    AppMagnKs 13.66
    MassSol   0.06176625
}

Star "S Ori 38/2MASS J05391525-0221507"           //Unconfirmed
{
    RA        5 39 15.3
    Dec       -02 21 51
    Dist      360.00
    Class     "M7 V"
    AppMagn   22.04
    AppMagnR  19.98
    AppMagni  18.66
    AppMagnI  18.12
    AppMagnJ  15.54
    AppMagnH  15.03
    AppMagnKs 14.62
    AppMagnK  14.56
    AppMagnW1 14.01
    AppMagnW2 13.36
    MassSol   0.03515925
}

Star "S Ori 05391-02382/S Ori J053915.8-023826"
{
    RA        5 39 15.8
    Dec       -02 38 26
    Dist      360.00
    AppMagnJ  14.93
    AppMagnH  14.44
    AppMagnKs 14.12
    AppMagnW1 13.69
    AppMagnW2 13.46
    MassSol   0.04466175
}

Star "*LO2009 37"
{
    RA        5 39 16.0
    Dec       -02 14  3
    Dist      360.00
    AppMagnJ  14.57
    AppMagnH  14.09
    AppMagnKs 13.72
    AppMagnW1 12.81
    AppMagnW2 12.62
    MassSol   0.0627165
}

Star "S Ori 05391-02525/S Ori J053918.1-025257/2MASS J05391813-0252563"
{
    RA        5 39 18.1
    Dec       -02 52 56
    Dist      360.00
    AppMagn   22.53
    AppMagnR  21.03
    AppMagni  19.65
    AppMagnI  18.64
    AppMagnJ  16.15
    AppMagnH  15.55
    AppMagnKs 15.14
    AppMagnW1 14.82
    AppMagnW2 14.27
    MassSol   0.02755725
}

Star "S Ori 05392-02455/S Ori J053922.2-024552/2MASS J05392224-0245524"           //Unconfirmed
{
    RA        5 39 22.2
    Dec       -02 45 52
    Dist      360.00
    AppMagni  17.86
    AppMagnI  17.04
    AppMagnJ  15.32
    AppMagnH  14.84
    AppMagnKs 14.41
    MassSol   0.0437115
}

Star "S Ori 28/2MASS J05392319-0246557"
{
    RA        5 39 23.2
    Dec       -02 46 56
    Dist      360.00
    AppMagn   21.06
    AppMagnR  19.41
    AppMagni  17.98
    AppMagnI  17.51
    AppMagnJ  15.33
    AppMagnH  14.78
    AppMagnKs 14.34
    AppMagnW1 14.19
    AppMagnW2 13.84
    MassSol   0.045612
}

Star "S Ori 05392-02123/S Ori J053923.3-021235"           //Unconfirmed
{
    RA        5 39 23.3
    Dec       -02 12 35
    Dist      360.00
    AppMagnJ  20.01
    AppMagnH  19.47
    AppMagnKs 18.23
    MassSol   0.0057015
}

Star "S Ori 42/2MASS J05392341-0240575"
{
    RA        5 39 23.4
    Dec       -02 40 58
    Dist      360.00
    Class     "M7.5 V"
    AppMagni  20.03
    AppMagnI  19.05
    AppMagnJ  16.73
    AppMagnH  15.92
    AppMagnKs 15.55
    AppMagnW1 15.19
    AppMagnW2 14.53
    MassSol   0.0247065
}

Star "Mayrit 633105/2MASS J05392560-0238436"           //Unconfirmed
{
    RA        5 39 25.6
    Dec       -02 38 44
    Dist      360.00
    AppMagnR  16.5
    AppMagnI  17.23
    AppMagnJ  15.3
    AppMagnH  14.41
    AppMagnKs 13.77
    AppMagnW1 12.82
    AppMagnW2 11.99
    AppMagnW3 8.67
    MassSol   0.03801
}

Star "S Ori 36/2MASS J05392685-0236561"
{
    RA        5 39 26.9
    Dec       -02 36 56
    Dist      360.00
    AppMagn   21.94
    AppMagnI  18.01
    AppMagnJ  15.46
    AppMagnH  14.84
    AppMagnKs 14.49
    AppMagnW1 14
    AppMagnW2 13.48
    MassSol   0.03896025
}

Star "S Ori 05392-02463/S Ori J053929.4-024636"
{
    RA        5 39 29.4
    Dec       -02 46 37
    Dist      360.00
    AppMagnI  19.75
    AppMagnJ  16.96
    AppMagnH  16.52
    AppMagnKs 16.03
    AppMagnW1 15.6
    AppMagnW2 15.61
    MassSol   0.0209055
}

Star "S Ori 05393-02522/S Ori J053932.4-025220"
{
    RA        5 39 32.4
    Dec       -02 52 20
    Dist      360.00
    AppMagnI  22.83
    AppMagnJ  19.54
    AppMagnH  18.7
    AppMagnKs 17.86
    MassSol   0.00665175
}

Star "S Ori 21/2MASS J05393432-0238468"           //Unconfirmed
{
    RA        5 39 34.3
    Dec       -02 38 47
    Dist      360.00
    Class     "M6.5 V"
    AppMagn   21.12
    AppMagnR  19.27
    AppMagnI  17.48
    AppMagnJ  14.76
    AppMagnH  14.19
    AppMagnKs 13.79
    AppMagnW1 13.64
    AppMagnW2 13.31
    MassSol   0.05416425
}

Star "S Ori 60"
{
    RA        5 39 37.5
    Dec       -02 30 42
    Dist      360.00
    Class     "L2 V"
    AppMagnI  22.52
    AppMagnJ  19.05
    AppMagnH  18.2
    AppMagnKs 17.3
    MassSol   0.007602
}

Star "S Ori 14/2MASS J05393759-0244304"           //Unconfirmed
{
    RA        5 39 37.6
    Dec       -02 44 30
    Dist      360.00
    Class     "M6.5 V"
    AppMagn   20.39
    AppMagnR  18.69
    AppMagni  17.18
    AppMagnI  16.82
    AppMagnJ  14.38
    AppMagnH  13.82
    AppMagnKs 13.38
    MassSol   0.07602
}

Star "S Ori 62"
{
    RA        5 39 42.1
    Dec       -02 30 32
    Dist      360.00
    Class     "L2 V"
    AppMagnI  22.52
    AppMagnJ  19.18
    AppMagnH  18
    AppMagnKs 17.86
    MassSol   0.007602
}

Star "S Ori 32/2MASS J05394358-0247318"
{
    RA        5 39 43.6
    Dec       -02 47 32
    Dist      360.00
    AppMagn   21.52
    AppMagnR  19.75
    AppMagni  18.15
    AppMagnI  17.91
    AppMagnJ  15.34
    AppMagnH  14.78
    AppMagnKs 14.37
    AppMagnW1 14.2
    AppMagnW2 13.87
    MassSol   0.04086075
}

Star "S Ori 11/2MASS J05394433-0233027"           //Unconfirmed
{
    RA        5 39 44.3
    Dec       -02 33  3
    Dist      360.00
    Class     "M6 V"
    AppMagn   20.11
    AppMagnI  16.55
    AppMagnJ  14.29
    AppMagnH  13.72
    AppMagnKs 13.37
    MassSol   0.0703185
}

Star "S Ori 05394-02595/S Ori J053944.5-025959"
{
    RA        5 39 44.6
    Dec       -02 59 59
    Dist      360.00
    AppMagnI  20.74
    AppMagnJ  18.04
    AppMagnH  17.14
    AppMagnKs 16.98
    AppMagnW1 16.8
    MassSol   0.0133035
}

Star "S Ori 05394-02242/S Ori J053946.5-022423/2MASS J05394645-0224230"
{
    RA        5 39 46.5
    Dec       -02 24 23
    Dist      360.00
    AppMagn   23.6
    AppMagni  20.68
    AppMagnI  20.14
    AppMagnJ  17
    AppMagnH  16.48
    AppMagnKs 15.97
    AppMagnW1 15.61
    AppMagnW2 15.27
    MassSol   0.01805475
}

Star "S Ori 05394-02313/S Ori J053949.5-023130"           //Unconfirmed
{
    RA        5 39 49.5
    Dec       -02 31 30
    Dist      360.00
    AppMagnI  22.04
    AppMagnJ  18.89
    AppMagnH  18.18
    AppMagnKs 17.42
    MassSol   0.007602
}

Star "SDSSp 05395-00590/SDSSp J053951.99-005902.0/2MASS J05395200-0059019"
{
    RA        5 39 52.0
    Dec      -0.983889
    Dist      13.14
    Class     "L5 V"
    AppMagnI  18
    AppMagnJ  14.03
    AppMagnH  13.1
    AppMagnKs 12.53
    AppMagnW1 11.87
    AppMagnW2 11.58
    AppMagnW3 11.41
    Teff      1800
    Radius    55928.8
}

Star "2MASS 05395-02162/2MASS J05395306-0216230"
{
    RA        5 39 53.1
    Dec       -02 16 23
    Dist      360.00
    AppMagn   22.62
    AppMagnI  18.85
    AppMagnJ  16.71
    AppMagnH  16.18
    AppMagnKs 15.71
    AppMagnW1 15.15
    AppMagnW2 14.55
    MassSol   0.01995525
}

Star "DENIS-P 05395-02371/DENIS-P J053954.3-023719/2MASS J05395433-0237189"           //Unconfirmed
{
    RA        5 39 54.3
    Dec       -02 37 19
    Dist      360.00
    Class     "M6 V"
    AppMagn   20.81
    AppMagnR  19.05
    AppMagnI  17.18
    AppMagnJ  14.75
    AppMagnH  14.21
    AppMagnKs 13.8
    AppMagnW1 13.65
    AppMagnW2 13.34
    MassSol   0.05606475
}

Star "S Ori 05395-02531/S Ori J053956.8-025315"           //Unconfirmed
{
    RA        5 39 56.8
    Dec       -02 53 14
    Dist      360.00
    AppMagnI  21.25
    AppMagnJ  18.27
    AppMagnH  17.66
    AppMagnKs 17.18
    MassSol   0.01235325
}

Star "WISEPA 05395-10343/WISEPA J053957.02-103436.5"
{
    RA        5 39 57.0
    Dec       -10 34 37
    Dist      26.00
    Class     "T5.5 V"
    AppMagnJ  17.71
    AppMagnH  17.82
    AppMagnKs 18.4
    AppMagnW1 16.85
    AppMagnW2 14.76
    AppMagnW3 12.74
}

Star "S Ori 05395-02500/S Ori J053957.4-025006"
{
    RA        5 39 57.4
    Dec       -02 50  6
    Dist      360.00
    AppMagni  23.21
    AppMagnI  22.1
    AppMagnJ  18.86
    AppMagnH  18.3
    AppMagnKs 17.55
    MassSol   0.00855225
}

Star "S Ori 05400-02403/S Ori J054000.0-024033"           //Unconfirmed
{
    RA        5 40  0.0
    Dec       -02 40 33
    Dist      360.00
    AppMagnJ  19.31
    AppMagnH  18.57
    AppMagnKs 17.76
    MassSol   0.007602
}

Star "S Ori 05400-02533/S Ori J054004.5-025332"           //Unconfirmed
{
    RA        5 40  4.5
    Dec       -02 53 32
    Dist      360.00
    AppMagnJ  19.78
    AppMagnH  18.92
    AppMagnKs 17.97
    MassSol   0.0057015
}

Star "S Ori 05400-02364/S Ori J054004.5-023642/2MASS J05400453-0236421"
{
    RA        5 40  4.5
    Dec       -02 36 42
    Dist      360.00
    AppMagn   21.78
    AppMagnR  19.94
    AppMagnI  18
    AppMagnJ  15.31
    AppMagnH  14.81
    AppMagnKs 14.27
    AppMagnW1 13.95
    AppMagnW2 13.3
    MassSol   0.03896025
}

Star "S Ori 05400-02360/S Ori J054007.0-023604"
{
    RA        5 40  7.0
    Dec       -02 36  5
    Dist      360.00
    AppMagnI  21.14
    AppMagnJ  18.22
    AppMagnH  17.49
    AppMagnKs 16.88
    MassSol   0.01235325
}

Star "S Ori 05400-02223/S Ori J054007.8-022234"
{
    RA        5 40  7.7
    Dec       -02 22 34
    Dist      360.00
    AppMagni  23.44
    AppMagnI  22.56
    AppMagnJ  19.12
    AppMagnH  18.47
    AppMagnKs 17.78
    MassSol   0.007602
}

Star "S Ori 05400-02200/S Ori J054008.1-022003"           //Unconfirmed
{
    RA        5 40  8.1
    Dec       -02 20  3
    Dist      360.00
    AppMagnJ  19.71
    AppMagnH  18.85
    AppMagnKs 18.44
    MassSol   0.00665175
}

Star "S Ori 05400-02455/S Ori J054008.5-024551"
{
    RA        5 40  8.5
    Dec       -02 45 50
    Dist      360.00
    AppMagnI  22.8
    AppMagnJ  19.43
    MassSol   0.00665175
}

Star "S Ori 52"
{
    RA        5 40  9.2
    Dec       -02 26 32
    Dist      360.00
    Class     "L0 V"
    AppMagni  22.27
    AppMagnI  20.95
    AppMagnJ  17.4
    AppMagnKs 16.3
    MassSol   0.01805475
}

Star "S Ori 05401-02513/S Ori J054011.6-025135"           //Unconfirmed
{
    RA        5 40 11.6
    Dec       -02 51 35
    Dist      360.00
    AppMagnI  22.95
    AppMagnJ  19.69
    MassSol   0.0057015
}

Star "S Ori 05401-02312/S Ori J054014.0-023127/2MASS J05401396-0231273"
{
    RA        5 40 14.0
    Dec       -02 31 27
    Dist      360.00
    AppMagnI  17.59
    AppMagnJ  14.57
    AppMagnH  13.98
    AppMagnKs 13.57
    AppMagnW1 13.31
    AppMagnW2 12.97
    MassSol   0.0703185
}

Star "S Ori 05401-02362/S Ori J054017.3-023623"           //Unconfirmed
{
    RA        5 40 17.3
    Dec       -02 36 23
    Dist      360.00
    AppMagnJ  19.88
    AppMagnH  19.07
    AppMagnKs 18.41
    MassSol   0.0057015
}

Star "2MASS 05401-02265/2MASS J05401781-0226540"
{
    RA        5 40 17.8
    Dec       -02 26 54
    Dist      360.00
    AppMagn   23.15
    AppMagnR  20.93
    AppMagnI  19.16
    AppMagnJ  16.16
    AppMagnH  15.65
    AppMagnKs 15.15
    MassSol   0.026607
}

Star "2MASS 05401-02230/2MASS J05401837-0223087"
{
    RA        5 40 18.4
    Dec       -02 23  9
    Dist      360.00
    AppMagn   23.18
    AppMagnR  20.84
    AppMagnI  19.91
    AppMagnJ  16.35
    AppMagnH  14.98
    AppMagnKs 13.97
    AppMagnW1 13.07
    AppMagnW2 12.27
    AppMagnW3 10.24
    MassSol   0.02375625
}

Star "2MASS 05402-02240/2MASS J05402081-0224003"
{
    RA        5 40 20.8
    Dec       -02 24  0
    Dist      360.00
    AppMagn   24.77
    AppMagnR  22.05
    AppMagnI  19.82
    AppMagnJ  16.85
    AppMagnH  16.38
    AppMagnKs 15.87
    AppMagnW1 15.54
    AppMagnW2 15.23
    MassSol   0.019005
}

Star "Mayrit 1504095/2MASS J05402478-0238108"           //Unconfirmed
{
    RA        5 40 24.8
    Dec       -02 38 11
    Dist      360.00
    AppMagnR  20.33
    AppMagnI  18.34
    AppMagnJ  15.75
    AppMagnH  15.29
    AppMagnKs 14.81
    AppMagnW1 14.41
    AppMagnW2 13.72
    MassSol   0.03135825
}

Star "Mayrit 1642101/2MASS J05403249-0240598"           //Unconfirmed
{
    RA        5 40 32.5
    Dec       -02 40 60
    Dist      360.00
    Class     "M5.5 V"
    AppMagnI  17.01
    AppMagnJ  14.7
    AppMagnH  14.07
    AppMagnKs 13.71
    AppMagnW1 13.52
    AppMagnW2 13.24
    MassSol   0.05796525
}

Star "S Ori 05403-02400/S Ori J054037.8-024001"           //Unconfirmed
{
    RA        5 40 37.8
    Dec       -02 40  1
    Dist      360.00
    AppMagnJ  19.53
    AppMagnH  18.86
    AppMagnKs 18.34
    MassSol   0.00665175
}

Star "WISEP 05404+48323/WISEP J054047.00+483232.4"
{
    RA        5 40 47.0
    Dec       +48 32 32
    Dist      16.00
    Class     "T8.5 V"
    AppMagnJ  18.49
    AppMagnH  18.62
    AppMagnW1 18.25
    AppMagnW2 15.07
    AppMagnW3 12.09
}

Star "WISEPA 05423-16282/WISEPA J054231.26-162829.1"
{
    RA        5 42 31.3
    Dec       -16 28 29
    Dist      15.50
    Class     "T6.5 V"
    AppMagnJ  16.64
    AppMagnH  16.57
    AppMagnKs 16.63
    AppMagnW1 16.39
    AppMagnW2 13.91
    AppMagnW3 12.35
    Teff      975
}

Star "2MASS 05431+64225/2MASS J05431887+6422528"
{
    RA        5 43 18.9
    Dec       +64 22 53
    Dist      19.00
    Class     "L1 V"
    AppMagnJ  13.57
    AppMagnH  12.67
    AppMagnKs 12.05
    Teff      2200
}

Star "WISEP 05460-09594/WISEP J054601.19-095947.5"
{
    RA        5 46  1.2
    Dec       -09 59 48
    Dist      22.00
    Class     "T5 V"
    AppMagnJ  16.18
    AppMagnH  16.27
    AppMagnKs 15.47
    AppMagnW1 15.94
    AppMagnW2 13.96
    AppMagnW3 12.56
}

Star "2MASS 05591-14044/2MASS J05591914-1404488"
{
    RA        5 59 19.1
    Dec       -14  4 49
    Dist      10.35
    Class     "T5 V"
    AppMagn   25
    AppMagni  21.35
    AppMagnI  19.14
    AppMagnJ  13.8
    AppMagnH  13.68
    AppMagnKs 13.58
    AppMagnK  13.35
    AppMagnW1 13.39
    AppMagnW2 11.9
    AppMagnW3 10.56
    Teff      1002
    Radius    122344.25
    MassSol   0.0285075
}

Star "2MASS 06020+40435/2MASS J06020638+4043588"
{
    RA        6  2  6.4
    Dec       +40 43 59
    Dist      14.00
    Class     "T4.5 V"
    AppMagnJ  15.54
    AppMagnH  15.59
    AppMagnKs 15.17
    AppMagnW1 15.24
    AppMagnW2 13.54
    AppMagnW3 12.68
}

Star "SDSS 06022+63363/SDSS J060222.14+633637.9/2MASS J06022216+6336391"
{
    RA        6  2 22.2
    Dec       +63 36 39
    Dist      30.10
    Class     "L1 V"
    AppMagnJ  14.27
    AppMagnH  13.36
    AppMagnKs 12.68
}

Star "LSR 0602+3910/2MASS J06023045+3910592"
{
    RA        6  2 30.5
    Dec       +39 10 59
    Dist      10.60
    Class     "L1 V"
    AppMagn   20.8
    AppMagnJ  12.3
    AppMagnH  11.45
    AppMagnKs 10.87
    Teff      2100
    Radius    37052.83
}

Star "DENIS-P 06050-23422/DENIS-P J0605019-234227/2MASS J06050196-2342270"
{
    RA        6  5  2.0
    Dec       -23 42 27
    Dist      24.70
    Class     "L0 V"
    AppMagnI  17.89
    AppMagnJ  14.51
    AppMagnH  13.73
    AppMagnKs 13.15
    AppMagnK  13.03
}

Star "WISEP 06073+24295/WISEP J060738.65+242953.4/2MASS J06073908+2429574"
{
    RA        6  7 39.1
    Dec       +24 29 57
    Dist      7.80
    Class     "L8 V"
    AppMagnr  22.77
    AppMagni  20.02
    AppMagnJ  14.22
    AppMagnH  13.04
    AppMagnKs 12.47
    AppMagnW1 11.54
    AppMagnW2 10.95
    AppMagnW3 10.14
    Teff      1460
    Radius    55928.8
}

Star "DENIS-P 06085?27535/DENIS-P J0608528?275358/2MASS J06085283-2753583"
{
    RA        6  8 52.8
    Dec       -27 53 58
    Dist      31.25
    Class     "M9.5 V"
    AppMagnI  17.01
    AppMagnJ  13.6
    AppMagnH  12.9
    AppMagnKs 12.37
    AppMagnK  12.21
    Teff      2529
    MassSol   0.0171045
}

Star "WISEPA 06113-04102/WISEPA J061135.13-041024.0"
{
    RA        6 11 35.1
    Dec       -04 10 24
    Dist      17.70
    Class     "T0 V"
    AppMagnJ  15.49
    AppMagnH  14.65
    AppMagnKs 14.22
    AppMagnW1 13.55
    AppMagnW2 12.89
    AppMagnW3 12.05
}

Star "WISEPA 06120-49202/WISEPA J061208.69-492023.8"
{
    RA        6 12  8.7
    Dec       -49 20 24
    Dist      29.20
    Class     "T3.5 V"
    AppMagnW1 15.35
    AppMagnW2 14.08
    AppMagnW3 12.57
}

Star "WISEPA 06121-30361/WISEPA J061213.93-303612.7"
{
    RA        6 12 13.9
    Dec       -30 36 13
    Dist      19.90
    Class     "T6 V"
    AppMagnJ  17
    AppMagnH  17.06
    AppMagnKs 17.34
    AppMagnW1 16.59
    AppMagnW2 14.04
    AppMagnW3 12.96
    Teff      975
}

Star "WISEPA 06140+39123/WISEPA J061407.49+391236.4"
{
    RA        6 14  7.5
    Dec       +39 12 36
    Dist      15.40
    Class     "T6 V"
    AppMagnJ  16.93
    AppMagnH  16.36
    AppMagnKs 16.28
    AppMagnW1 16.34
    AppMagnW2 13.63
    AppMagnW3 12.02
    Teff      975
}

Star "2MASS 06141-20191/2MASS J06141196-2019181"
{
    RA        6 14 12.0
    Dec       -20 19 18
    Dist      29.15
    Class     "L4 V"
    AppMagnJ  14.78
    AppMagnH  13.9
    AppMagnKs 13.38
    AppMagnW1 13.04
    AppMagnW2 12.79
    AppMagnW3 12.56
    Teff      2000
    Radius    69911
}

Star "WISEP 06143+09513/WISEP J061437.73+095135.0"
{
    RA        6 14 37.7
    Dec       +09 51 35
    Dist      15.80
    Class     "T7 V"
    AppMagnJ  16.9
    AppMagnH  16.82
    AppMagnKs 16.81
    AppMagnW1 16.92
    AppMagnW2 14.29
    AppMagnW3 12.04
    Teff      825
}

Star "2MASS 06143+39503/2MASS J06143818+3950357"
{
    RA        6 14 38.2
    Dec       +39 50 36
    Dist      26.10
    Class     "L9 V"
    AppMagnJ  16.59
    AppMagnH  15.6
    AppMagnK  15.02
    AppMagnW1 14.33
    AppMagnW2 13.66
    AppMagnW3 12.19
    Teff      1420
    MassSol   0.0551145
}

Star "DENIS-P 06154-01004/DENIS-P J0615493-010041/2MASS J06154934-0100415"
{
    RA        6 15 49.3
    Dec       -01  0 42
    Dist      21.88
    Class     "L2 V"
    AppMagnI  17.02
    AppMagnJ  13.75
    AppMagnH  12.98
    AppMagnKs 12.54
    MassSol   0.07602
}

Star "2MASS 06160-45570/2MASS J06160532-4557080"
{
    RA        6 16  5.3
    Dec       -45 57  8
    Dist      37.00
    Class     "L2 V"
    AppMagnJ  15.16
    AppMagnH  14.26
    AppMagnKs 13.6
}

Star "2MASS 06164-64071/2MASS J06164006-6407194"
{
    RA        6 16 40.1
    Dec       -64  7 19
    Dist      50.25
    Class     "L5 V"
    AppMagnJ  16.4
    AppMagnH  16.28
    AppMagnKs 16.38
    AppMagnW1 15.65
    AppMagnW2 15.18
}

Star "2MASS 06164-14114/2MASS J06164933-1411434"           //Unconfirmed
{
    RA        6 16 49.3
    Dec       -14 11 43
    Dist      74.39
    Class     "M7 V"
    AppMagnI  18.29
    AppMagnJ  15.15
    AppMagnH  14.48
    AppMagnKs 14.04
}

Star "WISEPA 06230-04562/WISEPA J062309.94-045624.6"
{
    RA        6 23  9.9
    Dec       -04 56 25
    Dist      11.50
    Class     "T8 V"
    AppMagnJ  17.51
    AppMagnH  17.31
    AppMagnKs 17.8
    AppMagnW1 17.04
    AppMagnW2 13.78
    AppMagnW3 12.51
    Teff      675
}

Star "WISE 06244+66262/WISE J062442.37+662625.6"
{
    RA        6 24 42.4
    Dec       +66 26 26
    Dist      22.30
    Class     "L1 V"
    AppMagnJ  13.41
    AppMagnH  12.77
    AppMagnKs 12.27
    AppMagnW1 12.02
    AppMagnW2 11.79
    AppMagnW3 11.63
    Teff      2210
    MassSol   0.068418
}

Star "DENIS-P 06244-45215/DENIS-P J0624458-452156/2MASS J06244595-4521548"
{
    RA        6 24 46.0
    Dec       -45 21 55
    Dist      11.92
    Class     "L5 V"
    AppMagnI  18.32
    AppMagnJ  14.48
    AppMagnH  13.34
    AppMagnKs 12.6
    AppMagnK  12.71
    AppMagnW1 11.83
    AppMagnW2 11.48
    AppMagnW3 10.87
}

Star "WISEPA 06254+56462/WISEPA J062542.21+564625.5"
{
    RA        6 25 42.2
    Dec       +56 46 26
    Dist      20.60
    Class     "T6 V"
    AppMagnJ  17.1
    AppMagnH  16.9
    AppMagnKs 16.84
    AppMagnW1 16.56
    AppMagnW2 14.32
    AppMagnW3 12.62
    Teff      975
}

Star "SDSS 06262+00293/SDSS J062621.22+002934.2/2MASS J06262121+0029341"
{
    RA        6 26 21.2
    Dec       +00 29 34
    Dist      61.00
    Class     "L1 V"
    AppMagnr  22.91
    AppMagni  20.43
    AppMagnJ  15.93
    AppMagnH  15.21
    AppMagnKs 14.86
}

Star "WISEPA 06272-11142/WISEPA J062720.07-111428.8"
{
    RA        6 27 20.1
    Dec       -11 14 29
    Dist      11.40
    Class     "T6 V"
    AppMagnJ  15.49
    AppMagnH  15.44
    AppMagnKs 15.43
    AppMagnW1 14.9
    AppMagnW2 13.23
    AppMagnW3 11.51
    Teff      975
}

Star "DENIS-P 06274-39193/DENIS-P J0627401-391933"
{
    RA        6 27 40.2
    Dec       -39 19 33
    Dist      25.40
    Class     "L1 V"
    AppMagnI  17.5
    AppMagnJ  14.09
    AppMagnK  12.91
}

Star "WISEP 06290+24180/WISEP J062905.13+241804.9"
{
    RA        6 29  5.1
    Dec       +24 18  5
    Dist      25.00
    Class     "T2 V"
    AppMagnJ  16.39
    AppMagnH  15.58
    AppMagnKs 15.09
    AppMagnW1 14.36
    AppMagnW2 13.63
    AppMagnW3 11.83
}

Star "SDSS 06320+83050/SDSS J063206.15+830501.1/2MASS J06320617+8305014"
{
    RA        6 32  6.2
    Dec       +83  5  1
    Dist      18.10
    Class     "L0.5 V"
    AppMagnJ  13.75
    AppMagnH  12.94
    AppMagnKs 12.4
    Teff      1900
}

Star "2MASS 06322-50103/2MASS J06322402-5010349"
{
    RA        6 32 24.0
    Dec       -50 10 35
    Dist      30.00
    Class     "L3 V"
    AppMagnJ  15.02
    AppMagnH  14.03
    AppMagnKs 13.34
}

Star "2MASS 06362-12265/2MASS J06362726-1226531"
{
    RA        6 36 27.3
    Dec       -12 26 53
    Dist      25.17
    Class     "L4.5 V"
    AppMagnJ  15.33
    AppMagnH  14.37
    AppMagnKs 13.63
}

Star "2MASS 06393+09404/2MASS J06393962+0940442"           //Unconfirmed
{
    RA        6 39 39.6
    Dec       +09 40 44
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   21.79
    AppMagnR  20.19
    AppMagnI  18.29
    AppMagnJ  16.04
    AppMagnH  15.08
    AppMagnK  14.8
}

Star "2MASS 06395-74184/2MASS J06395596-7418446"
{
    RA        6 39 56.0
    Dec       -74 18 45
    Dist      26.00
    Class     "L5 V"
    AppMagnJ  15.8
    AppMagnH  14.72
    AppMagnKs 14.04
}

Star "2MASS 06400-14491/2MASS J06400355-1449104"           //Unconfirmed
{
    RA        6 40  3.6
    Dec       -14 49 10
    Dist      45.14
    Class     "M7.5 V"
    AppMagnR  19.51
    AppMagnI  17.24
    AppMagnJ  14.14
    AppMagnH  13.48
    AppMagnKs 13.05
}

Star "2MASS 06401+09340/2MASS J06401412+0934091"           //Unconfirmed
{
    RA        6 40 14.1
    Dec       +09 34  9
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   22.31
    AppMagnR  20.65
    AppMagnI  18.67
    AppMagnJ  16.73
    AppMagnH  16.07
    AppMagnK  15.31
}

Star "2MASS 06401+09415/2MASS J06401789+0941546"           //Unconfirmed
{
    RA        6 40 17.9
    Dec       +09 41 55
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   22.6
    AppMagnR  20.72
    AppMagnI  18.65
    AppMagnJ  16.4
    AppMagnH  15.82
    AppMagnK  15
}

Star "2MASS 06402+09352/2MASS J06402107+0935247"           //Unconfirmed
{
    RA        6 40 21.1
    Dec       +09 35 25
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   21.43
    AppMagnR  19.68
    AppMagnI  17.51
    AppMagnJ  15.21
    AppMagnH  14.68
    AppMagnK  14.27
}

Star "CFHT 3467"           //Unconfirmed
{
    RA        6 40 21.3
    Dec       +09 48 26
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagnR  21.67
    AppMagnI  19.21
}

Star "NGC 2264 CID C21605"           //Unconfirmed
{
    RA        6 40 21.7
    Dec       +09  6  5
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   22.85
    AppMagnR  20.91
    AppMagnI  18.52
}

Star "2MASS 06402+09483/2MASS J06402354+0948330"           //Unconfirmed
{
    RA        6 40 23.5
    Dec       +09 48 33
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   22.04
    AppMagnR  20.77
    AppMagnI  18.47
    AppMagnJ  16.66
    AppMagnH  15.97
}

Star "NGC 2264 CID C23335"           //Unconfirmed
{
    RA        6 40 26.5
    Dec       +09 44 49
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   23.06
    AppMagnR  21.11
    AppMagnI  19.02
}

Star "CFHT 4720"           //Unconfirmed
{
    RA        6 40 29.0
    Dec       +09 48  4
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagnR  22.28
    AppMagnI  19.91
}

Star "2MASS 06402+09410/2MASS J06402937+0941035"           //Unconfirmed
{
    RA        6 40 29.4
    Dec       +09 41  4
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   22.18
    AppMagnR  20.85
    AppMagnI  18.51
    AppMagnJ  16.41
    AppMagnH  16.12
    AppMagnK  15.2
}

Star "2MASS 06403+09543/2MASS J06403063+0954365"           //Unconfirmed
{
    RA        6 40 30.6
    Dec       +09 54 37
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   21.86
    AppMagnR  20.41
    AppMagnI  17.89
    AppMagnJ  15.72
    AppMagnH  15.09
    AppMagnK  14.56
}

Star "2MASS 06403+09354/2MASS J06403106+0935401"           //Unconfirmed
{
    RA        6 40 31.1
    Dec       +09 35 40
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   21.06
    AppMagnR  19.32
    AppMagnI  17.22
}

Star "2MASS 06403+09493/2MASS J06403110+0949319"           //Unconfirmed
{
    RA        6 40 31.1
    Dec       +09 49 32
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   21.7
    AppMagnR  19.88
    AppMagnI  17.42
    AppMagnJ  15
    AppMagnH  14.38
    AppMagnK  13.92
}

Star "2MASS 06404+09113/2MASS J06404043+0911372"           //Unconfirmed
{
    RA        6 40 40.4
    Dec       +09 11 37
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagnR  22.43
    AppMagnI  19.91
    AppMagnJ  17.15
    AppMagnH  16.11
    AppMagnK  15.27
}

Star "2MASS 06404+09342/2MASS J06404078+0934269"           //Unconfirmed
{
    RA        6 40 40.8
    Dec       +09 34 27
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   21.32
    AppMagnR  19.76
    AppMagnI  17.74
    AppMagnJ  15.61
    AppMagnH  15.13
    AppMagnK  14.84
}

Star "2MASS 06404+09312/2MASS J06404119+0931287"           //Unconfirmed
{
    RA        6 40 41.2
    Dec       +09 31 29
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   23.01
    AppMagnR  21.12
    AppMagnI  18.69
}

Star "2MASS 06404+09314/2MASS J06404164+0931431"           //Unconfirmed
{
    RA        6 40 41.6
    Dec       +09 31 43
    Dist      760.00
    Class     "M5 V"
    AppMagn   21.23
    AppMagnR  19.62
    AppMagnI  17.57
    AppMagnJ  15.67
    AppMagnH  15.08
    AppMagnK  14.69
}

Star "CFHT 6329"           //Unconfirmed
{
    RA        6 40 41.9
    Dec       +09 43 56
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagnR  21.5
    AppMagnI  19.15
}

Star "2MASS 06404+09384/2MASS J06404494+0938497"           //Unconfirmed
{
    RA        6 40 44.9
    Dec       +09 38 50
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   22.06
    AppMagnR  20.05
    AppMagnI  17.61
    AppMagnJ  14.9
    AppMagnH  14.42
    AppMagnK  14.01
}

Star "2MASS 06404+09471/2MASS J06404610+0947142"           //Unconfirmed
{
    RA        6 40 46.1
    Dec       +09 47 14
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   21.52
    AppMagnR  20.01
    AppMagnI  17.58
    AppMagnJ  15.42
    AppMagnH  14.79
    AppMagnK  14.74
}

Star "CFHT 7277"           //Unconfirmed
{
    RA        6 40 50.0
    Dec       +09 52 18
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagnR  22.51
    AppMagnI  20.2
}

Star "CFHT 7286"           //Unconfirmed
{
    RA        6 40 50.0
    Dec       +09 44 54
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   22.05
    AppMagnR  20.06
    AppMagnI  17.88
}

Star "2MASS 06405+09470/2MASS J06405006+0947064"           //Unconfirmed
{
    RA        6 40 50.1
    Dec       +09 47  6
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   21.4
    AppMagnR  19.99
    AppMagnI  17.61
    AppMagnJ  15.61
    AppMagnH  14.98
    AppMagnK  14.87
}

Star "2MASS 06405+09490/2MASS J06405104+0949061"           //Unconfirmed
{
    RA        6 40 51.0
    Dec       +09 49  6
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   21.05
    AppMagnR  19.71
    AppMagnI  17.47
    AppMagnJ  15.63
    AppMagnH  15.03
    AppMagnK  14.76
}

Star "CFHT 7422"           //Unconfirmed
{
    RA        6 40 51.1
    Dec       +09 54 34
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   21.65
    AppMagnR  20.17
    AppMagnI  18.06
}

Star "2MASS 06405+09455/2MASS J06405139+0945576"           //Unconfirmed
{
    RA        6 40 51.4
    Dec       +09 45 58
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   22.52
    AppMagnR  20.27
    AppMagnI  18.06
    AppMagnJ  14.79
    AppMagnH  13.58
    AppMagnK  12.93
}

Star "2MASS 06405+09473/2MASS J06405300+0947377"           //Unconfirmed
{
    RA        6 40 53.0
    Dec       +09 47 38
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   22.49
    AppMagnR  21.11
    AppMagnI  18.75
    AppMagnJ  16.85
    AppMagnH  16.12
    AppMagnK  15.37
}

Star "2MASS 06405+09360/2MASS J06405579+0936061"           //Unconfirmed
{
    RA        6 40 55.8
    Dec       +09 36  6
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagnR  21.73
    AppMagnI  19.32
    AppMagnJ  16.6
    AppMagnH  14.83
    AppMagnK  14.36
}

Star "2MASS 06405+09344/2MASS J06405641+0934442"           //Unconfirmed
{
    RA        6 40 56.4
    Dec       +09 34 44
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   21.91
    AppMagnR  20.3
    AppMagnI  18.33
    AppMagnJ  16.5
    AppMagnH  15.66
    AppMagnK  15.17
}

Star "2MASS 06405+09381/2MASS J06405674+0938101"           //Unconfirmed
{
    RA        6 40 56.7
    Dec       +09 38 10
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagnR  21.42
    AppMagnI  19.1
    AppMagnJ  16.4
    AppMagnH  15.49
    AppMagnK  15.15
}

Star "2MASS 06405+09351/2MASS J06405747+0935147"           //Unconfirmed
{
    RA        6 40 57.5
    Dec       +09 35 15
    Dist      760.00
    Class     "M V"
    AppMagn   22.84
    AppMagnR  20.77
    AppMagnI  18.29
    AppMagnJ  15.49
    AppMagnH  14.69
    AppMagnK  14.18
}

Star "2MASS 06405+10021/2MASS J06405798+1002163"           //Unconfirmed
{
    RA        6 40 58.0
    Dec       +10  2 16
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   21.27
    AppMagnR  19.56
    AppMagnI  17.46
    AppMagnJ  15.22
    AppMagnH  14.75
    AppMagnK  14.27
}

Star "CFHT 8007"           //Unconfirmed
{
    RA        6 40 58.2
    Dec       +09 51 13
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   21.89
    AppMagnR  20.05
    AppMagnI  17.77
}

Star "2MASS 06405+09375/2MASS J06405834+0937567"           //Unconfirmed
{
    RA        6 40 58.3
    Dec       +09 37 57
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   21.63
    AppMagnR  19.65
    AppMagnI  17.37
    AppMagnJ  14.84
    AppMagnH  14.07
    AppMagnK  13.71
}

Star "NGC 2264 CID C33627"           //Unconfirmed
{
    RA        6 40 58.3
    Dec       +10 17 13
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagnR  22.48
    AppMagnI  20.07
}

Star "2MASS 06405+09374/2MASS J06405843+0937445"           //Unconfirmed
{
    RA        6 40 58.4
    Dec       +09 37 45
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   21.36
    AppMagnR  19.25
    AppMagnI  16.89
}

Star "2MASS J06405941+0945516"           //Unconfirmed
{
    RA        6 40 59.4
    Dec       +09 45 52
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   21.25
    AppMagnR  19.85
    AppMagnI  17.61
    AppMagnJ  16.43
    AppMagnH  15.66
    AppMagnK  14.71
}

Star "NGC 2264 CID C33920"           //Unconfirmed
{
    RA        6 40 59.5
    Dec       +09 34 44
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagnR  21.54
    AppMagnI  19.33
}

Star "2MASS 06405+09365/2MASS J06405962+0936575"           //Unconfirmed
{
    RA        6 40 59.6
    Dec       +09 36 58
    Dist      760.00
    Class     "M6 V"
    AppMagn   21.99
    AppMagnR  19.93
    AppMagnI  17.64
    AppMagnJ  14.9
    AppMagnH  14.11
    AppMagnK  13.63
}

Star "CFHT 8141"           //Unconfirmed
{
    RA        6 40 60.0
    Dec       +09 49 18
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagnR  22.02
    AppMagnI  19.81
}

Star "2MASS 06410+09301/2MASS J06410032+0930169"           //Unconfirmed
{
    RA        6 41  0.3
    Dec       +09 30 17
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   22.16
    AppMagnR  20.46
    AppMagnI  18.34
}

Star "NGC 2264 CID C34164"           //Unconfirmed
{
    RA        6 41  0.6
    Dec       +09 36 12
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   21.83
    AppMagnR  19.65
    AppMagnI  17.43
    AppMagnJ  14.22
    AppMagnH  12.65
    AppMagnK  11.85
}

Star "2MASS 06410+09361/2MASS J06410258+0936156"           //Unconfirmed
{
    RA        6 41  2.6
    Dec       +09 36 16
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagnR  21.03
    AppMagnI  18.46
}

Star "2MASS 06410+09503/2MASS J06410266+0950329"           //Unconfirmed
{
    RA        6 41  2.7
    Dec       +09 50 33
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   21.1
    AppMagnR  19.66
    AppMagnI  17.27
    AppMagnJ  15.19
    AppMagnH  14.63
    AppMagnK  14.28
}

Star "2MASS 06410+09352/2MASS J06410350+0935248"           //Unconfirmed
{
    RA        6 41  3.5
    Dec       +09 35 25
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   22.07
    AppMagnR  20.49
    AppMagnI  18.5
}

Star "NGC 2264 CID C34965"           //Unconfirmed
{
    RA        6 41  3.8
    Dec       +09 34 54
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   22.72
    AppMagnR  21.02
    AppMagnI  18.9
}

Star "2MASS 06410+09193/2MASS J06410389+0919352"           //Unconfirmed
{
    RA        6 41  3.9
    Dec       +09 19 35
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   21.76
    AppMagnR  19.73
    AppMagnI  17.66
    AppMagnJ  15.24
    AppMagnH  14.27
    AppMagnK  13.74
}

Star "V809 Mon/2MASS J06410417+0934572"           //Unconfirmed
{
    RA        6 41  4.2
    Dec       +09 34 57
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   21.63
    AppMagnR  19.7
    AppMagnI  17.41
    AppMagnJ  14.78
    AppMagnH  14.2
    AppMagnK  13.7
}

Star "2MASS 06410+09310/2MASS J06410579+0931072"           //Unconfirmed
{
    RA        6 41  5.8
    Dec       +09 31  7
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   21.43
    AppMagnR  19.54
    AppMagnI  17.31
    AppMagnJ  14.92
    AppMagnH  14.28
    AppMagnK  13.88
}

Star "2MASS 06410+09492/2MASS J06410604+0949232"           //Unconfirmed
{
    RA        6 41  6.0
    Dec       +09 49 23
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   22.41
    AppMagnR  20.8
    AppMagnI  18.08
    AppMagnJ  15.71
    AppMagnH  15.03
    AppMagnK  14.7
}

Star "NGC 2264 CID C35544"           //Unconfirmed
{
    RA        6 41  6.5
    Dec       +09 30  5
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   24.46
    AppMagnR  22.52
    AppMagnI  20.22
}

Star "2MASS 06410+09355/2MASS J06410696+0935557"           //Unconfirmed
{
    RA        6 41  7.0
    Dec       +09 35 56
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   22.87
    AppMagnR  21.08
    AppMagnI  18.93
}

Star "2MASS 06410+09300/2MASS J06410755+0930004"           //Unconfirmed
{
    RA        6 41  7.6
    Dec       +09 30  0
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   23.31
    AppMagnR  20.53
    AppMagnI  18.31
    AppMagnJ  14.18
    AppMagnH  12.39
    AppMagnK  11.16
}

Star "2MASS 06410+09181/2MASS J06410812+0918151"           //Unconfirmed
{
    RA        6 41  8.1
    Dec       +09 18 15
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   22.11
    AppMagnR  19.75
    AppMagnI  17.34
    AppMagnJ  14.25
    AppMagnH  13.13
    AppMagnK  12.51
}

Star "2MASS 06410+09290/2MASS J06410905+0929072"           //Unconfirmed
{
    RA        6 41  9.1
    Dec       +09 29  7
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   22.35
    AppMagnR  19.72
    AppMagnI  17.39
    AppMagnJ  13.72
    AppMagnH  12.25
    AppMagnK  11.23
}

Star "2MASS 06411+09312/2MASS J06411016+0931223"           //Unconfirmed
{
    RA        6 41 10.2
    Dec       +09 31 22
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   24.45
    AppMagnR  22.6
    AppMagnI  19.93
    AppMagnJ  16.79
    AppMagnH  16.21
    AppMagnK  15.23
}

Star "2MASS 06411+09311/2MASS J06411180+0931123"           //Unconfirmed
{
    RA        6 41 11.8
    Dec       +09 31 12
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   23.41
    AppMagnR  21.15
    AppMagnI  18.65
    AppMagnJ  15.54
    AppMagnH  14.84
    AppMagnK  14.54
}

Star "2MASS 06411+09452/2MASS J06411208+0945281"           //Unconfirmed
{
    RA        6 41 12.1
    Dec       +09 45 28
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   22.21
    AppMagnR  20.46
    AppMagnI  18.1
    AppMagnJ  15.82
    AppMagnH  15.01
    AppMagnK  14.41
}

Star "2MASS 06411+09132/2MASS J06411242+0913247"           //Unconfirmed
{
    RA        6 41 12.4
    Dec       +09 13 25
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   21.22
    AppMagnR  19.35
    AppMagnI  17.15
    AppMagnJ  14.79
    AppMagnH  14.18
    AppMagnK  13.79
}

Star "2MASS 06411+09354/2MASS J06411326+0935473"           //Unconfirmed
{
    RA        6 41 13.3
    Dec       +09 35 47
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagnR  19.56
    AppMagnI  17.25
}

Star "2MASS 06411+09553/2MASS J06411365+0955370"           //Unconfirmed
{
    RA        6 41 13.7
    Dec       +09 55 37
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   22.27
    AppMagnR  20.56
    AppMagnI  18.18
    AppMagnJ  16
    AppMagnH  15.24
    AppMagnK  14.9
}

Star "2MASS 06411+09153/2MASS J06411578+0915357"           //Unconfirmed
{
    RA        6 41 15.8
    Dec       +09 15 36
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagnR  22.5
    AppMagnI  19.96
    AppMagnJ  16.81
    AppMagnH  16.13
    AppMagnK  15.5
}

Star "2MASS 06411+09381/2MASS J06411613+0938166"           //Unconfirmed
{
    RA        6 41 16.1
    Dec       +09 38 17
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   22.6
    AppMagnR  20.78
    AppMagnI  18.67
}

Star "NGC 2264 CID C37601"           //Unconfirmed
{
    RA        6 41 17.1
    Dec       +09 24 34
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   23.4
    AppMagnR  21.63
    AppMagnI  19.45
}

Star "2MASS 06411+09290/2MASS J06411714+0929048"           //Unconfirmed
{
    RA        6 41 17.1
    Dec       +09 29  5
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   22.53
    AppMagnR  20.6
    AppMagnI  18.67
}

Star "2MASS 06411+09433/2MASS J06411714+0943378"           //Unconfirmed
{
    RA        6 41 17.1
    Dec       +09 43 38
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   21.49
    AppMagnR  20.11
    AppMagnI  17.91
    AppMagnJ  16.02
    AppMagnH  15.33
    AppMagnK  14.82
}

Star "2MASS 06411+09315/2MASS J06411736+0931519"           //Unconfirmed
{
    RA        6 41 17.4
    Dec       +09 31 52
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   22.3
    AppMagnR  20.49
    AppMagnI  18.23
}

Star "2MASS 06411+09371/2MASS J06411737+0937151"           //Unconfirmed
{
    RA        6 41 17.4
    Dec       +09 37 15
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagnR  21.92
    AppMagnI  19.3
    AppMagnJ  16.08
    AppMagnH  15.65
    AppMagnK  15.28
}

Star "DENIS-P 06411-43223/DENIS-P J0641184-432233/2MASS J06411840-4322329"
{
    RA        6 41 18.4
    Dec       -43 22 33
    Dist      17.95
    Class     "L1.5 V"
    AppMagnI  16.97
    AppMagnJ  13.75
    AppMagnH  12.94
    AppMagnKs 12.45
    AppMagnK  12.43
}

Star "2MASS 06411+09540/2MASS J06411862+0954074"           //Unconfirmed
{
    RA        6 41 18.6
    Dec       +09 54  7
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   23.1
    AppMagnR  21.1
    AppMagnI  18.77
    AppMagnJ  15.99
    AppMagnH  15.53
    AppMagnK  15.11
}

Star "NGC 2264 CID C38020"           //Unconfirmed
{
    RA        6 41 18.8
    Dec       +09 35 19
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   23.69
    AppMagnR  21.96
    AppMagnI  19.65
}

Star "NGC 2264 CID C38517"           //Unconfirmed
{
    RA        6 41 20.7
    Dec       +09 28 44
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   23.56
    AppMagnR  21.35
    AppMagnI  19.25
}

Star "2MASS 06412+09324/2MASS J06412104+0932417"           //Unconfirmed
{
    RA        6 41 21.0
    Dec       +09 32 42
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   21.16
    AppMagnR  19.48
    AppMagnI  17.4
    AppMagnJ  15.25
    AppMagnH  14.72
    AppMagnK  14.43
}

Star "2MASS 06412+10170/2MASS J06412177+1017003"           //Unconfirmed
{
    RA        6 41 21.8
    Dec       +10 17  0
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   22.07
    AppMagnR  20.25
    AppMagnI  18.26
    AppMagnJ  16.09
    AppMagnH  15.42
    AppMagnK  14.92
}

Star "NGC 2264 CID C39183"           //Unconfirmed
{
    RA        6 41 23.3
    Dec       +09 32 30
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   22.46
    AppMagnR  20.83
    AppMagnI  18.76
}

Star "2MASS 06412+09302/2MASS J06412593+0930260"           //Unconfirmed
{
    RA        6 41 25.9
    Dec       +09 30 26
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   21.75
    AppMagnR  20.02
    AppMagnI  17.97
    AppMagnJ  15.69
    AppMagnH  15.13
    AppMagnK  14.92
}

Star "2MASS 06412+09460/2MASS J06412695+0946003"           //Unconfirmed
{
    RA        6 41 27.0
    Dec       +09 46  0
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   22.1
    AppMagnR  20.56
    AppMagnI  18.57
    AppMagnJ  16.57
    AppMagnH  15.54
}

Star "NGC 2264 CID C42417"           //Unconfirmed
{
    RA        6 41 34.3
    Dec       +09 38 54
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagnR  21.95
    AppMagnI  19.49
}

Star "2MASS 06413+10104/2MASS J06413618+1010481"           //Unconfirmed
{
    RA        6 41 36.2
    Dec       +10 10 48
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagn   22.75
    AppMagnR  20.91
    AppMagnI  18.78
    AppMagnJ  16.27
    AppMagnH  15.63
    AppMagnK  15.06
}

Star "NGC 2264 CID C44891"           //Unconfirmed
{
    RA        6 41 40.9
    Dec       +10  3 30
    Dist      760.00
    Class     "L V"      //Unknown
    AppMagnR  22.21
    AppMagnI  19.88
}

Star "2MASS 06431-18433/2MASS J06431685-1843375"           //Unconfirmed
{
    RA        6 43 16.9
    Dec       -18 43 38
    Dist      23.50
    Class     "M8 V"
    AppMagnR  18.72
    AppMagnI  16.08
    AppMagnJ  13.01
    AppMagnH  12.29
    AppMagnKs 11.8
}

Star "2MASS 06450-23332/2MASS J06450029-2333259"           //Unconfirmed
{
    RA        6 45  0.3
    Dec       -23 33 26
    Dist      85.56
    Class     "M7.5 V"
    AppMagnI  18.46
    AppMagnJ  15.55
    AppMagnH  14.97
    AppMagnKs 14.38
}

Star "2MASS 06465-32440/2MASS J06465202-3244011"           //Unconfirmed
{
    RA        6 46 52.0
    Dec       -32 44  1
    Dist      72.79
    Class     "M7 V"
    AppMagnR  20.06
    AppMagnI  17.89
    AppMagnJ  15.03
    AppMagnH  14.35
    AppMagnKs 13.85
}

Star "WISE 06472-62323/WISE J064723.23-623235.5"
{
    RA        6 47 23.2
    Dec       -62 32 40
    Dist      8.70
    Class     "Y1 V"
    AppMagnJ  22.85
    AppMagnH  23.31
    AppMagnW1 19.54
    AppMagnW2 15.22
    AppMagnW3 13.49
    Teff      375
    MassSol   0.0171045
}

Star "WISEA 06475-15461/WISEA J064750.85-154616.4"
{
    RA        6 47 50.8
    Dec       -15 46 17
    Dist      13.90
    Class     "L9.5 V"
    AppMagnJ  15.31
    AppMagnH  14.29
    AppMagnKs 13.74
    AppMagnW1 13.04
    AppMagnW2 12.52
    AppMagnW3 11.59
}

Star "2MASS 06482-29162/2MASS J06482289-2916280"           //Unconfirmed
{
    RA        6 48 22.9
    Dec       -29 16 28
    Dist      49.59
    Class     "M7 V"
    AppMagnJ  14.32
    AppMagnH  13.69
    AppMagnKs 13.23
}

Star "2MASS 06495-21044/2MASS J06495677-2104472"           //Unconfirmed
{
    RA        6 49 56.8
    Dec       -21  4 47
    Dist      70.79
    Class     "M7.5 V"
    AppMagnI  18.26
    AppMagnJ  15.26
    AppMagnH  14.47
    AppMagnKs 13.93
}

Star "2MASS 06512-14461/2MASS J06512977-1446150"           //Unconfirmed
{
    RA        6 51 29.8
    Dec       -14 46 15
    Dist      37.10
    Class     "M7.5 V"
    AppMagnJ  13.81
    AppMagnH  13.08
    AppMagnKs 12.66
}

Star "DENIS-P 06521-25345/DENIS-P J0652197-253450/2MASS J06521977-2534505"
{
    RA        6 52 19.8
    Dec       -25 34 51
    Dist      16.12
    Class     "L0 V"
    AppMagnI  15.98
    AppMagnJ  12.76
    AppMagnH  12.02
    AppMagnKs 11.52
    AppMagnW1 11.13
    AppMagnW2 10.79
    AppMagnW3 10.36
    MassSol   0.0779205
}

Star "UGPS 06522+03243/UGPS J065227.71+032431.0"           //Unconfirmed
{
    RA        6 52 27.7
    Dec       +03 24 31
    Dist      32.00
    Class     "T5.5 V"
    AppMagnJ  17.24
    AppMagnH  17.5
    AppMagnKs 17.52
}

Star "2MASS 06525-16141/2MASS J06525508-1614191"           //Unconfirmed
{
    RA        6 52 55.1
    Dec       -16 14 19
    Dist      48.52
    Class     "M8 V"
    AppMagnR  20.38
    AppMagnI  18.15
    AppMagnJ  14.5
    AppMagnH  13.78
    AppMagnKs 13.1
}

Star "2MASS 06533-21294/2MASS J06533530-2129406"           //Unconfirmed
{
    RA        6 53 35.3
    Dec       -21 29 41
    Dist      53.34
    Class     "M9 V"
    AppMagnJ  15.12
    AppMagnH  14.27
    AppMagnKs 13.72
}

Star "SDSS 06540+65280/SDSS J065405.63+652805.4/2MASS J06540564+6528051"
{
    RA        6 54  5.6
    Dec       +65 28  5
    Dist      29.00
    Class     "L6 V"
    AppMagnJ  16.14
    AppMagnH  15.2
    AppMagnKs 14.6
}

Star "WISEPA 06560+42053/WISEPA J065609.60+420531.0"
{
    RA        6 56  9.6
    Dec       +42  5 31
    Dist      16.60
    Class     "T3 V"
    AppMagnJ  15.45
    AppMagnH  14.87
    AppMagnKs 14.83
    AppMagnW1 14.32
    AppMagnW2 13.23
    AppMagnW3 11.79
}

Star "2MASS 06573-19400/2MASS J06573154-1940057"           //Unconfirmed
{
    RA        6 57 31.5
    Dec       -19 40  6
    Dist      65.29
    Class     "M8 V"
    AppMagnI  18.33
    AppMagnJ  15.24
    AppMagnH  14.5
    AppMagnKs 14
}

Star "WISEP 07015+63212/WISEP J070159.79+632129.2"
{
    RA        7  1 59.8
    Dec       +63 21 29
    Dist      19.00
    Class     "T3 V"
    AppMagnJ  15.79
    AppMagnH  15.08
    AppMagnKs 14.88
    AppMagnW1 14.2
    AppMagnW2 13.22
    AppMagnW3 12.48
}

Star "DENIS-P 07032-61100/DENIS-P J0703238-611004"
{
    RA        7  3 23.8
    Dec       -61 10  5
    Dist      28.40
    Class     "L1 V"
    AppMagnI  17.91
    AppMagnJ  14.47
    AppMagnK  13.08
}

Star "WISEA 07072+17053/WISEA J070720.50+170532.7"           //Unconfirmed
{
    RA        7  7 20.5
    Dec       +17  5 33
    Dist      46.00
    Class     "M V"
    AppMagnR  15.46
    AppMagnI  14.97
    AppMagnJ  13.47
    AppMagnH  13.05
    AppMagnKs 12.92
    AppMagnW1 12.66
    AppMagnW2 12.51
    AppMagnW3 12.43
    Teff      3680
    Radius    60822.57
}

Star "SDSS 07082+29503/SDSS J070821.36+295033.3/2MASS J07082133+2950350"
{
    RA        7  8 21.3
    Dec       +29 50 35
    Dist      36.00
    Class     "L5 V"
    AppMagnI  20.2
    AppMagnJ  16.72
    AppMagnH  15.56
    AppMagnKs 14.77
}

Star "2MASS 07102-06332/2MASS J07102532-0633215"           //Unconfirmed
{
    RA        7 10 25.3
    Dec       -06 33 22
    Dist      53.68
    Class     "M7.5 V"
    AppMagnR  20.07
    AppMagnI  17.61
    AppMagnJ  14.63
    AppMagnH  13.9
    AppMagnKs 13.45
}

Star "2MASS 07123-61555/2MASS J07123786-6155528"
{
    RA        7 12 37.9
    Dec       -61 55 53
    Dist      43.67
    Class     "L1 V"
    AppMagnJ  15.3
    AppMagnH  14.39
    AppMagnKs 13.67
}

Star "WISEP 07132-29175/WISEP J071322.55-291751.9"
{
    RA        7 13 22.3
    Dec       -29 17 48
    Dist      9.43
    Class     "Y0 V"
    AppMagnJ  19.64
    AppMagnH  19.85
    AppMagnW1 18.35
    AppMagnW2 14.48
    AppMagnW3 12.67
    Teff      422
    Radius    64318.12
    MassSol   0.019005
}

Star "2MASS 07134-06560/2MASS J07134978-0656011"
{
    RA        7 13 49.8
    Dec       -06 56  1
    Dist      32.35
    Class     "L3 V"
    AppMagnI  19.13
    AppMagnJ  15.43
    AppMagnH  14.68
    AppMagnKs 14.03
}

Star "DENIS-P 07164-06303/DENIS-P J0716478-063037/2MASS J07164790-0630369"
{
    RA        7 16 47.9
    Dec       -06 30 37
    Dist      24.44
    Class     "L1 V"
    AppMagnI  17.48
    AppMagnJ  13.9
    AppMagnH  13.07
    AppMagnKs 12.57
    MassSol   0.07506975
}

Star "2MASS 07171+57054/2MASS J07171626+5705430"
{
    RA        7 17 16.2
    Dec       +57  5 44
    Dist      12.00
    Class     "L3 V"
    AppMagnJ  14.64
    AppMagnH  13.59
    AppMagnKs 12.95
    AppMagnW1 12.3
    AppMagnW2 11.94
    AppMagnW3 11.34
    Teff      2100
}

Star "DENIS-P 07193?50514/DENIS-P J0719317?505141/2MASS J07193188-5051410"
{
    RA        7 19 32.1
    Dec       -50 51 42
    Dist      28.90
    Class     "L0 V"
    AppMagnI  17.44
    AppMagnJ  14.09
    AppMagnH  13.28
    AppMagnKs 12.77
    AppMagnK  12.91
    AppMagnW1 12.44
    AppMagnW2 12.21
    AppMagnW3 11.58
    Teff      2000
    Radius    69911
}

Star "WISE 07200-08465/WISE J072003.20-084651.2"
{
    RA        7 20  3.2
    Dec       -08 46 51
    Dist      7.04
    Class     "M9 V"
    AppMagnI  13.81
    AppMagnJ  10.63
    AppMagnH  9.92
    AppMagnKs 9.47
    AppMagnW1 9.17
    AppMagnW2 8.86
    AppMagnW3 8.28
}

Star "UGPS 07222-05403/UGPS J072227.51-054031.2/2MASS J07222760-0540384"
{
    RA        7 22 27.6
    Dec       -05 40 38
    Dist      4.12
    Class     "T9 V"
    AppMagni  24.32
    AppMagnJ  16.52
    AppMagnH  16.9
    AppMagnK  17.07
    AppMagnW1 15.15
    AppMagnW2 12.17
    AppMagnW3 10.18
    Teff      505
    Radius    84592.31
    MassSol   0.00665175
}

Star "2MASS 07230-16162/2MASS J07230144-1616209"
{
    RA        7 23  1.4
    Dec       -16 16 21
    Dist      29.81
    Class     "L0 V"
    AppMagnR  20.5
    AppMagnI  17.93
    AppMagnJ  14.19
    AppMagnH  13.47
    AppMagnKs 13.01
}

Star "WISEP 07231+34031/WISEP J072312.44+340313.5"
{
    RA        7 23 12.4
    Dec       +34  3 14
    Dist      14.00
    Class     "T9 V"
    AppMagnJ  18.21
    AppMagnH  18.47
    AppMagnKs 17.06
    AppMagnW1 18.27
    AppMagnW2 14.73
    AppMagnW3 12.21
    Teff      525
}

Star "2MASS 07231+57270/2MASS J07231462+5727081"
{
    RA        7 23 14.6
    Dec       +57 27  8
    Dist      25.00
    Class     "L1 V"
    AppMagnJ  13.97
    AppMagnH  13.16
    AppMagnKs 12.61
    AppMagnW1 12.29
    AppMagnW2 12.05
    AppMagnW3 11.67
}

Star "2MASS 07233-23003/2MASS J07233749-2300321"
{
    RA        7 23 37.5
    Dec       -23  0 32
    Dist      52.49
    Class     "L1 V"
    AppMagnJ  15.67
    AppMagnH  14.96
    AppMagnKs 14.29
}

Star "2MASS 07234-12365/2MASS J07234556-1236532"           //Unconfirmed
{
    RA        7 23 45.6
    Dec       -12 36 53
    Dist      44.96
    Class     "M8 V"
    AppMagnR  20.01
    AppMagnI  17.5
    AppMagnJ  14.29
    AppMagnH  13.59
    AppMagnKs 13.17
}

Star "2MASS 07252-10251/2MASS J07252641-1025122"           //Unconfirmed
{
    RA        7 25 26.4
    Dec       -10 25 12
    Dist      63.27
    Class     "M8 V"
    AppMagnJ  15.18
    AppMagnH  14.52
    AppMagnKs 14.06
}

Star "2MASS 07271+17100/2MASS J07271824+1710012"
{
    RA        7 27 18.2
    Dec       +17 10  1
    Dist      9.08
    Class     "T8 V"
    AppMagnJ  15.6
    AppMagnH  15.76
    AppMagnKs 15.56
    AppMagnK  15.58
    AppMagnW1 15.23
    AppMagnW2 12.97
    AppMagnW3 11.62
    Teff      920
    Radius    67114.56
    MassSol   0.0285075
}

Star "2MASS 07290-39540/2MASS J07290002-3954043"
{
    RA        7 29  0.0
    Dec       -39 54  4
    Dist      7.92
    Class     "T8 V"
    AppMagni  24.18
    AppMagnJ  15.92
    AppMagnH  15.98
    AppMagnKs 15.29
    AppMagnW1 15.25
    AppMagnW2 12.95
    AppMagnW3 11.34
    Teff      675
}

Star "2MASS 07291-78433/2MASS J07291084-7843358"
{
    RA        7 29 10.8
    Dec       -78 43 36
    Dist      57.00
    Class     "L0 V"
    AppMagnJ  15.44
    AppMagnH  14.95
    AppMagnKs 14.64
}

Star "2MASS 07292-49314/2MASS J07292810-4931489"           //Unconfirmed
{
    RA        7 29 28.1
    Dec       -49 31 49
    Dist      72.13
    Class     "M8 V"
    AppMagnI  18.45
    AppMagnJ  15.39
    AppMagnH  14.81
    AppMagnKs 14.26
}

Star "2MASS 07293-26085/2MASS J07293904-2608578"           //Unconfirmed
{
    RA        7 29 39.0
    Dec       -26  8 58
    Dist      39.16
    Class     "M8.5 V"
    AppMagnR  20.02
    AppMagnI  17.43
    AppMagnJ  14.18
    AppMagnH  13.5
    AppMagnKs 13.05
}

Star "2MASS 07313-28415/2MASS J07313276-2841575"           //Unconfirmed
{
    RA        7 31 32.8
    Dec       -28 41 58
    Dist      74.55
    Class     "M7.5 V"
    AppMagnI  18.12
    AppMagnJ  15.25
    AppMagnH  14.59
    AppMagnKs 14.09
}

Star "WISEP 07334+75443/WISEP J073347.94+754439.2"
{
    RA        7 33 47.9
    Dec       +75 44 39
    Dist      24.00
    Class     "T6 V"
    AppMagnJ  17.2
    AppMagnH  17.75
    AppMagnKs 15.81
    AppMagnW1 17.16
    AppMagnW2 14.77
    AppMagnW3 12.2
    Teff      975
}

Star "2MASS 07341-27240/2MASS J07341279-2724077"
{
    RA        7 34 12.8
    Dec       -27 24  8
    Dist      52.81
    Class     "L0.5 V"
    AppMagnI  18.97
    AppMagnJ  15.58
    AppMagnH  14.8
    AppMagnKs 14.25
}

Star "WISEP 07344-71574/WISEP J073444.02-715744.0"
{
    RA        7 34 44.0
    Dec       -71 57 44
    Dist      10.70
    Class     "Y0 V"
    AppMagnJ  20.35
    AppMagnH  21.07
    AppMagnW1 18.75
    AppMagnW2 15.19
    AppMagnW3 13.65
    Teff      375
}

Star "SDSS 07351+41085/SDSS J073519.59+410850.3/2MASS J07351967+4108510"
{
    RA        7 35 19.6
    Dec       +41  8 50
    Dist      41.10
    Class     "L0 V"
    AppMagnr  22.81
    AppMagni  19.68
    AppMagnJ  15.78
    AppMagnH  15.25
    AppMagnKs 14.85
}

Star "2MASS 07390-49265/2MASS J07390794-4926533"           //Unconfirmed
{
    RA        7 39  7.9
    Dec       -49 26 53
    Dist      54.55
    Class     "M7.5 V"
    AppMagnR  20.15
    AppMagnI  18.06
    AppMagnJ  14.69
    AppMagnH  14.03
    AppMagnKs 13.61
}

Star "SDSS 07392+66150/SDSS J073922.26+661503.5/2MASS J07392203+6615039"
{
    RA        7 39 22.0
    Dec       +66 15  4
    Dist      34.00
    Class     "T1.5 V"
    AppMagnJ  16.82
    AppMagnH  16
    AppMagnKs 15.83
    AppMagnW1 15.51
    AppMagnW2 14.53
    AppMagnW3 12.46
}

Star "SDSS 07400+20092/SDSS J074007.30+200921.9/2MASS J07400712+2009216"
{
    RA        7 40  7.1
    Dec       +20  9 22
    Dist      36.00
    Class     "L6 V"
    AppMagnJ  17.29
    AppMagnH  15.75
    AppMagnKs 15.08
    AppMagnW1 14.45
    AppMagnW2 13.98
    AppMagnW3 12.5
}

Star "2MASSW 07400+32120/2MASSW J0740096+321203/2MASS J07400966+3212032"
{
    RA        7 40  9.7
    Dec       +32 12  3
    Dist      37.10
    Class     "L4.5 V"
    AppMagnI  19.6
    AppMagnJ  16.19
    AppMagnH  14.86
    AppMagnKs 14.22
}

Star "2MASS 07410-03594/2MASS J07410404-0359495"           //Unconfirmed
{
    RA        7 41  4.0
    Dec       -03 59 50
    Dist      40.89
    Class     "M8.5 V"
    AppMagnR  19.88
    AppMagnI  17.45
    AppMagnJ  14.31
    AppMagnH  13.68
    AppMagnKs 13.21
}

Star "SDSS 07414+23512/SDSS J074149.15+235127.5/2MASS J07414920+2351275"
{
    RA        7 41 49.2
    Dec       +23 51 28
    Dist      18.00
    Class     "T5 V"
    AppMagnJ  16.16
    AppMagnH  15.84
    AppMagnKs 15.85
    AppMagnK  16.22
    AppMagnW1 15.83
    AppMagnW2 14.11
    AppMagnW3 12.00
}

Star "SDSS 07420+20552/SDSS J074201.41+205520.5/2MASS J07420130+2055198"
{
    RA        7 42  1.3
    Dec       +20 55 20
    Dist      15.04
    Class     "T5 V"
    AppMagnJ  16.19
    AppMagnH  15.91
    AppMagnKs 15.23
    AppMagnK  16.06
    AppMagnW1 15.53
    AppMagnW2 13.71
    AppMagnW3 11.98
}

Star "SDSS 07422+41262/SDSS J074227.46+412620.8/2MASS J07422750+4126211"
{
    RA        7 42 27.5
    Dec       +41 26 21
    Dist      39.60
    Class     "L0 V"
    AppMagnr  21.19
    AppMagni  18.69
    AppMagnJ  14.78
    AppMagnH  14.02
    AppMagnKs 13.59
}

Star "2MASS 07431-12570/2MASS J07431157-1257055"           //Unconfirmed
{
    RA        7 43 11.6
    Dec       -12 57  6
    Dist      13.05
    Class     "M7 V"
    AppMagnR  20.66
    AppMagnI  18.66
    AppMagnJ  15.83
    AppMagnH  14.99
    AppMagnKs 14.52
}

Star "SDSS 07443+32070/SDSS J074434.60+320705.1/2MASS J07443463+3207054"
{
    RA        7 44 34.6
    Dec       +32  7  5
    Dist      55.30
    Class     "L0 V"
    AppMagnr  23.19
    AppMagni  20.59
    AppMagnJ  16.33
    AppMagnH  15.66
    AppMagnKs 15.41
}

Star "WISEPA 07445+56282/WISEPA J074457.15+562821.8"
{
    RA        7 44 57.2
    Dec       +56 28 22
    Dist      14.50
    Class     "T8 V"
    AppMagnJ  17.68
    AppMagnH  17.59
    AppMagnKs 17.57
    AppMagnW1 17.14
    AppMagnW2 14.49
    AppMagnW3 12.6
    Teff      675
}

Star "2MASS 07445-16113/2MASS J07445834-1611378"           //Unconfirmed
{
    RA        7 44 58.3
    Dec       -16 11 38
    Dist      74.27
    Class     "M7 V"
    AppMagnR  20.07
    AppMagnI  17.9
    AppMagnJ  15.15
    AppMagnH  14.42
    AppMagnKs 13.81
}

Star "SDSS 07451+25461/SDSS J074515.07+254619.1/2MASS J07451508+2546193"
{
    RA        7 45 15.1
    Dec       +25 46 19
    Dist      58.00
    Class     "L1 V"
    AppMagnr  23.58
    AppMagni  20.69
    AppMagnJ  16.44
    AppMagnH  15.66
    AppMagnKs 15.33
}

Star "2MASS 07453-26243/2MASS J07453725-2624350"           //Unconfirmed
{
    RA        7 45 37.3
    Dec       -26 24 35
    Dist      62.21
    Class     "M9 V"
    AppMagnI  18.57
    AppMagnJ  15.36
    AppMagnH  14.69
    AppMagnKs 13.98
}

Star "SDSS 07465+25101/SDSS J074656.83+251019.0/2MASS J07465677+2510193"
{
    RA        7 46 56.8
    Dec       +25 10 19
    Dist      101.60
    Class     "L0 V"
    AppMagnr  22.95
    AppMagni  20.27
    AppMagnJ  16.76
    AppMagnH  15.72
    AppMagnKs 15.74
}

Star "2MASS 07470-37535/2MASS J07470792-3753586"
{
    RA        7 47  7.9
    Dec       -37 53 59
    Dist      38.90
    Class     "L1.5 V"
    AppMagnI  18.76
    AppMagnJ  15.22
    AppMagnH  14.59
    AppMagnKs 14.1
}

Star "SDSS 07475+39473/SDSS J074756.31+394732.9/2MASS J07475631+3947329"
{
    RA        7 47 56.3
    Dec       +39 47 33
    Dist      47.00
    Class     "L0 V"
    AppMagnr  21.81
    AppMagni  19.22
    AppMagnJ  15.08
    AppMagnH  14.16
    AppMagnKs 13.72
}

Star "2MASS 07490-32524/2MASS J07490653-3252461"
{
    RA        7 49  6.5
    Dec       -32 52 46
    Dist      44.23
    Class     "M9.5 V"
    AppMagnI  19.42
    AppMagnJ  14.93
    AppMagnH  14.15
    AppMagnKs 13.67
}

Star "WISEPA 07500+27254/WISEPA J075003.84+272544.8"
{
    RA        7 50  3.8
    Dec       +27 25 45
    Dist      15.80
    Class     "T8.5 V"
    AppMagnJ  18.69
    AppMagnH  19
    AppMagnKs 18.63
    AppMagnK  18.10
    AppMagnW1 18.34
    AppMagnW2 14.48
    AppMagnW3 12.66
    Teff      675
}

Star "SDSS 07500+33061/SDSS J075004.93+330617.9/2MASS J07500495+3306180"
{
    RA        7 50  4.9
    Dec       +33  6 18
    Dist      78.40
    Class     "L0 V"
    AppMagnr  23.09
    AppMagni  20.19
    AppMagnJ  16.14
    AppMagnH  15.37
    AppMagnKs 15.2
}

Star "SDSS 07505+44541/SDSS J075054.74+445418.7"
{
    RA        7 50 54.7
    Dec       +44 54 19
    Dist      60.00
    Class     "L0 V"
    AppMagnJ  15.13
    AppMagnH  14.46
    AppMagnKs 14.25
    AppMagnW1 13.8
    AppMagnW2 13.45
    AppMagnW3 12.78
}

Star "WISEPA 07510-76344/WISEPA J075108.79-763449.6"
{
    RA        7 51  8.8
    Dec       -76 34 50
    Dist      12.00
    Class     "T9 V"
    AppMagnJ  19.34
    AppMagnH  19.02
    AppMagnW1 17.13
    AppMagnW2 14.47
    AppMagnW3 11.84
    Teff      525
}

Star "DENIS-P 07511-25304/DENIS-P J0751164-253043/2MASS J07511645-2530432"
{
    RA        7 51 16.5
    Dec       -25 30 43
    Dist      17.76
    Class     "L2.5 V"
    AppMagnI  16.5
    AppMagnJ  13.16
    AppMagnH  12.5
    AppMagnKs 11.99
    MassSol   0.07602
}

Star "2MASS 07522-39254/2MASS J07522427-3925410"           //Unconfirmed
{
    RA        7 52 24.3
    Dec       -39 25 41
    Dist      43.03
    Class     "M9 V"
    AppMagnI  18.18
    AppMagnJ  14.58
    AppMagnH  13.86
    AppMagnKs 13.39
}

Star "SDSS 07525+17343/SDSS J075256.70+173433.8/2MASS J07525673+1734341"
{
    RA        7 52 56.7
    Dec       +17 34 34
    Dist      87.00
    Class     "L0 V"
    AppMagnJ  16.43
    AppMagnH  15.8
    AppMagnKs 15.34
}

Star "SDSS 07525+41363/SDSS J075259.43+413634.6/2MASS J07525942+4136344"
{
    RA        7 52 59.4
    Dec       +41 36 34
    Dist      84.00
    Class     "L0 V"
    AppMagnr  24.08
    AppMagni  21.03
    AppMagnJ  16.36
    AppMagnH  15.6
    AppMagnKs 15.19
    AppMagnW1 14.92
    AppMagnW2 14.75
    AppMagnW3 12.60
}

Star "SDSS 07533+29171/SDSS J075332.13+291711.4/2MASS J07533217+2917119"
{
    RA        7 53 32.2
    Dec       +29 17 12
    Dist      44.00
    Class     "L2 V"
    AppMagni  19.97
    AppMagnI  19
    AppMagnJ  15.52
    AppMagnH  14.53
    AppMagnKs 13.85
    AppMagnW1 13.32
    AppMagnW2 13
    AppMagnW3 11.87
}

Star "2MASS 07535-54215/2MASS J07535987-5421555"           //Unconfirmed
{
    RA        7 53 59.9
    Dec       -54 21 56
    Dist      61.55
    Class     "M7 V"
    AppMagnR  19.91
    AppMagnI  17.75
    AppMagnJ  14.72
    AppMagnH  14
    AppMagnKs 13.55
}

Star "SDSS 07541+43153/SDSS J075414.04+431534.1/2MASS J07541401+4315342"
{
    RA        7 54 14.0
    Dec       +43 15 34
    Dist      73.00
    Class     "L1 V"
    AppMagnr  23.1
    AppMagni  20.68
    AppMagnJ  16.41
    AppMagnH  15.6
    AppMagnKs 15.06
}

Star "SDSS 07551+29344/SDSS J075515.26+293445.4/2MASS J07551528+2934453"
{
    RA        7 55 15.3
    Dec       +29 34 45
    Dist      62.00
    Class     "L3.5 V"
    AppMagnJ  17.23
    AppMagnH  16.23
    AppMagnKs 15.64
    AppMagnW1 15.15
    AppMagnW2 14.82
    AppMagnW3 12.33
}

Star "SDSS 07554+22121/SDSS J075547.87+221215.6/2MASS J07554795+2212169"
{
    RA        7 55 48.0
    Dec       +22 12 17
    Dist      18.00
    Class     "T6 V"
    AppMagnJ  15.73
    AppMagnH  15.67
    AppMagnKs 15.75
    AppMagnW1 15.43
    AppMagnW2 13.5
    AppMagnW3 12.51
}

Star "2MASS 07561-07155/2MASS J07561708-0715512"           //Unconfirmed
{
    RA        7 56 17.1
    Dec       -07 15 51
    Dist      43.55
    Class     "M8.5 V"
    AppMagnR  19.83
    AppMagnI  17.39
    AppMagnJ  14.48
    AppMagnH  13.81
    AppMagnKs 13.25
}

Star "SDSS 07562+12445/SDSS J075625.29+124455.3/2MASS J07562529+1244560"
{
    RA        7 56 25.3
    Dec       +12 44 56
    Dist      30.00
    Class     "L6 V"
    AppMagnJ  16.66
    AppMagnH  15.76
    AppMagnKs 14.73
    AppMagnW1 14.19
    AppMagnW2 13.58
    AppMagnW3 12.03
}

Star "SDSS 07565+23145/SDSS J075656.54+231458.5/2MASS J07565631+2314577"
{
    RA        7 56 56.3
    Dec       +23 14 58
    Dist      65.00
    Class     "L3.5 V"
    AppMagnJ  16.77
    AppMagnH  15.55
    AppMagnKs 14.99
    AppMagnW1 14.18
    AppMagnW2 13.83
    AppMagnW3 11.89
}

Star "2MASS 07583-39453/2MASS J07583247-3945317"
{
    RA        7 58 32.5
    Dec       -39 45 32
    Dist      34.45
    Class     "L1 V"
    AppMagnR  20.61
    AppMagnI  18.73
    AppMagnJ  14.84
    AppMagnH  13.89
    AppMagnKs 13.34
}

Star "SDSS 07584+32472/SDSS J075840.33+324723.4/2MASS J07584037+3247245"
{
    RA        7 58 40.4
    Dec       +32 47 25
    Dist      11.00
    Class     "T2 V"
    AppMagni  21.86
    AppMagnJ  14.95
    AppMagnH  14.11
    AppMagnKs 13.88
    AppMagnW1 13.11
    AppMagnW2 12.17
    AppMagnW3 10.67
}

Star "SDSS 07591+24271/SDSS J075910.44+242712.4/2MASS J07591043+2427136"
{
    RA        7 59 10.4
    Dec       +24 27 14
    Dist      42.90
    Class     "L0 V"
    AppMagnr  22.52
    AppMagni  20.03
    AppMagnJ  15.74
    AppMagnH  14.98
    AppMagnKs 14.48
}

Star "WISEPC 07594-49045/WISEPC J075946.98-490454.0"
{
    RA        7 59 47.0
    Dec       -49  4 54
    Dist      11.90
    Class     "T8 V"
    AppMagnJ  17.38
    AppMagnH  17.41
    AppMagnW1 17.68
    AppMagnW2 13.81
    AppMagnW3 13.03
    Teff      675
}

Star "2MASS 07595-21171/2MASS J07595440-2117123"           //Unconfirmed
{
    RA        7 59 54.4
    Dec       -21 17 12
    Dist      43.75
    Class     "M7.5 V"
    AppMagnJ  14.21
    AppMagnH  13.54
    AppMagnKs 13.03
}

Star "SDSS 08002+55113/SDSS J080027.57+551134.1"
{
    RA        8  0 27.6
    Dec       +55 11 34
    Dist      28.00
    Class     "L1 V"
    AppMagni  19.07
    AppMagnJ  14.62
    AppMagnH  13.82
    AppMagnKs 13.36
}

Star "SDSS 08004+46582/SDSS J080048.13+465825.5/2MASS J08004815+4658256"
{
    RA        8  0 48.2
    Dec       +46 58 26
    Dist      50.80
    Class     "L2 V"
    AppMagnr  22.45
    AppMagni  19.99
    AppMagnJ  15.51
    AppMagnH  14.55
    AppMagnKs 14.32
    AppMagnW1 13.81
    AppMagnW2 13.55
    AppMagnW3 12.31
}

Star "SDSS 08005+24131/SDSS J080054.26+241316.8/2MASS J08005428+2413172"
{
    RA        8  0 54.3
    Dec       +24 13 17
    Dist      71.20
    Class     "L0 V"
    AppMagnr  22.06
    AppMagni  19.37
    AppMagnJ  15.8
    AppMagnH  14.99
    AppMagnKs 14.68
}

Star "SDSS 08014+46284/SDSS J080140.52+462849.0/2MASS J08014056+4628498"
{
    RA        8  1 40.6
    Dec       +46 28 50
    Dist      26.00
    Class     "L6.5 V"
    AppMagnr  23.36
    AppMagni  21.28
    AppMagnI  19.7
    AppMagnJ  16.28
    AppMagnH  15.45
    AppMagnKs 14.54
    AppMagnW1 13.94
    AppMagnW2 13.67
    AppMagnW3 12.85
}

Star "SDSS 08015+48062/SDSS J080159.52+480628.5/2MASS J08015951+4806282"
{
    RA        8  1 59.5
    Dec       +48  6 29
    Dist      38.80
    Class     "L0 V"
    AppMagnr  22.82
    AppMagni  20.3
    AppMagnJ  16.01
    AppMagnH  15.06
    AppMagnKs 14.82
}

Star "WISEP 08020+25271/WISEP J080202.86+252718.5/2MASS J08020286+2527198"           //Unconfirmed
{
    RA        8  2  2.9
    Dec       +25 27 20
    Dist      53.00
    Class     "L3.5 V"
    AppMagnJ  16.71
    AppMagnH  15.8
    AppMagnKs 15.4
    AppMagnW1 14.76
    AppMagnW2 14.26
    AppMagnW3 11.97
    Teff      1800
}

Star "SDSS 08025+33214/SDSS J080255.75+332143.6"
{
    RA        8  2 55.8
    Dec       +33 21 44
    Dist      78.90
    Class     "L2 V"
    AppMagni  20.15
    AppMagnJ  15.85
    AppMagnH  14.8
    AppMagnKs 14.2
}

Star "SDSS 08032+12384/SDSS J080322.77+123845.3/2MASS J08032279+1238458"
{
    RA        8  3 22.8
    Dec       +12 38 46
    Dist      33.30
    Class     "L2.5 V"
    AppMagni  20.74
    AppMagnJ  16.31
    AppMagnH  15.44
    AppMagnKs 15.23
    AppMagnW1 14.63
    AppMagnW2 14.31
    AppMagnW3 12.34
}

Star "2MASS 08034-17230/2MASS J08034806-1723073"           //Unconfirmed
{
    RA        8  3 48.1
    Dec       -17 23  7
    Dist      75.05
    Class     "M7 V"
    AppMagnI  17.98
    AppMagnJ  15.16
    AppMagnH  14.5
    AppMagnKs 13.94
}

Star "SDSS 08051+49250/SDSS J080519.69+492504.8"
{
    RA        8  5 19.7
    Dec       +49 25  5
    Dist      59.00
    Class     "L0 V"
    AppMagni  20.75
}

Star "SDSS 08054+51131/SDSS J080549.90+511312.6"
{
    RA        8  5 49.9
    Dec       +51 13 13
    Dist      35.80
    Class     "L1 V"
    AppMagni  19.61
    AppMagnJ  15.26
    AppMagnH  14.38
    AppMagnKs 13.85
}

Star "SDSS 08055+53353/SDSS J080550.07+533531.4/2MASS J08055007+5335322"
{
    RA        8  5 50.1
    Dec       +53 35 31
    Dist      86.10
    Class     "L0 V"
    AppMagnr  22.08
    AppMagni  20.03
    AppMagnJ  16.21
    AppMagnH  15.5
    AppMagnKs 15.04
}

Star "2MASS 08063-43204/2MASS J08063490-4320470"
{
    RA        8  6 34.9
    Dec       -43 20 47
    Dist      31.20
    Class     "L3.5 V"
    AppMagnI  18.66
    AppMagnJ  15.39
    AppMagnH  14.55
    AppMagnKs 14.11
}

Star "WISE 08070+41302/WISE J080700.23+413026.8"
{
    RA        8  7  0.2
    Dec       +41 30 27
    Dist      17.00
    Class     "L8 V"
    AppMagnJ  15.84
    AppMagnH  14.78
    AppMagnKs 14.35
    AppMagnW1 13.47
    AppMagnW2 13.11
    AppMagnW3 12.09
}

Star "2MASS 08072-30563/2MASS J08072925-3056330"
{
    RA        8  7 29.3
    Dec       -30 56 33
    Dist      30.55
    Class     "L3 V"
    AppMagnJ  15.27
    AppMagnH  14.45
    AppMagnKs 13.88
}

Star "SDSS 08085+41074/SDSS J080858.99+410741.0"
{
    RA        8  8 59.0
    Dec       +41  7 41
    Dist      36.50
    Class     "L2 V"
    AppMagni  20.14
    AppMagnJ  15.74
    AppMagnH  14.88
    AppMagnKs 14.33
}

Star "SDSS 08095+44342/SDSS J080959.01+443422.2/2MASS J08095903+4434216"
{
    RA        8  9 59.0
    Dec       +44 34 22
    Dist      25.00
    Class     "L6 V"
    AppMagnJ  16.44
    AppMagnH  15.18
    AppMagnKs 14.42
    AppMagnW1 13.34
    AppMagnW2 12.8
    AppMagnW3 11.6
}

Star "2MASS 08105+14203/2MASS J08105865+1420390"
{
    RA        8 10 58.7
    Dec       +14 20 39
    Dist      17.80
    Class     "M9 V"
    AppMagn   19.6
    AppMagnJ  12.71
    AppMagnH  12.05
    AppMagnKs 11.61
}

Star "WISEP 08111-80514/WISEP J081117.81-805141.3"
{
    RA        8 11 17.8
    Dec       -80 51 41
    Dist      9.80
    Class     "T9.5 V"
    AppMagnJ  19.9
    AppMagnH  19.88
    AppMagnW1 17.29
    AppMagnW2 14.38
    AppMagnW3 11.85
    Teff      525
}

Star "2MASS 08112-12012/2MASS J08112196-1201268"           //Unconfirmed
{
    RA        8 11 22.0
    Dec       -12  1 27
    Dist      77.52
    Class     "M7.5 V"
    AppMagnJ  15.45
    AppMagnH  14.7
    AppMagnKs 14.06
}

Star "2MASS 08115-43192/2MASS J08115730-4319238"           //Unconfirmed
{
    RA        8 11 57.3
    Dec       -43 19 24
    Dist      52.07
    Class     "M7.5 V"
    AppMagnI  17.57
    AppMagnJ  14.58
    AppMagnH  13.86
    AppMagnKs 13.43
}

Star "2MASS 08121-47192/2MASS J08121560-4719227"
{
    RA        8 12 15.6
    Dec       -47 19 23
    Dist      58.65
    Class     "M9.5 V"
    AppMagnI  18.81
    AppMagnJ  15.5
    AppMagnH  14.77
    AppMagnKs 14.17
}

Star "WISEP 08122+40210/WISEP J081220.04+402106.2"
{
    RA        8 12 20.0
    Dec       +40 21  6
    Dist      19.50
    Class     "T8 V"
    AppMagnJ  18.39
    AppMagnH  18.3
    AppMagnKs 19.15
    AppMagnW1 18.24
    AppMagnW2 15.08
    AppMagnW3 12.76
    Teff      675
}

Star "DENIS-P 08123-24444/DENIS-P J0812316-244442/2MASS J08123170-2444423"
{
    RA        8 12 31.7
    Dec       -24 44 42
    Dist      21.15
    Class     "L2.5 V"
    AppMagnR  19.46
    AppMagnI  17.22
    AppMagnJ  13.82
    AppMagnH  12.93
    AppMagnKs 12.39
    AppMagnW1 12.05
    AppMagnW2 11.82
    AppMagnW3 11.35
    MassSol   0.07506975
}

Star "SDSS 08125+37210/SDSS J081253.19+372104.2"
{
    RA        8 12 53.2
    Dec       +37 21  4
    Dist      53.50
    Class     "L3 V"
    AppMagni  20.21
    AppMagnJ  15.75
    AppMagnH  14.98
    AppMagnKs 14.28
}

Star "SDSS 08130+32280/SDSS J081301.02+322807.9"
{
    RA        8 13  1.0
    Dec       +32 28  8
    Dist      57.20
    Class     "L3 V"
    AppMagni  20.24
    AppMagnJ  15.95
    AppMagnH  15.09
    AppMagnKs 14.54
}

Star "2MASS 08133-36145/2MASS J08133796-3614580"
{
    RA        8 13 38.0
    Dec       -36 14 58
    Dist      55.56
    Class     "L0.5 V"
    AppMagnR  21.2
    AppMagnI  19.04
    AppMagnJ  15.63
    AppMagnH  14.98
    AppMagnKs 14.54
}

Star "2MASS 08143-40204/2MASS J08143545-4020492"           //Unconfirmed
{
    RA        8 14 35.5
    Dec       -40 20 49
    Dist      51.43
    Class     "M7 V"
    AppMagnJ  14.36
    AppMagnH  13.65
    AppMagnKs 13.19
}

Star "SDSS 08155+45241/SDSS J081556.74+452411.8/2MASS J08155674+4524119"
{
    RA        8 15 56.7
    Dec       +45 24 12
    Dist      39.30
    Class     "L1 V"
    AppMagnr  22.76
    AppMagni  20.53
    AppMagnJ  16.06
    AppMagnH  15.23
    AppMagnKs 14.81
}

Star "SDSS 08165+34453/SDSS J081653.72+344535.8"
{
    RA        8 16 53.7
    Dec       +34 45 36
    Dist      54.10
    Class     "L2 V"
    AppMagni  20.72
    AppMagnJ  16.12
    AppMagnH  15.41
    AppMagnKs 14.99
}

Star "DENIS 08173-61552/DENIS J081730.0-615520/2MASS J08173001-6155158"
{
    RA        8 17 30.0
    Dec       -61 55 16
    Dist      4.93
    Class     "T6 V"
    AppMagnJ  13.61
    AppMagnH  13.53
    AppMagnKs 13.52
    AppMagnW1 12.97
    AppMagnW2 11.24
    AppMagnW3 9.61
    Teff      975
}

Star "SDSS 08175+19472/SDSS J081752.62+194727.5/2MASS J08175266+1947279"
{
    RA        8 17 52.6
    Dec       +19 47 28
    Dist      68.80
    Class     "L0 V"
    AppMagnr  21.21
    AppMagni  19.08
    AppMagnJ  15.57
    AppMagnH  14.83
    AppMagnKs 14.35
}

Star "SDSS 08175+18240/SDSS J081757.49+182405.0"
{
    RA        8 17 57.5
    Dec       +18 24  5
    Dist      29.20
    Class     "L1 V"
    AppMagni  19.44
    AppMagnJ  15.09
    AppMagnH  14.29
    AppMagnKs 13.82
}

Star "SDSS 08180+58292/SDSS J081802.24+582920.9"
{
    RA        8 18  2.2
    Dec       +58 29 21
    Dist      50.10
    Class     "L0 V"
    AppMagni  20.78
    AppMagnJ  16.33
    AppMagnH  15.5
    AppMagnKs 15.24
}

Star "SDSS 08181+33104/SDSS J081812.28+331048.2"
{
    RA        8 18 12.3
    Dec       +33 10 48
    Dist      65.60
    Class     "L0 V"
    AppMagni  20.44
    AppMagnJ  15.99
    AppMagnH  15.37
    AppMagnKs 15.06
}

Star "SDSS 08181+24533/SDSS J081814.38+245337.4"
{
    RA        8 18 14.4
    Dec       +24 53 37
    Dist      81.00
    Class     "L0 V"
    AppMagni  20.04
    AppMagnJ  16.37
    AppMagnH  15.54
    AppMagnKs 14.91
}

Star "ULAS 08191+21031/ULAS J081918.58+210310.8"
{
    RA        8 19 18.6
    Dec       +21  3 11
    Dist      30.00
    Class     "T5.5 V"
    AppMagnJ  16.95
    AppMagnH  17.28
    AppMagnK  17.18
}

Star "2MASS 08193-47061/2MASS J08193434-4706133"           //Unconfirmed
{
    RA        8 19 34.3
    Dec       -47  6 13
    Dist      46.41
    Class     "M7.5 V"
    AppMagnR  19.57
    AppMagnI  17.22
    AppMagnJ  14.27
    AppMagnH  13.59
    AppMagnKs 13.16
}

Star "ULAS 08194+07332/ULAS J081948.09+073323.3"
{
    RA        8 19 48.1
    Dec       +07 33 23
    Dist      41.40
    Class     "T6 V"
    AppMagnJ  18.24
    AppMagnH  18.36
    AppMagnKs 18.33
    Teff      975
}

Star "WISEPA 08195-03352/WISEPA J081958.05-033529.0"
{
    RA        8 19 58.1
    Dec       -03 35 29
    Dist      14.10
    Class     "T4 V"
    AppMagnJ  14.99
    AppMagnH  14.64
    AppMagnKs 14.59
    AppMagnW1 14.36
    AppMagnW2 13.07
    AppMagnW3 11.94
}

Star "WISEP 08200+26322/WISEP J082007.35+263228.5/2MASS J08200728+2632306"           //Unconfirmed
{
    RA        8 20  7.3
    Dec       +26 32 31
    Dist      80.00
    Class     "L2.5 V"
    AppMagnJ  16.99
    AppMagnH  16
    AppMagnKs 15.88
    AppMagnW1 15.58
    AppMagnW2 15.01
    AppMagnW3 12.66
    Teff      2000
}

Star "SDSS 08202+45003/SDSS J082029.92+450030.6/2MASS J08202996+4500315"
{
    RA        8 20 30.0
    Dec       +45  0 32
    Dist      28.00
    Class     "L5 V"
    AppMagnI  20
    AppMagnJ  16.28
    AppMagnH  15
    AppMagnKs 14.22
    AppMagnW1 13.51
    AppMagnW2 13.17
    AppMagnW3 12.22
}

Star "SDSS 08203+10373/SDSS J082030.12+103737.0/2MASS J08203013+1037372"
{
    RA        8 20 30.1
    Dec       +10 37 37
    Dist      30.00
    Class     "L9.5 V"
    AppMagnJ  16.98
    AppMagnH  16.08
    AppMagnKs 15.54
    AppMagnW1 14.7
    AppMagnW2 14.17
    AppMagnW3 12.08
}

Star "SDSS 08211+33365/SDSS J082115.03+333651.3/2MASS J08211501+3336508"
{
    RA        8 21 15.0
    Dec       +33 36 51
    Dist      89.80
    Class     "L0 V"
    AppMagnr  23.24
    AppMagni  20.44
    AppMagnJ  16.5
    AppMagnH  15.63
    AppMagnKs 15.06
}

Star "WISEPA 08213+14431/WISEPA J082131.63+144319.3"
{
    RA        8 21 31.6
    Dec       +14 43 19
    Dist      20.90
    Class     "T5.5 V"
    AppMagnJ  16.78
    AppMagnH  16.59
    AppMagnKs 16.58
    AppMagnW1 16.44
    AppMagnW2 14.28
    AppMagnW3 12.57
    Teff      700
}

Star "2MASS 08220-32041/2MASS J08220621-3204138"           //Unconfirmed
{
    RA        8 22  6.2
    Dec       -32  4 14
    Dist      79.75
    Class     "M8 V"
    AppMagnJ  15.55
    AppMagnH  14.83
    AppMagnKs 14.25
}

Star "2MASS 08230+61252/2MASS J08230838+6125208"
{
    RA        8 23  8.4
    Dec       +61 25 21
    Dist      30.00
    Class     "L2 V"
    AppMagnJ  14.82
    AppMagnH  13.81
    AppMagnKs 13.2
    AppMagnW1 12.75
    AppMagnW2 12.41
    AppMagnW3 12.5
}

Star "ULAS 08232+00242/ULAS J082327.46+002424.4"
{
    RA        8 23 27.5
    Dec       +00 24 24
    Dist      84.00
    Class     "T4 V"
    AppMagnJ  18.57
    AppMagnH  19.02
    AppMagnKs 18.58
}

Star "SDSS 08234+15494/SDSS J082346.99+154947.4"
{
    RA        8 23 47.0
    Dec       +15 49 47
    Dist      78.00
    Class     "L1 V"
    AppMagnJ  16.46
    AppMagnH  15.58
    AppMagnKs 14.96
}

Star "SDSS 08234+24285/SDSS J082348.15+242857.9/2MASS J08234818+2428577"
{
    RA        8 23 48.2
    Dec       +24 28 58
    Dist      29.00
    Class     "L3 V"
    AppMagni  19.56
    AppMagnJ  14.99
    AppMagnH  14.06
    AppMagnKs 13.38
    AppMagnW1 12.81
    AppMagnW2 12.48
    AppMagnW3 12.03
}

Star "WISEA 08250+28054/WISEA J082507.37+280548.2"
{
    RA        8 25  7.4
    Dec       +28  5 49
    Dist      10.00
    Class     "Y0.5 V"
    AppMagnJ  22.4
    AppMagnH  22.97
    AppMagnW1 18.44
    AppMagnW2 14.58
    AppMagnW3 11.66
    Teff      400
}

Star "SDSS 08251+21155/SDSS J082519.45+211550.3/2MASS J08251968+2115521"
{
    RA        8 25 19.7
    Dec       +21 15 52
    Dist      10.70
    Class     "L7.5 V"
    AppMagn   22.5
    AppMagnR  21.75
    AppMagni  20.6
    AppMagnI  19.22
    AppMagnJ  15.1
    AppMagnH  13.79
    AppMagnKs 13.03
    AppMagnK  12.93
    AppMagnW1 12.08
    AppMagnW2 11.57
    AppMagnW3 10.39
}

Star "SDSS 08253+31004/SDSS J082539.87+310040.7"
{
    RA        8 25 39.9
    Dec       +31  0 41
    Dist      52.40
    Class     "L1 V"
    AppMagni  20.37
    AppMagnJ  16.44
    AppMagnH  15.36
    AppMagnKs 15.13
}

Star "SDSS 08261+54473/SDSS J082612.27+544735.4/2MASS J08261233+5447358"
{
    RA        8 26 12.3
    Dec       +54 47 35
    Dist      63.90
    Class     "L0 V"
    AppMagnr  22.84
    AppMagni  20.38
    AppMagnJ  16.36
    AppMagnH  15.59
    AppMagnKs 15.26
}

Star "ULAS 08270-02040/ULAS J082707.67-020408.2"
{
    RA        8 27  7.7
    Dec       -02  4  8
    Dist      38.46
    Class     "T5.5 V"
    AppMagnJ  17.19
    AppMagnH  17.44
    AppMagnKs 17.52
    AppMagnK  17.52
    AppMagnW1 17.77
    AppMagnW2 15.29
    Teff      1080
    Radius    67813.67
}

Star "2MASS 08274-16192/2MASS J08274661-1619256"           //Unconfirmed
{
    RA        8 27 46.6
    Dec       -16 19 26
    Dist      38.90
    Class     "M8 V"
    AppMagnJ  14.1
    AppMagnH  13.37
    AppMagnKs 12.96
}

Star "2MASS 08280-35490/2MASS J08280671-3549063"           //Unconfirmed
{
    RA        8 28  6.7
    Dec       -35 49  6
    Dist      77.74
    Class     "M7 V"
    AppMagnI  18.14
    AppMagnJ  15.16
    AppMagnH  14.48
    AppMagnKs 14.03
}

Star "DENIS-P 08283-13091/DENIS-P J0828343-130919/2MASS J08283419-1309198"
{
    RA        8 28 34.2
    Dec       -13  9 20
    Dist      11.65
    Class     "L2 V"
    AppMagnI  16.06
    AppMagnJ  12.8
    AppMagnH  11.85
    AppMagnKs 11.3
    AppMagnW1 10.92
    AppMagnW2 10.67
    AppMagnW3 10.13
    Teff      2300
    Radius    65017.23
    MassSol   0.07316925
}

Star "SDSS 08290+14562/SDSS J082906.61+145620.7/2MASS J08290664+1456225"
{
    RA        8 29  6.6
    Dec       +14 56 23
    Dist      30.30
    Class     "L2 V"
    AppMagni  19.17
    AppMagnJ  14.75
    AppMagnH  13.8
    AppMagnKs 13.17
    AppMagnW1 12.82
    AppMagnW2 12.52
    AppMagnW3 12.16
}

Star "SDSS 08292+34395/SDSS J082928.21+343954.0"
{
    RA        8 29 28.2
    Dec       +34 39 54
    Dist      47.30
    Class     "L0 V"
    AppMagni  20.49
    AppMagnJ  16.1
    AppMagnH  15.43
    AppMagnKs 15.06
}

Star "SDSS 08295+26550/SDSS J082957.04+265509.8/2MASS J08295707+2655099"
{
    RA        8 29 57.1
    Dec       +26 55 10
    Dist      31.00
    Class     "L6.5 V"
    AppMagnI  20.6
    AppMagnJ  17.11
    AppMagnH  15.81
    AppMagnKs 14.96
    AppMagnW1 13.9
    AppMagnW2 13.39
    AppMagnW3 12.63
}

Star "SDSSp 08300+48284/SDSSp J083008.12+482847.4/2MASS J08300825+4828482"
{
    RA        8 30  8.3
    Dec       +48 28 48
    Dist      13.09
    Class     "L8 V"
    AppMagnr  23.59
    AppMagni  21.26
    AppMagnJ  15.44
    AppMagnH  14.34
    AppMagnKs 13.68
    AppMagnK  13.69
}

Star "SDSS 08302+22034/SDSS J083027.24+220345.0/2MASS J08302724+2203456"
{
    RA        8 30 27.2
    Dec       +22  3 45
    Dist      43.40
    Class     "L0 V"
    AppMagnr  22.14
    AppMagni  19.76
    AppMagnJ  15.66
    AppMagnH  14.81
    AppMagnKs 14.46
}

Star "WISEP 08304+48371/WISEP J083041.67+483715.0/2MASS J08304181+4837156"           //Unconfirmed
{
    RA        8 30 41.8
    Dec       +48 37 16
    Dist      62.00
    Class     "L4.5 V"
    AppMagnJ  17.28
    AppMagnH  16.28
    AppMagnKs 15.6
    AppMagnW1 14.62
    AppMagnW2 14
    AppMagnW3 12.83
    Teff      1700
}

Star "SDSS 08304+01283/SDSS J083048.80+012831.1/2MASS J08304878+0128311"
{
    RA        8 30 48.8
    Dec       +01 28 31
    Dist      23.20
    Class     "T4.5 V"
    AppMagni  24.13
    AppMagnJ  16.29
    AppMagnH  16.14
    AppMagnKs 16.36
    AppMagnK  16.38
    AppMagnW1 15.75
    AppMagnW2 14.05
    AppMagnW3 12.58
}

Star "2MASS 08311-34372/2MASS J08311868-3437230"
{
    RA        8 31 18.7
    Dec       -34 37 23
    Dist      30.08
    Class     "L2.5 V"
    AppMagnI  18.73
    AppMagnJ  15.08
    AppMagnH  14.37
    AppMagnKs 13.9
}

Star "SDSS 08312+15385/SDSS J083122.08+153850.3"
{
    RA        8 31 22.1
    Dec       +15 38 50
    Dist      36.90
    Class     "L1 V"
    AppMagni  19.99
    AppMagnJ  15.79
    AppMagnH  14.89
    AppMagnKs 14.54
}

Star "2MASS 08313-25351/2MASS J08313733-2535189"           //Unconfirmed
{
    RA        8 31 37.3
    Dec       -25 35 19
    Dist      54.05
    Class     "M8 V"
    AppMagnJ  14.71
    AppMagnH  14
    AppMagnKs 13.58
}

Star "SDSS 08320-01283/SDSS J083204.51-012836.0/2MASS J08320451-0128360"
{
    RA        8 32  4.6
    Dec       -01 28 36
    Dist      24.90
    Class     "L1.5 V"
    AppMagnI  17.9
    AppMagnJ  14.13
    AppMagnH  13.32
    AppMagnKs 12.71
    AppMagnW1 12.41
    AppMagnW2 12.16
    AppMagnW3 11.63
}

Star "2MASS 08323-33103/2MASS J08323553-3310372"           //Unconfirmed
{
    RA        8 32 35.5
    Dec       -33 10 37
    Dist      91.32
    Class     "M7 V"
    AppMagnI  18.54
    AppMagnJ  15.49
    AppMagnH  14.77
    AppMagnKs 14.26
}

Star "SDSS 08342+07191/SDSS J083424.12+071916.2/2MASS J08342418+0719161"
{
    RA        8 34 24.1
    Dec       +07 19 16
    Dist      105.10
    Class     "L0 V"
    AppMagnr  22.11
    AppMagni  20.58
    AppMagnJ  16.54
    AppMagnH  15.84
    AppMagnKs 15.43
}

Star "SDSS 08342+23085/SDSS J083429.19+230855.1"
{
    RA        8 34 29.2
    Dec       +23  8 55
    Dist      86.60
    Class     "L1 V"
    AppMagni  20.69
    AppMagnJ  16.51
    AppMagnH  15.42
    AppMagnKs 14.68
}

Star "SDSS 08350+19530/SDSS J083506.16+195304.4/2MASS J08350622+1953050"
{
    RA        8 35  6.2
    Dec       +19 53  5
    Dist      36.00
    Class     "L4.5 V"
    AppMagnJ  16.09
    AppMagnH  14.89
    AppMagnKs 14.32
    AppMagnW1 13.61
    AppMagnW2 13.17
    AppMagnW3 11.94
}

Star "2MASS 08354-08192/2MASS J08354256-0819237"
{
    RA        8 35 42.6
    Dec       -08 19 24
    Dist      8.53
    Class     "L5 V"
    AppMagn   21
    AppMagnJ  13.17
    AppMagnH  11.94
    AppMagnKs 11.14
    AppMagnW1 10.39
    AppMagnW2 10.04
    AppMagnW3 9.47
    Teff      2200
    Radius    23070.63
}

Star "SDSS 08354+22243/SDSS J083545.33+222430.8/2MASS J08354537+2224310"
{
    RA        8 35 45.4
    Dec       +22 24 31
    Dist      38.00
    Class     "L0 V"
    AppMagnr  22.55
    AppMagni  19.72
    AppMagnJ  15.74
    AppMagnH  14.93
    AppMagnKs 14.45
}

Star "SDSS 08355+05483/SDSS J083558.28+054830.7/2MASS J08355829+0548308"
{
    RA        8 35 58.3
    Dec       +05 48 31
    Dist      24.00
    Class     "L2 V"
    AppMagnJ  14.53
    AppMagnH  13.68
    AppMagnKs 13.17
    AppMagnW1 12.72
    AppMagnW2 12.39
    AppMagnW3 12
}

Star "SDSS 08361+45031/SDSS J083611.43+450319.5"
{
    RA        8 36 11.4
    Dec       +45  3 20
    Dist      49.70
    Class     "L1 V"
    AppMagni  19.56
    AppMagnJ  15.27
    AppMagnH  14.42
    AppMagnKs 13.93
}

Star "2MASS 08361-26484/2MASS J08361270-2648443"           //Unconfirmed
{
    RA        8 36 12.7
    Dec       -26 48 44
    Dist      57.50
    Class     "M7.5 V"
    AppMagnR  20.06
    AppMagnI  17.55
    AppMagnJ  14.66
    AppMagnH  13.96
    AppMagnKs 13.52
}

Star "SDSS 08362+49493/SDSS J083621.99+494931.5/2MASS J08362199+4949312"
{
    RA        8 36 22.0
    Dec       +49 49 32
    Dist      44.90
    Class     "L0 V"
    AppMagnr  22.27
    AppMagni  19.6
    AppMagnJ  15.42
    AppMagnH  14.64
    AppMagnKs 14.54
}

Star "WISEPC 08364-18594/WISEPC J083641.12-185947.2"
{
    RA        8 36 41.2
    Dec       -18 59 45
    Dist      50.00
    Class     "T8 V"
    AppMagnJ  18.99
    AppMagnH  19.49
    AppMagnKs 18.48
    AppMagnW1 18.41
    AppMagnW2 15.02
    AppMagnW3 12.76
    Teff      662
    Radius    62919.9
    MassSol   0.0247065
}

Star "SDSS 08364+05264/SDSS J083646.34+052642.6/2MASS J08364635+0526426"
{
    RA        8 36 46.4
    Dec       +05 26 43
    Dist      35.90
    Class     "L0 V"
    AppMagnr  21.29
    AppMagni  18.68
    AppMagnJ  14.58
    AppMagnH  13.91
    AppMagnKs 13.29
}

Star "SDSS 08365+18354/SDSS J083652.36+183544.9"
{
    RA        8 36 52.4
    Dec       +18 35 45
    Dist      67.30
    Class     "L0 V"
    AppMagni  20.87
    AppMagnJ  16.51
    AppMagnH  15.88
    AppMagnKs 15.18
}

Star "SDSSp 08371-00001/SDSSp J083717.22-000018.3/2MASSA J08371718-000017"
{
    RA        8 37 17.2
    Dec      -0.005
    Dist      29.67
    Class     "T0 V"
    AppMagni  23.79
    AppMagnJ  17.1
    AppMagnH  15.99
    AppMagnKs 15.67
    AppMagnK  15.05
    AppMagnW1 15.39
    AppMagnW2 14.68
    AppMagnW3 12.77
}

Star "SDSS 08372+08160/SDSS J083724.77+081603.9/2MASS J08372479+0816040"
{
    RA        8 37 24.8
    Dec       +08 16  4
    Dist      60.80
    Class     "L0 V"
    AppMagnr  21.6
    AppMagni  19.64
    AppMagnJ  16.13
    AppMagnH  15.31
    AppMagnKs 14.76
}

Star "SDSS 08373+16173/SDSS J083732.80+161737.5"
{
    RA        8 37 32.8
    Dec       +16 17 38
    Dist      70.00
    Class     "L0 V"
    AppMagni  20.74
    AppMagnJ  16.59
    AppMagnH  15.56
    AppMagnKs 15.11
}

Star "ULAS 08375-00415/ULAS J083756.19-004156.0"
{
    RA        8 37 56.2
    Dec      -0.698889
    Dist      81.00
    Class     "T3 V"
    AppMagnJ  18.52
    AppMagnH  18.6
}

Star "SDSS 08375+19572/SDSS J083759.75+195727.7"
{
    RA        8 37 59.8
    Dec       +19 57 28
    Dist      84.60
    Class     "L0 V"
    AppMagni  20.24
    AppMagnJ  16.36
    AppMagnH  15.57
    AppMagnKs 14.93
}

Star "SDSS 08392+43393/SDSS J083926.23+433935.7/2MASS J08392628+4339356"
{
    RA        8 39 26.2
    Dec       +43 39 36
    Dist      86.00
    Class     "L0 V"
    AppMagnr  23.07
    AppMagni  20.52
    AppMagnJ  16.51
    AppMagnH  15.66
    AppMagnKs 15.28
}

Star "SDSS 08400+45175/SDSS J084001.62+451752.3/2MASS J08400161+4517522"
{
    RA        8 40  1.6
    Dec       +45 17 52
    Dist      62.50
    Class     "L1 V"
    AppMagnr  22.89
    AppMagni  20.12
    AppMagnJ  15.73
    AppMagnH  14.93
    AppMagnKs 14.3
}

Star "SDSS 08401+54300/SDSS J084016.42+543002.1/2MASS J08401643+5430019"
{
    RA        8 40 16.4
    Dec       +54 30  2
    Dist      72.00
    Class     "L1 V"
    AppMagni  20.83
    AppMagnJ  16.39
    AppMagnH  15.51
    AppMagnKs 15.35
    AppMagnW1 14.76
    AppMagnW2 14.37
    AppMagnW3 12.77
}

Star "SDSS 08403+14342/SDSS J084036.04+143424.3"
{
    RA        8 40 36.0
    Dec       +14 34 24
    Dist      106.40
    Class     "L1 V"
    AppMagni  20.3
    AppMagnJ  16.23
    AppMagnH  15.08
    AppMagnKs 14.62
}

Star "ULAS 08403+07593/ULAS J084036.72+075933.6"
{
    RA        8 40 36.7
    Dec       +07 59 34
    Dist      96.00
    Class     "T4.5 V"
    AppMagnJ  19.04
    AppMagnH  19.4
}

Star "SDSS 08410+60350/SDSS J084106.85+603506.3"
{
    RA        8 41  6.9
    Dec       +60 35  6
    Dist      63.20
    Class     "L4 V"
    AppMagni  20.4
    AppMagnJ  15.94
    AppMagnH  15.03
    AppMagnKs 14.69
}

Star "SDSS 08414+00584/SDSS J084149.77+005844.6"
{
    RA        8 41 49.8
    Dec       +00 58 45
    Dist      53.10
    Class     "L0 V"
    AppMagni  20.91
}

Star "ULAS 08421+09361/ULAS J084211.68+093611.9"
{
    RA        8 42 11.7
    Dec       +09 36 12
    Dist      50.00
    Class     "T5.5 V"
    AppMagnJ  18.38
    AppMagnH  18.84
    AppMagnKs 19.08
}

Star "SDSS 08421+43250/SDSS J084217.14+432506.3/2MASS J08421711+4325063"
{
    RA        8 42 17.1
    Dec       +43 25  6
    Dist      81.00
    Class     "L0 V"
    AppMagnr  23.06
    AppMagni  20.51
    AppMagnJ  16.25
    AppMagnH  15.67
    AppMagnKs 15.01
}

Star "SDSS 08430+31412/SDSS J084307.94+314129.2/2MASS J08430796+3141297"
{
    RA        8 43  7.9
    Dec       +31 41 29
    Dist      47.50
    Class     "L3 V"
    AppMagnr  22.29
    AppMagni  20.35
    AppMagnJ  15.99
    AppMagnH  15.22
    AppMagnKs 14.65
}

Star "SDSS 08433+10244/SDSS J084333.28+102443.5/2MASS J08433323+1024470"
{
    RA        8 43 33.2
    Dec       +10 24 47
    Dist      39.70
    Class     "L1 V"
    AppMagnr  21.71
    AppMagni  19.3
    AppMagnJ  14.87
    AppMagnH  14.09
    AppMagnKs 13.67
}

Star "SDSS 08440+28470/SDSS J084407.00+284702.1/2MASS J08440699+2847026"
{
    RA        8 44  7.0
    Dec       +28 47  3
    Dist      43.10
    Class     "L2 V"
    AppMagnr  22.46
    AppMagni  20.17
    AppMagnJ  15.87
    AppMagnH  14.82
    AppMagnKs 14.34
}

Star "2MASS 08440-39143/2MASS J08440896-3914303"           //Unconfirmed
{
    RA        8 44  9.0
    Dec       -39 14 30
    Dist      65.82
    Class     "M8 V"
    AppMagnI  20.05
    AppMagnJ  15.24
    AppMagnH  14.45
    AppMagnKs 13.96
}

Star "2MASS 08441-29241/2MASS J08441409-2924121"
{
    RA        8 44 14.1
    Dec       -29 24 12
    Dist      29.20
    Class     "L4 V"
    AppMagnJ  15.41
    AppMagnH  14.57
    AppMagnKs 13.84
}

Star "SDSS 08444+40362/SDSS J084444.58+403620.0"
{
    RA        8 44 44.6
    Dec       +40 36 20
    Dist      88.90
    Class     "L1 V"
    AppMagni  20.53
    AppMagnJ  16.2
    AppMagnH  15.54
    AppMagnKs 15.07
}

Star "UGCS 08451+21481/UGCS J084510.66+214817.1"
{
    RA        8 45 10.7
    Dec       +21 48 17
    Dist      181.97
    Class     "L0.5 V"
    AppMagnJ  17.42
    Teff      2279
    MassSol   0.06746775
}

Star "SDSS 08452+36055/SDSS J084520.22+360551.4/2MASS J08452021+3605515"
{
    RA        8 45 20.2
    Dec       +36  5 51
    Dist      71.60
    Class     "L0 V"
    AppMagnr  22.7
    AppMagni  20.15
    AppMagnJ  15.82
    AppMagnH  15.01
    AppMagnKs 14.45
}

Star "2MASSI 08472-15323/2MASSI J0847287-153237/2MASS J08472872-1532372"
{
    RA        8 47 28.7
    Dec       -15 32 37
    Dist      13.07
    Class     "L2 V"
    AppMagnJ  13.51
    AppMagnH  12.63
    AppMagnKs 12.06
    AppMagnW1 11.71
    AppMagnW2 11.45
    AppMagnW3 10.93
    Teff      2200
}

Star "SDSS 08475+01381/SDSS J084751.48+013811.0/2MASS J08475148+0138110"
{
    RA        8 47 51.5
    Dec       +01 38 11
    Dist      42.60
    Class     "L4 V"
    AppMagni  20.92
    AppMagnJ  16.23
    AppMagnH  15.12
    AppMagnKs 14.41
}

Star "SDSS 08493+59162/SDSS J084934.05+591622.9"
{
    RA        8 49 34.1
    Dec       +59 16 23
    Dist      63.30
    Class     "L0 V"
    AppMagni  20.62
    AppMagnJ  16.29
    AppMagnH  15.38
    AppMagnKs 15.03
}

Star "2MASS 08511-49160/2MASS J08511280-4916072"           //Unconfirmed
{
    RA        8 51 12.8
    Dec       -49 16  7
    Dist      54.17
    Class     "M8 V"
    AppMagnR  20.93
    AppMagnI  18.82
    AppMagnJ  14.8
    AppMagnH  14.09
    AppMagnKs 13.67
}

Star "SDSS 08511+18173/SDSS J085116.20+181730.0/2MASS J08511627+1817302"
{
    RA        8 51 16.3
    Dec       +18 17 30
    Dist      50.00
    Class     "L4.5 V"
    AppMagnJ  16.57
    AppMagnH  15.95
    AppMagnKs 14.97
}

Star "ULAS 08513+00534/ULAS J085139.03+005340.9"
{
    RA        8 51 39.0
    Dec       +00 53 41
    Dist      87.00
    Class     "T4 V"
    AppMagnJ  18.8
    AppMagnH  18.96
    AppMagnKs 19.01
}

Star "SDSS 08521+42192/SDSS J085213.94+421921.3/2MASS J08521399+4219215"
{
    RA        8 52 13.9
    Dec       +42 19 21
    Dist      49.40
    Class     "L0 V"
    AppMagnr  22.24
    AppMagni  19.75
    AppMagnJ  15.64
    AppMagnH  15
    AppMagnKs 14.44
}

Star "SDSS 08521+09404/SDSS J085214.41+094048.0/2MASS J08521442+0940480"
{
    RA        8 52 14.4
    Dec       +09 40 48
    Dist      45.10
    Class     "L0 V"
    AppMagnr  23.04
    AppMagni  20.28
    AppMagnJ  16.08
    AppMagnH  15.36
    AppMagnKs 14.91
}

Star "SDSS 08523+47203/SDSS J085234.90+472035.0/2MASS J08523490+4720359"
{
    RA        8 52 34.9
    Dec       +47 20 36
    Dist      19.00
    Class     "L9.5 V"
    AppMagnJ  16.18
    AppMagnH  15.42
    AppMagnKs 14.72
    AppMagnW1 13.76
    AppMagnW2 13.18
    AppMagnW3 11.74
}

Star "GJ 3517/2MASS J08533619-0329321"           //Unconfirmed
{
    RA        8 53 36.2
    Dec       -03 29 32
    Dist      8.56
    Class     "M9 V"
    AppMagn   18.8
    AppMagnJ  11.21
    AppMagnH  10.47
    AppMagnKs 9.94
    AppMagnK  9.91
}

Star "ULAS 08534+00065/ULAS J085342.94+000651.8"
{
    RA        8 53 42.9
    Dec       +00  6 52
    Dist      49.80
    Class     "T6 V"
    AppMagnJ  18.63
    AppMagnH  19.21
    AppMagnKs 19.26
    AppMagnW1 18.02
    AppMagnW2 15.79
    Teff      975
}

Star "2MASS 08534-41065/2MASS J08534782-4106556"
{
    RA        8 53 47.8
    Dec       -41  6 56
    Dist      22.60
    Class     "L6 V"
    AppMagnJ  15.59
    AppMagnH  15.03
    AppMagnKs 14.47
}

Star "SDSS 08535+22333/SDSS J085359.10+223335.8"
{
    RA        8 53 59.1
    Dec       +22 33 36
    Dist      102.00
    Class     "L2 V"
    AppMagni  20.73
    AppMagnJ  16.3
    AppMagnH  15.29
    AppMagnKs 14.85
}

Star "WISE 08551-07144/WISE J085510.83-071442.5"
{
    RA        8 55 10.8
    Dec       -07 14 43
    Dist      2.31
    Class     "Y V"
    AppMagnJ  25
    AppMagnH  22.70
    AppMagnKs 18.60
    AppMagnW1 17.82
    AppMagnW2 14.02
    AppMagnW3 11.25
    Teff      248
    MassSol   0.00665175
}

Star "SDSS 08560+12401/SDSS J085602.05+124014.3"
{
    RA        8 56  2.1
    Dec       +12 40 14
    Dist      48.10
    Class     "L0 V"
    AppMagni  19.78
    AppMagnJ  15.45
    AppMagnH  14.67
    AppMagnKs 14.28
}

Star "2MASS 08564-24080/2MASS J08564175-2408017"           //Unconfirmed
{
    RA        8 56 41.8
    Dec       -24  8  2
    Dist      65.29
    Class     "M7.5 V"
    AppMagnI  18.03
    AppMagnJ  15.05
    AppMagnH  14.44
    AppMagnKs 13.86
}

Star "ULAS 08571+09132/ULAS J085715.96+091325.3"
{
    RA        8 57 16.0
    Dec       +09 13 25
    Dist      52.80
    Class     "T6 V"
    AppMagnJ  18.56
    AppMagnH  18.89
    AppMagnKs 18.62
    Teff      975
}

Star "WISEPA 08571+56040/WISEPA J085716.25+560407.6"
{
    RA        8 57 16.3
    Dec       +56  4  8
    Dist      12.90
    Class     "T8 V"
    AppMagnJ  17.65
    AppMagnH  17.49
    AppMagnKs 17.69
    AppMagnW1 17.07
    AppMagnW2 14.03
    AppMagnW3 12.49
    Teff      675
}

Star "2MASS 08572-03323/2MASS J08572787-0332396"
{
    RA        8 57 27.9
    Dec       -03 32 40
    Dist      36.00
    Class     "M9.5 V"
    AppMagnJ  14.37
    AppMagnKs 13.04
}

Star "SDSSp 08575+57085/SDSSp J085758.45+570851.4/2MASS J08575849+5708514"
{
    RA        8 57 58.5
    Dec       +57  8 51
    Dist      10.30
    Class     "L8 V"
    AppMagnr  23.02
    AppMagni  20.71
    AppMagnJ  15.04
    AppMagnH  13.79
    AppMagnKs 12.96
    AppMagnK  12.94
    AppMagnW1 12.03
    AppMagnW2 11.42
    AppMagnW3 10.3
}

Star "SDSS 08580+22145/SDSS J085805.47+221457.8"
{
    RA        8 58  5.5
    Dec       +22 14 58
    Dist      40.80
    Class     "L1 V"
    AppMagni  19.58
    AppMagnJ  15.23
    AppMagnH  14.42
    AppMagnKs 13.84
}

Star "SDSS 08583+32562/SDSS J085834.42+325627.7/2MASS J08583467+3256275"
{
    RA        8 58 34.7
    Dec       +32 56 28
    Dist      18.00
    Class     "T1 V"
    AppMagnJ  16.45
    AppMagnH  15.38
    AppMagnKs 14.76
    AppMagnW1 14.05
    AppMagnW2 13.46
    AppMagnW3 12.26
}

Star "SDSS 08583+27105/SDSS J085836.97+271050.8/2MASS J08583693+2710518"
{
    RA        8 58 36.9
    Dec       +27 10 52
    Dist      47.80
    Class     "L0 V"
    AppMagnr  22.05
    AppMagni  19.45
    AppMagnJ  15.05
    AppMagnH  14.23
    AppMagnKs 13.66
}

Star "2MASS 08584-43454/2MASS J08584640-4345473"           //Unconfirmed
{
    RA        8 58 46.4
    Dec       -43 45 47
    Dist      70.97
    Class     "M7.5 V"
    AppMagnI  19.49
    AppMagnJ  15.26
    AppMagnH  14.37
    AppMagnKs 13.84
}

Star "SDSS 08585+18044/SDSS J085858.92+180445.7"
{
    RA        8 58 58.9
    Dec       +18  4 46
    Dist      76.40
    Class     "L2 V"
    AppMagni  20.83
    AppMagnJ  16.35
    AppMagnH  15.76
    AppMagnKs 15.14
}

Star "ULAS 08591+10101/ULAS J085910.69+101017.1"
{
    RA        8 59 10.7
    Dec       +10 10 17
    Dist      29.60
    Class     "T7 V"
    AppMagnJ  17.88
    AppMagnH  18.58
    AppMagnKs 18.26
    AppMagnW1 17.33
    AppMagnW2 15.41
    AppMagnW3 12.44
    Teff      825
}

Star "2MASSI 08592-19492/2MASSI J0859254-194926/2MASS J08592547-1949268"
{
    RA        8 59 25.5
    Dec       -19 49 27
    Dist      15.29
    Class     "L6 V"
    AppMagnJ  15.53
    AppMagnH  14.44
    AppMagnKs 13.75
    AppMagnW1 12.88
    AppMagnW2 12.38
    AppMagnW3 10.99
}

Star "2MASS 08593-66050/2MASS J08593060-6605084"           //Unconfirmed
{
    RA        8 59 30.6
    Dec       -66  5  8
    Dist      72.37
    Class     "M8 V"
    AppMagnI  18.41
    AppMagnJ  15.37
    AppMagnH  14.67
    AppMagnKs 14.1
}

Star "SDSS 08593+63413/SDSS J085938.50+634133.5/2MASS J08593854+6341355"
{
    RA        8 59 38.5
    Dec       +63 41 36
    Dist      25.00
    Class     "L0 V"
    AppMagni  17.95
    AppMagnJ  13.7
    AppMagnH  12.89
    AppMagnKs 12.39
    AppMagnW1 12
    AppMagnW2 11.75
    AppMagnW3 11.43
}

Star "SDSS 08595+29220/SDSS J085959.77+292205.3/2MASS J08595976+2922053"
{
    RA        8 59 59.8
    Dec       +29 22  5
    Dist      66.10
    Class     "L0 V"
    AppMagnr  22.52
    AppMagni  20.2
    AppMagnJ  15.8
    AppMagnH  14.95
    AppMagnKs 14.62
}

Star "SDSS 09002+25393/SDSS J090023.68+253934.3/2MASS J09002367+2539345"
{
    RA        9  0 23.7
    Dec       +25 39 35
    Dist      18.60
    Class     "L6 V"
    AppMagni  21.45
    AppMagnJ  16.43
    AppMagnH  15.41
    AppMagnKs 14.66
}

Star "2MASS 09003-42275/2MASS J09003029-4227525"
{
    RA        9  0 30.3
    Dec       -42 27 53
    Dist      55.59
    Class     "L0.5 V"
    AppMagnR  21.08
    AppMagnI  19.08
    AppMagnJ  15.66
    AppMagnH  14.83
    AppMagnKs 14.4
}

Star "ULAS 09011-03063/ULAS J090116.23-030635.0"
{
    RA        9  1 16.2
    Dec       -03  6 35
    Dist      15.97
    Class     "T7.5 V"
    AppMagnJ  17.9
    AppMagnH  18.46
    AppMagnKs 18.21
    AppMagnW1 17.77
    AppMagnW2 14.6
    Teff      635
    Radius    67114.56
}

Star "CFBDS 09013+17405/CFBDS J090139+174051"
{
    RA        9  1 39.8
    Dec       +17 40 51
    Dist      66.00
    Class     "T4 V"
    AppMagni  24.33
    AppMagnJ  18.02
    AppMagnH  17.76
}

Star "SDSS 09015+38183/SDSS J090154.72+381837.5/2MASS J09015471+3818377"
{
    RA        9  1 54.7
    Dec       +38 18 38
    Dist      54.60
    Class     "L0 V"
    AppMagnr  22.06
    AppMagni  19.5
    AppMagnJ  15.31
    AppMagnH  14.57
    AppMagnKs 14.09
}

Star "SDSS 09023+30184/SDSS J090238.98+301840.3/2MASS J09023900+3018407"
{
    RA        9  2 39.0
    Dec       +30 18 40
    Dist      73.60
    Class     "L0 V"
    AppMagnr  22.4
    AppMagni  20.11
    AppMagnJ  16.24
    AppMagnH  15.44
    AppMagnKs 15.05
}

Star "SDSS 09034+01144/SDSS J090347.55+011446.0/2MASS J09034756+0114462"
{
    RA        9  3 47.6
    Dec       +01 14 46
    Dist      37.10
    Class     "L2 V"
    AppMagni  21.04
    AppMagnJ  16.45
    AppMagnH  15.6
    AppMagnKs 14.89
    AppMagnW1 14.56
    AppMagnW2 14.24
    AppMagnW3 12.86
}

Star "CFBDS 09044+16534/CFBDS J090449+165347"
{
    RA        9  4 49.6
    Dec       +16 53 47
    Dist      65.00
    Class     "T4 V"
    AppMagni  25.34
    AppMagnJ  18.06
    AppMagnH  17.93
    AppMagnKs 17.88
}

Star "SDSS 09050+04381/SDSS J090509.01+043819.9/2MASS J09050899+0438194"
{
    RA        9  5  9.0
    Dec       +04 38 19
    Dist      98.70
    Class     "L0 V"
    AppMagnr  22.62
    AppMagni  20.04
    AppMagnJ  16.7
    AppMagnH  16.08
    AppMagnKs 15.74
}

Star "SDSS 09053+19543/SDSS J090531.00+195433.0/2MASS J09053102+1954334"
{
    RA        9  5 31.0
    Dec       +19 54 33
    Dist      62.60
    Class     "L0 V"
    AppMagnr  22.62
    AppMagni  20.23
    AppMagnJ  15.94
    AppMagnH  15.1
    AppMagnKs 14.54
}

Star "2MASS 09054+56231/2MASS J09054654+5623117"
{
    RA        9  5 46.5
    Dec       +56 23 12
    Dist      23.00
    Class     "L5 V"
    AppMagnJ  15.4
    AppMagnH  14.28
    AppMagnKs 13.73
    AppMagnW1 13
    AppMagnW2 12.64
    AppMagnW3 12.17
}

Star "WISEPA 09064+47353/WISEPA J090649.36+473538.6"
{
    RA        9  6 49.4
    Dec       +47 35 39
    Dist      15.80
    Class     "T8 V"
    AppMagnJ  18.16
    AppMagnH  17.81
    AppMagnKs 18.54
    AppMagnW1 17.34
    AppMagnW2 14.6
    AppMagnW3 12.55
    Teff      675
}

Star "SDSS 09083+50320/SDSS J090837.91+503207.5/2MASS J09083803+5032088"
{
    RA        9  8 38.0
    Dec       +50 32  9
    Dist      8.20
    Class     "L5 V"
    AppMagni  20.03
    AppMagnJ  14.55
    AppMagnH  13.48
    AppMagnKs 12.95
    AppMagnW1 12.1
    AppMagnW2 11.64
    AppMagnW3 10.71
}

Star "SDSS 09090+65252/SDSS J090900.73+652527.2/2MASS J09090085+6525275"
{
    RA        9  9  0.9
    Dec       +65 25 28
    Dist      23.00
    Class     "T1.5 V"
    AppMagnJ  16.03
    AppMagnH  15.21
    AppMagnKs 15.17
    AppMagnW1 14.47
    AppMagnW2 13.42
}

Star "SDSS 09094+19404/SDSS J090948.13+194043.9"
{
    RA        9  9 48.1
    Dec       +19 40 44
    Dist      30.80
    Class     "L1 V"
    AppMagni  19.13
    AppMagnJ  14.73
    AppMagnH  13.93
    AppMagnKs 13.44
}

Star "DENIS-P 09095-06581/DENIS-P J0909575-065818/2MASS J09095749-0658186"
{
    RA        9  9 57.5
    Dec       -06 58 19
    Dist      23.53
    Class     "L0 V"
    AppMagnI  17.21
    AppMagnJ  13.89
    AppMagnH  13.09
    AppMagnKs 12.54
    AppMagnK  12.51
    AppMagnW1 12.22
    AppMagnW2 11.97
    AppMagnW3 11.19
}

Star "2MASS 09111+74010/2MASS J09111297+7401081"
{
    RA        9 11 13.0
    Dec       +74  1  8
    Dist      17.00
    Class     "L0 V"
    AppMagnJ  12.92
    AppMagnH  12.21
    AppMagnKs 11.75
    AppMagnW1 11.34
    AppMagnW2 11.02
    AppMagnW3 10.54
    Teff      2000
}

Star "SDSS 09112+32064/SDSS J091128.95+320644.7/2MASS J09112901+3206447"
{
    RA        9 11 29.0
    Dec       +32  6 45
    Dist      44.60
    Class     "L0 V"
    AppMagnr  23.13
    AppMagni  20.32
    AppMagnJ  15.9
    AppMagnH  15.22
    AppMagnKs 14.78
}

Star "SDSS 09120+42033/SDSS J091206.35+420330.5/2MASS J09120640+4203304"
{
    RA        9 12  6.4
    Dec       +42  3 31
    Dist      54.10
    Class     "L0 V"
    AppMagnr  22.71
    AppMagni  20.03
    AppMagnJ  15.99
    AppMagnH  15.38
    AppMagnKs 14.93
}

Star "SDSS 09130+18414/SDSS J091303.22+184148.8/2MASS J09130320+1841501"
{
    RA        9 13  3.2
    Dec       +18 41 50
    Dist      46.00
    Class     "L3 V"
    AppMagnI  19.07
    AppMagnJ  15.97
    AppMagnH  14.84
    AppMagnKs 14.28
    AppMagnW1 13.76
    AppMagnW2 13.42
    AppMagnW3 12.60
}

Star "SDSS 09141+10571/SDSS J091414.38+105719.5/2MASS J09141439+1057195"
{
    RA        9 14 14.4
    Dec       +10 57 20
    Dist      49.80
    Class     "L0 V"
    AppMagnr  22.49
    AppMagni  19.62
    AppMagnJ  15.5
    AppMagnH  14.81
    AppMagnKs 14.26
}

Star "2MASSW 09141+22381/2MASSW J0914188+223813/2MASS J09141884+2238134"           //Unconfirmed
{
    RA        9 14 18.9
    Dec       +22 38 13
    Dist      54.80
    Class     "L1 V"
    AppMagnI  18.6
    AppMagnJ  15.3
    AppMagnH  14.41
    AppMagnKs 13.9
}

Star "SDSS 09152+38312/SDSS J091524.33+383128.3/2MASS J09152436+3831285"
{
    RA        9 15 24.3
    Dec       +38 31 28
    Dist      87.90
    Class     "L0 V"
    AppMagnr  22.76
    AppMagni  20.27
    AppMagnJ  16.24
    AppMagnH  15.32
    AppMagnKs 14.74
}

Star "SDSS 09165+51245/SDSS J091659.10+512450.4/2MASS J09165909+5124504"
{
    RA        9 16 59.1
    Dec       +51 24 50
    Dist      35.60
    Class     "L0 V"
    AppMagnr  21.35
    AppMagni  18.53
    AppMagnJ  14.41
    AppMagnH  13.73
    AppMagnKs 13.18
}

Star "SDSS 09171+31482/SDSS J091714.76+314824.8/2MASS J09171476+3148249"
{
    RA        9 17 14.8
    Dec       +31 48 25
    Dist      43.60
    Class     "L2 V"
    AppMagni  20.87
    AppMagnJ  16.3
    AppMagnH  15.73
    AppMagnKs 15.01
    AppMagnW1 14.76
    AppMagnW2 14.49
    AppMagnW3 11.97
}

Star "SDSS 09175+29444/SDSS J091750.33+294444.9/2MASS J09175035+2944455"
{
    RA        9 17 50.4
    Dec       +29 44 46
    Dist      40.00
    Class     "L0 V"
    AppMagnr  22.92
    AppMagni  20.22
    AppMagnJ  15.85
    AppMagnH  14.97
    AppMagnKs 14.5
}

Star "2MASS 09175+60280/2MASS J09175418+6028065"
{
    RA        9 17 54.2
    Dec       +60 28  7
    Dist      53.00
    Class     "L5 V"
    AppMagnJ  17.16
    AppMagnH  15.96
    AppMagnKs 15.42
}

Star "2MASSW 09183+21340/2MASSW J0918382+213406/2MASS J09183815+2134058"
{
    RA        9 18 38.2
    Dec       +21 34  6
    Dist      43.00
    Class     "L2.5 V"
    AppMagnI  18.68
    AppMagnJ  15.66
    AppMagnH  14.58
    AppMagnKs 13.9
    AppMagnW1 13.38
    AppMagnW2 13.07
    AppMagnW3 12.53
}

Star "2MASS 09185-61011/2MASS J09185636-6101191"
{
    RA        9 18 56.4
    Dec       -61  1 19
    Dist      51.64
    Class     "L0.5 V"
    AppMagnJ  15.56
    AppMagnH  14.84
    AppMagnKs 14.12
}

Star "SDSS 09202+26515/SDSS J092026.43+265157.7/2MASS J09202645+2651583"
{
    RA        9 20 26.4
    Dec       +26 51 58
    Dist      66.00
    Class     "L0 V"
    AppMagnr  21.95
    AppMagni  19.96
    AppMagnJ  15.83
    AppMagnH  14.97
    AppMagnKs 14.62
}

Star "WISEP 09205+45385/WISEP J092055.41+453856.4/2MASS J09205549+4539058"
{
    RA        9 20 55.5
    Dec       +45 39  6
    Dist      24.00
    Class     "L4.5 V"
    AppMagnJ  15.22
    AppMagnH  14.16
    AppMagnKs 13.73
    AppMagnW1 13.06
    AppMagnW2 12.39
    AppMagnW3 11.06
    Teff      1700
}

Star "DENIS-P 09211?21044/DENIS-P J0921141?210445/2MASS J09211410-2104446"
{
    RA        9 21 14.1
    Dec       -21  4 45
    Dist      9.70
    Class     "L1.5 V"
    AppMagnI  16.5
    AppMagnJ  12.78
    AppMagnH  12.15
    AppMagnKs 11.69
    AppMagnK  11.83
    Teff      2000
    Radius    68512.78
}

Star "SDSS 09214+08420/SDSS J092142.52+084202.7/2MASS J09214255+0842030"
{
    RA        9 21 42.6
    Dec       +08 42  3
    Dist      62.40
    Class     "L2 V"
    AppMagnr  21.77
    AppMagni  19.56
    AppMagnJ  15.79
    AppMagnH  14.89
    AppMagnKs 14.34
}

Star "2MASS 09221-80103/2MASS J09221952-8010399"
{
    RA        9 22 19.5
    Dec       -80 10 40
    Dist      27.00
    Class     "L2 V"
    AppMagnJ  15.28
    AppMagnH  14.29
    AppMagnKs 13.68
}

Star "CFBDS 09225+15274/CFBDS J092250+152741"
{
    RA        9 22 50.1
    Dec       +15 27 41
    Dist      38.00
    Class     "T7 V"
    AppMagni  25.91
    AppMagnJ  18.28
    AppMagnH  18.81
    Teff      825
}

Star "SDSS 09230+05280/SDSS J092300.89+052801.5/2MASS J09230087+0528013"
{
    RA        9 23  0.9
    Dec       +05 28  1
    Dist      88.00
    Class     "L0 V"
    AppMagnr  23.47
    AppMagni  20.36
    AppMagnH  15.91
    AppMagnKs 15.74
}

Star "SDSS 09230+23401/SDSS J092308.70+234013.7/2MASS J09230861+2340152"
{
    RA        9 23  8.6
    Dec       +23 40 15
    Dist      13.70
    Class     "L1 V"
    AppMagni  18.23
    AppMagnJ  13.85
    AppMagnH  13.16
    AppMagnKs 12.81
}

Star "SDSS 09253+28355/SDSS J092532.11+283550.9"
{
    RA        9 25 32.1
    Dec       +28 35 51
    Dist      60.10
    Class     "L0 V"
    AppMagni  20.8
    AppMagnJ  16.53
    AppMagnH  15.85
    AppMagnKs 15.24
}

Star "ULAS 09260+08351/ULAS J092605.47+083517.0"
{
    RA        9 26  5.5
    Dec       +08 35 17
    Dist      70.00
    Class     "T4.5 V"
    AppMagnJ  18.57
    AppMagnH  18.69
    AppMagnKs 19.14
}

Star "ULAS 09262+07114/ULAS J092624.76+071140.7"
{
    RA        9 26 24.8
    Dec       +07 11 41
    Dist      47.00
    Class     "T3.5 V"
    AppMagni  25.03
    AppMagnJ  17.48
    AppMagnH  17.41
    AppMagnKs 17.88
    AppMagnW1 16.95
    AppMagnW2 15.01
    AppMagnW3 12.68
}

Star "SDSS 09275+60274/SDSS J092757.46+602746.3/2MASS J09275741+6027464"
{
    RA        9 27 57.4
    Dec       +60 27 46
    Dist      51.00
    Class     "L1 V"
    AppMagnr  22.69
    AppMagni  19.93
    AppMagnJ  15.52
    AppMagnH  14.74
    AppMagnKs 14.23
    AppMagnW1 13.85
    AppMagnW2 13.55
    AppMagnW3 12.38
}

Star "2MASS 09282-32140/2MASS J09282665-3214022"           //Unconfirmed
{
    RA        9 28 26.7
    Dec       -32 14  2
    Dist      60.48
    Class     "M8.5 V"
    AppMagnI  18.1
    AppMagnJ  15.11
    AppMagnH  14.27
    AppMagnKs 13.85
}

Star "2MASS 09283-57394/2MASS J09283348-5739459"           //Unconfirmed
{
    RA        9 28 33.5
    Dec       -57 39 46
    Dist      60.40
    Class     "M8 V"
    AppMagnR  20.04
    AppMagnI  17.8
    AppMagnJ  14.99
    AppMagnH  14.22
    AppMagnKs 13.76
}

Star "2MASSW 09283-16031/2MASSW J0928397-160312/2MASS J09283972-1603128"
{
    RA        9 28 39.7
    Dec       -16  3 13
    Dist      29.07
    Class     "L2 V"
    AppMagnI  18.8
    AppMagnJ  15.32
    AppMagnH  14.29
    AppMagnKs 13.62
    AppMagnW1 13.05
    AppMagnW2 12.75
    AppMagnW3 12.37
    Teff      1950
    Radius    69911
}

Star "WISEPC 09290+04095/WISEPC J092906.77+040957.9"
{
    RA        9 29  6.8
    Dec       +04  9 58
    Dist      19.90
    Class     "T6.5 V"
    AppMagnJ  17.21
    AppMagnH  17.37
    AppMagnKs 17.4
    AppMagnK  17.4
    AppMagnW1 16.55
    AppMagnW2 14.11
    AppMagnW3 12.13
    Teff      975
}

Star "ULAS 09292+11054/ULAS J092926.44+110547.3"
{
    RA        9 29 26.4
    Dec       +11  5 47
    Dist      106.00
    Class     "T2 V"
    AppMagnJ  19.08
    AppMagnH  19.1
}

Star "SDSS 09293+34295/SDSS J092933.56+342952.4/2MASS J09293364+3429527"
{
    RA        9 29 33.6
    Dec       +34 29 53
    Dist      25.10
    Class     "L8 V"
    AppMagnJ  16.6
    AppMagnH  15.44
    AppMagnKs 14.64
    AppMagnW1 13.87
    AppMagnW2 13.25
    AppMagnW3 12.09
}

Star "SDSS 09310+03273/SDSS J093109.56+032732.5/2MASS J09310955+0327331"
{
    RA        9 31  9.6
    Dec       +03 27 33
    Dist      36.00
    Class     "L7.5 V"
    AppMagnJ  16.62
    AppMagnH  16.27
    AppMagnKs 15.74
}

Star "SDSS 09311+28022/SDSS J093113.23+280227.1"
{
    RA        9 31 13.2
    Dec       +28  2 27
    Dist      31.00
    Class     "L3 V"
    AppMagni  19.62
    AppMagnJ  14.98
    AppMagnH  14.26
    AppMagnKs 13.73
}

Star "2MASS 09313-66593/2MASS J09313619-6659363"           //Unconfirmed
{
    RA        9 31 36.2
    Dec       -66 59 36
    Dist      87.57
    Class     "M7 V"
    AppMagnI  18.31
    AppMagnJ  15.5
    AppMagnH  14.74
    AppMagnKs 14.2
}

Star "SDSS 09314+54422/SDSS J093146.83+544227.1/2MASS J09314688+5442272"
{
    RA        9 31 46.8
    Dec       +54 42 27
    Dist      68.10
    Class     "L0 V"
    AppMagnr  23.03
    AppMagni  20.08
    AppMagnJ  16.08
    AppMagnH  15.42
    AppMagnKs 14.91
}

Star "SDSS 09321+34562/SDSS J093215.46+345624.8/2MASS J09321544+3456254"
{
    RA        9 32 15.4
    Dec       +34 56 25
    Dist      93.30
    Class     "L0 V"
    AppMagnr  23.26
    AppMagni  20.61
    AppMagnJ  16.73
    AppMagnH  15.7
    AppMagnKs 14.98
}

Star "SDSS 09323+67251/SDSS J093237.47+672514.5"
{
    RA        9 32 37.5
    Dec       +67 25 15
    Dist      62.60
    Class     "L0 V"
    AppMagni  20.2
    AppMagnJ  15.91
    AppMagnH  15.37
    AppMagnKs 14.99
}

Star "2MASS 09335-51195/2MASS J09335707-5119537"
{
    RA        9 33 57.1
    Dec       -51 19 54
    Dist      45.24
    Class     "L1 V"
    AppMagnR  20.77
    AppMagnI  18.91
    AppMagnJ  15.42
    AppMagnH  14.52
    AppMagnKs 14.02
}

Star "2MASS 09352-29345/2MASS J09352803-2934596"
{
    RA        9 35 28.0
    Dec       -29 34 60
    Dist      29.00
    Class     "L0 V"
    AppMagnJ  14.04
    AppMagnH  13.31
    AppMagnKs 12.82
}

Star "SDSS 09353+23421/SDSS J093535.49+234217.5"
{
    RA        9 35 35.5
    Dec       +23 42 18
    Dist      77.60
    Class     "L1 V"
    AppMagni  20.52
    AppMagnJ  16.64
    AppMagnH  15.84
    AppMagnKs 15.28
}

Star "SDSS 09360+04314/SDSS J093600.12+043147.9/2MASS J09360011+0431480"
{
    RA        9 36  0.1
    Dec       +04 31 48
    Dist      54.00
    Class     "L2 V"
    AppMagnr  22.89
    AppMagni  20.86
    AppMagnJ  16.12
    AppMagnH  15.13
    AppMagnKs 14.48
}

Star "SDSS 09370+28470/SDSS J093706.71+284705.6/2MASS J09370672+2847056"
{
    RA        9 37  6.7
    Dec       +28 47  6
    Dist      65.10
    Class     "L0 V"
    AppMagnr  22.96
    AppMagni  20.22
    AppMagnJ  15.8
    AppMagnH  15.29
    AppMagnKs 14.68
}

Star "2MASS 09373+29314/2MASS J09373487+2931409"
{
    RA        9 37 34.9
    Dec       +29 31 41
    Dist      6.12
    Class     "T7 V"
    AppMagni  22.53 
    AppMagnI  19.73
    AppMagnJ  14.65
    AppMagnH  14.7
    AppMagnKs 15.27
    AppMagnK  15.4
    AppMagnW1 14.07
    AppMagnW2 11.65
    AppMagnW3 10.69
    Teff      810
    Radius    55229.69
    MassSol   0.0551145
}

Star "SDSS 09382+29032/SDSS J093824.88+290328.9"
{
    RA        9 38 24.9
    Dec       +29  3 29
    Dist      93.20
    Class     "L0 V"
    AppMagni  21.26
    AppMagnJ  16.83
    AppMagnH  15.84
    AppMagnKs 15.53
}

Star "ULAS 09382-00111/ULAS J093829.28-001112.6"
{
    RA        9 38 29.3
    Dec      -0.186944
    Dist      78.00
    Class     "T4.5 V"
    AppMagnJ  18.53
    AppMagnH  19
}

Star "SDSS 09385+04434/SDSS J093858.88+044343.9/2MASS J09385888+0443438"
{
    RA        9 38 58.9
    Dec       +04 43 44
    Dist      49.00
    Class     "L0 V"
    AppMagnr  22.05
    AppMagni  19.23
    AppMagnJ  15.24
    AppMagnH  14.5
    AppMagnKs 14
}

Star "SDSS 09390+34125/SDSS J093906.46+341257.4/2MASS J09390651+3412574"
{
    RA        9 39  6.5
    Dec       +34 12 57
    Dist      40.80
    Class     "L0 V"
    AppMagnr  22.22
    AppMagni  19.75
    AppMagnJ  15.58
    AppMagnH  14.88
    AppMagnKs 14.3
}

Star "2MASS 09393-24482/2MASS J09393548-2448279"
{
    RA        9 39 35.5
    Dec       -24 48 28
    Dist      5.34
    Class     "T8 V"
    AppMagnJ  15.98
    AppMagnH  15.8
    AppMagnKs 16.56
    AppMagnK  16.83
    AppMagnW1 15.03
    AppMagnW2 11.64
    Teff      750
    MassSol   0.0551145
}

Star "ULAS 09395+00165/ULAS J093951.04+001653.6"
{
    RA        9 39 51.0
    Dec       +00 16 54
    Dist      49.00
    Class     "T5.5 V"
    AppMagnJ  17.96
    AppMagnH  18.41
}

Star "SDSS 09404+56504/SDSS J094043.19+565049.1/2MASS J09404316+5650492"
{
    RA        9 40 43.2
    Dec       +56 50 49
    Dist      66.40
    Class     "L0 V"
    AppMagnr  22.4
    AppMagni  19.8
    AppMagnJ  15.71
    AppMagnH  14.9
    AppMagnKs 14.28
}

Star "SDSS 09404+29465/SDSS J094047.88+294653.0"
{
    RA        9 40 47.9
    Dec       +29 46 53
    Dist      36.10
    Class     "L1 V"
    AppMagni  19.79
    AppMagnJ  15.29
    AppMagnH  14.34
    AppMagnKs 13.92
}

Star "SDSS 09413+10094/SDSS J094134.92+100942.1/2MASS J09413492+1009428"
{
    RA        9 41 34.9
    Dec       +10  9 43
    Dist      35.90
    Class     "L0 V"
    AppMagnr  21.12
    AppMagni  18.78
    AppMagnJ  14.58
    AppMagnH  13.78
    AppMagnKs 13.37
}

Star "2MASS 09420-37584/2MASS J09420802-3758418"           //Unconfirmed
{
    RA        9 42  8.0
    Dec       -37 58 42
    Dist      47.66
    Class     "M8 V"
    AppMagnR  20.42
    AppMagnI  17.69
    AppMagnJ  14.58
    AppMagnH  13.84
    AppMagnKs 13.33
}

Star "WISE 09430+36072/WISE J094305.98+360723.5"
{
    RA        9 43  6.0
    Dec       +36  7 24
    Dist      9.35
    Class     "T9.5 V"
    AppMagnJ  19.77
    AppMagnH  20.32
    AppMagnW1 18.18
    AppMagnW2 14.41
    AppMagnW3 12.29
    Teff      475
}

Star "2MASS 09432-62343/2MASS J09432678-6234376"           //Unconfirmed
{
    RA        9 43 26.8
    Dec       -62 34 38
    Dist      85.92
    Class     "M7 V"
    AppMagnI  18.2
    AppMagnJ  15.41
    AppMagnH  14.71
    AppMagnKs 14.15
}

Star "ULAS 09433+08584/ULAS J094331.49+085849.2"
{
    RA        9 43 31.5
    Dec       +08 58 49
    Dist      65.00
    Class     "T5 V"
    AppMagnJ  18.6
    AppMagnH  18.54
    AppMagnKs 18.42
}

Star "ULAS 09434+09420/ULAS J094349.60+094203.4"
{
    RA        9 43 49.6
    Dec       +09 42  3
    Dist      79.00
    Class     "T4.5 V"
    AppMagnJ  18.84
    AppMagnH  18.8
}

Star "SDSS 09435+15190/SDSS J094350.20+151909.2"
{
    RA        9 43 50.2
    Dec       +15 19  9
    Dist      40.70
    Class     "L1 V"
    AppMagni  20.18
    AppMagnJ  15.75
    AppMagnH  15.03
    AppMagnKs 14.56
}

Star "SDSS 09440+31313/SDSS J094402.80+313132.5/2MASS J09440279+3131328"
{
    RA        9 44  2.8
    Dec       +31 31 33
    Dist      43.00
    Class     "L2 V"
    AppMagni  20.11
    AppMagnJ  15.5
    AppMagnH  14.63
    AppMagnKs 14.01
    AppMagnW1 13.58
    AppMagnW2 13.27
    AppMagnW3 12.75
}

Star "SDSS 09442+64103/SDSS J094427.31+641037.3/2MASS J09442733+6410372"
{
    RA        9 44 27.3
    Dec       +64 10 37
    Dist      44.80
    Class     "L0 V"
    AppMagnr  22.95
    AppMagni  20.95
    AppMagnJ  16.67
    AppMagnH  15.88
    AppMagnKs 15.46
}

Star "SDSS 09443+36492/SDSS J094436.31+364920.8"
{
    RA        9 44 36.3
    Dec       +36 49 21
    Dist      84.60
    Class     "L2 V"
    AppMagni  20.3
    AppMagnJ  15.99
    AppMagnH  14.98
    AppMagnKs 14.47
}

Star "ULAS 09451+07554/ULAS J094516.39+075545.6"
{
    RA        9 45 16.4
    Dec       +07 55 46
    Dist      42.00
    Class     "T5 V"
    AppMagnJ  17.49
    AppMagnH  17.71
    AppMagnKs 17.75
    AppMagnK  17.84
}

Star "2MASS 09474-38100/2MASS J09474621-3810043"           //Unconfirmed
{
    RA        9 47 46.2
    Dec       -38 10  4
    Dist      37.56
    Class     "M9 V"
    AppMagnJ  14.38
    AppMagnH  13.67
    AppMagnKs 13.22
}

Star "ULAS 09480+06480/ULAS J094806.06+064805.0"
{
    RA        9 48  6.1
    Dec       +06 48  5
    Dist      36.76
    Class     "T7 V"
    AppMagnJ  18.85
    AppMagnH  19.46
    AppMagnKs 18.62
    Teff      735
    Radius    67813.67
}

Star "SDSS 09481+13232/SDSS J094818.61+132320.0"
{
    RA        9 48 18.6
    Dec       +13 23 20
    Dist      51.20
    Class     "L0 V"
    AppMagni  20.43
    AppMagnJ  15.87
    AppMagnH  15.25
    AppMagnKs 14.47
}

Star "SDSS 09490+26494/SDSS J094903.15+264944.2"
{
    RA        9 49  3.2
    Dec       +26 49 44
    Dist      59.60
    Class     "L0 V"
    AppMagni  20.64
    AppMagnJ  16.22
    AppMagnH  15.55
    AppMagnKs 15.11
}

Star "2MASS 09490-15454/2MASS J09490860-1545485"
{
    RA        9 49  8.6
    Dec       -15 45 49
    Dist      18.08
    Class     "T2 V"
    AppMagnJ  16.15
    AppMagnH  15.26
    AppMagnKs 15.23
    AppMagnW1 14.88
    AppMagnW2 14
    AppMagnW3 12.52
}

Star "WISEPC 09525+19550/WISEPC J095259.29+195507.3"
{
    RA        9 52 59.3
    Dec       +19 55  7
    Dist      22.10
    Class     "T6 V"
    AppMagnJ  17.13
    AppMagnH  17.22
    AppMagnKs 17.34
    AppMagnW1 17.25
    AppMagnW2 14.39
    AppMagnW3 12.47
    Teff      975
}

Star "DENIS-P 09532?10142/DENIS-P J0953213?101420/2MASS J09532126-1014205"
{
    RA        9 53 21.3
    Dec       -10 14 21
    Dist      22.00
    Class     "L0 V"
    AppMagnI  16.82
    AppMagnJ  13.47
    AppMagnH  12.64
    AppMagnKs 12.14
    AppMagnK  12.11
    AppMagnW1 11.76
    AppMagnW2 11.4
    AppMagnW3 10.76
}

Star "SDSS 09541+50014/SDSS J095415.73+500140.3"
{
    RA        9 54 15.7
    Dec       +50  1 40
    Dist      82.80
    Class     "L0 V"
    AppMagni  20.77
    AppMagnJ  16.54
    AppMagnH  15.55
    AppMagnKs 14.94
}

Star "ULAS J0954+0623"
{
    RA        9 54 30.2
    Dec       +06 23 14
    Dist      25.00
    Class     "T5.5 V"
    AppMagnJ  16.59
    AppMagnH  16.89
    AppMagnK  17.17
}

Star "2MASS 09555-73424/2MASS J09555995-7342489"
{
    RA        9 55 60.0
    Dec       -73 42 49
    Dist      46.10
    Class     "L0 V"
    AppMagnR  20.46
    AppMagnI  18.46
    AppMagnJ  15.05
    AppMagnH  14.35
    AppMagnKs 13.86
}

Star "2MASS 09572-46122/2MASS J09572731-4612287"           //Unconfirmed
{
    RA        9 57 27.3
    Dec       -46 12 29
    Dist      66.87
    Class     "M8 V"
    AppMagnI  18.38
    AppMagnJ  15.28
    AppMagnH  14.58
    AppMagnKs 14.15
}

Star "ULAS 09582-00393/ULAS J095829.86-003932.0"
{
    RA        9 58 29.9
    Dec      -0.658889
    Dist      65.00
    Class     "T5.5 V"
    AppMagnJ  18.95
    AppMagnH  19.4
    AppMagnKs 19.68
}

Star "SDSS 09585+20015/SDSS J095850.68+200150.6/2MASS J09585080+2001525"
{
    RA        9 58 50.7
    Dec       +20  1 51
    Dist      67.80
    Class     "L0 V"
    AppMagni  20.5
    AppMagnJ  16.08
    AppMagnH  15.25
    AppMagnKs 14.61
}

Star "SDSS 09590+31255/SDSS J095908.97+312557.3/2MASS J09590895+3125570"
{
    RA        9 59  9.0
    Dec       +31 25 57
    Dist      39.60
    Class     "L0 V"
    AppMagnr  22.47
    AppMagni  19.39
    AppMagnJ  15.42
    AppMagnH  14.8
    AppMagnKs 14.29
}

Star "CFBDS 09591+02365/CFBDS J095914+023655"
{
    RA        9 59 14.0
    Dec       +23 36 55
    Dist      150.00
    Class     "T3 V"
    AppMagnJ  19.54
    AppMagnH  19.46
    AppMagnKs 19.39
}

Star "SDSS 09591+36415/SDSS J095916.66+364157.6/2MASS J09591665+3641578"
{
    RA        9 59 16.7
    Dec       +36 41 58
    Dist      48.20
    Class     "L0 V"
    AppMagnr  22.88
    AppMagni  19.9
    AppMagnJ  15.94
    AppMagnH  15.26
    AppMagnKs 14.76
}

Star "SDSS 10001+32182/SDSS J100016.92+321829.4/2MASS J10001708+3218306"
{
    RA        10  0 17.1
    Dec       +32 18 31
    Dist      27.20
    Class     "L3.5 V"
    AppMagni  21.05
    AppMagnJ  16.62
    AppMagnH  15.7
    AppMagnKs 15.36
}

Star "CFBDS 10011+02262/CFBDS J100113+022622"
{
    RA        10  1 13.0
    Dec       +22 26 22
    Dist      96.00
    Class     "T5 V"
    AppMagni  26.1
    AppMagnJ  19.03
    AppMagnH  19.25
    AppMagnKs 19.01
}

Star "SDSS 10040+00535/SDSS J100401.41+005354.9/2MASSA J10040139+005355"
{
    RA        10  4  1.4
    Dec       +00 53 55
    Dist      89.00
    Class     "L2 V"
    AppMagnJ  16.98
    AppMagnH  16.43
    AppMagnKs 15.07
}

Star "SDSS 10043+56575/SDSS J100435.88+565757.4/2MASS J10043591+5657572"
{
    RA        10  4 35.9
    Dec       +56 57 57
    Dist      31.30
    Class     "L0 V"
    AppMagnr  23.64
    AppMagni  20.82
    AppMagnJ  16.67
    AppMagnH  15.81
    AppMagnKs 15.43
}

Star "DENIS-P 10044?13181/DENIS-P J1004403?131818/2MASS J10044030-1318186"
{
    RA        10  4 40.3
    Dec       -13 18 19
    Dist      18.25
    Class     "L0 V"
    AppMagnI  17.8
    AppMagnJ  14.69
    AppMagnH  13.88
    AppMagnKs 13.36
    AppMagnK  13.17
    AppMagnW1 12.77
    AppMagnW2 12.48
    AppMagnW3 12.21
}

Star "SDSS 10044+61462/SDSS J100442.60+614628.5/2MASS J10044261+6146287"
{
    RA        10  4 42.6
    Dec       +61 46 29
    Dist      56.00
    Class     "L0 V"
    AppMagnr  22.22
    AppMagni  19.7
    AppMagnJ  15.55
    AppMagnH  14.79
    AppMagnKs 14.28
}

Star "SDSS 10055+03584/SDSS J100559.85+035842.3/2MASS J10055984+0358425"
{
    RA        10  5 59.8
    Dec       +03 58 43
    Dist      71.40
    Class     "L0 V"
    AppMagnr  22.55
    AppMagni  20.32
    AppMagnJ  15.95
    AppMagnH  15.09
    AppMagnKs 14.65
}

Star "SDSS 10071+19305/SDSS J100711.74+193056.2/2MASS J10071185+1930563"
{
    RA        10  7 11.9
    Dec       +19 30 56
    Dist      28.30
    Class     "L8 V"
    AppMagnJ  16.87
    AppMagnH  15.76
    AppMagnKs 15
}

Star "2MASS 10073-45551/2MASS J10073369-4555147"
{
    RA        10  7 33.7
    Dec       -45 55 15
    Dist      14.08
    Class     "T5 V"
    AppMagnJ  15.65
    AppMagnH  15.69
    AppMagnKs 15.56
    AppMagnW1 15.63
    AppMagnW2 13.81
    AppMagnW3 12.66
}

Star "ULAS 10075-01003/ULAS J100759.90-010031.1"
{
    RA        10  7 59.9
    Dec       -01  0 31
    Dist      63.00
    Class     "T5.5 V"
    AppMagnJ  18.67
    AppMagnH  18.77
}

Star "SDSS 10084+47073/SDSS J100844.63+470738.0/2MASS J10084466+4707388"
{
    RA        10  8 44.6
    Dec       +47  7 38
    Dist      65.30
    Class     "L0 V"
    AppMagnr  22.49
    AppMagni  20.01
    AppMagnJ  15.93
    AppMagnH  15.24
    AppMagnKs 14.91
}

Star "SDSS 10094+58021/SDSS J100942.68+580217.6"
{
    RA        10  9 42.7
    Dec       +58  2 18
    Dist      92.60
    Class     "L3 V"
    AppMagni  20.38
    AppMagnJ  16.04
    AppMagnH  15.15
    AppMagnKs 14.6
}

Star "2MASSI 10101-04064/2MASSI J1010148-040649/2MASS J10101480-0406499"
{
    RA        10 10 14.8
    Dec       -04  6 50
    Dist      16.72
    Class     "L6 V"
    AppMagnJ  15.51
    AppMagnH  14.39
    AppMagnKs 13.62
}

Star "2MASS 10102-52450/2MASS J10102925-5245046"           //Unconfirmed
{
    RA        10 10 29.3
    Dec       -52 45  5
    Dist      88.30
    Class     "M7 V"
    AppMagnJ  15.48
    AppMagnH  14.75
    AppMagnKs 14.27
}

Star "ULAS 10124+10210/ULAS J101243.54+102101.7"
{
    RA        10 12 43.5
    Dec       +10 21  2
    Dist      28.00
    Class     "T5.5 V"
    AppMagnJ  16.87
    AppMagnH  17.21
    AppMagnKs 17.55
    AppMagnK  17.45
}

Star "SDSS 10130+07105/SDSS J101304.34+071050.7/2MASS J10130436+0710504"
{
    RA        10 13  4.4
    Dec       +07 10 50
    Dist      55.30
    Class     "L0 V"
    AppMagnr  23.52
    AppMagni  20.51
    AppMagnJ  16.22
    AppMagnH  15.47
    AppMagnKs 15.09
}

Star "SSSPM J1013-1356/2MASS J10130734-1356204"
{
    RA        10 13  7.4
    Dec       -13 56 20
    Dist      49.31
    Class     "M9.5 V"
    AppMagnJ  14.62
    AppMagnH  14.38
    AppMagnKs 14.4
    AppMagnW1 13.8
    AppMagnW2 13.6
}

Star "2MASS 10142-40183/2MASS J10142075-4018329"           //Unconfirmed
{
    RA        10 14 20.8
    Dec       -40 18 33
    Dist      64.27
    Class     "M7 V"
    AppMagnI  17.75
    AppMagnJ  14.88
    AppMagnH  14.1
    AppMagnKs 13.68
}

Star "SDSS 10151+07521/SDSS J101517.63+075211.9/2MASS J10151763+0752121"
{
    RA        10 15 17.6
    Dec       +07 52 12
    Dist      36.00
    Class     "L0 V"
    AppMagnr  22.67
    AppMagni  19.94
    AppMagnJ  15.51
    AppMagnH  14.85
    AppMagnKs 14.41
}

Star "DENIS-P 10162-27142/DENIS-P J101621.9-271428/2MASS J10162189-2714266"           //Unconfirmed
{
    RA        10 16 21.9
    Dec       -27 14 27
    Dist      47.10
    Class     "L2 V"
    AppMagnI  18.45
    AppMagnJ  15.09
    AppMagnH  14.56
    AppMagnKs 13.92
}

Star "ULAS 10172+01181/ULAS J101721.40+011817.9"
{
    RA        10 17 21.4
    Dec       +01 18 18
    Dist      24.40
    Class     "T8 V"
    AppMagnJ  18.53
    AppMagnH  19.07
    AppMagnKs 19.01
    Teff      775
    MassSol   0.0095025
}

Star "SDSS 10174+43105/SDSS J101742.51+431057.9"
{
    RA        10 17 42.5
    Dec       +43 10 58
    Dist      58.40
    Class     "L1 V"
    AppMagni  19.95
    AppMagnJ  15.55
    AppMagnH  14.89
    AppMagnKs 14.52
}

Star "WISEPC 10180-24455/WISEPC J101808.05-244557.7"
{
    RA        10 18  8.1
    Dec       -24 45 58
    Dist      14.60
    Class     "T8 V"
    AppMagnJ  17.82
    AppMagnH  18
    AppMagnKs 17.81
    AppMagnW1 17
    AppMagnW2 14.09
    AppMagnW3 12.55
    Teff      675
}

Star "ULAS 10182+07254/ULAS J101821.78+072547.1"
{
    RA        10 18 21.8
    Dec       +07 25 47
    Dist      40.00
    Class     "T5 V"
    AppMagnJ  17.71
    AppMagnH  17.87
    AppMagnKs 18.12
    AppMagnW1 17.78
    AppMagnW2 16.21
    Teff      990
    Radius    67813.67
}

Star "2MASSW 10185-29095/2MASSW J1018588-290953/2MASS J10185879-2909535"
{
    RA        10 18 58.8
    Dec       -29  9 54
    Dist      28.33
    Class     "L1 V"
    AppMagnJ  14.21
    AppMagnH  13.42
    AppMagnKs 12.8
}

Star "WISEPA 10190+65295/WISEPA J101905.63+652954.2"
{
    RA        10 19  5.6
    Dec       +65 29 54
    Dist      17.40
    Class     "T6 V"
    AppMagnJ  16.59
    AppMagnH  16.52
    AppMagnKs 16.46
    AppMagnW1 16.29
    AppMagnW2 13.94
    AppMagnW3 12.68
    Teff      975
}

Star "DENIS-P 10192?27071/DENIS-P J1019245?270717/2MASS J10192447-2707171"
{
    RA        10 19 24.5
    Dec       -27  7 17
    Dist      20.50
    Class     "L0.5 V"
    AppMagnR  19.75
    AppMagnI  16.9
    AppMagnJ  13.53
    AppMagnH  12.91
    AppMagnK  12.47
}

Star "SDSS 10211+35460/SDSS J102116.05+354607.8/2MASS J10211607+3546083"
{
    RA        10 21 16.1
    Dec       +35 46  8
    Dist      67.20
    Class     "L0 V"
    AppMagnr  23.06
    AppMagni  20.76
    AppMagnJ  16.47
    AppMagnH  15.99
    AppMagnKs 15.41
}

Star "TVLM 213-2005/2MASS J10212742+5055043"
{
    RA        10 21 27.4
    Dec       +50 55  4
    Dist      33.22
    Class     "L0 V"
    AppMagn   16.2
    AppMagnJ  13.39
    AppMagnH  12.74
    AppMagnK  12.26
}

Star "SDSS 10220+02004/SDSS J102204.88+020047.5/2MASS J10220489+0200477"
{
    RA        10 22  4.9
    Dec       +02  0 48
    Dist      37.88
    Class     "L0 V"
    AppMagnr  20.8
    AppMagni  18.31
    AppMagnJ  14.03
    AppMagnH  13.4
    AppMagnKs 12.9
}

Star "SDSS 10224+58254/SDSS J102248.13+582544.7/2MASS J10224821+5825453"
{
    RA        10 22 48.2
    Dec       +58 25 45
    Dist      20.00
    Class     "L1 V"
    AppMagnJ  13.5
    AppMagnH  12.64
    AppMagnKs 12.16
    Teff      2200
}

Star "2MASS 10231-62385/2MASS J10231600-6238580"
{
    RA        10 23 16.0
    Dec       -62 38 58
    Dist      41.07
    Class     "L0 V"
    AppMagnI  18.12
    AppMagnJ  14.8
    AppMagnH  14.07
    AppMagnKs 13.59
}

Star "2MASS 10241-46305/2MASS J10241592-4630583"           //Unconfirmed
{
    RA        10 24 15.9
    Dec       -46 30 58
    Dist      95.06
    Class     "M7 V"
    AppMagnJ  15.58
    AppMagnH  14.94
    AppMagnKs 14.47
}

Star "SDSS 10243+62451/SDSS J102436.10+624514.0/2MASS J10243609+6245140"
{
    RA        10 24 36.1
    Dec       +62 45 14
    Dist      62.00
    Class     "L0 V"
    AppMagnr  22.64
    AppMagni  19.97
    AppMagnJ  15.68
    AppMagnH  15.04
    AppMagnKs 14.45
}

Star "SDSS 10255+32123/SDSS J102552.43+321234.0/2MASS J10255227+3212349"
{
    RA        10 25 52.3
    Dec       +32 12 35
    Dist      29.00
    Class     "L7.5 V"
    AppMagnJ  15.91
    AppMagnH  15.59
    AppMagnKs 15.07
    AppMagnW1 14.4
    AppMagnW2 14.03
    AppMagnW3 12.51
}

Star "WISEP 10255+03075/WISEP J102557.72+030755.7"
{
    RA        10 25 57.7
    Dec       +03  7 56
    Dist      13.00
    Class     "T8.5 V"
    AppMagnJ  17.93
    AppMagnH  18.36
    AppMagnW1 17.89
    AppMagnW2 14.1
    AppMagnW3 12.19
}

Star "SDSS 10260+39550/SDSS J102600.05+395509.6/2MASS J10260013+3955085"
{
    RA        10 26  0.1
    Dec       +39 55 10
    Dist      47.80
    Class     "L0 V"
    AppMagnr  22.94
    AppMagni  20.37
    AppMagnJ  16.12
    AppMagnH  15.71
    AppMagnKs 15.27
}

Star "CFBDS 10284+56540/CFBDS J102841+565401"
{
    RA        10 28 41.0
    Dec       +56 54  2
    Dist      25.00
    Class     "T8 V"
    AppMagni  29.16
    AppMagnJ  18.2
    AppMagnH  18.38
    AppMagnKs 18.85
    Teff      675
}

Star "2MASSI 10292+16265/2MASSI J1029216+162652/2MASS J10292165+1626526"
{
    RA        10 29 21.7
    Dec       +16 26 53
    Dist      23.20
    Class     "L2.5 V"
    AppMagni  18.76
    AppMagnI  17.9
    AppMagnJ  14.29
    AppMagnH  13.33
    AppMagnKs 12.62
}

Star "2MASS 10293-40312/2MASS J10293728-4031259"           //Unconfirmed
{
    RA        10 29 37.3
    Dec       -40 31 26
    Dist      77.57
    Class     "M7.5 V"
    AppMagnI  18.29
    AppMagnJ  15.31
    AppMagnH  14.53
    AppMagnKs 14.06
}

Star "WISE 10294+09351/WISE J102940.51+093514.1"
{
    RA        10 29 40.5
    Dec       +09 35 14
    Dist      14.00
    Class     "T8 V"
    AppMagnJ  17.32
    AppMagnH  17.63
    AppMagnW1 16.84
    AppMagnW2 14.29
    AppMagnW3 11.58
}

Star "SDSS 10294+48341/SDSS J102947.68+483412.2/2MASS J10294770+4834128"
{
    RA        10 29 47.7
    Dec       +48 34 13
    Dist      46.20
    Class     "L0 V"
    AppMagni  20.89
    AppMagnJ  16.76
    AppMagnH  16.04
    AppMagnKs 15.59
    AppMagnW1 15.24
    AppMagnW2 15.06
    AppMagnW3 12.77
}

Star "SDSS 10302+02130/SDSS J103026.78+021306.4/2MASSA J10302678+021305"
{
    RA        10 30 26.8
    Dec       +02 13  6
    Dist      40.32
    Class     "L9.5 V"
    AppMagnJ  16.89
    AppMagnH  16.18
    AppMagnKs 15.08
}

Star "2MASS 10321-59205/2MASS J10321573-5920542"
{
    RA        10 32 15.7
    Dec       -59 20 54
    Dist      35.01
    Class     "L2 V"
    AppMagnI  18.79
    AppMagnJ  15.2
    AppMagnH  14.14
    AppMagnKs 13.6
}

Star "SDSS 10322+33004/SDSS J103225.19+330042.0/2MASS J10322521+3300433"
{
    RA        10 32 25.2
    Dec       +33  0 42
    Dist      51.70
    Class     "L0 V"
    AppMagnr  21.82
    AppMagni  19.35
    AppMagnJ  15.26
    AppMagnH  14.56
    AppMagnKs 13.94
}

Star "SDSS 10330+12162/SDSS J103309.10+121625.9/2MASS J10330903+1216265"
{
    RA        10 33  9.1
    Dec       +12 16 26
    Dist      66.60
    Class     "L0 V"
    AppMagnr  21.63
    AppMagni  19.27
    AppMagnJ  15.07
    AppMagnH  14.44
    AppMagnKs 13.95
}

Star "SDSS 10332+40054/SDSS J103321.92+400549.5/2MASS J10332186+4005499"
{
    RA        10 33 21.9
    Dec       +40  5 50
    Dist      45.00
    Class     "L6 V"
    AppMagnJ  16.64
    AppMagnH  15.87
    AppMagnKs 15.41
    AppMagnK  15.6
    AppMagnW1 14.85
    AppMagnW2 14.57
    AppMagnW3 12.26
}

Star "2MASS 10332-56211/2MASS J10332358-5621142"           //Unconfirmed
{
    RA        10 33 23.6
    Dec       -56 21 14
    Dist      95.14
    Class     "M8 V"
    AppMagnR  21.19
    AppMagnI  19.35
    AppMagnJ  15.95
    AppMagnH  14.8
    AppMagnKs 14.04
}

Star "SDSS 10340+03501/SDSS J103405.67+035016.3"
{
    RA        10 34  5.7
    Dec       +03 50 16
    Dist      39.00
    Class     "L0 V"
    AppMagni  20.04
    AppMagnJ  14.7
    AppMagnH  14.02
    AppMagnKs 13.63
}

Star "SDSS 10342+41400/SDSS J103428.24+414000.7/2MASS J10342827+4140002"
{
    RA        10 34 28.2
    Dec       +41 40  1
    Dist      56.90
    Class     "L0 V"
    AppMagnr  23.39
    AppMagni  20.54
    AppMagnJ  16.49
    AppMagnH  15.95
    AppMagnKs 15.22
}

Star "ULAS 10343-00155/ULAS J103434.52-001553.0"
{
    RA        10 34 34.5
    Dec      -0.264722
    Dist      46.80
    Class     "T6.5 V"
    AppMagnJ  18.86
    AppMagnH  19
    Teff      975
}

Star "SDSS 10345+12584/SDSS J103451.12+125840.7"
{
    RA        10 34 51.1
    Dec       +12 58 41
    Dist      63.90
    Class     "L0 V"
    AppMagni  20.51
    AppMagnJ  16.01
    AppMagnH  15.54
    AppMagnKs 14.88
}

Star "2MASSW 10352+25074/2MASSW J1035245+250745/2MASS J10352455+2507450"
{
    RA        10 35 24.6
    Dec       +25  7 45
    Dist      34.70
    Class     "L1 V"
    AppMagnJ  14.76
    AppMagnH  13.91
    AppMagnKs 13.29
}

Star "SDSS 10352+23184/SDSS J103528.61+231840.0"
{
    RA        10 35 28.6
    Dec       +23 18 40
    Dist      55.80
    Class     "L0 V"
    AppMagni  20.54
    AppMagnJ  16.5
    AppMagnH  15.61
    AppMagnKs 15.1
}

Star "SDSS 10360+37244/SDSS J103602.44+372448.5/2MASS J10360244+3724491"
{
    RA        10 36  2.4
    Dec       +37 24 49
    Dist      36.20
    Class     "L0 V"
    AppMagni  20.86
    AppMagnJ  16.42
    AppMagnH  15.54
    AppMagnKs 14.99
    AppMagnW1 14.9
    AppMagnW2 14.6
    AppMagnW3 12.35
}

Star "2MASSW 10365-34413/2MASSW J1036530-344138/2MASS J10365305-3441380"
{
    RA        10 36 53.1
    Dec       -34 41 38
    Dist      16.26
    Class     "L6 V"
    AppMagnJ  15.62
    AppMagnH  14.45
    AppMagnKs 13.8
}

Star "SDSS 10373+46182/SDSS J103730.42+461826.6"
{
    RA        10 37 30.4
    Dec       +46 18 27
    Dist      44.40
    Class     "L0 V"
    AppMagni  20.22
    AppMagnJ  16.08
    AppMagnH  15.62
    AppMagnKs 14.76
}

Star "2MASS 10384-65114/2MASS J10384085-6511463"
{
    RA        10 38 40.9
    Dec       -65 11 46
    Dist      25.48
    Class     "L4.5 V"
    AppMagnI  19.06
    AppMagnJ  15.27
    AppMagnH  14.38
    AppMagnKs 13.75
}

Star "WISEP 10390-16000/WISEP J103907.73-160002.9"
{
    RA        10 39  7.7
    Dec       -16  0  3
    Dist      14.50
    Class     "T7.5 V"
    AppMagnJ  17.26
    AppMagnH  17.19
    AppMagnKs 17.13
    AppMagnW1 16.65
    AppMagnW2 14.16
    AppMagnW3 12.73
    Teff      825
}

Star "SDSS 10393+32562/SDSS J103931.35+325625.5/2MASS J10393137+3256263"
{
    RA        10 39 31.4
    Dec       +32 56 26
    Dist      21.00
    Class     "T1 V"
    AppMagnJ  16.41
    AppMagnH  15.34
    AppMagnKs 15.15
    AppMagnW1 14.28
    AppMagnW2 13.43
    AppMagnW3 11.95
}

Star "SDSS 10401+41311/SDSS J104014.50+413116.4/2MASS J10401456+4131170"
{
    RA        10 40 14.5
    Dec       +41 31 16
    Dist      99.70
    Class     "L0 V"
    AppMagnr  22.69
    AppMagni  20.14
    AppMagnJ  16.72
    AppMagnH  16.04
    AppMagnKs 15.8
}

Star "2MASS 10402-67164/2MASS J10402016-6716461"
{
    RA        10 40 20.2
    Dec       -67 16 46
    Dist      23.65
    Class     "L5 V"
    AppMagnI  19.28
    AppMagnJ  15.41
    AppMagnH  14.69
    AppMagnKs 14
}

Star "SDSS 10412+24422/SDSS J104121.86+244228.0"
{
    RA        10 41 21.9
    Dec       +24 42 28
    Dist      63.40
    Class     "L0 V"
    AppMagni  20.8
    AppMagnJ  16.49
    AppMagnH  15.6
    AppMagnKs 15.5
}

Star "CFBDS 10420+58085/CFBDS J104209+580856"
{
    RA        10 42 10.0
    Dec       +58  8 57
    Dist      32.00
    Class     "T6.5 V"
    AppMagni  26.33
    AppMagnJ  17.66
    AppMagnH  18.21
    AppMagnKs 17.77
    AppMagnW1 17.25
    AppMagnW2 15.3
    Teff      975
}

Star "WISEPC 10424-38423/WISEPC J104245.23-384238.3"
{
    RA        10 42 45.2
    Dec       -38 42 38
    Dist      16.30
    Class     "T8.5 V"
    AppMagnJ  18.98
    AppMagnH  19.08
    AppMagnW1 18.57
    AppMagnW2 14.52
    AppMagnW3 12.95
    Teff      675
}

Star "SDSS 10430+22252/SDSS J104307.51+222523.5/2MASS J10430758+2225236"
{
    RA        10 43  7.6
    Dec       +22 25 24
    Dist      16.00
    Class     "L8 V"
    AppMagnJ  15.97
    AppMagnH  14.73
    AppMagnKs 13.99
}

Star "SDSS 10431+07123/SDSS J104319.44+071232.4"
{
    RA        10 43 19.4
    Dec       +07 12 32
    Dist      53.20
    Class     "L0 V"
    AppMagni  20.53
    AppMagnJ  16.13
    AppMagnH  15.42
    AppMagnKs 14.97
}

Star "SDSSp 10432+00014/SDSSp J104325.10+000148.2/2MASS J10432508+0001482"
{
    RA        10 43 25.1
    Dec       +00  1 48
    Dist      45.00
    Class     "L3 V"
    AppMagnI  19.3
    AppMagnJ  15.94
    AppMagnH  15.21
    AppMagnKs 14.47
}

Star "SDSS 10433+12131/SDSS J104335.08+121314.1/2MASS J10433508+1213149"
{
    RA        10 43 35.1
    Dec       +12 13 15
    Dist      14.60
    Class     "L7 V"
    AppMagnJ  16
    AppMagnH  14.97
    AppMagnKs 14.26
}

Star "SDSS 10440+01574/SDSS J104407.47+015742.0/2MASS J10440744+0157422"
{
    RA        10 44  7.4
    Dec       +01 57 42
    Dist      46.00
    Class     "L1 V"
    AppMagni  20.87
    AppMagnJ  16.59
    AppMagnH  15.65
    AppMagnKs 15.22
}

Star "SDSS 10440+04293/SDSS J104409.43+042937.6/2MASS J10440942+0429376"
{
    RA        10 44  9.4
    Dec       +04 29 38
    Dist      19.49
    Class     "L7 V"
    AppMagnJ  15.88
    AppMagnH  14.95
    AppMagnKs 14.26
}

Star "SDSS 10442+27203/SDSS J104426.79+272033.2"
{
    RA        10 44 26.8
    Dec       +27 20 33
    Dist      106.30
    Class     "L1 V"
    AppMagni  20.39
}

Star "SDSS 10452-01495/SDSS J104523.97-014957.7/2MASS J10452400-0149576"
{
    RA        10 45 24.0
    Dec       -01 49 58
    Dist      17.00
    Class     "L1 V"
    AppMagnr  20.05
    AppMagni  17.58
    AppMagnJ  13.16
    AppMagnH  12.35
    AppMagnKs 11.78
    AppMagnK  11.81
    AppMagnW1 11.45
    AppMagnW2 11.23
    AppMagnW3 10.76
    Teff      2200
    Radius    69911
}

Star "SDSS 10461+35130/SDSS J104617.01+351305.8/2MASS J10461701+3513058"
{
    RA        10 46 17.0
    Dec       +35 13  6
    Dist      74.00
    Class     "L1 V"
    AppMagnr  23.97
    AppMagni  20.66
    AppMagnJ  16.37
    AppMagnH  15.57
    AppMagnKs 15.06
}

Star "SDSS 10462+04244/SDSS J104625.76+042441.0/2MASSA J10462575+042441"
{
    RA        10 46 25.8
    Dec       +04 24 41
    Dist      36.00
    Class     "L6 V"
    AppMagnJ  16.89
    AppMagnH  16.02
    AppMagnKs 15.21
}

Star "SDSS 10472+30163/SDSS J104729.03+301639.7"
{
    RA        10 47 29.0
    Dec       +30 16 40
    Dist      91.00
    Class     "L0 V"
    AppMagni  20.48
    AppMagnJ  16.33
    AppMagnH  15.41
    AppMagnKs 15.15
}

Star "DENIS-P 10473-18155/DENIS-P J104731.1-181558/2MASS J10473109-1815574"
{
    RA        10 47 31.1
    Dec       -18 15 57
    Dist      22.00
    Class     "L2.5 V"
    AppMagnI  17.75
    AppMagnJ  14.2
    AppMagnH  13.42
    AppMagnKs 12.89
    AppMagnK  12.88
}

Star "2MASSI 10475+21242/2MASSI J1047538+212423/2MASS J10475385+2124234"
{
    RA        10 47 53.9
    Dec       +21 24 23
    Dist      10.56
    Class     "T7 V"
    AppMagni  23.52 
    AppMagnI  20.89
    AppMagnJ  15.82
    AppMagnH  15.8
    AppMagnKs 16.41
    AppMagnW1 15.43
    AppMagnW2 12.97
    Teff      975
}

Star "DENIS-P 10481-39560/DENIS-P J104814.7-395606/2MASS J10481463-3956062"
{
    RA        10 48 14.6
    Dec       -39 56  6
    Dist      4.04
    Class     "L0 V"
    AppMagn   17.35
    AppMagnI  12.67
    AppMagnJ  9.54
    AppMagnH  8.9
    AppMagnKs 8.45
    Teff      2450
}

Star "DENIS-P 10482-52541/DENIS-P J1048278-525418/2MASS J10482788-5254180"
{
    RA        10 48 27.9
    Dec       -52 54 18
    Dist      27.62
    Class     "L1.5 V"
    AppMagnR  19.97
    AppMagnI  17.54
    AppMagnJ  14.02
    AppMagnH  13.21
    AppMagnKs 12.67
    MassSol   0.07697025
}

Star "SDSS 10482+09193/SDSS J104829.21+091937.8/2MASS J10482926+0919373"
{
    RA        10 48 29.3
    Dec       +09 19 37
    Dist      27.00
    Class     "T2.5 V"
    AppMagni  23.53
    AppMagnJ  16.59
    AppMagnH  15.9
    AppMagnKs 16.37
    AppMagnK  15.87
    AppMagnW1 15.3
    AppMagnW2 14.28
    AppMagnW3 12.54
}

Star "SDSS 10484+30065/SDSS J104842.70+300650.5"
{
    RA        10 48 42.7
    Dec       +30  6 51
    Dist      47.80
    Class     "L1 V"
    AppMagni  20.47
    AppMagnJ  15.9
    AppMagnH  15.06
    AppMagnKs 14.61
}

Star "DENIS-P 10484+01115/DENIS-P J104842.81+011158.2/2MASS J10484281+0111580"
{
    RA        10 48 42.8
    Dec       +01 11 58
    Dist      15.00
    Class     "L1 V"
    AppMagnr  19.77
    AppMagni  17.25
    AppMagnI  16.2
    AppMagnJ  12.92
    AppMagnH  12.14
    AppMagnKs 11.62
    AppMagnK  11.5
    Teff      2100
    Radius    73406.55
}

Star "SDSS 10492+01255/SDSS J104922.45+012559.2/2MASS J10492244+0125593"
{
    RA        10 49 22.4
    Dec       +01 25 59
    Dist      26.40
    Class     "L5 V"
    AppMagni  21
    AppMagnJ  15.88
    AppMagnH  14.95
    AppMagnKs 14.11
}

Star "SDSS 10492+25372/SDSS J104928.24+253723.2"
{
    RA        10 49 28.2
    Dec       +25 37 23
    Dist      49.20
    Class     "L1 V"
    AppMagni  19.96
    AppMagnJ  15.67
    AppMagnH  14.83
    AppMagnKs 14.37
}

Star "SDSS 10493+60202/SDSS J104934.84+602029.4"
{
    RA        10 49 34.8
    Dec       +60 20 29
    Dist      76.00
    Class     "L0 V"
    AppMagni  20.67
    AppMagnJ  16.21
    AppMagnH  15.44
    AppMagnKs 15.08
}

Star "SDSS 10501+00580/SDSS J105012.46+005803.1/2MASS J10501247+0058032"
{
    RA        10 50 12.5
    Dec       +00 58  3
    Dist      54.00
    Class     "L0 V"
    AppMagnr  22.95
    AppMagni  20.38
    AppMagnJ  16.58
    AppMagnH  15.86
    AppMagnKs 15.78
}

Star "2MASS 10503-45170/2MASS J10503781-4517010"           //Unconfirmed
{
    RA        10 50 37.8
    Dec       -45 17  1
    Dist      32.40
    Class     "M9 V"
    AppMagnJ  14.02
    AppMagnH  13.34
    AppMagnKs 12.88
}

Star "SDSS 10504+32584/SDSS J105044.04+325843.5/2MASS J10504406+3258436"
{
    RA        10 50 44.0
    Dec       +32 58 44
    Dist      62.20
    Class     "L0 V"
    AppMagnr  23.02
    AppMagni  20.53
    AppMagnJ  16.42
    AppMagnH  15.73
    AppMagnKs 15.28
}

Star "WISEP 10504+50560/WISEP J105047.90+505606.2"
{
    RA        10 50 47.9
    Dec       +50 56  6
    Dist      18.00
    Class     "T8 V"
    AppMagnJ  17.94
    AppMagnH  18.31
    AppMagnW1 18.05
    AppMagnW2 14.94
    AppMagnW3 12.95
}

Star "SDSS 10511+31413/SDSS J105110.69+314130.0"
{
    RA        10 51 10.7
    Dec       +31 41 30
    Dist      65.40
    Class     "L0 V"
    AppMagni  20.2
    AppMagnJ  15.79
    AppMagnH  14.96
    AppMagnKs 14.7
}

Star "SDSS 10511+56130/SDSS J105118.96+561308.0/2MASS J10511900+5613086"
{
    RA        10 51 19.0
    Dec       +56 13  8
    Dist      15.00
    Class     "L2 V"
    AppMagni  17.65
    AppMagnJ  13.24
    AppMagnH  12.42
    AppMagnKs 11.91
    AppMagnW1 11.52
    AppMagnW2 11.26
    AppMagnW3 10.76
}

Star "WISEP 10513-21385/WISEP J105130.01-213859.7"
{
    RA        10 51 30.0
    Dec       -21 38 60
    Dist      12.50
    Class     "T9 V"
    AppMagnJ  18.93
    AppMagnH  19.19
    AppMagnW1 17.17
    AppMagnW2 14.54
    AppMagnW3 12.69
    Teff      525
}

Star "SDSS 10521+44225/SDSS J105213.51+442255.7/2MASS J10521350+4422559"
{
    RA        10 52 13.5
    Dec       +44 22 56
    Dist      17.00
    Class     "T0.5 V"
    AppMagnJ  15.96
    AppMagnH  15.16
    AppMagnKs 14.57
    AppMagnK  14.46
    AppMagnW1 13.7
    AppMagnW2 13.09
    AppMagnW3 12.48
}

Star "ULAS 10523+00163/ULAS J105235.42+001632.7"
{
    RA        10 52 35.4
    Dec       +00 16 33
    Dist      71.00
    Class     "T5 V"
    AppMagnJ  18.83
    AppMagnH  18.69
}

Star "WISE 10525-19425/WISE J105257.95-194250.2"
{
    RA        10 52 58.0
    Dec       -19 42 50
    Dist      15.00
    Class     "T7.5 V"
    AppMagnJ  17.07
    AppMagnH  16.79
    AppMagnKs 15.34
    AppMagnW1 16.87
    AppMagnW2 14.2
    AppMagnW3 12.34
}

Star "SDSS 10525+33440/SDSS J105259.70+334406.1"
{
    RA        10 52 59.7
    Dec       +33 44  6
    Dist      83.80
    Class     "L0 V"
    AppMagni  20.69
    AppMagnJ  16.48
    AppMagnH  15.75
    AppMagnKs 15.31
}

Star "SDSS 10531+43330/SDSS J105318.15+433306.1/2MASS J10531816+4333064"
{
    RA        10 53 18.2
    Dec       +43 33  6
    Dist      63.30
    Class     "L0 V"
    AppMagnr  22.19
    AppMagni  19.77
    AppMagnJ  15.88
    AppMagnH  15.21
    AppMagnKs 14.83
}

Star "SDSS 10533+64235/SDSS J105339.22+642351.5"
{
    RA        10 53 39.2
    Dec       +64 23 52
    Dist      89.30
    Class     "L0 V"
    AppMagni  20.3
    AppMagnJ  16.32
    AppMagnH  15.34
    AppMagnKs 15.16
}

Star "SDSS 10535+38573/SDSS J105355.39+385737.5/2MASS J10535541+3857376"
{
    RA        10 53 55.4
    Dec       +38 57 38
    Dist      70.40
    Class     "L0 V"
    AppMagnr  22.83
    AppMagni  20.37
    AppMagnJ  16.1
    AppMagnH  15.42
    AppMagnKs 14.86
}

Star "SDSS 10551+51102/SDSS J105510.41+511026.1"
{
    RA        10 55 10.4
    Dec       +51 10 26
    Dist      113.70
    Class     "L0 V"
    AppMagni  20.68
    AppMagnJ  16.51
    AppMagnH  16.08
    AppMagnKs 15.57
}

Star "SDSS 10581+30315/SDSS J105814.54+303159.8/2MASS J10581455+3031594"
{
    RA        10 58 14.5
    Dec       +30 31 60
    Dist      54.70
    Class     "L0 V"
    AppMagnr  22.37
    AppMagni  19.59
    AppMagnJ  15.62
    AppMagnH  15.07
    AppMagnKs 14.6
}

Star "DENIS-P 10584-15481/DENIS-P J105847.9-154817/2MASS J10584787-1548172"
{
    RA        10 58 47.9
    Dec       -15 48 17
    Dist      17.33
    Class     "L3 V"
    AppMagnR  20.1
    AppMagnI  17.76
    AppMagnJ  14.16
    AppMagnH  13.23
    AppMagnKs 12.53
    AppMagnK  12.65
    AppMagnW2 11.76
}

Star "SDSS 10595-21130/SDSS J105951.45-211309.6/2MASS J10595138-2113082"
{
    RA        10 59 51.4
    Dec       -21 13  8
    Dist      33.00
    Class     "L1 V"
    AppMagnJ  14.56
    AppMagnH  13.75
    AppMagnKs 13.21
    AppMagnW1 12.94
    AppMagnW2 12.63
    AppMagnW3 12.29
}

Star "2MASS 10595+30420/2MASS J10595185+3042059"
{
    RA        10 59 51.9
    Dec       +30 42  6
    Dist      23.00
    Class     "T4 V"
    AppMagnJ  16.2
    AppMagnH  15.77
    AppMagnKs 15.56
    AppMagnW1 15.81
    AppMagnW2 14.24
    AppMagnW3 12.36
}

Star "SDSS 11000+29551/SDSS J110008.19+295516.1/2MASS J11000830+2955159"
{
    RA        11  0  8.2
    Dec       +29 55 16
    Dist      84.60
    Class     "L0 V"
    AppMagnr  22.55
    AppMagni  19.93
    AppMagnJ  15.7
    AppMagnH  14.99
    AppMagnKs 14.45
}

Star "SDSS 11000+49574/SDSS J110009.62+495746.5/2MASS J11000965+4957470"
{
    RA        11  0  9.7
    Dec       +49 57 47
    Dist      25.10
    Class     "L3.5 V"
    AppMagni  20.09
    AppMagnJ  15.28
    AppMagnH  14.19
    AppMagnKs 13.47
    AppMagnW1 12.96
    AppMagnW2 12.61
    AppMagnW3 12.17
}

Star "SDSS 11014+54400/SDSS J110148.04+544009.1/2MASS J11014802+5440090"
{
    RA        11  1 48.0
    Dec       +54 40  9
    Dist      65.50
    Class     "L0 V"
    AppMagnr  22.29
    AppMagni  19.45
    AppMagnJ  15.36
    AppMagnH  14.63
    AppMagnKs 14.15
}

Star "TWA 28/2MASS J11020983-3430355"
{
    RA        11  2  9.8
    Dec       -34 30 36
    Dist      55.25
    Class     "M8.5 V"
    AppMagn   21.46
    AppMagnR  19.14
    AppMagnI  17.9
    AppMagnJ  13.03
    AppMagnH  12.36
    AppMagnK  11.89
    Teff      2600
    Radius    209733
}

Star "SDSS 11021+16293/SDSS J110212.06+162938.7"
{
    RA        11  2 12.1
    Dec       +16 29 39
    Dist      65.90
    Class     "L0 V"
    AppMagni  20.62
    AppMagnJ  16.52
    AppMagnH  15.57
    AppMagnKs 15.23
}

Star "2MASSW 11023-23594/2MASSW J1102337-235945/2MASS J11023375-2359464"
{
    RA        11  2 33.8
    Dec       -23 59 46
    Dist      48.00
    Class     "L4.5 V"
    AppMagnI  20.4
    AppMagnJ  16.72
    AppMagnH  15.55
    AppMagnKs 14.59
    AppMagnW1 14.12
    AppMagnW2 13.75
    AppMagnW3 12.57
}

Star "SDSS 11040+19592/SDSS J110401.29+195922.3/2MASS J11040127+1959217"
{
    RA        11  4  1.3
    Dec       +19 59 22
    Dist      18.00
    Class     "L4 V"
    AppMagni  19.35
    AppMagnI  18.3
    AppMagnJ  14.38
    AppMagnH  13.48
    AppMagnKs 12.95
}

Star "SDSS 11045+55484/SDSS J110454.25+554841.4/2MASSA J11045421+554841"
{
    RA        11  4 54.2
    Dec       +55 48 41
    Dist      43.00
    Class     "T0 V"
    AppMagnJ  17.65
    AppMagnH  16.65
    AppMagnKs 16.37
}

Star "SDSS 11055+04214/SDSS J110555.02+042145.3/2MASS J11055502+0421455"
{
    RA        11  5 55.0
    Dec       +04 21 45
    Dist      49.50
    Class     "L0 V"
    AppMagnr  23.93
    AppMagni  20.87
    AppMagnJ  16.42
    AppMagnH  15.78
}

Star "SDSS 11061+27542/SDSS J110612.00+275420.0/2MASS J11061197+2754225"
{
    RA        11  6 12.0
    Dec       +27 54 23
    Dist      20.83
    Class     "T2.5 V"
    AppMagnJ  14.82
    AppMagnH  14.15
    AppMagnKs 13.8
    AppMagnW1 13.18
    AppMagnW2 12.33
    AppMagnW3 11.55
}

Star "SDSS 11070+24544/SDSS J110705.31+245448.5"
{
    RA        11  7  5.3
    Dec       +24 54 49
    Dist      69.90
    Class     "L0 V"
    AppMagni  20.51
    AppMagnJ  16.23
    AppMagnH  15.47
    AppMagnKs 14.76
}

Star "ISO 138"
{
    RA        11  8 19.0
    Dec       -77 30 41
    Dist      160.00
    Class     "M5.5 V"
    Teff      2900
    MassSol   0.00285075
}

Star "2MASSW 11083+68301/2MASSW J1108307+683017/2MASS J11083081+6830169"
{
    RA        11  8 30.8
    Dec       +68 30 17
    Dist      16.90
    Class     "L1 V"
    AppMagnI  17.2
    AppMagnJ  13.12
    AppMagnH  12.24
    AppMagnKs 11.58
    AppMagnW1 11.12
    AppMagnW2 10.76
    AppMagnW3 10.15
    Teff      2100
}

Star "2MASS 11085-76325/2MASS J11085176-7632502"           //Unconfirmed
{
    RA        11  8 51.8
    Dec       -76 32 50
    Dist      60.00
    Class     "M7 V"
    AppMagnI  18.23
    AppMagnJ  14.29
    AppMagnH  13.53
    AppMagnKs 12.96
}

Star "2MASS 11085-76324/2MASS J11085497-7632410"           //Unconfirmed
{
    RA        11  8 55.0
    Dec       -76 32 41
    Dist      60.00
    Class     "M5.5 V"
    AppMagnR  18.62
    AppMagnI  16.65
    AppMagnJ  13.06
    AppMagnH  12.06
    AppMagnKs 11.44
}

Star "Cha 11091-77344/Cha J110913-773444"
{
    RA        11  9 13.6
    Dec       -77 34 45
    Dist      50.00
    Teff      1350
    Radius    125839.8
    MassSol   0.007602
}

Star "SDSS 11092-16065/SDSS J110927.19-160653.7/2MASS J11092745-1606515"
{
    RA        11  9 27.2
    Dec       -16  6 54
    Dist      20.30
    Class     "L0 V"
    AppMagni  19.28
    AppMagnJ  14.97
    AppMagnH  14.35
    AppMagnKs 13.89
}

Star "SDSS 11093+23533/SDSS J110938.29+235339.6"
{
    RA        11  9 38.3
    Dec       +23 53 40
    Dist      60.90
    Class     "L0 V"
    AppMagni  19.98
    AppMagnJ  15.7
    AppMagnH  15.01
    AppMagnKs 14.58
}

Star "SDSSp 11101+01161/SDSSp J111010.01+011613.1/2MASS J11101001+0116130"
{
    RA        11 10 10.0
    Dec       +01 16 13
    Dist      19.19
    Class     "T5.5 V"
    AppMagni  24.26
    AppMagnJ  16.34
    AppMagnH  15.92
    AppMagnKs 15.13
    AppMagnK  16.05
    AppMagnW1 15.59
    AppMagnW2 13.99
    AppMagnW3 11.89
    Teff      1060
    Radius    64318.12
    MassSol   0.03896025
}

Star "2MASS 11104-76305/2MASS J11104006-7630547"           //Unconfirmed
{
    RA        11 10 40.1
    Dec       -76 30 55
    Dist      60.00
    Class     "M8 V"
    AppMagnR  20.02
    AppMagnI  18.22
    AppMagnJ  14.57
    AppMagnH  13.85
    AppMagnKs 13.34
    Teff      2710
    MassSol   0.030408
}

Star "SDSS 11114+29582/SDSS J111143.85+295823.8"
{
    RA        11 11 43.9
    Dec       +29 58 24
    Dist      74.60
    Class     "L1 V"
    AppMagni  20.5
    AppMagnJ  16.57
    AppMagnH  16.03
    AppMagnKs 15.09
}

Star "2MASS 11124-20443/2MASS J11124910-2044315"
{
    RA        11 12 49.1
    Dec       -20 44 32
    Dist      41.10
    Class     "L0.5 V"
    AppMagnI  18.3
    AppMagnJ  14.92
    AppMagnH  14.08
    AppMagnKs 13.47
    AppMagnK  13.5
}

Star "SDSS 11131-00024/SDSS J111316.95-000246.6/2MASS J11131694-0002467"
{
    RA        11 13 16.9
    Dec      -0.046389
    Dist      47.00
    Class     "L0 V"
    AppMagnr  21.91
    AppMagni  19.43
    AppMagnJ  15.08
    AppMagnH  14.3
    AppMagnKs 13.8
}

Star "SDSS 11132+34305/SDSS J111320.16+343057.9/2MASS J11132009+3430582"
{
    RA        11 13 20.1
    Dec       +34 30 58
    Dist      75.00
    Class     "L3 V"
    AppMagnJ  16.77
    AppMagnH  15.8
    AppMagnKs 15.51
}

Star "2MASS 11145-26182/2MASS J11145133-2618235"
{
    RA        11 14 51.3
    Dec       -26 18 24
    Dist      5.66
    Class     "T7.5 V"
    AppMagni  23.69
    AppMagnJ  15.86
    AppMagnH  15.73
    AppMagnKs 16.11
    AppMagnK  16.54
    AppMagnW1 15.35
    AppMagnW2 12.24
    AppMagnW3 11.17
    Teff      750
    MassSol   0.03801
}

Star "DENIS-P 11152-24293/DENIS-P J1115297-242934/2MASS J11152970-2429346"
{
    RA        11 15 29.7
    Dec       -24 29 35
    Dist      25.80
    Class     "M9 V"
    AppMagnI  16.5
    AppMagnJ  13.59
    AppMagnH  12.95
    AppMagnK  12.54
}

Star "2MASS 11162-64030/2MASS J11162997-6403082"           //Unconfirmed
{
    RA        11 16 30.0
    Dec       -64  3  8
    Dist      85.87
    Class     "M7.5 V"
    AppMagnR  20.51
    AppMagnI  18.63
    AppMagnJ  15.65
    AppMagnH  14.95
    AppMagnKs 14.48
}

Star "SDSS 11164+60373/SDSS J111647.97+603730.7"
{
    RA        11 16 48.0
    Dec       +60 37 31
    Dist      85.00
    Class     "L0 V"
    AppMagni  20.18
    AppMagnJ  16.38
    AppMagnH  15.5
    AppMagnKs 15.45
}

Star "SDSS 11173+36093/SDSS J111736.93+360935.9/2MASS J11173691+3609359"
{
    RA        11 17 36.9
    Dec       +36  9 36
    Dist      23.50
    Class     "L0 V"
    AppMagni  18.64
    AppMagnJ  14.27
    AppMagnH  13.46
    AppMagnKs 12.96
}

Star "2MASS 11191+05524/2MASS J11191046+0552484"
{
    RA        11 19 10.5
    Dec       +05 52 48
    Dist      51.00
    Class     "L4 V"
    AppMagni  21.75
    AppMagnJ  16.76
    AppMagnH  15.48
    AppMagnKs 15.03
}

Star "2MASS 11192-48151/2MASS J11192624-4815167"           //Unconfirmed
{
    RA        11 19 26.2
    Dec       -48 15 17
    Dist      71.90
    Class     "M7 V"
    AppMagnI  18.55
    AppMagnJ  15.06
    AppMagnH  14.4
    AppMagnKs 13.93
}

Star "SDSS 11211+43324/SDSS J112118.57+433246.5/2MASS J11211858+4332464"
{
    RA        11 21 18.6
    Dec       +43 32 46
    Dist      46.00
    Class     "L7.5 V"
    AppMagnJ  17.01
    AppMagnH  16.23
    AppMagnKs 15.57
}

Star "2MASS 11220-35123/2MASS J11220826-3512363"
{
    RA        11 22  8.3
    Dec       -35 12 36
    Dist      15.00
    Class     "T2 V"
    AppMagnJ  15.02
    AppMagnH  14.36
    AppMagnKs 14.38
    AppMagnW1 13.93
    AppMagnW2 12.77
    AppMagnW3 11.72
}

Star "SDSS 11221+34043/SDSS J112210.27+340432.5"
{
    RA        11 22 10.3
    Dec       +34  4 33
    Dist      48.50
    Class     "L1 V"
    AppMagni  20.66
    AppMagnJ  16.12
    AppMagnH  15.3
    AppMagnKs 14.74
}

Star "2MASSW 11223-39160/2MASSW J1122362-391605/2MASS J11223624-3916054"
{
    RA        11 22 36.2
    Dec       -39 16  5
    Dist      41.00
    Class     "L3 V"
    AppMagnJ  15.71
    AppMagnH  14.68
    AppMagnKs 13.88
}

Star "2MASS 11224-65331/2MASS J11224462-6533161"
{
    RA        11 22 44.6
    Dec       -65 33 16
    Dist      23.75
    Class     "L0 V"
    AppMagnJ  13.59
    AppMagnH  12.87
    AppMagnKs 12.39
}

Star "WISEPC 11225+25502/WISEPC J112254.73+255021.5"
{
    RA        11 22 54.7
    Dec       +25 50 22
    Dist      17.70
    Class     "T6 V"
    AppMagnJ  16.67
    AppMagnH  16.64
    AppMagnKs 16.55
    AppMagnW1 16.05
    AppMagnW2 13.97
    AppMagnW3 12.39
    Teff      975
}

Star "2MASSW 11235+41222/2MASSW J1123556+412228/2MASS J11235564+4122286"
{
    RA        11 23 55.6
    Dec       +41 22 29
    Dist      52.00
    Class     "L2.5 V"
    AppMagnI  19.6
    AppMagnJ  16.07
    AppMagnH  15.09
    AppMagnKs 14.34
}

Star "WISEP 11243-04214/WISEP J112438.12-042149.7"
{
    RA        11 24 38.1
    Dec       -04 21 50
    Dist      15.50
    Class     "T7 V"
    AppMagnJ  16.72
    AppMagnH  16.32
    AppMagnKs 16.37
    AppMagnW1 16.56
    AppMagnW2 14.05
    AppMagnW3 12.49
    Teff      825
}

Star "SDSS 11250+05564/SDSS J112505.01+055642.3"
{
    RA        11 25  5.0
    Dec       +05 56 42
    Dist      57.00
    Class     "L0 V"
    AppMagni  20.04
    AppMagnJ  15.53
    AppMagnH  14.85
    AppMagnKs 14.49
}

Star "SDSS 11261+01204/SDSS J112615.25+012048.2/2MASS J11261528+0120481"
{
    RA        11 26 15.3
    Dec       +01 20 48
    Dist      35.00
    Class     "L6 V"
    AppMagnJ  16.91
    AppMagnH  15.78
    AppMagnKs 14.92
}

Star "2MASS 11263-55074/2MASS J11263190-5507420"
{
    RA        11 26 31.9
    Dec       -55  7 42
    Dist      34.02
    Class     "L2.5 V"
    AppMagnI  18.87
    AppMagnJ  15.24
    AppMagnH  14.55
    AppMagnKs 13.99
}

Star "2MASS 11263-50035/2MASS J11263991-5003550"
{
    RA        11 26 39.9
    Dec       -50  3 55
    Dist      8.20
    Class     "L9 V"
    AppMagnI  18.29
    AppMagnJ  14
    AppMagnH  13.28
    AppMagnKs 12.83
}

Star "SDSS 11264+58163/SDSS J112647.03+581632.2"
{
    RA        11 26 47.0
    Dec       +58 16 32
    Dist      38.90
    Class     "L3 V"
    AppMagni  20.14
    AppMagnJ  15.84
    AppMagnH  15.11
    AppMagnKs 14.54
}

Star "SDSS 11270+47054/SDSS J112706.62+470548.1"
{
    RA        11 27  6.6
    Dec       +47  5 48
    Dist      31.70
    Class     "L1 V"
    AppMagni  19.57
    AppMagnJ  15.2
    AppMagnH  14.5
    AppMagnKs 13.91
}

Star "SDSS 11272+59363/SDSS J112720.55+593633.0/2MASS J11272055+5936331"
{
    RA        11 27 20.6
    Dec       +59 36 33
    Dist      95.00
    Class     "L0 V"
    AppMagnr  24.08
    AppMagni  20.59
    AppMagnJ  16.82
    AppMagnH  15.76
    AppMagnKs 15.56
}

Star "2MASS 11301-57594/2MASS J11301046-5759419"           //Unconfirmed
{
    RA        11 30 10.5
    Dec       -57 59 42
    Dist      41.91
    Class     "M7.5 V"
    AppMagnJ  14.03
    AppMagnH  13.36
    AppMagnKs 12.83
}

Star "SDSS 11303-00522/SDSS J113035.14-005225.7/2MASS J11303515-0052256"
{
    RA        11 30 35.1
    Dec      -0.873889
    Dist      62.30
    Class     "L0 V"
    AppMagnr  21.85
    AppMagni  19.03
    AppMagnJ  15.12
    AppMagnH  14.46
    AppMagnKs 13.88
}

Star "2MASS 11312-64460/2MASS J11312945-6446032"           //Unconfirmed
{
    RA        11 31 29.5
    Dec       -64 46  3
    Dist      40.57
    Class     "M8.5 V"
    AppMagnI  18.26
    AppMagnJ  14.26
    AppMagnH  13.52
    AppMagnKs 12.99
}

Star "SDSS 11334+13112/SDSS J113344.68+131126.4"
{
    RA        11 33 44.7
    Dec       +13 11 26
    Dist      50.70
    Class     "L1 V"
    AppMagni  20.11
    AppMagnJ  15.7
    AppMagnH  14.93
    AppMagnKs 14.42
}

Star "SDSS 11382+33311/SDSS J113826.35+333114.1"
{
    RA        11 38 26.4
    Dec       +33 31 14
    Dist      49.20
    Class     "L0 V"
    AppMagni  20.07
    AppMagnJ  15.59
    AppMagnH  14.77
    AppMagnKs 14.31
}

Star "SDSS 11383+67404/SDSS J113833.10+674040.3/2MASS J11383308+6740403"
{
    RA        11 38 33.1
    Dec       +67 40 40
    Dist      50.00
    Class     "L0 V"
    AppMagnr  21.82
    AppMagni  19.35
    AppMagnJ  15.22
    AppMagnH  14.48
    AppMagnKs 13.95
    AppMagnW1 13.63
    AppMagnW2 13.34
    AppMagnW3 12.55
}

Star "SDSS 11394-03100/SDSS J113941.90-031004.1/2MASS J11394192-0310039"
{
    RA        11 39 41.9
    Dec       -03 10  4
    Dist      18.60
    Class     "L0 V"
    AppMagnr  21.03
    AppMagnR  19.96
    AppMagni  18.61
    AppMagnI  17.63
    AppMagnJ  14.4
    AppMagnH  13.71
    AppMagnKs 13.2
}

Star "WISE 11394-33242/WISE J113949.24-332425.1"
{
    RA        11 39 49.2
    Dec       -33 24 25
    Dist      25.00
    Class     "T7 V"
    AppMagnJ  17.97
    AppMagnH  17.94
    AppMagnW1 17.98
    AppMagnW2 14.83
    AppMagnW3 12.87
}

Star "TWA 26/2MASS J11395113-3159214"
{
    RA        11 39 51.1
    Dec       -31 59 22
    Dist      28.49
    Class     "M9 V"
    AppMagnR  18.1
    AppMagnI  15.83
    AppMagnJ  12.69
    AppMagnH  12
    AppMagnK  11.5
}

Star "SDSS 11414+41165/SDSS J114144.14+411656.7/2MASS J11414410+4116568"
{
    RA        11 41 44.1
    Dec       +41 16 57
    Dist      63.40
    Class     "L0 V"
    AppMagnr  22.06
    AppMagni  19.55
    AppMagnJ  15.68
    AppMagnH  14.78
    AppMagnKs 14.57
}

Star "SDSS 11425+64002/SDSS J114251.67+640020.0/2MASS J11425170+6400198"
{
    RA        11 42 51.7
    Dec       +64  0 20
    Dist      87.00
    Class     "L0 V"
    AppMagnr  24.1
    AppMagni  20.79
    AppMagnJ  16.6
    AppMagnH  16.19
    AppMagnKs 15.76
}

Star "WISEP 11434+44312/WISEP J114340.22+443123.8"
{
    RA        11 43 40.2
    Dec       +44 31 24
    Dist      19.00
    Class     "T8.5 V"
    AppMagnJ  18.76
    AppMagnH  19.04
    AppMagnW1 18.51
    AppMagnW2 15.27
    AppMagnW3 13.00
}

Star "SDSS 11455+23172/SDSS J114557.19+231729.3/2MASS J11455714+2317297"
{
    RA        11 45 57.1
    Dec       +23 17 30
    Dist      44.00
    Class     "L1.5 V"
    AppMagnI  18.62
    AppMagnJ  15.39
    AppMagnH  14.55
    AppMagnKs 13.95
}

Star "2MASS 11465-47543/2MASS J11465103-4754381"           //Unconfirmed
{
    RA        11 46 51.0
    Dec       -47 54 38
    Dist      51.68
    Class     "M8.5 V"
    AppMagnR  20.22
    AppMagnI  18.08
    AppMagnJ  14.9
    AppMagnH  14.15
    AppMagnKs 13.62
}

Star "SDSS 11480+02540/SDSS J114804.26+025405.7/2MASS J11480423+0254057"
{
    RA        11 48  4.2
    Dec       +02 54  6
    Dist      75.00
    Class     "L0 V"
    AppMagnr  22.59
    AppMagni  20.36
    AppMagnJ  16.11
    AppMagnH  15.38
    AppMagnKs 15.2
}

Star "SDSS 11480+02035/SDSS J114805.02+020350.9/2MASS J11480502+0203509"
{
    RA        11 48  5.0
    Dec       +02  3 51
    Dist      51.00
    Class     "L1 V"
    AppMagnr  22.27
    AppMagni  19.93
    AppMagnJ  15.52
    AppMagnH  15.01
    AppMagnKs 14.51
}

Star "SDSS 11491-01530/SDSS J114912.31-015300.6/2MASS J11491231-0153003"
{
    RA        11 49 12.3
    Dec       -01 53  1
    Dist      34.70
    Class     "L0 V"
    AppMagnr  21.44
    AppMagni  18.6
    AppMagnJ  14.67
    AppMagnH  14.13
    AppMagnKs 13.71
}

Star "ULAS 11492-01434/ULAS J114925.58-014343.2"
{
    RA        11 49 25.6
    Dec       -01 43 43
    Dist      53.00
    Class     "T5 V"
    AppMagnJ  18.11
    AppMagnH  18.17
    AppMagnKs 18.34
}

Star "SDSS 11501+05201/SDSS J115013.17+052012.3/2MASS J11501322+0520124"
{
    RA        11 50 13.2
    Dec       +05 20 12
    Dist      29.00
    Class     "L5.5 V"
    AppMagni  21.3
    AppMagnJ  16.25
    AppMagnH  15.46
    AppMagnKs 15.02
}

Star "WISEPC 11501+63024/WISEPC J115013.88+630240.7"
{
    RA        11 50 13.9
    Dec       +63  2 41
    Dist      10.10
    Class     "T8 V"
    AppMagnJ  17.72
    AppMagnH  18.01
    AppMagnKs 16.65
    AppMagnW1 16.99
    AppMagnW2 13.43
    AppMagnW3 12.15
    Teff      675
}

Star "ULAS 11503+09494/ULAS J115038.79+094942.9"
{
    RA        11 50 38.8
    Dec       +09 49 43
    Dist      59.52
    Class     "T6.5 V"
    AppMagnJ  18.68
    AppMagnH  19.23
    AppMagnKs 19.06
    Teff      945
    Radius    67813.67
}

Star "2MASS 11505-50324/2MASS J11505548-5032451"           //Unconfirmed
{
    RA        11 50 55.5
    Dec       -50 32 45
    Dist      57.64
    Class     "M9 V"
    AppMagnI  18.13
    AppMagnJ  15.21
    AppMagnH  14.59
    AppMagnKs 14.06
}

Star "ULAS J1152+0359"
{
    RA        11 52 29.9
    Dec       +03 59 29
    Dist      31.00
    Class     "T6 V"
    AppMagnJ  17.28
    AppMagnH  17.7
    AppMagnK  17.77
}

Star "SDSS 11525+64325/SDSS J115250.06+643252.5"
{
    RA        11 52 50.1
    Dec       +64 32 53
    Dist      51.20
    Class     "L2 V"
    AppMagni  20.01
    AppMagnJ  15.6
    AppMagnH  14.64
    AppMagnKs 14.09
}

Star "SDSS 11530+37165/SDSS J115306.12+371653.4/2MASS J11530603+3716535"
{
    RA        11 53  6.1
    Dec       +37 16 53
    Dist      71.20
    Class     "L0 V"
    AppMagnr  23.28
    AppMagni  20.36
    AppMagnJ  16.38
    AppMagnH  15.79
    AppMagnKs 15.56
}

Star "2MASS 11530-74543/2MASS J11530648-7454349"           //Unconfirmed
{
    RA        11 53  6.5
    Dec       -74 54 35
    Dist      73.63
    Class     "M7.5 V"
    AppMagnR  20.35
    AppMagnI  18.23
    AppMagnJ  15.27
    AppMagnH  14.63
    AppMagnKs 14.04
}

Star "ULAS 11533-01472/ULAS J115338.74-014724.1"
{
    RA        11 53 38.7
    Dec       -01 47 24
    Dist      34.60
    Class     "T6 V"
    AppMagnJ  17.59
    AppMagnH  17.97
    AppMagnKs 17.83
    AppMagnK  18.01
    AppMagnW1 16.9
    AppMagnW2 15.13
    AppMagnW3 12.61
    Teff      975
}

Star "SDSS 11533+50320/SDSS J115339.67+503209.4/2MASS J11533966+5032092"
{
    RA        11 53 39.7
    Dec       +50 32  9
    Dist      27.00
    Class     "L1 V"
    AppMagni  18.46
    AppMagnJ  14.19
    AppMagnH  13.31
    AppMagnKs 12.85
}

Star "SDSS 11543+62343/SDSS J115435.31+623438.2/2MASS J11543535+6234382"
{
    RA        11 54 35.3
    Dec       +62 34 38
    Dist      53.60
    Class     "L0 V"
    AppMagnr  22.19
    AppMagni  19.6
    AppMagnJ  15.4
    AppMagnH  14.8
    AppMagnKs 14.26
}

Star "DENIS-P 11544-34003/DENIS-P J115442.2-340039/2MASS J11544223-3400390"
{
    RA        11 54 42.2
    Dec       -34  0 39
    Dist      31.00
    Class     "L0 V"
    AppMagnI  17.9
    AppMagnJ  14.2
    AppMagnH  13.33
    AppMagnKs 12.85
    AppMagnW1 12.36
    AppMagnW2 12.05
    AppMagnW3 11.55
}

Star "SDSS 11550+23070/SDSS J115500.89+230705.7/2MASS J11550087+2307058"
{
    RA        11 55  0.9
    Dec       +23  7  6
    Dist      36.00
    Class     "L4 V"
    AppMagnI  19.3
    AppMagnJ  15.85
    AppMagnH  14.7
    AppMagnKs 14.08
}

Star "2MASS 11553-37273/2MASS J11553952-3727350"
{
    RA        11 55 39.5
    Dec       -37 27 35
    Dist      9.58
    Class     "L2 V"
    AppMagnJ  12.81
    AppMagnH  12.04
    AppMagnKs 11.46
    Teff      2200
}

Star "SDSS 11555+05595/SDSS J115553.86+055957.5/2MASS J11555389+0559577"
{
    RA        11 55 53.9
    Dec       +05 59 58
    Dist      17.27
    Class     "L7.5 V"
    AppMagni  21.28
    AppMagnJ  15.66
    AppMagnH  14.7
    AppMagnKs 14.12
    AppMagnK  14.09
    AppMagnW1 13.3
    AppMagnW2 12.85
    AppMagnW3 12.42
}

Star "SDSS 11570+06110/SDSS J115700.50+061105.2/2MASSA J11570049+061105"
{
    RA        11 57  0.5
    Dec       +06 11  5
    Dist      29.59
    Class     "T1.5 V"
    AppMagnJ  16.93
    AppMagnH  16.04
    AppMagnKs 15.25
    AppMagnW1 15.37
    AppMagnW2 14.52
    AppMagnW3 12.31
}

Star "ULAS 11571-01392/ULAS J115718.02-013923.9"
{
    RA        11 57 18.0
    Dec       -01 39 24
    Dist      61.00
    Class     "T5 V"
    AppMagnJ  18.18
    AppMagnH  18.65
}

Star "DENIS-P 11574-48444/DENIS-P J1157480-484442/2MASS J11574809-4844428"
{
    RA        11 57 48.1
    Dec       -48 44 43
    Dist      28.87
    Class     "L0.5 V"
    AppMagnI  17.32
    AppMagnJ  14.01
    AppMagnH  13.33
    AppMagnKs 12.79
    MassSol   0.0779205
}

Star "ULAS 11575+09220/ULAS J115759.04+092200.7"
{
    RA        11 57 59.0
    Dec       +09 22  1
    Dist      33.00
    Class     "T2.5 V"
    AppMagni  24.19
    AppMagnJ  16.81
    AppMagnH  16.43
    AppMagnKs 16.24
}

Star "SDSS 11580+64472/SDSS J115804.70+644720.4"
{
    RA        11 58  4.7
    Dec       +64 47 20
    Dist      81.00
    Class     "L0 V"
    AppMagni  20.43
    AppMagnJ  16.13
    AppMagnH  15.77
    AppMagnKs 15.09
}

Star "ULAS 11582+04474/ULAS J115826.62+044746.8"
{
    RA        11 58 26.6
    Dec       +04 47 47
    Dist      116.00
    Class     "M9.5 V"
    AppMagnr  23.35
    AppMagni  19.43
    AppMagnJ  16.54
    AppMagnH  16.08
    AppMagnKs 15.73
    AppMagnW1 15.66
    AppMagnW2 15.41
}

Star "2MASS 11584-77080/2MASS J11584493-7708025"
{
    RA        11 58 44.9
    Dec       -77  8  3
    Dist      37.28
    Class     "L2 V"
    AppMagnI  19.02
    AppMagnJ  15.41
    AppMagnH  14.73
    AppMagnKs 14.05
}

Star "2MASS 11592-52471/2MASS J11592743-5247188"           //Unconfirmed
{
    RA        11 59 27.4
    Dec       -52 47 19
    Dist      9.60
    Class     "M9 V"
    AppMagnR  16.62
    AppMagnI  14.49
    AppMagnJ  11.43
    AppMagnH  10.76
    AppMagnKs 10.32
}

Star "DENIS-P J1159+0057/2MASS J11593850+0057268"
{
    RA        11 59 38.5
    Dec       +00 57 27
    Dist      30.00
    Class     "L0 V"
    AppMagnr  21.14
    AppMagni  18.51
    AppMagnI  17.32
    AppMagnJ  14.08
    AppMagnH  13.31
    AppMagnKs 12.81
    AppMagnK  12.67
}

Star "SDSS 11594+54093/SDSS J115940.72+540938.6"
{
    RA        11 59 40.7
    Dec       +54  9 39
    Dist      37.00
    Class     "L2 V"
    AppMagni  20.04
    AppMagnJ  15.22
    AppMagnH  14.34
    AppMagnKs 13.76
}

Star "SDSS 11594+38301/SDSS J115948.00+383016.2"
{
    RA        11 59 48.0
    Dec       +38 30 16
    Dist      85.70
    Class     "L0 V"
    AppMagni  20.63
    AppMagnJ  16.39
    AppMagnH  15.74
    AppMagnKs 15.3
}

Star "SDSS 12002+34061/SDSS J120020.66+340615.4"
{
    RA        12  0 20.7
    Dec       +34  6 15
    Dist      55.30
    Class     "L1 V"
    AppMagni  20.6
}

Star "2MASS 12012-60074/2MASS J12012860-6007478"           //Unconfirmed
{
    RA        12  1 28.6
    Dec       -60  7 48
    Dist      85.73
    Class     "M7 V"
    AppMagnJ  15.36
    AppMagnH  14.47
    AppMagnKs 13.91
}

Star "SDSS 12024+42045/SDSS J120249.99+420452.1/2MASS J12025009+4204531"
{
    RA        12  2 50.0
    Dec       +42  4 52
    Dist      21.50
    Class     "L0 V"
    AppMagnr  21.45
    AppMagni  18.87
    AppMagnJ  14.5
    AppMagnH  13.69
    AppMagnKs 13.26
}

Star "SDSS 12025-02274/SDSS J120252.65-022748.6/2MASS J12025263-0227483"
{
    RA        12  2 52.7
    Dec       -02 27 49
    Dist      63.20
    Class     "L1 V"
    AppMagnr  22.52
    AppMagni  20.18
    AppMagnJ  15.74
    AppMagnH  15.04
    AppMagnKs 14.37
}

Star "ULAS 12025+09015/ULAS J120257.05+090158.8"
{
    RA        12  2 57.1
    Dec       +09  1 59
    Dist      29.00
    Class     "T5 V"
    AppMagnJ  16.71
    AppMagnH  16.91
    AppMagnKs 16.94
    AppMagnW1 16.84
    AppMagnW2 14.91
    AppMagnW3 12.04
}

Star "SDSSp 12035+00155/SDSSp J120358.19+001550.3/2MASS J12035812+0015500"
{
    RA        12  3 58.1
    Dec       +00 15 50
    Dist      19.00
    Class     "L3 V"
    AppMagni  18.88
    AppMagnI  18.88
    AppMagnJ  14.01
    AppMagnH  13.06
    AppMagnKs 12.48
    Teff      1600
    Radius    106264.72
}

Star "SDSS 12043+32125/SDSS J120430.38+321259.4/2MASS J12043036+3212595"
{
    RA        12  4 30.4
    Dec       +32 12 60
    Dist      26.00
    Class     "L0 V"
    AppMagni  18.16
    AppMagnJ  13.82
    AppMagnH  13.09
    AppMagnKs 12.52
}

Star "2MASS 12044-50481/2MASS J12044302-5048162"           //Unconfirmed
{
    RA        12  4 43.0
    Dec       -50 48 16
    Dist      70.24
    Class     "M7 V"
    AppMagnJ  15.08
    AppMagnH  14.47
    AppMagnKs 13.94
}

Star "ULAS J1204-0150"
{
    RA        12  4 44.9
    Dec       -01 50 36
    Dist      28.00
    Class     "T5.5 V"
    AppMagnJ  16.81
    AppMagnH  17.07
    AppMagnK  17.29
}

Star "NTTDF 1205-0744"
{
    RA        12  5 20.2
    Dec       -07 44  1
    Dist      90.00
    Class     "T6 V"
    AppMagn   27.00
    AppMagnJ  20.2
    AppMagnKs 20.3
    Teff      975
}

Star "SDSS 12054+60572/SDSS J120543.42+605728.3"
{
    RA        12  5 43.4
    Dec       +60 57 28
    Dist      78.00
    Class     "L0 V"
    AppMagni  20.76
    AppMagnJ  16.32
    AppMagnH  15.43
    AppMagnKs 15.21
}

Star "SDSS 12060+28132/SDSS J120602.51+281328.7/2MASS J12060248+2813293"
{
    RA        12  6  2.5
    Dec       +28 13 29
    Dist      26.00
    Class     "T3 V"
    AppMagnJ  16.54
    AppMagnH  15.82
    AppMagnKs 15.82
    AppMagnK  15.97
    AppMagnW1 15.25
    AppMagnW2 13.97
    AppMagnW3 12.08
}

Star "WISEA 12060+84011/WISEA J120604.25+840110.5"
{
    RA        12  6  4.3
    Dec       +84  1 11
    Dist      14.50
    Class     "Y0 V"
    AppMagnJ  20.47
    AppMagnH  21.06
    AppMagnW1 18.73
    AppMagnW2 15.06
    AppMagnW3 12.54
    Teff      425
}

Star "2MASS 12060-53265/2MASS J12060685-5326580"           //Unconfirmed
{
    RA        12  6  6.9
    Dec       -53 26 58
    Dist      63.04
    Class     "M7 V"
    AppMagnI  17.55
    AppMagnJ  14.74
    AppMagnH  13.96
    AppMagnKs 13.39
}

Star "SDSS 12061+62425/SDSS J120610.49+624257.2"
{
    RA        12  6 10.5
    Dec       +62 42 57
    Dist      44.00
    Class     "L1 V"
    AppMagni  20
    AppMagnJ  15.65
    AppMagnH  14.75
    AppMagnKs 13.95
}

Star "DENIS-P 12065?39372/DENIS-P J1206501?393725/2MASS J12065011-3937261"
{
    RA        12  6 50.1
    Dec       -39 37 26
    Dist      22.40
    Class     "L2 V"
    AppMagnI  17.67
    AppMagnJ  14.32
    AppMagnH  13.6
    AppMagnK  13.09
}

Star "2MASS 12070-31512/2MASS J12070374-3151298"
{
    RA        12  7  3.7
    Dec       -31 51 30
    Dist      43.00
    Class     "L3 V"
    AppMagnJ  15.85
    AppMagnH  14.72
    AppMagnKs 14
    AppMagnW1 13.58
    AppMagnW2 13.24
    AppMagnW3 12.42
}

Star "ULAS 12074+13390/ULAS J120744.65+133902.7"
{
    RA        12  7 44.7
    Dec       +13 39  3
    Dist      41.50
    Class     "T6 V"
    AppMagnJ  18.28
    AppMagnH  18.52
    AppMagnKs 18.67
    AppMagnW1 17.87
    AppMagnW2 15.79
    Teff      975
}

Star "SDSS 12074+02442/SDSS J120747.17+024424.8/2MASS J12074717+0244249"
{
    RA        12  7 47.2
    Dec       +02 44 25
    Dist      22.47
    Class     "T0 V"
    AppMagnr  24.37
    AppMagni  21.49
    AppMagnJ  15.58
    AppMagnH  14.56
    AppMagnKs 13.99
    AppMagnK  13.99
    AppMagnW1 13.41
    AppMagnW2 12.78
    AppMagnW3 11.55
}

Star "SDSS 12082+44522/SDSS J120821.72+445224.6/2MASS J12082176+4452244"
{
    RA        12  8 21.7
    Dec       +44 52 25
    Dist      49.80
    Class     "L0 V"
    AppMagnr  23.22
    AppMagni  20.24
    AppMagnJ  15.93
    AppMagnH  15.11
    AppMagnKs 14.71
}

Star "DENIS-P 1208.+0149/DENIS-P J1208.5+0149/2MASS J12083152+0149248"
{
    RA        12  8 31.5
    Dec       +01 49 25
    Dist      30.00
    Class     "L0 V"
    AppMagni  19.29
    AppMagnI  18.38
    AppMagnJ  15.39
    AppMagnH  14.42
    AppMagnKs 14.1
    AppMagnK  13.77
}

Star "SDSS 12090+32332/SDSS J120906.49+323327.5"
{
    RA        12  9  6.5
    Dec       +32 33 28
    Dist      27.40
    Class     "L0 V"
    AppMagni  19.69
    AppMagnJ  15.3
    AppMagnH  14.61
    AppMagnKs 14.17
}

Star "SDSS 12091+54294/SDSS J120916.20+542949.5"
{
    RA        12  9 16.2
    Dec       +54 29 50
    Dist      53.30
    Class     "L1 V"
    AppMagni  19.79
    AppMagnJ  15.52
    AppMagnH  14.66
    AppMagnKs 14.22
}

Star "2MASS 12105-52524/2MASS J12105463-5252444"           //Unconfirmed
{
    RA        12 10 54.6
    Dec       -52 52 44
    Dist      74.28
    Class     "M7.5 V"
    AppMagnI  18.17
    AppMagnJ  15.25
    AppMagnH  14.59
    AppMagnKs 14.17
}

Star "SDSS 12121+60594/SDSS J121210.99+605948.0/2MASS J12121097+6059477"
{
    RA        12 12 11.0
    Dec       +60 59 48
    Dist      46.10
    Class     "L0 V"
    AppMagnr  21.77
    AppMagni  19.01
    AppMagnJ  14.87
    AppMagnH  14.26
    AppMagnKs 13.71
}

Star "2MASS 12123+02062/2MASS J12123389+0206280"
{
    RA        12 12 33.9
    Dec       +02  6 28
    Dist      67.00
    Class     "L1 V"
    AppMagnJ  16.13
    AppMagnKs 14.19
}

Star "2MASSI 12130-04324/2MASSI J1213033-043243/2MASS J12130336-0432437"
{
    RA        12 13  3.4
    Dec       -04 32 44
    Dist      16.00
    Class     "L5 V"
    AppMagnJ  14.68
    AppMagnH  13.65
    AppMagnKs 13.01
}

Star "SDSS 12130+15292/SDSS J121304.77+152922.2/2MASS J12130484+1529227"
{
    RA        12 13  4.8
    Dec       +15 29 23
    Dist      67.60
    Class     "L1 V"
    AppMagnr  22.75
    AppMagni  20.69
    AppMagnJ  16.33
    AppMagnH  15.66
    AppMagnKs 15.42
}

Star "SDSS 12140+33235/SDSS J121409.75+332356.0/2MASS J12140975+3323561"
{
    RA        12 14  9.8
    Dec       +33 23 56
    Dist      106.70
    Class     "L0 V"
    AppMagnr  23.15
    AppMagni  20.61
    AppMagnJ  16.46
    AppMagnH  15.77
    AppMagnKs 15.45
}

Star "SDSS 12143+37211/SDSS J121433.60+372111.8/2MASS J12143365+3721117"
{
    RA        12 14 33.6
    Dec       +37 21 12
    Dist      52.60
    Class     "L0 V"
    AppMagnr  23.35
    AppMagni  20.16
    AppMagnJ  16.19
    AppMagnH  15.5
    AppMagnKs 15.07
}

Star "2MASS 12154-34205/2MASS J12154432-3420591"
{
    RA        12 15 44.3
    Dec       -34 20 59
    Dist      25.13
    Class     "T4.5 V"
    AppMagnJ  16.24
    AppMagnH  15.81
    AppMagnKs 16.32
    AppMagnW1 16.01
    AppMagnW2 14.38
    AppMagnW3 12.33
}

Star "DENIS-P 12161?12573/DENIS-P J1216121?125731/2MASS J12161209-1257309"
{
    RA        12 16 12.1
    Dec       -12 57 31
    Dist      63.60
    Class     "L1 V"
    AppMagnI  18.3
    AppMagnJ  15.26
    AppMagnH  14.57
    AppMagnKs 14.02
    AppMagnK  15.12
}

Star "2MASS 12162+44563/2MASS J12162161+4456340"
{
    RA        12 16 21.6
    Dec       +44 56 34
    Dist      41.00
    Class     "L5 V"
    AppMagnJ  16.35
    AppMagnH  15.66
    AppMagnKs 15.02
}

Star "SDSS 12164+49274/SDSS J121645.58+492744.9"
{
    RA        12 16 45.6
    Dec       +49 27 45
    Dist      34.00
    Class     "L1 V"
    AppMagni  20.19
    AppMagnJ  15.59
    AppMagnH  14.77
    AppMagnKs 14.11
}

Star "SDSS 12165+30030/SDSS J121659.17+300306.3/2MASS J12165918+3003054"
{
    RA        12 16 59.2
    Dec       +30  3  5
    Dist      67.00
    Class     "L3.5 V"
    AppMagnJ  17.07
    AppMagnH  15.74
    AppMagnKs 15.81
}

Star "2MASS 12172?02373/2MASS J12172372?0237369"
{
    RA        12 17 23.7
    Dec       -02 37 37
    Dist      57.00
    Class     "L4 V"
    AppMagni  22.09
    AppMagnJ  16.9
    AppMagnH  15.81
    AppMagnKs 14.99
}

Star "SDSS 12185+35202/SDSS J121855.72+352022.9"
{
    RA        12 18 55.7
    Dec       +35 20 23
    Dist      63.80
    Class     "L0 V"
    AppMagni  20.66
    AppMagnJ  16.49
    AppMagnH  15.69
    AppMagnKs 15.19
}

Star "2MASS 12191-50214/2MASS J12191303-5021426"           //Unconfirmed
{
    RA        12 19 13.0
    Dec       -50 21 43
    Dist      39.32
    Class     "M7 V"
    AppMagnR  18.65
    AppMagnI  16.76
    AppMagnJ  13.72
    AppMagnH  13.07
    AppMagnKs 12.59
}

Star "SDSS 12195+65413/SDSS J121950.22+654136.5/2MASS J12195024+6541365"
{
    RA        12 19 50.2
    Dec       +65 41 37
    Dist      69.00
    Class     "L0 V"
    AppMagnr  22.72
    AppMagni  19.78
    AppMagnJ  15.61
    AppMagnH  15.09
    AppMagnKs 14.57
}

Star "SDSS 12195+31284/SDSS J121951.45+312849.4/2MASS J12195156+3128497"
{
    RA        12 19 51.6
    Dec       +31 28 50
    Dist      19.00
    Class     "L8 V"
    AppMagnJ  15.91
    AppMagnH  14.91
    AppMagnKs 14.31
}

Star "SDSS 12204-01423/SDSS J122048.34-014237.8/2MASS J12204832-0142380"
{
    RA        12 20 48.3
    Dec       -01 42 38
    Dist      86.00
    Class     "L0 V"
    AppMagnr  22.68
    AppMagni  20.29
    AppMagnJ  16.2
    AppMagnH  15.95
    AppMagnKs 15.38
}

Star "SDSS 12212+02571/SDSS J122127.70+025719.7/2MASS J12212770+0257198"
{
    RA        12 21 27.7
    Dec       +02 57 20
    Dist      19.00
    Class     "L0 V"
    AppMagni  17.41
    AppMagnJ  13.17
    AppMagnH  12.41
    AppMagnKs 11.95
    Teff      2000
    Radius    90884.3
}

Star "WISEP 12215-31360/WISEP J122152.28-313600.8"
{
    RA        12 21 52.3
    Dec       -31 36  1
    Dist      15.00
    Class     "T6.5 V"
    AppMagnJ  16.38
    AppMagnH  16.06
    AppMagnKs 15.63
    AppMagnW1 15.86
    AppMagnW2 13.85
    AppMagnW3 12.35
}

Star "2MASS 12244-71411/2MASS J12244411-7141109"           //Unconfirmed
{
    RA        12 24 44.1
    Dec       -71 41 11
    Dist      49.50
    Class     "M8.5 V"
    AppMagnI  18.41
    AppMagnJ  14.76
    AppMagnH  13.63
    AppMagnKs 13.02
}

Star "2MASS 12245-12383/2MASS J12245222-1238352"
{
    RA        12 24 52.2
    Dec       -12 38 35
    Dist      17.10
    Class     "M9 V"
    AppMagnJ  12.56
    AppMagnH  11.83
    AppMagnKs 11.37
}

Star "SDSS 12252-02155/SDSS J122524.00-021559.7"
{
    RA        12 25 24.0
    Dec       -02 15 60
    Dist      107.80
    Class     "L3 V"
    AppMagni  20.7
    AppMagnJ  16.55
    AppMagnH  15.65
    AppMagnKs 15.04
}

Star "WISEP 12255-10134/WISEP J122558.86-101345.0"
{
    RA        12 25 58.9
    Dec       -10 13 45
    Dist      17.00
    Class     "T6 V"
    AppMagnJ  16.43
    AppMagnH  16.46
    AppMagnKs 15.87
    AppMagnW1 16.34
    AppMagnW2 13.99
    AppMagnW3 12.11
    Teff      975
}

Star "2MASS 12262-76385/2MASS J12262180-7638505"           //Unconfirmed
{
    RA        12 26 21.8
    Dec       -76 38 51
    Dist      51.45
    Class     "M8 V"
    AppMagnI  18.08
    AppMagnJ  14.62
    AppMagnH  13.94
    AppMagnKs 13.52
}

Star "SDSS 12281+58334/SDSS J122818.53+583342.2/2MASS J12281851+5833419"
{
    RA        12 28 18.5
    Dec       +58 33 42
    Dist      70.20
    Class     "L0 V"
    AppMagnr  22.68
    AppMagni  19.99
    AppMagnJ  15.91
    AppMagnH  15.21
    AppMagnKs 14.89
}

Star "SDSS 12285+00504/SDSS J122855.38+005044.1/2MASS J12285538+0050440"
{
    RA        12 28 55.4
    Dec       +00 50 44
    Dist      60.00
    Class     "L0 V"
    AppMagnr  23.09
    AppMagni  20.17
    AppMagnJ  15.61
    AppMagnH  14.83
    AppMagnKs 14.16
    AppMagnK  14.16
}

Star "SDSS 12304+28275/SDSS J123045.43+282758.0/2MASS J12304562+2827583"
{
    RA        12 30 45.6
    Dec       +28 27 58
    Dist      56.70
    Class     "L1 V"
    AppMagni  20.33
    AppMagnJ  16.07
    AppMagnH  15.01
    AppMagnKs 14.43
}

Star "SDSS 12311+40502/SDSS J123112.97+405027.9/2MASS J12311299+4050277"
{
    RA        12 31 13.0
    Dec       +40 50 28
    Dist      54.20
    Class     "L0 V"
    AppMagnr  21.94
    AppMagni  19.23
    AppMagnJ  15.24
    AppMagnH  14.57
    AppMagnKs 14.1
}

Star "SDSS 12312+49592/SDSS J123121.38+495923.3/2MASS J12312141+4959234"
{
    RA        12 31 21.4
    Dec       +49 59 23
    Dist      25.90
    Class     "L2 V"
    AppMagni  19.23
    AppMagnJ  14.62
    AppMagnH  13.71
    AppMagnKs 13.14
}

Star "SDSS 12314+08473/SDSS J123147.38+084730.7/2MASS J12314753+0847331"
{
    RA        12 31 47.5
    Dec       +08 47 33
    Dist      12.00
    Class     "T5.5 V"
    AppMagni  22.75
    AppMagnJ  15.57
    AppMagnH  15.31
    AppMagnKs 15.22
    AppMagnW1 15.02
    AppMagnW2 13.02
    AppMagnW3 11.68
    Teff      1070
    Radius    58026.13
    MassSol   0.05416425
}

Star "ULAS 12315+09120/ULAS J123153.60+091205.4"
{
    RA        12 31 53.6
    Dec       +09 12  5
    Dist      89.00
    Class     "T4.5 V"
    AppMagnJ  19.03
    AppMagnH  19.13
}

Star "2MASS 12321-09515/2MASS J12321827-0951502"
{
    RA        12 32 18.3
    Dec       -09 51 50
    Dist      25.00
    Class     "L0 V"
    AppMagnJ  13.73
    AppMagnH  13.07
    AppMagnKs 12.55
}

Star "WISP 1232-0033"
{
    RA        12 32 42.4
    Dec      -0.551944
    Dist      270.00
    Class     "T7 V"
    AppMagnJ  22.65
    Teff      825
}

Star "SDSS 12332+21380/SDSS J123322.63+213805.1/2MASS J12332269+2138059"
{
    RA        12 33 22.7
    Dec       +21 38  6
    Dist      50.00
    Class     "L0 V"
    AppMagnr  23.37
    AppMagni  20.48
    AppMagnJ  16.21
    AppMagnH  15.51
    AppMagnKs 14.99
}

Star "ULAS 12332+12195/ULAS J123327.45+121952.2"
{
    RA        12 33 27.5
    Dec       +12 19 52
    Dist      50.00
    Class     "T3.5 V"
    AppMagnJ  17.87
    AppMagnH  18.28
    AppMagnKs 19.03
}

Star "DENIS-P 12340?11240/DENIS-P J1234018?112407/2MASS J12340183-1124078"
{
    RA        12 34  1.8
    Dec       -11 24  8
    Dist      24.60
    Class     "L2 V"
    AppMagnI  18.22
    AppMagnJ  14.86
    AppMagnH  13.99
    AppMagnKs 13.7
    AppMagnK  13.4
}

Star "2MASS 12340-58274/2MASS J12340590-5827495"
{
    RA        12 34  5.9
    Dec       -58 27 50
    Dist      29.65
    Class     "L2 V"
    AppMagnJ  14.77
    AppMagnH  14
    AppMagnKs 13.57
}

Star "2MASS 12342-51043/2MASS J12342370-5104354"           //Unconfirmed
{
    RA        12 34 23.7
    Dec       -51  4 35
    Dist      42.19
    Class     "M8.5 V"
    AppMagnI  17.51
    AppMagnJ  14.38
    AppMagnH  13.81
    AppMagnKs 13.27
}

Star "SDSS 12351+31581/SDSS J123517.24+315815.6/2MASS J12351726+3158155"
{
    RA        12 35 17.2
    Dec       +31 58 16
    Dist      60.70
    Class     "L0 V"
    AppMagnr  23.18
    AppMagni  20.35
    AppMagnJ  16.5
    AppMagnH  15.39
    AppMagnKs 15.27
}

Star "2MASS 12353-53534/2MASS J12353485-5353473"           //Unconfirmed
{
    RA        12 35 34.9
    Dec       -53 53 47
    Dist      51.81
    Class     "M8 V"
    AppMagnR  20.11
    AppMagnI  17.83
    AppMagnJ  14.73
    AppMagnH  14.04
    AppMagnKs 13.52
}

Star "2MASS 12363-65363/2MASS J12363238-6536355"           //Unconfirmed
{
    RA        12 36 32.4
    Dec       -65 36 36
    Dist      71.94
    Class     "M7.5 V"
    AppMagnR  20.08
    AppMagnI  18.27
    AppMagnJ  15.28
    AppMagnH  14.43
    AppMagnKs 13.99
}

Star "2MASS 12373+65261/2MASS J12373919+6526148"
{
    RA        12 37 39.2
    Dec       +65 26 15
    Dist      10.41
    Class     "T7 V"
    AppMagni  
    AppMagnI  21.25
    AppMagnJ  16.05
    AppMagnH  15.74
    AppMagnKs 16.06
    AppMagnK  16.15
    AppMagnW1 15.43
    AppMagnW2 12.92
    AppMagnW3 11.94
    Teff      825
    MassSol   0.0285075
}

Star "SDSS 12381+62192/SDSS J123815.58+621925.9"
{
    RA        12 38 15.6
    Dec       +62 19 26
    Dist      82.30
    Class     "L0 V"
    AppMagni  20.43
    AppMagnJ  16.3
    AppMagnH  15.76
    AppMagnKs 15.22
}

Star "ULAS 12382+09535/ULAS J123828.51+095351.3"
{
    RA        12 38 28.5
    Dec       +09 53 51
    Dist      24.60
    Class     "T8.5 V"
    AppMagnJ  18.95
    AppMagnH  19.2
    AppMagnK  19
    AppMagnW1 17.81
    AppMagnW2 15.21
    AppMagnW3 12.45
    Teff      600
    MassSol   0.007602
}

Star "ULAS 12390+10251/ULAS J123903.75+102518.6"
{
    RA        12 39  3.8
    Dec       +10 25 19
    Dist      79.00
    Class     "T0 V"
    AppMagnJ  18.5
    AppMagnH  18.4
}

Star "SDSS 12403+15251/SDSS J124036.80+152517.1/2MASS J12403680+1525172"
{
    RA        12 40 36.8
    Dec       +15 25 17
    Dist      41.20
    Class     "L0 V"
    AppMagnr  22.72
    AppMagni  19.82
    AppMagnJ  15.59
    AppMagnH  14.66
    AppMagnKs 14.5
}

Star "2MASS 12405-65495/2MASS J12405746-6549554"           //Unconfirmed
{
    RA        12 40 57.5
    Dec       -65 49 55
    Dist      53.51
    Class     "M7 V"
    AppMagnI  17.35
    AppMagnJ  14.48
    AppMagnH  13.78
    AppMagnKs 13.33
}

Star "WISE 12430+84454/WISE J124309.61+844547.8"
{
    RA        12 43  9.6
    Dec       +84 45 48
    Dist      16.00
    Class     "T9 V"
    AppMagnJ  18.86
    AppMagnH  19.21
    AppMagnW1 18.79
    AppMagnW2 15.48
    AppMagnW3 12.37
}

Star "SDSS 12435+13102/SDSS J124352.25+131021.3/2MASS J12435228+1310215"
{
    RA        12 43 52.3
    Dec       +13 10 22
    Dist      51.60
    Class     "L0 V"
    AppMagnr  21.68
    AppMagni  19.61
    AppMagnJ  15.58
    AppMagnH  14.85
    AppMagnKs 14.45
}

Star "SDSS 12451-01323/SDSS J124510.86-013230.9"
{
    RA        12 45 10.9
    Dec       -01 32 31
    Dist      84.00
    Class     "L0 V"
    AppMagni  20.76
    AppMagnJ  16.6
    AppMagnH  16.08
    AppMagnKs 15.61
}

Star "SDSS 12451+12044/SDSS J124514.95+120442.0/2MASS J12451496+1204423"
{
    RA        12 45 15.0
    Dec       +12  4 42
    Dist      61.70
    Class     "L1 V"
    AppMagnr  23.06
    AppMagni  20.53
    AppMagnJ  16.05
    AppMagnH  15.32
    AppMagnKs 14.73
}

Star "SDSS 12455+49021/SDSS J124555.66+490210.9"
{
    RA        12 45 55.7
    Dec       +49  2 11
    Dist      61.80
    Class     "L1 V"
    AppMagni  19.45
    AppMagnJ  15.95
    AppMagnH  15.36
    AppMagnKs 15.2
}

Star "2MASS 12462-31392/2MASS J12462965-3139280"
{
    RA        12 46 29.7
    Dec       -31 39 28
    Dist      11.45
    Class     "T1 V"
    AppMagnJ  15.02
    AppMagnH  14.19
    AppMagnKs 13.97
    AppMagnW1 13.33
    AppMagnW2 12.38
    AppMagnW3 11.41
    Teff      1400
    Radius    69911
}

Star "2MASS 12463-53141/2MASS J12463355-5314188"           //Unconfirmed
{
    RA        12 46 33.6
    Dec       -53 14 19
    Dist      53.60
    Class     "M9 V"
    AppMagnI  18.09
    AppMagnJ  15.01
    AppMagnH  14.29
    AppMagnKs 13.85
}

Star "SDSS 12464+40271/SDSS J124646.83+402714.6/2MASS J12464678+4027150"
{
    RA        12 46 46.8
    Dec       +40 27 15
    Dist      24.10
    Class     "L4 V"
    AppMagn   22.3
    AppMagnJ  15.09
    AppMagnH  13.94
    AppMagnKs 13.28
}

Star "ULAS 12480+07590/ULAS J124804.56+075904.0"
{
    RA        12 48  4.6
    Dec       +07 59  4
    Dist      27.30
    Class     "T7 V"
    AppMagnJ  17.72
    AppMagnH  18.15
    AppMagnKs 18.06
    AppMagnW1 17.28
    AppMagnW2 15.37
    Teff      825
}

Star "SDSS 12490+41572/SDSS J124908.66+415728.5/2MASS J12490872+4157286"
{
    RA        12 49  8.7
    Dec       +41 57 29
    Dist      38.80
    Class     "L0 V"
    AppMagnr  21.73
    AppMagni  19.33
    AppMagnJ  15.44
    AppMagnH  14.69
    AppMagnKs 14.29
}

Star "SDSS 12492+54134/SDSS J124921.22+541340.1/2MASS J12492124+5413405"
{
    RA        12 49 21.2
    Dec       +54 13 40
    Dist      40.30
    Class     "L0 V"
    AppMagnr  21.66
    AppMagni  19
    AppMagnJ  14.83
    AppMagnH  14.1
    AppMagnKs 13.65
}

Star "SDSS 12501+39255/SDSS J125011.65+392553.9/2MASS J12501166+3925582"
{
    RA        12 50 11.7
    Dec       +39 25 58
    Dist      23.00
    Class     "T4 V"
    AppMagnJ  16.54
    AppMagnH  16.18
    AppMagnKs 16.06
    AppMagnW1 15.87
    AppMagnW2 14.48
    AppMagnW3 12.40
}

Star "WISEP 12501+26284/WISEP J125015.56+262846.9"
{
    RA        12 50 15.6
    Dec       +26 28 47
    Dist      22.00
    Class     "T6.5 V"
    AppMagnJ  16.93
    AppMagnH  17.10
    AppMagnKs 15.72
    AppMagnW1 16.36
    AppMagnW2 14.58
    AppMagnW3 12.84
}

Star "SDSS 12504+04175/SDSS J125044.67+041758.2/2MASS J12504467+0417581"
{
    RA        12 50 44.7
    Dec       +04 17 58
    Dist      74.90
    Class     "L0 V"
    AppMagnr  23.25
    AppMagni  20.63
    AppMagnJ  16.49
    AppMagnH  16.01
    AppMagnKs 15.47
}

Star "SDSS 12504+44185/SDSS J125045.66+441853.6/2MASS J12504567+4418551"
{
    RA        12 50 45.7
    Dec       +44 18 54
    Dist      88.10
    Class     "L0 V"
    AppMagnr  22.79
    AppMagni  19.85
    AppMagnJ  16.45
    AppMagnH  16.16
    AppMagnKs 15.11
}

Star "SDSS 12521+14223/SDSS J125214.08+142239.3/2MASS J12521412+1422398"
{
    RA        12 52 14.1
    Dec       +14 22 40
    Dist      78.50
    Class     "L3 V"
    AppMagnr  22.82
    AppMagni  20.56
    AppMagnJ  16
    AppMagnH  15.16
    AppMagnKs 14.49
}

Star "SDSS 12523+18350/SDSS J125230.79+183506.0"
{
    RA        12 52 30.8
    Dec       +18 35  6
    Dist      109.90
    Class     "L1 V"
    AppMagni  20.62
    AppMagnJ  16.31
    AppMagnH  15.23
    AppMagnKs 14.72
}

Star "2MASS 12523-56305/2MASS J12523229-5630529"
{
    RA        12 52 32.3
    Dec       -56 30 53
    Dist      30.52
    Class     "L1.5 V"
    AppMagnI  18.76
    AppMagnJ  14.74
    AppMagnH  13.91
    AppMagnKs 13.29
}

Star "SDSS 12525+34213/SDSS J125253.62+342138.8"
{
    RA        12 52 53.6
    Dec       +34 21 39
    Dist      86.90
    Class     "L2 V"
    AppMagni  20.54
    AppMagnJ  16.27
    AppMagnH  15.26
    AppMagnKs 14.68
}

Star "DENIS-P 12531-57092/DENIS-P J1253108-570924/2MASS J12531092-5709248"
{
    RA        12 53 10.9
    Dec       -57  9 25
    Dist      16.65
    Class     "L0.5 V"
    AppMagnI  16.71
    AppMagnJ  13.45
    AppMagnH  12.67
    AppMagnKs 12.05
    MassSol   0.0741195
}

Star "SDSS 12543+29383/SDSS J125437.60+293832.6/2MASS J12543762+2938328"
{
    RA        12 54 37.6
    Dec       +29 38 33
    Dist      60.30
    Class     "L0 V"
    AppMagnr  21.99
    AppMagni  19.6
    AppMagnJ  15.46
    AppMagnH  14.6
    AppMagnKs 14.18
}

Star "WISE 12544-07282/WISE J125448.52-072828.4"
{
    RA        12 54 48.5
    Dec       -07 28 28
    Dist      19.00
    Class     "T7 V"
    AppMagnJ  17.3
    AppMagnH  17.63
    AppMagnW1 17.21
    AppMagnW2 14.85
    AppMagnW3 12.14
}

Star "SDSSp 12545-01224/SDSSp J125453.90-012247.4/2MASS J12545393-0122474"
{
    RA        12 54 53.9
    Dec       -01 22 47
    Dist      11.78
    Class     "T2 V"
    AppMagnr  24.06
    AppMagnI  19.76
    AppMagnJ  14.89
    AppMagnH  14.09
    AppMagnKs 13.84
    AppMagnK  13.88
    AppMagnW1 13.33
    AppMagnW2 12.4
    AppMagnW3 10.89
    Teff      1200
}

Star "SDSS 12545+26310/SDSS J125459.33+263107.2"
{
    RA        12 54 59.3
    Dec       +26 31  7
    Dist      46.60
    Class     "L1 V"
    AppMagni  20.78
    AppMagnJ  16.83
    AppMagnH  15.56
    AppMagnKs 15.33
}

Star "SDSS 12555+17005/SDSS J125550.62+170059.7"
{
    RA        12 55 50.6
    Dec       +17  0 60
    Dist      67.80
    Class     "L0 V"
    AppMagni  20.45
    AppMagnJ  16.19
    AppMagnH  15.35
    AppMagnKs 15.01
}

Star "SSSPM J1256-1408/2MASS J12561405-1408396"
{
    RA        12 56 14.1
    Dec       -14  8 40
    Dist      53.30
    Class     "L V"      //Unknown
    AppMagnJ  14.01
    AppMagnH  13.62
    AppMagnKs 13.44
}

Star "2MASS 12561-76413/2MASS J12561816-7641340"           //Unconfirmed
{
    RA        12 56 18.2
    Dec       -76 41 34
    Dist      85.66
    Class     "M7 V"
    AppMagnJ  15.48
    AppMagnH  14.54
    AppMagnKs 14.09
}

Star "SDSS 12563-02245/SDSS J125637.13-022452.4/2MASS J12563716-0224522"
{
    RA        12 56 37.2
    Dec       -02 24 52
    Dist      90.09
    Class     "L4 V"
    AppMagnJ  16.1
    AppMagnH  15.79
    AppMagnKs 15.44
    AppMagnW1 15.21
    AppMagnW2 15.01
}

Star "DENIS-P 12565+01461/DENIS-P J1256569+014616/2MASS J12565688+0146163"
{
    RA        12 56 56.9
    Dec       +01 46 16
    Dist      17.40
    Class     "L2 V"
    AppMagnI  18.2
    AppMagnJ  14.48
    AppMagnH  13.52
    AppMagnKs 12.79
    AppMagnK  12.94
    AppMagnW1 12.33
    AppMagnW2 12.04
    AppMagnW3 11.52
}

Star "ULAS 12570+11085/ULAS J125708.07+110850.4"
{
    RA        12 57  8.1
    Dec       +11  8 50
    Dist      67.00
    Class     "T4.5 V"
    AppMagnJ  18.39
    AppMagnH  18.51
}

Star "WISEP 12571+40085/WISEP J125715.90+400854.2"
{
    RA        12 57 15.9
    Dec       +40  8 54
    Dist      19.00
    Class     "T7 V"
    AppMagnJ  17.23
    AppMagnH  16.96
    AppMagnKs 17
    AppMagnW1 16.74
    AppMagnW2 14.47
    AppMagnW3 12.40
}

Star "SDSSp 12573-01133/SDSSp J125737.26-011336.1/2MASS J12573726-0113360"
{
    RA        12 57 37.3
    Dec       -01 13 36
    Dist      25.40
    Class     "L4 V"
    AppMagnr  22.94
    AppMagni  20.76
    AppMagnJ  15.94
    AppMagnH  14.72
    AppMagnKs 14.12
    AppMagnK  14.06
    AppMagnW1 13.49
    AppMagnW2 13.18
    AppMagnW3 11.86
}

Star "VHS 12580-44123/VHS J12580489-4412324"
{
    RA        12 58  4.9
    Dec       -44 12 32
    Dist      14.45
    Class     "T6 V"
    AppMagnJ  16
    AppMagnKs 16.16
    AppMagnW1 15.74
    AppMagnW2 14
}

Star "2MASS 12585-72280/2MASS J12585142-7228055"           //Unconfirmed
{
    RA        12 58 51.4
    Dec       -72 28  6
    Dist      67.60
    Class     "M8 V"
    AppMagnJ  15.2
    AppMagnH  14.54
    AppMagnKs 14.1
}

Star "2MASS 13004+19123/2MASS J13004255+1912354"
{
    RA        13  0 42.6
    Dec       +19 12 35
    Dist      13.90
    Class     "L1 V"
    AppMagnJ  12.72
    AppMagnH  12.08
    AppMagnKs 11.62
    Teff      2200
    Radius    40548.38
}

Star "WISEP 13014-03021/WISEP J130141.62-030212.9"
{
    RA        13  1 41.6
    Dec       -03  2 13
    Dist      13.00
    Class     "T8.5 V"
    AppMagnJ  18
    AppMagnH  18.39
    AppMagnW1 18.06
    AppMagnW2 14.95
    AppMagnW3 12.24
}

Star "SDSS 13014+58410/SDSS J130148.19+584104.1"
{
    RA        13  1 48.2
    Dec       +58 41  4
    Dist      66.00
    Class     "L1 V"
    AppMagni  20.26
    AppMagnJ  16.1
    AppMagnH  15.45
    AppMagnKs 14.86
}

Star "2MASS 13015-15102/2MASS J13015465-1510223"
{
    RA        13  1 54.7
    Dec       -15 10 22
    Dist      32.00
    Class     "L1 V"
    AppMagnJ  14.54
    AppMagnH  13.67
    AppMagnKs 13.1
    AppMagnW1 12.79
    AppMagnW2 12.52
    AppMagnW3 11.96
}

Star "ULAS 13021+13085/ULAS J130217.21+130851.2"
{
    RA        13  2 17.2
    Dec       +13  8 51
    Dist      15.38
    Class     "T8.5 V"
    AppMagnJ  18.11
    AppMagnH  18.6
    AppMagnKs 18.28
    AppMagnW1 17.94
    AppMagnW2 14.9
    AppMagnW3 11.96
    Teff      675
    MassSol   0.0095025
}

Star "SDSS 13023+51260/SDSS J130234.70+512600.8/2MASS J13023465+5126012"
{
    RA        13  2 34.7
    Dec       +51 26  1
    Dist      33.50
    Class     "L0 V"
    AppMagnr  22.73
    AppMagni  20.04
    AppMagnJ  15.54
    AppMagnH  15.02
    AppMagnKs 14.37
}

Star "SDSS 13025+56403/SDSS J130250.94+564037.8"
{
    RA        13  2 50.9
    Dec       +56 40 38
    Dist      75.60
    Class     "L0 V"
    AppMagni  20.55
    AppMagnJ  16.14
    AppMagnH  15.49
    AppMagnKs 14.99
}

Star "ULAS 13030+00162/ULAS J130303.54+001627.7"
{
    RA        13  3  3.5
    Dec       +00 16 28
    Dist      67.00
    Class     "T5.5 V"
    AppMagnJ  19.02
    AppMagnH  19.49
    AppMagnKs 20.1
}

Star "SDSS 13031+18152/SDSS J130317.69+181522.0"
{
    RA        13  3 17.7
    Dec       +18 15 22
    Dist      82.60
    Class     "L0 V"
    AppMagni  20.59
    AppMagnJ  16.31
    AppMagnH  15.37
    AppMagnKs 15.04
}

Star "ULAS J1303+1346"
{
    RA        13  3 18.3
    Dec       +13 56 46
    Dist      73.00
    Class     "T4 V"
    AppMagnJ  18.51
    AppMagnH  18.53
    AppMagnKs 18.58
    AppMagnK  19.33
}

Star "SDSS 13043+09070/SDSS J130433.16+090706.9/2MASS J13043318+0907070"
{
    RA        13  4 33.2
    Dec       +09  7  7
    Dist      38.20
    Class     "L0 V"
    AppMagnr  21.32
    AppMagni  19.11
    AppMagnJ  15.29
    AppMagnH  14.57
    AppMagnKs 13.95
}

Star "WISP 1305-2538"
{
    RA        13  5 25.5
    Dec       -25 38 29
    Dist      50.00
    Class     "Y0 V"
    AppMagnJ  22.33
    Teff      525
}

Star "Cha 13054-77395/Cha 130540-773958"
{
    RA        13  5 40.8
    Dec       -77 39 58
    Dist      129.00
    Class     "L1 V"
    AppMagnI  22.16
    AppMagnJ  17.75
    AppMagnH  16.71
    AppMagnKs 15.77
}

Star "SDSS 13054+20463/SDSS J130541.04+204639.8/2MASS J13054106+2046394"
{
    RA        13  5 41.1
    Dec       +20 46 39
    Dist      20.60
    Class     "L4 V"
    AppMagni  20.11
    AppMagnJ  15.2
    AppMagnH  14.04
    AppMagnKs 13.37
}

Star "2MASS 13060-48153/2MASS J13060381-4815328"
{
    RA        13  6  3.8
    Dec       -48 15 33
    Dist      54.52
    Class     "L0 V"
    AppMagnI  18.81
    AppMagnJ  15.45
    AppMagnH  14.77
    AppMagnKs 14.1
}

Star "SDSS 13061+38202/SDSS J130617.23+382029.6/2MASS J13061727+3820296"
{
    RA        13  6 17.3
    Dec       +38 20 30
    Dist      34.00
    Class     "L0 V"
    AppMagni  19.13
    AppMagnJ  14.63
    AppMagnH  13.8
    AppMagnKs 13.22
}

Star "2MASS 13080-49255/2MASS J13080663-4925505"           //Unconfirmed
{
    RA        13  8  6.6
    Dec       -49 25 51
    Dist      27.50
    Class     "M8.5 V"
    AppMagnJ  13.52
    AppMagnH  12.86
    AppMagnKs 12.41
}

Star "2MASS 13081+61034/2MASS J13081228+6103486"
{
    RA        13  8 12.3
    Dec       +61  3 49
    Dist      78.00
    Class     "L2 V"
    AppMagni  21.42
    AppMagnJ  16.67
    AppMagnH  16.16
    AppMagnKs 15.49
}

Star "SDSS 13083+08185/SDSS J130831.01+081852.3/2MASS J13083106+0818522"
{
    RA        13  8 31.1
    Dec       +08 18 52
    Dist      59.40
    Class     "L0 V"
    AppMagnr  21.93
    AppMagni  19.6
    AppMagnJ  15.13
    AppMagnH  14.35
    AppMagnKs 13.85
}

Star "SDSS 13100+05540/SDSS J131002.88+055404.2/2MASS J13100288+0554042"
{
    RA        13 10  2.9
    Dec       +05 54  4
    Dist      72.20
    Class     "L0 V"
    AppMagnr  23.02
    AppMagni  20.1
    AppMagnJ  16.08
    AppMagnH  15.4
    AppMagnKs 14.78
}

Star "WISEPC 13110+01225/WISEPC J131106.24+012252.4"
{
    RA        13 11  6.1
    Dec       +01 23  3
    Dist      16.13
    Class     "T9 V"
    AppMagnJ  18.75
    AppMagnH  19.09
    AppMagnK  18.30
    AppMagnW1 18.06
    AppMagnW2 14.73
    AppMagnW3 12.32
    Teff      641
    Radius    61521.68
    MassSol   0.02565675
}

Star "SDSS 13111+24010/SDSS J131113.82+240105.0"
{
    RA        13 11 13.8
    Dec       +24  1  5
    Dist      57.90
    Class     "L3 V"
    AppMagni  20.73
    AppMagnJ  16.19
    AppMagnH  15.69
    AppMagnKs 14.79
}

Star "SDSS 13114+36292/SDSS J131142.11+362923.9/2MASS J13114227+3629235"
{
    RA        13 11 42.3
    Dec       +36 29 24
    Dist      26.40
    Class     "L5 V"
    AppMagnr  23.09
    AppMagni  20.5
    AppMagnJ  15.55
    AppMagnH  14.75
    AppMagnKs 14.14
    AppMagnW1 13.5
    AppMagnW2 13.07
    AppMagnW3 12.52
}

Star "SDSS 13120+39374/SDSS J131207.01+393744.5/2MASS J13120707+3937445"
{
    RA        13 12  7.1
    Dec       +39 37 45
    Dist      25.90
    Class     "L0 V"
    AppMagnJ  14.17
    AppMagnH  13.41
    AppMagnKs 12.95
}

Star "SDSS 13122+29093/SDSS J131221.79+290935.0"
{
    RA        13 12 21.8
    Dec       +29  9 35
    Dist      34.90
    Class     "L0 V"
    AppMagni  19.89
    AppMagnJ  15.33
    AppMagnH  14.78
    AppMagnKs 14.3
}

Star "SDSS 13122+49312/SDSS J131223.11+493126.3/2MASS J13122313+4931263"
{
    RA        13 12 23.1
    Dec       +49 31 26
    Dist      62.10
    Class     "L0 V"
    AppMagnr  23.1
    AppMagni  20.35
    AppMagnJ  16.2
    AppMagnH  15.43
    AppMagnKs 14.99
}

Star "SDSSp 13141-00084/SDSSp J131415.52-000848.1/2MASS J13141551-0008480"
{
    RA        13 14 15.5
    Dec      -0.146667
    Dist      57.00
    Class     "L3.5 V"
    AppMagnJ  16.62
    AppMagnH  16.17
    AppMagnKs 15.3
    AppMagnK  15.28
}

Star "2MASS 13142+13200/2MASS J13142039+1320011"           //Unconfirmed
{
    RA        13 14 20.4
    Dec       +13 20  1
    Dist      16.40
    Class     "M7 V"
    AppMagn   15.9
    AppMagnR  14.9
    AppMagnI  11.4
    AppMagnJ  9.75
    AppMagnH  9.18
    AppMagnKs 8.8
    AppMagnK  8.79
}

Star "SDSS 13144+24053/SDSS J131448.64+240532.1"
{
    RA        13 14 48.6
    Dec       +24  5 32
    Dist      101.30
    Class     "L3 V"
    AppMagni  20.54
    AppMagnJ  16.68
    AppMagnH  15.64
    AppMagnKs 15.4
}

Star "ULAS 13150+08262/ULAS J131508.42+082627.4"
{
    RA        13 15  8.4
    Dec       +08 26 27
    Dist      23.36
    Class     "T7.5 V"
    AppMagnJ  18.86
    AppMagnH  19.5
    AppMagnKs 19.6
    Teff      608
    Radius    67114.56
}

Star "SDSS 13154+23345/SDSS J131543.68+233458.0"
{
    RA        13 15 43.7
    Dec       +23 34 58
    Dist      50.70
    Class     "L1 V"
    AppMagni  20.29
    AppMagnJ  15.81
    AppMagnH  15.04
    AppMagnKs 14.77
}

Star "2MASS 13154-59084/2MASS J13154386-5908428"
{
    RA        13 15 43.9
    Dec       -59  8 43
    Dist      49.53
    Class     "M9.5 V"
    AppMagnI  19
    AppMagnJ  15.04
    AppMagnH  14.49
    AppMagnKs 13.91
}

Star "SDSS 13154+24540/SDSS J131545.55+245407.3"
{
    RA        13 15 45.6
    Dec       +24 54  7
    Dist      51.10
    Class     "L0 V"
    AppMagni  19.84
    AppMagnJ  15.54
    AppMagnH  14.77
    AppMagnKs 14.36
}

Star "SDSS 13161+21332/SDSS J131614.35+213329.9"
{
    RA        13 16 14.4
    Dec       +21 33 30
    Dist      64.80
    Class     "L0 V"
    AppMagni  20.84
    AppMagnJ  16.21
    AppMagnH  15.53
    AppMagnKs 14.96
}

Star "WISEP 13183-17582/WISEP J131833.98-175826.5"
{
    RA        13 18 34.0
    Dec       -17 58 27
    Dist      10.10
    Class     "T9 V"
    AppMagnJ  18.43
    AppMagnH  17.71
    AppMagnKs 17.67
    AppMagnW1 18.1
    AppMagnW2 14.75
    AppMagnW3 12.43
    Teff      525
}

Star "SDSS 13183+21304/SDSS J131839.06+213043.0"
{
    RA        13 18 39.1
    Dec       +21 30 43
    Dist      58.00
    Class     "L0 V"
    AppMagni  20.64
    AppMagnJ  16.44
    AppMagnH  15.5
    AppMagnKs 15.04
}

Star "ULAS 13194+12090/ULAS J131943.77+120900.2"
{
    RA        13 19 43.8
    Dec       +12  9  0
    Dist      75.00
    Class     "T5 V"
    AppMagnJ  18.9
    AppMagnH  18.9
    AppMagnKs 19.41
}

Star "WISEPC 13200+60342/WISEPC J132004.16+603426.2"
{
    RA        13 20  4.2
    Dec       +60 34 26
    Dist      17.20
    Class     "T6.5 V"
    AppMagnJ  16.5
    AppMagnH  16.72
    AppMagnKs 16.4
    AppMagnW1 16.61
    AppMagnW2 14.49
    AppMagnW3 12.42
    Teff      975
}

Star "2MASS 13201-48421/2MASS J13201384-4842117"           //Unconfirmed
{
    RA        13 20 13.8
    Dec       -48 42 12
    Dist      71.37
    Class     "M7.5 V"
    AppMagnI  18.37
    AppMagnJ  15.24
    AppMagnH  14.46
    AppMagnKs 14
}

Star "ULAS 13204+10291/ULAS J132048.12+102910.6"
{
    RA        13 20 48.1
    Dec       +10 29 11
    Dist      46.00
    Class     "T5 V"
    AppMagnJ  17.82
    AppMagnH  17.89
    AppMagnKs 18.17
}

Star "WISEPA 13223-23401/WISEPA J132233.66-234017.1"
{
    RA        13 22 33.7
    Dec       -23 40 17
    Dist      10.40
    Class     "T8 V"
    AppMagnJ  17.01
    AppMagnH  16.61
    AppMagnKs 16.99
    AppMagnW1 17.19
    AppMagnW2 13.88
    AppMagnW3 12.70
    Teff      675
}

Star "DENIS-P 13233-18063/DENIS-P J132335.9-180638/2MASS J13233597-1806379"
{
    RA        13 23 36.0
    Dec       -18  6 38
    Dist      43.00
    Class     "L0 V"
    AppMagnI  18.6
    AppMagnJ  14.9
    AppMagnH  14.19
    AppMagnKs 13.66
    AppMagnK  14.17
}

Star "PSO J201.0320+19.1072"
{
    RA        13 24  7.7
    Dec       +19  6 26
    Dist      20.00
    Class     "T3.5 V"
    AppMagnJ  15.77
    AppMagnH  15.47
    AppMagnKs 15.41
}

Star "SDSS 13251+05170/SDSS J132511.10+051704.2"
{
    RA        13 25 11.1
    Dec       +05 17  4
    Dist      45.50
    Class     "L1 V"
    AppMagni  19.64
    AppMagnJ  15.09
    AppMagnH  14.52
    AppMagnKs 13.91
}

Star "ULAS 13260+12000/ULAS J132605.18+120009.9"
{
    RA        13 26  5.2
    Dec       +12  0 10
    Dist      32.90
    Class     "T6 V"
    AppMagnJ  17.5
    AppMagnH  17.93
    AppMagnKs 17.58
    AppMagnW1 16.97
    AppMagnW2 15.38
    Teff      975
}

Star "2MASSW 13262-27293/2MASSW J1326201-272937/2MASS J13262009-2729370"
{
    RA        13 26 20.1
    Dec       -27 29 37
    Dist      24.00
    Class     "L5 V"
    AppMagnJ  15.85
    AppMagnH  14.74
    AppMagnKs 13.85
    AppMagnW1 12.86
    AppMagnW2 12.33
    AppMagnW3 11.28
}

Star "SDSSp 13262-00383/SDSSp J132629.82-003831.5/2MASS J13262981-0038314"
{
    RA        13 26 29.8
    Dec      -0.641944
    Dist      20.01
    Class     "L8 V"
    AppMagnJ  16.1
    AppMagnH  15.05
    AppMagnKs 14.21
    AppMagnK  14.16
    AppMagnW1 13.27
    AppMagnW2 12.72
    AppMagnW3 11.82
}

Star "2MASS 13265-50222/2MASS J13265348-5022270"           //Unconfirmed
{
    RA        13 26 53.5
    Dec       -50 22 27
    Dist      45.10
    Class     "M9 V"
    AppMagnR  20.3
    AppMagnI  17.97
    AppMagnJ  14.72
    AppMagnH  13.98
    AppMagnKs 13.4
}

Star "SDSS 13271+07593/SDSS J132715.21+075937.5/2MASS J13271524+0759375"
{
    RA        13 27 15.2
    Dec       +07 59 38
    Dist      38.70
    Class     "L1 V"
    AppMagnr  21.85
    AppMagni  19.17
    AppMagnJ  14.6
    AppMagnH  13.79
    AppMagnKs 13.24
}

Star "SDSS 13285+21144/SDSS J132855.13+211446.0/2MASS J13285503+2114486"
{
    RA        13 28 55.0
    Dec       +21 14 49
    Dist      32.26
    Class     "L5 V"
    AppMagnR  22.48
    AppMagnI  20.07
    AppMagnJ  16.19
    AppMagnH  15
    AppMagnKs 14.27
    AppMagnK  14.13
    AppMagnW2 13.38
}

Star "SDSS 13292+53173/SDSS J132926.03+531733.9/2MASS J13292602+5317344"
{
    RA        13 29 26.0
    Dec       +53 17 34
    Dist      81.00
    Class     "L1 V"
    AppMagnJ  16.82
    AppMagnH  15.59
    AppMagnKs 15.62
}

Star "SDSS 13293+03572/SDSS J132937.21+035729.6/2MASS J13293723+0357297"
{
    RA        13 29 37.2
    Dec       +03 57 30
    Dist      49.70
    Class     "L0 V"
    AppMagnr  22.91
    AppMagni  20.2
    AppMagnJ  16.04
    AppMagnH  15.15
    AppMagnKs 15.05
}

Star "SDSS 13301+14111/SDSS J133010.03+141113.3"
{
    RA        13 30 10.0
    Dec       +14 11 13
    Dist      60.30
    Class     "L0 V"
    AppMagni  20.44
    AppMagnJ  16.44
    AppMagnH  15.76
    AppMagnKs 15.21
}

Star "SDSS 13313+62330/SDSS J133132.83+623301.4/2MASS J13313281+6233014"
{
    RA        13 31 32.8
    Dec       +62 33  1
    Dist      75.00
    Class     "L0 V"
    AppMagnr  22.72
    AppMagni  20.22
    AppMagnJ  16.18
    AppMagnH  15.41
    AppMagnKs 15.13
}

Star "SDSS 13313+34075/SDSS J133132.98+340757.5/2MASS J13313310+3407583"
{
    RA        13 31 33.1
    Dec       +34  7 58
    Dist      23.00
    Class     "L0 V"
    AppMagni  18.55
    AppMagnJ  14.33
    AppMagnH  13.4
    AppMagnKs 12.89
}

Star "SDSS 13314-01165/SDSS J133148.92-011651.4/2MASS J13314894-0116500"
{
    RA        13 31 48.9
    Dec       -01 16 50
    Dist      14.86
    Class     "L6 V"
    AppMagnr  22.78
    AppMagni  20.69
    AppMagnJ  15.46
    AppMagnH  14.48
    AppMagnKs 14.07
    AppMagnW1 13.41
    AppMagnW2 13.12
    AppMagnW3 12.26
    Teff      1900
    Radius    69911
}

Star "SDSS 13322+26350/SDSS J133228.52+263508.0/2MASS J13322863+2635079"
{
    RA        13 32 28.6
    Dec       +26 35  8
    Dist      46.00
    Class     "L2 V"
    AppMagnJ  16.08
    AppMagnH  15.12
    AppMagnKs 14.35
}

Star "SDSS 13325+32581/SDSS J133257.73+325813.1/2MASS J13325777+3258135"
{
    RA        13 32 57.8
    Dec       +32 58 14
    Dist      84.00
    Class     "L0 V"
    AppMagnJ  16.57
    AppMagnH  15.49
    AppMagnKs 15.33
}

Star "SDSS 13331+15095/SDSS J133312.79+150956.6"
{
    RA        13 33 12.8
    Dec       +15  9 57
    Dist      85.30
    Class     "L0 V"
    AppMagni  19.77
    AppMagnJ  15.84
    AppMagnH  15.28
    AppMagnKs 15.09
}

Star "SDSS 13334-02160/SDSS J133345.36-021600.2"
{
    RA        13 33 45.4
    Dec       -02 16  0
    Dist      33.00
    Class     "L3 V"
    AppMagni  19.65
    AppMagnJ  15.38
    AppMagnH  14.37
    AppMagnKs 13.85
}

Star "SDSS 13340+19403/SDSS J133406.17+194035.8/2MASS J13340623+1940351"
{
    RA        13 34  6.2
    Dec       +19 40 35
    Dist      30.00
    Class     "L1.5 V"
    AppMagni  19.88
    AppMagnI  18.76
    AppMagnJ  15.48
    AppMagnH  14.83
    AppMagnKs 14
    AppMagnW1 13.68
    AppMagnW2 13.39
    AppMagnW3 12.21
}

Star "SDSS 13350+43172/SDSS J133506.46+431725.1/2MASS J13350647+4317245"
{
    RA        13 35  6.5
    Dec       +43 17 25
    Dist      50.20
    Class     "L0 V"
    AppMagnr  24.18
    AppMagni  20.62
    AppMagnJ  16.45
    AppMagnH  16.2
    AppMagnKs 15.38
}

Star "ULAS 13355+11300/ULAS J133553.45+113005.2"
{
    RA        13 35 53.5
    Dec       +11 30  5
    Dist      10.34
    Class     "T8.5 V"
    AppMagnJ  17.9
    AppMagnH  18.25
    AppMagnKs 18.28
    AppMagnK  18.28
    AppMagnW1 16.89
    AppMagnW2 13.84
    AppMagnW3 12.21
    Teff      525
    Radius    85990.53
    MassSol   0.01235325
}

Star "SDSS 13364+37432/SDSS J133640.53+374322.6/2MASS J13364062+3743230"
{
    RA        13 36 40.6
    Dec       +37 43 23
    Dist      26.00
    Class     "L1 V"
    AppMagni  18.72
    AppMagnJ  14.41
    AppMagnH  13.63
    AppMagnKs 13.1
}

Star "SDSS 13373+49383/SDSS J133731.17+493836.8/2MASS J13373116+4938367"
{
    RA        13 37 31.2
    Dec       +49 38 37
    Dist      22.00
    Class     "L0 V"
    AppMagnJ  13.77
    AppMagnH  13.04
    AppMagnKs 12.58
}

Star "WISEP 13375+26364/WISEP J133750.46+263648.6"
{
    RA        13 37 50.5
    Dec       +26 36 49
    Dist      24.00
    Class     "T5 V"
    AppMagnJ  16.67
    AppMagnH  16.12
    AppMagnKs 16.97
    AppMagnW1 16.31
    AppMagnW2 14.62
    AppMagnW3 12.22
}

Star "2MASSW 13382+41403/2MASSW J1338261+414034/2MASS J13382615+4140342"
{
    RA        13 38 26.2
    Dec       +41 40 34
    Dist      22.20
    Class     "L2.5 V"
    AppMagnI  17.6
    AppMagnJ  14.22
    AppMagnH  13.31
    AppMagnKs 12.77
}

Star "SDSS 13384+04373/SDSS J133849.45+043731.2/2MASS J13384944+0437315"
{
    RA        13 38 49.4
    Dec       +04 37 32
    Dist      31.50
    Class     "L1 V"
    AppMagni  18.53
    AppMagnJ  14.16
    AppMagnH  13.25
    AppMagnKs 12.74
}

Star "2MASS 13411-30525/2MASS J13411160-3052505"
{
    RA        13 41 11.6
    Dec       -30 52 51
    Dist      24.00
    Class     "L2 V"
    AppMagnJ  14.61
    AppMagnH  13.73
    AppMagnKs 13.08
    AppMagnW1 12.74
    AppMagnW2 12.39
    AppMagnW3 11.95
}

Star "SDSS 13414+55104/SDSS J134148.85+551046.2"
{
    RA        13 41 48.9
    Dec       +55 10 46
    Dist      24.50
    Class     "L1 V"
    AppMagni  19.74
    AppMagnJ  15.21
    AppMagnH  14.39
    AppMagnKs 14.04
}

Star "SDSS 13420+13402/SDSS J134203.11+134022.2/2MASS J13420311+1340222"
{
    RA        13 42  3.1
    Dec       +13 40 22
    Dist      40.00
    Class     "L5.5 V"
    AppMagnJ  16.76
    AppMagnH  15.71
    AppMagnKs 15.11
    AppMagnW1 14.52
    AppMagnW2 13.87
    AppMagnW3 11.35
}

Star "SDSS 13422+17515/SDSS J134223.57+175155.6/2MASS J13422362+1751558"
{
    RA        13 42 23.6
    Dec       +17 51 56
    Dist      54.00
    Class     "L2.5 V"
    AppMagnI  19.81
    AppMagnJ  16.14
    AppMagnH  15.05
    AppMagnKs 14.59
}

Star "SDSS 13422+60373/SDSS J134224.93+603731.5/2MASS J13422494+6037314"
{
    RA        13 42 24.9
    Dec       +60 37 32
    Dist      105.80
    Class     "L0 V"
    AppMagnr  23.98
    AppMagni  20.83
    AppMagnJ  16.36
    AppMagnH  15.64
    AppMagnKs 15.51
}

Star "SDSS 13422-00270/SDSS J134228.41-002705.6/2MASS J13422841-0027055"
{
    RA        13 42 28.4
    Dec      -0.451667
    Dist      58.70
    Class     "L0 V"
    AppMagnr  22.2
    AppMagni  19.7
    AppMagnJ  15.59
    AppMagnH  14.88
    AppMagnKs 14.3
}

Star "SDSS 13431+39450/SDSS J134316.54+394509.2/2MASS J13431670+3945087"
{
    RA        13 43 16.7
    Dec       +39 45  9
    Dist      27.00
    Class     "L5 V"
    AppMagni  21.3
    AppMagnI  19.8
    AppMagnJ  16.16
    AppMagnH  14.86
    AppMagnKs 14.15
    AppMagnW1 13.23
    AppMagnW2 12.84
    AppMagnW3 12.28
}

Star "SDSS 13432-03010/SDSS J134322.51-030100.2"
{
    RA        13 43 22.5
    Dec       -03  1  0
    Dist      46.10
    Class     "L0 V"
    AppMagni  20.39
    AppMagnJ  16.13
    AppMagnH  15.44
    AppMagnKs 15.03
}

Star "SDSS 13432+13122/SDSS J134329.01+131226.2"
{
    RA        13 43 29.0
    Dec       +13 12 26
    Dist      90.30
    Class     "L1 V"
    AppMagni  20.29
    AppMagnJ  16.02
    AppMagnH  15.44
    AppMagnKs 14.89
}

Star "SDSS 13433-02204/SDSS J134338.73-022044.5/2MASS J13433872-0220446"
{
    RA        13 43 38.7
    Dec       -02 20 45
    Dist      84.90
    Class     "L1 V"
    AppMagnr  22.92
    AppMagni  20.37
    AppMagnJ  16.3
    AppMagnH  15.53
    AppMagnKs 15.02
}

Star "SDSS 13451-02551/SDSS J134515.82-025514.4/2MASS J13451581-0255140"
{
    RA        13 45 15.8
    Dec       -02 55 14
    Dist      51.80
    Class     "L0 V"
    AppMagnr  23.6
    AppMagni  20.3
    AppMagnJ  16.09
    AppMagnH  15.29
    AppMagnKs 14.88
}

Star "SDSS 13452+52163/SDSS J134525.57+521634.0/2MASS J13452562+5216337"
{
    RA        13 45 25.6
    Dec       +52 16 34
    Dist      69.00
    Class     "L3.5 V"
    AppMagnJ  16.95
    AppMagnH  16.26
    AppMagnKs 15.35
}

Star "SDSS 13454+65421/SDSS J134544.36+654217.9/2MASS J13454441+6542178"
{
    RA        13 45 44.4
    Dec       +65 42 18
    Dist      54.50
    Class     "L1 V"
    AppMagnr  22.36
    AppMagni  20.04
    AppMagnJ  15.87
}

Star "SDSS 13460+08423/SDSS J134607.41+084234.5/2MASS J13460746+0842346"
{
    RA        13 46  7.5
    Dec       +08 42 35
    Dist      50.80
    Class     "L2 V"
    AppMagnr  22.53
    AppMagni  20.04
    AppMagnJ  15.74
    AppMagnH  14.79
    AppMagnKs 14.16
}

Star "SDSSp 13464-00315/SDSSp J134646.45-003150.4/2MASS J13464634-0031501"
{
    RA        13 46 46.3
    Dec      -0.530556
    Dist      14.64
    Class     "T7 V"
    AppMagnI  21.03
    AppMagnJ  15.64
    AppMagnH  15.97
    AppMagnKs 15.77
    AppMagnK  15.96
    AppMagnW1 15.41
    AppMagnW2 13.56
    AppMagnW3 11.99
    Teff      990
    Radius    60822.57
    MassSol   0.0437115
}

Star "WISEPC 13480+66032/WISEPC J134806.99+660327.8"
{
    RA        13 48  7.0
    Dec       +66  3 28
    Dist      27.90
    Class     "L9 V"
    AppMagnJ  17.17
    AppMagnH  15.84
    AppMagnKs 15.55
    AppMagnW1 14.44
    AppMagnW2 13.75
    AppMagnW3 12.72
}

Star "SDSS 13484+03535/SDSS J134845.94+035354.2/2MASS J13484591+0353545"
{
    RA        13 48 45.9
    Dec       +03 53 55
    Dist      24.40
    Class     "L0 V"
    AppMagni  19.05
    AppMagnJ  14.63
    AppMagnH  13.76
    AppMagnKs 13.23
}

Star "SDSS 13492+50495/SDSS J134925.25+504954.5/2MASS J13492525+5049544"
{
    RA        13 49 25.3
    Dec       +50 49 55
    Dist      32.30
    Class     "L0 V"
    AppMagnr  21.88
    AppMagni  19.14
    AppMagnJ  14.72
    AppMagnH  13.97
    AppMagnKs 13.57
}

Star "ULAS 13494+09183/ULAS J134940.81+091833.3"
{
    RA        13 49 40.8
    Dec       +09 18 33
    Dist      47.20
    Class     "T7 V"
    AppMagnJ  19.16
    AppMagnH  19.43
    AppMagnKs 19.37
    Teff      825
}

Star "SDSS 13523+32400/SDSS J135238.65+324002.4"
{
    RA        13 52 38.7
    Dec       +32 40  2
    Dist      48.40
    Class     "L0 V"
    AppMagni  20.44
    AppMagnJ  16.05
    AppMagnH  15.29
    AppMagnKs 14.99
}

Star "WISE 13530-08571/WISE J135307.51-085712.0"
{
    RA        13 53  7.5
    Dec       -08 57 12
    Dist      44.00
    Class     "L0 V"
    AppMagnJ  15.04
    AppMagnH  4.45
    AppMagnKs 14.07
    AppMagnW1 13.73
    AppMagnW2 13.35
    AppMagnW3 12.24
}

Star "SDSS 13543+50445/SDSS J135439.54+504451.0"
{
    RA        13 54 39.5
    Dec       +50 44 51
    Dist      22.70
    Class     "L1 V"
    AppMagni  18.68
    AppMagnJ  14.35
    AppMagnH  13.58
    AppMagnKs 13.16
}

Star "ULAS 13560+08534/ULAS J135607.41+085345.2"
{
    RA        13 56  7.4
    Dec       +08 53 45
    Dist      53.00
    Class     "T5 V"
    AppMagnJ  18.04
    AppMagnH  18.19
    AppMagnKs 18.22
}

Star "SDSS 13571+14283/SDSS J135712.40+142839.8/2MASS J13571237+1428398"
{
    RA        13 57 12.4
    Dec       +14 28 40
    Dist      32.00
    Class     "L3 V"
    AppMagni  20.12
    AppMagnJ  15.58
    AppMagnH  14.65
    AppMagnKs 13.88
}

Star "WISE 13580+14582/WISE J135803.55+145822.7/2MASS J13580384+1458204"
{
    RA        13 58  3.8
    Dec       +14 58 20
    Dist      43.00
    Class     "L4 V"
    AppMagnJ  16.37
    AppMagnH  15.25
    AppMagnKs 14.66
    AppMagnW1 13.98
    AppMagnW2 13.57
    AppMagnW3 13.04
}

Star "2MASS 13580-59464/2MASS J13580761-5946451"           //Unconfirmed
{
    RA        13 58  7.6
    Dec       -59 46 45
    Dist      74.73
    Class     "M7.5 V"
    AppMagnR  20.24
    AppMagnI  18.17
    AppMagnJ  15.25
    AppMagnH  14.27
    AppMagnKs 13.73
}

Star "SDSS 13582+42343/SDSS J135825.72+423434.4"
{
    RA        13 58 25.7
    Dec       +42 34 34
    Dist      46.90
    Class     "L0 V"
    AppMagni  20.34
    AppMagnJ  16.16
    AppMagnH  15.32
    AppMagnKs 14.9
}

Star "SDSS 13585+37471/SDSS J135852.68+374711.9/2MASS J13585269+3747137"
{
    RA        13 58 52.7
    Dec       +37 47 14
    Dist      26.00
    Class     "T4.5 V"
    AppMagnJ  16.46
    AppMagnH  16.14
    AppMagnKs 16.10
    AppMagnK  16.66
    AppMagnW1 16.12
    AppMagnW2 14.12
    AppMagnW3 12.37
}

Star "SDSS 13592+47284/SDSS J135923.99+472843.2/2MASS J13592403+4728431"
{
    RA        13 59 24.0
    Dec       +47 28 43
    Dist      28.00
    Class     "L8.5 V"
    AppMagnJ  17.16
    AppMagnH  16.05
    AppMagnKs 15.49
}

Star "DENIS-P 13595?40345/DENIS-P J1359551?403456/2MASS J13595510-4034582"
{
    RA        13 59 55.1
    Dec       -40 34 58
    Dist      15.58
    Class     "L1 V"
    AppMagnI  16.98
    AppMagnJ  13.65
    AppMagnH  13.03
    AppMagnKs 12.57
    AppMagnK  12.62
    AppMagnW1 12.18
    AppMagnW2 11.89
    AppMagnW3 11.34
}

Star "SDSS 13595+32471/SDSS J135955.19+324719.0"
{
    RA        13 59 55.2
    Dec       +32 47 19
    Dist      34.40
    Class     "L0 V"
    AppMagni  19.81
    AppMagnJ  15.58
    AppMagnH  14.82
    AppMagnKs 14.31
}

Star "SDSS 14002+43382/SDSS J140023.12+433822.3/2MASS J14002320+4338222"
{
    RA        14  0 23.2
    Dec       +43 38 22
    Dist      23.70
    Class     "L7 V"
    AppMagnJ  16.3
    AppMagnH  15.09
    AppMagnKs 14.49
}

Star "WISEP 14003-38501/WISEP J140035.40-385013.5"
{
    RA        14  0 35.4
    Dec       -38 50 14
    Dist      22.00
    Class     "T4 V"
    AppMagnJ  16.04
    AppMagnH  15.82
    AppMagnKs 16.07
    AppMagnW1 15.34
    AppMagnW2 13.75
    AppMagnW3 12.78
}

Star "SDSS 14023+01483/SDSS J140231.75+014830.3/2MASS J14023175+0148301"
{
    RA        14  2 31.8
    Dec       +01 48 30
    Dist      49.00
    Class     "L1 V"
    AppMagnr  22.33
    AppMagni  19.93
    AppMagnJ  15.45
    AppMagnH  14.65
    AppMagnKs 14.18
    AppMagnK  14.18
    AppMagnW1 13.81
    AppMagnW2 13.44
    AppMagnW3 12.31
}

Star "SDSS 14025+08005/SDSS J140255.66+080055.2/2MASS J14025564+0800553"
{
    RA        14  2 55.6
    Dec       +08  0 55
    Dist      29.00
    Class     "T1.5 V"
    AppMagnJ  16.84
    AppMagnH  15.97
    AppMagnKs 15.59
    AppMagnW1 14.93
    AppMagnW2 14.2
    AppMagnW3 12.57
}

Star "SDSS 14030+20185/SDSS J140307.47+201859.3"
{
    RA        14  3  7.5
    Dec       +20 18 59
    Dist      48.40
    Class     "L0 V"
    AppMagni  20.82
}

Star "2MASS 14031-74002/2MASS J14031649-7400220"           //Unconfirmed
{
    RA        14  3 16.5
    Dec       -74  0 22
    Dist      66.60
    Class     "M7 V"
    AppMagnI  17.79
    AppMagnJ  14.84
    AppMagnH  14.12
    AppMagnKs 13.65
}

Star "SDSS 14034+35131/SDSS J140347.84+351313.1/2MASS J14034793+3513125"
{
    RA        14  3 47.8
    Dec       +35 13 13
    Dist      83.90
    Class     "L0 V"
    AppMagnr  24.19
    AppMagni  20.54
    AppMagnJ  16.41
    AppMagnH  16.13
    AppMagnKs 15.46
}

Star "SDSS 14040+40021/SDSS J140409.90+400214.0/2MASS J14040985+4002135"
{
    RA        14  4  9.9
    Dec       +40  2 14
    Dist      57.60
    Class     "L0 V"
    AppMagnr  22.91
    AppMagni  20.84
    AppMagnH  15.87
}

Star "SDSS 14041+13392/SDSS J140412.19+133922.1/2MASS J14041220+1339222"
{
    RA        14  4 12.2
    Dec       +13 39 22
    Dist      61.30
    Class     "L0 V"
    AppMagnr  23.4
    AppMagni  20.6
    AppMagnJ  16.36
    AppMagnH  15.7
    AppMagnKs 15.04
}

Star "SDSS 14044+02355/SDSS J140441.68+023550.1/2MASS J14044167+0235501"
{
    RA        14  4 41.7
    Dec       +02 35 50
    Dist      53.00
    Class     "L1 V"
    AppMagnr  22.98
    AppMagni  20
    AppMagnJ  15.6
    AppMagnH  14.91
    AppMagnKs 14.53
    AppMagnK  14.53
    AppMagnW1 14.19
    AppMagnW2 13.89
    AppMagnW3 11.89
}

Star "SDSS 14044-02242/SDSS J140442.38-022426.0/2MASS J14044237-0224261"
{
    RA        14  4 42.4
    Dec       -02 24 26
    Dist      63.40
    Class     "L0 V"
    AppMagnr  22.79
    AppMagni  20.27
    AppMagnJ  16.19
    AppMagnH  15.44
    AppMagnKs 15
}

Star "SDSS 14044+46343/SDSS J140444.86+463430.4/2MASS J14044495+4634297"
{
    RA        14  4 45.0
    Dec       +46 34 30
    Dist      25.60
    Class     "L0 V"
    AppMagni  18.66
    AppMagnJ  14.34
    AppMagnH  13.53
    AppMagnKs 13.06
}

Star "WISEPC 14051+55342/WISEPC J140518.40+553421.4"
{
    RA        14  5 18.4
    Dec       +55 34 21
    Dist      4.83
    Class     "Y0 V"
    AppMagnJ  21.06
    AppMagnH  21.5
    AppMagnW1 18.77
    AppMagnW2 14.1
    AppMagnW3 12.2
    Teff      375
    Radius    60123.46
    MassSol   0.0285075
}

Star "WISE 14053+83503/WISE J140533.32+835030.5"
{
    RA        14  5 33.3
    Dec       +83 50 31
    Dist      9.70
    Class     "L8.5 V"
    AppMagni  20.56
    AppMagnJ  14.63
    AppMagnH  13.49
    AppMagnKs 12.85
    AppMagnW1 12.08
    AppMagnW2 11.5
    AppMagnW3 10.5
    Teff      1460
}

Star "SDSS 14060+52493/SDSS J140601.48+524930.9/2MASS J14060148+5249309"
{
    RA        14  6  1.5
    Dec       +52 49 31
    Dist      64.40
    Class     "L0 V"
    AppMagnr  21.82
    AppMagni  19.44
    AppMagnJ  15.56
    AppMagnH  14.97
    AppMagnKs 14.56
}

Star "SDSS 14063+36044/SDSS J140633.17+360449.2/2MASS J14063322+3604498"
{
    RA        14  6 33.2
    Dec       +36  4 49
    Dist      44.50
    Class     "L0 V"
    AppMagnr  23.1
    AppMagni  20.61
    AppMagnJ  16.31
    AppMagnH  15.89
    AppMagnKs 15.21
}

Star "SDSS 14075+12411/SDSS J140753.53+124110.1/2MASS J14075361+1241099"
{
    RA        14  7 53.6
    Dec       +12 41 10
    Dist      21.00
    Class     "L1 V"
    AppMagni  20.43
    AppMagnJ  15.38
    AppMagnH  14.34
    AppMagnKs 13.6
    AppMagnW1 13.05
    AppMagnW2 12.73
    AppMagnW3 11.92
}

Star "SDSS 14081+06495/SDSS J140818.89+064954.3"
{
    RA        14  8 18.9
    Dec       +06 49 54
    Dist      47.10
    Class     "L1 V"
    AppMagni  20.12
    AppMagnJ  15.79
    AppMagnH  14.92
    AppMagnKs 14.35
}

Star "2MASS 14082-58053/2MASS J14082553-5805324"
{
    RA        14  8 25.5
    Dec       -58  5 32
    Dist      29.40
    Class     "L4 V"
    AppMagnI  19.22
    AppMagnJ  15.46
    AppMagnH  14.75
    AppMagnKs 14.23
}

Star "2MASS 14082-51243/2MASS J14082596-5124389"
{
    RA        14  8 26.0
    Dec       -51 24 39
    Dist      35.32
    Class     "L2.5 V"
    AppMagnI  18.94
    AppMagnJ  15.32
    AppMagnH  14.59
    AppMagnKs 14.05
}

Star "2MASS 14083-53073/2MASS J14083421-5307378"
{
    RA        14  8 34.2
    Dec       -53  7 38
    Dist      19.71
    Class     "L5.5 V"
    AppMagnI  19.05
    AppMagnJ  15.16
    AppMagnH  14.37
    AppMagnKs 13.85
}

Star "2MASS 14090-33575/2MASS J14090310-3357565"
{
    RA        14  9  3.1
    Dec       -33 57 57
    Dist      24.00
    Class     "L2 V"
    AppMagnJ  14.25
    AppMagnH  13.42
    AppMagnKs 12.87
    AppMagnW1 12.57
    AppMagnW2 12.28
    AppMagnW3 12
}

Star "SDSS 14090+43274/SDSS J140909.45+432749.9/2MASS J14090944+4327500"
{
    RA        14  9  9.5
    Dec       +43 27 50
    Dist      46.20
    Class     "L0 V"
    AppMagnr  22.58
    AppMagni  20.15
    AppMagnJ  15.92
    AppMagnH  15.11
    AppMagnKs 14.61
}

Star "SDSS 14101+13290/SDSS J141011.14+132900.8/2MASS J14101119+1329008"
{
    RA        14 10 11.2
    Dec       +13 29  1
    Dist      57.00
    Class     "L4 V"
    AppMagnJ  16.85
    AppMagnH  15.89
    AppMagnKs 15.53
    AppMagnW1 15.17
    AppMagnW2 15.02
    AppMagnW3 12.20
}

Star "DENIS-P 14110-79153/DENIS-P J1411051-791536/2MASS J14110473-7915357"
{
    RA        14 11  4.7
    Dec       -79 15 36
    Dist      23.50
    Class     "M9 V"
    AppMagnI  16.11
    AppMagnJ  13.23
    AppMagnH  12.54
    AppMagnK  12.2
}

Star "SDSS 14111+39363/SDSS J141117.12+393636.8/2MASS J14111735+3936363"
{
    RA        14 11 17.4
    Dec       +39 36 36
    Dist      32.10
    Class     "L1.5 V"
    AppMagni  19.11
    AppMagnI  18.2
    AppMagnJ  14.64
    AppMagnH  13.77
    AppMagnKs 13.24
}

Star "2MASS 14112-21195/2MASS J14112131-2119503"
{
    RA        14 11 21.3
    Dec       -21 19 50
    Dist      15.70
    Class     "M9 V"
    AppMagnJ  12.44
    AppMagnH  11.83
    AppMagnKs 11.33
    AppMagnK  11.33
    Teff      2600
    MassSol   0.06176625
}

Star "SDSS 14113+17253/SDSS J141133.55+172530.6"
{
    RA        14 11 33.6
    Dec       +17 25 31
    Dist      58.80
    Class     "L1 V"
    AppMagni  20.51
    AppMagnJ  16.26
    AppMagnH  15.4
    AppMagnKs 14.78
}

Star "DENIS-P 14121-04335/DENIS-P J141217.1-043358/2MASS J14121709-0433582"           //Unconfirmed
{
    RA        14 12 17.1
    Dec       -04 33 58
    Dist      25.70
    Class     "L5 V"
    AppMagnI  18.78
    AppMagnJ  15.06
    AppMagnH  14.38
    AppMagnKs 13.9
}

Star "SDSS 14122+16331/SDSS J141224.49+163311.1/2MASS J14122449+1633115"
{
    RA        14 12 24.5
    Dec       +16 33 12
    Dist      25.00
    Class     "L0.5 V"
    AppMagnI  17.6
    AppMagnJ  13.89
    AppMagnH  13.15
    AppMagnKs 12.52
    AppMagnW1 12.17
    AppMagnW2 11.9
    AppMagnW3 11.43
}

Star "2MASS 14140+01071/2MASS J14140586+0107102"
{
    RA        14 14  5.9
    Dec       +01  7 10
    Dist      54.00
    Class     "L4 V"
    AppMagni  21.74
    AppMagnJ  16.74
    AppMagnH  15.73
    AppMagnKs 15.25
}

Star "SDSS 14153+57242/SDSS J141530.05+572428.7/2MASS J14153003+5724300"
{
    RA        14 15 30.0
    Dec       +57 24 30
    Dist      22.00
    Class     "T3 V"
    AppMagnJ  16.73
    AppMagnH  15.82
    AppMagnKs 15.54
    AppMagnK  15.55
    AppMagnW1 14.83
    AppMagnW2 13.93
    AppMagnW3 12.39
}

Star "2MASS 14153-52125/2MASS J14153485-5212557"
{
    RA        14 15 34.9
    Dec       -52 12 56
    Dist      41.30
    Class     "M9.5 V"
    AppMagnR  20.56
    AppMagnI  18.35
    AppMagnJ  14.68
    AppMagnH  13.96
    AppMagnKs 13.43
}

Star "ULAS 14175+13304/ULAS J141756.22+133045.8"
{
    RA        14 17 56.2
    Dec       +13 30 46
    Dist      30.30
    Class     "T5.5 V"
    AppMagnr  25.35
    AppMagni  24.77
    AppMagnJ  16.77
    AppMagnH  17
    AppMagnKs 17
    AppMagnK  17
}

Star "SDSS 14183+14552/SDSS J141838.08+145522.4"
{
    RA        14 18 38.1
    Dec       +14 55 22
    Dist      47.90
    Class     "L0 V"
    AppMagni  19.49
    AppMagnJ  15.22
    AppMagnH  14.55
    AppMagnKs 14.21
}

Star "SDSS 14191+48425/SDSS J141910.99+484257.0/2MASS J14191096+4842570"
{
    RA        14 19 11.0
    Dec       +48 42 57
    Dist      76.80
    Class     "L0 V"
    AppMagnr  22.05
    AppMagni  19.7
    AppMagnJ  16.15
    AppMagnH  15.47
    AppMagnKs 14.76
}

Star "SDSS 14194+42052/SDSS J141942.82+420524.0/2MASS J14194287+4205235"
{
    RA        14 19 42.8
    Dec       +42  5 24
    Dist      61.80
    Class     "L0 V"
    AppMagnr  22.82
    AppMagni  20.26
    AppMagnJ  16.11
    AppMagnH  15.36
    AppMagnKs 14.96
}

Star "SDSS 14205+21315/SDSS J142058.30+213156.6"
{
    RA        14 20 58.3
    Dec       +21 31 57
    Dist      29.70
    Class     "L1 V"
    AppMagni  19.5
    AppMagnJ  15.12
    AppMagnH  14.52
    AppMagnKs 14.06
}

Star "SDSS 14213+18273/SDSS J142131.13+182739.7/2MASS J14213145+1827407"
{
    RA        14 21 31.5
    Dec       +18 27 41
    Dist      20.00
    Class     "L0 V"
    AppMagnJ  13.23
    AppMagnH  12.43
    AppMagnKs 11.94
}

Star "SDSS 14222+22155/SDSS J142227.25+221557.1/2MASS J14222720+2215575"
{
    RA        14 22 27.2
    Dec       +22 15 58
    Dist      42.00
    Class     "L6.5 V"
    AppMagnJ  17.06
    AppMagnH  16.03
    AppMagnKs 15.64
    AppMagnW1 14.93
    AppMagnW2 14.65
    AppMagnW3 12.83
}

Star "SDSS 14224+23401/SDSS J142241.28+234011.8"
{
    RA        14 22 41.3
    Dec       +23 40 12
    Dist      63.80
    Class     "L0 V"
    AppMagni  20.62
    AppMagnJ  16.53
    AppMagnH  16.1
    AppMagnKs 15.56
}

Star "SDSS 14225+08275/SDSS J142257.15+082752.1/2MASS J14225717+0827539"
{
    RA        14 22 57.2
    Dec       +08 27 54
    Dist      52.40
    Class     "L2 V"
    AppMagnr  21.77
    AppMagni  19.37
    AppMagnJ  15.1
    AppMagnH  14.22
    AppMagnKs 13.65
}

Star "LSR J1425+7102/2MASS J14250510+7102097"
{
    RA        14 25  5.1
    Dec       +71  2 10
    Dist      82.03
    Class     "M8 V"
    AppMagnJ  14.78
    AppMagnH  14.41
    AppMagnKs 14.33
}

Star "DENIS-P 14252-36502/DENIS-P J142527.97-365023.4/2MASS J14252798-3650229"
{
    RA        14 25 28.0
    Dec       -36 50 23
    Dist      9.00
    Class     "L5 V"
    AppMagnI  17.7
    AppMagnJ  13.75
    AppMagnH  12.58
    AppMagnKs 11.81
    AppMagnK  11.7
    Teff      2000
}

Star "2MASS 14262-55410/2MASS J14262469-5541035"           //Unconfirmed
{
    RA        14 26 24.7
    Dec       -55 41  4
    Dist      59.89
    Class     "M8 V"
    AppMagnR  20.32
    AppMagnI  18.1
    AppMagnJ  15.02
    AppMagnH  14.25
    AppMagnKs 13.85
}

Star "2MASS 14263-52291/2MASS J14263345-5229166"           //Unconfirmed
{
    RA        14 26 33.5
    Dec       -52 29 17
    Dist      41.90
    Class     "M8 V"
    AppMagnJ  14.27
    AppMagnH  13.55
    AppMagnKs 13.15
}

Star "SDSS 14280+51202/SDSS J142806.99+512022.4/2MASS J14280703+5120225"
{
    RA        14 28  7.0
    Dec       +51 20 22
    Dist      78.90
    Class     "L0 V"
    AppMagnr  22.92
    AppMagni  20.33
    AppMagnJ  16.32
    AppMagnH  15.44
    AppMagnKs 14.99
}

Star "SDSS 14283+59233/SDSS J142831.28+592335.3/2MASS J14283132+5923354"
{
    RA        14 28 31.3
    Dec       +59 23 35
    Dist      22.00
    Class     "L4 V"
    AppMagni  19.66
    AppMagnJ  14.78
    AppMagnH  13.88
    AppMagnKs 13.27
}

Star "LHS 2924/2MASS J14284323+3310391"
{
    RA        14 28 43.2
    Dec       +33 10 39
    Dist      11.11
    Class     "L0 V"
    AppMagn   19.74
    AppMagnR  17.8
    AppMagni  16.2
    AppMagnI  14.8
    AppMagnJ  11.99
    AppMagnH  11.23
    AppMagnKs 10.74
    AppMagnK  10.72
}

Star "SDSS 14293+38322/SDSS J142935.19+383221.4/2MASS J14293522+3832212"
{
    RA        14 29 35.2
    Dec       +38 32 21
    Dist      71.40
    Class     "L0 V"
    AppMagnr  21.89
    AppMagni  19.46
    AppMagnJ  15.97
    AppMagnH  14.93
    AppMagnKs 14.53
}

Star "IRAC 14295+33301/IRAC J142950.8+333011"
{
    RA        14 29 50.8
    Dec       +33 30 11
    Dist      32.00
    Class     "T4.5 V"
    AppMagnI  22.21
    AppMagnJ  16.88
    AppMagnKs 16.99
    AppMagnW1 16.54
    AppMagnW2 14.98
    AppMagnW3 12.04
}

Star "SDSS 14305+00135/SDSS J143055.90+001352.1/2MASS J14305589+0013523"
{
    RA        14 30 55.9
    Dec       +00 13 52
    Dist      82.00
    Class     "L0 V"
    AppMagnr  23.03
    AppMagni  20.43
    AppMagnJ  16.29
    AppMagnH  15.38
    AppMagnKs 14.98
    AppMagnK  14.8
    AppMagnW1 14.66
    AppMagnW2 14.32
    AppMagnW3 12.51
}

Star "SDSS 14313+14365/SDSS J143130.78+143653.4/2MASS J14313097+1436539"
{
    RA        14 31 31.0
    Dec       +14 36 54
    Dist      20.00
    Class     "L2 V"
    AppMagni  19.71
    AppMagnJ  15.15
    AppMagnH  14.5
    AppMagnKs 14.13
    AppMagnW1 13.72
    AppMagnW2 13.36
    AppMagnW3 12.56
}

Star "SDSS 14313+35130/SDSS J143132.79+351300.6"
{
    RA        14 31 32.8
    Dec       +35 13  1
    Dist      51.20
    Class     "L1 V"
    AppMagni  20.03
    AppMagnJ  15.59
    AppMagnH  14.77
    AppMagnKs 14.16
}

Star "SDSS 14314+12432/SDSS J143147.92+124329.0/2MASS J14314789+1243288"
{
    RA        14 31 47.9
    Dec       +12 43 29
    Dist      64.50
    Class     "L0 V"
    AppMagnr  23.63
    AppMagni  20.46
    AppMagnJ  16.38
    AppMagnH  15.57
    AppMagnKs 15.32
}

Star "SDSS 14321-00590/SDSS J143211.74-005900.8/2MASSA J14321175-005900"
{
    RA        14 32 11.8
    Dec      -0.983611
    Dist      58.00
    Class     "L4.5 V"
    AppMagnJ  17.16
    AppMagnH  16.27
    AppMagnKs 15.36
}

Star "SDWFS 14322+32374/SDWFS J143222.82+323746.5"           //Unconfirmed
{
    RA        14 32 22.8
    Dec       +32 37 47
    Dist      57.00
    Class     "T8.5 V"
    AppMagnR  25.60
    AppMagni  
    AppMagnI  24.5
    AppMagnJ  21.17
    AppMagnH  20.80
    AppMagnKs 20.20
}

Star "SDSS 14324+34514/SDSS J143242.10+345142.7"
{
    RA        14 32 42.1
    Dec       +34 51 43
    Dist      37.30
    Class     "L1 V"
    AppMagni  20.12
    AppMagnJ  15.75
    AppMagnH  15.05
    AppMagnKs 14.77
}

Star "2MASS 14324-55342/2MASS J14324269-5534247"           //Unconfirmed
{
    RA        14 32 42.7
    Dec       -55 34 25
    Dist      47.92
    Class     "M7.5 V"
    AppMagnI  18.24
    AppMagnJ  14.33
    AppMagnH  13.69
    AppMagnKs 13.12
}

Star "SDSS 14325+36364/SDSS J143251.01+363643.6/2MASS J14325112+3636440"
{
    RA        14 32 51.0
    Dec       +36 36 44
    Dist      18.20
    Class     "L0 V"
    AppMagnr  21.14
    AppMagni  18.49
    AppMagnJ  14.3
    AppMagnH  13.6
    AppMagnKs 13.07
}

Star "VHS 14331-08373/VHS J14331146-0837363"
{
    RA        14 33 11.5
    Dec       -08 37 36
    Dist      33.48
    Class     "T8 V"
    AppMagnJ  19.14
    AppMagnH  19.22
    AppMagnW1 18.23
    AppMagnW2 14.97
    Teff      675
}

Star "2MASS 14334-51480/2MASS J14334194-5148037"           //Unconfirmed
{
    RA        14 33 41.9
    Dec       -51 48  4
    Dist      50.31
    Class     "M7 V"
    AppMagnR  19.7
    AppMagnI  17.44
    AppMagnJ  14.21
    AppMagnH  13.57
    AppMagnKs 13.11
}

Star "2MASS 14335-49070/2MASS J14335537-4907072"
{
    RA        14 33 55.4
    Dec       -49  7  7
    Dist      47.86
    Class     "L0 V"
    AppMagnI  18.63
    AppMagnJ  15.25
    AppMagnH  14.53
    AppMagnKs 13.97
}

Star "SDWFS 14335+35184/SDWFS J143356.62+351849.2"           //Unconfirmed
{
    RA        14 33 56.6
    Dec       +35 18 49
    Dist      50.00
    Class     "Y0 V"
    AppMagnR  25.70
    AppMagni  
    AppMagnI  24.2
    AppMagnJ  22.90
    AppMagnH  24.20
    AppMagnKs 20.10
    Teff      400
}

Star "SDSS 14343+22024/SDSS J143435.92+220247.2/2MASS J14343616+2202463"
{
    RA        14 34 36.2
    Dec       +22  2 46
    Dist      20.20
    Class     "L2.5 V"
    AppMagnJ  14.52
    AppMagnH  13.83
    AppMagnKs 13.55
    AppMagnW1 13.25
    AppMagnW2 12.88
}

Star "SDSS 14351-00461/SDSS J143517.20-004612.9/2MASS J14351720-0046130"
{
    RA        14 35 17.2
    Dec      -0.770278
    Dist      80.40
    Class     "L0 V"
    AppMagnr  22.99
    AppMagni  20.35
    AppMagnI  19.7
    AppMagnJ  16.48
    AppMagnH  15.61
    AppMagnKs 15.32
    AppMagnK  15.32
    AppMagnW1 15.07
    AppMagnW2 14.74
    AppMagnW3 12.11
}

Star "SDWFS 14352+33533/SDWFS J143524.44+335334.6"           //Unconfirmed
{
    RA        14 35 24.4
    Dec       +33 53 35
    Dist      70.00
    Class     "T8 V"
    AppMagnR  25.80
    AppMagni  
    AppMagnI  25
    AppMagnJ  21.16
    AppMagnH  21.09
    AppMagnKs 19.90
}

Star "SDSS 14353-00434/SDSS J143535.72-004347.0/2MASS J14353572-0043471"
{
    RA        14 35 35.7
    Dec      -0.729722
    Dist      62.23
    Class     "L3 V"
    AppMagnr  24.3
    AppMagni  20.9
    AppMagnI  19.2
    AppMagnJ  16.49
    AppMagnH  15.66
    AppMagnKs 15.03
    AppMagnK  15.03
    AppMagnW1 14.9
    AppMagnW2 14.69
    AppMagnW3 12.45
}

Star "SDSS 14355+11294/SDSS J143553.25+112948.6/2MASSA J14355323+112948"
{
    RA        14 35 53.2
    Dec       +11 29 49
    Dist      34.00
    Class     "T2 V"
    AppMagnJ  17.14
    AppMagnH  16.15
    AppMagnKs 16.91
    AppMagnK  16.15
    AppMagnW1 15.26
    AppMagnW2 14.17
    AppMagnW3 12.09
}

Star "WISEPA 14360-18142/WISEPA J143602.19-181421.8"
{
    RA        14 36  2.2
    Dec       -18 14 22
    Dist      18.40
    Class     "T8 V"
    AppMagnJ  17.52
    AppMagnH  17.62
    AppMagnKs 16.97
    AppMagnW1 16.9
    AppMagnW2 14.65
    AppMagnW3 12.47
    Teff      675
}

Star "2MASS 14362-45362/2MASS J14362641-4536268"           //Unconfirmed
{
    RA        14 36 26.4
    Dec       -45 36 27
    Dist      56.44
    Class     "M8.5 V"
    AppMagnI  18.27
    AppMagnJ  15.09
    AppMagnH  14.37
    AppMagnKs 13.87
}

Star "SDSS 14380+64083/SDSS J143808.31+640836.3/2MASS J14380829+6408363"
{
    RA        14 38  8.3
    Dec       +64  8 36
    Dist      18.40
    Class     "M9.5 V"
    AppMagnr  19.54
    AppMagnR  18.8
    AppMagni  17.19
    AppMagnI  15.8
    AppMagnJ  12.99
    AppMagnH  12.16
    AppMagnKs 11.65
}

Star "SDSS 14383+57221/SDSS J143832.63+572216.9/2MASS J14383259+5722168"
{
    RA        14 38 32.6
    Dec       +57 22 17
    Dist      35.50
    Class     "L5 V"
    AppMagni  20.83
    AppMagnJ  15.96
    AppMagnH  15.1
    AppMagnKs 14.37
}

Star "2MASSW 14385-13091/2MASSW J1438549-130910/2MASS J14385498-1309103"
{
    RA        14 38 55.0
    Dec       -13  9 10
    Dist      37.00
    Class     "L3 V"
    AppMagnI  19.1
    AppMagnJ  15.49
    AppMagnH  14.5
    AppMagnKs 13.86
    AppMagnW1 13.29
    AppMagnW2 12.97
    AppMagnW3 11.81
}

Star "SDSS 14391+08231/SDSS J143911.87+082315.6/2MASS J14391190+0823157"
{
    RA        14 39 11.9
    Dec       +08 23 16
    Dist      41.30
    Class     "L0 V"
    AppMagnr  22.33
    AppMagni  19.84
    AppMagnJ  15.39
    AppMagnH  14.65
    AppMagnKs 14.09
}

Star "SDSS 14392+42414/SDSS J143925.23+424141.7/2MASS J14392520+4241414"
{
    RA        14 39 25.2
    Dec       +42 41 42
    Dist      47.00
    Class     "L0 V"
    AppMagnr  22.61
    AppMagni  19.79
    AppMagnJ  15.5
    AppMagnH  14.79
    AppMagnKs 14.2
}

Star "2MASS 14392+19291/2MASS J14392837+1929150/2MASS J14392836+1929149"
{
    RA        14 39 28.4
    Dec       +19 29 15
    Dist      14.37
    Class     "L1 V"
    AppMagn   21.04
    AppMagnR  18.52
    AppMagnI  16.12
    AppMagnJ  12.76
    AppMagnH  12.04
    AppMagnKs 11.55
    AppMagnW2 10.94
    Teff      2200
    Radius    68512.78
}

Star "SDSS 14393+03175/SDSS J143933.44+031759.2/2MASS J14393343+0317591"
{
    RA        14 39 33.4
    Dec       +03 17 59
    Dist      63.00
    Class     "L1 V"
    AppMagnr  23.29
    AppMagni  20.65
    AppMagnJ  15.99
    AppMagnH  15.67
    AppMagnKs 14.81
    AppMagnK  14.81
}

Star "SDSS 14394+18263/SDSS J143940.91+182637.0/2MASS J14394092+1826369"
{
    RA        14 39 40.9
    Dec       +18 26 37
    Dist      70.00
    Class     "L1 V"
    AppMagni  20.64
    AppMagnI  19.87
    AppMagnJ  16.22
    AppMagnH  15.45
    AppMagnKs 14.54
    AppMagnW1 14.33
    AppMagnW2 13.97
    AppMagnW3 12.22
}

Star "SDSS 14394+30422/SDSS J143945.86+304220.6/2MASSA J14394595+304221"
{
    RA        14 39 46.0
    Dec       +30 42 21
    Dist      36.00
    Class     "T2.5 V"
    AppMagnJ  17.22
    AppMagnH  16.28
    AppMagnKs 15.88
    AppMagnK  16.34
    AppMagnW1 15.75
    AppMagnW2 14.72
    AppMagnW3 12.47
}

Star "2MASS 14395-45172/2MASS J14395028-4517220"
{
    RA        14 39 50.3
    Dec       -45 17 22
    Dist      38.02
    Class     "L2 V"
    AppMagnJ  15.31
    AppMagnH  14.48
    AppMagnKs 13.97
}

Star "SDSSp 14400+00214/SDSSp J144001.82+002145.8/2MASS J14400180+0021457"
{
    RA        14 40  1.8
    Dec       +00 21 46
    Dist      62.00
    Class     "L1 V"
    AppMagnI  18.8
    AppMagnJ  15.95
    AppMagnH  15.08
    AppMagnKs 14.6
    AppMagnW1 14.1
    AppMagnW2 13.84
    AppMagnW3 12.63
}

Star "SDSS 14401+00263/SDSS J144016.20+002638.9/2MASS J14401622+0026390"
{
    RA        14 40 16.2
    Dec       +00 26 40
    Dist      48.00
    Class     "L3 V"
    AppMagnr  22.94
    AppMagni  20.71
    AppMagnJ  16.07
    AppMagnH  15.41
    AppMagnKs 14.82
    AppMagnK  14.82
    AppMagnW1 14.28
    AppMagnW2 13.96
    AppMagnW3 12.12
}

Star "SDSS 14412+50460/SDSS J144128.52+504600.4/2MASS J14412846+5046005"
{
    RA        14 41 28.5
    Dec       +50 46  1
    Dist      73.00
    Class     "L3 V"
    AppMagnJ  16.61
    AppMagnH  16.22
    AppMagnKs 14.92
}

Star "SDSS 14413+35380/SDSS J144139.88+353809.5/2MASS J14413988+3538094"
{
    RA        14 41 39.9
    Dec       +35 38 10
    Dist      41.30
    Class     "L0 V"
    AppMagnr  22.27
    AppMagni  19.64
    AppMagnJ  15.44
    AppMagnH  14.78
    AppMagnKs 14.19
}

Star "SSSPM J1444-2019/2MASS J14442067-2019222"
{
    RA        14 44 20.7
    Dec       -20 19 22
    Dist      16.22
    Class     "M9 V"
    AppMagnJ  12.55
    AppMagnH  12.14
    AppMagnKs 11.93
    AppMagnW1 11.47
    AppMagnW2 11.21
}

Star "SDSS 14443+48580/SDSS J144430.15+485807.4/2MASS J14443018+4858071"
{
    RA        14 44 30.2
    Dec       +48 58  7
    Dist      100.80
    Class     "L0 V"
    AppMagnr  23.42
    AppMagni  20.63
    AppMagnJ  16.67
    AppMagnH  15.65
    AppMagnKs 15.24
}

Star "ULAS 14445+10553/ULAS J144458.87+105531.1"
{
    RA        14 44 58.9
    Dec       +10 55 31
    Dist      75.00
    Class     "T5 V"
    AppMagnJ  18.82
    AppMagnH  18.91
}

Star "2MASS 14454-53172/2MASS J14454228-5317233"           //Unconfirmed
{
    RA        14 45 42.3
    Dec       -53 17 23
    Dist      66.11
    Class     "M7 V"
    AppMagnI  18.76
    AppMagnJ  14.86
    AppMagnH  14.21
    AppMagnKs 13.71
}

Star "ULAS 14455+12573/ULAS J144555.24+125735.1"
{
    RA        14 45 55.2
    Dec       +12 57 35
    Dist      49.00
    Class     "T6.5 V"
    AppMagnJ  18.56
    AppMagnH  19.1
    AppMagnKs 19.05
    Teff      975
}

Star "SDSSp 14460+00245/SDSSp J144600.60+002452.0/2MASS J14460061+0024519"
{
    RA        14 46  0.6
    Dec       +00 24 52
    Dist      22.00
    Class     "L6 V"
    AppMagnr  23.39
    AppMagni  20.74
    AppMagnJ  15.89
    AppMagnH  14.51
    AppMagnKs 13.94
    AppMagnK  13.88
    AppMagnW1 13.25
    AppMagnW2 12.88
    AppMagnW3 11.95
}

Star "DENIS-P 14462-39523/DENIS-P J1446229-395231"
{
    RA        14 46 23.0
    Dec       -39 52 31
    Dist      29.00
    Class     "L1 V"
    AppMagnI  17.67
    AppMagnJ  14.3
    AppMagnK  13.07
}

Star "SDSS 14463+16433/SDSS J144635.65+164337.3"
{
    RA        14 46 35.7
    Dec       +16 43 37
    Dist      57.90
    Class     "L0 V"
    AppMagni  20.9
    AppMagnJ  16.42
    AppMagnH  15.97
    AppMagnKs 15.15
}

Star "SDSS 14480+06080/SDSS J144804.96+060802.2/2MASS J14480497+0608024"
{
    RA        14 48  5.0
    Dec       +06  8  2
    Dist      36.00
    Class     "L0 V"
    AppMagnr  22.39
    AppMagni  19.92
    AppMagnJ  15.77
    AppMagnH  15
    AppMagnKs 14.58
}

Star "WISE 14480-25342/WISE J144806.48-253420.3"
{
    RA        14 48  6.5
    Dec       -25 34 20
    Dist      33.00
    Class     "T8 V"
    AppMagnJ  19.21
    AppMagnH  18.91
    AppMagnW1 18.28
    AppMagnW2 15.03
    AppMagnW3 12.90
}

Star "SDSS 14482+10315/SDSS J144825.69+103158.8/2MASS J14482563+1031590"
{
    RA        14 48 25.6
    Dec       +10 31 59
    Dist      22.00
    Class     "L3.5 V"
    AppMagni  19.63
    AppMagnJ  14.56
    AppMagnH  13.43
    AppMagnKs 12.68
}

Star "SDSS 14484+37193/SDSS J144842.75+371932.0/2MASS J14484277+3719321"
{
    RA        14 48 42.8
    Dec       +37 19 32
    Dist      50.20
    Class     "L0 V"
    AppMagnr  22.13
    AppMagni  19.69
    AppMagnH  14.47
}

Star "WISEP 14490+11471/WISEP J144901.85+114710.9"
{
    RA        14 49  1.9
    Dec       +11 47 11
    Dist      23.00
    Class     "T5.5 V"
    AppMagnJ  17.36
    AppMagnH  17.73
    AppMagnKs 16.64
    AppMagnK  18.1
    AppMagnW1 17.39
    AppMagnW2 14.84
    AppMagnW3 12.40
}

Star "SDSS 14492+20543/SDSS J144927.99+205434.1"
{
    RA        14 49 28.0
    Dec       +20 54 34
    Dist      90.50
    Class     "L0 V"
    AppMagni  20.7
    AppMagnJ  16.88
    AppMagnH  16.46
    AppMagnKs 15.83
}

Star "SDSS 14501+46173/SDSS J145017.31+461739.3/2MASS J14501728+4617398"
{
    RA        14 50 17.3
    Dec       +46 17 39
    Dist      50.40
    Class     "L0 V"
    AppMagnr  22.17
    AppMagni  19.49
    AppMagnJ  15.51
    AppMagnH  14.84
    AppMagnKs 14.42
}

Star "SDSS 14503+08280/SDSS J145037.69+082807.1/2MASS J14503768+0828070"
{
    RA        14 50 37.7
    Dec       +08 28  7
    Dist      87.00
    Class     "L0 V"
    AppMagnr  22.96
    AppMagni  20.58
    AppMagnJ  16.33
    AppMagnH  15.88
    AppMagnKs 15.4
}

Star "CFBDS 14504+09210/CFBDS J145044+092108"
{
    RA        14 50 45.0
    Dec       +09 21  9
    Dist      101.00
    Class     "T3.5 V"
    AppMagni  25.23
    AppMagnJ  18.8
}

Star "ULAS 14524+06554/ULAS J145243.59+065542.9"
{
    RA        14 52 43.6
    Dec       +06 55 43
    Dist      70.00
    Class     "T4.5 V"
    AppMagnJ  18.66
    AppMagnH  18.45
}

Star "SDSS 14525+27232/SDSS J145255.58+272324.4"
{
    RA        14 52 55.6
    Dec       +27 23 24
    Dist      23.90
    Class     "L0 V"
    AppMagni  19.21
    AppMagnJ  14.92
    AppMagnH  14.36
    AppMagnKs 14.08
}

Star "SDSS 14532+14204/SDSS J145325.89+142041.8/2MASS J14532582+1420410"
{
    RA        14 53 25.8
    Dec       +14 20 41
    Dist      40.30
    Class     "L1 V"
    AppMagni  19.64
    AppMagnJ  15.07
    AppMagnH  14.4
    AppMagnKs 13.89
}

Star "DENIS-P 14540-66044/DENIS-P J1454078-660447/2MASS J14540797-6604476"
{
    RA        14 54  8.0
    Dec       -66  4 48
    Dist      11.00
    Class     "L3.5 V"
    AppMagnJ  13.06
    AppMagnH  12.17
    AppMagnKs 11.72
}

Star "SDSS 14544+37182/SDSS J145447.76+371823.1/2MASS J14544780+3718234"
{
    RA        14 54 47.8
    Dec       +37 18 23
    Dist      50.60
    Class     "L0 V"
    AppMagnr  23.11
    AppMagni  20.31
    AppMagnJ  16.27
    AppMagnH  15.64
    AppMagnKs 15.32
}

Star "SDSS 14550+26191/SDSS J145502.93+261919.6"
{
    RA        14 55  2.9
    Dec       +26 19 20
    Dist      40.70
    Class     "L1 V"
    AppMagni  19.66
    AppMagnJ  15.14
    AppMagnH  14.53
    AppMagnKs 13.87
}

Star "SDSS 14565+07010/SDSS J145658.17+070104.7/2MASS J14565815+0701047"
{
    RA        14 56 58.2
    Dec       +07  1  5
    Dist      58.50
    Class     "L3 V"
    AppMagnr  23.28
    AppMagni  20.55
    AppMagnJ  16.28
    AppMagnH  15.2
    AppMagnKs 14.6
}

Star "WISEPC 14571+58151/WISEPC J145715.03+581510.2"
{
    RA        14 57 15.0
    Dec       +58 15 10
    Dist      16.00
    Class     "T7 V"
    AppMagnJ  16.83
    AppMagnH  16.64
    AppMagnKs 17.32
    AppMagnW1 16.54
    AppMagnW2 14.38
    AppMagnW3 12.62
    Teff      825
}

Star "2MASS 14573+45171/2MASS J14573965+4517167"
{
    RA        14 57 39.7
    Dec       +45 17 17
    Dist      21.70
    Class     "M9 V"
    AppMagnI  16.7
    AppMagnJ  13.15
    AppMagnH  12.41
    AppMagnKs 11.92
}

Star "CFBDS 14584+06140/CFBDS J145847+061402"
{
    RA        14 58 47.9
    Dec       +06 14  3
    Dist      86.00
    Class     "T2 V"
    AppMagni  23.96
    AppMagnJ  18.22
}

Star "ULAS 14593+08575/ULAS J145935.25+085751.2"
{
    RA        14 59 35.3
    Dec       +08 57 51
    Dist      59.00
    Class     "T4.5 V"
    AppMagni  24.52
    AppMagnJ  17.98
    AppMagnH  17.93
    AppMagnKs 18.04
    Teff      1350
    MassSol   0.0665175
}

Star "CFBDS 15000-18240/CFBDS J150000-182407"
{
    RA        15  0  0.5
    Dec       -18 24  7
    Dist      58.00
    Class     "T4.5 V"
    AppMagni  26.36
    AppMagnJ  18.21
    AppMagnH  17.9
    AppMagnKs 18.18
}

Star "SDSS 15010+22500/SDSS J150108.17+225001.8/2MASS J15010818+2250020"           //Unconfirmed
{
    RA        15  1  8.2
    Dec       +22 50  2
    Dist      10.59
    Class     "M9 V"
    AppMagn   15.09
    AppMagnJ  11.87
    AppMagnH  11.18
    AppMagnK  10.71
}

Star "ULAS 15013+08221/ULAS J150135.33+082215.2"
{
    RA        15  1 35.3
    Dec       +08 22 15
    Dist      60.00
    Class     "T4.5 V"
    AppMagnJ  18.32
    AppMagnH  18.3
    AppMagnKs 18.53
}

Star "SDSS 15023+18253/SDSS J150238.47+182539.8"
{
    RA        15  2 38.5
    Dec       +18 25 40
    Dist      72.90
    Class     "L0 V"
    AppMagni  20.77
    AppMagnJ  16.47
    AppMagnH  15.54
    AppMagnKs 15.28
}

Star "SDSS 15024+61381/SDSS J150240.80+613815.5/2MASS J15024082+6138158"
{
    RA        15  2 40.8
    Dec       +61 38 16
    Dist      74.00
    Class     "L1 V"
    AppMagnr  23.28
    AppMagni  20.71
    AppMagnJ  16.35
    AppMagnH  16.08
    AppMagnKs 15.39
}

Star "SDSS 15030+11532/SDSS J150309.53+115323.1/2MASS J15030952+1153228"
{
    RA        15  3  9.5
    Dec       +11 53 23
    Dist      58.50
    Class     "L2 V"
    AppMagnr  23.21
    AppMagni  20.68
    AppMagnJ  16.3
    AppMagnH  15.4
    AppMagnKs 14.79
}

Star "SDSS 15031+25252/SDSS J150319.64+252522.4/2MASS J15031961+2525196"
{
    RA        15  3 19.6
    Dec       +25 25 20
    Dist      6.36
    Class     "T6 V"
    AppMagnJ  13.94
    AppMagnH  13.86
    AppMagnKs 13.96
    AppMagnW1 13.46
    AppMagnW2 11.69
    AppMagnW3 10.77
    Teff      1009
    MassSol   0.0171045
}

Star "WISE 15040-45522/WISE J150406.66-455223.9"
{
    RA        15  4  6.7
    Dec       -45 52 24
    Dist      23.00
    Class     "L8 V"
    AppMagnJ  16.56
    AppMagnH  15.43
    AppMagnKs 14.83
    AppMagnW1 14.15
    AppMagnW2 13.81
    AppMagnW3 12.34
}

Star "SDSS 15041+10271/SDSS J150411.63+102718.4/2MASSA J15041155+102719"
{
    RA        15  4 11.6
    Dec       +10 27 20
    Dist      21.69
    Class     "T7 V"
    AppMagni  25.98
    AppMagnJ  17.03
    AppMagnH  16.91
    AppMagnKs 17.02
    AppMagnK  17.02
    AppMagnW1 16.3
    AppMagnW2 14.12
    AppMagnW3 12.13
    Teff      825
}

Star "2MASS 15043-55000/2MASS J15043465-5500045"           //Unconfirmed
{
    RA        15  4 34.7
    Dec       -55  0  5
    Dist      61.94
    Class     "M7 V"
    AppMagnJ  14.65
    AppMagnH  13.98
    AppMagnKs 13.52
}

Star "WISEP 15050-28534/WISEP J150502.39-285345.5/2MASS J15050230-2853408"
{
    RA        15  5  2.3
    Dec       -28 53 41
    Dist      21.00
    Class     "T1.5 V"
    AppMagnJ  15.83
    AppMagnH  15.24
    AppMagnKs 15.06
    AppMagnW1 14.02
    AppMagnW2 13.3
    AppMagnW3 11.76
}

Star "PSO J226.2599-28.8959"
{
    RA        15  5  2.4
    Dec       -28 53 45
    Dist      21.00
    Class     "T1.5 V"
    AppMagnJ  15.86
    AppMagnH  15.29
    AppMagnKs 14.9
}

Star "ULAS 15054+07031/ULAS J150547.89+070316.6"
{
    RA        15  5 47.9
    Dec       +07  3 17
    Dist      93.00
    Class     "T4 V"
    AppMagnJ  18.96
    AppMagnH  19.1
    AppMagnKs 19.29
}

Star "2MASS 15054-50485/2MASS J15054969-5048555"
{
    RA        15  5 49.7
    Dec       -50 48 56
    Dist      40.60
    Class     "L0.5 V"
    AppMagnI  18.52
    AppMagnJ  15.06
    AppMagnH  14.35
    AppMagnKs 13.9
}

Star "WISEPC 15064+70273/WISEPC J150649.97+702736.0"
{
    RA        15  6 50.0
    Dec       +70 27 36
    Dist      5.18
    Class     "T6 V"
    AppMagnJ  13.56
    AppMagnH  13.91
    AppMagnKs 14.05
    AppMagnW1 13.39
    AppMagnW2 11.28
    AppMagnW3 10.17
    Teff      975
}

Star "2MASS 15065+13210/2MASS J15065441+1321060"
{
    RA        15  6 54.4
    Dec       +13 21  6
    Dist      14.10
    Class     "L3 V"
    AppMagnI  17.4
    AppMagnJ  13.37
    AppMagnH  12.38
    AppMagnKs 11.74
    Teff      2200
    Radius    58725.24
}

Star "2MASS 15074-16273/2MASS J15074769-1627386"
{
    RA        15  7 47.7
    Dec       -16 27 39
    Dist      7.33
    Class     "L5 V"
    AppMagn   22.9
    AppMagnR  19.04
    AppMagnI  16.65
    AppMagnJ  12.83
    AppMagnH  11.9
    AppMagnKs 11.31
    AppMagnK  11.4
    AppMagnW2 10.37
    Teff      1703
    Radius    60123.46
    MassSol   0.064617
}

Star "SDSS 15084+43395/SDSS J150844.43+433955.5/2MASS J15084452+4339553"
{
    RA        15  8 44.4
    Dec       +43 39 56
    Dist      83.30
    Class     "L0 V"
    AppMagnr  22.5
    AppMagni  20.17
    AppMagnJ  16.28
    AppMagnH  15.25
    AppMagnKs 15.07
}

Star "2MASS 15102-44400/2MASS J15102049-4440022"           //Unconfirmed
{
    RA        15 10 20.5
    Dec       -44 40  2
    Dist      56.12
    Class     "M8.5 V"
    AppMagnI  18.08
    AppMagnJ  14.96
    AppMagnH  14.26
    AppMagnKs 13.85
}

Star "SDSS 15113+35351/SDSS J151136.24+353511.4/2MASS J15113624+3535117"
{
    RA        15 11 36.2
    Dec       +35 35 12
    Dist      41.90
    Class     "L1 V"
    AppMagni  20.72
    AppMagnJ  16.29
    AppMagnH  15.62
    AppMagnKs 14.95
    AppMagnW1 14.62
    AppMagnW2 14.24
    AppMagnW3 12.63
}

Star "SDSS 15124+34035/SDSS J151240.67+340350.1/2MASS J15124058+3403501"
{
    RA        15 12 40.6
    Dec       +34  3 50
    Dist      41.00
    Class     "L3 V"
    AppMagni  19.34
    AppMagnJ  15.04
    AppMagnH  14.05
    AppMagnKs 13.41
}

Star "WISE 15131+40193/WISE J151314.61+401935.6"
{
    RA        15 13 14.6
    Dec       +40 19 36
    Dist      29.00
    Class     "L8 V"
    AppMagnJ  17.08
    AppMagnH  16.15
    AppMagnKs 15.22
    AppMagnW1 14.39
    AppMagnW2 13.86
    AppMagnW3 12.68
}

Star "SDSS 15150+48474/SDSS J151500.62+484744.8/2MASS J15150083+4847416"
{
    RA        15 15  0.8
    Dec       +48 47 42
    Dist      6.90
    Class     "L6 V"
    AppMagni  19.37
    AppMagnJ  14.11
    AppMagnH  13.1
    AppMagnKs 12.5
    Teff      1600
    Radius    24468.85
}

Star "SDSS 15150+44364/SDSS J151506.11+443648.3/2MASS J15150607+4436483"
{
    RA        15 15  6.1
    Dec       +44 36 48
    Dist      25.00
    Class     "L7.5 V"
    AppMagnJ  16.58
    AppMagnH  15.64
    AppMagnKs 14.76
    AppMagnW1 13.98
    AppMagnW2 13.47
    AppMagnW3 12.33
}

Star "SDSS 15152+34123/SDSS J151527.14+341232.7"
{
    RA        15 15 27.1
    Dec       +34 12 33
    Dist      76.20
    Class     "L1 V"
    AppMagni  20.63
    AppMagnJ  16.27
    AppMagnH  15.17
    AppMagnKs 14.65
}

Star "SDSS 15154+32554/SDSS J151542.28+325543.2/2MASS J15154232+3255435"
{
    RA        15 15 42.3
    Dec       +32 55 43
    Dist      52.10
    Class     "L0 V"
    AppMagnr  22.73
    AppMagni  20.31
    AppMagnJ  16.22
    AppMagnH  15.57
    AppMagnKs 14.96
}

Star "SDSS 15160+57390/SDSS J151603.96+573907.6/2MASS J15160398+5739078"
{
    RA        15 16  4.0
    Dec       +57 39  8
    Dist      100.60
    Class     "L0 V"
    AppMagnr  22.38
    AppMagni  19.95
    AppMagnJ  16.15
    AppMagnH  15.48
    AppMagnKs 15.2
}

Star "SDSS 15164+30534/SDSS J151643.01+305344.4/2MASS J15164306+3053443"
{
    RA        15 16 43.1
    Dec       +30 53 44
    Dist      23.00
    Class     "T0.5 V"
    AppMagnJ  16.85
    AppMagnH  15.87
    AppMagnKs 15.08
    AppMagnW1 14.12
    AppMagnW2 13.32
    AppMagnW3 12.08
}

Star "WISEP 15172+05292/WISEP J151721.13+052929.3"
{
    RA        15 17 21.1
    Dec       +05 29 29
    Dist      22.20
    Class     "T8 V"
    AppMagnJ  18.54
    AppMagnH  18.85
    AppMagnW1 18.10
    AppMagnW2 15.13
    AppMagnW3 13.13
    Teff      675
}

Star "CFBDS 15180+07164/CFBDS J151803+071646"
{
    RA        15 18  3.6
    Dec       +07 16 46
    Dist      81.00
    Class     "T2.5 V"
    AppMagni  24.83
    AppMagnJ  18.05
    AppMagnH  17.86
}

Star "WISEPC 15190+70093/WISEPC J151906.64+700931.5"
{
    RA        15 19  6.6
    Dec       +70  9 32
    Dist      15.60
    Class     "T8 V"
    AppMagnJ  17.88
    AppMagnH  18.28
    AppMagnW1 17.59
    AppMagnW2 14.06
    AppMagnW3 13.06
    Teff      675
}

Star "DENIS-P 15201-17553/DENIS-P J1520174-175530/2MASS J15201746-1755307"
{
    RA        15 20 17.5
    Dec       -17 55 31
    Dist      29.70
    Class     "L1 V"
    AppMagnI  17.8
    AppMagnJ  14.64
    AppMagnH  13.94
    AppMagnK  13.53
}

Star "SDSS 15203+35461/SDSS J152039.82+354619.8/2MASS J15203974+3546210"
{
    RA        15 20 39.8
    Dec       +35 46 20
    Dist      14.00
    Class     "T0 V"
    AppMagnJ  15.54
    AppMagnH  14.58
    AppMagnKs 14.02
    AppMagnW1 13.44
    AppMagnW2 12.89
    AppMagnW3 11.86
}

Star "SDSS 15210+01314/SDSS J152103.24+013142.7/2MASS J15210327+0131426"
{
    RA        15 21  3.2
    Dec       +01 31 43
    Dist      24.21
    Class     "T2 V"
    AppMagnJ  16.4
    AppMagnH  15.58
    AppMagnKs 15.35
    AppMagnW1 14.92
    AppMagnW2 13.95
    AppMagnW3 12.18
}

Star "WISEP 15230+31253/WISEP J152305.10+312537.6"
{
    RA        15 23  5.1
    Dec       +31 25 38
    Dist      25.90
    Class     "T6.5 V"
    AppMagnJ  18.27
    AppMagnH  18.69
    AppMagnW1 17.91
    AppMagnW2 14.39
    AppMagnW3 13.32
    Teff      825
}

Star "2MASS 15230-23475/2MASS J15230657-2347526"
{
    RA        15 23  6.6
    Dec       -23 47 53
    Dist      22.00
    Class     "L2.5 V"
    AppMagnJ  14.2
    AppMagnH  13.42
    AppMagnKs 12.9
}

Star "SDSS 15231+10525/SDSS J152314.46+105258.9/2MASS J15231446+1052592"
{
    RA        15 23 14.5
    Dec       +10 52 59
    Dist      45.10
    Class     "L0 V"
    AppMagnr  23.15
    AppMagni  20.53
    AppMagnJ  16.09
    AppMagnH  15.15
    AppMagnKs 14.82
}

Star "SDSS 15232-02113/SDSS J152324.45-021133.9/2MASS J15232445-0211335"
{
    RA        15 23 24.5
    Dec       -02 11 34
    Dist      65.40
    Class     "L0 V"
    AppMagnr  22.1
    AppMagni  19.33
    AppMagnJ  15.61
    AppMagnH  14.93
    AppMagnKs 14.39
}

Star "CFBDS 15251+11183/CFBDS J152514+111833"
{
    RA        15 25 14.8
    Dec       +11 18 33
    Dist      67.00
    Class     "T2.5 V"
    AppMagni  25.07
    AppMagnJ  17.98
}

Star "ULAS 15252+09581/ULAS J152526.25+095814.3"
{
    RA        15 25 26.3
    Dec       +09 58 14
    Dist      49.80
    Class     "T6.5 V"
    AppMagnJ  18.54
    AppMagnH  19.17
    AppMagnW1 18.94
    AppMagnW2 16.44
    Teff      975
}

Star "SDSS 15252+20040/SDSS J152529.74+200407.9"
{
    RA        15 25 29.7
    Dec       +20  4  8
    Dist      40.30
    Class     "L1 V"
    AppMagni  19.81
    AppMagnJ  15.51
    AppMagnH  14.61
    AppMagnKs 14.02
}

Star "SDSS 15253+58105/SDSS J152531.32+581053.1/2MASS J15253132+5810525"
{
    RA        15 25 31.3
    Dec       +58 10 53
    Dist      39.00
    Class     "L6.5 V"
    AppMagnJ  17.06
    AppMagnH  15.83
    AppMagnKs 15.55
}

Star "SDSS 15261+20433/SDSS J152613.92+204339.0/2MASS J15261405+2043414"
{
    RA        15 26 14.1
    Dec       +20 43 41
    Dist      20.62
    Class     "L7 V"
    AppMagnI  19.1
    AppMagnJ  15.59
    AppMagnH  14.5
    AppMagnKs 13.92
    AppMagnW1 13.15
    AppMagnW2 12.79
    AppMagnW3 12.18
}

Star "SDSS 15262+28080/SDSS J152621.06+280806.9"
{
    RA        15 26 21.1
    Dec       +28  8  7
    Dist      53.70
    Class     "L1 V"
    AppMagni  20.32
    AppMagnJ  15.92
    AppMagnH  15.45
    AppMagnKs 14.47
}

Star "CFBDS 15265+03453/CFBDS J152655+034536"
{
    RA        15 26 55.8
    Dec       +03 45 36
    Dist      66.00
    Class     "T4 V"
    AppMagni  24.75
    AppMagnJ  17.69
    AppMagnH  17.85
}

Star "ULAS 15291+09222/ULAS J152912.23+092228.5"
{
    RA        15 29 12.2
    Dec       +09 22 29
    Dist      59.00
    Class     "T6 V"
    AppMagnJ  18.61
    AppMagnH  19.13
    Teff      975
}

Star "2MASS 15302-81453/2MASS J15302867-8145375"
{
    RA        15 30 28.7
    Dec       -81 45 38
    Dist      31.00
    Class     "L0 V"
    AppMagnJ  14.15
    AppMagnH  13.6
    AppMagnKs 13.4
}

Star "ULAS 15310+06011/ULAS J153108.89+060111.1/2MASS J15310888+0601112"
{
    RA        15 31  8.9
    Dec       +06  1 11
    Dist      41.10
    Class     "L0 V"
    AppMagni  20.21
    AppMagnJ  16.05
    AppMagnH  15.06
    AppMagnKs 14.4
}

Star "2MASS 15311+16412/2MASS J15311344+1641282"
{
    RA        15 31 13.5
    Dec       +16 41 28
    Dist      52.00
    Class     "L1 V"
    AppMagnJ  15.58
    AppMagnKs 13.8
}

Star "SDSS 15311+26283/SDSS J153119.91+262835.2"
{
    RA        15 31 19.9
    Dec       +26 28 35
    Dist      43.70
    Class     "L0 V"
    AppMagni  20.79
}

Star "SDSS 15322+26111/SDSS J153223.34+261118.8"
{
    RA        15 32 23.3
    Dec       +26 11 19
    Dist      50.10
    Class     "L1 V"
    AppMagni  20.63
    AppMagnJ  16.12
    AppMagnH  15.33
    AppMagnKs 14.9
}

Star "2MASS 15341+04264/2MASS J15341068+0426410"
{
    RA        15 34 10.7
    Dec       +04 26 41
    Dist      113.00
    Class     "L0 V"
    AppMagni  21.57
    AppMagnJ  16.92
    AppMagnH  16.42
    AppMagnKs 15.6
}

Star "SDSS 15345+12194/SDSS J153453.33+121949.2/2MASS J15345325+1219495"
{
    RA        15 34 53.3
    Dec       +12 19 50
    Dist      29.00
    Class     "L4 V"
    AppMagnJ  15.33
    AppMagnH  14.3
    AppMagnKs 13.83
}

Star "SDSS 15372+14050/SDSS J153721.97+140507.5"
{
    RA        15 37 22.0
    Dec       +14  5  8
    Dist      77.50
    Class     "L0 V"
    AppMagni  20.27
    AppMagnJ  16.13
    AppMagnH  15.46
    AppMagnKs 15.05
}

Star "2MASS 15382-19531/2MASS J15382417-1953116"
{
    RA        15 38 24.2
    Dec       -19 53 12
    Dist      21.00
    Class     "L6 V"
    AppMagnJ  15.93
    AppMagnKs 14
}

Star "2MASS 15392+65023/2MASS J15392137+6502364"
{
    RA        15 39 21.4
    Dec       +65  2 36
    Dist      33.00
    Class     "L1 V"
    AppMagnJ  14.6
    AppMagnKs 13.2
}

Star "2MASS 15392-66215/2MASS J15392601-6621581"
{
    RA        15 39 26.0
    Dec       -66 21 58
    Dist      26.17
    Class     "L3 V"
    AppMagnI  17.79
    AppMagnJ  14.82
    AppMagnH  14.13
    AppMagnKs 13.66
}

Star "Lup 15392-34484/Lup 153927-344844"
{
    RA        15 39 27.3
    Dec       -34 48 44
    Dist      116.00
    Class     "L0 V"
    AppMagnR  23.86
    AppMagnI  21.81
    AppMagnJ  17.19
    AppMagnH  16.27
    AppMagnKs 15.69
}

Star "DENIS-P 15394-05204/DENIS-P J153941.96-052042.4/2MASS J15394189-0520428"
{
    RA        15 39 41.9
    Dec       -05 20 43
    Dist      15.50
    Class     "L2 V"
    AppMagnI  17.5
    AppMagnJ  13.92
    AppMagnH  13.06
    AppMagnKs 12.58
    AppMagnK  12.4
    Teff      1800
}

Star "SDSS 15400+37423/SDSS J154009.36+374230.3/2MASS J15400942+3742316"
{
    RA        15 40  9.4
    Dec       +37 42 32
    Dist      19.20
    Class     "L9 V"
    AppMagnJ  16.56
    AppMagnH  15.35
    AppMagnKs 14.74
    AppMagnW1 14
    AppMagnW2 13.57
    AppMagnW3 12.11
}

Star "SDSS 15405+50332/SDSS J154050.74+503324.4"
{
    RA        15 40 50.7
    Dec       +50 33 24
    Dist      107.00
    Class     "L0 V"
    AppMagni  20.57
    AppMagnJ  16.66
    AppMagnH  16.42
    AppMagnKs 15.7
}

Star "2MASS 15410-60260/2MASS J15410782-6026051"           //Unconfirmed
{
    RA        15 41  7.8
    Dec       -60 26  5
    Dist      64.56
    Class     "M8.5 V"
    AppMagnJ  15.38
    AppMagnH  14.72
    AppMagnKs 14.28
}

Star "WISEPA 15415-22502/WISEPA J154151.66-225025.2"
{
    RA        15 41 52.3
    Dec       -22 50 25
    Dist      5.68
    Class     "Y0.5 V"
    AppMagnJ  21.63
    AppMagnH  22.09
    AppMagnK  17.93
    AppMagnW1 16.74
    AppMagnW2 14.25
    AppMagnW3 12.13
    Teff      350
    Radius    70610.11
    MassSol   0.011403
}

Star "WISEP 15421+22300/WISEP J154214.00+223005.2"
{
    RA        15 42 14.7
    Dec       +22 30  9
    Dist      10.42
    Class     "T9.5 V"
    AppMagnJ  19.94
    AppMagnH  20.52
    AppMagnW1 18.85
    AppMagnW2 15.04
    AppMagnW3 13.01
    Teff      477
    Radius    63619.01
    MassSol   0.01805475
}

Star "2MASS 15422+55224/2MASS J15422494+5522451"
{
    RA        15 42 24.9
    Dec       +55 22 45
    Dist      103.00
    Class     "L4 V"
    AppMagni  22.45
    AppMagnJ  17.13
    AppMagnH  17.89
    AppMagnKs 17.13
}

Star "2MASS 15422-42550/2MASS J15422834-4255000"           //Unconfirmed
{
    RA        15 42 28.3
    Dec       -42 55  0
    Dist      57.50
    Class     "M7 V"
    AppMagnR  20.18
    AppMagnI  18.11
    AppMagnJ  14.63
    AppMagnH  13.89
    AppMagnKs 13.38
}

Star "2MASS 15423?00454/2MASS J15423630?0045452"
{
    RA        15 42 36.3
    Dec      -0.7625
    Dist      31.00
    Class     "L7 V"
    AppMagni  21.87
    AppMagnJ  16.71
    AppMagnH  15.98
    AppMagnKs 15.41
}

Star "SDSS 15434-01473/SDSS J154343.91-014737.2/2MASS J15434392-0147372"
{
    RA        15 43 43.9
    Dec       -01 47 37
    Dist      73.40
    Class     "L0 V"
    AppMagnr  23
    AppMagni  20.07
    AppMagnJ  15.96
    AppMagnH  15.26
    AppMagnKs 14.95
}

Star "WISEP 15435-04390/WISEP J154352.78-043909.5"
{
    RA        15 43 52.8
    Dec       -04 39 10
    Dist      22.09
    Class     "T4.5 V"
    AppMagnI  22.02
    AppMagnJ  16.45
    AppMagnH  16.45
    AppMagnKs 16.43
    AppMagnW1 15.92
    AppMagnW2 14.35
    AppMagnW3 12.51
}

Star "ULAS 15442+08192/ULAS 154427.34+081926.6"
{
    RA        15 44 27.3
    Dec       +08 19 27
    Dist      76.00
    Class     "T3.5 V"
    AppMagnJ  18.53
    AppMagnH  18.49
    AppMagnKs 18.73
}

Star "WISEP 15445+58420/WISEP J154459.27+584204.5"
{
    RA        15 44 59.3
    Dec       +58 42  5
    Dist      23.00
    Class     "T7.5 V"
    AppMagnJ  18.52
    AppMagnH  18.34
    AppMagnKs 17.98
    AppMagnW1 18.39
    AppMagnW2 15.03
    AppMagnW3 13.42
    Teff      825
}

Star "SDSS 15450+03371/SDSS J154501.09+033714.3/2MASS J15450107+0337140"
{
    RA        15 45  1.1
    Dec       +03 37 14
    Dist      83.80
    Class     "L0 V"
    AppMagnr  24.16
    AppMagni  20.38
    AppMagnJ  16.34
    AppMagnH  15.63
    AppMagnKs 15.29
}

Star "SDSS 15450+06180/SDSS J154502.87+061807.8/2MASS J15450291+0618077"
{
    RA        15 45  2.9
    Dec       +06 18  8
    Dist      44.80
    Class     "L4 V"
    AppMagni  20.85
    AppMagnJ  16.37
    AppMagnH  15.6
    AppMagnKs 15.28
}

Star "SDSS 15450+35552/SDSS J154508.93+355527.3/2MASS J15450901+3555271"
{
    RA        15 45  9.0
    Dec       +35 55 27
    Dist      31.00
    Class     "L7.5 V"
    AppMagnJ  16.83
    AppMagnH  16
    AppMagnKs 15.43
    AppMagnW1 14.59
    AppMagnW2 14.12
    AppMagnW3 12.57
}

Star "2MASS 15461+49321/2MASS J15461461+4932114"
{
    RA        15 46 14.8
    Dec       +49 32 14
    Dist      19.00
    Class     "T2.5 V"
    AppMagnJ  15.9
    AppMagnH  15.14
    AppMagnKs 14.90
    AppMagnW1 14.49
    AppMagnW2 13.45
    AppMagnW3 12.08
}

Star "SDSS 15462+16091/SDSS J154625.94+160917.9"
{
    RA        15 46 25.9
    Dec       +16  9 18
    Dist      65.60
    Class     "L0 V"
    AppMagni  19.82
    AppMagnJ  15.71
    AppMagnH  14.81
    AppMagnKs 14.19
}

Star "2MASS 15462-33251/2MASS J15462718-3325111"
{
    RA        15 46 27.2
    Dec       -33 25 11
    Dist      11.36
    Class     "T5.5 V"
    AppMagni  
    AppMagnI  20.52
    AppMagnJ  15.63
    AppMagnH  15.45
    AppMagnKs 15.49
    AppMagnW1 15.24
    AppMagnW2 13.43
    AppMagnW3 12.31
}

Star "SDSS 15462+25363/SDSS J154628.38+253634.3/2MASS J15462849+2536338"
{
    RA        15 46 28.5
    Dec       +25 36 34
    Dist      29.70
    Class     "L1 V"
    AppMagni  20.15
    AppMagnJ  15.76
    AppMagnH  15.07
    AppMagnKs 14.71
}

Star "ULAS 15470+00532/ULAS J154701.84+005320.3"
{
    RA        15 47  1.8
    Dec       +00 53 20
    Dist      54.00
    Class     "T5.5 V"
    AppMagnJ  18.32
    AppMagnH  18.45
    AppMagnKs 18.21
}

Star "USco 15472-21391/USco J154722.82-213914.3/2MASS J15472282-2139141"
{
    RA        15 47 22.8
    Dec       -21 39 14
    Dist      145.00
    Class     "L0 V"
    AppMagnJ  16.03
    AppMagnH  15.13
    AppMagnKs 14.42
    Teff      2250
    MassSol   0.015204
}

Star "SDSS 15472+03363/SDSS J154727.23+033636.3/2MASS J15472723+0336361"
{
    RA        15 47 27.2
    Dec       +03 36 36
    Dist      57.00
    Class     "L2 V"
    AppMagnr  23.41
    AppMagni  20.45
    AppMagnJ  16.08
    AppMagnH  15.07
    AppMagnKs 14.27
    AppMagnK  14.27
}

Star "DENIS-P 15474-24234/DENIS-P J154747.2-242349/2MASS J15474719-2423493"
{
    RA        15 47 47.2
    Dec       -24 23 49
    Dist      28.00
    Class     "L0 V"
    AppMagnJ  13.97
    AppMagnH  13.27
    AppMagnKs 12.74
}

Star "SDSS 15484+17223/SDSS J154849.02+172235.4/2MASS J15484912+1722359"
{
    RA        15 48 49.1
    Dec       +17 22 36
    Dist      19.70
    Class     "L5 V"
    AppMagni  21.34
    AppMagnJ  16.1
    AppMagnH  15.14
    AppMagnKs 14.46
}

Star "2MASS 15485-28373/2MASS J15485777-2837332"           //Unconfirmed
{
    RA        15 48 57.8
    Dec       -28 37 33
    Dist      145.00
    Class     "L V"      //Unknown
    AppMagnJ  15.8
    AppMagnH  15.2
    AppMagnK  14.55
}

Star "2MASS 15485-16360/2MASS J15485834-1636018"
{
    RA        15 48 58.3
    Dec       -16 36  2
    Dist      21.00
    Class     "L2 V"
    AppMagnJ  13.89
    AppMagnH  13.1
    AppMagnKs 12.64
}

Star "2MASS 15490-28395/2MASS J15490803-2839550"           //Unconfirmed
{
    RA        15 49  8.0
    Dec       -28 39 55
    Dist      145.00
    Class     "L V"      //Unknown
    AppMagnJ  13.6
    AppMagnH  13.09
    AppMagnK  12.72
}

Star "SDSS 15491+55120/SDSS J154910.12+551203.2"
{
    RA        15 49 10.1
    Dec       +55 12  3
    Dist      49.30
    Class     "L3 V"
    AppMagni  20.86
    AppMagnJ  16.49
    AppMagnH  15.52
    AppMagnKs 15.17
}

Star "SDSS 15491+50223/SDSS J154914.17+502235.8"
{
    RA        15 49 14.2
    Dec       +50 22 36
    Dist      91.50
    Class     "L0 V"
    AppMagni  20.64
    AppMagnJ  16.26
    AppMagnH  15.7
    AppMagnKs 15.2
}

Star "2MASS 15492-28153/2MASS J15492909-2815384"           //Unconfirmed
{
    RA        15 49 29.1
    Dec       -28 15 39
    Dist      145.00
    Class     "L V"      //Unknown
    AppMagnJ  12.96
    AppMagnH  12.47
    AppMagnK  12.06
}

Star "2MASS 15493-28151/2MASS J15493660-2815141"           //Unconfirmed
{
    RA        15 49 36.6
    Dec       -28 15 14
    Dist      145.00
    Class     "L V"      //Unknown
    AppMagnJ  13.39
    AppMagnH  12.91
    AppMagnK  12.52
}

Star "2MASS 15495-46474/2MASS J15495129-4647478"
{
    RA        15 49 51.3
    Dec       -46 47 48
    Dist      27.68
    Class     "L4.5 V"
    AppMagnI  19.35
    AppMagnJ  15.54
    AppMagnH  14.71
    AppMagnKs 14.21
}

Star "SDSS 15495+49045/SDSS J154951.38+490450.1/2MASS J15495134+4904502"
{
    RA        15 49 51.4
    Dec       +49  4 50
    Dist      65.80
    Class     "L0 V"
    AppMagnr  23.56
    AppMagni  20.73
    AppMagnJ  16.25
    AppMagnH  15.32
    AppMagnKs 15.07
}

Star "2MASS 15501-28052/2MASS J15501958-2805237"           //Unconfirmed
{
    RA        15 50 19.6
    Dec       -28  5 24
    Dist      145.00
    Class     "L V"      //Unknown
    AppMagnJ  14.56
    AppMagnH  14.05
    AppMagnK  13.66
}

Star "2MASSW 15510+64570/2MASSW J1551066+645704/2MASS J15510662+6457047"           //Unconfirmed
{
    RA        15 51  6.6
    Dec       +64 57  5
    Dist      12.00
    Class     "L3 V"
    AppMagnR  19.2
    AppMagnI  15.3
    AppMagnJ  12.89
    AppMagnH  12.15
    AppMagnKs 11.72
}

Star "2MASS 15511-46282/2MASS J15511814-4628250"           //Unconfirmed
{
    RA        15 51 18.1
    Dec       -46 28 25
    Dist      70.51
    Class     "M8 V"
    AppMagnI  19.42
    AppMagnJ  15.42
    AppMagnH  14.65
    AppMagnKs 14.16
}

Star "SDSS 15512+43293/SDSS J155120.86+432930.3"
{
    RA        15 51 20.9
    Dec       +43 29 30
    Dist      40.00
    Class     "L3 V"
    AppMagni  19.58
    AppMagnJ  15.13
    AppMagnH  14.2
    AppMagnKs 13.63
}

Star "SDSS 15513+54420/SDSS J155132.71+544201.2"
{
    RA        15 51 32.7
    Dec       +54 42  1
    Dist      41.00
    Class     "L0 V"
    AppMagni  20.04
    AppMagnJ  14.86
    AppMagnH  14.04
    AppMagnKs 13.5
}

Star "SDSS 15515+09411/SDSS J155152.36+094114.6/2MASS J15515237+0941148"
{
    RA        15 51 52.4
    Dec       +09 41 15
    Dist      64.00
    Class     "L4 V"
    AppMagnJ  16.32
    AppMagnH  15.11
    AppMagnKs 14.31
    AppMagnW1 13.6
    AppMagnW2 13.12
    AppMagnW3 12.68
}

Star "SDSS 15521+06504/SDSS J155215.38+065041.5/2MASS J15521538+0650415"
{
    RA        15 52 15.4
    Dec       +06 50 42
    Dist      48.90
    Class     "L0 V"
    AppMagni  21.01
    AppMagnJ  16.78
    AppMagnH  15.91
    AppMagnKs 15.63
}

Star "SDSS 15525-00350/SDSS J155252.32-003501.9/2MASS J15525231-0035019"
{
    RA        15 52 52.3
    Dec      -0.583889
    Dist      38.40
    Class     "L0 V"
    AppMagnr  23.17
    AppMagni  20.06
    AppMagnJ  15.99
    AppMagnH  15.4
    AppMagnKs 15.01
}

Star "WISE 15525+50330/WISE J155254.84+503307.6"
{
    RA        15 52 54.8
    Dec       +50 33  8
    Dist      35.00
    Class     "L9 V"
    AppMagnJ  17.5
    AppMagnH  16.08
    AppMagnKs 15.53
    AppMagnW1 15
    AppMagnW2 14.41
    AppMagnW3 13.5
}

Star "SDSS 15525+29484/SDSS J155259.02+294848.3/2MASS J15525906+2948485"
{
    RA        15 52 59.1
    Dec       +29 48 49
    Dist      20.00
    Class     "L1 V"
    AppMagni  18.11
    AppMagnJ  13.48
    AppMagnH  12.61
    AppMagnKs 12.02
    Teff      2000
}

Star "MASS 15531-27563/MASS J15531698-2756369/2MASS J15531698-2756369   "           //Unconfirmed
{
    RA        15 53 17.0  
    Dec       -27 56 37
    Dist      145.00
    Class     "L V"      //Unknown
    AppMagnJ  13.96
    AppMagnH  13.45
    AppMagnK  13.04
}

Star "2MASS 15531+14003/2MASS J15531993+1400337"
{
    RA        15 53 19.9
    Dec       +14  0 34
    Dist      20.50
    Class     "M9 V"
    AppMagnR  18.57
    AppMagnI  16.14
    AppMagnJ  13.02
    AppMagnH  12.27
    AppMagnKs 11.85
}

Star "SDSS 15532+21090/SDSS J155321.40+210907.8/2MASS J15532142+2109071"
{
    RA        15 53 21.4
    Dec       +21  9  7
    Dist      27.30
    Class     "L5.5 V"
    AppMagn   26.17
    AppMagnR  22.98
    AppMagnI  20.79
    AppMagnJ  16.7
    AppMagnH  15.34
    AppMagnKs 14.68
    AppMagnW1 13.79
    AppMagnW2 13.31
    AppMagnW3 12.2
}

Star "USco 15541-21354/USco J155419.99-213543.1"
{
    RA        15 54 20.0
    Dec       -21 35 43
    Dist      145.00
    Class     "M8 V"
    AppMagnJ  14.93
    AppMagnH  14.28
    AppMagnKs 13.71
    Teff      2710
    MassSol   0.02375625
}

Star "2MASS 15544-28430/2MASS J15544486-2843078"           //Unconfirmed
{
    RA        15 54 44.9
    Dec       -28 43  8
    Dist      145.00
    Class     "L V"      //Unknown
    AppMagnJ  14.12
    AppMagnH  13.61
    AppMagnK  13.22
}

Star "2MASS 15551-09560/2MASS J15551573-0956055"
{
    RA        15 55 15.7
    Dec       -09 56  6
    Dist      13.80
    Class     "L1 V"
    AppMagnJ  12.56
    AppMagnH  11.98
    AppMagnKs 11.44
    Teff      2200
    Radius    67813.67
}

Star "2MASS 15551-27512/2MASS J15551960-2751207"           //Unconfirmed
{
    RA        15 55 19.6
    Dec       -27 51 21
    Dist      145.00
    Class     "L V"      //Unknown
    AppMagnJ  14.02
    AppMagnH  13.51
    AppMagnK  13.11
}

Star "SDSS 15552+00172/SDSS J155526.15+001720.6/2MASS J15552614+0017204"
{
    RA        15 55 26.2
    Dec       +00 17 21
    Dist      44.00
    Class     "L0 V"
    AppMagnr  22.48
    AppMagni  19.27
    AppMagnJ  14.95
    AppMagnH  14.23
    AppMagnKs 13.82
    AppMagnK  13.82
}

Star "SDSS 15564+17230/SDSS J155644.35+172308.9"
{
    RA        15 56 44.4
    Dec       +17 23  9
    Dist      33.00
    Class     "L0 V"
    AppMagni  19.13
    AppMagnJ  14.67
    AppMagnH  13.87
    AppMagnKs 13.35
}

Star "2MASS 15570-35263/2MASS J15570870-3526375"           //Unconfirmed
{
    RA        15 57  8.7
    Dec       -35 26 38
    Dist      49.27
    Class     "M9 V"
    AppMagnJ  15
    AppMagnH  14.24
    AppMagnKs 13.8
}

Star "2MASS 15572-43502/2MASS J15572739-4350214"           //Unconfirmed
{
    RA        15 57 27.4
    Dec       -43 50 21
    Dist      48.15
    Class     "M7 V"
    AppMagnR  19.95
    AppMagnI  17.58
    AppMagnJ  14.22
    AppMagnH  13.62
    AppMagnKs 13.13
}

Star "WISE 15575+59142/WISE J155755.29+591425.3"           //Unconfirmed
{
    RA        15 57 55.3
    Dec       +59 14 25
    Dist      34.00
    Class     "M9 V"
    AppMagnJ  14.32
    AppMagnH  13.61
    AppMagnKs 13.12
    AppMagnW1 12.8
    AppMagnW2 12.52
    AppMagnW3 12.4
}

Star "2MASS 15582-27214/2MASS J15582376-2721435"           //Unconfirmed
{
    RA        15 58 23.8
    Dec       -27 21 44
    Dist      145.00
    Class     "L V"      //Unknown
    AppMagnJ  13.07
    AppMagnH  12.6
    AppMagnK  12.22
}

Star "2MASS 15583-28032/2MASS J15583403-2803243"           //Unconfirmed
{
    RA        15 58 34.0
    Dec       -28  3 25
    Dist      145.00
    Class     "L V"      //Unknown
    AppMagnJ  13.72
    AppMagnH  13.17
    AppMagnK  12.73
}

Star "2MASS 15585-27580/2MASS J15585793-2758083"           //Unconfirmed
{
    RA        15 58 57.9
    Dec       -27 58  9
    Dist      145.00
    Class     "L V"      //Unknown
    AppMagnJ  13.81
    AppMagnH  13.31
    AppMagnK  12.93
}

Star "2MASS 15591-28404/2MASS J15591513-2840411"           //Unconfirmed
{
    RA        15 59 15.1
    Dec       -28 40 41
    Dist      145.00
    Class     "L V"      //Unknown
    AppMagnJ  12.96
    AppMagnH  12.49
    AppMagnK  12.15
}

Star "2MASS 16002-38443/2MASS J16002514-3844387"           //Unconfirmed
{
    RA        16  0 25.1
    Dec       -38 44 39
    Dist      48.76
    Class     "M8 V"
    AppMagnR  20.14
    AppMagnI  17.69
    AppMagnJ  14.6
    AppMagnH  13.96
    AppMagnKs 13.47
}

Star "2MASS 16005-28120/2MASS J16005265-2812087"           //Unconfirmed
{
    RA        16  0 52.7
    Dec       -28 12  9
    Dist      145.00
    Class     "L V"      //Unknown
    AppMagnJ  13.57
    AppMagnH  13.04
    AppMagnK  12.66
}

Star "SDSS 16014+21594/SDSS J160140.86+215945.4"
{
    RA        16  1 40.9
    Dec       +21 59 45
    Dist      47.40
    Class     "L1 V"
    AppMagni  20.78
    AppMagnJ  16.27
    AppMagnH  15.48
    AppMagnKs 15.13
}

Star "2MASS 16035-27382/2MASS J16035573-2738248"           //Unconfirmed
{
    RA        16  3 55.7
    Dec       -27 38 25
    Dist      145.00
    Class     "L V"      //Unknown
    AppMagnJ  13.8
    AppMagnH  13.28
    AppMagnK  12.88
}

Star "SDSS 16051+04215/SDSS J160510.15+042152.1/2MASS J16051015+0421521"
{
    RA        16  5 10.2
    Dec       +04 21 52
    Dist      60.30
    Class     "L0 V"
    AppMagnr  21.71
    AppMagni  19.35
    AppMagnJ  15.24
    AppMagnH  14.38
    AppMagnKs 13.82
}

Star "USco 16060-22193/USco J160603.75-221930.0/2MASS J16060374-2219298"
{
    RA        16  6  3.7
    Dec       -22 19 30
    Dist      145.00
    Class     "L2 V"
    AppMagnJ  15.97
    AppMagnH  14.95
    AppMagnKs 14.55
    Teff      1950
    MassSol   0.01045275
}

Star "USco 16060-23351/USco J160606.29-233513.3/2MASS J16060629-2335133"
{
    RA        16  6  6.3
    Dec       -23 35 13
    Dist      145.00
    Class     "L0 V"
    AppMagnJ  16.11
    AppMagnH  15.54
    AppMagnKs 15.05
    Teff      2250
    MassSol   0.015204
}

Star "2MASS 16062+68372/2MASS J16062665+6837268"
{
    RA        16  6 26.7
    Dec       +68 37 27
    Dist      33.00
    Class     "L2 V"
    AppMagnJ  14.91
    AppMagnKs 13.43
}

Star "2MASS 16062-28565/2MASS J16062870-2856580"           //Unconfirmed
{
    RA        16  6 28.7
    Dec       -28 56 58
    Dist      145.00
    Class     "L V"      //Unknown
    AppMagnJ  13.52
    AppMagnH  13.01
    AppMagnK  12.63
}

Star "USco 16064-22304/USco J160648.18-223040.1"
{
    RA        16  6 48.2
    Dec       -22 30 40
    Dist      145.00
    Class     "M8 V"
    AppMagnJ  14.93
    AppMagnH  14.35
    AppMagnKs 13.84
    Teff      2710
    MassSol   0.02375625
}

Star "USco 16071-23210/USco J160714.79-232101.2/2MASS J16071478-2321011"
{
    RA        16  7 14.8
    Dec       -23 21  1
    Dist      145.00
    Class     "L0 V"
    AppMagnJ  16.75
    AppMagnH  15.66
    AppMagnKs 15.13
    Teff      2250
    MassSol   0.015204
}

Star "USco 16072-22110/USco J160723.82-221102.0/2MASS J16072382-2211018"
{
    RA        16  7 23.8
    Dec       -22 11  2
    Dist      145.00
    Class     "L1 V"
    AppMagnJ  15.29
    AppMagnH  14.52
    AppMagnKs 14.09
    Teff      2100
    MassSol   0.01235325
}

Star "USco 16072-22390/USco J160727.82-223904.0/2MASS J16072782-2239040"
{
    RA        16  7 27.8
    Dec       -22 39  4
    Dist      145.00
    Class     "L1 V"
    AppMagnJ  16.8
    AppMagnH  16.25
    AppMagnKs 15.42
    Teff      2100
    MassSol   0.01235325
}

Star "USco 16073-22424/USco J160737.99-224247.0/2MASS J16073799-2242468"
{
    RA        16  7 38.0
    Dec       -22 42 47
    Dist      145.00
    Class     "L0 V"
    AppMagnJ  16.95
    AppMagnH  15.87
    AppMagnKs 15.84
    Teff      2250
    MassSol   0.015204
}

Star "SDSS 16074+34594/SDSS J160743.08+345947.3/2MASS J16074308+3459470"
{
    RA        16  7 43.1
    Dec       +34 59 47
    Dist      34.00
    Class     "L0 V"
    AppMagnr  22.43
    AppMagni  19.84
    AppMagnJ  15.42
    AppMagnH  14.51
    AppMagnKs 13.96
}

Star "USco 16081-22322/USco J160818.43-223225.0/2MASS J16081843-2232248"
{
    RA        16  8 18.4
    Dec       -22 32 25
    Dist      145.00
    Class     "L0 V"
    AppMagnJ  16.16
    AppMagnH  15.41
    AppMagnKs 14.78
    Teff      2250
    MassSol   0.015204
}

Star "USco 16082-23151/USco J160828.47-231510.4/2MASS J16082847-2315103"
{
    RA        16  8 28.5
    Dec       -23 15 10
    Dist      145.00
    Class     "L1 V"
    AppMagnJ  15.48
    AppMagnH  14.78
    AppMagnKs 14.21
    Teff      2100
    MassSol   0.01235325
}

Star "USco 16083-23351/USco J160830.49-233511.0"
{
    RA        16  8 30.5
    Dec       -23 35 11
    Dist      145.00
    Class     "M9 V"
    AppMagnJ  14.88
    AppMagnH  14.29
    AppMagnKs 13.76
    Teff      2400
    MassSol   0.0171045
}

Star "USco 16084-22451/USco J160843.44-224516.0"
{
    RA        16  8 43.4
    Dec       -22 45 16
    Dist      145.00
    Class     "L1 V"
    AppMagnJ  18.59
    AppMagnH  17.22
    AppMagnKs 16.26
    AppMagnW1 15.43
    AppMagnW2 14.67
    AppMagnW3 12.10
    Teff      2100
    MassSol   0.01235325
}

Star "USco 16084-22354/USco J160847.44-223547.9"
{
    RA        16  8 47.4
    Dec       -22 35 48
    Dist      145.00
    Class     "M9 V"
    AppMagnJ  15.69
    AppMagnH  15.09
    AppMagnKs 14.53
    Teff      2400
    MassSol   0.0171045
}

Star "2MASS 16090-27405/2MASS J16090168-2740521"           //Unconfirmed
{
    RA        16  9  1.7
    Dec       -27 40 52
    Dist      145.00
    Class     "L V"      //Unknown
    AppMagnJ  12.86
    AppMagnH  12.35
    AppMagnK  11.89
}

Star "USco 16091-22292/USco J160918.69-222923.7"
{
    RA        16  9 18.7
    Dec       -22 29 24
    Dist      145.00
    Class     "L1 V"
    AppMagnJ  18.08
    AppMagnH  17.06
    AppMagnKs 16.16
    Teff      2100
    MassSol   0.01235325
}

Star "USco 16095-22224/USco J160956.34-222245.5"
{
    RA        16  9 56.3
    Dec       -22 22 46
    Dist      130.00
    Class     "L2 V"
    AppMagnJ  17.83
    AppMagnH  16.99
    AppMagnKs 16.29
}

Star "2MASS 16101-28563/2MASS J16101316-2856308"           //Unconfirmed
{
    RA        16 10 13.2
    Dec       -28 56 31
    Dist      145.00
    Class     "L V"      //Unknown
    AppMagnJ  14.06
    AppMagnH  13.54
    AppMagnK  13.11
}

Star "USco 16104-22394/USco J161047.13-223949.4"
{
    RA        16 10 47.1
    Dec       -22 39 49
    Dist      145.00
    Class     "M9 V"
    AppMagnJ  15.26
    AppMagnH  14.57
    AppMagnKs 14.01
    Teff      2400
    MassSol   0.0171045
}

Star "2MASS 16105-39354/2MASS J16105290-3935489"           //Unconfirmed
{
    RA        16 10 52.9
    Dec       -39 35 49
    Dist      96.57
    Class     "M7 V"
    AppMagnR  21.55
    AppMagnI  19.74
    AppMagnJ  15.65
    AppMagnH  14.9
    AppMagnKs 14.48
}

Star "DENIS 16110-24264/DENIS 161103.60-242642.9"
{
    RA        16 11  3.6
    Dec       -24 26 43
    Dist      145.00
    Class     "M9 V"
    AppMagnJ  14.86
    AppMagnH  14.14
    AppMagnKs 13.7
    Teff      2400
    MassSol   0.0171045
}

Star "SDSS 16110+00254/SDSS J161106.31+002547.0"
{
    RA        16 11  6.3
    Dec       +00 25 47
    Dist      86.20
    Class     "L0 V"
    AppMagni  21.42
    AppMagnJ  17.02
    AppMagnH  16.53
    AppMagnKs 15.83
}

Star "2MASS 16112-41493/2MASS J16112049-4149381"           //Unconfirmed
{
    RA        16 11 20.5
    Dec       -41 49 38
    Dist      86.90
    Class     "M8.5 V"
    AppMagnR  21.13
    AppMagnI  19.08
    AppMagnJ  15.94
    AppMagnH  15.18
    AppMagnKs 14.57
}

Star "2MASS 16114-38111/2MASS J16114212-3811109"
{
    RA        16 11 42.1
    Dec       -38 11 11
    Dist      24.85
    Class     "L5 V"
    AppMagnR  21.12
    AppMagnI  19.23
    AppMagnJ  15.39
    AppMagnH  14.71
    AppMagnKs 14.16
}

Star "WISEPA 16121-34202/WISEPA J161215.94-342027.1"
{
    RA        16 12 15.9
    Dec       -34 20 27
    Dist      17.00
    Class     "T6.5 V"
    AppMagnJ  16.65
    AppMagnH  16.96
    AppMagnW1 18.19
    AppMagnW2 14.09
    AppMagnW3 12.47
    Teff      975
}

Star "USco 16122-21564/USco J161227.64-215640.8/2MASS J16122764-2156407"
{
    RA        16 12 27.6
    Dec       -21 56 41
    Dist      145.00
    Class     "L0 V"
    AppMagnJ  17.24
    AppMagnH  16.38
    AppMagnKs 15.4
    Teff      2250
    MassSol   0.015204
}

Star "USco 16122-21593/USco J161228.95-215936.1/2MASS J16122895-2159358"
{
    RA        16 12 29.0
    Dec       -21 59 36
    Dist      145.00
    Class     "L1 V"
    AppMagnJ  16.63
    AppMagnH  15.66
    AppMagnKs 15
    Teff      2100
    MassSol   0.01235325
}

Star "2MASS 16125-38000/2MASS J16125907-3800071"
{
    RA        16 12 59.1
    Dec       -38  0  7
    Dist      57.24
    Class     "M9.5 V"
    AppMagnR  20.95
    AppMagnI  18.77
    AppMagnJ  15.45
    AppMagnH  14.72
    AppMagnKs 14.32
}

Star "USco 16130-21242/USco J161302.32-212428.4/2MASS J16130232-2124283"
{
    RA        16 13  2.3
    Dec       -21 24 28
    Dist      145.00
    Class     "L0 V"
    AppMagnJ  17.16
    AppMagnH  17.17
    AppMagnKs 15.25
    Teff      2250
    MassSol   0.015204
}

Star "SDSS 16131+47291/SDSS J161312.06+472918.2/2MASS J16131206+4729183"
{
    RA        16 13 12.1
    Dec       +47 29 18
    Dist      56.50
    Class     "L0 V"
    AppMagnr  22.51
    AppMagni  20.04
    AppMagnJ  15.96
    AppMagnH  15.23
    AppMagnKs 14.79
}

Star "SDSS 16134+13460/SDSS J161349.44+134608.6"
{
    RA        16 13 49.4
    Dec       +13 46  9
    Dist      98.90
    Class     "L0 V"
    AppMagni  20.2
}

Star "SDSS 16142+00464/SDSS J161420.50+004643.6/2MASS J16142048+0046434"
{
    RA        16 14 20.5
    Dec       +00 46 43
    Dist      61.00
    Class     "L2 V"
    AppMagnr  23.14
    AppMagni  20.89
    AppMagnJ  16.23
    AppMagnH  15.59
    AppMagnKs 14.85
    AppMagnK  14.85
}

Star "WISEPA 16144+17393/WISEPA J161441.45+173936.7"
{
    RA        16 14 41.5
    Dec       +17 39 37
    Dist      10.00
    Class     "T9 V"
    AppMagnJ  19.08
    AppMagnH  18.47
    AppMagnW1 18.33
    AppMagnW2 14.23
    AppMagnW3 12.45
    Teff      525
}

Star "USco 16144-23510/USco J161441.68-235105.9/2MASS J16144169-2351058"
{
    RA        16 14 41.7
    Dec       -23 51  6
    Dist      145.00
    Class     "L1 V"
    AppMagnJ  16.12
    AppMagnH  15.32
    AppMagnKs 14.66
    Teff      2100
    MassSol   0.01235325
}

Star "SDSS 16145+40043/SDSS J161459.98+400435.1"
{
    RA        16 14 60.0
    Dec       +40  4 35
    Dist      70.00
    Class     "L2 V"
    AppMagnJ  16.51
    AppMagnH  15.43
    AppMagnKs 15.18
    AppMagnW1 14.58
    AppMagnW2 14.24
    AppMagnW3 13.61
}

Star "2MASS 16150+13400/2MASS J16150413+1340079"
{
    RA        16 15  4.1
    Dec       +13 40  8
    Dist      14.58
    Class     "T6 V"
    AppMagnJ  16.35
    AppMagnH  16.49
    AppMagnKs 15.86
    AppMagnW1 16.08
    AppMagnW2 14.11
    AppMagnW3 12.63
    Teff      975
}

Star "SDSS 16154+49532/SDSS J161542.54+495321.2/2MASS J16154255+4953211"
{
    RA        16 15 42.6
    Dec       +49 53 21
    Dist      71.00
    Class     "L4 V"
    AppMagni  22.03
    AppMagnJ  16.79
    AppMagnH  15.33
    AppMagnKs 14.31
    AppMagnW1 13.22
    AppMagnW2 12.6
    AppMagnW3 12.13
}

Star "SDSS 16154+35585/SDSS J161544.16+355858.3/2MASS J16154416+3559005"
{
    RA        16 15 44.2
    Dec       +35 59  1
    Dist      24.00
    Class     "L3 V"
    AppMagni  19.2
    AppMagnJ  14.54
    AppMagnH  13.52
    AppMagnKs 12.94
}

Star "SDSS 16161+52132/SDSS J161611.36+521327.9/2MASS J16161134+5213277"
{
    RA        16 16 11.4
    Dec       +52 13 28
    Dist      30.50
    Class     "L0 V"
    AppMagnr  22.55
    AppMagni  19.9
    AppMagnJ  15.4
    AppMagnH  14.63
    AppMagnKs 14.18
}

Star "SDSS 16162+22185/SDSS J161626.46+221859.2/2MASS J16162649+2218591"
{
    RA        16 16 26.5
    Dec       +22 18 59
    Dist      56.00
    Class     "L5 V"
    AppMagnJ  17.26
    AppMagnH  16.23
    AppMagnKs 15.82
}

Star "WISEPA 16170+18071/WISEPA J161705.75+180714.3"
{
    RA        16 17  5.8
    Dec       +18  7 14
    Dist      13.10
    Class     "T8 V"
    AppMagnJ  17.66
    AppMagnH  18.23
    AppMagnW1 16.83
    AppMagnW2 14.04
    AppMagnW3 12.24
    Teff      600
    MassSol   0.00665175
}

Star "SDSS 16173+40185/SDSS J161731.65+401859.7/2MASS J16173168+4019003"
{
    RA        16 17 31.7
    Dec       +40 19  0
    Dist      59.00
    Class     "L4 V"
    AppMagnJ  16.74
    AppMagnH  15.61
    AppMagnKs 14.75
}

Star "2MASS 16180-40191/2MASS J16180406-4019163"
{
    RA        16 18  4.1
    Dec       -40 19 16
    Dist      30.00
    Class     "L5 V"
    AppMagnR  21.65
    AppMagnI  19.74
    AppMagnJ  15.89
    AppMagnH  15.22
    AppMagnKs 14.63
}

Star "SDSS 16184+20204/SDSS J161840.27+202045.6/2MASS J16184026+2020456"
{
    RA        16 18 40.3
    Dec       +20 20 46
    Dist      39.20
    Class     "L0 V"
    AppMagnr  23.41
    AppMagni  20.62
    AppMagnJ  16.15
    AppMagnH  15.2
    AppMagnKs 14.81
}

Star "2MASS 16184-13212/2MASS J16184503-1321297"
{
    RA        16 18 45.0
    Dec       -13 21 30
    Dist      32.00
    Class     "L0 V"
    AppMagnJ  14.25
    AppMagnH  13.4
    AppMagnKs 12.92
}

Star "HQT-5"
{
    RA        16 18 52.4
    Dec       +66 37  4
    Dist      134.00
    Class     "L8 V"
    AppMagnI  25.12
    AppMagnJ  20.2
}

Star "2MASS 16192-28183/2MASS J16192399-2818374"           //Unconfirmed
{
    RA        16 19 24.0
    Dec       -28 18 38
    Dist      145.00
    Class     "L V"      //Unknown
    AppMagnJ  13.78
    AppMagnH  13.31
    AppMagnK  12.9
}

Star "DENIS-P 16192+00501/DENIS-P J161928.3+005012/2MASS J16192830+0050118"
{
    RA        16 19 28.3
    Dec       +00 50 12
    Dist      26.00
    Class     "L2 V"
    AppMagnr  21.54
    AppMagni  18.99
    AppMagnI  17.79
    AppMagnJ  14.39
    AppMagnH  13.67
    AppMagnKs 13.19
    AppMagnK  13.28
}

Star "2MASS 16193-41262/2MASS J16193117-4126215"           //Unconfirmed
{
    RA        16 19 31.2
    Dec       -41 26 22
    Dist      87.18
    Class     "M7 V"
    AppMagnJ  15.45
    AppMagnH  14.65
    AppMagnKs 14.16
}

Star "2MASS 16195-28322/2MASS J16195827-2832276"           //Unconfirmed
{
    RA        16 19 58.3
    Dec       -28 32 28
    Dist      145.00
    Class     "L V"      //Unknown
    AppMagnJ  16.18
    AppMagnH  15.39
    AppMagnK  14.74
}

Star "SDSS 16205+32373/SDSS J162051.17+323732.1/2MASS J16205116+3237322"
{
    RA        16 20 51.2
    Dec       +32 37 32
    Dist      41.00
    Class     "L6 V"
    AppMagnJ  17.51
    AppMagnH  16.3
    AppMagnKs 15.52
}

Star "*HJAL2010 01"           //Unconfirmed
{
    RA        16 21 23.9
    Dec       -24  0 20
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagnI  21.08
    AppMagnJ  17.53
    AppMagnH  16.52
    AppMagnKs 15.94
}

Star "SDSS 16212+27470/SDSS J162124.66+274702.7/2MASS J16212464+2747030"
{
    RA        16 21 24.6
    Dec       +27 47  3
    Dist      77.50
    Class     "L1 V"
    AppMagnr  23.1
    AppMagni  20.43
    AppMagnJ  16.44
    AppMagnH  15.73
    AppMagnKs 15.54
}

Star "*HJAL2010 02"           //Unconfirmed
{
    RA        16 21 53.4
    Dec       -23 40 19
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagnI  23.61
    AppMagnJ  19.31
    AppMagnH  17.94
    AppMagnKs 17.29
}

Star "SDSS 16220+45481/SDSS J162208.04+454813.0/2MASS J16220803+4548132"
{
    RA        16 22  8.0
    Dec       +45 48 13
    Dist      57.00
    Class     "L1 V"
    AppMagnr  22.5
    AppMagni  20.28
    AppMagnJ  15.86
    AppMagnH  15.08
    AppMagnKs 14.44
}

Star "WISEPA 16220-09593/WISEPA J162208.94-095934.6"
{
    RA        16 22  8.9
    Dec       -09 59 35
    Dist      15.99
    Class     "T6 V"
    AppMagnI  20.86
    AppMagnJ  16.44
    AppMagnH  16.05
    AppMagnKs 16.07
    AppMagnW1 16.25
    AppMagnW2 14.02
    AppMagnW3 12.55
    Teff      975
}

Star "*HJAL2010 03"           //Unconfirmed
{
    RA        16 22 20.4
    Dec       -23  7 52
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagnI  21.74
    AppMagnJ  16.82
    AppMagnH  15.42
    AppMagnKs 14.89
}

Star "*HJAL2010 04"           //Unconfirmed
{
    RA        16 22 24.7
    Dec       -23 26 20
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagnI  19.98
    AppMagnJ  16.53
    AppMagnH  15.6
    AppMagnKs 15.03
}

Star "*HJAL2010 05"           //Unconfirmed
{
    RA        16 22 26.7
    Dec       -23  8 53
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagnI  20.28
    AppMagnJ  16.79
    AppMagnH  15.39
    AppMagnKs 14.92
}

Star "*HJAL2010 06"           //Unconfirmed
{
    RA        16 22 31.6
    Dec       -23 10 15
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagnI  19.72
    AppMagnJ  16.3
    AppMagnH  15.35
    AppMagnKs 14.65
}

Star "DENIS-P 16223?12071/DENIS-P J1622326?120719/2MASS J16223264-1207192"
{
    RA        16 22 32.6
    Dec       -12  7 19
    Dist      22.00
    Class     "M9.5 V"
    AppMagnI  16.56
    AppMagnJ  13.55
    AppMagnH  12.86
    AppMagnK  12.41
}

Star "*HJAL2010 07"           //Unconfirmed
{
    RA        16 22 35.5
    Dec       -24 13 22
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagnI  19.83
    AppMagnJ  16.59
    AppMagnH  15.93
    AppMagnKs 15.13
}

Star "*HJAL2010 08"           //Unconfirmed
{
    RA        16 22 50.3
    Dec       -23  9 48
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagnI  19.89
    AppMagnJ  16.47
    AppMagnH  15.56
    AppMagnKs 15.1
}

Star "*HJAL2010 09"           //Unconfirmed
{
    RA        16 22 52.6
    Dec       -23 18  8
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagnI  19.23
    AppMagnJ  15.79
    AppMagnH  15.08
    AppMagnKs 14.71
}

Star "*HJAL2010 10"           //Unconfirmed
{
    RA        16 22 52.8
    Dec       -23 30 49
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagnI  20.47
    AppMagnJ  16.78
    AppMagnH  15.72
    AppMagnKs 15.13
}

Star "SDSS 16225+11592/SDSS J162255.27+115924.1/2MASS J16225533+1159238"
{
    RA        16 22 55.3
    Dec       +11 59 24
    Dist      43.00
    Class     "L6 V"
    AppMagnJ  16.88
    AppMagnH  16.15
    AppMagnKs 15.55
}

Star "*HJAL2010 11"           //Unconfirmed
{
    RA        16 22 56.1
    Dec       -24 14 31
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagnI  20.19
    AppMagnJ  16.49
    AppMagnH  15.66
    AppMagnKs 14.96
}

Star "*HJAL2010 12"           //Unconfirmed
{
    RA        16 22 56.1
    Dec       -23 16 12
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagnI  20.93
    AppMagnJ  16.81
    AppMagnH  15.77
    AppMagnKs 15.44
}

Star "SDSS 16230+29082/SDSS J162307.37+290827.7/2MASS J16230740+2908281"
{
    RA        16 23  7.4
    Dec       +29  8 28
    Dist      48.90
    Class     "L1 V"
    AppMagnr  22.16
    AppMagni  20.38
    AppMagnJ  16.08
    AppMagnH  15.5
    AppMagnKs 14.97
}

Star "*HJAL2010 13"           //Unconfirmed
{
    RA        16 23 15.2
    Dec       -23 47  5
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagnI  19.58
    AppMagnJ  15.12
    AppMagnH  14.2
    AppMagnKs 13.52
}

Star "*HJAL2010 14"           //Unconfirmed
{
    RA        16 23 19.3
    Dec       -23 33 41
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagnI  19.95
    AppMagnJ  16.43
    AppMagnH  15.69
    AppMagnKs 15.2
}

Star "SDSS 16232+15303/SDSS J162321.84+153039.2"
{
    RA        16 23 21.8
    Dec       +15 30 39
    Dist      59.20
    Class     "L0 V"
    AppMagni  20.12
    AppMagnJ  15.94
    AppMagnH  15.13
    AppMagnKs 14.63
}

Star "*HJAL2010 15"           //Unconfirmed
{
    RA        16 23 33.7
    Dec       -23 52 37
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagnI  22.95
    AppMagnJ  19.04
    AppMagnH  17.96
    AppMagnKs 17.24
}

Star "*HJAL2010 16"           //Unconfirmed
{
    RA        16 23 33.7
    Dec       -23 48 37
    Dist      125.00
    AppMagnI  23.6
    AppMagnJ  19.26
    AppMagnH  18.19
    AppMagnKs 17.39
    MassSol   0.0019005
}

Star "*HJAL2010 17"           //Unconfirmed
{
    RA        16 23 36.5
    Dec       -23 44  5
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagnI  20.39
    AppMagnJ  16.6
    AppMagnH  15.21
    AppMagnKs 15.19
}

Star "2MASS 16233-28224/2MASS J16233986-2822415"           //Unconfirmed
{
    RA        16 23 39.9
    Dec       -28 22 42
    Dist      88.56
    Class     "M7.5 V"
    AppMagnR  20.73
    AppMagnI  18.67
    AppMagnJ  15.7
    AppMagnH  14.94
    AppMagnKs 14.49
}

Star "*HJAL2010 18"           //Unconfirmed
{
    RA        16 23 46.9
    Dec       -23 36 38
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagnI  19.37
    AppMagnJ  15.84
    AppMagnH  14.92
    AppMagnKs 14.43
}

Star "WISE 16235-05081/WISE J162359.70-050811.4"
{
    RA        16 23 59.7
    Dec       -05  8 11
    Dist      39.00
    Class     "L1 V"
    AppMagnJ  14.94
    AppMagnH  14.08
    AppMagnKs 13.56
    AppMagnW1 13.21
    AppMagnW2 12.94
    AppMagnW3 11.64
}

Star "SDSSp 16241+00291/SDSSp J162414.37+002915.6/2MASS J16241436+0029158"
{
    RA        16 24 14.4
    Dec       +00 29 16
    Dist      11.00
    Class     "T6 V"
    AppMagni  22.95
    AppMagnI  20.88
    AppMagnJ  15.49
    AppMagnH  15.52
    AppMagnKs 15.52
    AppMagnK  15.53
    AppMagnW1 15.08
    AppMagnW2 13.07
    AppMagnW3 12.01
    Teff      1010
    Radius    55928.8
    MassSol   0.057015
}

Star "SCH 16252-16585/SCH 162528.62-165850.6"
{
    RA        16 25 28.6
    Dec       -16 58 51
    Dist      145.00
    Class     "M8 V"
    AppMagnJ  13.68
    AppMagnH  13.01
    AppMagnKs 12.63
    Teff      2710
    MassSol   0.02375625
}

Star "CFHTWIR-Oph 4/2MASS J16253241-2434050"
{
    RA        16 25 32.4
    Dec       -24 34  5
    Dist      125.00
    Class     "M6.5 V"
    AppMagnJ  14.88
    AppMagnH  13.93
    AppMagnKs 13.34
}

Star "PSO J246.4222+15.4698"
{
    RA        16 25 41.3
    Dec       +15 28 11
    Dist      34.00
    Class     "T4.5 V"
    AppMagnJ  16.77
    AppMagnH  16.91
    AppMagnKs 17.14
}

Star "WISEP 16254+15281/WISEP J162541.36+152811.1/2MASS J16254152+1528140"
{
    RA        16 25 41.5
    Dec       +15 28 14
    Dist      32.00
    Class     "T5 V"
    AppMagnJ  17.14
    AppMagnH  16.85
    AppMagnKs 16.98
    AppMagnW1 16.9
    AppMagnW2 14.72
    AppMagnW3 12.50
}

Star "BKLT 16254-24435/BKLT J162542-244350/2MASS J16254254-2443510"           //Unconfirmed
{
    RA        16 25 42.5
    Dec       -24 43 51
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagnJ  15.68
    AppMagnH  14.51
    AppMagnKs 13.98
}

Star "*HBT2010 01"           //Unconfirmed
{
    RA        16 25 49.5
    Dec       -24 20  2
    Dist      125.00
    Class     "T4.5 V"
    AppMagnJ  20.98
    AppMagnH  18.58
    AppMagnK  17.72
    MassSol   0.0019005
}

Star "*HBT2010 02"           //Unconfirmed
{
    RA        16 25 55.6
    Dec       -24 24 47
    Dist      125.00
    Class     "T5 V"
    AppMagnJ  21.00
    AppMagnH  19.43
    AppMagnK  18.15
    MassSol   0.0019005
}

Star "*HBT2010 03"           //Unconfirmed
{
    RA        16 25 55.6
    Dec       -24 26 60
    Dist      125.00
    Class     "T5 V"
    AppMagnJ  21.00
    AppMagnH  19.28
    AppMagnK  18.28
    MassSol   0.0019005
}

Star "*HBT2010 04"           //Unconfirmed
{
    RA        16 25 56.0
    Dec       -24 34  1
    Dist      125.00
    Class     "T4.5 V"
    AppMagnJ  20.12
    AppMagnH  18.41
    AppMagnK  17.14
    MassSol   0.0019005
}

Star "SDSS 16255+33470/SDSS J162559.01+334705.4/2MASS J16255899+3347058"
{
    RA        16 25 59.0
    Dec       +33 47  5
    Dist      44.10
    Class     "L0 V"
    AppMagnr  21.99
    AppMagni  19.68
    AppMagnJ  15.62
    AppMagnH  14.69
    AppMagnKs 14.23
}

Star "*HBT2010 05"           //Unconfirmed
{
    RA        16 25 59.4
    Dec       -24 16 16
    Dist      125.00
    Class     "T4.5 V"
    AppMagnJ  21.00
    AppMagnH  18.87
    AppMagnK  17.66
    MassSol   0.0019005
}

Star "SDSS 16260+21131/SDSS J162603.03+211313.0"
{
    RA        16 26  3.0
    Dec       +21 13 13
    Dist      26.80
    Class     "L3 V"
    AppMagni  20.56
    AppMagnJ  15.48
    AppMagnH  14.59
    AppMagnKs 13.92
}

Star "CFHTWIR-Oph 9"           //Unconfirmed
{
    RA        16 26  3.3
    Dec       -24 30 26
    Dist      125.00
    Class     "L0 V"
    AppMagnJ  17.76
    AppMagnH  16.33
    AppMagnKs 15.32
    AppMagnK  15.32
    Teff      2650
}

Star "ISO-Oph 12/2MASS J16260457-2417514"           //Unconfirmed
{
    RA        16 26  4.6
    Dec       -24 17 51
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagnJ  15.79
    AppMagnH  13.41
    AppMagnKs 12.19
}

Star "*HBT2010 06"           //Unconfirmed
{
    RA        16 26 15.2
    Dec       -24 34 38
    Dist      125.00
    Class     "T4.5 V"
    AppMagnJ  21.00
    AppMagnH  18.84
    AppMagnK  17.64
    MassSol   0.0019005
}

Star "CFHTWIR-Oph 16"           //Unconfirmed
{
    RA        16 26 18.6
    Dec       -24 29 51
    Dist      125.00
    Class     "M9 V"
    AppMagnJ  17.09
    AppMagnH  14.92
    AppMagnKs 13.55
    Teff      2600
}

Star "ISO-Oph 23/2MASS J16261882-2426105"
{
    RA        16 26 18.8
    Dec       -24 26 11
    Dist      125.00
    Class     "M7 V"
    AppMagnJ  14.84
    AppMagnH  13.2
    AppMagnKs 12.14
}

Star "CFHTWIR-Oph 18"
{
    RA        16 26 19.4
    Dec       -24 27 44
    Dist      125.00
    Class     "L0 V"
    AppMagnJ  18.92
    AppMagnH  17.16
    AppMagnKs 16.04
    Teff      2250
}

Star "2MASS 16262+39251/2MASS J16262034+3925190"           //Unconfirmed
{
    RA        16 26 20.3
    Dec       +39 25 19
    Dist      33.50
    Class     "L4 V"
    AppMagnJ  14.44
    AppMagnH  14.53
    AppMagnKs 14.47
    AppMagnW1 13.48
    AppMagnW2 13.14
    Teff      2300
    MassSol   0.08267175
}

Star "ISO-Oph 30/2MASS J16262152-2426009"
{
    RA        16 26 21.5
    Dec       -24 26  1
    Dist      125.00
    Class     "M6 V"
    AppMagnR  18.3
    AppMagnI  15.8
    AppMagnJ  12.57
    AppMagnH  11.52
    AppMagnKs 10.92
}

Star "ISO-Oph 32/2MASS J16262189-2444397"
{
    RA        16 26 21.9
    Dec       -24 44 40
    Dist      125.00
    Class     "M8 V"
    AppMagnR  17.95
    AppMagnI  15.62
    AppMagnJ  12.34
    AppMagnH  11.48
    AppMagnKs 10.86
    MassSol   0.03801
}

Star "BKLT 16262-24235/BKLT J162622-242354"
{
    RA        16 26 22.2
    Dec       -24 23 54
    Dist      125.00
    Class     "M7.5 V"
    AppMagnJ  15.75
    AppMagnH  13.59
    AppMagnKs 12.25
}

Star "ISO-Oph 33/2MASS J16262226-2424070"
{
    RA        16 26 22.3
    Dec       -24 24  7
    Dist      125.00
    Class     "M6.5 V"
    AppMagnJ  16.18
    AppMagnH  14.73
    AppMagnKs 13.75
}

Star "ISO-Oph 35/2MASS J16262295-2428461"           //Unconfirmed
{
    RA        16 26 23.0
    Dec       -24 28 46
    Dist      125.00
    Class     "M6.5 V"
    AppMagnJ  14.93
    AppMagnH  12.8
    AppMagnKs 11.53
    Teff      2900
}

Star "CRBR 2322.3-1143/2MASS J16262381-2418290"
{
    RA        16 26 23.8
    Dec       -24 18 29
    Dist      125.00
    Class     "M7 V"
    AppMagnJ  16.28
    AppMagnH  14.62
    AppMagnKs 13.57
}

Star "*HBT2010 07"           //Unconfirmed
{
    RA        16 26 26.8
    Dec       -24 39 30
    Dist      125.00
    Class     "T4.5 V"
    AppMagnJ  20.92
    AppMagnH  18.75
    AppMagnK  17.42
    MassSol   0.0019005
}

Star "ISO-Oph 42/2MASS J16262780-2426418"
{
    RA        16 26 27.8
    Dec       -24 26 42
    Dist      125.00
    Class     "M6 V"
    AppMagnJ  14.26
    AppMagnH  12.95
    AppMagnKs 12.09
}

Star "2MASS 16263-24253/2MASS J16263135-2425302"
{
    RA        16 26 31.4
    Dec       -24 25 30
    Dist      125.00
    Class     "M5 V"
    AppMagnI  18.9
    AppMagnJ  14.72
    AppMagnH  12.73
    AppMagnKs 11.72
}

Star "BKLT 16263-24263/BKLT J162632-242636/2MASS J16263252-2426354"
{
    RA        16 26 32.6
    Dec       -24 26 37
    Dist      125.00
    Class     "M8 V"
    AppMagnJ  16.36
    AppMagnH  14.44
    AppMagnKs 13.17
}

Star "CFHTWIR-Oph 30"           //Unconfirmed
{
    RA        16 26 36.8
    Dec       -24 19  0
    Dist      125.00
    Class     "M3 V"
    AppMagnJ  16.24
    AppMagnH  14.35
    AppMagnKs 13.06
    Teff      3380
}

Star "CFHTWIR-Oph 31/2MASS J16263780-2439031"           //Unconfirmed
{
    RA        16 26 37.8
    Dec       -24 39  3
    Dist      125.00
    Class     "M5.5 V"
    AppMagni  19.28
    AppMagnJ  14.98
    AppMagnH  13.57
    AppMagnKs 12.85
    Teff      3090
}

Star "ISO-Oph 53/2MASS J16263880-2423227"
{
    RA        16 26 38.8
    Dec       -24 23 23
    Dist      125.00
    Class     "M6 V"
    AppMagnJ  15.03
    AppMagnH  12.76
    AppMagnKs 11.57
}

Star "CFHTWIR-Oph 33"
{
    RA        16 26 39.7
    Dec       -24 22  6
    Dist      125.00
    Class     "L4 V"
    AppMagnJ  18.16
    AppMagnH  16.74
    AppMagnKs 15.68
    Teff      1650
}

Star "CFHTWIR-Oph 34/2MASS J16263991-2422334"
{
    RA        16 26 39.9
    Dec       -24 22 33
    Dist      125.00
    Class     "M8 V"
    AppMagni  22.17
    AppMagnJ  15.97
    AppMagnH  14.53
    AppMagnKs 13.48
    AppMagnK  13.5
}

Star "CFHTWIR-Oph 37/2MASS J16264083-2430509"           //Unconfirmed
{
    RA        16 26 40.8
    Dec       -24 30 51
    Dist      125.00
    Class     "M6.5 V"
    AppMagnJ  17.32
    AppMagnH  14.77
    AppMagnKs 13.18
    Teff      3020
}

Star "ISO-Oph 63/2MASS J16264289-2422590"
{
    RA        16 26 42.9
    Dec       -24 22 59
    Dist      125.00
    Class     "M6 V"
    AppMagnJ  15.33
    AppMagnH  12.82
    AppMagnKs 11.44
}

Star "DENIS-P 16265-24324/DENIS-P J162651.3-243242/2MASS J16265128-2432419"
{
    RA        16 26 51.3
    Dec       -24 32 42
    Dist      125.00
    Class     "M8 V"
    AppMagnJ  15.06
    AppMagnH  14.35
    AppMagnKs 13.89
}

Star "CFHTWIR-Oph 47"
{
    RA        16 26 52.3
    Dec       -24  1 47
    Dist      125.00
    Class     "M7.5 V"
    AppMagnJ  15.94
    AppMagnH  14.75
    AppMagnKs 13.97
}

Star "2MASS 16265-24400/2MASS J16265335-2440023"           //Unconfirmed
{
    RA        16 26 53.4
    Dec       -24 40  2
    Dist      125.00
    Class     "M7 V"
    AppMagnJ  15.47
    AppMagnH  13.5
    AppMagnKs 12.27
    Teff      3000
}

Star "CFHTWIR-Oph 51/2MASS J16265477-2427022"
{
    RA        16 26 54.8
    Dec       -24 27  2
    Dist      125.00
    Class     "M6 V"
    AppMagnJ  17.92
    AppMagnH  14.91
    AppMagnKs 12.87
}

Star "SONYC-RhoOph-1"
{
    RA        16 26 56.3
    Dec       -24 42 38
    Dist      125.00
    Class     "M9 V"
    AppMagnJ  17.46
    AppMagnH  16.44
    AppMagnKs 15.73
    Teff      2500
    MassSol   0.0171045
}

Star "CFHTWIR-Oph 53"           //Unconfirmed
{
    RA        16 26 56.4
    Dec       -24 41 21
    Dist      125.00
    Class     "L3 V"
    AppMagnJ  18.6
    AppMagnH  16.34
    AppMagnKs 14.92
}

Star "ISO-Oph 84/2MASS J16265733-2435388"
{
    RA        16 26 57.3
    Dec       -24 35 39
    Dist      125.00
    Class     "M6 V"
    AppMagnJ  17.26
    AppMagnH  15.07
    AppMagnKs 12.81
}

Star "ISO-Oph 86/2MASS J16265839-2421299"
{
    RA        16 26 58.4
    Dec       -24 21 30
    Dist      125.00
    Class     "M6 V"
    AppMagnJ  16.01
    AppMagnH  13.11
    AppMagnKs 11.46
}

Star "AOC 16265-24245/AOC J162658.65-242455.5"           //Unconfirmed
{
    RA        16 26 58.7
    Dec       -24 24 56
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagnJ  19.64
    AppMagnKs 15.3
}

Star "ISO-Oph 89/2MASS J16265904-2435568"           //Unconfirmed
{
    RA        16 26 59.1
    Dec       -24 35 57
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagnJ  16.05
    AppMagnH  13.35
    AppMagnKs 12.21
    AppMagnK  11.82
}

Star "2MASS 16270-37413/2MASS J16270195-3741328"
{
    RA        16 27  2.0
    Dec       -37 41 33
    Dist      33.82
    Class     "L1.5 V"
    AppMagnI  18.49
    AppMagnJ  14.95
    AppMagnH  14.32
    AppMagnKs 13.84
}

Star "CFHTWIR-Oph 57"
{
    RA        16 27  4.0
    Dec       -24  2 47
    Dist      125.00
    Class     "M7 V"
    AppMagnJ  15.06
    AppMagnH  13.92
    AppMagnKs 13.18
}

Star "*HBT2010 08"           //Unconfirmed
{
    RA        16 27  4.2
    Dec       -24 27  6
    Dist      125.00
    Class     "T5 V"
    AppMagnJ  21.00
    AppMagnH  19.46
    AppMagnK  17.58
    MassSol   0.0019005
}

Star "CFHTWIR-Oph 58/2MASS J16270592-2418402"           //Unconfirmed
{
    RA        16 27  5.9
    Dec       -24 18 40
    Dist      125.00
    Class     "M8 V"
    AppMagnJ  17.05
    AppMagnH  15.77
    AppMagnKs 14.85
    AppMagnK  14.85
    Teff      2700
}

Star "2MASS 16270-24283/2MASS J16270597-2428363"
{
    RA        16 27  6.0
    Dec       -24 28 36
    Dist      125.00
    Class     "M6.5 V"
    AppMagnJ  16.79
    AppMagnH  14.58
    AppMagnKs 13.15
}

Star "ISO-Oph 102/2MASS J16270659-2441488"
{
    RA        16 27  6.6
    Dec       -24 41 49
    Dist      125.00
    Class     "M6 V"
    AppMagnR  17.57
    AppMagnI  15.43
    AppMagnJ  12.43
    AppMagnH  11.4
    AppMagnKs 10.77
    MassSol   0.057015
}

Star "*HBT2010 09"           //Unconfirmed
{
    RA        16 27 12.1
    Dec       -24 17 13
    Dist      125.00
    Class     "T4.5 V"
    AppMagnJ  20.25
    AppMagnH  19.15
    AppMagnK  17.88
    MassSol   0.0019005
}

Star "CFHTWIR-Oph 66"
{
    RA        16 27 14.4
    Dec       -24 31 32
    Dist      125.00
    Class     "M8 V"
    AppMagnJ  18.42
    AppMagnH  16.53
    AppMagnKs 15.3
    Teff      2750
}

Star "*HBT2010 10"           //Unconfirmed
{
    RA        16 27 16.6
    Dec       -24 22 34
    Dist      125.00
    Class     "T4 V"
    AppMagnJ  21.00
    AppMagnH  19.37
    AppMagnK  17.75
    MassSol   0.0019005
}

Star "*HBT2010 11"           //Unconfirmed
{
    RA        16 27 20.4
    Dec       -24 19 15
    Dist      125.00
    Class     "T6 V"
    AppMagnJ  21.00
    AppMagnH  18.8
    AppMagnK  17.35
    MassSol   0.0019005
}

Star "*HBT2010 12"           //Unconfirmed
{
    RA        16 27 24.8
    Dec       -24 38 34
    Dist      125.00
    Class     "T5.5 V"
    AppMagnJ  21.00
    AppMagnH  19.17
    AppMagnK  17.4
    MassSol   0.0019005
}

Star "rho Oph 4450"
{
    RA        16 27 25.4
    Dec       -24 25 38
    Dist      125.00
    Class     "T V"
    AppMagnK  17.71
    Teff      1400
    MassSol   0.00285075
}

Star "CFHTWIR-Oph 77"
{
    RA        16 27 25.6
    Dec       -24 37 29
    Dist      125.00
    Class     "M9.5 V"
    AppMagnJ  18.23
    AppMagnH  16.54
    AppMagnKs 15.36
    Teff      2260
}

Star "WISEPA 16272+32552/WISEPA J162725.64+325525.5"
{
    RA        16 27 25.6
    Dec       +32 55 26
    Dist      15.40
    Class     "T6 V"
    AppMagnJ  16.48
    AppMagnH  16.4
    AppMagnKs 17.36
    AppMagnW1 16.3
    AppMagnW2 13.61
    AppMagnW3 12.97
    Teff      975
}

Star "CFHTWIR-Oph 78/2MASS J16272622-2419229"           //Unconfirmed
{
    RA        16 27 26.2
    Dec       -24 19 23
    Dist      125.00
    Class     "M8 V"
    AppMagni  23.56
    AppMagnJ  16.35
    AppMagnH  14.24
    AppMagnKs 12.93
    Teff      2800
}

Star "2MASS 16272-24255/2MASS J16272658-2425543"
{
    RA        16 27 26.6
    Dec       -24 25 54
    Dist      125.00
    Class     "M8 V"
    AppMagnR  17.9
    AppMagnI  15.72
    AppMagnJ  13
    AppMagnH  12.35
    AppMagnKs 11.84
}

Star "2MASS 16272+81050/2MASS J16272794+8105075"
{
    RA        16 27 27.9
    Dec       +81  5  8
    Dist      20.70
    Class     "M9 V"
    AppMagnI  16.8
    AppMagnJ  13.04
    AppMagnH  12.33
    AppMagnKs 11.87
}

Star "*HBT2010 13"           //Unconfirmed
{
    RA        16 27 30.2
    Dec       -24 39 25
    Dist      125.00
    Class     "T5.5 V"
    AppMagnJ  20.55
    AppMagnH  18.94
    AppMagnK  17.17
    MassSol   0.0019005
}

Star "GY 287"           //Unconfirmed
{
    RA        16 27 32.2
    Dec       -24 29 44
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagnJ  18.47
    AppMagnKs 13.41
}

Star "*HBT2010 14"           //Unconfirmed
{
    RA        16 27 33.3
    Dec       -24 19  4
    Dist      125.00
    Class     "T5.5 V"
    AppMagnJ  20.82
    AppMagnH  19.15
    AppMagnK  17.43
    MassSol   0.0019005
}

Star "*HBT2010 15"           //Unconfirmed
{
    RA        16 27 33.7
    Dec       -24 19 30
    Dist      125.00
    Class     "T4.5 V"
    AppMagnJ  21.00
    AppMagnH  18.79
    AppMagnK  17.4
    MassSol   0.0019005
}

Star "*HBT2010 16"           //Unconfirmed
{
    RA        16 27 35.8
    Dec       -24 21 13
    Dist      125.00
    Class     "T5.5 V"
    AppMagnJ  21.00
    AppMagnH  19.09
    AppMagnK  18.23
    MassSol   0.0019005
}

Star "CFHTWIR-Oph 90"
{
    RA        16 27 36.6
    Dec       -24 51 36
    Dist      125.00
    Class     "L0 V"
    AppMagnJ  16.83
    AppMagnH  15.65
    AppMagnKs 14.85
    Teff      2250
}

Star "*HBT2010 17"           //Unconfirmed
{
    RA        16 27 36.7
    Dec       -24 24 40
    Dist      125.00
    Class     "T5.5 V"
    AppMagnJ  21.00
    AppMagnH  19.49
    AppMagnK  18.22
    MassSol   0.0019005
}

Star "ISO-Oph 160/2MASS J16273742-2417548"
{
    RA        16 27 37.4
    Dec       -24 17 55
    Dist      125.00
    Class     "M6 V"
    AppMagnJ  14.15
    AppMagnH  12.76
    AppMagnKs 11.95
}

Star "ISO-Oph 164/2MASS J16273863-2438391"
{
    RA        16 27 38.6
    Dec       -24 38 39
    Dist      125.00
    Class     "M7 V"
    AppMagnI  17.4
    AppMagnJ  13.27
    AppMagnH  11.93
    AppMagnKs 11.08
}

Star "ISO-Oph 165/2MASS J16273894-2440206"           //Unconfirmed
{
    RA        16 27 38.9
    Dec       -24 40 21
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagni  22.27
    AppMagnJ  16.48
    AppMagnH  13.91
    AppMagnKs 12.29
}

Star "CFHTWIR-Oph 96/2MASS J16274084-2429007"
{
    RA        16 27 40.8
    Dec       -24 29  1
    Dist      125.00
    Class     "M8 V"
    AppMagni  18.96
    AppMagnJ  14.6
    AppMagnH  13.78
    AppMagnKs 13.1
    Teff      2750
}

Star "*HBT2010 18"           //Unconfirmed
{
    RA        16 27 41.8
    Dec       -24 16  5
    Dist      125.00
    Class     "T4.5 V"
    AppMagnJ  21.00
    AppMagnH  18.7
    AppMagnK  17.64
    MassSol   0.0019005
}

Star "*G+2011 9"           //Unconfirmed
{
    RA        16 27 41.8
    Dec       -24 42 35
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagnJ  21.32
    AppMagnKs 14.97
}

Star "CFHTWIR-Oph 98"
{
    RA        16 27 44.2
    Dec       -23 58 52
    Dist      125.00
    Class     "M9.5 V"
    AppMagnJ  17.08
    AppMagnH  15.78
    AppMagnKs 14.98
    Teff      2260
}

Star "*HBT2010 19"           //Unconfirmed
{
    RA        16 27 44.3
    Dec       -24 21  1
    Dist      125.00
    Class     "T4.5 V"
    AppMagnJ  21.00
    AppMagnH  18.84
    AppMagnK  17.62
    MassSol   0.0019005
}

Star "CFHTWIR-Oph 99/2MASS J16274578-2444538"
{
    RA        16 27 45.8
    Dec       -24 44 54
    Dist      125.00
    Class     "M6 V"
    AppMagnJ  17.74
    AppMagnH  14.8
    AppMagnKs 12.61
}

Star "ISO-Oph 176/2MASS J16274629-2431411"
{
    RA        16 27 46.3
    Dec       -24 31 41
    Dist      125.00
    Class     "M6 V"
    AppMagnJ  13.83
    AppMagnH  12.21
    AppMagnKs 11.32
}

Star "CFHTWIR-Oph 100"
{
    RA        16 27 46.5
    Dec       -24  5 59
    Dist      125.00
    Class     "L0 V"
    AppMagnJ  17.94
    AppMagnH  16.34
    AppMagnKs 15.26
    Teff      2250
}

Star "CFHTWIR-Oph 101"
{
    RA        16 27 47.3
    Dec       -24 46 46
    Dist      125.00
    Class     "M7 V"
    AppMagnJ  19.26
    AppMagnH  16.48
    AppMagnKs 14.78
    Teff      2880
}

Star "AOC 16274-24422/AOC J162748.24-244225.6"           //Unconfirmed
{
    RA        16 27 48.2
    Dec       -24 42 26
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagnJ  20.76
    AppMagnKs 15.21
}

Star "ISO-Oph 185/2MASS J16275525-2428395"
{
    RA        16 27 55.3
    Dec       -24 28 40
    Dist      125.00
    Class     "M6 V"
    AppMagnJ  13.04
    AppMagnH  11.59
    AppMagnKs 10.79
}

Star "ISO-Oph 190/2MASS J16280355-2434386"
{
    RA        16 28  3.6
    Dec       -24 34 39
    Dist      125.00
    Class     "M6 V"
    AppMagnJ  17.21
    AppMagnH  15.24
    AppMagnKs 13.2
}

Star "CFHTWIR-Oph 103/2MASS J16281045-2424200"
{
    RA        16 28 10.5
    Dec       -24 24 20
    Dist      125.00
    Class     "L0 V"
    AppMagnJ  17.74
    AppMagnH  16.15
    AppMagnKs 15.07
    Teff      2250
}

Star "*HBT2010 20"           //Unconfirmed
{
    RA        16 28 10.8
    Dec       -24 29  5
    Dist      125.00
    Class     "T5 V"
    AppMagnJ  21.00
    AppMagnH  18.84
    AppMagnK  17.98
    MassSol   0.0019005
}

Star "CFHTWIR-Oph 104"           //Unconfirmed
{
    RA        16 28 11.6
    Dec       -24 37 30
    Dist      125.00
    Class     "L3 V"
    AppMagnJ  19.51
    AppMagnH  16.95
    AppMagnKs 15.41
}

Star "ISO-Oph 193/2MASS J16281271-2411355"
{
    RA        16 28 12.7
    Dec       -24 11 36
    Dist      125.00
    Class     "M6 V"
    AppMagnJ  13.61
    AppMagnH  12.02
    AppMagnKs 11.09
}

Star "BKLT 16281-24170/BKLT J162817-241706"           //Unconfirmed
{
    RA        16 28 17.7
    Dec       -24 17  5
    Dist      125.00
    Class     "L V"      //Unknown
    AppMagnJ  14.57
    AppMagnKs 12.31
}

Star "*HBT2010 21"           //Unconfirmed
{
    RA        16 28 20.8
    Dec       -24 38 26
    Dist      125.00
    Class     "T4.5 V"
    AppMagnJ  21.00
    AppMagnH  18.89
    AppMagnK  18.02
    MassSol   0.0019005
}

Star "HQT-2"
{
    RA        16 28 26.0
    Dec       +65 25 49
    Dist      135.00
    Class     "T3 V"
    AppMagni  
    AppMagnI  25.7
    AppMagnJ  20.1
    AppMagnH  19.6
}

Star "CFHTWIR-Oph 106"
{
    RA        16 28 29.9
    Dec       -24 54  6
    Dist      125.00
    Class     "M6.5 V"
    AppMagnJ  15.36
    AppMagnH  14.51
    AppMagnKs 13.85
}

Star "SDSS 16283+24284/SDSS J162834.35+242847.2"
{
    RA        16 28 34.4
    Dec       +24 28 47
    Dist      57.30
    Class     "L1 V"
    AppMagni  20.12
    AppMagnJ  15.9
    AppMagnH  15
    AppMagnKs 14.48
}

Star "SDSS 16283+62594/SDSS J162838.35+625945.7"
{
    RA        16 28 38.4
    Dec       +62 59 46
    Dist      60.60
    Class     "L0 V"
    AppMagni  20.12
    AppMagnJ  15.77
    AppMagnH  15.16
    AppMagnKs 14.66
}

Star "SDSS 16283+23082/SDSS J162838.77+230821.1/2MASSA J16283855+230824"
{
    RA        16 28 38.9
    Dec       +23  8 20
    Dist      13.32
    Class     "T7 V"
    AppMagnJ  16.46
    AppMagnH  16.11
    AppMagnKs 15.87
    AppMagnW1 16.16
    AppMagnW2 13.92
    AppMagnW3 11.88
    Teff      825
}

Star "*HBT2010 22"           //Unconfirmed
{
    RA        16 28 45.9
    Dec       -24 34 20
    Dist      125.00
    Class     "T4 V"
    AppMagnJ  21.00
    AppMagnH  19.26
    AppMagnK  17.83
    MassSol   0.0019005
}

Star "CFHTWIR-Oph 107/2MASS J16284870-2426317"
{
    RA        16 28 48.7
    Dec       -24 26 32
    Dist      125.00
    Class     "M6 V"
    AppMagnJ  14.31
    AppMagnH  13.6
    AppMagnKs 13.13
    Teff      2960
}

Star "WISEP 16291+03353/WISEP J162918.56+033535.6/2MASS J16291840+0335371"
{
    RA        16 29 18.4
    Dec       +03 35 37
    Dist      15.00
    Class     "T2 V"
    AppMagnJ  15.29
    AppMagnH  14.49
    AppMagnKs 14.18
    AppMagnW1 13.4
    AppMagnW2 12.5
    AppMagnW3 11.32
}

Star "PSO J247.3273+03.5932"
{
    RA        16 29 18.6
    Dec       +03 35 36
    Dist      15.00
    Class     "T2 V"
    AppMagnJ  14.53
    AppMagnH  14.28
    AppMagnKs 14.18
}

Star "EQ 1629+2545"           //Unconfirmed
{
    RA        16 29 50.0
    Dec       +25 45 26
    Dist      44.50
    Class     "T7.5 V"
}

Star "SDSS 16302+08182/SDSS J163022.92+081822.0/2MASS J16302295+0818221"
{
    RA        16 30 22.9
    Dec       +08 18 22
    Dist      21.32
    Class     "T5.5 V"
    AppMagnJ  16.4
    AppMagnH  16.33
    AppMagnKs 16.61
    AppMagnK  16.41
    AppMagnW1 16.15
    AppMagnW2 14.35
    AppMagnW3 12.21
}

Star "SDSS 16303+43440/SDSS J163030.53+434404.0/2MASS J16303054+4344032"
{
    RA        16 30 30.5
    Dec       +43 44  3
    Dist      25.00
    Class     "L7 V"
    AppMagnJ  16.63
    AppMagnH  15.44
    AppMagnKs 14.65
}

Star "SDSS 16304+09384/SDSS J163041.37+093844.3/2MASS J16304139+0938446"
{
    RA        16 30 41.4
    Dec       +09 38 45
    Dist      30.50
    Class     "L0 V"
    AppMagni  19.49
    AppMagnJ  14.87
    AppMagnH  13.94
    AppMagnKs 13.3
}

Star "SDSS 16305+00510/SDSS J163050.01+005101.3/2MASS J16304999+0051010"
{
    RA        16 30 50.0
    Dec       +00 51  1
    Dist      63.00
    Class     "L1 V"
    AppMagnr  22.86
    AppMagni  20.48
    AppMagnJ  16
    AppMagnH  15.25
    AppMagnKs 14.62
    AppMagnK  14.62
}

Star "SDSS 16322+19044/SDSS J163229.25+190440.3/2MASS J16322911+1904407"
{
    RA        16 32 29.1
    Dec       +19  4 41
    Dist      15.24
    Class     "L8 V"
    AppMagn   25.14
    AppMagnR  22.67
    AppMagnI  19.98
    AppMagnJ  15.87
    AppMagnH  14.61
    AppMagnKs 14
    AppMagnK  13.96
    AppMagnW1 13.14
    AppMagnW2 12.6
    AppMagnW3 11.7
}

Star "SDSS 16323+41500/SDSS J163239.34+415004.3/2MASSA J16323934+415004"
{
    RA        16 32 39.3
    Dec       +41 50  5
    Dist      33.00
    Class     "T1 V"
    AppMagnJ  17.08
    AppMagnH  16.11
    AppMagnKs 15.75
    AppMagnW1 16.09
    AppMagnW2 15.28
    AppMagnW3 12.71
}

Star "DENIS-P 16331?75532/DENIS-P J1633131?755322/2MASS J16331306-7553232"
{
    RA        16 33 13.1
    Dec       -75 53 23
    Dist      19.50
    Class     "M9.5 V"
    AppMagnI  16.12
    AppMagnJ  13.15
    AppMagnH  12.51
    AppMagnK  12.13
}

Star "SDSS 16335+01002/SDSS J163355.23+010027.0/2MASS J16335523+0100271"
{
    RA        16 33 55.2
    Dec       +01  0 27
    Dist      59.70
    Class     "L0 V"
    AppMagnr  22.51
    AppMagni  19.53
    AppMagnJ  15.61
    AppMagnH  15.04
    AppMagnKs 14.49
}

Star "SDSS 16335-06405/SDSS J163359.23-064056.5/2MASS J16335933-0640552"
{
    RA        16 33 59.3
    Dec       -06 40 55
    Dist      17.70
    Class     "L6 V"
    AppMagnJ  16.14
    AppMagnH  15.17
    AppMagnKs 14.54
}

Star "HQT-3"
{
    RA        16 34 13.3
    Dec       +65 18 13
    Dist      108.00
    Class     "T0 V"
    AppMagnI  25.01
    AppMagnJ  19.7
    AppMagnH  18.8
}

Star "2MASS 16342-25311/2MASS J16342205-2531152"           //Unconfirmed
{
    RA        16 34 22.1
    Dec       -25 31 15
    Dist      40.45
    Class     "M9 V"
    AppMagnR  19.63
    AppMagnI  17.77
    AppMagnJ  14.52
    AppMagnH  13.62
    AppMagnKs 13.1
}

Star "2MASSW 16351+42230/2MASSW J1635191+422305/2MASS J16351919+4223053"
{
    RA        16 35 19.2
    Dec       +42 23  5
    Dist      12.00
    Class     "L3 V"
    AppMagnr  19.87
    AppMagni  16.87
    AppMagnI  16.5
    AppMagnJ  12.88
    AppMagnH  12.22
    AppMagnKs 11.79
}

Star "SDSSp 16360-00345/SDSSp J163600.79-003452.6/2MASS J16360078-0034525"
{
    RA        16 36  0.8
    Dec      -0.581389
    Dist      23.30
    Class     "L0 V"
    AppMagni  18.8
    AppMagnJ  14.59
    AppMagnH  13.9
    AppMagnKs 13.42
}

Star "SDSS 16381+32114/SDSS J163817.31+321144.0/2MASS J16381734+3211444"
{
    RA        16 38 17.3
    Dec       +32 11 44
    Dist      41.30
    Class     "L0 V"
    AppMagnr  22.34
    AppMagni  19.81
    AppMagnJ  15.39
    AppMagnH  14.64
    AppMagnKs 14.16
}

Star "HQT-4"
{
    RA        16 38 36.7
    Dec       +65 47 15
    Dist      114.00
    Class     "T2 V"
    AppMagnI  25.54
    AppMagnJ  19.5
    AppMagnH  19
}

Star "2MASS 16391-34445/2MASS J16391688-3444528"           //Unconfirmed
{
    RA        16 39 16.9
    Dec       -34 44 53
    Dist      37.90
    Class     "M7 V"
    AppMagnJ  13.67
    AppMagnH  13.01
    AppMagnKs 12.58
}

Star "USco 16391-25340/USco J163919.15-253409.9/2MASS J16391914-2534093"
{
    RA        16 39 19.1
    Dec       -25 34  9
    Dist      145.00
    Class     "L1 V"
    AppMagnJ  17.06
    AppMagnH  16.12
    AppMagnKs 15.47
    Teff      2100
    MassSol   0.01235325
}

Star "WISEP 16394-68473/WISEP J163940.83-684738.6"
{
    RA        16 39 40.8
    Dec       -68 47 39
    Dist      5.00
    Class     "Y0 V"
    AppMagnJ  20.63
    AppMagnH  20.75
    AppMagnW1 17.27
    AppMagnW2 13.54
    AppMagnW3 11.76
    Teff      400
}

Star "2MASS 16395-35333/2MASS J16395699-3533355"           //Unconfirmed
{
    RA        16 39 57.0
    Dec       -35 33 36
    Dist      70.84
    Class     "M7.5 V"
    AppMagnI  19.53
    AppMagnJ  15.23
    AppMagnH  14.6
    AppMagnKs 14.07
}

Star "SDSSp 16401+00372/SDSSp J164010.59+003721.8/2MASS J16401059+0037213"
{
    RA        16 40 10.6
    Dec       +00 37 21
    Dist      87.00
    Class     "L0 V"
    AppMagnJ  16.53
    AppMagnH  15.69
    AppMagnKs 15.18
}

Star "2MASS 16414-23422/2MASS J16414724-2342216"
{
    RA        16 41 47.2
    Dec       -23 42 22
    Dist      34.29
    Class     "L1 V"
    AppMagnR  20.24
    AppMagnI  18.27
    AppMagnJ  14.79
    AppMagnH  14.1
    AppMagnKs 13.63
}

Star "2MASS 16415-30420/2MASS J16415790-3042028"
{
    RA        16 41 57.9
    Dec       -30 42  3
    Dist      28.89
    Class     "L3.5 V"
    AppMagnJ  15.22
    AppMagnH  14.42
    AppMagnKs 13.96
}

Star "SDSS 16423+20204/SDSS J164230.27+202048.1"
{
    RA        16 42 30.3
    Dec       +20 20 48
    Dist      104.40
    Class     "L1 V"
    AppMagni  20.47
    AppMagnJ  16.22
    AppMagnH  15.31
    AppMagnKs 14.67
}

Star "SDSS 16443+28461/SDSS J164438.14+284614.5"
{
    RA        16 44 38.1
    Dec       +28 46 15
    Dist      46.30
    Class     "L2 V"
    AppMagni  19.91
    AppMagnJ  15.66
    AppMagnH  14.69
    AppMagnKs 14.18
}

Star "SDSS 16443+26001/SDSS J164439.66+260013.3"
{
    RA        16 44 39.7
    Dec       +26  0 13
    Dist      35.60
    Class     "L1 V"
    AppMagni  19.92
    AppMagnJ  15.47
    AppMagnH  14.71
    AppMagnKs 14.21
}

Star "2MASS 16445-40210/2MASS J16445388-4021050"           //Unconfirmed
{
    RA        16 44 53.9
    Dec       -40 21  5
    Dist      67.80
    Class     "M7.5 V"
    AppMagnJ  15.13
    AppMagnH  14.16
    AppMagnKs 13.71
}

Star "SDSS 16452+30040/SDSS J164522.06+300406.9/2MASS J16452207+3004071"
{
    RA        16 45 22.1
    Dec       +30  4  7
    Dist      32.00
    Class     "L3 V"
    AppMagni  19.77
    AppMagnJ  15.19
    AppMagnH  14.21
    AppMagnKs 13.59
}

Star "2MASS 16452-13195/2MASS J16452211-1319516"
{
    RA        16 45 22.1
    Dec       -13 19 52
    Dist      9.10
    Class     "L1.5 V"
    AppMagnJ  12.45
    AppMagnH  11.69
    AppMagnKs 11.15
    Teff      2200
    Radius    67114.56
}

Star "SDSS 16454+29074/SDSS J164540.16+290744.5/2MASS J16454017+2907441"
{
    RA        16 45 40.2
    Dec       +29  7 45
    Dist      71.70
    Class     "L0 V"
    AppMagnr  22.94
    AppMagni  20.58
    AppMagnJ  16.6
    AppMagnH  15.72
}

Star "2MASS 16463-23533/2MASS J16463281-2353333"
{
    RA        16 46 32.8
    Dec       -23 53 33
    Dist      42.87
    Class     "L1 V"
    AppMagnI  18.84
    AppMagnJ  15.34
    AppMagnH  14.31
    AppMagnKs 13.8
}

Star "2MASS 16464-35393/2MASS J16464729-3539338"           //Unconfirmed
{
    RA        16 46 47.3
    Dec       -35 39 34
    Dist      77.08
    Class     "M8.5 V"
    AppMagnR  20.78
    AppMagnI  18.95
    AppMagnJ  15.77
    AppMagnH  15.04
    AppMagnKs 14.51
}

Star "WISEPA 16471+56320/WISEPA J164715.59+563208.2"
{
    RA        16 47 15.6
    Dec       +56 32  8
    Dist      8.62
    Class     "L9 V"
    AppMagnJ  16.59
    AppMagnH  15.34
    AppMagnKs 14.48
    AppMagnW1 13.6
    AppMagnW2 13.07
    AppMagnW3 12.2
}

Star "2MASS 16473-24042/2MASS J16473778-2404208"           //Unconfirmed
{
    RA        16 47 37.8
    Dec       -24  4 21
    Dist      69.13
    Class     "M8.5 V"
    AppMagnI  18.61
    AppMagnJ  15.47
    AppMagnH  14.63
    AppMagnKs 14.13
}

Star "2MASS 16481-30390/2MASS J16481339-3039086"           //Unconfirmed
{
    RA        16 48 13.4
    Dec       -30 39  9
    Dist      43.49
    Class     "M7.5 V"
    AppMagnI  17.2
    AppMagnJ  14.2
    AppMagnH  13.49
    AppMagnKs 13.07
}

Star "SDSS 16491+46434/SDSS J164916.89+464340.0/2MASSA J16491687+464339"
{
    RA        16 49 16.9
    Dec       +46 43 39
    Dist      76.00
    Class     "L5 V"
    AppMagnJ  18.27
    AppMagnH  16.31
    AppMagnKs 16.18
}

Star "SDSS 16503+35235/SDSS J165031.33+352359.5"
{
    RA        16 50 31.3
    Dec       +35 23 60
    Dist      72.20
    Class     "L2 V"
    AppMagni  20.19
    AppMagnJ  15.82
    AppMagnH  14.89
    AppMagnKs 14.54
}

Star "SDSS 16530+41384/SDSS J165301.98+413847.5"
{
    RA        16 53  2.0
    Dec       +41 38 48
    Dist      71.50
    Class     "L0 V"
    AppMagni  20.76
    AppMagnJ  16.73
    AppMagnH  16.22
    AppMagnKs 15.48
}

Star "SDSS 16530+24503/SDSS J165309.93+245039.8"
{
    RA        16 53  9.9
    Dec       +24 50 40
    Dist      57.30
    Class     "L0 V"
    AppMagni  20.68
    AppMagnJ  16.59
    AppMagnH  15.87
    AppMagnKs 15.4
}

Star "WISEPA 16531+44442/WISEPA J165311.05+444423.9"
{
    RA        16 53 11.1
    Dec       +44 44 24
    Dist      12.10
    Class     "T8 V"
    AppMagnJ  17.59
    AppMagnH  17.53
    AppMagnW1 16.58
    AppMagnW2 13.82
    AppMagnW3 12.24
    Teff      675
}

Star "SDSS 16532+62313/SDSS J165329.69+623136.5/2MASS J16532970+6231364"
{
    RA        16 53 29.7
    Dec       +62 31 37
    Dist      33.50
    Class     "L3 V"
    AppMagnr  21.54
    AppMagni  19.52
    AppMagnI  18.1
    AppMagnJ  15.09
    AppMagnH  14.44
    AppMagnKs 14.07
}

Star "2MASS 16533-38551/2MASS J16533670-3855165"           //Unconfirmed
{
    RA        16 53 36.7
    Dec       -38 55 17
    Dist      44.81
    Class     "M7 V"
    AppMagnJ  13.98
    AppMagnH  13.28
    AppMagnKs 12.84
}

Star "EQ 1653-1600"           //Unconfirmed
{
    RA        16 53 42.8
    Dec       -16  0 10
    Dist      54.92
    Class     "T7.5 V"
}

Star "SDSS 16545+37471/SDSS J165450.79+374714.6"
{
    RA        16 54 50.8
    Dec       +37 47 15
    Dist      37.30
    Class     "L2 V"
    AppMagni  19.3
    AppMagnJ  15.01
    AppMagnH  14.18
    AppMagnKs 13.66
}

Star "2MASSI 16561+28350/2MASSI J1656188+283506/2MASS J16561885+2835056"
{
    RA        16 56 18.9
    Dec       +28 35  6
    Dist      54.00
    Class     "L4.5 V"
    AppMagnI  20.3
    AppMagnJ  16.95
    AppMagnH  16.24
    AppMagnKs 15.22
}

Star "2MASS 16573+10542/2MASS J16573454+1054233"
{
    RA        16 57 34.5
    Dec       +10 54 23
    Dist      23.00
    Class     "L2 V"
    AppMagnJ  14.15
    AppMagnH  13.34
    AppMagnKs 12.8
}

Star "2MASS 16574-34504/2MASS J16574801-3450487"           //Unconfirmed
{
    RA        16 57 48.0
    Dec       -34 50 49
    Dist      64.76
    Class     "M8.5 V"
    AppMagnI  18.53
    AppMagnJ  15.37
    AppMagnH  14.7
    AppMagnKs 14.24
}

Star "2MASSW 16580+70270/2MASSW J1658037+702701/2MASS J16580380+7027015"
{
    RA        16 58  3.8
    Dec       +70 27  2
    Dist      18.60
    Class     "L1 V"
    AppMagnJ  13.29
    AppMagnH  12.47
    AppMagnKs 11.92
    AppMagnW2 11.39
    Teff      2200
}

Star "WISE 16584+51033/WISE J165842.56+510335.0"
{
    RA        16 58 42.6
    Dec       +51  3 35
    Dist      15.00
    Class     "L6 V"
    AppMagnJ  15.06
    AppMagnH  14.18
    AppMagnKs 13.66
    AppMagnW1 13.18
    AppMagnW2 12.8
    AppMagnW3 12.26
}

Star "SDSS 16585+18200/SDSS J165850.26+182000.5/2MASS J16585033+1819597"
{
    RA        16 58 50.3
    Dec       +18 20  1
    Dist      55.10
    Class     "L0 V"
    AppMagnr  22.21
    AppMagni  19.77
    AppMagnJ  15.48
    AppMagnH  14.91
    AppMagnKs 14.57
}

Star "SDSS 17021+38584/SDSS J170219.44+385841.2"
{
    RA        17  2 19.4
    Dec       +38 58 41
    Dist      86.00
    Class     "L1 V"
    AppMagni  21.05
    AppMagnJ  16.89
    AppMagnH  15.95
    AppMagnKs 15.17
}

Star "SDSS 17030+35582/SDSS J170302.53+355824.2/2MASS J17030252+3558243"
{
    RA        17  3  2.5
    Dec       +35 58 24
    Dist      47.60
    Class     "L0 V"
    AppMagnr  21.97
    AppMagni  19.05
    AppMagnJ  15.07
    AppMagnH  14.41
    AppMagnKs 13.97
}

Star "DENIS-P 17033?77152/DENIS-P J1703356?771520/2MASS J17033555-7715210"
{
    RA        17  3 35.6
    Dec       -77 15 21
    Dist      54.00
    Class     "M9 V"
    AppMagnI  18.25
    AppMagnJ  15.21
    AppMagnH  14.4
    AppMagnKs 14.02
    AppMagnK  15.16
}

Star "2MASS 17054-54415/2MASS J17054744-5441513"           //Unconfirmed
{
    RA        17  5 47.4
    Dec       -54 41 51
    Dist      27.20
    Class     "M8.5 V"
    AppMagnR  19.09
    AppMagnI  16.38
    AppMagnJ  13.64
    AppMagnH  12.75
    AppMagnKs 12.35
}

Star "DENIS-P 17054-05164/DENIS-P J170548.38-051645.7/2MASS J17054834-0516462"
{
    RA        17  5 48.3
    Dec       -05 16 46
    Dist      22.47
    Class     "L4 V"
    AppMagnI  16.6
    AppMagnJ  13.31
    AppMagnH  12.55
    AppMagnKs 12.03
    AppMagnK  12.1
    Teff      2200
    Radius    21672.41
}

Star "SDSS 17071+64393/SDSS J170718.32+643933.2/2MASS J17071830+6439331"           //Unconfirmed
{
    RA        17  7 18.3
    Dec       +64 39 33
    Dist      16.00
    Class     "M9 V"
    AppMagnr  19.35
    AppMagnR  18.8
    AppMagni  16.55
    AppMagnI  14.8
    AppMagnJ  12.54
    AppMagnH  11.79
    AppMagnKs 11.38
}

Star "DENIS-P 17072?01380/DENIS-P J1707252?013809/2MASS J17072529-0138093"
{
    RA        17  7 25.3
    Dec       -01 38  9
    Dist      22.00
    Class     "L2 V"
    AppMagnI  17.81
    AppMagnJ  14.29
    AppMagnH  13.57
    AppMagnKs 13.07
    AppMagnK  12.86
}

Star "SDSS 17073+43013/SDSS J170733.24+430130.1/2MASS J17073334+4301304"
{
    RA        17  7 33.3
    Dec       +43  1 30
    Dist      26.00
    Class     "L0.5 V"
    AppMagnI  17.6
    AppMagnJ  13.97
    AppMagnH  13.18
    AppMagnKs 12.62
}

Star "WISEP 17074-17445/WISEP J170745.85-174452.5"
{
    RA        17  7 45.9
    Dec       -17 44 53
    Dist      28.00
    Class     "T5 V"
    AppMagnJ  16.35
    AppMagnH  17.11
    AppMagnKs 15.85
    AppMagnW1 16.54
    AppMagnW2 13.68
    AppMagnW3 11.89
}

Star "SDSS 17111+23263/SDSS J171113.52+232633.2/2MASS J17111353+2326333"
{
    RA        17 11 13.5
    Dec       +23 26 33
    Dist      26.00
    Class     "L0 V"
    AppMagni  19.09
    AppMagnJ  14.5
    AppMagnH  13.67
    AppMagnKs 13.06
}

Star "2MASS 17114-50453/2MASS J17114362-5045337"           //Unconfirmed
{
    RA        17 11 43.6
    Dec       -50 45 34
    Dist      63.99
    Class     "M8.5 V"
    AppMagnJ  15.34
    AppMagnH  14.82
    AppMagnKs 14.26
}

Star "SDSS 17114+23313/SDSS J171147.17+233130.5/2MASS J17114716+2331310"
{
    RA        17 11 47.2
    Dec       +23 31 31
    Dist      66.00
    Class     "L3.5 V"
    AppMagnJ  16.82
    AppMagnH  15.96
    AppMagnKs 15.21
}

Star "SDSS 17131+29281/SDSS J171319.23+292816.1"
{
    RA        17 13 19.2
    Dec       +29 28 16
    Dist      79.00
    Class     "L0 V"
    AppMagnJ  16.23
    AppMagnH  15.59
    AppMagnKs 14.86
}

Star "2MASS 17140-48441/2MASS J17140018-4844178"           //Unconfirmed
{
    RA        17 14  0.2
    Dec       -48 44 18
    Dist      61.24
    Class     "M7.5 V"
    AppMagnJ  14.8
    AppMagnH  14.12
    AppMagnKs 13.59
}

Star "2MASS 17150-12250/2MASS J17150176-1225043"           //Unconfirmed
{
    RA        17 15  1.8
    Dec       -12 25  4
    Dist      59.68
    Class     "M8 V"
    AppMagnR  20.26
    AppMagnI  18.15
    AppMagnJ  15.05
    AppMagnH  14.37
    AppMagnKs 13.97
}

Star "2MASS 17164+29455/2MASS J17164260+2945536"
{
    RA        17 16 42.6
    Dec       +29 45 54
    Dist      80.00
    Class     "L3 V"
    AppMagni  21.97
    AppMagnJ  17.06
    AppMagnH  16.47
    AppMagnKs 15.9
}

Star "SDSS 17171+65262/SDSS J171714.10+652622.2/2MASS J17171408+6526221"
{
    RA        17 17 14.1
    Dec       +65 26 22
    Dist      24.00
    Class     "L4 V"
    AppMagnr  22.54
    AppMagni  20.21
    AppMagnJ  14.95
    AppMagnH  13.84
    AppMagnKs 13.18
    AppMagnW1 12.54
    AppMagnW2 12.21
    AppMagnW3 11.55
}

Star "WISEPA 17171+61285/WISEPA J171717.02+612859.3"
{
    RA        17 17 17.0
    Dec       +61 28 59
    Dist      22.30
    Class     "T8 V"
    AppMagnJ  18.49
    AppMagnH  18.91
    AppMagnKs 16.75
    AppMagnW1 18.44
    AppMagnW2 14.96
    AppMagnW3 13.27
    Teff      675
}

Star "2MASS 17202-12594/2MASS J17202722-1259446"
{
    RA        17 20 27.2
    Dec       -12 59 45
    Dist      24.03
    Class     "L4.5 V"
    AppMagnI  19.04
    AppMagnJ  15.23
    AppMagnH  14.59
    AppMagnKs 14.06
}

Star "2MASS 17210+33441/2MASS J17210390+3344160"
{
    RA        17 21  3.9
    Dec       +33 44 16
    Dist      15.90
    Class     "L3 V"
    AppMagnJ  13.63
    AppMagnH  12.95
    AppMagnKs 12.49
}

Star "WISEP 17213+11173/WISEP J172134.46+111739.4"
{
    RA        17 21 34.5
    Dec       +11 17 39
    Dist      19.10
    Class     "T6 V"
    AppMagnJ  16.46
    AppMagnH  16.24
    AppMagnKs 16.12
    AppMagnW1 15.9
    AppMagnW2 14.28
    AppMagnW3 12.27
    Teff      975
}

Star "SDSS 17224+63294/SDSS J172244.32+632946.8/2MASS J17224432+6329470"
{
    RA        17 22 44.3
    Dec       +63 29 47
    Dist      53.00
    Class     "L0 V"
    AppMagnr  22.47
    AppMagni  19.74
    AppMagnJ  15.37
    AppMagnH  14.55
    AppMagnKs 14.08
}

Star "SDSS 17254+53253/SDSS J172543.84+532534.9"
{
    RA        17 25 43.8
    Dec       +53 25 35
    Dist      43.00
    Class     "L1 V"
    AppMagni  18.64
    AppMagnJ  15.16
    AppMagnH  14.62
    AppMagnKs 14.21
}

Star "2MASSI 17260+15381/2MASSI J1726000+153819/2MASS J17260007+1538190"
{
    RA        17 26  0.1
    Dec       +15 38 19
    Dist      46.60
    Class     "L3 V"
    AppMagn   24.49
    AppMagnR  21.62
    AppMagnI  19.56
    AppMagnJ  15.67
    AppMagnH  14.47
    AppMagnKs 13.66
    AppMagnW1 13.07
    AppMagnW2 12.69
    AppMagnW3 11.56
}

Star "VVV 17264-27380/VVV J172640.2-273803"
{
    RA        17 26 40.2
    Dec       -27 38  3
    Dist      17.54
    Class     "L5 V"
    AppMagnJ  13.27
    AppMagnH  12.67
    AppMagnKs 12.19
}

Star "2MASS 17275-62270/2MASS J17275293-6227029"           //Unconfirmed
{
    RA        17 27 52.9
    Dec       -62 27  3
    Dist      55.00
    Class     "M7.5 V"
    AppMagnI  17.88
    AppMagnJ  14.64
    AppMagnH  13.91
    AppMagnKs 13.35
}

Star "SDSS 17282+58450/SDSS J172822.19+584509.9/2MASS J17282217+5845095"
{
    RA        17 28 22.2
    Dec       +58 45 10
    Dist      76.00
    Class     "L1 V"
    AppMagnr  23.24
    AppMagni  21.04
    AppMagnJ  16.4
    AppMagnH  15.5
    AppMagnKs 15.15
}

Star "WISEPA 17284+57164/WISEPA J172844.93+571643.6"
{
    RA        17 28 44.9
    Dec       +57 16 44
    Dist      30.00
    Class     "T6 V"
    AppMagnJ  17.68
    AppMagnH  17.88
    AppMagnW1 17.37
    AppMagnW2 14.92
    AppMagnW3 13.41
    Teff      975
}

Star "WISEP 17303+42074/WISEP J173035.99+420742.5"
{
    RA        17 30 36.0
    Dec       +42  7 43
    Dist      31.00
    Class     "T0 V"
    AppMagnJ  16.95
    AppMagnH  16
    AppMagnKs 15.65
    AppMagnW1 15.11
    AppMagnW2 14.61
    AppMagnW3 13.47
}

Star "2MASS 17312+27212/2MASS J17312974+2721233"
{
    RA        17 31 29.8
    Dec       +27 21 23
    Dist      12.00
    Class     "L0 V"
    AppMagnR  17.6
    AppMagnI  14.9
    AppMagnJ  12.09
    AppMagnH  11.39
    AppMagnKs 10.91
    Teff      2000
    Radius    93680.74
}

Star "2MASS 17315-13063/2MASS J17315078-1306332"           //Unconfirmed
{
    RA        17 31 50.8
    Dec       -13  6 33
    Dist      84.29
    Class     "M7.5 V"
    AppMagnR  20.66
    AppMagnI  18.66
    AppMagnJ  15.65
    AppMagnH  14.92
    AppMagnKs 14.48
}

Star "2MASS 17331+46335/2MASS J17331893+4633593"
{
    RA        17 33 18.9
    Dec       +46 33 59
    Dist      21.00
    Class     "M9.5 V"
    AppMagnJ  13.21
    AppMagnH  12.41
    AppMagnKs 11.86
}

Star "WISE 17333+31445/WISE J173332.50+314458.3"
{
    RA        17 33 32.5
    Dec       +31 44 58
    Dist      52.00
    Class     "L2 V"
    AppMagnJ  15.87
    AppMagnH  14.89
    AppMagnKs 14.3
    AppMagnW1 13.58
    AppMagnW2 13.27
    AppMagnW3 12.99
}

Star "DENIS-P 17334-16544/DENIS-P J1733423-165449/2MASS J17334227-1654500"
{
    RA        17 33 42.3
    Dec       -16 54 50
    Dist      18.09
    Class     "L0.5 V"
    AppMagnI  16.92
    AppMagnJ  13.53
    AppMagnH  12.81
    AppMagnKs 12.35
    MassSol   0.07506975
}

Star "WISEP 17342+50234/WISEP J173421.02+502349.9"
{
    RA        17 34 21.0
    Dec       +50 23 50
    Dist      24.00
    Class     "T4 V"
    AppMagnJ  16.34
    AppMagnH  15.85
    AppMagnKs 15.37
    AppMagnW1 15.41
    AppMagnW2 14.34
    AppMagnW3 13.48
}

Star "2MASS 17343-11513/2MASS J17343053-1151388"           //Unconfirmed
{
    RA        17 34 30.5
    Dec       -11 51 39
    Dist      21.30
    Class     "M9 V"
    AppMagnR  19.45
    AppMagnI  17.05
    AppMagnJ  13.11
    AppMagnH  12.37
    AppMagnKs 11.88
}

Star "WISEP 17362+60592/WISEP J173623.03+605920.2"
{
    RA        17 36 23.0
    Dec       +60 59 20
    Dist      22.00
    Class     "T8 V"
    AppMagnJ  18.91
    AppMagnH  18.14
    AppMagnKs 16.96
    AppMagnW1 18.70
    AppMagnW2 15.35
    AppMagnW3 13.29
}

Star "2MASS 17365-04072/2MASS J17365608-0407258"           //Unconfirmed
{
    RA        17 36 56.1
    Dec       -04  7 26
    Dist      67.60
    Class     "M8.5 V"
    AppMagnR  20.45
    AppMagnI  18.63
    AppMagnJ  15.46
    AppMagnH  14.88
    AppMagnKs 14.36
}

Star "2MASS 17373-34461/2MASS J17373472-3446108"           //Unconfirmed
{
    RA        17 37 34.7
    Dec       -34 46 11
    Dist      41.49
    Class     "M8.5 V"
    AppMagnI  19.11
    AppMagnJ  14.4
    AppMagnH  13.31
    AppMagnKs 12.76
}

Star "2MASS 17374-10574/2MASS J17374334-1057425"
{
    RA        17 37 43.3
    Dec       -10 57 43
    Dist      21.00
    Class     "T2 V"
    AppMagnJ  15.84
    AppMagnH  15.35
    AppMagnKs 15.05
}

Star "WISEPA 17383+27325/WISEPA J173835.53+273258.9"
{
    RA        17 38 35.3
    Dec       +27 33  2
    Dist      7.81
    Class     "Y0 V"
    AppMagnJ  19.55
    AppMagnH  20.25
    AppMagnK  20.58
    AppMagnW1 17.71
    AppMagnW2 14.5
    AppMagnW3 12.54
    Teff      409
    Radius    65017.23
    MassSol   0.01805475
}

Star "WISEP 17385+61424/WISEP J173859.27+614242.1"
{
    RA        17 38 59.3
    Dec       +61 42 42
    Dist      42.00
    Class     "T V"
    AppMagnJ  17.82
    AppMagnH  16.34
    AppMagnKs 15.27
    AppMagnW1 14.06
    AppMagnW2 13.34
    AppMagnW3 12.2
}

Star "2MASS 17395-53214/2MASS J17395796-5321414"           //Unconfirmed
{
    RA        17 39 58.0
    Dec       -53 21 41
    Dist      50.84
    Class     "M9 V"
    AppMagnI  18.3
    AppMagnJ  15.04
    AppMagnH  14.33
    AppMagnKs 13.84
}

Star "WISE 17410-46422/WISE J174102.78-464225.5"
{
    RA        17 41  2.8
    Dec       -46 42 26
    Dist      20.00
    Class     "L7 V"
    AppMagnJ  15.79
    AppMagnH  14.53
    AppMagnKs 13.44
    AppMagnW1 12.3
    AppMagnW2 11.68
    AppMagnW3 11.43
    Teff      1450
    MassSol   0.01235325
}

Star "WISEPA 17412+25531/WISEPA J174124.26+255319.5"
{
    RA        17 41 24.3
    Dec       +25 53 20
    Dist      5.68
    Class     "T9 V"
    AppMagnJ  16.48
    AppMagnH  16.24
    AppMagnKs 16.89
    AppMagnK  17.02
    AppMagnW1 15.23
    AppMagnW2 12.31
    AppMagnW3 10.68
    Teff      525
}

Star "2MASS 17422-08560/2MASS J17422164-0856024"
{
    RA        17 42 21.6
    Dec       -08 56  2
    Dist      54.47
    Class     "L1 V"
    AppMagnR  21.09
    AppMagnI  19.27
    AppMagnJ  15.79
    AppMagnH  15.09
    AppMagnKs 14.5
}

Star "WISEP 17430+42115/WISEP J174303.71+421150.0"
{
    RA        17 43  3.7
    Dec       +42 11 50
    Dist      19.00
    Class     "T4.5 V"
    AppMagnJ  15.84
    AppMagnH  15.57
    AppMagnKs 15.43
    AppMagnW1 15.4
    AppMagnW2 13.92
    AppMagnW3 12.38
}

Star "2MASSW 17433+58441/2MASSW J1743348+584411/2MASS J17433487+5844110"           //Unconfirmed
{
    RA        17 43 34.9
    Dec       +58 44 11
    Dist      25.80
    Class     "L0.5 V"
    AppMagnI  17.7
    AppMagnJ  14.01
    AppMagnH  13.2
    AppMagnKs 12.68
}

Star "2MASSW 17434+21270/2MASSW J1743415+212707/2MASS J17434148+2127069"
{
    RA        17 43 41.5
    Dec       +21 27  7
    Dist      47.00
    Class     "L2.5 V"
    AppMagnI  19.3
    AppMagnJ  15.83
    AppMagnH  14.79
    AppMagnKs 14.32
}

Star "DENIS-P 17453-16405/DENIS-P J1745346-164053/2MASS J17453466-1640538"
{
    RA        17 45 34.7
    Dec       -16 40 54
    Dist      19.66
    Class     "L1.5 V"
    AppMagnI  16.98
    AppMagnJ  13.65
    AppMagnH  12.88
    AppMagnKs 12.4
    MassSol   0.07506975
}

Star "2MASS 17461+50340/2MASS J17461199+5034036"
{
    RA        17 46 12.0
    Dec       +50 34  4
    Dist      21.00
    Class     "L5 V"
    AppMagnJ  15.1
    AppMagnH  14.05
    AppMagnKs 13.53
}

Star "WISEP 17464-03381/WISEP J174640.78-033818.0"
{
    RA        17 46 40.8
    Dec       -03 38 18
    Dist      25.70
    Class     "T6 V"
    AppMagnJ  17.17
    AppMagnH  17.45
    AppMagnKs 17.08
    AppMagnW1 18.02
    AppMagnW2 14.79
    AppMagnW3 12.17
    Teff      975
}

Star "2MASS 17464-04055/2MASS J17464746-0405522"           //Unconfirmed
{
    RA        17 46 47.5
    Dec       -04  5 52
    Dist      67.15
    Class     "M7 V"
    AppMagnI  18.83
    AppMagnJ  14.87
    AppMagnH  14.19
    AppMagnKs 13.78
}

Star "2MASS 17473-47310/2MASS J17473886-4731075"
{
    RA        17 47 38.9
    Dec       -47 31  8
    Dist      43.41
    Class     "L1 V"
    AppMagnI  18.79
    AppMagnJ  15.3
    AppMagnH  14.59
    AppMagnKs 14.12
}

Star "SDSS 17502+42223/SDSS J175024.01+422237.8/2MASS J17502385+4222373"
{
    RA        17 50 23.9
    Dec       +42 22 37
    Dist      22.00
    Class     "T2 V"
    AppMagnJ  16.47
    AppMagnH  15.42
    AppMagnKs 15.48
    AppMagnW1 14.78
    AppMagnW2 13.97
    AppMagnW3 13
}

Star "2MASS 17502-00161/2MASS J17502484-0016151"
{
    RA        17 50 24.8
    Dec      -0.270833
    Dist      9.22
    Class     "L5.5 V"
    AppMagnI  18.8
    AppMagnJ  13.29
    AppMagnH  12.41
    AppMagnKs 11.85
}

Star "SDSSp 17503+17590/SDSSp J175032.96+175903.9/2MASS J17503293+1759042"
{
    RA        17 50 32.9
    Dec       +17 59  4
    Dist      27.59
    Class     "T3.5 V"
    AppMagni  23.73
    AppMagnJ  16.34
    AppMagnH  15.95
    AppMagnKs 15.48
    AppMagnK  15.5
    AppMagnW1 15.83
    AppMagnW2 14.42
    AppMagnW3 12.74
}

Star "2MASS 17531-01313/2MASS J17531155-0131300"           //Unconfirmed
{
    RA        17 53 11.6
    Dec       -01 31 30
    Dist      79.93
    Class     "M8.5 V"
    AppMagnR  20.72
    AppMagnI  18.76
    AppMagnJ  15.74
    AppMagnH  15.05
    AppMagnKs 14.46
}

Star "DENIS-P 17534?65595/DENIS-P J1753452?655955/2MASS J17534518-6559559"
{
    RA        17 53 45.2
    Dec       -65 59 56
    Dist      17.24
    Class     "L4 V"
    AppMagnI  17.8
    AppMagnJ  14.1
    AppMagnH  13.11
    AppMagnKs 12.42
    AppMagnK  12.42
    AppMagnW1 11.84
    AppMagnW2 11.52
    AppMagnW3 11.13
    Teff      1800
    Radius    69911
}

Star "2MASS 17545+16491/2MASS J17545447+1649196"
{
    RA        17 54 54.5
    Dec       +16 49 20
    Dist      11.42
    Class     "T5.5 V"
    AppMagnJ  15.81
    AppMagnH  15.65
    AppMagnK  15.56
}

Star "WISEP 17551+18032/WISEP J175510.28+180320.2"
{
    RA        17 55 10.3
    Dec       +18  3 20
    Dist      21.00
    Class     "T2 V"
    AppMagnJ  16.02
    AppMagnH  15.22
    AppMagnKs 14.68
    AppMagnW1 14.6
    AppMagnW2 13.74
    AppMagnW3 12.36
}

Star "2MASS 17562-45182/2MASS J17562963-4518224"           //Unconfirmed
{
    RA        17 56 29.6
    Dec       -45 18 22
    Dist      14.80
    Class     "M9 V"
    AppMagnR  17.98
    AppMagnI  15.31
    AppMagnJ  12.39
    AppMagnH  11.73
    AppMagnKs 11.26
}

Star "DENIS-P 17565-48050/DENIS-P J1756561-480509/2MASS J17565620-4805096"
{
    RA        17 56 56.2
    Dec       -48  5 10
    Dist      21.26
    Class     "L0 V"
    AppMagnI  16.74
    AppMagnJ  13.41
    AppMagnH  12.71
    AppMagnKs 12.19
    MassSol   0.07697025
}

Star "WISEP 17592+54420/WISEP J175929.37+544204.7"
{
    RA        17 59 29.4
    Dec       +54 42  5
    Dist      29.00
    Class     "T7 V"
    AppMagnJ  17.93
    AppMagnH  18.26
    AppMagnW1 18.55
    AppMagnW2 15.51
    AppMagnW3 13.61
}

Star "2MASS 18000-15592/2MASS J18000116-1559235"
{
    RA        18  0  1.2
    Dec       -15 59 24
    Dist      9.08
    Class     "L5.5 V"
    AppMagnJ  13.43
    AppMagnH  12.52
    AppMagnKs 11.98
}

Star "DENIS-P 18002+01345/DENIS-P J180026.4+013457/2MASS J18002648+0134565"
{
    RA        18  0 26.6
    Dec       +01 34 53
    Dist      8.80
    Class     "L7.5 V"
    AppMagnJ  14.3
    AppMagnH  13.12
    AppMagnKs 12.42
    AppMagnK  12.45
    Teff      1430
    Radius    62919.9
    MassSol   0.05036325
}

Star "2MASS 18014-02125/2MASS J18014267-0212566"           //Unconfirmed
{
    RA        18  1 42.7
    Dec       -02 12 57
    Dist      73.91
    Class     "M9 V"
    AppMagnR  20.83
    AppMagnI  19.01
    AppMagnJ  15.78
    AppMagnH  15.14
    AppMagnKs 14.63
}

Star "WISEPA 18043+31170/WISEPA J180435.40+311706.1"
{
    RA        18  4 35.6
    Dec       +31 17  6
    Dist      12.50
    Class     "T9.5 V"
    AppMagnJ  18.67
    AppMagnH  19.21
    AppMagnKs 16.86
    AppMagnW1 18.64
    AppMagnW2 14.71
    AppMagnW3 12.85
    Teff      583
    Radius    62220.79
    MassSol   0.026607
}

Star "MOA-2007-BLG-163"
{
    RA        18  5 41.0
    Dec       -28 45 36
    Dist      525.00
    MassSol   0.05606475
}

Star "2MASSI 18071+50153/2MASSI J1807159+501531/2MASS J18071593+5015316"
{
    RA        18  7 15.9
    Dec       +50 15 32
    Dist      14.00
    Class     "L1.5 V"
    AppMagnJ  12.93
    AppMagnH  12.13
    AppMagnKs 11.6
    AppMagnW1 11.25
    AppMagnW2 10.97
    AppMagnW3 10.48
    Teff      2100
    Radius    72008.33
}

Star "WISEP 18090+38380/WISEP J180901.07+383805.4"
{
    RA        18  9  1.1
    Dec       +38 38  5
    Dist      22.80
    Class     "T7 V"
    AppMagnJ  17.37
    AppMagnW1 18.02
    AppMagnW2 15.19
    AppMagnW3 10.4
    Teff      675
}

Star "WISEP 18095-04481/WISEP J180952.53-044812.5"
{
    RA        18  9 52.5
    Dec       -04 48 13
    Dist      14.00
    Class     "T0.5 V"
    AppMagnJ  15.14
    AppMagnH  14.28
    AppMagnKs 13.96
    AppMagnW1 13.29
    AppMagnW2 12.73
    AppMagnW3 12.38
}

Star "WISEPA 18121+27214/WISEPA J181210.85+272144.3"
{
    RA        18 12 10.9
    Dec       +27 21 44
    Dist      13.00
    Class     "T8.5 V"
    AppMagnJ  18.19
    AppMagnH  18.83
    AppMagnKs 17.03
    AppMagnW1 17.24
    AppMagnW2 14.18
    AppMagnW3 12.37
    Teff      620
    MassSol   0.01235325
}

Star "WISEP 18124+20074/WISEP J181243.14+200746.4"
{
    RA        18 12 43.1
    Dec       +20  7 46
    Dist      12.00
    Class     "T9 V"
    AppMagnJ  18.54
    AppMagnH  18.95
    AppMagnW1 18.55
    AppMagnW2 15.35
    AppMagnW3 12.89
}

Star "2MASS 18212+14140/2MASS J18212815+1414010"
{
    RA        18 21 28.2
    Dec       +14 14  1
    Dist      11.00
    Class     "L4.5 V"
    AppMagnJ  13.43
    AppMagnH  12.4
    AppMagnKs 11.65
    Teff      2200
}

Star "EQ 1822-6750"           //Unconfirmed
{
    RA        18 22 38.6
    Dec       -67 50  4
    Dist      33.90
    Class     "T9 V"
}

Star "2MASS 18244-71281/2MASS J18244550-7128196"
{
    RA        18 24 45.5
    Dec       -71 28 20
    Dist      65.00
    Class     "L0 V"
    AppMagnJ  15.68
    AppMagnH  15.29
    AppMagnKs 14.85
}

Star "WISEPA 18283+26503/WISEPA J182831.08+265037.8"
{
    RA        18 28 30.3
    Dec       +26 50 36
    Dist      9.43
    Class     "Y2 V"
    AppMagnJ  23.57
    AppMagnH  22.45
    AppMagnK  23.48
    AppMagnW1 18.47
    AppMagnW2 14.28
    AppMagnW3 12.32
    Teff      350
    Radius    69911
    MassSol   0.011403
}

Star "2MASS 18283-48490/2MASS J18283572-4849046"
{
    RA        18 28 35.7
    Dec       -48 49  5
    Dist      11.95
    Class     "T5.5 V"
    AppMagnJ  15.18
    AppMagnH  14.91
    AppMagnKs 15.18
    AppMagnW1 14.52
    AppMagnW2 12.71
    AppMagnW3 11.46
}

Star "WISEPA 18305+45425/WISEPA J183058.57+454257.9"
{
    RA        18 30 58.6
    Dec       +45 42 58
    Dist      43.00
    Class     "L9 V"
    AppMagnJ  18.75
    AppMagnH  16.12
    AppMagnKs 14.98
    AppMagnW1 14.76
    AppMagnW2 14.09
    AppMagnW3 13.17
}

Star "2MASS 18401-56311/2MASS J18401904-5631138"
{
    RA        18 40 19.0
    Dec       -56 31 14
    Dist      23.00
    Class     "L9 V"
    AppMagnJ  16.07
    AppMagnH  15.52
    AppMagnKs 15.19
}

Star "2MASS 18403-14592/2MASS J18403930-1459233"           //Unconfirmed
{
    RA        18 40 39.3
    Dec       -14 59 23
    Dist      76.29
    Class     "M7.5 V"
    AppMagnI  18.27
    AppMagnJ  15.34
    AppMagnH  14.65
    AppMagnKs 14.12
}

Star "WISEP 18404+29322/WISEP J184041.77+293229.2"
{
    RA        18 40 41.8
    Dec       +29 32 29
    Dist      40.00
    Class     "T6 V"
    AppMagnJ  17.89
    AppMagnH  18.12
    AppMagnW1 18.53
    AppMagnW2 15.12
    AppMagnW3 12.71
}

Star "2MASSW 18410+31172/2MASSW J1841086+311727/2MASS J18410861+3117279"
{
    RA        18 41  8.6
    Dec       +31 17 28
    Dist      42.43
    Class     "L4 V"
    AppMagnI  19.26
    AppMagnJ  16.16
    AppMagnH  14.97
    AppMagnKs 14.22
    AppMagnK  14.24
    AppMagnW1 13.61
    AppMagnW2 13.24
    AppMagnW3 12.76
}

Star "2MASS 18462-11433/2MASS J18462994-1143368"           //Unconfirmed
{
    RA        18 46 29.9
    Dec       -11 43 37
    Dist      80.95
    Class     "M7.5 V"
    AppMagnI  18.47
    AppMagnJ  15.51
    AppMagnH  14.84
    AppMagnKs 14.41
}

Star "2MASS 18463-13045/2MASS J18463633-1304507"
{
    RA        18 46 36.3
    Dec       -13  4 51
    Dist      41.67
    Class     "L1.5 V"
    AppMagnI  18.99
    AppMagnJ  15.44
    AppMagnH  14.58
    AppMagnKs 14.18
}

Star "2MASS 18502-14205/2MASS J18502437-1420561"
{
    RA        18 50 24.4
    Dec       -14 20 56
    Dist      36.76
    Class     "L1 V"
    AppMagnI  18.5
    AppMagnJ  15
    AppMagnH  14.32
    AppMagnKs 13.89
}

Star "WISE 18510+59350/WISE J185101.83+593508.6"
{
    RA        18 51  1.8
    Dec       +59 35  9
    Dist      11.00
    Class     "L9 V"
    AppMagnJ  14.94
    AppMagnH  13.97
    AppMagnKs 13.46
    AppMagnW1 12.65
    AppMagnW2 12.18
    AppMagnW3 11.23
}

Star "WISEPA 18521+35371/WISEPA J185215.78+353716.3"
{
    RA        18 52 15.8
    Dec       +35 37 16
    Dist      17.00
    Class     "T7 V"
    AppMagnJ  16.5
    AppMagnH  17.41
    AppMagnKs 17.08
    AppMagnW1 16.26
    AppMagnW2 14.16
    AppMagnW3 12.17
    Teff      825
}

Star "2MASS 18544+84294/2MASS J18544597+8429470"
{
    RA        18 54 46.0
    Dec       +84 29 47
    Dist      23.00
    Class     "L0 V"
    AppMagnJ  13.66
    AppMagnH  13.01
    AppMagnKs 12.47
    Teff      2000
    Radius    87388.75
}

Star "2MASS 19010+47181/2MASS J19010601+4718136"
{
    RA        19  1  6.0
    Dec       +47 18 14
    Dist      15.00
    Class     "T5 V"
    AppMagnJ  15.86
    AppMagnH  15.47
    AppMagnKs 15.64
    AppMagnW1 15.3
    AppMagnW2 13.58
    AppMagnW3 12.46
}

Star "WISEPA 19062+45080/WISEPA J190624.75+450808.2"
{
    RA        19  6 24.8
    Dec       +45  8  8
    Dist      15.80
    Class     "T6 V"
    AppMagnJ  16.36
    AppMagnH  16.32
    AppMagnKs 16.83
    AppMagnW1 15.98
    AppMagnW2 13.82
    AppMagnW3 12.7
    Teff      975
}

Star "WISEP 19064+40110/WISEP J190648.47+401106.8/2MASS J19064801+4011089"
{
    RA        19  6 48.0
    Dec       +40 11  9
    Dist      16.35
    Class     "L1 V"
    AppMagnR  20.03
    AppMagni  17.42
    AppMagnJ  13.08
    AppMagnH  12.26
    AppMagnKs 11.77
    AppMagnW1 11.45
    AppMagnW2 11.22
    AppMagnW3 10.77
    Teff      2300
    Radius    64318.12
}

Star "DENIS-P 19074-28242/DENIS-P J1907440-282420/2MASS J19074402-2824205"
{
    RA        19  7 44.0
    Dec       -28 24 21
    Dist      21.80
    Class     "L2 V"
    AppMagnI  17.74
    AppMagnJ  14.46
    AppMagnH  13.78
    AppMagnK  13.27
}

Star "WISEP 19090-52043/WISEP J190903.16-520433.5"
{
    RA        19  9  3.2
    Dec       -52  4 34
    Dist      33.00
    Class     "T5.5 V"
    AppMagnJ  17.35
    AppMagnH  17.26
    AppMagnW1 18.20
    AppMagnW2 15.34
    AppMagnW3 12.56
}

Star "DENIS-P 19090-19374/DENIS-P J1909081-193748/2MASS J19090821-1937479"
{
    RA        19  9  8.2
    Dec       -19 37 48
    Dist      32.00
    Class     "L1 V"
    AppMagnI  17.77
    AppMagnJ  14.52
    AppMagnH  13.54
    AppMagnKs 12.92
    AppMagnW1 12.46
    AppMagnW2 12.16
}

Star "2MASS 19130-13075/2MASS J19130363-1307559"           //Unconfirmed
{
    RA        19 13  3.6
    Dec       -13  7 56
    Dist      76.12
    Class     "M7.5 V"
    AppMagnI  18.21
    AppMagnJ  15.29
    AppMagnH  14.49
    AppMagnKs 13.89
}

Star "WISEP 19135+64445/WISEP J191359.78+644456.6"
{
    RA        19 13 59.8
    Dec       +64 44 57
    Dist      33.00
    Class     "T5 V"
    AppMagnJ  17.32
    AppMagnH  16.89
    AppMagnKs 16.49
    AppMagnW1 17.37
    AppMagnW2 15.07
    AppMagnW3 12.90
}

Star "SDSS 19170+77560/SDSS J191709.94+775600.1/2MASS J19170993+7755597"
{
    RA        19 17  9.9
    Dec       +77 55 60
    Dist      28.60
    Class     "L0 V"
    AppMagnJ  14.63
    AppMagnH  13.84
    AppMagnKs 13.25
}

Star "DENIS-P 19190-41343/DENIS-P J191903.9-413433"           //Unconfirmed
{
    RA        19 19  3.9
    Dec       -41 34 33
    Dist      55.60
    Class     "L3 V"
    AppMagnI  19.4
    AppMagnJ  15.9
}

Star "WISE 19191+30455/WISE J191915.54+304558.4"
{
    RA        19 19 15.5
    Dec       +30 45 58
    Dist      19.00
    Class     "L6 V"
    AppMagnJ  15.57
    AppMagnH  14.6
    AppMagnKs 13.95
    AppMagnW1 13.39
    AppMagnW2 12.94
    AppMagnW3 11.72
}

Star "2MASS 19223+66101/2MASS J19223062+6610194"
{
    RA        19 22 30.6
    Dec       +66 10 19
    Dist      31.00
    Class     "L1 V"
    AppMagnJ  14.57
    AppMagnH  13.69
    AppMagnKs 13.16
}

Star "2MASS 19265-08442/2MASS J19265883-0844206"           //Unconfirmed
{
    RA        19 26 58.8
    Dec       -08 44 21
    Dist      71.76
    Class     "M7.5 V"
    AppMagnR  20.27
    AppMagnI  18.14
    AppMagnJ  15.2
    AppMagnH  14.35
    AppMagnKs 13.94
}

Star "WISEP 19284+23560/WISEP J192841.35+235604.9"
{
    RA        19 28 41.4
    Dec       +23 56  5
    Dist      7.00
    Class     "T6 V"
    AppMagnJ  14.34
    AppMagnH  14.31
    AppMagnKs 14.09
    AppMagnW1 13.94
    AppMagnW2 12.11
    AppMagnW3 11.03
    Teff      975
}

Star "2MASS 19285-43562/2MASS J19285196-4356256"
{
    RA        19 28 52.0
    Dec       -43 56 26
    Dist      20.00
    Class     "L4 V"
    AppMagnJ  15.2
    AppMagnH  14.13
    AppMagnKs 13.46
    AppMagnW1 12.82
    AppMagnW2 12.56
    AppMagnW3 12.37
}

Star "VHS 19293-44255/VHS J192934.1-442550.5"
{
    RA        19 29 34.2
    Dec       -44 25 51
    Dist      31.58
    Class     "T4 V"
    AppMagnJ  17.13
    AppMagnKs 16.84
    AppMagnW1 16.38
    AppMagnW2 14.96
}

Star "CFBDS 19343-21422/CFBDS J193430-214221/2MASS J19343036-2142209"
{
    RA        19 34 30.4
    Dec       -21 42 21
    Dist      34.00
    Class     "T3.5 V"
    AppMagni  24.14
    AppMagnJ  16.66
    AppMagnH  16.39
    AppMagnKs 16.31
}

Star "DENIS-P 19345-18413/DENIS-P J1934511-184134/2MASS J19345119-1841346"
{
    RA        19 34 51.2
    Dec       -18 41 35
    Dist      26.40
    Class     "L1 V"
    AppMagnI  17.71
    AppMagnJ  14.43
    AppMagnH  13.66
    AppMagnK  13.29
}

Star "DENIS-P 19355?28463/DENIS-P J1935560?284634/2MASS J19355595-2846343"
{
    RA        19 35 56.0
    Dec       -28 46 34
    Dist      29.00
    Class     "M9.5 V"
    AppMagnI  17.21
    AppMagnJ  13.95
    AppMagnH  13.18
    AppMagnK  12.71
}

Star "2MASS 19360-55023/2MASS J19360187-5502322"
{
    RA        19 36  1.9
    Dec       -55  2 32
    Dist      15.08
    Class     "L5 V"
    AppMagnJ  14.49
    AppMagnH  13.63
    AppMagnKs 13.05
    AppMagnW1 12.28
    AppMagnW2 12
    AppMagnW3 11.65
    Teff      1800
    Radius    69911
}

Star "WISE 19511-33111/WISE J195113.62-331116.7"
{
    RA        19 51 13.6
    Dec       -33 11 17
    Dist      55.00
    Class     "L1 V"
    AppMagnJ  15.71
    AppMagnH  15.02
    AppMagnKs 14.51
    AppMagnW1 14.06
    AppMagnW2 13.71
    AppMagnW3 12.73
}

Star "WISEPA 19524+72400/WISEPA J195246.66+724000.8"
{
    RA        19 52 46.7
    Dec       +72 40  1
    Dist      13.60
    Class     "T4 V"
    AppMagnJ  15.09
    AppMagnH  14.73
    AppMagnKs 14.65
    AppMagnW1 14.2
    AppMagnW2 13
    AppMagnW3 11.92
}

Star "WISEP 19543+69154/WISEP J195436.15+691541.3"
{
    RA        19 54 36.2
    Dec       +69 15 41
    Dist      36.00
    Class     "T5.5 V"
    AppMagnJ  17.73
    AppMagnH  17.19
    AppMagnKs 17.06
    AppMagnW1 17.35
    AppMagnW2 14.97
    AppMagnW3 13.84
}

Star "WISEP 19550-25401/WISEP J195500.42-254013.9"
{
    RA        19 55  0.4
    Dec       -25 40 14
    Dist      15.00
    Class     "T8 V"
    AppMagnJ  17.58
    AppMagnH  18
    AppMagnW1 18.13
    AppMagnW2 15.02
    AppMagnW3 12.34
}

Star "2MASS 19561-17542/2MASS J19561542-1754252"
{
    RA        19 56 15.4
    Dec       -17 54 25
    Dist      33.00
    Class     "L0 V"
    AppMagnJ  13.75
    AppMagnH  13.11
    AppMagnKs 12.65
}

Star "DENIS-P 19564?77471/DENIS-P J1956460?774717/2MASS J19564606-7747177"
{
    RA        19 56 46.1
    Dec       -77 47 18
    Dist      32.10
    Class     "M9.5 V"
    AppMagnI  17.46
    AppMagnJ  14.36
    AppMagnH  13.64
    AppMagnKs 13.23
    AppMagnK  13.04
}

Star "DENIS-P 19564-75422/DENIS-P J195647.0-754226/2MASS J19564700-7542270"
{
    RA        19 56 47.0
    Dec       -75 42 27
    Dist      69.00
    Class     "L0 V"
    AppMagnJ  16.15
    AppMagnH  15.04
    AppMagnKs 14.23
    AppMagnW1 13.69
    AppMagnW2 13.25
    AppMagnW3 12.68
}

Star "WISEPA 19590-33383/WISEPA J195905.66-333833.7"
{
    RA        19 59  5.7
    Dec       -33 38 34
    Dist      11.40
    Class     "T8 V"
    AppMagnJ  16.71
    AppMagnH  17.18
    AppMagnKs 16.23
    AppMagnW1 16.42
    AppMagnW2 13.82
    AppMagnW3 12.29
    Teff      675
}

Star "WISE 20005+36295/WISE J200050.19+362950.1"
{
    RA        20  0 50.2
    Dec       +36 29 50
    Dist      5.95
    Class     "T8 V"
    AppMagnJ  15.44
    AppMagnH  15.85
    AppMagnW1 15.56
    AppMagnW2 12.71
    AppMagnW3 11.26
}

Star "2MASS 20025-05215/2MASS J20025073-0521524"
{
    RA        20  2 50.7
    Dec       -05 21 52
    Dist      16.00
    Class     "L6 V"
    AppMagnJ  15.32
    AppMagnH  14.28
    AppMagnKs 13.42
    AppMagnW1 12.53
    AppMagnW2 12.07
    AppMagnW3 11.09
}

Star "WISE 20040-26375/WISE J200403.17-263751.7"
{
    RA        20  4  3.2
    Dec       -26 37 52
    Dist      47.00
    Class     "L0 V"
    AppMagnJ  15.19
    AppMagnH  14.64
    AppMagnKs 14.09
    AppMagnW1 13.97
    AppMagnW2 13.6
    AppMagnW3 12.70
}

Star "WISEP 20080-08342/WISEP J200804.71-083428.5"
{
    RA        20  8  4.7
    Dec       -08 34 29
    Dist      23.00
    Class     "T5.5 V"
    AppMagnJ  16.37
    AppMagnH  16.69
    AppMagnKs 15.66
    AppMagnW1 16.25
    AppMagnW2 14.23
    AppMagnW3 12.64
}

Star "2MASS 20115-62011/2MASS J20115649-6201127"
{
    RA        20 11 56.5
    Dec       -62  1 13
    Dist      19.00
    Class     "T1 V"
    AppMagnJ  15.57
    AppMagnH  15.1
    AppMagnKs 14.57
    AppMagnW1 14.43
    AppMagnW2 14.12
    AppMagnW3 12.37
}

Star "DENIS-P 20131?12424/DENIS-P J2013108?124244/2MASS J20131084-1242452"
{
    RA        20 13 10.8
    Dec       -12 42 45
    Dist      24.80
    Class     "L1.5 V"
    AppMagnI  18.07
    AppMagnJ  14.67
    AppMagnH  13.87
    AppMagnK  13.3
}

Star "WISEP 20140+04240/WISEP J201404.13+042408.5"
{
    RA        20 14  4.1
    Dec       +04 24  9
    Dist      29.50
    Class     "T6.5 V"
    AppMagnJ  18.76
    AppMagnH  18.66
    AppMagnKs 17.84
    AppMagnW1 17.94
    AppMagnW2 15.16
    AppMagnW3 12.30
    Teff      825
}

Star "WISEPA 20182-74232/WISEPA J201824.96-742325.9"
{
    RA        20 18 25.0
    Dec       -74 23 26
    Dist      13.10
    Class     "T7 V"
    AppMagnJ  16.83
    AppMagnH  17.17
    AppMagnKs 16.60
    AppMagnW1 16.61
    AppMagnW2 13.72
    AppMagnW3 12.51
    Teff      710
    MassSol   0.0475125
}

Star "WISEP 20192-11480/WISEP J201920.76-114807.5"
{
    RA        20 19 20.8
    Dec       -11 48  8
    Dist      13.00
    Class     "T8 V"
    AppMagnJ  18.09
    AppMagnH  18.23
    AppMagnKs 14.11
    AppMagnW1 17.29
    AppMagnW2 14.32
    AppMagnW3 12.20
    Teff      675
}

Star "2MASS 20232-59465/2MASS J20232858-5946519"
{
    RA        20 23 28.6
    Dec       -59 46 52
    Dist      18.00
    Class     "T1 V"
    AppMagnJ  15.53
    AppMagnH  14.97
    AppMagnKs 14.49
    AppMagnW1 14.13
    AppMagnW2 13.96
    AppMagnW3 12.91
}

Star "DENIS-P 20233-18150/DENIS-P J202333.6-181500/2MASS J20233356-1814594"           //Unconfirmed
{
    RA        20 23 33.6
    Dec       -18 14 59
    Dist      36.70
    Class     "L3 V"
    AppMagnI  18.5
    AppMagnJ  15.12
    AppMagnH  14.42
    AppMagnKs 13.93
}

Star "SDSS 20282+00522/SDSS J202820.32+005226.5/2MASS J20282035+0052265"
{
    RA        20 28 20.4
    Dec       +00 52 27
    Dist      21.00
    Class     "L3 V"
    AppMagnr  21.37
    AppMagni  18.89
    AppMagnJ  14.3
    AppMagnH  13.38
    AppMagnKs 12.79
    AppMagnW1 12.3
    AppMagnW2 12.02
    AppMagnW3 11.27
}

Star "WISEP 20304+07493/WISEP J203042.79+074934.7"
{
    RA        20 30 42.8
    Dec       +07 49 35
    Dist      10.50
    Class     "T1.5 V"
    AppMagni  21.81
    AppMagnI  18.9
    AppMagnJ  14.23
    AppMagnH  13.44
    AppMagnKs 13.32
    AppMagnW1 12.96
    AppMagnW2 12.12
    AppMagnW3 10.96
}

Star "2MASS 20343+08270/2MASS J20343769+0827009"
{
    RA        20 34 37.7
    Dec       +08 27  1
    Dist      23.00
    Class     "L1 V"
    AppMagnJ  14.46
    AppMagnH  13.59
    AppMagnKs 13.08
    AppMagnW1 12.75
    AppMagnW2 12.56
    AppMagnW3 11.77
}

Star "2MASS 20360+10512/2MASS J20360316+1051295"
{
    RA        20 36  3.2
    Dec       +10 51 30
    Dist      18.00
    Class     "L3 V"
    AppMagnJ  13.95
    AppMagnH  13.02
    AppMagnKs 12.45
    AppMagnW1 11.9
    AppMagnW2 11.6
    AppMagnW3 11.04
    Teff      2100
}

Star "DENIS-P 20360-13063/DENIS-P J203608.64-130638.3/2MASS J20360861-1306382"
{
    RA        20 36  8.6
    Dec       -13  6 38
    Dist      41.70
    Class     "M9.5 V"
    AppMagnR  20.61
    AppMagnI  18.1
    AppMagnJ  14.94
    AppMagnH  14.09
    AppMagnK  13.58
}

Star "LSR J2036+5059/2MASS J20362186+5059503"
{
    RA        20 36 21.9
    Dec       +50 59 50
    Dist      46.30
    Class     "M7.5 V"
    AppMagnJ  13.61
    AppMagnH  13.16
    AppMagnKs 12.94
}

Star "CFBDS 20373-19220/CFBDS J203737-192202"
{
    RA        20 37 37.1
    Dec       -19 22  3
    Dist      76.00
    Class     "T0 V"
    AppMagni  24.49
    AppMagnJ  18.72
    AppMagnH  17.8
    AppMagnKs 17.15
}

Star "CFBDS 20384-18501/CFBDS J203841-185012"
{
    RA        20 38 41.4
    Dec       -18 50 12
    Dist      98.00
    Class     "T3 V"
    AppMagni  25.07
    AppMagnJ  18.58
}

Star "2MASS 20414-35064/2MASS J20414283-3506442"
{
    RA        20 41 42.8
    Dec       -35  6 44
    Dist      33.00
    Class     "L2 V"
    AppMagnJ  14.89
    AppMagnH  13.99
    AppMagnKs 13.4
    AppMagnW1 12.87
    AppMagnW2 12.56
    AppMagnW3 12.2
}

Star "SDSS 20431-15510/SDSS J204317.69-155103.4/2MASS J20431769-1551031"
{
    RA        20 43 17.7
    Dec       -15 51  3
    Dist      29.00
    Class     "L9 V"
    AppMagnJ  16.63
    AppMagnH  16.05
    AppMagnKs 15.4
    AppMagnW1 14.78
    AppMagnW2 14.16
    AppMagnW3 11.77
}

Star "WISEP 20435+62204/WISEP J204356.42+622048.9"
{
    RA        20 43 56.4
    Dec       +62 20 49
    Dist      17.00
    Class     "T1.5 V"
    AppMagnJ  15.6
    AppMagnH  14.7
    AppMagnKs 14.42
    AppMagnW1 13.9
    AppMagnW2 13.02
    AppMagnW3 12.12
}

Star "DENIS-P 20450?63320/DENIS-P J2045024?633206/2MASS J20450238-6332066"
{
    RA        20 45  2.4
    Dec       -63 32  7
    Dist      25.00
    Class     "L1 V"
    AppMagnI  16.05
    AppMagnJ  12.62
    AppMagnH  11.81
    AppMagnKs 11.21
    AppMagnW1 10.74
    AppMagnW2 10.36
    AppMagnW3 9.86
    Teff      2150
    Radius    69911
}

"Star ""SDSS 20474-07181/SDSS J204749.61-071818.3 	/2MASSA J20474959-071817  """
{
    RA        20 47 49.6  
    Dec       -07 18 18
    Dist      20.04
    Class     "T0 V"
    AppMagnJ  16.95
    AppMagnH  15.91
    AppMagnKs 14.99
}

Star "CFBDS 20480-18321/CFBDS J204803-183212"
{
    RA        20 48  3.6
    Dec       -18 32 13
    Dist      31.00
    Class     "T4.5 V"
    AppMagni  23.81
    AppMagnJ  16.44
    AppMagnH  16.55
    AppMagnKs 16.6
}

Star "VHS 20515-55084/VHS J20515938-5508439"
{
    RA        20 51 59.4
    Dec       -55  8 44
    Dist      51.10
    Class     "T7 V"
    AppMagnJ  19.28
    AppMagnH  19.7
    AppMagnKs 19.22
    AppMagnW1 17.79
    AppMagnW2 15.52
}

Star "SDSS 20543+15190/SDSS J205435.83+151903.7/2MASS J20543585+1519043"
{
    RA        20 54 35.9
    Dec       +15 19  4
    Dist      74.80
    Class     "L1 V"
    AppMagnI  19.6
    AppMagnJ  16.37
    AppMagnH  15.43
    AppMagnKs 14.98
}

Star "WISEPC 20562+14595/WISEPC J205628.90+145953.3"
{
    RA        20 56 28.3
    Dec       +14 59 48
    Dist      7.14
    Class     "Y0 V"
    AppMagnJ  19.13
    AppMagnH  19.64
    AppMagnK  20.01
    AppMagnW1 16.48
    AppMagnW2 13.84
    AppMagnW3 11.73
    Teff      407
    Radius    65017.23
    MassSol   0.01615425
}

Star "SDSS 20571+17151/SDSS J205715.39+171515.7/2MASS J20571538+1715154"
{
    RA        20 57 15.4
    Dec       +17 15 15
    Dist      57.50
    Class     "L1.5 V"
    AppMagnI  19.4
    AppMagnJ  15.97
    AppMagnH  15.19
    AppMagnKs 14.5
}

Star "DENIS-P 20575-02522/DENIS-P J205754.10-025229.9/2MASS J20575409-0252302"
{
    RA        20 57 54.1
    Dec       -02 52 30
    Dist      14.27
    Class     "L1.5 V"
    AppMagnI  16.6
    AppMagnJ  13.12
    AppMagnH  12.27
    AppMagnKs 11.72
    AppMagnK  11.6
    AppMagnW1 11.28
    AppMagnW2 10.99
    AppMagnW3 10.34
    Teff      2100
    Radius    39150.16
}

Star "SDSS 20575-00500/SDSS J205755.92-005006.7/2MASS J20575592-0050066"
{
    RA        20 57 55.9
    Dec      -0.835278
    Dist      30.80
    Class     "L0 V"
    AppMagnr  21.83
    AppMagni  19.09
    AppMagnJ  14.97
    AppMagnH  14.23
    AppMagnKs 13.77
}

Star "2MASS 21015-29440/2MASS J21015233-2944050"
{
    RA        21  1 52.3
    Dec       -29 44  5
    Dist      18.00
    Class     "T1 V"
    AppMagnJ  15.6
    AppMagnH  14.85
    AppMagnKs 14.55
    AppMagnW1 14.06
    AppMagnW2 13.79
    AppMagnW3 12.78
}

Star "WISEP 21020-44291/WISEP J210200.15-442919.5"
{
    RA        21  2  0.2
    Dec       -44 29 20
    Dist      9.50
    Class     "T9.5 V"
    AppMagnH  18.39
    AppMagnW1 16.95
    AppMagnW2 14.12
    Teff      525
}

Star "2MASS 21022-60461/2MASS J21022212-6046181"
{
    RA        21  2 22.1
    Dec       -60 46 18
    Dist      19.00
    Class     "T2 V"
    AppMagnJ  15.63
    AppMagnH  15.2
    AppMagnKs 14.83
}

Star "2MASS 21041-10373/2MASS J21041491-1037369"
{
    RA        21  4 14.9
    Dec       -10 37 37
    Dist      17.00
    Class     "L2.5 V"
    AppMagnJ  13.84
    AppMagnH  12.98
    AppMagnKs 12.37
    Teff      2200
    Radius    27265.29
}

Star "2MASSI 21073-03073/2MASSI J2107316-030733/2MASS J21073169-0307337"
{
    RA        21  7 31.7
    Dec       -03  7 34
    Dist      31.00
    Class     "L0 V"
    AppMagnJ  14.2
    AppMagnH  13.44
    AppMagnKs 12.88
}

Star "2MASS 21075-45440/2MASS J21075409-4544064"
{
    RA        21  7 54.1
    Dec       -45 44  6
    Dist      43.00
    Class     "L0 V"
    AppMagnJ  14.92
    AppMagnH  13.95
    AppMagnKs 13.38
    AppMagnW1 12.94
    AppMagnW2 12.63
    AppMagnW3 12.81
}

Star "PSO J318.5338-22.8603/2MASS J21140802-2251358"
{
    RA        21 14  8.0
    Dec       -22 51 36
    Dist      24.57
    Class     "L7 V"
    AppMagnJ  16.71
    AppMagnH  15.72
    AppMagnKs 14.74
    AppMagnK  14.41
    AppMagnW1 13.22
    AppMagnW2 12.46
    AppMagnW3 11.8
    Teff      1160
    Radius    106963.83
    MassSol   0.00665175
}

Star "2MASS 21163?07292/2MASS J21163374?0729200"
{
    RA        21 16 33.7
    Dec       -07 29 20
    Dist      40.00
    Class     "L6 V"
    AppMagni  22.2
    AppMagnJ  17.2
    AppMagnH  16.21
    AppMagnKs 14.98
    AppMagnW1 14.62
    AppMagnW2 14.33
    AppMagnW3 12.23
}

Star "SDSS 21184-00104/SDSS J211846.77-001044.6/2MASS J21184677-0010447"
{
    RA        21 18 46.8
    Dec      -0.179167
    Dist      70.00
    Class     "L1 V"
    AppMagni  20.89
    AppMagnJ  16.2
    AppMagnH  15.62
    AppMagnKs 15.07
}

Star "CFBDS 21224+04294/CFBDS J212243+042941"
{
    RA        21 22 43.7
    Dec       +04 29 42
    Dist      62.00
    Class     "T2 V"
    AppMagni  24.17
    AppMagnJ  17.78
}

Star "WISEP 21232-26140/WISEP J212321.92-261405.1"
{
    RA        21 23 21.9
    Dec       -26 14  5
    Dist      34.00
    Class     "T5.5 V"
    AppMagnJ  17.44
    AppMagnH  17.30
    AppMagnKs 15.85
    AppMagnW1 16.95
    AppMagnW2 14.52
    AppMagnW3 11.62
}

Star "SDSS 21241+01000/SDSS J212413.89+010000.3/2MASS J21241387+0059599"
{
    RA        21 24 13.9
    Dec       +00 59 60
    Dist      18.00
    Class     "T5 V"
    AppMagni  23.15
    AppMagnJ  16.03
    AppMagnH  16.18
    AppMagnKs 16.14
    AppMagnK  16.07
    AppMagnW1 15.61
    AppMagnW2 14.14
    AppMagnW3 12.49
}

Star "DENIS-P 21263?31432/DENIS-P J2126340?314322/2MASS J21263403-3143224"
{
    RA        21 26 34.0
    Dec       -31 43 22
    Dist      20.40
    Class     "M9.5 V"
    AppMagnI  16.26
    AppMagnJ  13.47
    AppMagnH  12.79
    AppMagnKs 12.36
    AppMagnK  12.29
}

Star "2MASS 21265-81402/2MASS J21265040-8140293"
{
    RA        21 26 50.4
    Dec       -81 40 29
    Dist      35.00
    Class     "L3 V"
    AppMagnJ  15.54
    AppMagnH  14.41
    AppMagnKs 13.55
    AppMagnW1 12.91
    AppMagnW2 12.47
    AppMagnW3 11.89
}

Star "CFBDS 21270+00234/CFBDS J212702+002344"
{
    RA        21 27  2.2
    Dec       +00 23 45
    Dist      60.00
    Class     "T3.5 V"
    AppMagni  25.25
    AppMagnJ  18.13
    AppMagnH  17.53
    AppMagnKs 17.29
}

Star "2MASSW 21304-08452/2MASSW J2130446-084520/2MASS J21304464-0845205"
{
    RA        21 30 44.6
    Dec       -08 45 21
    Dist      25.00
    Class     "L1.5 V"
    AppMagnJ  14.14
    AppMagnH  13.33
    AppMagnKs 12.82
}

Star "SDSS 21315-00143/SDSS J213151.87-001432.4"
{
    RA        21 31 51.9
    Dec      -0.242222
    Dist      141.00
    Class     "L0 V"
    AppMagnr  25
    AppMagni  21.65
}

Star "SDSS 21315-01193/SDSS J213154.43-011939.3/2MASS J21315444-0119374"
{
    RA        21 31 54.4
    Dec       -01 19 37
    Dist      33.00
    Class     "L9 V"
    AppMagnJ  17.4
    AppMagnH  15.78
    AppMagnKs 15.56
}

Star "SDSS 21324+10294/SDSS J213240.36+102949.4/2MASS J21324036+1029494"
{
    RA        21 32 40.4
    Dec       +10 29 49
    Dist      44.00
    Class     "L4.5 V"
    AppMagnJ  16.59
    AppMagnH  15.37
    AppMagnKs 14.63
}

Star "2MASS 21324-14525/2MASS J21324898-1452544"
{
    RA        21 32 49.0
    Dec       -14 52 54
    Dist      20.00
    Class     "T3 V"
    AppMagnJ  15.71
    AppMagnH  15.38
    AppMagnKs 15.27
    AppMagnW1 14.96
    AppMagnW2 13.64
    AppMagnW3 12.01
}

Star "SDSS 21335+10184/SDSS J213352.72+101841.0/2MASS J21335274+1018410"
{
    RA        21 33 52.7
    Dec       +10 18 41
    Dist      55.00
    Class     "L5 V"
    AppMagnJ  16.88
    AppMagnH  15.83
    AppMagnKs 15.24
}

Star "WISEPA 21345-71374/WISEPA J213456.73-713743.6"
{
    RA        21 34 56.7
    Dec       -71 37 44
    Dist      13.10
    Class     "T9 V"
    AppMagnJ  19.8
    AppMagnH  19.7
    AppMagnW1 18.12
    AppMagnW2 13.94
    AppMagnW3 12.24
    Teff      525
}

Star "2MASS 21371+14504/2MASS J21371044+1450475"
{
    RA        21 37 10.4
    Dec       +14 50 48
    Dist      23.00
    Class     "L2 V"
    AppMagnJ  14.13
    AppMagnH  13.3
    AppMagnKs 12.82
}

Star "2MASS 21373+08084/2MASS J21373742+0808463"
{
    RA        21 37 37.4
    Dec       +08  8 46
    Dist      22.00
    Class     "L5 V"
    AppMagnJ  14.77
    AppMagnH  13.61
    AppMagnKs 13.02
}

Star "DENIS-P 21391?35295/DENIS-P J2139136?352950/2MASS J21391365-3529507"
{
    RA        21 39 13.7
    Dec       -35 29 51
    Dist      26.70
    Class     "L0 V"
    AppMagnI  17.94
    AppMagnJ  14.57
    AppMagnH  13.76
    AppMagnKs 13.31
    AppMagnK  13.36
}

Star "2MASS 21392+02202/2MASS J21392676+0220226"
{
    RA        21 39 26.9
    Dec       +02 20 23
    Dist      11.00
    Class     "T1.5 V"
    AppMagni  21.45
    AppMagnJ  15.26
    AppMagnH  14.17
    AppMagnKs 13.58
    AppMagnW1 12.75
    AppMagnW2 11.94
    AppMagnW3 10.49
    Teff      1270
}

Star "SDSS 21404+01125/SDSS J214046.55+011259.7/2MASS J21404654+0112594"
{
    RA        21 40 46.5
    Dec       +01 12 59
    Dist      44.00
    Class     "L3 V"
    AppMagnr  23.38
    AppMagni  21.1
    AppMagnJ  15.89
    AppMagnH  15.31
    AppMagnKs 14.42
}

Star "CFBDS 21413-03373/CFBDS J214139-033739"
{
    RA        21 41 39.8
    Dec       -03 37 39
    Dist      117.00
    Class     "T1 V"
    AppMagni  24.49
    AppMagnJ  18.72
}

Star "2MASS 21420-31011/2MASS J21420580-3101162"
{
    RA        21 42  5.8
    Dec       -31  1 16
    Dist      43.00
    Class     "L3 V"
    AppMagnJ  15.84
    AppMagnH  14.77
    AppMagnKs 13.97
}

Star "DENIS-P 21435?83371/DENIS-P J2143510?833712/2MASS J21435174-8337135"
{
    RA        21 43 51.7
    Dec       -83 37 14
    Dist      19.20
    Class     "L0 V"
    AppMagnI  16.08
    AppMagnJ  13.34
    AppMagnH  12.76
    AppMagnKs 12.4
    AppMagnK  12.22
}

Star "SDSS 21452-07343/SDSS J214527.82-073434.1/2MASS J21452779-0734340"
{
    RA        21 45 27.8
    Dec       -07 34 34
    Dist      63.20
    Class     "L0 V"
    AppMagnr  22.19
    AppMagni  19.83
    AppMagnJ  15.59
    AppMagnH  14.92
    AppMagnKs 14.31
}

Star "WISEP 21470-10292/WISEP J214706.78-102924.0"
{
    RA        21 47  6.8
    Dec       -10 29 24
    Dist      20.00
    Class     "T7.5 V"
    AppMagnJ  17.66
    AppMagnH  17.81
    AppMagnKs 17.12
    AppMagnW1 17.60
    AppMagnW2 15.06
    AppMagnW3 12.47
}

Star "2MASS 21481-63232/2MASS J21481326-6323265"
{
    RA        21 48 13.3
    Dec       -63 23 27
    Dist      15.00
    Class     "L8 V"
    AppMagnJ  15.33
    AppMagnH  14.34
    AppMagnKs 13.77
    AppMagnW1 13.48
    AppMagnW2 13.31
    AppMagnW3 12.28
}

Star "2MASS 21481+40035/2MASS J21481628+4003593/2MASS J21481633+4003594"
{
    RA        21 48 16.3
    Dec       +40  3 59
    Dist      7.00
    Class     "L6 V"
    AppMagnJ  14.15
    AppMagnH  12.78
    AppMagnKs 11.77
    AppMagnW1 10.74
    AppMagnW2 10.24
    AppMagnW3 9.66
}

Star "CFBDSIRJ214947.2-040308.9"
{
    RA        21 49 47.2
    Dec       -04  3  9
    Dist      27.00
    Class     "T7 V"
    AppMagnJ  19.48
    AppMagnH  19.89
    AppMagnKs 19.35
    AppMagnW1 17.4
    AppMagnW2 15.99
    Teff      700
    MassSol   0.0057015
}

Star "DENIS-P 21501?66103/DENIS-P J2150133?661036/2MASS J21501324-6610366"
{
    RA        21 50 13.2
    Dec       -66 10 37
    Dist      16.50
    Class     "L0 V"
    AppMagnI  17.23
    AppMagnJ  13.86
    AppMagnH  13.11
    AppMagnKs 12.65
    AppMagnK  12.55
}

Star "DENIS-P 21501?75203/DENIS-P J2150149?752035/2MASS J21501592-7520367"
{
    RA        21 50 15.9
    Dec       -75 20 37
    Dist      20.10
    Class     "L1 V"
    AppMagnI  17.45
    AppMagnJ  14.06
    AppMagnH  13.18
    AppMagnKs 12.67
    AppMagnK  12.55
}

Star "2MASS 21512-24410/2MASS J21512543-2441000"
{
    RA        21 51 25.4
    Dec       -24 41  0
    Dist      41.00
    Class     "L3 V"
    AppMagnJ  15.75
    AppMagnH  14.57
    AppMagnKs 13.65
    AppMagnW1 13.06
    AppMagnW2 12.74
    AppMagnW3 12.34
}

Star "SDSS 21512-00020/SDSS J215125.92-000200.7/2MASS J21512592-0002004"
{
    RA        21 51 25.9
    Dec      -0.033611
    Dist      65.60
    Class     "L0 V"
    AppMagnr  22.76
    AppMagni  19.97
    AppMagnJ  15.75
    AppMagnH  15.09
    AppMagnKs 14.86
}

Star "2MASS 21513-48535/2MASS J21513839-4853542"
{
    RA        21 51 38.4
    Dec       -48 53 54
    Dist      19.84
    Class     "T4 V"
    AppMagnJ  15.73
    AppMagnH  15.17
    AppMagnKs 15.43
    AppMagnW1 14.95
    AppMagnW2 13.63
    AppMagnW3 12.2
}

Star "2MASS 21542-10230/2MASS J21542494-1023022"
{
    RA        21 54 24.9
    Dec       -10 23  2
    Dist      33.00
    Class     "T4.5 V"
    AppMagnJ  16.43
    AppMagnH  16.45
    AppMagnKs 17.05
}

Star "2MASS 21543+59421/2MASS J21543318+5942187"
{
    RA        21 54 33.2
    Dec       +59 42 19
    Dist      10.00
    Class     "T5 V"
    AppMagnJ  15.66
    AppMagnH  15.77
    AppMagnKs 15.34
    AppMagnW1 15.73
    AppMagnW2 13.6
    AppMagnW3 13.01
    Teff      975
}

Star "2MASS 21572+83405/2MASS J21572060+8340575"
{
    RA        21 57 20.6
    Dec       +83 40 58
    Dist      26.00
    Class     "L0 V"
    AppMagnJ  13.97
    AppMagnH  13.07
    AppMagnKs 12.58
}

Star "2MASS 21574-55344/2MASS J21574904-5534420"
{
    RA        21 57 49.0
    Dec       -55 34 42
    Dist      25.00
    Class     "L0 V"
    AppMagnJ  14.26
    AppMagnH  13.44
    AppMagnKs 13
}

Star "WISEPC 21575+26593/WISEPC J215751.38+265931.4"
{
    RA        21 57 51.4
    Dec       +26 59 31
    Dist      18.90
    Class     "T7 V"
    AppMagnJ  17.31
    AppMagnH  17.45
    AppMagnW1 16.96
    AppMagnW2 14.55
    AppMagnW3 11.93
    Teff      825
}

Star "2MASS 21580-15500/2MASS J21580457-1550098"
{
    RA        21 58  4.6
    Dec       -15 50 10
    Dist      25.00
    Class     "L4 V"
    AppMagnI  18.8
    AppMagnJ  15.04
    AppMagnH  13.87
    AppMagnKs 13.19
    AppMagnW1 12.57
    AppMagnW2 12.23
    AppMagnW3 11.66
}

Star "2MASSW 22064-42172/2MASSW J2206450-421721/2MASS J22064498-4217208"
{
    RA        22  6 45.0
    Dec       -42 17 21
    Dist      44.90
    Class     "L2 V"
    AppMagnI  19.2
    AppMagnJ  15.56
    AppMagnH  14.45
    AppMagnKs 13.61
    AppMagnW1 12.86
    AppMagnW2 12.37
    AppMagnW3 11.84
}

Star "2MASSW 22081+29212/2MASSW J2208136+292121/2MASS J22081363+2921215"
{
    RA        22  8 13.6
    Dec       +29 21 22
    Dist      50.00
    Class     "L3 V"
    AppMagnI  19.5
    AppMagnJ  15.8
    AppMagnH  14.79
    AppMagnKs 14.15
    AppMagnW1 13.35
    AppMagnW2 12.89
    AppMagnW3 12.58
}

Star "WISEP 22090+27114/WISEP J220905.73+271143.9"
{
    RA        22  9  4.8
    Dec       +27 11 58
    Dist      6.80
    Class     "Y1 V"
    AppMagnJ  22.86
    AppMagnH  22.39
    AppMagnW1 18.83
    AppMagnW2 14.77
    AppMagnW3 12.46
    Teff      350
    Radius    69911
    MassSol   0.011403
}

Star "2MASS 22092-27113/2MASS J22092183-2711329"
{
    RA        22  9 21.8
    Dec       -27 11 33
    Dist      20.88
    Class     "T2.5 V"
    AppMagnJ  15.79
    AppMagnH  15.14
    AppMagnKs 15.1
    AppMagnW1 14.62
    AppMagnW2 13.51
    AppMagnW3 12.35
    Teff      1300
    Radius    69911
}

Star "WISEPC 22092-27343/WISEPC J220922.10-273439.5"
{
    RA        22  9 22.1
    Dec       -27 34 40
    Dist      14.10
    Class     "T7 V"
    AppMagnJ  16.81
    AppMagnH  16.41
    AppMagnKs 16.90
    AppMagnW1 16.47
    AppMagnW2 13.79
    AppMagnW3 12.28
    Teff      825
}

Star "2MASS 22120+34303/2MASS J22120703+3430351"
{
    RA        22 12  7.0
    Dec       +34 30 35
    Dist      30.00
    Class     "L5 V"
    AppMagnJ  16.32
    AppMagnH  15.18
    AppMagnKs 14.37
}

Star "WISEA 22121-69312/WISEA J221216.27-693121.6"
{
    RA        22 12 16.3
    Dec       -69 31 22
    Dist      16.80
    Class     "T9 V"
    AppMagnJ  19.74
    AppMagnH  20.23
    AppMagnW1 17.26
    AppMagnW2 14.87
    AppMagnW3 12.62
    Teff      550
}

Star "CFBDS 22133-00033/CFBDS J221336-000333"
{
    RA        22 13 36.0
    Dec      -0.059167
    Dist      84.00
    Class     "T1.5 V"
    AppMagni  24.83
    AppMagnJ  18.66
}

Star "2MASS 22134-21360/2MASS J22134491-2136079"
{
    RA        22 13 44.9
    Dec       -21 36  8
    Dist      54.00
    Class     "L0 V"
    AppMagnJ  15.38
    AppMagnH  14.4
    AppMagnKs 13.76
    AppMagnW1 13.23
    AppMagnW2 12.83
    AppMagnW3 11.55
}

Star "WISEPC 22135+09113/WISEPC J221354.69+091139.4"
{
    RA        22 13 54.7
    Dec       +09 11 39
    Dist      18.00
    Class     "T7 V"
    AppMagnJ  17.13
    AppMagnH  17.32
    AppMagnKs 16.99
    AppMagnW1 16.64
    AppMagnW2 14.51
    AppMagnW3 12.33
    Teff      825
}

Star "DENIS-P 22153-08091/DENIS-P J221538.2-080912"           //Unconfirmed
{
    RA        22 15 38.3
    Dec       -08  9 12
    Dist      39.00
    Class     "L1 V"
    AppMagnI  17.86
    AppMagnJ  14.67
    AppMagnH  13.96
    AppMagnKs 13.43
}

Star "UDXS 22161+00330/UDXS J221611.51+003308.1"
{
    RA        22 16 11.5
    Dec       +00 33  8
    Dist      81.00
    Class     "T7.5 V"
    Teff      825
}

Star "CFBDSIR 22190+00241/CFBDSIR J221903.07+002417.92"
{
    RA        22 19  3.1
    Dec       +00 24 18
    Dist      95.00
    Class     "T5 V"
    AppMagnI  25.54
    AppMagnJ  18.9
    AppMagnH  19.5
    Teff      975
}

Star "SDSS 22200+12143/SDSS J222000.97+121436.5/2MASS J22200099+1214368"
{
    RA        22 20  1.0
    Dec       +12 14 37
    Dist      41.30
    Class     "L0 V"
    AppMagnr  23.03
    AppMagni  20.58
    AppMagnJ  16.44
    AppMagnH  16.08
}

Star "WISEP 22205-36281/WISEP J222055.31-362817.4"
{
    RA        22 20 55.0
    Dec       -36 28 16
    Dist      9.43
    Class     "Y0 V"
    AppMagnJ  20.45
    AppMagnH  20.86
    AppMagnW1 18.77
    AppMagnW2 14.71
    AppMagnW3 12.81
    Teff      404
    Radius    66415.45
    MassSol   0.0133035
}

Star "HQT-10"
{
    RA        22 21 26.9
    Dec       +01  3 51
    Dist      141.00
    Class     "T4 V"
    AppMagnI  25.54
    AppMagnJ  20
    AppMagnH  19.9
}

Star "WISE 22221+30260/WISE J222219.93+302601.4"
{
    RA        22 22 19.9
    Dec       +30 26  1
    Dist      17.00
    Class     "L9 V"
    AppMagnJ  15.89
    AppMagnH  15.49
    AppMagnKs 14.91
    AppMagnW1 14
    AppMagnW2 13.58
    AppMagnW3 12.55
}

Star "SDSS 22241+00104/SDSS J222412.13+001040.8/2MASS J22241215+0010411"
{
    RA        22 24 12.2
    Dec       +00 10 41
    Dist      67.00
    Class     "L0 V"
    AppMagnr  22.55
    AppMagni  20.02
    AppMagnJ  15.9
    AppMagnH  15.16
    AppMagnKs 14.74
}

Star "2MASS 22244-01585/2MASS J22244381-0158521"
{
    RA        22 24 43.8
    Dec       -01 58 52
    Dist      11.40
    Class     "L4.5 V"
    AppMagnR  20.29
    AppMagnI  18.02
    AppMagnJ  14.07
    AppMagnH  12.82
    AppMagnKs 12.02
    AppMagnW1 11.36
    AppMagnW2 11.12
    AppMagnW3 10.65
    Teff      1600
    Radius    37052.83
}

Star "WISEPC 22262+04400/WISEPC J222623.05+044003.9"
{
    RA        22 26 23.1
    Dec       +04 40  4
    Dist      13.80
    Class     "T8 V"
    AppMagnJ  17.02
    AppMagnH  17.45
    AppMagnK  17.24
    AppMagnW1 17.41
    AppMagnW2 14.63
    AppMagnW3 12.24
    Teff      675
}

Star "ULAS 22271-00454/ULAS J222711-004547"
{
    RA        22 27 10.8
    Dec      -0.763056
    Dist      49.50
    Class     "L7 V"
    AppMagnJ  18.11
    AppMagnH  16.61
    AppMagnK  15.32
    AppMagnW1 14.3
    AppMagnW2 13.64
    AppMagnW3 12.28
}

Star "2MASS 22282-43102/2MASS J22282889-4310262"
{
    RA        22 28 28.9
    Dec       -43 10 26
    Dist      10.64
    Class     "T6 V"
    AppMagnJ  15.66
    AppMagnH  15.36
    AppMagnKs 15.3
    AppMagnW1 15.18
    AppMagnW2 13.29
    AppMagnW3 11.63
    Teff      1110
    Radius    72008.33
    MassSol   0.02565675
}

Star "DENIS-P 22295-06504/DENIS-P J222958.15-065043.2/2MASS J22295812-0650433"
{
    RA        22 29 58.2
    Dec       -06 50 43
    Dist      38.00
    Class     "M9.5 V"
    AppMagnI  18
    AppMagnJ  14.61
    AppMagnH  13.87
    AppMagnKs 13.44
    AppMagnK  13.2
}

Star "ULAS 22295+01021/ULAS J222958.30+010217.2"
{
    RA        22 29 58.3
    Dec       +01  2 17
    Dist      56.00
    Class     "T2.5 V"
    AppMagnJ  17.88
    AppMagnH  17.58
    AppMagnK  17.21
}

Star "2MASS 22341+23595/2MASS J22341394+2359559"
{
    RA        22 34 13.9
    Dec       +23 59 56
    Dist      20.70
    Class     "M9.5 V"
    AppMagnI  16.5
    AppMagnJ  13.18
    AppMagnH  12.35
    AppMagnKs 11.84
}

Star "SDSS 22355+12273/SDSS J223550.14+122737.3/2MASS J22355013+1227377"
{
    RA        22 35 50.1
    Dec       +12 27 37
    Dist      63.50
    Class     "L0 V"
    AppMagnr  22.03
    AppMagni  19.18
    AppMagnJ  15.21
    AppMagnH  14.5
    AppMagnKs 14.04
}

Star "WISEP 22372+72283/WISEP J223720.39+722833.8"
{
    RA        22 37 20.4
    Dec       +72 28 34
    Dist      14.10
    Class     "T6 V"
    AppMagnJ  15.76
    AppMagnH  15.94
    AppMagnKs 15.99
    AppMagnW1 15.67
    AppMagnW2 13.61
    AppMagnW3 12.62
    Teff      975
}

Star "WISEPC 22372-06143/WISEPC J223729.53-061434.2"
{
    RA        22 37 29.5
    Dec       -06 14 34
    Dist      16.40
    Class     "T5 V"
    AppMagnJ  17.4
    AppMagnH  17.4
    AppMagnKs 17.05
    AppMagnW1 17.53
    AppMagnW2 14.66
    AppMagnW3 12.46
}

Star "CFBDS 22385+03494/CFBDS J223856+034947"
{
    RA        22 38 56.3
    Dec       +03 49 47
    Dist      72.00
    Class     "T2 V"
    AppMagni  25.14
    AppMagnJ  17.8
    AppMagnH  17.62
    AppMagnKs 17.3
}

Star "WISEPC 22393+16171/WISEPC J223937.55+161716.2"
{
    RA        22 39 37.6
    Dec       +16 17 16
    Dist      18.30
    Class     "T3 V"
    AppMagnJ  16.18
    AppMagnH  15.5
    AppMagnKs 15.36
    AppMagnW1 14.62
    AppMagnW2 13.44
    AppMagnW3 12.11
}

Star "ULAS 22395+00325/ULAS J223955.76+003252.6"
{
    RA        22 39 55.8
    Dec       +00 32 53
    Dist      67.50
    Class     "T5.5 V"
    AppMagnJ  18.85
    AppMagnH  19.1
    AppMagnKs 18.88
    Teff      1165
    Radius    67813.67
}

Star "2MASS 22425+25425/2MASS J22425317+2542573"
{
    RA        22 42 53.2
    Dec       +25 42 57
    Dist      27.00
    Class     "L3 V"
    AppMagnJ  14.81
    AppMagnH  13.74
    AppMagnKs 13.05
}

Star "DENIS-P 22431?59321/DENIS-P J2243169?593219/2MASS J22431696-5932206"
{
    RA        22 43 17.0
    Dec       -59 32 21
    Dist      29.00
    Class     "L0 V"
    AppMagnI  17.4
    AppMagnJ  14.07
    AppMagnH  13.39
    AppMagnKs 12.84
    AppMagnK  12.97
    AppMagnW1 12.48
    AppMagnW2 12.26
    AppMagnW3 11.43
}

Star "2MASS 22443+20434/2MASS J22443167+2043433"
{
    RA        22 44 31.7
    Dec       +20 43 43
    Dist      19.00
    Class     "L6.5 V"
    AppMagnI  20.1
    AppMagnJ  16.48
    AppMagnH  15
    AppMagnKs 14.02
    AppMagnW1 12.78
    AppMagnW2 12.11
    AppMagnW3 11.14
}

Star "2MASS 22490+32054/2MASS J22490917+3205489"
{
    RA        22 49  9.2
    Dec       +32  5 49
    Dist      25.00
    Class     "L5 V"
    AppMagnJ  15.48
    AppMagnH  14.35
    AppMagnKs 13.59
}

Star "2MASS 22541+31234/2MASS J22541892+3123498"
{
    RA        22 54 18.9
    Dec       +31 23 50
    Dist      13.89
    Class     "T4 V"
    AppMagnJ  15.26
    AppMagnH  15.02
    AppMagnKs 14.9
    AppMagnW1 14.63
    AppMagnW2 13.25
    AppMagnW3 12
}

Star "DENIS-P 22545-28402/DENIS-P J225451.90-284025.4/2MASS J22545194-2840253"
{
    RA        22 54 51.9
    Dec       -28 40 25
    Dist      28.20
    Class     "L0.5 V"
    AppMagnI  17.4
    AppMagnJ  14.13
    AppMagnH  13.43
    AppMagnKs 12.96
    AppMagnK  12.8
}

Star "SDSSp 22552-00343/SDSSp J225529.09-003433.4/2MASS J22552907-0034336"
{
    RA        22 55 29.1
    Dec      -0.576111
    Dist      61.77
    Class     "L0 V"
    AppMagni  19.84
    AppMagnJ  15.65
    AppMagnH  14.76
    AppMagnKs 14.44
    AppMagnK  14.33
    AppMagnW2 13.72
}

Star "WISEPC 22554-31184/WISEPC J225540.74-311841.8"
{
    RA        22 55 40.7
    Dec       -31 18 42
    Dist      13.70
    Class     "T8 V"
    AppMagnJ  17.34
    AppMagnH  17.7
    AppMagnKs 16.40
    AppMagnW1 16.62
    AppMagnW2 14.08
    AppMagnW3 12.20
    Teff      675
}

Star "ULAS 22564+00545/ULAS J225649.51+005452.5"
{
    RA        22 56 49.5
    Dec       +00 54 53
    Dist      84.00
    Class     "T4.5 V"
    AppMagnJ  18.83
    AppMagnH  19.07
}

Star "SDSS 22591-00515/SDSS J225913.88-005158.2/2MASS J22591388-0051581"
{
    RA        22 59 13.9
    Dec      -0.866111
    Dist      65.00
    Class     "L2 V"
    AppMagnr  23.81
    AppMagni  20.68
    AppMagnJ  16.36
    AppMagnH  15.32
    AppMagnKs 14.65
}

Star "WISEP 23013+02163/WISEP J230133.32+021635.0"
{
    RA        23  1 33.3
    Dec       +02 16 35
    Dist      18.60
    Class     "T6.5 V"
    AppMagnJ  16.36
    AppMagnH  16.7
    AppMagnKs 17.18
    AppMagnW1 16.3
    AppMagnW2 14.34
    AppMagnW3 12.47
    Teff      975
}

Star "WISEP 23035+19143/WISEP J230356.79+191432.9"
{
    RA        23  3 56.8
    Dec       +19 14 33
    Dist      29.00
    Class     "T4 V"
    AppMagnJ  16.86
    AppMagnH  16.02
    AppMagnKs 17.10
    AppMagnW1 16.5
    AppMagnW2 14.67
    AppMagnW3 12.66
}

Star "ULAS 23060+13022/ULAS J230601.02+130225.0"
{
    RA        23  6  1.0
    Dec       +13  2 25
    Dist      27.80
    Class     "T6.5 V"
    AppMagnJ  17.57
    AppMagnH  18
    AppMagnKs 18.03
    AppMagnW1 17.79
    AppMagnW2 15
    AppMagnW3 12.80
    Teff      975
}

Star "2MASSW 23062-05022/2MASSW J2306292-050227/2MASS J23062928-0502285"
{
    RA        23  6 29.3
    Dec       -05  2 29
    Dist      12.10
    Class     "L4 V"
    AppMagnR  16.4
    AppMagnI  13.97
    AppMagnJ  11.35
    AppMagnH  10.72
    AppMagnKs 10.3
}

Star "SSSPM J2307-5009/2MASS J23065876-5008589"
{
    RA        23  6 58.8
    Dec       -50  8 59
    Dist      20.00
    Class     "L0.5 V"
    AppMagnJ  13.39
    AppMagnH  12.7
    AppMagnKs 12.24
}

Star "SDSS 23072-00574/SDSS J230722.58-005746.6/2MASSA J2307225-0057462"
{
    RA        23  7 22.5
    Dec      -0.962778
    Dist      96.00
    Class     "L1 V"
    AppMagnJ  17.01
    AppMagnH  16.18
    AppMagnKs 15.98
}

Star "2MASS 23072+87532/2MASS J23072655+8753294"
{
    RA        23  7 26.6
    Dec       +87 53 29
    Dist      25.00
    Class     "L3 V"
    AppMagnJ  14.69
    AppMagnH  13.84
    AppMagnKs 13.17
}

Star "DENIS-P 23081?27220/DENIS-P J2308113?272200/2MASS J23081134-2722001"
{
    RA        23  8 11.3
    Dec       -27 22  0
    Dist      26.30
    Class     "L1.5 V"
    AppMagnI  18.11
    AppMagnJ  14.66
    AppMagnH  13.83
    AppMagnKs 13.33
    AppMagnK  13.18
}

Star "SSSPM J2310-1759/2MASS J23101846-1759090"
{
    RA        23 10 18.5
    Dec       -17 59  9
    Dist      27.47
    Class     "L0 V"
    AppMagnJ  14.38
    AppMagnH  13.58
    AppMagnKs 12.97
    AppMagnW1 12.59
    AppMagnW2 12.29
    AppMagnW3 12.11
    Teff      1850
    Radius    69911
}

Star "WISEPA 23133-80370/WISEPA J231336.40-803700.3"
{
    RA        23 13 36.4
    Dec       -80 37  0
    Dist      9.30
    Class     "T8 V"
    AppMagnJ  16.97
    AppMagnH  16.19
    AppMagnKs 16.36
    AppMagnW1 16.19
    AppMagnW2 13.68
    AppMagnW3 12.35
    Teff      600
    MassSol   0.00665175
}

Star "ULAS 23155+13225/ULAS J231557.61+132256.2"
{
    RA        23 15 57.6
    Dec       +13 22 56
    Dist      31.60
    Class     "T6.5 V"
    AppMagnJ  17.71
    AppMagnH  18.16
    AppMagnKs 18.14
    AppMagnW1 17.95
    AppMagnW2 15.41
    AppMagnW3 12.46
    Teff      975
}

Star "2MASS 23174-48385/2MASS J23174712-4838501"
{
    RA        23 17 47.1
    Dec       -48 38 50
    Dist      25.00
    Class     "L4 V"
    AppMagnJ  15.15
    AppMagnH  13.93
    AppMagnKs 13.18
}

Star "ULAS 23183-00133/ULAS J231835.51-001330.0"
{
    RA        23 18 35.5
    Dec      -0.225
    Dist      88.00
    Class     "T4.5 V"
    AppMagnJ  18.84
    AppMagnH  19.25
    AppMagnKs 19.41
}

Star "2MASS 23185-13011/2MASS J23185497-1301106"
{
    RA        23 18 55.0
    Dec       -13  1 11
    Dist      19.00
    Class     "T3 V"
    AppMagnJ  15.55
    AppMagnH  15.24
    AppMagnKs 15.02
    AppMagnW1 15.08
    AppMagnW2 13.68
    AppMagnW3 12.65
}

Star "WISEPC 23193-18440/WISEPC J231939.13-184404.3"
{
    RA        23 19 39.1
    Dec       -18 44  4
    Dist      16.00
    Class     "T7.5 V"
    AppMagnJ  17.56
    AppMagnH  17.95
    AppMagnKs 16.01
    AppMagnW1 17.04
    AppMagnW2 13.73
    AppMagnW3 12.08
    Teff      825
}

Star "ULAS 23203+14482/ULAS J232035.28+144829.8"
{
    RA        23 20 35.3
    Dec       +14 48 30
    Dist      21.28
    Class     "T5 V"
    AppMagnr  23.7
    AppMagni  23.2
    AppMagnJ  16.79
    AppMagnH  17.14
    AppMagnKs 17.4
    AppMagnK  17.25
    AppMagnW1 16.61
    AppMagnW2 14.3
    AppMagnW3 12.63
}

Star "2MASS 23211-13262/2MASS J23211254-1326282"
{
    RA        23 21 12.5
    Dec       -13 26 28
    Dist      32.00
    Class     "L1 V"
    AppMagnJ  14.5
    AppMagnH  13.58
    AppMagnKs 13.14
}

Star "ULAS 23212+13545/ULAS J232123.79+135454.9"
{
    RA        23 21 23.8
    Dec       +13 54 59
    Dist      11.90
    Class     "T7.5 V"
    AppMagnr  25.7
    AppMagni  24.17
    AppMagnJ  16.72
    AppMagnH  17.15
    AppMagnKs 17.16
    AppMagnK  17.36
    AppMagnW1 17.19
    AppMagnW2 14.06
    AppMagnW3 12.39
    Teff      800
}

Star "DENIS-P 23224?31332/DENIS-P J2322468?313323/2MASS J23224684-3133231"
{
    RA        23 22 46.8
    Dec       -31 33 23
    Dist      17.06
    Class     "L0 V"
    AppMagnI  16.84
    AppMagnJ  13.58
    AppMagnH  12.79
    AppMagnKs 12.32
    AppMagnK  12.29
}

Star "2MASS 23225-61512/2MASS J23225299-6151275"
{
    RA        23 22 53.0
    Dec       -61 51 28
    Dist      41.00
    Class     "L2 V"
    AppMagnJ  15.55
    AppMagnH  14.54
    AppMagnKs 13.86
    AppMagnW1 13.24
    AppMagnW2 12.84
    AppMagnW3 12.68
}

Star "CFBDS 23230-01523/CFBDS J232304-015232"
{
    RA        23 23  4.4
    Dec       -01 52 34
    Dist      29.00
    Class     "T6 V"
    AppMagnJ  17.23
    AppMagnH  17.46
    AppMagnKs 17.3
    AppMagnW1 16.68
    AppMagnW2 15.07
    Teff      975
}

Star "CFBDS 23244-04573/CFBDS J232449-045736"
{
    RA        23 24 49.2
    Dec       -04 57 37
    Dist      82.00
    Class     "T4.5 V"
    AppMagnJ  18.72
}

Star "2MASS 23245-58175/2MASS J23245065-5817554"
{
    RA        23 24 50.7
    Dec       -58 17 55
    Dist      36.00
    Class     "L3 V"
    AppMagnJ  15.57
    AppMagnH  14.49
    AppMagnKs 13.85
}

Star "WISEPC 23251-41053/WISEPC J232519.54-410534.9"
{
    RA        23 25 19.5
    Dec       -41  5 35
    Dist      11.50
    Class     "T9 V"
    AppMagnJ  19.75
    AppMagnH  19.22
    AppMagnW1 17.5
    AppMagnW2 14.11
    AppMagnW3 12.49
    Teff      525
}

Star "2MASS J23254530+4251488"
{
    RA        23 25 45.3
    Dec       +42 51 49
    Dist      14.00
    Class     "L8 V"
    AppMagnJ  15.49
    AppMagnH  14.45
    AppMagnKs 13.76
}

Star "CFBDS 23262-02564/CFBDS J232620-025643"
{
    RA        23 26 20.2
    Dec       -02 56 44
    Dist      57.00
    Class     "T3 V"
    AppMagni  24.52
    AppMagnJ  17.79
    AppMagnH  17.42
    AppMagnKs 17.1
}

Star "WISEPC 23272-27305/WISEPC J232728.75-273056.5"
{
    RA        23 27 28.8
    Dec       -27 30 57
    Dist      21.70
    Class     "L9 V"
    AppMagnJ  16.68
    AppMagnH  15.48
    AppMagnKs 14.76
    AppMagnW1 14.03
    AppMagnW2 13.21
    AppMagnW3 11.69
}

Star "ULAS 23280+13454/ULAS J232802.03+134544.8"
{
    RA        23 28  2.0
    Dec       +13 45 45
    Dist      27.60
    Class     "T7 V"
    AppMagnJ  17.75
    AppMagnH  18.17
    AppMagnKs 18.29
    AppMagnW1 18.19
    AppMagnW2 15.11
    AppMagnW3 12.62
    Teff      825
}

Star "SDSS 23280-10384/SDSS J232804.58-103845.7/2MASS J23280459-1038452"
{
    RA        23 28  4.6
    Dec       -10 38 45
    Dist      64.00
    Class     "L3.5 V"
    AppMagnJ  17.01
    AppMagnH  15.84
    AppMagnKs 15.08
}

Star "DENIS-P 23293?54085/DENIS-P J2329343?540858/2MASS J23293174-5408587"
{
    RA        23 29 31.7
    Dec       -54  8 59
    Dist      25.60
    Class     "L3 V"
    AppMagnI  18.37
    AppMagnJ  14.96
    AppMagnH  14.28
    AppMagnKs 13.82
    AppMagnK  13.22
}

Star "DENIS-P 23302?03471/DENIS-P J2330226?034717/2MASS J23302258-0347189"
{
    RA        23 30 22.6
    Dec       -03 47 19
    Dist      31.00
    Class     "L1 V"
    AppMagnI  17.74
    AppMagnJ  14.48
    AppMagnH  13.75
    AppMagnKs 13.12
    AppMagnK  13.13
}

Star "CFBDS 23305-08445/CFBDS J233051-084454"
{
    RA        23 30 51.2
    Dec       -08 44 55
    Dist      42.00
    Class     "T0 V"
    AppMagni  22.82
    AppMagnJ  17.29
    AppMagnH  15.92
    AppMagnKs 15.37
}

Star "2MASS 23312-47182/2MASS J23312378-4718274"
{
    RA        23 31 23.8
    Dec       -47 18 27
    Dist      13.00
    Class     "T5 V"
    AppMagnJ  15.66
    AppMagnH  15.51
    AppMagnKs 15.39
    AppMagnW1 14.79
    AppMagnW2 13.36
    AppMagnW3 11.56
}

Star "WISE 23322-43251/WISE J233226.49-432510.6"
{
    RA        23 32 26.5
    Dec       -43 25 11
    Dist      14.60
    Class     "T9 V"
    AppMagnH  19.4
    AppMagnW1 17.88
    AppMagnW2 14.99
    Teff      525
}

Star "SDSS 23335+00501/SDSS J233358.42+005012.1/2MASS J23335840+0050119"
{
    RA        23 33 58.4
    Dec       +00 50 12
    Dist      39.90
    Class     "L0 V"
    AppMagnr  22
    AppMagni  19.09
    AppMagnJ  15.01
    AppMagnH  14.4
    AppMagnKs 13.84
}

Star "SDSS 23352+08172/SDSS J233526.42+081721.3"
{
    RA        23 35 26.4
    Dec       +08 17 21
    Dist      48.40
    Class     "L0 V"
    AppMagni  19.08
    AppMagnJ  14.72
    AppMagnH  13.95
    AppMagnKs 13.38
}

Star "WISE 23352+45114/WISE J233527.07+451140.9"
{
    RA        23 35 27.1
    Dec       +45 11 41
    Dist      24.00
    Class     "L9 V"
    AppMagnJ  16.7
    AppMagnH  15.26
    AppMagnKs 14.46
    AppMagnW1 13.48
    AppMagnW2 12.93
    AppMagnW3 12.72
}

Star "WISEP 23354+42225/WISEP J233543.79+422255.2"
{
    RA        23 35 43.8
    Dec       +42 22 55
    Dist      27.70
    Class     "T7 V"
    AppMagnW1 18.55
    AppMagnW2 15.31
    AppMagnW3 12.98
    Teff      825
}

Star "SDSS 23361+00425/SDSS J233615.99+004253.4/2MASS J23361601+0042538"
{
    RA        23 36 16.0
    Dec       +00 42 54
    Dist      101.00
    Class     "L0 V"
    AppMagnr  23.52
    AppMagni  20.94
    AppMagnJ  17.08
    AppMagnH  15.71
    AppMagnKs 15.29
}

Star "2MASS 23391+13522/2MASS J23391025+1352284"
{
    RA        23 39 10.3
    Dec       +13 52 28
    Dist      18.00
    Class     "T5 V"
    AppMagni  23.38
    AppMagnJ  16.24
    AppMagnH  15.82
    AppMagnKs 16.15
    AppMagnW1 15.14
    AppMagnW2 13.75
    AppMagnW3 12.22
}

Star "2MASS 23392+35071/2MASS J23392527+3507165"
{
    RA        23 39 25.3
    Dec       +35  7 17
    Dist      31.00
    Class     "L3.5 V"
    AppMagnJ  15.36
    AppMagnH  14.35
    AppMagnKs 13.59
}

Star "WISEPC 23402-07450/WISEPC J234026.62-074507.2"
{
    RA        23 40 26.6
    Dec       -07 45  7
    Dist      11.60
    Class     "T7 V"
    AppMagnJ  16.15
    AppMagnH  16.19
    AppMagnKs 16.30
    AppMagnW1 15.95
    AppMagnW2 13.56
    AppMagnW3 12.37
    Teff      825
}

Star "SDSS 23403-00135/SDSS J234034.42-001351.6/2MASS J23403443-0013511"
{
    RA        23 40 34.4
    Dec      -0.230833
    Dist      65.50
    Class     "L1 V"
    AppMagnr  23.58
    AppMagni  20.77
    AppMagnJ  16.46
    AppMagnH  15.85
}

Star "WISEP 23422+08562/WISEP J234228.98+085620.2"
{
    RA        23 42 28.9
    Dec       +08 56 20
    Dist      15.70
    Class     "T7 V"
    AppMagnr  23.74
    AppMagni  23.98
    AppMagnJ  16.37
    AppMagnH  16.73
    AppMagnKs 15.94
    AppMagnK  16.98
    AppMagnW1 16.07
    AppMagnW2 13.97
    AppMagnW3 12.63
    Teff      975
}

Star "WISEPA 23435-74184/WISEPA J234351.20-741847.0"
{
    RA        23 43 51.2
    Dec       -74 18 47
    Dist      14.90
    Class     "T6 V"
    AppMagnJ  16.13
    AppMagnH  16.14
    AppMagnKs 15.91
    AppMagnW1 15.71
    AppMagnW2 13.69
    AppMagnW3 12.63
    Teff      975
}

Star "2MASS 23440-07332/2MASS J23440624-0733282"
{
    RA        23 44  6.2
    Dec       -07 33 28
    Dist      20.00
    Class     "L4.5 V"
    AppMagnJ  14.8
    AppMagnH  13.85
    AppMagnKs 13.23
}

Star "SDSS 23440+01151/SDSS J234406.88+011515.6/2MASS J23440686+0115158"
{
    RA        23 44  6.9
    Dec       +01 15 16
    Dist      87.20
    Class     "L3 V"
    AppMagnr  22.96
    AppMagni  20.79
    AppMagnJ  16.41
    AppMagnH  15.73
    AppMagnKs 15.04
}

Star "WISEPC 23444+10341/WISEPC J234446.25+103415.8"
{
    RA        23 44 46.3
    Dec       +10 34 16
    Dist      14.10
    Class     "T9 V"
    AppMagnJ  18.78
    AppMagnH  19.07
    AppMagnK  18.20
    AppMagnW1 18.03
    AppMagnW2 14.9
    AppMagnW3 11.76
    Teff      525
}

Star "DENIS-P 23453+00551/DENIS-P J2345390+005514/2MASS J23453903+0055137"
{
    RA        23 45 39.0
    Dec       +00 55 14
    Dist      26.00
    Class     "M9 V"
    AppMagnr  20.93
    AppMagni  18.04
    AppMagnI  16.9
    AppMagnJ  13.77
    AppMagnH  13.12
    AppMagnKs 12.58
    AppMagnK  12.58
}

Star "2MASS 23462-59284/2MASS J23462656-5928426"
{
    RA        23 46 26.6
    Dec       -59 28 43
    Dist      69.93
    Class     "L5 V"
    AppMagnJ  14.52
    AppMagnH  13.91
    AppMagnKs 13.5
    AppMagnW1 13.25
    AppMagnW2 12.93
    AppMagnW3 12.28
    Teff      3000
    Radius    69911
}

Star "2MASS 23473+27020/2MASS J23473680+2702068"
{
    RA        23 47 36.8
    Dec       +27  2  7
    Dist      22.10
    Class     "M9 V"
    AppMagnJ  13.19
    AppMagnH  12.45
    AppMagnKs 12
}

Star "ULAS 23482+00522/ULAS J234827.94+005220.5"
{
    RA        23 48 27.9
    Dec       +00 52 21
    Dist      74.00
    Class     "T5 V"
    AppMagnJ  18.68
    AppMagnH  18.99
}

Star "WISEPC 23484-10284/WISEPC J234841.10-102844.4"
{
    RA        23 48 41.1
    Dec       -10 28 44
    Dist      16.60
    Class     "T7 V"
    AppMagnJ  17.01
    AppMagnH  16.93
    AppMagnKs 16.71
    AppMagnW1 16.57
    AppMagnW2 14.27
    AppMagnW3 12.56
    Teff      825
}

Star "SDSS 23484-00402/SDSS J234841.38-004022.1"
{
    RA        23 48 41.4
    Dec      -0.672778
    Dist      112.00
    Class     "L1.5 V"
}

Star "2MASSW 23494+12243/2MASSW J2349489+122438/2MASS J23494899+1224386"
{
    RA        23 49 49.0
    Dec       +12 24 39
    Dist      19.60
    Class     "L4 V"
    AppMagn   18.8
    AppMagnR  18.5
    AppMagnI  15.4
    AppMagnJ  12.6
    AppMagnH  11.97
    AppMagnKs 11.56
}

Star "WISEA 23540+02401/WISEA J235402.79+024014.1"
{
    RA        23 54  2.8
    Dec       +02 40 14
    Dist      10.10
    Class     "Y1 V"
    AppMagnJ  23.07
    AppMagnH  22.88
    AppMagnW1 18.26
    AppMagnW2 15.01
    AppMagnW3 12.28
    Teff      350
}

Star "DENIS-P 23545?18522/DENIS-P J2354599?185221/2MASS J23545993-1852216"
{
    RA        23 54 59.9
    Dec       -18 52 22
    Dist      21.50
    Class     "L2 V"
    AppMagnI  17.49
    AppMagnJ  14.18
    AppMagnH  13.44
    AppMagnKs 13.04
    AppMagnK  12.83
}

Star "SSSPM J2356-3426/2MASS J23561081-3426044"
{
    RA        23 56 10.8
    Dec       -34 26  4
    Dist      17.00
    Class     "L0.5 V"
    AppMagnJ  12.95
    AppMagnH  12.38
    AppMagnKs 11.97
}

Star "2MASSI 23565-15531/2MASSI J2356547-155310/2MASS J23565477-1553111"
{
    RA        23 56 54.8
    Dec       -15 53 11
    Dist      14.50
    Class     "T5.5 V"
    AppMagni  22.92 
    AppMagnI  20.73
    AppMagnJ  15.82
    AppMagnH  15.63
    AppMagnKs 15.77
    AppMagnK  15.8
    AppMagnW1 15.53
    AppMagnW2 13.64
    AppMagnW3 12.01
}

Star "WISEP 23571+12274/WISEP J235716.49+122741.8"
{
    RA        23 57 16.5
    Dec       +12 27 42
    Dist      16.80
    Class     "T6 V"
    AppMagnJ  16.1
    AppMagnH  16.49
    AppMagnKs 16.12
    AppMagnW1 15.84
    AppMagnW2 13.99
    AppMagnW3 12.35
    Teff      975
}

Star "SDSS 23583-00090/SDSS J235835.45-000909.5/2MASSA J2358355-0009095"
{
    RA        23 58 35.5
    Dec      -0.152778
    Dist      119.00
    Class     "L0 V"
    AppMagnJ  17.11
    AppMagnH  16.45
    AppMagnKs 16.67
}

Star "SDSS 23584+00062/SDSS J235841.98+000622.0/2MASS J23584196+0006212"
{
    RA        23 58 42.0
    Dec       +00  6 21
    Dist      101.00
    Class     "L1.5 V"
    AppMagnJ  17.17
    AppMagnH  16.52
    AppMagnKs 15.62
}

Star "WISEPA 23594-73350/WISEPA J235941.07-733504.8/2MASS J23594034-7335055"
{
    RA        23 59 41.1
    Dec       -73 35  5
    Dist      11.53
    Class     "T6.5 V"
    AppMagnJ  16.16
    AppMagnH  15.91
    AppMagnKs 16.05
    AppMagnW1 15.17
    AppMagnW2 13.27
    AppMagnW3 11.48
    Teff      930
    MassSol   0.0361095
}

Star "SSSPM J2400-2008/2MASS J23595762-2007394"
{
    RA        23 59 57.6
    Dec       -20  7 39
    Dist      29.00
    Class     "L1 V"
    AppMagnJ  14.38
    AppMagnH  13.62
    AppMagnKs 13.25
}

Star "ULAS 00001+11360/ULAS J000010.43+113602.2"
{
    RA        0  0 10.4
    Dec       +11 36  2
    Dist      57.00
    Class     "T1.5 V"
    AppMagnJ  18.65
}

Star "2MASS 00044-20582/2MASS J00044144-2058298"           //Unconfirmed
{
    RA        0  4 41.4
    Dec       -20 58 30
    Dist      15.50
    Class     "M9 V"
    AppMagnJ  12.4
    AppMagnKs 11.39
}

Star "WISE 00062+18572/WISE J000627.85+185728.8/2MASS J00062779+1857320"
{
    RA        0  6 27.9
    Dec       +18 57 29
    Dist      33.00
    Class     "L7 V"
    AppMagnJ  17.14
    AppMagnH  15.69
    AppMagnKs 14.84
    AppMagnW1 14.11
    AppMagnW2 13.79
}

Star "WISE 00085-28132/WISE J000856.39-281321.7/2MASS J00085614-2813211"           //Unconfirmed
{
    RA        0  8 56.4
    Dec       -28 13 22
    Dist      29.00
    Class     "L8 V"
    AppMagnJ  16.73
    AppMagnH  15.66
    AppMagnKs 15.05
    AppMagnW1 14.12
    AppMagnW2 13.64
}

Star "WISE 00185+51533/WISE J001851.51+515330.6"
{
    RA        0 18 51.5
    Dec       +51 53 31
    Dist      23.40
    Class     "L7 V"
    AppMagnJ  16.7
    AppMagnH  15.4
    AppMagnK  14.51
    AppMagnW1 13.58
    AppMagnW2 13.04
    AppMagnW3 12.55
    MassSol   0.0095025
}

Star "ULAS 00274+08594/ULAS J002740.95+085940.3"
{
    RA        0 27 41.0
    Dec       +08 59 40
    Dist      69.00
    Class     "T4 V"
    AppMagnJ  18.2
    AppMagnH  18.32
    AppMagnK  18.22
}

Star "WISE 00314+33354/WISE J003140.64+333545.9"
{
    RA        0 31 40.6
    Dec       +33 35 46
    Dist      21.40
    Class     "L9 V"
    AppMagnJ  16.4
    AppMagnH  15.47
    AppMagnK  14.69
    AppMagnW1 13.69
    AppMagnW2 13.18
    AppMagnW3 12.03
}

Star "WISE 00333+28273/WISE J003338.45+282732.4"
{
    RA        0 33 38.5
    Dec       +28 27 32
    Dist      41.00
    Class     "L3 V"
}

Star "2MASS 00344-41022/2MASS J00344300-4102266"
{
    RA        0 34 43.0
    Dec       -41  2 27
    Dist      26.72
    Class     "L1 V"
    AppMagnJ  15.71
    Teff      1700
    Radius    103468.28
    MassSol   0.01235325
}

Star "ULAS 00403+09152/ULAS J004030.42+091524.9"
{
    RA        0 40 30.4
    Dec       +09 15 25
    Dist      70.50
    Class     "T4.5 V"
    AppMagnJ  18.16
    AppMagnH  18.13
    AppMagnK  18.13
    AppMagnW1 16.88
    AppMagnW2 15.92
    AppMagnW3 12.39
}

Star "WISE 01020+03554/WISE J010202.11+035541.4"
{
    RA        1  2  2.1
    Dec       +03 55 41
    Dist      27.00
    Class     "L9 V"
}

Star "ULAS 01032+09274/ULAS J010324.69+092746.5"
{
    RA        1  3 24.7
    Dec       +09 27 47
    Dist      71.60
    Class     "T6 V"
    AppMagnJ  18.63
}

Star "ULAS 01055+03464/ULAS J010557.68+034643.6"
{
    RA        1  5 57.7
    Dec       +03 46 44
    Dist      81.60
    Class     "T4 V"
    AppMagnJ  18.61
    AppMagnH  18.62
}

Star "ULAS 01143+08542/ULAS J011438.94+085420.8"
{
    RA        1 14 38.9
    Dec       +08 54 21
    Dist      90.60
    Class     "T5.5 V"
    AppMagnJ  18.77
}

Star "WISE 01163-16542/WISE J011639.05-165420.5"           //Unconfirmed
{
    RA        1 16 39.1
    Dec       -16 54 21
    Dist      85.00
    Class     "M8.5 V"
    AppMagnH  19.61
}

Star "WISE 01301-10473/WISE J013012.66-104732.4"           //Unconfirmed
{
    RA        1 30 12.7
    Dec       -10 47 32
    Dist      85.00
    Class     "M8.5 V"
}

Star "WISE 01352+02051/WISE J013525.37+020518.4"
{
    RA        1 35 25.4
    Dec       +02  5 18
    Dist      28.80
    Class     "L9.5 V"
    AppMagnJ  16.48
    AppMagnH  15.66
    AppMagnK  14.99
    AppMagnW1 14.31
    AppMagnW2 13.9
    AppMagnW3 12.04
}

Star "WISE 01363+37384/WISE J013636.31+373840.6"
{
    RA        1 36 36.3
    Dec       +37 38 41
    Dist      134.80
    Class     "M7 V"
    AppMagnJ  18.23
    AppMagnH  17.46
    AppMagnK  17.14
    AppMagnW1 16.8
    AppMagnW2 14.76
    AppMagnW3 12.72
}

Star "ULAS 01402+12375/ULAS J014022.04+123756.9"
{
    RA        1 40 22.0
    Dec       +12 37 57
    Dist      74.40
    Class     "T5.5 V"
    AppMagnJ  18.48
    AppMagnH  18.84
}

Star "ULAS 01444+01474/ULAS J014443.27+014741.0"
{
    RA        1 44 43.3
    Dec       +01 47 41
    Dist      61.20
    Class     "T4 V"
    AppMagnJ  17.94
    AppMagnH  18.24
    AppMagnW1 17.92
    AppMagnW2 15.89
    AppMagnW3 12.83
}

Star "ULAS 02054+08434/ULAS J020543.26+084340.2"
{
    RA        2  5 43.3
    Dec       +08 43 40
    Dist      39.40
    Class     "T8 V"
    AppMagnJ  18.67
    AppMagnH  19.01
}

Star "WISE 02061+20543/WISE J020615.62+205435.3"
{
    RA        2  6 15.6
    Dec       +20 54 35
    Dist      24.70
    Class     "T5.5 V"
    AppMagnJ  16.73
    AppMagnH  17.02
    AppMagnK  16.79
    AppMagnW1 16.6
    AppMagnW2 14.7
    AppMagnW3 12.28
}

Star "ULAS 02175+03580/ULAS J021750.35+035803.3"
{
    RA        2 17 50.4
    Dec       +03 58  3
    Dist      65.40
    Class     "T6 V"
    AppMagnJ  18.44
    AppMagnH  18.8
}

Star "WISE 02272+23565/WISE J022721.93+235654.3"           //Unconfirmed
{
    RA        2 27 21.9
    Dec       +23 56 54
    Dist      26.50
    Class     "L9.5 V"
}

Star "ULAS 02314+06360/ULAS J023144.49+063602.2"
{
    RA        2 31 44.5
    Dec       +06 36  2
    Dist      63.90
    Class     "T3 V"
    AppMagnJ  18.98
}

Star "WISE 02461+01564/WISE J024610.23+015644.4"
{
    RA        2 46 10.2
    Dec       +01 56 44
    Dist      27.70
    Class     "L8.5 V"
    AppMagnJ  16.91
    AppMagnH  15.85
    AppMagnK  15.1
    AppMagnW1 14.28
    AppMagnW2 13.65
    AppMagnW3 11.75
}

Star "LP 771-21"
{
    RA        2 48 41.0
    Dec       -16 51 22
    Dist      16.23
    Class     "M8 V"
    AppMagn   19.97
    AppMagnr  18.84
    AppMagnR  17.7
    AppMagni  15.92
    AppMagnI  15.27
    AppMagnJ  12.55
    AppMagnH  11.87
    AppMagnKs 11.42
    AppMagnK  11.45
    AppMagnW1 11.17
    AppMagnW2 10.98
    AppMagnW3 10.8
    Teff      2365
    Radius    75503.88
    MassSol   0.0741195
}

Star "2MASS 02535+32063/2MASS J02535980+3206373"
{
    RA        2 53 59.8
    Dec       +32  6 37
    Dist      56.50
    Class     "M7 V"
    AppMagnr  18.94
    AppMagni  16.43
    AppMagnJ  13.62
    AppMagnH  12.93
    AppMagnKs 12.55
    AppMagnW1 12.32
    AppMagnW2 12.13
    AppMagnW3 11.81
    Teff      2628
    Radius    132830.9
    MassSol   0.06176625
}

Star "WISE 03011-23192/WISE J030119.39-231921.1"           //Unconfirmed
{
    RA        3  1 19.4
    Dec       -23 19 21
    Dist      28.50
    Class     "T0.5 V"
}

Star "WISE 03091-50161/WISE J030919.70-501614.2"           //Unconfirmed
{
    RA        3  9 19.7
    Dec       -50 16 14
    Dist      11.00
    Class     "T8 V"
}

Star "WISE 03155+07322/WISE J031555.29+073229.6"
{
    RA        3 15 55.3
    Dec       +07 32 30
    Dist      41.90
    Class     "L6 V"
    AppMagnJ  16.95
    AppMagnH  16.19
    AppMagnK  15.65
    AppMagnW1 14.63
    AppMagnW2 14.14
    AppMagnW3 12.47
}

Star "WISE 03162+17051/WISE J031626.95+170518.5"
{
    RA        3 16 27.0
    Dec       +17  5 19
    Dist      40.30
    Class     "L9.5 V"
    AppMagnJ  17.06
    AppMagnH  16.43
    AppMagnK  15.96
    AppMagnW1 15.23
    AppMagnW2 14.63
    AppMagnW3 12.14
}

Star "2MASS 03205+18542/2MASS J03205965+1854233"           //Unconfirmed
{
    RA        3 20 59.7
    Dec       +18 54 23
    Dist      14.51
    Class     "M8 V"
    AppMagnr  18
    AppMagni  15.3
    AppMagnJ  11.76
    AppMagnH  11.07
    AppMagnKs 10.64
    AppMagnW1 10.35
    AppMagnW2 10.15
    AppMagnW3 9.87
    Teff      2586
    Radius    80397.65
    MassSol   0.083622
}

Star "WISE 03230-59075/WISE J032309.12-590751.0"           //Unconfirmed
{
    RA        3 23  9.1
    Dec       -59  7 51
    Dist      21.00
    Class     "T6 V"
    AppMagnH  21.18
}

Star "ULAS 03252+05103/ULAS J032524.61+051039.5"
{
    RA        3 25 24.6
    Dec       +05 10 40
    Dist      84.20
    Class     "T6 V"
    AppMagnJ  18.97
}

Star "WISE 03305-03502/WISE J033053.14-035027.3"
{
    RA        3 30 53.1
    Dec       -03 50 27
    Dist      19.10
    Class     "L9 V"
    AppMagnJ  16.26
    AppMagnH  15.24
    AppMagnK  14.58
    AppMagnW1 13.65
    AppMagnW2 12.93
    AppMagnW3 12.07
}

Star "J0331-3042"           //Unconfirmed
{
    RA        3 31 30.3
    Dec       -30 24 40
    Dist      9.60
    Class     "M9 V"
    AppMagnJ  11.36
    AppMagnKs 10.26
}

Star "WISE 03391-11464/WISE J033915.57-114645.0"
{
    RA        3 39 15.6
    Dec       -11 46 45
    Dist      50.30
    Class     "L3 V"
    AppMagnJ  16.71
    AppMagnH  15.75
    AppMagnK  14.97
    AppMagnW1 14.44
    AppMagnW2 13.98
    AppMagnW3 12.81
}

Star "WISE 03401-21101/WISE J034011.81-211013.2"
{
    RA        3 40 11.8
    Dec       -21 10 13
    Dist      31.30
    Class     "T2 V"
    AppMagnJ  16.95
    AppMagnH  16.29
    AppMagnK  16.12
    AppMagnW1 15.53
    AppMagnW2 14.5
    AppMagnW3 12.50
}

Star "CFHT-PLIZ-4"
{
    RA        3 41 40.9
    Dec       +25 54 23
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "Calar Pleiades 13"
{
    RA        3 41 43.9
    Dec       +25  3 31
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "2MASS 03420-29043/2MASS J03420931-2904317"
{
    RA        3 42  9.3
    Dec       -29  4 32
    Dist      47.00
    Class     "L0 V"
    AppMagnJ  15.92
    Teff      2100
    Radius    103468.28
    MassSol   0.01235325
}

Star "Calar Pleiades 11"
{
    RA        3 42 18.0
    Dec       +24 55 10
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "Calar Pleiades 15"
{
    RA        3 42 30.6
    Dec       +25  2 39
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "Calar Pleiades 12"
{
    RA        3 42 48.2
    Dec       +24  4  1
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "Calar Pleiades 8"
{
    RA        3 43 34.2
    Dec       +25  2 17
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "PLZJ-50"
{
    RA        3 43 56.0
    Dec       +25 36 25
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "BRB 4"
{
    RA        3 44 23.2
    Dec       +25 38 45
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "PLIZ 1262"
{
    RA        3 44 27.3
    Dec       +25 44 42
    Dist      136.20
    AppMagnK  16.95
    MassSol   0.0247065
}

Star "PLIZ 2141"
{
    RA        3 44 31.3
    Dec       +25 35 14
    Dist      136.20
    AppMagnK  16.69
    MassSol   0.026607
}

Star "Calar Pleiades 17"
{
    RA        3 45 11.7
    Dec       +23 41 44
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "Calar Pleiades 18"
{
    RA        3 45 33.3
    Dec       +23 34 34
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "Calar Pleiades 14"
{
    RA        3 45 50.6
    Dec       +23 44 37
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "Calar Pleiades 20"
{
    RA        3 45 58.5
    Dec       +23 41 54
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "Calar Pleiades 10"
{
    RA        3 46 14.1
    Dec       +23 21 56
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "NPNPL 2"
{
    RA        3 46 34.3
    Dec       +23 50  4
    Dist      136.20
    AppMagnK  16.09
    MassSol   0.03896025
}

Star "Calar Pleiades 24"
{
    RA        3 46 48.7
    Dec       +23 28 49
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "Calar Pleiades 21"
{
    RA        3 47  0.4
    Dec       +23 21 57
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "PLZJ-100"
{
    RA        3 47 19.2
    Dec       +25 50 53
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "CFHT-PLIZ-24"
{
    RA        3 47 23.7
    Dec       +26  0 60
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "Calar Pleiades 16"
{
    RA        3 47 46.8
    Dec       +25 35 17
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "BRB 30"
{
    RA        3 47 57.0
    Dec       +24 28 58
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "UGCS J0348+2550"
{
    RA        3 48 15.6
    Dec       +25 50  9
    Dist      136.20
    Class     "L3 V"
    AppMagnK  16.73
    MassSol   0.026607
}

Star "BRB 24"
{
    RA        3 48 19.7
    Dec       +24 52 10
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "BRB 7"
{
    RA        3 48 44.7
    Dec       +24 37 23
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "BRB 34"
{
    RA        3 48 46.6
    Dec       +24 45  3
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "Roque 33"
{
    RA        3 48 49.0
    Dec       +24 20 25
    Dist      136.20
    Class     "M9.5 V"
    AppMagnK  16.06
    MassSol   0.03896025
}

Star "BRB 26"
{
    RA        3 48 56.2
    Dec       +25  9 43
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "WISE 03485-56201/WISE J034858.75-562017.8"           //Unconfirmed
{
    RA        3 48 58.8
    Dec       -56 20 18
    Dist      28.50
    Class     "T2.5 V"
}

Star "BRB 32"
{
    RA        3 49  0.9
    Dec       +24 41 39
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "WISE 03490+15143/WISE J034909.44+151436.0"
{
    RA        3 49  9.4
    Dec       +15 14 36
    Dist      25.20
    Class     "L7 V"
    AppMagnJ  17.29
    AppMagnH  16.04
    AppMagnK  14.9
    AppMagnW1 13.85
    AppMagnW2 13.21
    AppMagnW3 12.07
    MassSol   0.007602
}

Star "Roque 30"
{
    RA        3 50 16.1
    Dec       +24  8 35
    Dist      136.20
    AppMagnK  16.08
    MassSol   0.03801
}

Star "BRB 23"
{
    RA        3 50 39.5
    Dec       +25  2 55
    Dist      136.20
    Class     "L3.5 V"
    AppMagnK  16.56
    MassSol   0.0285075
}

Star "CFHT-PLIZ-33"
{
    RA        3 50 44.7
    Dec       +26 42  9
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "BRB 31"
{
    RA        3 51 25.9
    Dec       +24 15 32
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "CFHT-PLIZ-17"
{
    RA        3 51 26.7
    Dec       +23 30 11
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "CFHT-PLIZ 161"
{
    RA        3 51 29.5
    Dec       +24  0 37
    Dist      136.20
    AppMagnK  16.7
    MassSol   0.026607
}

Star "CFHT-PLIZ-10"
{
    RA        3 51 45.0
    Dec       +23 26 40
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "CFHT-PLIZ-31"
{
    RA        3 51 47.7
    Dec       +24 39 59
    Dist      136.20
    AppMagnK  16.09
    MassSol   0.03801
}

Star "BRB 1"
{
    RA        3 51 51.6
    Dec       +23 34 50
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "PLZJ-23"
{
    RA        3 51 53.4
    Dec       +24 38 12
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "BRB 3"
{
    RA        3 52  7.9
    Dec       +23 59 15
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "PLZJ-10"
{
    RA        3 52 31.2
    Dec       +24 46 30
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "PLZJ-235"
{
    RA        3 52 32.6
    Dec       +24 44 37
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "CFHT-PLIZ-35"
{
    RA        3 52 39.2
    Dec       +24 46 30
    Dist      136.20
    Class     "L2 V"
    AppMagnK  16.51
    MassSol   0.02945775
}

Star "BRB 2"
{
    RA        3 52 44.3
    Dec       +23 54 15
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "BRB 5"
{
    RA        3 52 51.8
    Dec       +23 33 49
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "BRB 28"
{
    RA        3 52 54.9
    Dec       +24 37 18
    Dist      136.20
    AppMagnK  16.92
    MassSol   0.0247065
}

Star "PLZJ-46"
{
    RA        3 52 57.2
    Dec       +24 16  1
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "PLZJ-45"
{
    RA        3 52 58.2
    Dec       +24 17 32
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "BRB 6"
{
    RA        3 53  9.6
    Dec       +23 33 48
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "CFHT-PLIZ-14"
{
    RA        3 53 32.4
    Dec       +26  7  1
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "CFHT-PLIZ-5"
{
    RA        3 53 38.0
    Dec       +26  2 20
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "CFHT-PLIZ-6"
{
    RA        3 53 55.1
    Dec       +23 23 36
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "CFHT-PLIZ-18"
{
    RA        3 54  1.0
    Dec       +24 54 53
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "BRB 29"
{
    RA        3 54  1.4
    Dec       +23 49 58
    Dist      136.20
    Class     "L4.5 V"
    AppMagnK  17
    MassSol   0.02375625
}

Star "BRB 17"
{
    RA        3 54  8.0
    Dec       +23 54 28
    Dist      136.20
    Class     "L0 V"
    AppMagnK  16.03
    MassSol   0.04086075
}

Star "PLZJ-77"
{
    RA        3 54 10.0
    Dec       +23 17 52
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "BRB 21"
{
    RA        3 54 10.3
    Dec       +23 41 40
    Dist      136.20
    Class     "L3 V"
    AppMagnK  16.39
    MassSol   0.02945775
}

Star "CFHT-PLIZ-28"
{
    RA        3 54 14.0
    Dec       +23 17 51
    Dist      136.20
    Class     "L0 V"
    AppMagnK  16.14
    MassSol   0.03325875
}

Star "CFHT-PLIZ-13"
{
    RA        3 55  4.4
    Dec       +26 15 49
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "CFHT-PLIZ-2"
{
    RA        3 55 23.1
    Dec       +24 49  5
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "CFHT-PLIZ-21"
{
    RA        3 55 27.7
    Dec       +25 49 41
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "CFHT-PLIZ-37"
{
    RA        3 55 39.6
    Dec       +24 12 52
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "CFHT-PLIZ-19"
{
    RA        3 56 16.4
    Dec       +23 54 51
    Dist      136.20
    Class     "L V"      //Unknown
}

Star "2MASS 04070+15145/2MASS J04070885+1514565"
{
    RA        4  7  8.9
    Dec       +15 14 55
    Dist      17.00
    Class     "T5 V"
    AppMagnJ  16.06
    AppMagnH  16.02
    AppMagnKs 15.92
}

Star "WISE 04174+24150/WISE J041743.13+241506.3"           //Unconfirmed
{
    RA        4 17 43.1
    Dec       +24 15  6
    Dist      16.00
    Class     "T3.5 V"
}

Star "2MASS 04185-45074/2MASS J04185879-4507413"
{
    RA        4 18 58.8
    Dec       -45  7 41
    Dist      49.80
    Class     "L3 V"
    AppMagnJ  16.16
    Teff      1600
    Radius    104167.39
    MassSol   0.01235325
}

Star "CFHTTAU9"
{
    RA        4 24 26.5
    Dec       +26 49 50
    Dist      142.50
    Class     "M6 V"
    Teff      2800
}

Star "2MASS 04325+17300/2MASS J04325119+1730092"
{
    RA        4 32 51.2
    Dec       +17 30  9
    Dist      142.50
    Class     "M8 V"
    Teff      2400
}

Star "2MASS 04362-41144/2MASS J04362788-4114465"
{
    RA        4 36 27.9
    Dec       -41 14 47
    Dist      43.50
    Class     "M8 V"
    AppMagnJ  13.1
    AppMagnH  12.43
    AppMagnKs 12.05
    AppMagnW1 11.74
    AppMagnW2 11.46
    AppMagnW3 11.11
    Teff      2445
    Radius    137724.67
    MassSol   0.03705975
}

Star "WISE 04413+04435/WISE J044130.52+044359.9"
{
    RA        4 41 30.5
    Dec       +04 43 60
    Dist      23.90
    Class     "T4.5 V"
    AppMagnJ  16.39
    AppMagnH  16.46
    AppMagnK  16.38
    AppMagnW1 15.74
    AppMagnW2 14.4
    AppMagnW3 12.35
}

Star "WISE 04455+36293/WISE J044552.98+362935.0"
{
    RA        4 45 53.0
    Dec       +36 29 35
    Dist      36.30
    Class     "L6 V"
    AppMagnJ  16.72
    AppMagnH  15.79
    AppMagnK  14.94
    AppMagnW1 14.24
    AppMagnW2 13.83
    AppMagnW3 12.51
}

Star "WISE 04473-12161/WISE J044730.40-121616.4"
{
    RA        4 47 30.4
    Dec       -12 16 16
    Dist      27.70
    Class     "T2 V"
    AppMagnJ  16.69
    AppMagnH  16.07
    AppMagnK  15.66
    AppMagnW1 14.96
    AppMagnW2 14.24
    AppMagnW3 12.61
    MassSol   0.0057015
}

Star "2MASS 04574+30151/2MASS J04574903+3015195"
{
    RA        4 57 49.0
    Dec       +30 15 20
    Dist      142.50
    Class     "M9 V"
    AppMagnJ  15.77
    AppMagnH  15.12
    AppMagnK  14.48
    Teff      2200
}

Star "WISE 05065+52363/WISE J050650.20+523631.2"
{
    RA        5  6 50.2
    Dec       +52 36 31
    Dist      17.60
    Class     "T4.5 V"
    AppMagnJ  15.44
    AppMagnH  15.47
    AppMagnK  15.6
    AppMagnW1 14.94
    AppMagnW2 13.73
    AppMagnW3 12.27
    MassSol   0.00665175
}

Star "WISE 05155+31010/WISE J051557.68+310101.8"
{
    RA        5 15 57.7
    Dec       +31  1  2
    Dist      65.70
    Class     "L1.5 V"
    AppMagnJ  16.67
    AppMagnH  15.96
    AppMagnK  15.3
    AppMagnW1 14.88
    AppMagnW2 14.25
    AppMagnW3 12.26
}

Star "WISE 05342+16525/WISE J053424.45+165255.0"
{
    RA        5 34 24.5
    Dec       +16 52 55
    Dist      21.50
    Class     "L5.5 V"
}

Star "2MASSI 05441-24330/2MASSI J0544115-243301"           //Unconfirmed
{
    RA        5 44 11.5
    Dec       -24 33  2
    Dist      16.40
    Class     "M9 V"
    AppMagnJ  12.53
    AppMagnKs 11.46
}

Star "WISE 05445+06394/WISE J054455.54+063940.3"
{
    RA        5 44 55.5
    Dec       +06 39 40
    Dist      30.50
    Class     "L0.5 V"
}

Star "WISE 05510-12391/WISE J055105.96-123913.5"
{
    RA        5 51  6.0
    Dec       -12 39 14
    Dist      25.50
    Class     "L8 V"
    AppMagnJ  16.52
    AppMagnH  15.52
    AppMagnK  14.71
    AppMagnW1 13.87
    AppMagnW2 13.4
    AppMagnW3 11.98
}

Star "WISE 05531-24263/WISE J055319.77-242638.0"
{
    RA        5 53 19.8
    Dec       -24 26 38
    Dist      100.50
    Class     "L1 V"
    AppMagnJ  16.84
    AppMagnH  16.48
    AppMagnK  15.62
    AppMagnW1 15.61
    AppMagnW2 15.06
    AppMagnW3 12.96
}

Star "WISE 06020+72423/WISE J060202.67+724235.4"           //Unconfirmed
{
    RA        6  2  2.7
    Dec       +72 42 35
    Dist      27.00
    Class     "L8.5 V"
}

Star "WISE 06142+38333/WISE J061429.77+383337.5"
{
    RA        6 14 29.8
    Dec       +38 33 38
    Dist      22.50
    Class     "L0.5 V"
}

Star "2MASS 06272-53084/2MASS J06272161-5308428"
{
    RA        6 27 21.6
    Dec       -53  8 43
    Dist      24.10
    Class     "L0 V"
    AppMagnJ  16.39
    Teff      1500
    Radius    94379.85
    MassSol   0.00855225
}

Star "WISE 06472+39444/WISE J064722.28+394446.3"
{
    RA        6 47 22.3
    Dec       +39 44 46
    Dist      97.20
    Class     "M9.5 V"
    AppMagnJ  16.83
    AppMagnH  16.2
    AppMagnK  15.61
    AppMagnW1 15.3
    AppMagnW2 14.65
    AppMagnW3 12.23
}

Star "2MASS 07075-49005/2MASS J07075327-4900503"
{
    RA        7  7 53.3
    Dec       -49  0 50
    Dist      18.48
    Class     "M9 V"
    AppMagn   21.09
    AppMagnR  18.74
    AppMagnI  16.19
    AppMagnJ  13.23
    AppMagnH  12.54
    AppMagnKs 12.11
    AppMagnW1 11.83
    AppMagnW2 11.56
    AppMagnW3 11.34
    Teff      2151
    Radius    72008.33
    MassSol   0.068418
}

Star "WISE 07135+38123/WISE J071350.14+381230.6"
{
    RA        7 13 50.1
    Dec       +38 12 31
    Dist      29.10
    Class     "L7 V"
    AppMagnJ  16.68
    AppMagnH  15.66
    AppMagnK  14.84
    AppMagnW1 13.98
    AppMagnW2 13.51
    AppMagnW3 12.69
}

Star "WISE 07175+46314/WISE J071756.71+463140.3"
{
    RA        7 17 56.7
    Dec       +46 31 40
    Dist      41.50
    Class     "T0 V"
    AppMagnJ  17.06
    AppMagnH  16.45
    AppMagnK  15.86
    AppMagnW1 15.4
    AppMagnW2 14.77
    AppMagnW3 12.54
}

Star "WISE 07401+59025/WISE J074015.81+590250.2"
{
    RA        7 40 15.8
    Dec       +59  2 50
    Dist      108.80
    Class     "M9.5 V"
    AppMagnJ  16.76
    AppMagnH  16.13
    AppMagnK  15.56
    AppMagnW1 15.31
    AppMagnW2 14.9
    AppMagnW3 12.78
}

Star "WISE 07483+17433/WISE J074838.58+174333.0/2MASS J07483864+1743329"
{
    RA        7 48 38.6
    Dec       +17 43 33
    Dist      31.30
    Class     "L5 V"
    AppMagnJ  16.16
    AppMagnH  15.26
    AppMagnK  14.5
    AppMagnW1 13.74
    AppMagnW2 13.32
    AppMagnW3 12.55
}

Star "2MASS 07522+16121/2MASS J07522390+1612157"
{
    RA        7 52 23.9
    Dec       +16 12 16
    Dist      18.39
    Class     "M7 V"
    AppMagnr  16.13
    AppMagni  13.76
    AppMagnJ  10.88
    AppMagnH  10.2
    AppMagnKs 9.85
    AppMagnW1 9.61
    AppMagnW2 9.45
    AppMagnW3 9.26
    Teff      2731
    Radius    140521.11
    MassSol   0.064617
}

Star "WISE 08295+10344/WISE J082952.73+103440.4"
{
    RA        8 29 52.7
    Dec       +10 34 40
    Dist      40.40
    Class     "L4 V"
    AppMagnJ  17.07
    AppMagnH  16.11
    AppMagnK  15.25
    AppMagnW1 14.35
    AppMagnW2 13.7
    AppMagnW3 11.27
}

Star "LHS 2021"           //Unconfirmed
{
    RA        8 30 32.6
    Dec       +09 47 15
    Dist      16.72
    Class     "M6.5 V"
    AppMagn   19.06
    AppMagnr  17.86
    AppMagnR  17.16
    AppMagni  15.35
    AppMagnI  14.78
    AppMagnJ  11.89
    AppMagnH  11.17
    AppMagnKs 10.76
    AppMagnW1 10.51
    AppMagnW2 10.33
    AppMagnW3 10.19
    Teff      2599
    Radius    80397.65
    MassSol   0.083622
}

Star "ULAS 08340+04072/ULAS J083408.92+040728.7"
{
    RA        8 34  8.9
    Dec       +04  7 29
    Dist      55.20
    Class     "T5 V"
    AppMagnJ  17.73
    AppMagnH  17.83
    AppMagnK  17.94
}

Star "WISE 08425-06102/WISE J084254.56-061023.7"           //Unconfirmed
{
    RA        8 42 54.6
    Dec       -06 10 24
    Dist      24.50
    Class     "T2.5 V"
}

Star "ULAS 08474+03504/ULAS J084743.93+035040.2"
{
    RA        8 47 43.9
    Dec       +03 50 40
    Dist      76.20
    Class     "T5.5 V"
    AppMagnJ  18.53
    AppMagnH  18.71
    AppMagnK  18.99
}

Star "WISE 08503-06102/WISE J085039.11-061023.7"
{
    RA        8 50 39.1
    Dec       -06 10 24
    Dist      25.50
    Class     "L6.5 V"
}

Star "WISE 08551+06005/WISE J085519.22+060057.6"
{
    RA        8 55 19.2
    Dec       +06  0 58
    Dist      84.90
    Class     "M9 V"
    AppMagnJ  16.34
    AppMagnH  15.68
    AppMagnK  15.19
    AppMagnW1 14.77
    AppMagnW2 14.24
    AppMagnW3 11.87
}

Star "WISE 09000+32050/WISE J090009.49+320504.2"
{
    RA        9  0  9.5
    Dec       +32  5  4
    Dist      45.20
    Class     "L1.5 V"
    AppMagnJ  15.76
    AppMagnH  15.03
    AppMagnK  14.41
    AppMagnW1 13.96
    AppMagnW2 13.44
    AppMagnW3 11.97
}

Star "ULAS 09180+04394/ULAS J091804.71+043949.6"
{
    RA        9 18  4.7
    Dec       +04 39 50
    Dist      56.50
    Class     "T3 V"
    AppMagnJ  18.67
}

Star "ULAS 09260+02080/ULAS J092608.93+020807.3"
{
    RA        9 26  8.9
    Dec       +02  8  7
    Dist      78.20
    Class     "T5 V"
    AppMagnJ  18.56
}

Star "WISE 09344-29500/WISE J093442.54-295007.7"
{
    RA        9 34 42.5
    Dec       -29 50  8
    Dist      76.40
    Class     "L1 V"
    AppMagnJ  16.47
    AppMagnH  15.87
    AppMagnK  15.33
    AppMagnW1 14.95
    AppMagnW2 14.47
    AppMagnW3 12.57
}

Star "WISE 09365-33462/WISE J093654.63-334620.5"
{
    RA        9 36 54.6
    Dec       -33 46 21
    Dist      28.00
    Class     "L0 V"
}

Star "WISE 09500-27380/WISE J095002.19-273801.3"
{
    RA        9 50  2.2
    Dec       -27 38  1
    Dist      104.40
    Class     "L0.5 V"
    AppMagnJ  16.84
    AppMagnH  16.29
    AppMagnK  15.43
    AppMagnW1 15.48
    AppMagnW2 15.03
    AppMagnW3 12.63
}

Star "WISE 09560-14470/WISE J095608.17-144708.2"
{
    RA        9 56  8.2
    Dec       -14 47  8
    Dist      17.70
    Class     "L9 V"
    AppMagnJ  15.99
    AppMagnH  15.07
    AppMagnK  14.46
    AppMagnW1 13.52
    AppMagnW2 12.77
    AppMagnW3 11.14
}

Star "DENIS J1013-7842/2MASS J10132597-7842551"
{
    RA        10 13 26.0
    Dec       -78 42 55
    Dist      14.20
    AppMagnJ  13.84
    AppMagnH  12.74
    AppMagnKs 12.03
    Teff      1950
    MassSol   0.064617
}

Star "WISE 10194-39115/WISE J101944.62-391151.6"           //Unconfirmed
{
    RA        10 19 44.6
    Dec       -39 11 52
    Dist      23.50
    Class     "T4 V"
    AppMagnH  19.62
}

Star "2MASS 10212-28304/2MASS J10212570-2830427"
{
    RA        10 21 25.7
    Dec       -28 30 43
    Dist      42.60
    Class     "L4 V"
    AppMagnJ  16.91
    Teff      1600
    Radius    105565.61
    MassSol   0.00665175
}

Star "WISE 10323+05132/WISE J103238.32+051323.2"
{
    RA        10 32 38.3
    Dec       +05 13 23
    Dist      68.60
    Class     "L2 V"
    AppMagnJ  16.62
    AppMagnH  15.95
    AppMagnK  15.35
    AppMagnW1 14.85
    AppMagnW2 14.45
    AppMagnW3 12.32
}

Star "WISE 10361-27380/WISE J103610.38-273808.3"
{
    RA        10 36 10.4
    Dec       -27 38  8
    Dist      56.40
    Class     "L2 V"
    AppMagnJ  16.02
    AppMagnH  15.36
    AppMagnK  14.72
    AppMagnW1 14.46
    AppMagnW2 14.02
    AppMagnW3 12.52
}

Star "2MASS 10554+08084/2MASS J10554733+0808427"           //Unconfirmed
{
    RA        10 55 47.3
    Dec       +08  8 43
    Dist      16.60
    Class     "M9 V"
    AppMagnJ  12.55
    AppMagnKs 11.37
}

Star "WISE 10581-58311/WISE J105811.69-583112.4"
{
    RA        10 58 11.7
    Dec       -58 31 12
    Dist      26.00
    Class     "L5.5 V"
}

Star "ULAS 11024+01202/ULAS J110242.39+012021.9"
{
    RA        11  2 42.4
    Dec       +01 20 22
    Dist      76.80
    Class     "T4 V"
    AppMagnJ  18.43
}

Star "2MASS 11070-77243/2MASS J11070369-7724307"
{
    RA        11  7  3.7
    Dec       -77 24 31
    Dist      162.50
    Class     "M7.5 V"
    Teff      2600
}

Star "CHAHA9"
{
    RA        11  7 18.6
    Dec       -77 32 52
    Dist      162.50
    Class     "M5.5 V"
    Teff      2800
}

Star "2MASS 11072-77424/2MASS J11072647-7742408"           //Unconfirmed
{
    RA        11  7 26.5
    Dec       -77 42 41
    Dist      162.00
    Class     "M9 V"
    AppMagnJ  17.53
    AppMagnH  16.45
    AppMagnK  15.59
    Teff      2210
}

Star "WISE 11082+08375/WISE J110827.18+083759.5"
{
    RA        11  8 27.2
    Dec       +08 37 60
    Dist      28.80
    Class     "L8 V"
    AppMagnJ  16.56
    AppMagnH  15.65
    AppMagnK  14.99
    AppMagnW1 14.13
    AppMagnW2 13.66
    AppMagnW3 12.62
}

Star "SONYC-ChaI-1/2MASS J11083040-7731387"
{
    RA        11  8 30.3
    Dec       -77 31 39
    Dist      162.50
    Class     "L3 V"
    AppMagnI  22.5
    AppMagnJ  17.84
    AppMagnH  16.75
    AppMagnK  15.97
    Teff      2200
    MassSol   0.01045275
}

Star "CHAHA6"
{
    RA        11  8 39.5
    Dec       -77 34 17
    Dist      162.50
    Class     "M6 V"
    Teff      2800
}

Star "2MASS 11100-76424/2MASS J11100658-7642486"           //Unconfirmed
{
    RA        11 10  6.6
    Dec       -76 42 49
    Dist      162.00
    Class     "M9 V"
    AppMagnJ  16.34
    AppMagnH  15.86
    AppMagnK  15.07
    Teff      2160
}

Star "ISO 252"
{
    RA        11 10 41.4
    Dec       -77 20 48
    Dist      162.50
    Class     "M6 V"
    Teff      1900
}

Star "2MASS 11114-76365/2MASS J11114533-7636505"
{
    RA        11 11 45.3
    Dec       -76 36 51
    Dist      162.50
    Class     "M8 V"
    Teff      2800
}

Star "WISE 11124-27133/WISE J111243.25-271336.1"
{
    RA        11 12 43.3
    Dec       -27 13 36
    Dist      36.50
    Class     "T2.5 V"
    AppMagnJ  17.14
    AppMagnH  16.75
    AppMagnK  16.71
    AppMagnW1 15.76
    AppMagnW2 14.92
    AppMagnW3 12.57
}

Star "2MASS 11193-11374/2MASS J11193254-1137466"
{
    RA        11 19 32.5
    Dec       -11 37 47
    Dist      25.60
    Class     "L7 V"
    AppMagnJ  17.23
    AppMagnH  15.7
    AppMagnKs 14.6
    MassSol   0.0057015
}

Star "ULAS 11205+12190/ULAS J112059.41+121904.5"
{
    RA        11 20 59.4
    Dec       +12 19  5
    Dist      57.60
    Class     "T5.5 V"
    AppMagnJ  17.93
    AppMagnH  18
    AppMagnK  17.94
    AppMagnW1 18.21
    AppMagnW2 15.57
    AppMagnW3 12.75
}

Star "ULAS 11232+15005/ULAS J112327.02+150059.4"
{
    RA        11 23 27.0
    Dec       +15  0 59
    Dist      85.80
    Class     "T5 V"
    AppMagnJ  18.63
}

Star "2MASS 11271-37350/2MASS J11271382-3735076"
{
    RA        11 27 13.8
    Dec       -37 35  8
    Dist      62.20
    Class     "L0 V"
    AppMagnJ  16.47
    Teff      2100
    Radius    109061.16
    MassSol   0.00855225
}

Star "2MASS 11345+00225/2MASS J11345493+0022541"           //Unconfirmed
{
    RA        11 34 54.9
    Dec       +00 22 54
    Dist      19.00
    Class     "M9 V"
    AppMagnJ  12.85
    AppMagnKs 11.67
}

Star "ULAS 11371+11265/ULAS J113716.54+112657.2"
{
    RA        11 37 16.5
    Dec       +11 26 57
    Dist      80.70
    Class     "T5 V"
    AppMagnJ  18.5
    AppMagnW1 16.61
    AppMagnW2 15.52
    AppMagnW3 12.07
}

Star "WISE 11383-18391/WISE J113839.14-183910.8"
{
    RA        11 38 39.1
    Dec       -18 39 11
    Dist      91.30
    Class     "M9 V"
    AppMagnJ  16.29
    AppMagnH  15.67
    AppMagnK  15.13
    AppMagnW1 14.86
    AppMagnW2 14.4
    AppMagnW3 12.48
}

Star "WISE 11404+16082/WISE J114048.05+160825.1"
{
    RA        11 40 48.1
    Dec       +16  8 25
    Dist      47.20
    Class     "L5 V"
    AppMagnJ  16.82
    AppMagnH  15.95
    AppMagnK  15.24
    AppMagnW1 14.63
    AppMagnW2 14.22
    AppMagnW3 12.29
}

Star "WISEA 11415-33263/WISEA J114156.67-332635.5"
{
    RA        11 41 56.7
    Dec       -33 26 36
    Dist      9.48
    Class     "Y0 V"
    AppMagnJ  19.76
    AppMagnW2 14.61
}

Star "WISE 11431-20242/WISE J114316.04-202425.7"
{
    RA        11 43 16.0
    Dec       -20 24 26
    Dist      30.20
    Class     "T2 V"
    AppMagnJ  16.74
    AppMagnH  16.3
    AppMagnK  15.99
    AppMagnW1 15.67
    AppMagnW2 14.42
    AppMagnW3 12.2
}

Star "ULAS 11434+06135/ULAS J114340.47+061358.9"
{
    RA        11 43 40.5
    Dec       +06 13 59
    Dist      37.90
    Class     "T4.5 V"
    AppMagnJ  16.82
    AppMagnH  16.8
    AppMagnK  16.97
    AppMagnW1 16.74
    AppMagnW2 14.8
    AppMagnW3 12.46
}

Star "WISE 11455-25065/WISE J114553.61-250657.1"           //Unconfirmed
{
    RA        11 45 53.6
    Dec       -25  6 57
    Dist      117.50
    Class     "M7 V"
}

Star "2MASS 11480-28364/2MASS J11480096-2836488"
{
    RA        11 48  1.0
    Dec       -28 36 49
    Dist      47.80
    Class     "L1 V"
    AppMagnJ  16.11
    Teff      1800
    Radius    108362.05
    MassSol   0.00855225
}

Star "ULAS 11553-00132/ULAS J115533.45-001329.8"
{
    RA        11 55 33.5
    Dec      -0.225
    Dist      87.20
    Class     "T4 V"
    AppMagnJ  18.79
}

Star "2MASS 12074-39000/2MASS J12074836-3900043"
{
    RA        12  7 48.4
    Dec       -39  0  4
    Dist      60.20
    Class     "L0.5 V"
    AppMagnJ  15.49
    AppMagnH  14.61
    AppMagnKs 14.04
    AppMagnW1 13.64
    AppMagnW2 13.2
    AppMagnW3 12.9
    Teff      2100
    Radius    118149.59
    MassSol   0.011403
}

Star "ULAS 12094+03533/ULAS J120948.38+035338.4"
{
    RA        12  9 48.4
    Dec       +03 53 38
    Dist      63.40
    Class     "T5 V"
    AppMagnJ  17.91
    AppMagnH  18.07
}

Star "WISE 12103-26371/WISE J121037.66-263710.6"
{
    RA        12 10 37.7
    Dec       -26 37 11
    Dist      68.30
    Class     "L2 V"
    AppMagnJ  16.72
    AppMagnH  16.11
    AppMagnK  15.28
    AppMagnW1 14.93
    AppMagnW2 14.44
    AppMagnW3 12.30
}

Star "WISE 12134+40472/WISE J121349.14+404724.6"
{
    RA        12 13 49.1
    Dec       +40 47 25
    Dist      33.40
    Class     "T4 V"
    AppMagnJ  17.05
    AppMagnH  16.86
    AppMagnK  16.76
    AppMagnW1 16.72
    AppMagnW2 15.02
    AppMagnW3 12.56
}

Star "WISE 12154-09472/WISE J121543.62-094729.1"
{
    RA        12 15 43.6
    Dec       -09 47 29
    Dist      69.50
    Class     "L0 V"
    AppMagnJ  16.31
    AppMagnH  15.57
    AppMagnK  14.95
    AppMagnW1 14.45
    AppMagnW2 14.04
    AppMagnW3 12.60
}

Star "WISE 12222-21394/WISE J122221.95-213948.6"
{
    RA        12 22 22.0
    Dec       -21 39 49
    Dist      30.50
    Class     "L6 V"
}

Star "WISE 12260+21501/WISE J122608.20+215010.8"
{
    RA        12 26  8.2
    Dec       +21 50 11
    Dist      123.30
    Class     "M9 V"
    AppMagnJ  16.92
    AppMagnH  16.33
    AppMagnK  15.79
    AppMagnW1 15.57
    AppMagnW2 15.05
    AppMagnW3 12.76
}

Star "ULAS 12263+15210/ULAS J122633.36+152106.9"
{
    RA        12 26 33.4
    Dec       +15 21  7
    Dist      89.40
    Class     "T3.5 V"
    AppMagnJ  18.72
}

Star "2MASS 12271-06364/2MASS J12271545-0636458"
{
    RA        12 27 15.5
    Dec       -06 36 46
    Dist      32.50
    Class     "M8.5 V"
    MassSol   0.011403
}

Star "TWA 29/2MASS J12451416-4429077"
{
    RA        12 45 14.2
    Dec       -44 29  8
    Dist      78.99
    Class     "L0 V"
    AppMagnI  18.03
    AppMagnJ  14.52
    AppMagnH  13.8
    AppMagnKs 13.37
    AppMagnW1 12.99
    AppMagnW2 12.62
    Teff      2300
    Radius    86689.64
    MassSol   0.0171045
}

Star "ULAS 12463+03231/ULAS J124639.33+032314.3"
{
    RA        12 46 39.3
    Dec       +03 23 14
    Dist      54.80
    Class     "T5 V"
    AppMagnJ  17.6
    AppMagnH  18.05
}

Star "WISE 12504-21493/WISE J125041.21-214930.1"
{
    RA        12 50 41.2
    Dec       -21 49 30
    Dist      33.90
    Class     "T2.5 V"
    AppMagnJ  16.84
    AppMagnH  16.3
    AppMagnK  16.22
    AppMagnW1 15.75
    AppMagnW2 14.76
    AppMagnW3 12.66
}

Star "2MASS 12535-42112/2MASS J12535039-4211215"
{
    RA        12 53 50.4
    Dec       -42 11 22
    Dist      81.00
    Class     "M9.5 V"
    AppMagnJ  16
    Radius    119547.81
    MassSol   0.01235325
}

Star "ULAS 12535+26585/ULAS J125359.78+265855.5"
{
    RA        12 53 59.8
    Dec       +26 58 56
    Dist      87.00
    Class     "T4.5 V"
    AppMagnJ  18.61
    AppMagnH  18.75
}

Star "ULAS 12544+12221/ULAS J125446.35+122215.7"
{
    RA        12 54 46.4
    Dec       +12 22 16
    Dist      72.90
    Class     "T5.5 V"
    AppMagnJ  18.29
    AppMagnH  18.62
    AppMagnK  18.26
}

Star "2MASS 12563-27184/2MASS J12563961-2718455"
{
    RA        12 56 39.6
    Dec       -27 18 46
    Dist      44.60
    Class     "L3 V"
    AppMagnJ  16.42
    Teff      1600
    Radius    106963.83
    MassSol   0.007602
}

Star "J125758.7-770120"
{
    RA        12 57 58.7
    Dec       -77  1 20
    Dist      178.00
    Class     "M9 V"
    Teff      2500
}

Star "CHAII1258"
{
    RA        12 58  6.8
    Dec       -77  9 10
    Dist      178.00
    Class     "M6 V"
    Teff      2200
}

Star "ULAS 13015+06474/ULAS J130154.79+064747.9"
{
    RA        13  1 54.8
    Dec       +06 47 48
    Dist      48.20
    Class     "T6 V"
    AppMagnJ  17.79
    AppMagnH  18.17
    AppMagnK  18.53
}

Star "ULAS 13044+31011/ULAS J130444.26+310112.3"
{
    RA        13  4 44.3
    Dec       +31  1 12
    Dist      56.60
    Class     "T7 V"
    AppMagnJ  18.79
}

Star "ULAS 13071+33252/ULAS J130716.63+332523.8"
{
    RA        13  7 16.6
    Dec       +33 25 24
    Dist      80.60
    Class     "T5 V"
    AppMagnJ  18.42
    AppMagnH  18.71
    AppMagnW1 13.57
    AppMagnW2 13.63
    AppMagnW3 12.71
}

Star "WISE 13072-05581/WISE J130729.56-055815.4"
{
    RA        13  7 29.6
    Dec       -05 58 15
    Dist      28.00
    Class     "L8 V"
}

Star "CHAII1308"
{
    RA        13  8 27.1
    Dec       -77 43 23
    Dist      178.00
    Class     "M6 V"
    Teff      2400
}

Star "WISEA 13110+01225/WISEA J131106.21+012253.9"
{
    RA        13 11  6.2
    Dec       +01 22 54
    Dist      16.13
    Class     "T9 V"
    AppMagnJ  18.75
    AppMagnW2 14.7
}

Star "ULAS 13130+22591/ULAS J131304.03+225919.7"
{
    RA        13 13  4.0
    Dec       +22 59 20
    Dist      57.00
    Class     "T5.5 V"
    AppMagnJ  17.91
    AppMagnH  18.26
    AppMagnK  18.49
    AppMagnW1 18.37
    AppMagnW2 15.77
    AppMagnW3 12.23
}

Star "ULAS 13131+26543/ULAS J131313.57+265433.8"
{
    RA        13 13 13.6
    Dec       +26 54 34
    Dist      79.00
    Class     "T4.5 V"
    AppMagnJ  18.4
    AppMagnH  18.44
    AppMagnK  18.66
}

Star "ULAS 13161+07555/ULAS J131610.28+075553.0"
{
    RA        13 16 10.3
    Dec       +07 55 53
    Dist      115.60
    Class     "T5 V"
    AppMagnJ  19.29
    AppMagnW1 16.49
    AppMagnW2 15.36
    AppMagnW3 12.24
}

Star "ULAS 13161+33130/ULAS J131615.93+331306.8"
{
    RA        13 16 15.9
    Dec       +33 13  7
    Dist      47.00
    Class     "T5.5 V"
    AppMagnJ  17.49
    AppMagnH  17.89
    AppMagnK  17.88
    AppMagnW1 17.51
    AppMagnW2 15.5
    AppMagnW3 13.05
}

Star "ULAS 13212+07354/ULAS J132125.90+073549.4"
{
    RA        13 21 25.9
    Dec       +07 35 49
    Dist      64.60
    Class     "T6 V"
    AppMagnJ  18.41
    AppMagnH  19.14
}

Star "WISE 13283-03455/WISE J132839.25-034558.2"
{
    RA        13 28 39.3
    Dec       -03 45 58
    Dist      24.60
    Class     "T4.5 V"
    AppMagnJ  16.94
    AppMagnH  16.69
    AppMagnK  16.7
    AppMagnW1 15.74
    AppMagnW2 14.45
    AppMagnW3 12.82
}

Star "WISE 13330-16075/WISE J133300.03-160754.4"           //Unconfirmed
{
    RA        13 33  0.0
    Dec       -16  7 54
    Dist      20.50
    Class     "T8 V"
}

Star "ULAS 13464+28200/ULAS J134646.71+282009.2"
{
    RA        13 46 46.7
    Dec       +28 20  9
    Dist      51.20
    Class     "T5 V"
    AppMagnJ  17.45
    AppMagnH  17.59
    AppMagnK  17.6
    AppMagnW1 17.69
    AppMagnW2 15.54
    AppMagnW3 12.94
}

Star "ULAS 13492+23404/ULAS J134926.40+234045.9"
{
    RA        13 49 26.4
    Dec       +23 40 46
    Dist      41.00
    Class     "T8 V"
    AppMagnJ  18.77
}

Star "ULAS 13532+28340/ULAS J135322.83+283408.2"
{
    RA        13 53 22.8
    Dec       +28 34  8
    Dist      47.20
    Class     "T7 V"
    AppMagnJ  18.41
    AppMagnH  18.92
    AppMagnW1 14.98
    AppMagnW2 14.83
    AppMagnW3 12.85
}

Star "ULAS 14152+04164/ULAS J141520.66+041647.1"
{
    RA        14 15 20.7
    Dec       +04 16 47
    Dist      59.60
    Class     "T6 V"
    AppMagnJ  18.25
}

Star "ULAS 14200+02181/ULAS J142007.60+021818.3"
{
    RA        14 20  7.6
    Dec       +02 18 18
    Dist      49.60
    Class     "T6 V"
    AppMagnJ  17.86
    AppMagnH  18.09
    AppMagnK  18.58
}

Star "WISE 14341-27534/WISE J143414.79-275342.6"
{
    RA        14 34 14.8
    Dec       -27 53 43
    Dist      32.20
    Class     "L6 V"
    AppMagnJ  16.32
    AppMagnH  15.43
    AppMagnK  14.59
    AppMagnW1 14.07
    AppMagnW2 13.56
    AppMagnW3 12.05
}

Star "WISE 14403-08040/WISE J144033.28-080406.9"
{
    RA        14 40 33.3
    Dec       -08  4  7
    Dist      54.00
    Class     "L2 V"
}

Star "WISE 14573+47242/WISE J145731.67+472420.1"
{
    RA        14 57 31.7
    Dec       +47 24 20
    Dist      19.90
    Class     "T7 V"
    AppMagnJ  17.08
    AppMagnH  17.43
    AppMagnK  17.09
    AppMagnW1 16.72
    AppMagnW2 14.62
    AppMagnW3 12.66
}

Star "TVLM 868-110639"           //Unconfirmed
{
    RA        15 10 16.9
    Dec       -02 41  8
    Dist      16.34
    Class     "M9 V"
    AppMagnr  19.27
    AppMagni  16.38
    AppMagnJ  12.61
    AppMagnH  11.84
    AppMagnKs 11.35
    AppMagnK  11.34
    AppMagnW1 10.94
    AppMagnW2 10.67
    AppMagnW3 10.17
    Teff      2377
    Radius    75503.88
    MassSol   0.07506975
}

Star "2MASS 15104-28181/2MASS J15104786-2818174"           //Unconfirmed
{
    RA        15 10 47.9
    Dec       -28 18 17
    Dist      19.00
    Class     "M9 V"
    AppMagnJ  12.84
    AppMagnKs 11.69
    Teff      2600
    Radius    116052.26
    MassSol   0.03515925
}

Star "ULAS 15360+03055/ULAS J153608.64+030556.5"
{
    RA        15 36  8.6
    Dec       +03  5 57
    Dist      85.80
    Class     "T3.5 V"
    AppMagnJ  18.63
}

Star "USco 15515-21345/USco J155150.2-213457"
{
    RA        15 51 50.2
    Dec       -21 34 57
    Dist      145.00
    Class     "L6 V"
    AppMagnI  21.9
    AppMagnJ  18.13
    AppMagnH  17.22
    AppMagnK  16.41
    AppMagnW1 15.85
    AppMagnW2 15.26
    MassSol   0.00855225
}

Star "USD155556"
{
    RA        15 55 56.0
    Dec       -20 45 19
    Dist      145.00
    Class     "M6.5 V"
    Teff      3400
}

Star "USD155601"
{
    RA        15 56  1.0
    Dec       -23 38  8
    Dist      145.00
    Class     "M6.5 V"
    Teff      2800
}

Star "USco 128"
{
    RA        15 59 11.4
    Dec       -23 38  0
    Dist      145.00
    Class     "M7 V"
    Teff      2500
}

Star "USco 112"
{
    RA        16  0 26.7
    Dec       -20 56 32
    Dist      145.00
    Class     "M5.5 V"
    Teff      3000
}

Star "2MASS 16030-26261/2MASS J16030235-2626163"
{
    RA        16  3  2.4
    Dec       -26 26 16
    Dist      145.00
    Class     "M6 V"
    AppMagnK  14.61
    MassSol   0.0551145
}

Star "DENIS 16033-18293/DENIS J160334.7-182930/2MASS J16033471-1829303"
{
    RA        16  3 34.7
    Dec       -18 29 30
    Dist      145.00
    Class     "M5.5 V"
    Teff      2800
}

Star "2MASS 16033-26115/2MASS J16033799-2611544"
{
    RA        16  3 38.0
    Dec       -26 11 54
    Dist      145.00
    Class     "M6 V"
    AppMagnK  15.17
    MassSol   0.0551145
}

Star "2MASS 16073-04420/2MASS J16073123-0442091"           //Unconfirmed
{
    RA        16  7 31.2
    Dec       -04 42  9
    Dist      15.70
    Class     "M9 V"
    AppMagnJ  11.9
    AppMagnKs 10.72
}

Star "2MASS 16073-39213/2MASS J16073773-3921388"
{
    RA        16  7 37.7
    Dec       -39 21 39
    Dist      200.00
    Class     "M6 V"
    Teff      2400
}

Star "2MASS 16080-23450/2MASS J16080745-2345055"
{
    RA        16  8  7.5
    Dec       -23 45  6
    Dist      145.00
    Class     "M6 V"
    AppMagnK  15.79
    Teff      2935
    MassSol   0.0551145
}

Star "2MASS 16082-22170/2MASS J16082229-2217029"
{
    RA        16  8 22.3
    Dec       -22 17  3
    Dist      145.00
    Class     "M6 V"
    AppMagnK  15.56
    Teff      3025
    MassSol   0.0551145
}

Star "SONYC-Lup3-28"
{
    RA        16  8 33.0
    Dec       -38 52 23
    Dist      200.00
    Class     "M8 V"
    AppMagnI  15.34
    AppMagnJ  12.98
    AppMagnK  11.74
    Teff      2800
    MassSol   0.0551145
}

Star "2MASS 16085-38562/2MASS J16085953-3856275"
{
    RA        16  8 59.5
    Dec       -38 56 28
    Dist      200.00
    Class     "M8 V"
    Teff      2100
}

Star "2MASS 16095-21362/2MASS J16095217-2136277"
{
    RA        16  9 52.2
    Dec       -21 36 28
    Dist      145.00
    Class     "M6 V"
    AppMagnK  13.93
    Teff      2570
    MassSol   0.0551145
}

Star "USD160958/2MASS J16095852-2345186"
{
    RA        16  9 58.5
    Dec       -23 45 19
    Dist      145.00
    Class     "M6.5 V"
    AppMagnK  13.99
    Teff      2935
    MassSol   0.0551145
}

Star "SONYC-Lup3-29"
{
    RA        16 10  1.3
    Dec       -39  6 45
    Dist      200.00
    Class     "M7.5 V"
    AppMagnI  15.38
    AppMagnJ  12.32
    AppMagnK  10.52
    Teff      2800
    MassSol   0.0551145
}

Star "USD161005"
{
    RA        16 10  5.4
    Dec       -19 19 36
    Dist      145.00
    Class     "M7 V"
    Teff      2600
}

Star "2MASS 16105-21261/2MASS J16105499-2126139"
{
    RA        16 10 55.0
    Dec       -21 26 14
    Dist      145.00
    Class     "M6 V"
    AppMagnK  15.32
    Teff      2754
    MassSol   0.0551145
}

Star "2MASS 16112-23400/2MASS J16112630-2340059"
{
    RA        16 11 26.3
    Dec       -23 40  6
    Dist      145.00
    Class     "M6 V"
    AppMagnK  15.97
    Teff      2922
    MassSol   0.0551145
}

Star "2MASS 16113-22194/2MASS J16113470-2219442"
{
    RA        16 11 34.7
    Dec       -22 19 44
    Dist      145.00
    Class     "M6 V"
    AppMagnK  14.66
    Teff      2035
    MassSol   0.0551145
}

Star "2MASS 16113-23070/2MASS J16113837-2307072"
{
    RA        16 11 38.4
    Dec       -23  7  7
    Dist      145.00
    Class     "M6 V"
    AppMagnK  15.14
    Teff      2910
    MassSol   0.0551145
}

Star "WISE 16113+02290/WISE J161139.11+022908.1"
{
    RA        16 11 39.1
    Dec       +02 29  8
    Dist      35.10
    Class     "T1 V"
    AppMagnJ  17.11
    AppMagnH  16.4
    AppMagnK  16.07
    AppMagnW1 15.48
    AppMagnW2 14.57
    AppMagnW3 12.12
}

Star "2MASS 16124-23384/2MASS J16124692-2338408"
{
    RA        16 12 46.9
    Dec       -23 38 41
    Dist      145.00
    Class     "M6 V"
    AppMagnK  14.96
    Teff      2832
    MassSol   0.0551145
}

Star "2MASS 16132-22303/2MASS J16132665-2230348"
{
    RA        16 13 26.7
    Dec       -22 30 35
    Dist      145.00
    Class     "M6 V"
    AppMagnK  16.12
    Teff      2910
    MassSol   0.0551145
}

Star "2MASS 16133-23281/2MASS J16133476-2328156"
{
    RA        16 13 34.8
    Dec       -23 28 16
    Dist      145.00
    Class     "M6 V"
    AppMagnK  14.84
    Teff      3025
    MassSol   0.0551145
}

Star "2MASS 16143-22421/2MASS J16143287-2242133"
{
    RA        16 14 32.9
    Dec       -22 42 13
    Dist      145.00
    Class     "M6 V"
    AppMagnK  16.78
    Teff      2782
    MassSol   0.0551145
}

Star "2MASS 16153-23151/2MASS J16153648-2315175"
{
    RA        16 15 36.5
    Dec       -23 15 18
    Dist      145.00
    Class     "M6 V"
    AppMagnK  16.42
    Teff      3025
    MassSol   0.0551145
}

Star "2MASS 16154+05464/2MASS J16154245+0546400"           //Unconfirmed
{
    RA        16 15 42.5
    Dec       +05 46 40
    Dist      19.20
    Class     "M9 V"
    AppMagnJ  12.88
    AppMagnKs 11.74
}

Star "WISE 16162+06213/WISE J161628.34+062135.2"
{
    RA        16 16 28.3
    Dec       +06 21 35
    Dist      32.60
    Class     "L9 V"
    AppMagnJ  17.51
    AppMagnH  16.35
    AppMagnK  15.54
    AppMagnW1 14.78
    AppMagnW2 14.09
    AppMagnW3 12.36
}

Star "2MASS 16164-23334/2MASS J16164539-2333413"
{
    RA        16 16 45.4
    Dec       -23 33 41
    Dist      145.00
    Class     "M6 V"
    AppMagnK  16.29
    Teff      2955
    MassSol   0.0551145
}

Star "WISE 16184+08430/WISE J161843.22+084306.9"
{
    RA        16 18 43.2
    Dec       +08 43  7
    Dist      30.20
    Class     "T4.5 V"
    AppMagnJ  16.84
    AppMagnH  16.8
    AppMagnK  16.8
    AppMagnW1 16.53
    AppMagnW2 14.9
    AppMagnW3 12.53
}

Star "OPHALL1622"
{
    RA        16 22 44.9
    Dec       -23 17 13
    Dist      130.00
    Class     "M6 V"
    Teff      2100
}

Star "*2015 Dieball +2"           //Unconfirmed
{
    RA        16 23 41.7
    Dec       -26 29 18
    Dist      1800.00
    MassSol   0.07602
}

Star "*2015 Dieball +4"           //Unconfirmed
{
    RA        16 23 44.7
    Dec       -26 29 31
    Dist      1800.00
    MassSol   0.07602
}

Star "*2015 Dieball +5"           //Unconfirmed
{
    RA        16 23 45.4
    Dec       -26 29 37
    Dist      1800.00
    MassSol   0.0665175
}

Star "*2015 Dieball +3"           //Unconfirmed
{
    RA        16 23 45.4
    Dec       -26 30  6
    Dist      1800.00
    MassSol   0.07126875
}

Star "Oph 16264-24194/Oph J162645-241949"
{
    RA        16 26 45.2
    Dec       -24 19 49
    Dist      125.00
    Class     "T3.5 V"
    AppMagnH  19.16
    AppMagnKs 18.66
    Teff      950
}

Star "Oph 16265-24211/Oph J162651-242110"
{
    RA        16 26 51.0
    Dec       -24 21 10
    Dist      125.00
    Class     "L V"
    AppMagnH  18.69
    AppMagnKs 17.5
}

Star "ISO-Oph082/2MASS J16265691-2428370"           //Unconfirmed
{
    RA        16 26 56.9
    Dec       -24 28 37
    Dist      125.00
    Teff      2750
    MassSol   0.03705975
}

Star "ISO-Oph100/2MASS J16270567-2440130"           //Unconfirmed
{
    RA        16 27  5.7
    Dec       -24 40 13
    Dist      125.00
    Teff      2820
    MassSol   0.0475125
}

Star "ISO-Oph104/2MASS J16270795-2440291"           //Unconfirmed
{
    RA        16 27  8.0
    Dec       -24 40 29
    Dist      125.00
    Teff      2950
    MassSol   0.07697025
}

Star "ISO-Oph153/2MASS J16273271-2432423"           //Unconfirmed
{
    RA        16 27 32.7
    Dec       -24 32 42
    Dist      125.00
    Teff      2880
    MassSol   0.06176625
}

Star "ISO-Oph158/2MASS J16273652-2428332"           //Unconfirmed
{
    RA        16 27 36.5
    Dec       -24 28 33
    Dist      125.00
    Teff      2880
    MassSol   0.0589155
}

Star "Oph 16273-24524/Oph J162738-245240"
{
    RA        16 27 38.2
    Dec       -24 52 40
    Dist      125.00
    Class     "T0.5 V"
    AppMagnH  18.38
    AppMagnKs 18.1
    Teff      950
}

Star "WISE 17072+54510/WISE J170726.69+545109.3"
{
    RA        17  7 26.7
    Dec       +54 51  9
    Dist      63.50
    Class     "L1 V"
}

Star "WISE 17203+61454/WISE J172038.99+614548.9"
{
    RA        17 20 39.0
    Dec       +61 45 49
    Dist      45.40
    Class     "T2 V"
    AppMagnW1 16.23
    AppMagnW2 15.31
    AppMagnW3 14.07
}

Star "WISE 17212+46402/WISE J172120.69+464025.9"
{
    RA        17 21 20.7
    Dec       +46 40 26
    Dist      28.00
    Class     "T0 V"
    AppMagnJ  16.79
    AppMagnH  15.84
    AppMagnK  15.24
    AppMagnW1 14.45
    AppMagnW2 13.94
    AppMagnW3 12.72
}

Star "WISE 17250+22553/WISE J172509.16+225536.8"
{
    RA        17 25  9.2
    Dec       +22 55 37
    Dist      31.60
    Class     "T5 V"
    AppMagnJ  16.83
    AppMagnH  16.89
    AppMagnK  16.86
    AppMagnW1 16.57
    AppMagnW2 15.11
    AppMagnW3 12.64
}

Star "WISE 17355-82090/WISE J173551.56-820900.3"           //Unconfirmed
{
    RA        17 35 51.6
    Dec       -82  9  0
    Dist      17.50
    Class     "T4.5 V"
}

Star "WISE 17401+11290/WISE J174018.21+112907.5"
{
    RA        17 40 18.2
    Dec       +11 29  8
    Dist      43.40
    Class     "T0.5 V"
    AppMagnJ  17.48
    AppMagnH  16.59
    AppMagnK  16.38
    AppMagnW1 15.57
    AppMagnW2 14.96
    AppMagnW3 12.84
}

Star "WISE 18162+30324/WISE J181621.86+303248.9"
{
    RA        18 16 21.9
    Dec       +30 32 49
    Dist      36.40
    Class     "T3 V"
    AppMagnJ  17.53
    AppMagnH  16.93
    AppMagnK  17.33
    AppMagnW1 16.55
    AppMagnW2 15.01
    AppMagnW3 13.04
}

Star "WISE 18271+22261/WISE J182717.60+222616.9"
{
    RA        18 27 17.6
    Dec       +22 26 17
    Dist      24.10
    Class     "L9 V"
    AppMagnJ  16.48
    AppMagnH  15.62
    AppMagnK  14.82
    AppMagnW1 14.01
    AppMagnW2 13.43
    AppMagnW3 12.09
}

Star "WISE 18411+63153/WISE J184111.36+631535.6"
{
    RA        18 41 11.4
    Dec       +63 15 36
    Dist      23.80
    Class     "L9.5 V"
    AppMagnJ  16.02
    AppMagnH  15.43
    AppMagnK  14.82
    AppMagnW1 14.13
    AppMagnW2 13.49
    AppMagnW3 12.39
}

Star "WISE 18502+34460/WISE J185021.04+344609.7"
{
    RA        18 50 21.0
    Dec       +34 46 10
    Dist      86.10
    Class     "L1 V"
    AppMagnJ  17.1
    AppMagnH  16.28
    AppMagnK  15.68
    AppMagnW1 15.13
    AppMagnW2 14.73
    AppMagnW3 13.12
}

Star "WISE 19101+56342/WISE J191011.03+563429.3"
{
    RA        19 10 11.0
    Dec       +56 34 29
    Dist      19.50
    Class     "L1.5 V"
}

Star "WISE 19250+68315/WISE J192504.54+683151.7"
{
    RA        19 25  4.5
    Dec       +68 31 52
    Dist      33.20
    Class     "T1 V"
    AppMagnJ  16.52
    AppMagnH  16.19
    AppMagnK  15.52
    AppMagnW1 15.1
    AppMagnW2 14.45
    AppMagnW3 13.65
}

Star "2MASS 20004-75230/2MASS J20004841-7523070"           //Unconfirmed
{
    RA        20  0 48.4
    Dec       -75 23  7
    Dist      32.30
    Class     "M9 V"
    AppMagn   21.16
    AppMagnR  18.38
    AppMagnI  16.12
    AppMagnJ  12.73
    AppMagnH  11.97
    AppMagnKs 11.51
    AppMagnW1 11.11
    AppMagnW2 10.8
    AppMagnW3 10.55
    Teff      2375
    Radius    131432.68
    MassSol   0.02375625
}

Star "2MASS 20113-50481/2MASS J20113196-5048112"
{
    RA        20 11 32.0
    Dec       -50 48 11
    Dist      53.40
    Class     "L3 V"
    AppMagnJ  16.42
    Radius    104167.39
    MassSol   0.01235325
}

Star "WISE 20190-07140/WISE J201901.74-071405.3"
{
    RA        20 19  1.7
    Dec       -07 14  5
    Dist      110.40
    Class     "M9 V"
    AppMagnJ  16.77
    AppMagnH  16.24
    AppMagnK  15.7
    AppMagnW1 15.4
    AppMagnW2 14.81
    AppMagnW3 12.54
}

Star "WISE 20355-09435/WISE J203556.02-094352.3"
{
    RA        20 35 56.0
    Dec       -09 43 52
    Dist      65.00
    Class     "L4.5 V"
    AppMagnJ  17.67
    AppMagnH  16.86
    AppMagnK  16.33
    AppMagnW1 15.94
    AppMagnW2 14.82
    AppMagnW3 12.35
}

Star "WISE 20520-20431/WISE J205202.06-204313.0"
{
    RA        20 52  2.1
    Dec       -20 43 13
    Dist      29.00
    Class     "L8 V"
}

Star "WISE 20523-26001/WISE J205237.87-260018.0"
{
    RA        20 52 37.9
    Dec       -26  0 18
    Dist      96.90
    Class     "L1 V"
    AppMagnJ  17.24
    AppMagnH  16.49
    AppMagnK  15.92
    AppMagnW1 15.61
    AppMagnW2 14.98
    AppMagnW3 12.6
}

Star "WISE 21060+04070/WISE J210603.72+040702.4"
{
    RA        21  6  3.7
    Dec       +04  7  2
    Dist      48.30
    Class     "L6 V"
    AppMagnJ  17.01
    AppMagnH  16.09
    AppMagnK  15.49
    AppMagnW1 14.87
    AppMagnW2 14.45
    AppMagnW3 12.01
}

Star "ULAS 21131+00184/ULAS J211317.05+001840.7"
{
    RA        21 13 17.1
    Dec       +00 18 41
    Dist      75.20
    Class     "T4.5 V"
    AppMagnJ  18.29
    AppMagnH  18.46
    AppMagnK  18.47
}

Star "WISE 21210-62392/WISE J212100.87-623921.6"
{
    RA        21 21  0.9
    Dec       -62 39 22
    Dist      14.00
    Class     "T2 V"
}

Star "SDSS J212413.88+010000.2"
{
    RA        21 24 14.0
    Dec       +01  0  3
    Dist      18.00
    Class     "T5 V"
    AppMagnJ  16.03
    AppMagnH  16.18
    AppMagnKs 16.14
}

Star "WISE 21243+18492/WISE J212438.82+184927.5/2MASS J212438.64+184926.3"
{
    RA        21 24 38.8
    Dec       +18 49 28
    Dist      31.80
    Class     "L9 V"
    AppMagnJ  16.99
    AppMagnH  16.1
    AppMagnKs 15.62
    AppMagnK  15.42
    AppMagnW1 14.73
    AppMagnW2 14.04
    AppMagnW3 12.45
}

Star "ULAS 21335-01034/ULAS J213352.64-010343.4"
{
    RA        21 33 52.6
    Dec       -01  3 43
    Dist      95.60
    Class     "T4.5 V"
    AppMagnJ  18.8
    AppMagnW1 17.21
    AppMagnW2 16.3
    AppMagnW3 12.13
}

Star "SIMP 21543-10553/SIMP J21543454-1055308/2MASS J21543454-1055308"
{
    RA        21 54 34.5
    Dec       -10 55 31
    Dist      22.50
    Class     "L5 V"
    AppMagnJ  16.44
    Teff      1600
    Radius    92282.52
    MassSol   0.0095025
}

Star "WISE 22062+33011/WISE J220625.35+330114.6"
{
    RA        22  6 25.4
    Dec       +33  1 15
    Dist      34.40
    Class     "T1.5 V"
    AppMagnJ  16.66
    AppMagnH  16.08
    AppMagnK  15.75
    AppMagnW1 15.37
    AppMagnW2 14.62
    AppMagnW3 12.82
    MassSol   0.007602
}

Star "WISE 22074-07032/WISE J220745.53-070325.1"
{
    RA        22  7 45.5
    Dec       -07  3 25
    Dist      34.10
    Class     "L7 V"
    AppMagnJ  17.54
    AppMagnH  16.45
    AppMagnK  15.5
    AppMagnW1 14.51
    AppMagnW2 13.86
    AppMagnW3 12.18
}

Star "WISE 22162+19524/WISE J221628.62+195248.1"
{
    RA        22 16 28.6
    Dec       +19 52 48
    Dist      30.70
    Class     "T3 V"
    AppMagnJ  16.59
    AppMagnH  16.41
    AppMagnK  16.28
    AppMagnW1 15.7
    AppMagnW2 14.64
    AppMagnW3 12.93
    MassSol   0.0057015
}

Star "WISE 22191+11134/WISE J221912.81+111340.1"
{
    RA        22 19 12.8
    Dec       +11 13 40
    Dist      37.00
    Class     "L5 V"
    AppMagnJ  16.58
    AppMagnH  15.61
    AppMagnK  14.9
    AppMagnW1 14.11
    AppMagnW2 13.69
    AppMagnW3 12.68
}

Star "WISE 22273-18545/WISE J222736.87-185453.1"
{
    RA        22 27 36.9
    Dec       -18 54 53
    Dist      32.90
    Class     "L6 V"
    AppMagnJ  17.37
    AppMagnH  16.1
    AppMagnK  15.14
    AppMagnW1 14.15
    AppMagnW2 13.61
    AppMagnW3 12.70
}

Star "WISE 22294+16251/WISE J222943.60+162516.5"
{
    RA        22 29 43.6
    Dec       +16 25 17
    Dist      129.40
    Class     "M9 V"
    AppMagnJ  17.02
    AppMagnH  16.46
    AppMagnK  15.85
    AppMagnW1 15.72
    AppMagnW2 15.16
    AppMagnW3 12.69
}

Star "WISE 22334-13314/WISE J223343.53-133140.9"
{
    RA        22 33 43.5
    Dec       -13 31 41
    Dist      28.00
    Class     "T2 V"
}

Star "2MASS 22344+40413/2MASS J22344161+4041387"
{
    RA        22 34 41.6
    Dec       +40 41 39
    Dist      27.03
    Class     "M6 V"
    AppMagnJ  12.57
    AppMagnH  11.83
    AppMagnKs 11.44
    AppMagnW1 10.92
    AppMagnW2 10.33
    AppMagnW3 8.36
}

Star "2MASS 22373+39223/2MASS J22373255+3922398"
{
    RA        22 37 32.6
    Dec       +39 22 40
    Dist      19.54
    Class     "M9.5 V"
    AppMagnJ  13.34
    AppMagnH  12.69
    AppMagnKs 12.18
    AppMagnW1 11.71
    AppMagnW2 11.43
    AppMagnW3 11.01
    Teff      2173
    Radius    72707.44
    MassSol   0.06936825
}

Star "ULAS 22391+07341/ULAS J223917.13+073416.0"
{
    RA        22 39 17.1
    Dec       +07 34 16
    Dist      91.00
    Class     "T5.5 V"
    AppMagnJ  18.88
    AppMagnH  18.92
    AppMagnK  19.73
}

Star "WISE 22470-15062/WISE J224700.20-150626.8"
{
    RA        22 47  0.2
    Dec       -15  6 27
    Dist      39.00
    Class     "L5 V"
    AppMagnJ  16.43
    AppMagnH  15.55
    AppMagnK  14.78
    AppMagnW1 14.22
    AppMagnW2 13.8
    AppMagnW3 12.75
}

Star "ULAS 22554+06141/ULAS J225540.22+061412.9"
{
    RA        22 55 40.2
    Dec       +06 14 13
    Dist      81.10
    Class     "T6 V"
    AppMagnJ  18.9
    AppMagnH  19.1
    AppMagnK  19.28
}

Star "WISE 22591+20112/WISE J225915.51+201129.9"
{
    RA        22 59 15.5
    Dec       +20 11 30
    Dist      51.50
    Class     "L2.5 V"
    AppMagnJ  16.76
    AppMagnH  15.76
    AppMagnK  15
    AppMagnW1 14.35
    AppMagnW2 13.93
    AppMagnW3 12.33
}

Star "WISE 23032+31502/WISE J230329.45+315022.7"
{
    RA        23  3 29.5
    Dec       +31 50 23
    Dist      26.00
    Class     "T2 V"
}

Star "WISE 23051-11095/WISE J230516.86-110955.2"
{
    RA        23  5 16.9
    Dec       -11  9 55
    Dist      33.80
    Class     "L8.5 V"
    AppMagnJ  17.13
    AppMagnH  16.24
    AppMagnK  15.51
    AppMagnW1 14.62
    AppMagnW2 14.09
    AppMagnW3 12.24
}

Star "WISE 23060-15562/WISE J230606.72-155626.1"
{
    RA        23  6  6.7
    Dec       -15 56 26
    Dist      27.10
    Class     "L7 V"
    AppMagnJ  16.56
    AppMagnH  15.5
    AppMagnK  14.63
    AppMagnW1 13.86
    AppMagnW2 13.36
    AppMagnW3 12.09
}

Star "WISE 23153+06171/WISE J231531.39+061714.2"
{
    RA        23 15 31.4
    Dec       +06 17 14
    Dist      36.80
    Class     "L2 V"
    AppMagnJ  15.75
    AppMagnH  14.89
    AppMagnK  14.11
    AppMagnW1 13.55
    AppMagnW2 13.1
    AppMagnW3 11.67
}

Star "WISE 23215-19044/WISE J232152.15-190441.6"
{
    RA        23 21 52.2
    Dec       -19  4 42
    Dist      47.20
    Class     "L4.5 V"
    AppMagnJ  16.86
    AppMagnH  15.93
    AppMagnK  15.31
    AppMagnW1 14.57
    AppMagnW2 14.13
    AppMagnW3 12.61
}

Star "ULAS 23262+05093/ULAS J232624.07+050931.6"
{
    RA        23 26 24.1
    Dec       +05  9 32
    Dist      88.50
    Class     "T5 V"
    AppMagnJ  18.61
    AppMagnH  18.61
}

Star "WISE 23321-29534/WISE J233212.40-295341.5"
{
    RA        23 32 12.4
    Dec       -29 53 42
    Dist      104.80
    Class     "L1 V"
    AppMagnJ  17.42
    AppMagnH  16.68
    AppMagnK  16.2
    AppMagnW1 15.78
    AppMagnW2 15.15
    AppMagnW3 12.84
}

Star "WISE 23343+13131/WISE J233432.53+131315.3"
{
    RA        23 34 32.5
    Dec       +13 13 15
    Dist      24.00
    Class     "L8 V"
    AppMagnJ  16.6
    AppMagnH  15.58
    AppMagnK  14.66
    AppMagnW1 13.78
    AppMagnW2 13.26
    AppMagnW3 12.4
}

Star "WISE 23511+49375/WISE J235119.56+493758.9"
{
    RA        23 51 19.6
    Dec       +49 37 59
    Dist      33.70
    Class     "T0 V"
    AppMagnJ  16.48
    AppMagnH  15.91
    AppMagnK  15.5
    AppMagnW1 14.84
    AppMagnW2 14.32
    AppMagnW3 12.55
}

Star "2MASS 23515-25373/2MASS J23515044-2537367"           //Unconfirmed
{
    RA        23 51 50.4
    Dec       -25 37 37
    Dist      20.41
    Class     "L0.5 V"
    AppMagnI  15.41
    AppMagnJ  12.47
    AppMagnH  11.73
    AppMagnKs 11.27
    AppMagnW1 10.93
    AppMagnW2 10.68
    AppMagnW3 10.3
    Teff      2600
    Radius    81096.76
    MassSol   0.083622
}

Star "WISE 23593-01515/WISE J235932.81-015154.1"
{
    RA        23 59 32.8
    Dec       -01 51 54
    Dist      34.50
    Class     "T1 V"
    AppMagnJ  17.05
    AppMagnH  16.36
    AppMagnK  15.97
    AppMagnW1 15.24
    AppMagnW2 14.54
    AppMagnW3 12.64
}

//BROWNS WITH UNKNOWN DISTANCE//

Star "WISEA 00145-08382/WISEA J001450.17-083823.4"
{
    RA        0 14 50.2
    Dec       -08 38 23
    Class     "L0 V"
    AppMagnJ  14.47
    AppMagnH  13.95
    AppMagnKs 13.77
    AppMagnW1 13.43
    AppMagnW2 13.2
}

Star "2MASS 00150+29593/2MASS J00150206+2959323"
{
    RA        0 15  2.1
    Dec       +29 59 32
    Class     "L8.5 V"
    AppMagnJ  16.16
    AppMagnH  15.23
    AppMagnK  14.48
}

Star "CFBDS 00185+34272/CFBDS J001851+342725"           //Unconfirmed
{
    RA        0 18 51.4
    Dec       +34 27 26
    Class     "T V"
    AppMagni  25.48
    AppMagnJ  18.67
}

Star "CFBDS 00321+02560/CFBDS J003214+025604"           //Unconfirmed
{
    RA        0 32 14.4
    Dec       +02 56  5
    Class     "L V"
    AppMagni  24.02
    AppMagnJ  18.5
}

Star "CFBDS 00344-02050/CFBDS J003448-020500"           //Unconfirmed
{
    RA        0 34 48.8
    Dec       -02  5  1
    Class     "L V"
    AppMagni  24.43
    AppMagnJ  19.31
}

Star "CFBDS 00403+03531/CFBDS J004037+035316"           //Unconfirmed
{
    RA        0 40 37.8
    Dec       +03 53 17
    Class     "L V"
    AppMagni  23.49
    AppMagnJ  18.27
}

Star "CFBDS 00414-01335/CFBDS J004148-013353"           //Unconfirmed
{
    RA        0 41 48.7
    Dec       -01 33 54
    Class     "L V"
    AppMagni  24.32
    AppMagnJ  19.28
}

Star "WISEA 00432+22212/WISEA J004326.26+222124.0"
{
    RA        0 43 26.3
    Dec       +22 21 24
    Class     "L1 V"
    AppMagnJ  14.78
    AppMagnH  14.23
    AppMagnKs 13.93
    AppMagnW1 13.69
    AppMagnW2 13.37
}

Star "CFBDS 00452+35471/CFBDS J004526+354711"           //Unconfirmed
{
    RA        0 45 26.3
    Dec       +35 47 11
    Class     "T V"
    AppMagni  23.79
    AppMagnJ  18.34
}

Star "WISEA 00471-37103/WISEA J004713.81-371033.7"
{
    RA        0 47 13.8
    Dec       -37 10 34
    Class     "L4 V"
}

Star "CFBDS 00510+01410/CFBDS J005107+014105"           //Unconfirmed
{
    RA        0 51  8.0
    Dec       +01 41  6
    Class     "L V"
    AppMagni  24.53
    AppMagnJ  18.67
}

Star "CFBDS 00530-02002/CFBDS J005304-020025"           //Unconfirmed
{
    RA        0 53  4.7
    Dec       -02  0 25
    Class     "L V"
    AppMagni  24.07
    AppMagnJ  18.88
}

Star "CFBDS 00533+04521/CFBDS J005336+045214"           //Unconfirmed
{
    RA        0 53 36.1
    Dec       +04 52 14
    Class     "L V"
    AppMagnJ  19.58
}

Star "CFBDS 00535+05000/CFBDS J005350+050002"           //Unconfirmed
{
    RA        0 53 50.4
    Dec       +05  0  2
    Class     "L V"
    AppMagni  24.53
    AppMagnJ  19.94
}

Star "CFBDS 00570-03294/CFBDS J005700-032943"           //Unconfirmed
{
    RA        0 57  0.4
    Dec       -03 29 44
    Class     "T V"
    AppMagni  22.59
    AppMagnJ  16.9
}

Star "WISEA 00575+20130/WISEA J005757.64+201304.0"
{
    RA        0 57 57.6
    Dec       +20 13  4
    Class     "L7 V"
    AppMagnJ  16.32
    AppMagnH  15.45
    AppMagnKs 14.97
    AppMagnW1 14.32
    AppMagnW2 13.87
}

Star "CFBDS 01060+34052/CFBDS J010608+340520"           //Unconfirmed
{
    RA        1  6  8.6
    Dec       +34  5 20
    Class     "L V"
    AppMagni  24.32
    AppMagnJ  19.47
}

Star "CFBDS 01115+33080/CFBDS J011159+330807"           //Unconfirmed
{
    RA        1 11 59.1
    Dec       +33  8  8
    Class     "L V"
    AppMagni  23.6
    AppMagnJ  18.16
}

Star "2MASS 01340+05081/2MASS J01340281+0508125"
{
    RA        1 34  2.8
    Dec       +05  8 13
    Class     "L1 V"
    AppMagnJ  16.19
    AppMagnH  15.16
    AppMagnK  14.63
}

Star "2MASS 01414-16011/2MASS J01414839-1601196"
{
    RA        1 41 48.4
    Dec       -16  1 20
    Class     "L5.5 V"
    AppMagnJ  16.21
    AppMagnH  15.16
    AppMagnK  14.34
}

Star "2MASS 01472+47311/2MASS J01472702+4731142"
{
    RA        1 47 27.0
    Dec       +47 31 14
    Class     "L1 V"
    AppMagnJ  15.84
    AppMagnH  14.85
    AppMagnK  14.28
}

Star "WISEA 02020-31364/WISEA J020201.25-313645.2"
{
    RA        2  2  1.3
    Dec       -31 36 45
    Class     "L0 V"
    AppMagnJ  15.34
    AppMagnH  14.94
    AppMagnKs 14.7
    AppMagnW1 14.31
    AppMagnW2 13.96
}

Star "*R+2011 04"           //Unconfirmed
{
    RA        2 13 33.8
    Dec       +12 54 11
    Class     "L V"
    AppMagnJ  23.36
}

Star "2MASS 02304-30272/2MASS J02304442-3027275"
{
    RA        2 30 44.4
    Dec       -30 27 28
    Class     "L1 V"
    AppMagnJ  15.82
    AppMagnH  15.21
    AppMagnK  14.89
}

Star "WISEA 02342+60122/WISEA J023421.83+601227.3"
{
    RA        2 34 21.8
    Dec       +60 12 27
    Class     "M9.5 V"
}

Star "VHS 02375-06314/VHS J023756.2-063142.9"           //Unconfirmed
{
    RA        2 37 56.2
    Dec       -06 31 43
    Class     "L V"      //Unknown
    AppMagnJ  17.56
    AppMagnH  17.59
    AppMagnKs 17.55
    AppMagnW1 17.08
    AppMagnW2 15.48
}

Star "CFBDS 02523-16225/CFBDS J025232-162255"           //Unconfirmed
{
    RA        2 52 32.5
    Dec       -16 22 55
    Class     "L V"
    AppMagni  24.31
    AppMagnJ  19.33
}

Star "CFBDS 02524-17322/CFBDS J025242-173225"           //Unconfirmed
{
    RA        2 52 43.0
    Dec       -17 32 25
    Class     "L V"
    AppMagni  23.87
    AppMagnJ  18.37
}

Star "SDSS 02535+01093/SDSS J025357.79+010934.3"
{
    RA        2 53 57.8
    Dec       +01  9 34
    Class     "L0 V"
    AppMagnr  24.18
    AppMagni  20.83
}

Star "CFBDS 02541-13523/CFBDS J025418-135237"           //Unconfirmed
{
    RA        2 54 18.3
    Dec       -13 52 37
    Class     "L V"
    AppMagni  23.9
    AppMagnJ  18.76
}

Star "CFBDS 02542-17074/CFBDS J025420-170744"           //Unconfirmed
{
    RA        2 54 20.7
    Dec       -17  7 44
    Class     "L V"
    AppMagni  24.03
    AppMagnJ  18.74
}

Star "CFBDS 02544-14031/CFBDS J025445-140314"           //Unconfirmed
{
    RA        2 54 45.6
    Dec       -14  3 15
    Class     "L V"
    AppMagni  22.89
    AppMagnJ  17.82
}

Star "CFBDS 02561-12572/CFBDS J025612-125721"           //Unconfirmed
{
    RA        2 56 12.3
    Dec       -12 57 21
    Class     "L V"
    AppMagni  22.81
    AppMagnJ  17.55
}

Star "WISEP 02593-03464/WISEP J025934.00-034645.7"
{
    RA        2 59 34.0
    Dec       -03 46 46
    Class     "T5 V"
    AppMagnW1 17.33
    AppMagnW2 15.1
    AppMagnW3 12.90
}

Star "CFBDS 02594-11361/CFBDS J025947-113619"           //Unconfirmed
{
    RA        2 59 47.1
    Dec       -11 36 19
    Class     "L V"
    AppMagni  24.42
    AppMagnJ  19.44
}

Star "2MASS 03001+21302/2MASS J03001631+2130205"
{
    RA        3  0 16.3
    Dec       +21 30 21
    Class     "L4.5 V"
    AppMagnJ  15.88
    AppMagnH  14.73
    AppMagnK  14.31
}

Star "CFBDS 0301-16"
{
    RA        3  1 30.0
    Dec       -16 30  0
    Class     "T7 V"
    Teff      725
    MassSol   0.0285075
}

Star "CFBDS 03014-13494/CFBDS J030148-134948"           //Unconfirmed
{
    RA        3  1 48.8
    Dec       -13 49 49
    Class     "L V"
    AppMagni  23.2
    AppMagnJ  17.56
}

Star "CFBDS 03042-13583/CFBDS J030421-135836"           //Unconfirmed
{
    RA        3  4 21.6
    Dec       -13 58 37
    Class     "L V"
    AppMagni  23.09
    AppMagnJ  17.84
}

Star "WISEA 03060-03305/WISEA J030601.66-033059.0"
{
    RA        3  6  1.7
    Dec       -03 30 59
    Class     "L0 V"
    AppMagnJ  14.44
    AppMagnH  14.06
    AppMagnKs 13.98
    AppMagnW1 13.43
    AppMagnW2 13.18
}

Star "CFBDS 03071-17153/CFBDS J030719-171532"           //Unconfirmed
{
    RA        3  7 19.8
    Dec       -17 15 32
    Class     "L V"
    AppMagni  23.92
    AppMagnJ  18.64
}

Star "CFBDS 03101-16222/CFBDS J031011-162225"           //Unconfirmed
{
    RA        3 10 11.4
    Dec       -16 22 25
    Class     "L V"
    AppMagni  24.35
    AppMagnJ  19.34
}

Star "CFBDS 03102-10292/CFBDS J031028-102928"           //Unconfirmed
{
    RA        3 10 28.5
    Dec       -10 29 29
    Class     "L V"
    AppMagni  23.68
    AppMagnJ  18.73
}

Star "CFBDS 03185-17052/CFBDS J031859-170527"           //Unconfirmed
{
    RA        3 18 59.7
    Dec       -17  5 28
    Class     "L V"
    AppMagni  23.49
    AppMagnJ  18.05
}

Star "CFBDS 03190-17103/CFBDS J031900-171036"           //Unconfirmed
{
    RA        3 19  0.2
    Dec       -17 10 36
    Class     "T V"
    AppMagni  24.22
    AppMagnJ  17.99
}

Star "CFBDS 03243-12403/CFBDS J032438-124030"           //Unconfirmed
{
    RA        3 24 38.4
    Dec       -12 40 31
    Class     "L V"
    AppMagni  24.32
    AppMagnJ  19.4
}

Star "CFBDS 03260-13392/CFBDS J032602-133927"           //Unconfirmed
{
    RA        3 26  2.5
    Dec       -13 39 28
    Class     "L V"
    AppMagni  21.59
    AppMagnJ  16.77
}

Star "ULAS 03335+00140/ULAS J033350.84+001406.1"
{
    RA        3 33 50.8
    Dec       +00 14  6
    Class     "L0 V"
    AppMagnJ  16.02
    AppMagnH  15.7
    AppMagnKs 16.63
    AppMagnW1 15.08
    AppMagnW2 14.77
}

Star "ULAS 03483-00125/ULAS J034832.97-001258.3"
{
    RA        3 48 33.0
    Dec      -0.216111
    Class     "T V"
    AppMagnJ  18.72
    AppMagnH  17.95
}

Star "CFBDS 04002-08575/CFBDS J040027-085753"           //Unconfirmed
{
    RA        4  0 27.2
    Dec       -08 57 54
    Class     "L V"
    AppMagni  23.47
    AppMagnJ  18.59
}

Star "CFBDS 04042-08182/CFBDS J040420-081829"           //Unconfirmed
{
    RA        4  4 20.9
    Dec       -08 18 29
    Class     "L V"
    AppMagni  23.48
    AppMagnJ  18.5
}

Star "WISEA 04353+21150/WISEA J043535.82+211508.9"
{
    RA        4 35 35.8
    Dec       +21 15  9
    Class     "L0 V"
    AppMagnJ  15.01
    AppMagnH  14.68
    AppMagnKs 14.59
    AppMagnW1 14
    AppMagnW2 13.67
}

Star "CAHA Tau 1"
{
    RA        4 36  9.0
    Dec       +24  8 21
    Teff      2080
    MassSol   0.0095025
}

Star "*R+2011 13"           //Unconfirmed
{
    RA        4 39 21.5
    Dec       -53 16 52
    Class     "L V"
    AppMagnJ  24.73
}

Star "*R+2011 16"           //Unconfirmed
{
    RA        4 39 26.1
    Dec       -53 16  1
    Class     "L V"
    AppMagnJ  25.08
}

Star "CAHA Tau 2"
{
    RA        4 39 47.2
    Dec       +25 53 32
    Teff      2440
    MassSol   0.011403
}

Star "WISEA 04592+15405/WISEA J045921.21+154059.2"
{
    RA        4 59 21.2
    Dec       +15 40 59
    Class     "L0 V"
    AppMagnJ  14.96
    AppMagnH  14.61
    AppMagnKs 14.3
    AppMagnW1 14.09
    AppMagnW2 13.85
}

Star "*L+2012 2"           //Unconfirmed
{
    RA        5 18 59.6
    Dec       -54 49  3
    Class     "L V"      //Unknown
    AppMagnJ  18.55
    AppMagnH  19.12
    AppMagnW1 18.85
    AppMagnW2 15.74
}

Star "WISEA 05325+04184/WISEA J053257.29+041842.5"
{
    RA        5 32 57.3
    Dec       +04 18 43
    Class     "L2 V"
}

Star "WISEA 05431+64225/WISEA J054318.95+642250.2"
{
    RA        5 43 19.0
    Dec       +64 22 50
    Class     "L2 V"
}

Star "WISEA 05500+16105/WISEA J055007.94+161051.9"
{
    RA        5 50  7.9
    Dec       +16 10 52
    Class     "L2.5 V"
}

Star "WISEA 06074+45503/WISEA J060742.13+455037.0"
{
    RA        6  7 42.1
    Dec       +45 50 37
    Class     "L2.5 V"
}

Star "*R+2011 01"           //Unconfirmed
{
    RA        6 23 27.3
    Dec       -64 31 22
    Class     "L V"
    AppMagnJ  20.88
}

Star "*R+2011 14"           //Unconfirmed
{
    RA        6 23 39.9
    Dec       -64 30 58
    Class     "L V"      //Unknown
    AppMagnJ  24.86
}

Star "WISEP 06420+41015/WISEP J064205.58+410155.5"
{
    RA        6 42  5.6
    Dec       +41  1 56
    Class     "T V"
    AppMagnJ  16.16
    AppMagnH  15.09
    AppMagnKs 14.28
    AppMagnW1 13.36
    AppMagnW2 12.55
    AppMagnW3 11.7
}

Star "DENIS-P 06441-28414/DENIS-P J0644143-284141"
{
    RA        6 44 14.3
    Dec       -28 41 41
    Class     "M9.5 V"
}

Star "2MASS 06453-66461/2MASS J06453153-6646120"
{
    RA        6 45 31.5
    Dec       -66 46 12
    Class     "L8 V"
    AppMagnJ  15.6
    AppMagnH  14.7
    AppMagnKs 14.37
    AppMagnW1 13.76
    AppMagnW2 13.31
}

Star "WISEA 06595+17171/WISEA J065958.55+171710.9"
{
    RA        6 59 58.6
    Dec       +17 17 11
    Class     "L2 V"
}

Star "AV CMi C/2MASS J07091084+1211190"           //Unconfirmed
{
    RA        7  9 10.8
    Dec       +12 11 19
    Class     "L V"      //Unknown
    Radius    307608.4
}

Star "GSC 04123-00265/GSC 04123-00265 c/2MASS J07104206+6655435"           //Unconfirmed
{
    RA        7 10 42.1
    Dec       +66 55 44
    MassSol   0.030408
}

Star "WISEA 07155-11453/WISEA J071552.38-114532.9"
{
    RA        7 15 52.4
    Dec       -11 45 33
    Class     "L5 V"
}

Star "2MASS 07284-04271/2MASS J07284123-0427191"           //Unconfirmed
{
    RA        7 28 41.2
    Dec       -04 27 19
    Class     "M7 V"
    AppMagnJ  15.56
    AppMagnH  14.85
    AppMagnKs 14.33
}

Star "2MASS 07350-19575/2MASS J07350283-1957553"           //Unconfirmed
{
    RA        7 35  2.8
    Dec       -19 57 55
    Class     "L V"      //Unknown
    AppMagnJ  15.63
    AppMagnH  15.03
    AppMagnKs 14.43
}

Star "2MASS 07415+05315/2MASS J07415784+0531568"
{
    RA        7 41 57.8
    Dec       +05 31 57
    Class     "L1 V"
    AppMagnJ  14.39
    AppMagnH  13.61
    AppMagnK  13.12
}

Star "2MASS 07482-39182/2MASS J07482998-3918231"           //Unconfirmed
{
    RA        7 48 30.0
    Dec       -39 18 23
    Class     "M7 V"
    AppMagnR  20.34
    AppMagnI  18.33
    AppMagnJ  15.55
    AppMagnH  14.91
    AppMagnKs 14.25
}

Star "WISEP 07543+79095/WISEP J075430.95+790957.8"
{
    RA        7 54 31.0
    Dec       +79  9 58
    Class     "T V"
    AppMagnJ  16.24
    AppMagnH  15.27
    AppMagnKs 15.05
    AppMagnW1 14.41
    AppMagnW2 13.73
    AppMagnW3 12.3
}

Star "DENIS-P 08051-31581/DENIS-P J0805110-315811"
{
    RA        8  5 11.0
    Dec       -31 58 11
    Class     "M8 V"
}

Star "SDSS 08173+39360/SDSS J081733.99+393606.0"
{
    RA        8 17 34.0
    Dec       +39 36  6
    Class     "L0 V"
    AppMagni  20.74
}

Star "2MASS 08191-39445/2MASS J08191824-3944563"           //Unconfirmed
{
    RA        8 19 18.2
    Dec       -39 44 56
    Class     "M7 V"
    AppMagnR  21.07
    AppMagnI  19.23
    AppMagnJ  15.78
    AppMagnH  15.17
    AppMagnKs 14.59
}

Star "*R+2011 17"           //Unconfirmed
{
    RA        8 19 19.0
    Dec       +49 11  2
    Class     "L V"      //Unknown
    AppMagnJ  25.28
}

Star "WISEA 08264-16403/WISEA J082640.45-164031.8"
{
    RA        8 26 40.5
    Dec       -16 40 32
    Class     "L9 V"
}

Star "CFBDS 08300+19042/CFBDS J083009+190427"           //Unconfirmed
{
    RA        8 30  9.6
    Dec       +19  4 28
    Class     "L V"
    AppMagni  23.71
    AppMagnJ  18.94
}

Star "2MASS 08383-32114/2MASS J08383219-3211406"           //Unconfirmed
{
    RA        8 38 32.2
    Dec       -32 11 41
    Class     "M7 V"
    AppMagnR  19.73
    AppMagnI  17.5
    AppMagnJ  14.32
    AppMagnH  13.62
    AppMagnKs 13.18
}

Star "2MASS 08441-25305/2MASS J08441302-2530556"           //Unconfirmed
{
    RA        8 44 13.0
    Dec       -25 30 56
    Class     "L V"      //Unknown
    AppMagnJ  15.69
    AppMagnH  15.04
    AppMagnKs 14.49
}

Star "*R+2011 09"           //Unconfirmed
{
    RA        8 46 16.6
    Dec       +76 53 13
    Class     "L V"
    AppMagnJ  24.21
}

Star "CFBDS 08583+17345/CFBDS J085833+173453"           //Unconfirmed
{
    RA        8 58 33.3
    Dec       +17 34 53
    Class     "L V"
    AppMagni  24.72
    AppMagnJ  19.5
}

Star "2MASS 08584-42402/2MASS J08584779-4240262"           //Unconfirmed
{
    RA        8 58 47.8
    Dec       -42 40 26
    Class     "L V"      //Unknown
    AppMagnJ  14.85
    AppMagnH  13.45
    AppMagnKs 12.62
}

Star "SDSS 09004+42272/SDSS J090040.61+422721.5"
{
    RA        9  0 40.6
    Dec       +42 27 22
    Class     "L0 V"
    AppMagni  20.71
}

Star "WISEP 09140-34594/WISEP J091408.96-345941.5"
{
    RA        9 14  9.0
    Dec       -34 59 42
    Class     "T5 V"
    AppMagnW2 15.03
}

Star "*R+2011 15"           //Unconfirmed
{
    RA        9 14 22.1
    Dec       +28 21 35
    Class     "L V"      //Unknown
    AppMagnJ  24.93
}

Star "SDSS 09165+10574/SDSS J091656.32+105740.0"
{
    RA        9 16 56.3
    Dec       +10 57 40
    Class     "L1 V"
    AppMagni  20.53
}

Star "WISEA 09165-11210/WISEA J091657.18-112104.7"
{
    RA        9 16 57.2
    Dec       -11 21  5
    Class     "M9 V"
}

Star "2MASS 09213-46074/2MASS J09213999-4607414"           //Unconfirmed
{
    RA        9 21 40.0
    Dec       -46  7 41
    Class     "M7 V"
    AppMagnI  19.08
    AppMagnJ  14.94
    AppMagnH  14.34
    AppMagnKs 13.84
}

Star "*R+2011 02"           //Unconfirmed
{
    RA        9 25 32.8
    Dec       +44 24 45
    Class     "L V"
    AppMagnJ  22.53
}

Star "*R+2011 08"           //Unconfirmed
{
    RA        9 25 37.8
    Dec       +40  1  4
    Class     "L V"      //Unknown
    AppMagnJ  23.76
}

Star "2MASS 09595-36264/2MASS J09595575-3626436"           //Unconfirmed
{
    RA        9 59 55.8
    Dec       -36 26 44
    Class     "L V"      //Unknown
    AppMagnJ  15.59
    AppMagnH  14.71
    AppMagnKs 14.12
}

Star "CFBDS 10301+09414/CFBDS J103018+094144"           //Unconfirmed
{
    RA        10 30 18.7
    Dec       +09 41 45
    Class     "T V"
    AppMagni  24.35
    AppMagnJ  18.71
}

Star "CFBDS 10394+10073/CFBDS J103944+100737"           //Unconfirmed
{
    RA        10 39 44.9
    Dec       +10  7 37
    Class     "T V"
    AppMagni  24.5
    AppMagnJ  18.74
}

Star "CFBDS 10405+08400/CFBDS J104055+084005"           //Unconfirmed
{
    RA        10 40 55.6
    Dec       +08 40  5
    Class     "L V"
    AppMagni  24.07
    AppMagnJ  19.28
}

Star "2MASS 10461+44411/2MASS J10461875+4441149"
{
    RA        10 46 18.8
    Dec       +44 41 15
    Class     "L4 V"
    AppMagnJ  15.62
    AppMagnH  14.66
    AppMagnK  14.13
}

Star "CFBDS 10550+58082/CFBDS J105503+580827"           //Unconfirmed
{
    RA        10 55  3.2
    Dec       +58  8 28
    Class     "L V"
    AppMagni  24.42
    AppMagnJ  19.73
}

Star "2MASS 10565-61220/2MASS J10565008-6122042"           //Unconfirmed
{
    RA        10 56 50.1
    Dec       -61 22  4
    Class     "M7 V"
    AppMagnJ  14.91
    AppMagnH  13.94
    AppMagnKs 13.48
}

Star "2MASS 11021-49404/2MASS J11021682-4940422"           //Unconfirmed
{
    RA        11  2 16.8
    Dec       -49 40 42
    Class     "M7 V"
    AppMagnR  20.27
    AppMagnI  18.14
    AppMagnJ  15.25
    AppMagnH  14.52
    AppMagnKs 14.03
}

Star "2MASS 11032-59330/2MASS J11032796-5933001"           //Unconfirmed
{
    RA        11  3 28.0
    Dec       -59 33  0
    Class     "L V"      //Unknown
    AppMagnJ  13.04
    AppMagnH  11.79
    AppMagnKs 11.03
}

Star "2MASS 11045-64121/2MASS J11045955-6412108"           //Unconfirmed
{
    RA        11  4 59.6
    Dec       -64 12 11
    Class     "L V"      //Unknown
    AppMagnJ  14.96
    AppMagnH  14.18
    AppMagnKs 13.64
}

Star "ISO-Chal 217/2MASS J11095215-7639128"           //Unconfirmed
{
    RA        11  9 52.2
    Dec       -76 39 13
    Class     "M6 V"
    AppMagnJ  13.53
    AppMagnH  12.54
    AppMagnK  11.82
    MassSol   0.07602
}

Star "OTS 44/2MASS J11100934-7632178"
{
    RA        11 10  9.3
    Dec       -76 32 18
    Class     "M9.5 V"
    AppMagnJ  16.42
    AppMagnH  15.44
    AppMagnK  14.67
    Teff      1700
    MassSol   0.011403
}

Star "2MASS 11485-57052/2MASS J11485108-5705201"           //Unconfirmed
{
    RA        11 48 51.1
    Dec       -57  5 20
    Class     "L V"      //Unknown
    AppMagnJ  15.15
    AppMagnH  14.41
    AppMagnKs 13.93
}

Star "2MASS 11554-69453/2MASS J11554035-6945326"           //Unconfirmed
{
    RA        11 55 40.4
    Dec       -69 45 33
    Class     "M7 V"
    AppMagnJ  15.44
    AppMagnH  14.68
    AppMagnKs 14.19
}

Star "2MASS 11582+04350/2MASS J11582077+043501.4"
{
    RA        11 58 20.8
    Dec       +04 35  1
    Class     "L7 V"
    AppMagnJ  15.61
    AppMagnH  14.68
    AppMagnKs 14.44
    AppMagnW1 13.7
    AppMagnW2 13.36
}

Star "SDSS 12063-01433/SDSS J120637.41-014332.2"
{
    RA        12  6 37.4
    Dec       -01 43 32
    Class     "L1 V"
    AppMagni  21.12
}

Star "SDSS 12100+03073/SDSS J121001.96+030739.2"
{
    RA        12 10  2.0
    Dec       +03  7 40
    Class     "L4.5 V"
    AppMagnr  23.43
    AppMagni  21.61
    AppMagnJ  17.26
    AppMagnH  16.58
    AppMagnK  16.03
}

Star "2MASS 12145-55194/2MASS J12145318-5519494"           //Unconfirmed
{
    RA        12 14 53.2
    Dec       -55 19 49
    Class     "L V"      //Unknown
    AppMagnJ  15.35
    AppMagnH  14.73
    AppMagnKs 14.25
}

Star "*L+2012 3"           //Unconfirmed
{
    RA        12 21 48.5
    Dec       -43 32 15
    Class     "L V"      //Unknown
    AppMagnJ  18.84
    AppMagnW1 16.32
    AppMagnW2 14.78
}

Star "DENIS-P 12321-68560/DENIS-P J1232178-685600"
{
    RA        12 32 17.8
    Dec       -68 56  0
    Class     "M8 V"
}

Star "GOODS 12373+62155/GOODS J123734.05+621553.4"
{
    RA        12 37 34.0
    Dec       +62 15 53
    Class     "L V"
    AppMagn   27.6
    AppMagnI  24.88
    AppMagnJ  23.2
    AppMagnK  21.12
}

Star "2MASSW 12391+20295/2MASSW J1239194+202952/2MASS J12391934+2029519"           //Unconfirmed
{
    RA        12 39 19.3
    Dec       +20 29 52
    Class     "M9 V"
    AppMagnI  17.8
    AppMagnJ  14.45
    AppMagnH  13.68
    AppMagnKs 13.2
}

Star "ULAS 12442+10244/ULAS J124425.90+102441.9"
{
    RA        12 44 25.9
    Dec       +10 24 42
    Class     "L0.5 V"
    AppMagnJ  16.2
    AppMagnH  15.65
    AppMagnKs 15.40
    AppMagnW1 15.45
    AppMagnW2 15.14
}

Star "2MASS 12474-11175/2MASS J12474944-1117551"
{
    RA        12 47 49.4
    Dec       -11 17 55
    Class     "L0 V"
    AppMagnJ  15.99
    AppMagnH  15.1
    AppMagnK  14.73
}

Star "2MASS 12511-58423/2MASS J12511536-5842336"           //Unconfirmed
{
    RA        12 51 15.4
    Dec       -58 42 34
    Class     "L V"      //Unknown
    AppMagnJ  15.35
    AppMagnH  14.52
    AppMagnKs 13.88
}

Star "*R+2011 06"           //Unconfirmed
{
    RA        13  1 13.1
    Dec       +00  0  9
    Class     "L V"      //Unknown
    AppMagnJ  23.43
}

Star "2MASS 13023+56502/2MASS J13023811+5650212"
{
    RA        13  2 38.1
    Dec       +56 50 21
    Class     "L3 V"
    AppMagnJ  16.36
    AppMagnH  15.47
    AppMagnK  14.97
}

Star "2MASS 13030-77555/2MASS J13030905-7755596"           //Unconfirmed
{
    RA        13  3  9.1
    Dec       -77 55 60
    Class     "L V"      //Unknown
    AppMagnJ  11.81
    AppMagnH  10.83
    AppMagnKs 10.38
}

Star "2MASS 13054-59283/2MASS J13054198-5928351"           //Unconfirmed
{
    RA        13  5 42.0
    Dec       -59 28 35
    Class     "M7 V"
    AppMagnI  19.54
    AppMagnJ  15.38
    AppMagnH  14.54
    AppMagnKs 14.09
}

Star "2MASS 13184+17361/2MASS J13184794+1736117"
{
    RA        13 18 47.9
    Dec       +17 36 12
    Class     "L6 V"
    AppMagnJ  16.34
    AppMagnH  15.23
    AppMagnK  14.53
}

Star "CFBDS 13240-08112/CFBDS J132400-081123"           //Unconfirmed
{
    RA        13 24  0.1
    Dec       -08 11 23
    Class     "L V"
    AppMagni  24.67
    AppMagnJ  19.27
}

Star "*L+2012 4"           //Unconfirmed
{
    RA        13 25 47.2
    Dec       -43 40 42
    Class     "L V"      //Unknown
    AppMagnJ  18.79
    AppMagnW1 16.84
    AppMagnW2 15.27
}

Star "CFBDS 13294-08273/CFBDS J132945-082730"           //Unconfirmed
{
    RA        13 29 45.7
    Dec       -08 27 31
    Class     "L V"
    AppMagni  24.66
    AppMagnJ  19.6
}

Star "2MASS 13305-52575/2MASS J13305001-5257513"           //Unconfirmed
{
    RA        13 30 50.0
    Dec       -52 57 51
    Class     "L V"      //Unknown
    AppMagnJ  15.75
    AppMagnH  14.91
    AppMagnKs 14.41
}

Star "CFBDS 13324-08231/CFBDS J133240-082314"           //Unconfirmed
{
    RA        13 32 41.0
    Dec       -08 23 14
    Class     "L V"
    AppMagni  24.55
    AppMagnJ  19.72
}

Star "SDSS 13334+27350/SDSS J133348.24+273508.8"
{
    RA        13 33 48.2
    Dec       +27 35  9
    Class     "L3 V"
}

Star "CFBDS 13340-09233/CFBDS J133407-092339"           //Unconfirmed
{
    RA        13 34  7.0
    Dec       -09 23 40
    Class     "L V"
    AppMagni  24.57
    AppMagnJ  19.94
}

Star "*R+2011 05"           //Unconfirmed
{
    RA        13 36 46.7
    Dec      -0.476389
    Class     "L V"      //Unknown
    AppMagnJ  23.41
}

Star "2MASS 13472-47542/2MASS J13472893-4754262"           //Unconfirmed
{
    RA        13 47 28.9
    Dec       -47 54 26
    Class     "M7 V"
    AppMagnJ  15.48
    AppMagnH  14.84
    AppMagnKs 14.29
}

Star "ULAS 13505+08150/ULAS J135058.86+081506.8"
{
    RA        13 50 58.9
    Dec       +08 15  7
    Class     "L5 V"
}

Star "2MASS 13583-54501/2MASS J13583767-5450192"           //Unconfirmed
{
    RA        13 58 37.7
    Dec       -54 50 19
    Class     "M7 V"
    AppMagnI  17.92
    AppMagnJ  15.07
    AppMagnH  14.34
    AppMagnKs 13.9
}

Star "EQ 1359-2332"           //Unconfirmed
{
    RA        13 59 42.7
    Dec       -23 32 36
    Class     "T7 V"
}

Star "2MASS 14114-49373/2MASS J14114529-4937333"           //Unconfirmed
{
    RA        14 11 45.3
    Dec       -49 37 33
    Class     "L V"      //Unknown
    AppMagnJ  15.73
    AppMagnH  14.94
    AppMagnKs 14.45
}

Star "2MASS 14182-35380/2MASS J14182962-3538060"
{
    RA        14 18 29.6
    Dec       -35 38  6
    Class     "L1.5 V"
    AppMagnJ  15.17
    AppMagnH  14.25
    AppMagnK  13.69
}

Star "2MASS 14192+59190/2MASS J14192618+5919047"
{
    RA        14 19 26.2
    Dec       +59 19  5
    Class     "L1 V"
    AppMagnJ  16.51
    AppMagnH  15.69
    AppMagnK  15.26
}

Star "SDWFS 14282+33105/SDWFS J142822.12+331056.5"           //Unconfirmed
{
    RA        14 28 22.1
    Dec       +33 10 57
    Class     "L V"      //Unknown
    AppMagnR  24.40
    AppMagnI  22.80
    AppMagnJ  22.00
    AppMagnH  20.60
    AppMagnKs 19.70
}

Star "SDWFS 14283+35492/SDWFS J142831.46+354923.0"           //Unconfirmed
{
    RA        14 28 31.5
    Dec       +35 49 23
    Class     "L V"      //Unknown
    AppMagnR  25.00
    AppMagnI  24.00
    AppMagnJ  21.90
    AppMagnH  21.40
    AppMagnKs 19.00
}

Star "SDWFS 14335+34342/SDWFS J143355.24+343422.7"           //Unconfirmed
{
    RA        14 33 55.2
    Dec       +34 34 23
    Class     "L V"      //Unknown
    AppMagnR  25.20
    AppMagnI  24.00
    AppMagnJ  21.70
    AppMagnH  21.30
    AppMagnKs 19.80
}

Star "SDWFS 14353+34450/SDWFS J143531.65+344509.4"           //Unconfirmed
{
    RA        14 35 31.7
    Dec       +34 45  9
    Class     "L V"      //Unknown
    AppMagnR  24.80
    AppMagnI  24.00
    AppMagnJ  21.80
    AppMagnH  20.50
    AppMagnKs 20.30
}

Star "SDWFS 14355+34430/SDWFS J143555.04+344307.0"           //Unconfirmed
{
    RA        14 35 55.0
    Dec       +34 43  7
    Class     "L V"      //Unknown
    AppMagnR  25.20
    AppMagnI  23.10
    AppMagnJ  21.80
    AppMagnH  20.50
    AppMagnKs 19.50
}

Star "SDWFS 14374+33365/SDWFS J143749.23+333657.7"           //Unconfirmed
{
    RA        14 37 49.2
    Dec       +33 36 58
    Class     "L V"      //Unknown
    AppMagnR  25.80
    AppMagnI  24.40
    AppMagnJ  21.80
    AppMagnH  20.50
    AppMagnKs 20.70
}

Star "SDWFS 14381+33485/SDWFS J143819.26+334856.5"           //Unconfirmed
{
    RA        14 38 19.3
    Dec       +33 48 57
    Class     "L V"      //Unknown
    AppMagnR  25.30
    AppMagnI  24.50
    AppMagnJ  22.10
    AppMagnH  20.60
    AppMagnKs 20.20
}

Star "SDWFS 14382+35352/SDWFS J143821.36+353523.3"           //Unconfirmed
{
    RA        14 38 21.4
    Dec       +35 35 23
    Class     "L V"      //Unknown
    AppMagnR  24.80
    AppMagnI  24.30
    AppMagnJ  22.40
    AppMagnH  21.30
    AppMagnKs 20.10
}

Star "2MASS 14403-13032/2MASS J14403186-1303263"
{
    RA        14 40 31.9
    Dec       -13  3 26
    Class     "L1 V"
    AppMagnJ  15.38
    AppMagnH  14.72
    AppMagnK  14.25
}

Star "2MASS 14524-42181/2MASS J14524407-4218127"           //Unconfirmed
{
    RA        14 52 44.1
    Dec       -42 18 13
    Class     "L V"      //Unknown
    AppMagnJ  15.47
    AppMagnH  14.8
    AppMagnKs 14.13
}

Star "2MASS 14591-54283/2MASS J14591070-5428367"           //Unconfirmed
{
    RA        14 59 10.7
    Dec       -54 28 37
    Class     "L V"      //Unknown
    AppMagnJ  15.74
    AppMagnH  15.01
    AppMagnKs 14.46
}

Star "WISEP 15011-40041/WISEP J150115.92-400418.4"
{
    RA        15  1 15.9
    Dec       -40  4 18
    Class     "T6 V"
    AppMagnW2 14.21
}

Star "CFBDS 15021+03505/CFBDS J150210+035055"           //Unconfirmed
{
    RA        15  2 10.2
    Dec       +03 50 56
    Class     "T V"
    AppMagni  25.59
    AppMagnJ  19.2
}

Star "CFBDS 15043+10263/CFBDS J150435+102638"           //Unconfirmed
{
    RA        15  4 35.2
    Dec       +10 26 38
    Class     "L V"
    AppMagni  24
    AppMagnJ  18.4
}

Star "CFBDS 15072+07291/CFBDS J150724+072919"           //Unconfirmed
{
    RA        15  7 24.5
    Dec       +07 29 19
    Class     "L V"
    AppMagni  22.75
    AppMagnJ  17.85
}

Star "CFBDS 15101+11132/CFBDS J151014+111325"           //Unconfirmed
{
    RA        15 10 14.3
    Dec       +11 13 25
    Class     "T V"
    AppMagni  23.92
    AppMagnJ  18.15
}

Star "CFBDS 15132+09534/CFBDS J151324+095345"           //Unconfirmed
{
    RA        15 13 25.0
    Dec       +09 53 45
    Class     "L V"
    AppMagni  23.26
    AppMagnJ  17.8
}

Star "CFBDS 15154+06173/CFBDS J151546+061738"           //Unconfirmed
{
    RA        15 15 46.6
    Dec       +06 17 39
    Class     "L V"
    AppMagni  23.23
    AppMagnJ  18.35
}

Star "DENIS-P 15190-74161/DENIS-P J1519016-741613"
{
    RA        15 19  1.6
    Dec       -74 16 13
    Class     "M9 V"
}

Star "CFBDS 15192+10505/CFBDS J151929+105059"           //Unconfirmed
{
    RA        15 19 29.9
    Dec       +10 50 59
    Class     "L V"
    AppMagni  23.75
    AppMagnJ  18.78
}

Star "*R+2011 11"           //Unconfirmed
{
    RA        15 24  8.8
    Dec       +09 55  6
    Class     "L V"      //Unknown
    AppMagnJ  24.65
}

Star "2MASS 15515-40515/2MASS J15515922-4051571"           //Unconfirmed
{
    RA        15 51 59.2
    Dec       -40 51 57
    Class     "M7 V"
    AppMagnI  18.38
    AppMagnJ  15.45
    AppMagnH  14.79
    AppMagnKs 14.36
}

Star "2MASS 16011-42100/2MASS J16011296-4210018"           //Unconfirmed
{
    RA        16  1 13.0
    Dec       -42 10  2
    Class     "M7 V"
    AppMagnR  20.7
    AppMagnI  18.74
    AppMagnJ  15.79
    AppMagnH  15.12
    AppMagnKs 14.66
}

Star "2MASS 16035-35290/2MASS J16035933-3529058"           //Unconfirmed
{
    RA        16  3 59.3
    Dec       -35 29  6
    Class     "L V"      //Unknown
    AppMagnJ  15.76
    AppMagnH  14.98
    AppMagnKs 14.47
}

Star "DENIS-P 16060-20564/DENIS-P J160603.9-205644/2MASS J16060391-2056443"           //Unconfirmed
{
    RA        16  6  3.9
    Dec       -20 56 44
    Class     "M7.5 V"
    AppMagnr  19.43
    AppMagni  17.18
    AppMagnJ  13.53
    AppMagnH  12.91
    AppMagnK  12.48
    MassSol   0.03801
}

Star "CFBDS 16101+07545/CFBDS J161010+075452"           //Unconfirmed
{
    RA        16 10 10.2
    Dec       +07 54 53
    Class     "L V"
    AppMagni  24.11
    AppMagnJ  18.58
}

Star "2MASS 16113-37555/2MASS J16113100-3755581"           //Unconfirmed
{
    RA        16 11 31.0
    Dec       -37 55 58
    Class     "M7 V"
    AppMagnR  21.46
    AppMagnI  19.62
    AppMagnJ  15.9
    AppMagnH  15.16
    AppMagnKs 14.67
}

Star "2MASS 16120-39040/2MASS J16120601-3904091"           //Unconfirmed
{
    RA        16 12  6.0
    Dec       -39  4  9
    Class     "M7 V"
    AppMagnR  20.54
    AppMagnI  18.68
    AppMagnJ  15.75
    AppMagnH  14.84
    AppMagnKs 14.4
}

Star "2MASS 16134-42012/2MASS J16134312-4201248"           //Unconfirmed
{
    RA        16 13 43.1
    Dec       -42  1 25
    Class     "M7 V"
    AppMagnR  20.1
    AppMagnI  18.27
    AppMagnJ  15.17
    AppMagnH  14.42
    AppMagnKs 13.92
}

Star "2MASS 16180-32143/2MASS J16180891-3214361"           //Unconfirmed
{
    RA        16 18  8.9
    Dec       -32 14 36
    Class     "M7 V"
    AppMagnR  19.96
    AppMagnI  17.81
    AppMagnJ  14.92
    AppMagnH  14.22
    AppMagnKs 13.68
}

Star "2MASS 16244-38160/2MASS J16244484-3816025"           //Unconfirmed
{
    RA        16 24 44.8
    Dec       -38 16  3
    Class     "M7 V"
    AppMagnR  20.91
    AppMagnI  19.02
    AppMagnJ  15.23
    AppMagnH  14.33
    AppMagnKs 13.93
}

Star "2MASS 16245-34121/2MASS J16245596-3412142"           //Unconfirmed
{
    RA        16 24 56.0
    Dec       -34 12 14
    Class     "L V"      //Unknown
    AppMagnJ  15.7
    AppMagnH  14.95
    AppMagnKs 14.47
}

Star "*R+2011 12"           //Unconfirmed
{
    RA        16 31 32.8
    Dec       +37 35 54
    Class     "L V"      //Unknown
    AppMagnJ  24.72
}

Star "SDSS 16314+24335/SDSS J163142.02+243359.7"
{
    RA        16 31 42.0
    Dec       +24 33 60
    Class     "L0 V"
    AppMagni  20.71
}

Star "*R+2011 07"           //Unconfirmed
{
    RA        16 32 17.2
    Dec       +37 33 33
    Class     "L V"      //Unknown
    AppMagnJ  23.57
}

Star "*R+2011 10"           //Unconfirmed
{
    RA        16 32 21.3
    Dec       +37 32 52
    Class     "L V"      //Unknown
    AppMagnJ  24.21
}

Star "WISEP 16323+03292/WISEP J163236.47+032927.3"
{
    RA        16 32 36.5
    Dec       +03 29 27
    Class     "T V"
    AppMagnJ  16.75
    AppMagnH  16.43
    AppMagnKs 16.63
    AppMagnW1 15.9
    AppMagnW2 14.34
    AppMagnW3 12.71
}

Star "2MASS 16334-26151/2MASS J16334353-2615146"           //Unconfirmed
{
    RA        16 33 43.5
    Dec       -26 15 15
    Class     "L V"      //Unknown
    AppMagnJ  15.63
    AppMagnH  14.81
    AppMagnKs 14.39
}

Star "WISEP 16364-07432/WISEP J163645.56-074325.1"
{
    RA        16 36 45.6
    Dec       -07 43 25
    Class     "T4.5 V"
    AppMagnW1 16.2
    AppMagnW2 14.69
    AppMagnW3 12.40
}

Star "SDSS 16365+00252/SDSS J163655.90+002526.3"
{
    RA        16 36 55.9
    Dec       +00 25 26
    Class     "L1 V"
    AppMagni  21.03
}

Star "CFBDS 16365+39315/CFBDS J163658+393151"           //Unconfirmed
{
    RA        16 36 58.9
    Dec       +39 31 51
    Class     "T V"
    AppMagni  27.99
    AppMagnJ  19.18
}

Star "2MASS 16382+13273/2MASS J16382073+1327354"
{
    RA        16 38 20.7
    Dec       +13 27 35
    Class     "L1.5 V"
    AppMagnJ  16.45
    AppMagnH  15.45
    AppMagnK  14.96
}

Star "CFBDS 16395+38551/CFBDS J163955+385519"           //Unconfirmed
{
    RA        16 39 55.9
    Dec       +38 55 19
    Class     "T V"
    AppMagni  25.13
    AppMagnJ  19.49
}

Star "2MASS 16403+12310/2MASS J16403197+1231068"
{
    RA        16 40 32.0
    Dec       +12 31  7
    Class     "M9 V"
    AppMagnJ  15.95
    AppMagnH  15.61
    AppMagnKs 15.52
    AppMagnW1 15.03
    AppMagnW2 14.85
}

Star "*L+2012 5"           //Unconfirmed
{
    RA        16 42 35.3
    Dec       -09 30 21
    Class     "L V"      //Unknown
    AppMagnJ  18.68
    AppMagnKs 18.53
    AppMagnW1 16.71
    AppMagnW2 15.16
}

Star "2MASS 16424-60293/2MASS J16424803-6029351"           //Unconfirmed
{
    RA        16 42 48.0
    Dec       -60 29 35
    Class     "L V"      //Unknown
    AppMagnJ  15.39
    AppMagnH  14.67
    AppMagnKs 14.22
}

Star "CFBDS 16435+41574/CFBDS J164357+415740"           //Unconfirmed
{
    RA        16 43 57.4
    Dec       +41 57 41
    Class     "L V"
    AppMagni  24.86
    AppMagnJ  19.36
}

Star "2MASS 16445-26183/2MASS J16445570-2618333"           //Unconfirmed
{
    RA        16 44 55.7
    Dec       -26 18 33
    Class     "M7 V"
    AppMagnJ  13.5
    AppMagnH  12.77
    AppMagnKs 12.35
}

Star "2MASS 16505-23400/2MASS J16505873-2340002"           //Unconfirmed
{
    RA        16 50 58.7
    Dec       -23 40  0
    Class     "M7 V"
    AppMagnR  19.96
    AppMagnI  18.13
    AppMagnJ  15
    AppMagnH  14.34
    AppMagnKs 13.8
}

Star "2MASS 16532-64240/2MASS J16532340-6424077"           //Unconfirmed
{
    RA        16 53 23.4
    Dec       -64 24  8
    Class     "M7 V"
    AppMagnI  18.2
    AppMagnJ  15.35
    AppMagnH  14.61
    AppMagnKs 14.11
}

Star "CFBDS 16584+38115/CFBDS J165843+381155"           //Unconfirmed
{
    RA        16 58 43.6
    Dec       +38 11 56
    Class     "L V"
    AppMagni  24.53
    AppMagnJ  18.91
}

Star "2MASS 16591-21523/2MASS J16591095-2152311"           //Unconfirmed
{
    RA        16 59 11.0
    Dec       -21 52 31
    Class     "L V"      //Unknown
    AppMagnJ  15.62
    AppMagnH  14.78
    AppMagnKs 14.27
}

Star "2MASS 17051-49094/2MASS J17051832-4909412"           //Unconfirmed
{
    RA        17  5 18.3
    Dec       -49  9 41
    Class     "M7 V"
    AppMagnJ  15.05
    AppMagnH  14.36
    AppMagnKs 13.92
}

Star "SDSS 17200+61553/SDSS J172006.69+615537.7"
{
    RA        17 20  6.7
    Dec       +61 55 38
    Class     "L3 V"
    AppMagnW1 15.37
    AppMagnW2 15.25
    AppMagnW3 13.44
}

Star "SDSS 17232+64062/SDSS 1723287+6406233/2MASS J17232861+6406230"
{
    RA        17 23 28.6
    Dec       +64  6 23
    Class     "M9 V"
    AppMagnr  22.69
    AppMagni  19.89
    AppMagnI  19.1
    AppMagnJ  16.32
    AppMagnH  15.66
    AppMagnKs 15.12
}

Star "2MASS 17320+26562/2MASS J17320014+2656228"
{
    RA        17 32  0.1
    Dec       +26 56 23
    Class     "L1 V"
    AppMagnJ  15.93
    AppMagnH  15.02
    AppMagnK  14.46
}

Star "2MASS 17354-29200/2MASS J17354517-2920017"
{
    RA        17 35 45.2
    Dec       -29 20  2
    Class     "L9 V"
    AppMagnR  19.96
    AppMagnI  18.11
    AppMagnJ  13.8
    AppMagnH  12.5
    AppMagnKs 11.76
}

Star "2MASS 17392+24544/2MASS J17392515+2454421"
{
    RA        17 39 25.2
    Dec       +24 54 42
    Class     "L2 V"
    AppMagnJ  15.8
    AppMagnH  14.65
    AppMagnK  13.95
}

Star "WISEP 17411+13271/WISEP J174113.12+132711.9"
{
    RA        17 41 13.1
    Dec       +13 27 12
    Class     "T5 V"
    AppMagnW1 17.5
    AppMagnW2 14.73
    AppMagnW3 12.49
}

Star "WISEP 17455+64593/WISEP J174556.65+645933.8"
{
    RA        17 45 56.7
    Dec       +64 59 34
    Class     "T7 V"
    AppMagnW1 19.48
    AppMagnW2 16.4
    AppMagnW3 14.22
}

Star "MOA-2011-BLG-093"           //Unconfirmed
{
    RA        17 46 17.8
    Dec       -34 20 25
    Class     "L V"      //Unknown
}

Star "MOA-2007-BLG-233"           //Unconfirmed
{
    RA        17 54 14.9
    Dec       -31 11  3
    Class     "L V"      //Unknown
}

Star "MOA-2011-BLG-274"           //Unconfirmed
{
    RA        17 54 42.3
    Dec       -28 54 59
    Class     "L V"      //Unknown
}

Star "2MASS 17561+28152/2MASS J17561080+2815238"
{
    RA        17 56 10.8
    Dec       +28 15 24
    Class     "L1 V"
    AppMagnJ  14.71
    AppMagnH  14.14
    AppMagnKs 13.81
    AppMagnW1 13.38
    AppMagnW2 13.07
}

Star "OGLE-2004-BLG-254"           //Unconfirmed
{
    RA        17 56 36.2
    Dec       -32 33  2
    Class     "L V"      //Unknown
}

Star "2MASS 18000-13530/2MASS J18000959-1353082"           //Unconfirmed
{
    RA        18  0  9.6
    Dec       -13 53  8
    Class     "L V"      //Unknown
    AppMagnI  19.46
    AppMagnJ  15.36
    AppMagnH  14.63
    AppMagnKs 14.18
}

Star "2MASS 18003-07451/2MASS J18003331-0745185"           //Unconfirmed
{
    RA        18  0 33.3
    Dec       -07 45 19
    Class     "M7 V"
    AppMagnI  19.43
    AppMagnJ  15.46
    AppMagnH  14.6
    AppMagnKs 14.15
}

Star "2MASS 18035-46260/2MASS J18035462-4626012"           //Unconfirmed
{
    RA        18  3 54.6
    Dec       -46 26  1
    Class     "L V"      //Unknown
    AppMagnJ  15.6
    AppMagnH  14.73
    AppMagnKs 14.29
}

Star "MOA-2007-BLG-176"           //Unconfirmed
{
    RA        18  5  0.4
    Dec       -25 47  4
    Class     "L V"      //Unknown
}

Star "2MASS 18052-07331/2MASS J18052143-0733179"           //Unconfirmed
{
    RA        18  5 21.4
    Dec       -07 33 18
    Class     "M7 V"
    AppMagnJ  15.22
    AppMagnH  14.51
    AppMagnKs 14.02
}

Star "2MASS 18131+51012/2MASS J18131803+5101246"
{
    RA        18 13 18.0
    Dec       +51  1 25
    Class     "L4.5 V"
    AppMagnJ  15.92
    AppMagnH  15.11
    AppMagnK  14.43
}

Star "WISEP 18132+28353/WISEP J181329.40+283533.3"
{
    RA        18 13 29.4
    Dec       +28 35 33
    Class     "T8 V"
    AppMagnW1 15.72
    AppMagnW2 14.07
    AppMagnW3 12.54
}

Star "2MASS 18214-18563/2MASS J18214473-1856359"
{
    RA        18 21 44.7
    Dec       -18 56 36
    Class     "L9 V"
    AppMagnJ  14.88
    AppMagnH  13.61
    AppMagnKs 12.78
}

Star "2MASS 18300-18423/2MASS J18300760-1842361"
{
    RA        18 30  7.6
    Dec       -18 42 36
    Class     "M7.5 V"
    AppMagnJ  10.43
    AppMagnH  9.38
    AppMagnK  8.82
}

Star "2MASS 18322-28310/2MASS J18322357-2831050"           //Unconfirmed
{
    RA        18 32 23.6
    Dec       -28 31  5
    Class     "L V"      //Unknown
    AppMagnJ  15.4
    AppMagnH  14.66
    AppMagnKs 14.19
}

Star "2MASS 18353+32595/2MASS J18353790+3259545"
{
    RA        18 35 37.9
    Dec       +32 59 55
    Class     "M8.5 V"
}

Star "2MASS 18422-13581/2MASS J18422444-1358138"           //Unconfirmed
{
    RA        18 42 24.4
    Dec       -13 58 14
    Class     "M7 V"
    AppMagnI  18.35
    AppMagnJ  14.42
    AppMagnH  13.77
    AppMagnKs 13.34
}

Star "2MASS 18473-18565/2MASS J18473965-1856577"           //Unconfirmed
{
    RA        18 47 39.7
    Dec       -18 56 58
    Class     "M7 V"
    AppMagnJ  15.3
    AppMagnH  14.61
    AppMagnKs 14.18
}

Star "LS-RCrA 1/2MASS J19013357-3700304"           //Unconfirmed
{
    RA        19  1 33.6
    Dec       -37  0 30
    Class     "M6.5 V"
    AppMagnJ  15.18
    AppMagnH  14.53
    AppMagnK  13.97
    MassSol   0.0513135
}

Star "DENIS-P 19013-37001/DENIS-P J1901391-370017/2MASS J19013913-3700173"           //Unconfirmed
{
    RA        19  1 39.1
    Dec       -37  0 17
    Class     "L V"      //Unknown
    AppMagnR  21.07
    AppMagnI  18.02
    AppMagnJ  14.26
    AppMagnH  13.04
    AppMagnK  12.3
}

Star "2MASS 19163-37000/2MASS J19163888-3700026"
{
    RA        19 16 38.9
    Dec       -37  0  3
    Class     "L1 V"
    AppMagnJ  15.67
    AppMagnH  14.88
    AppMagnK  14.38
}

Star "KOI-415 B/2MASS J19331345+4136229"
{
    RA        19 33 13.5
    Dec       +41 36 23
    Radius    55229.69
    MassSol   0.0589155
}

Star "2MASS 19415+68260/2MASS J19415458+6826021"
{
    RA        19 41 54.6
    Dec       +68 26  2
    Class     "L2 V"
    AppMagnJ  16.3
    AppMagnH  15.23
    AppMagnK  14.57
}

Star "2MASS 19495+62224/2MASS J19495702+6222440"
{
    RA        19 49 57.0
    Dec       +62 22 44
    Class     "L2 V"
    AppMagnJ  16.36
    AppMagnH  15.47
    AppMagnK  14.75
}

Star "*L+2012 6"           //Unconfirmed
{
    RA        19 55 50.1
    Dec       -44 15 14
    Class     "L V"      //Unknown
    AppMagnJ  17.41
    AppMagnW1 17.31
    AppMagnW2 15.04
}

Star "WISEA 20402+69592/WISEA J204027.30+695924.1"
{
    RA        20 40 27.3
    Dec       +69 59 24
    Class     "L0 V"
    AppMagnJ  13.72
    AppMagnH  13.31
    AppMagnKs 13.12
    AppMagnW1 12.68
    AppMagnW2 12.46
}

Star "CFBDS 21240-00045/CFBDS J212409-000452"           //Unconfirmed
{
    RA        21 24  9.8
    Dec      -0.081389
    Class     "L V"
    AppMagni  24.32
    AppMagnJ  19.36
}

Star "CFBDS 21322-00085/CFBDS J213221-000859"           //Unconfirmed
{
    RA        21 32 22.0
    Dec      -0.15
    Class     "L V"
    AppMagni  23.29
    AppMagnJ  18.37
}

Star "CFBDS 21325-01382/CFBDS J213259-013827"           //Unconfirmed
{
    RA        21 32 59.9
    Dec       -01 38 27
    Class     "L V"
    AppMagni  24.49
    AppMagnJ  19.69
}

Star "CFBDS 21360-02223/CFBDS J213607-022232"           //Unconfirmed
{
    RA        21 36  7.1
    Dec       -02 22 33
    Class     "L V"
    AppMagni  23.08
    AppMagnJ  18.07
}

Star "CFBDS 21404+00213/CFBDS J214048+002135"           //Unconfirmed
{
    RA        21 40 48.0
    Dec       +00 21 36
    Class     "L V"
    AppMagni  23.92
    AppMagnJ  19.01
}

Star "CFBDS 21412+03224/CFBDS J214124+032249"           //Unconfirmed
{
    RA        21 41 24.6
    Dec       +03 22 49
    Class     "L V"
    AppMagni  23.96
    AppMagnJ  19.3
}

Star "CFBDS 21412-00284/CFBDS J214127-002841"           //Unconfirmed
{
    RA        21 41 28.0
    Dec      -0.478333
    Class     "L V"
    AppMagni  24.28
    AppMagnJ  19.25
}

Star "CFBDS 21472-00553/CFBDS J214720-005533"           //Unconfirmed
{
    RA        21 47 21.0
    Dec      -0.925833
    Class     "L V"
    AppMagni  24.13
    AppMagnJ  18.84
}

Star "2MASS 21513+34024/2MASS J21513979+3402444"
{
    RA        21 51 39.8
    Dec       +34  2 44
    Class     "L6 V"
    AppMagnJ  16.7
    AppMagnH  15.8
    AppMagnK  14.98
}

Star "CFBDS 21523-00450/CFBDS J215230-004504"           //Unconfirmed
{
    RA        21 52 30.5
    Dec      -0.751389
    Class     "L V"
    AppMagni  24.76
    AppMagnJ  19.37
}

Star "CFBDS 21535-01385/CFBDS J215352-013855"           //Unconfirmed
{
    RA        21 53 52.2
    Dec       -01 38 55
    Class     "L V"
    AppMagni  24.14
    AppMagnJ  19.25
}

Star "CFBDS 21545-01441/CFBDS J215454-014416"           //Unconfirmed
{
    RA        21 54 54.1
    Dec       -01 44 16
    Class     "L V"
    AppMagni  23.86
    AppMagnJ  18.5
}

Star "2MASS 21555+23453/2MASS J21555848+2345307"
{
    RA        21 55 58.5
    Dec       +23 45 31
    Class     "L2 V"
    AppMagnJ  15.99
    AppMagnH  14.95
    AppMagnK  14.27
}

Star "SDSS 21581+00030/SDSS J215817.69+000300.3"
{
    RA        21 58 17.7
    Dec       +00  3  0
    Class     "L1.5 V"
    AppMagnr  23.18
    AppMagni  21.58
}

Star "CFBDS 21591+03050/CFBDS J215918+030507"           //Unconfirmed
{
    RA        21 59 18.9
    Dec       +03  5  7
    Class     "T V"
    AppMagni  23.15
    AppMagnJ  17.3
}

Star "*R+2011 03"           //Unconfirmed
{
    RA        22  2 45.3
    Dec       +18 50 53
    Class     "L V"
    AppMagnJ  23.19
}

Star "2MASS 22114+68562/2MASS J22114470+6856262"
{
    RA        22 11 44.7
    Dec       +68 56 26
    Class     "L2 V"
    AppMagnJ  15.71
    AppMagnH  14.81
    AppMagnK  14.19
}

Star "CFBDS 22124-12303/CFBDS J221245-123038"           //Unconfirmed
{
    RA        22 12 45.1
    Dec       -12 30 39
    Class     "L V"
    AppMagni  24.48
    AppMagnJ  19.68
}

Star "CFBDSIR 22150+00305/CFBDSIR J221505.06+003053/2MASS.11"           //Unconfirmed
{
    RA        22 15  5.1
    Dec       +00 30 53
    Class     "L V"      //Unknown
}

Star "CFBDS 22170-12054/CFBDS J221706-120541"           //Unconfirmed
{
    RA        22 17  6.1
    Dec       -12  5 41
    Class     "L V"
    AppMagni  23.37
    AppMagnJ  18.5
}

Star "SDSS 22174+00025/SDSS J221743.53+000253.8"
{
    RA        22 17 43.5
    Dec       +00  2 54
    Class     "L1 V"
    AppMagni  20.99
}

Star "CFBDS 22224-11073/CFBDS J222245-110731"           //Unconfirmed
{
    RA        22 22 45.3
    Dec       -11  7 32
    Class     "L V"
    AppMagni  23.11
    AppMagnJ  18.17
}

Star "2MASS 22342+24565/2MASS J22342148+2456573 b/2MASS J22342148+2456573"
{
    RA        22 34 21.5
    Dec       +24 56 57
    Class     "L V"      //Unknown
}

Star "WISEP 22361+51055/WISEP J223617.59+510551.9"
{
    RA        22 36 17.6
    Dec       +51  5 52
    Class     "T5.5 V"
    AppMagnW1 13.84
    AppMagnW2 12.48
    AppMagnW3 11.02
}

Star "CFBDS 23245-04585/CFBDS J232451-045852"           //Unconfirmed
{
    RA        23 24 51.0
    Dec       -04 58 52
    Class     "L V"      //Unknown
}

Star "2MASS 23512+30105/2MASS J23512200+3010540"
{
    RA        23 51 22.0
    Dec       +30 10 54
    Class     "L6.5 V"
    AppMagnJ  15.85
    AppMagnH  14.57
    AppMagnK  14.02
}

Star "WISEA 23545-18522/WISEA J235459.79-185222.4"
{
    RA        23 54 59.8
    Dec       -18 52 22
    Class     "L2 V"
}

Star "WISE 00043-26040/WISE J000430.66-260402.3/2MASS J00043065-2603596"           //Unconfirmed
{
    RA        0  4 30.7
    Dec       -26  4  2
    Class     "T0.5 V"
    AppMagnJ  16.49
    AppMagnH  15.59
    AppMagnKs 15.52
    AppMagnW1 15.21
    AppMagnW2 14.13
}

Star "WISE 00045-13365/WISE J000458.47-133655.1"           //Unconfirmed
{
    RA        0  4 58.5
    Dec       -13 36 55
    Class     "L7 V"
    AppMagnJ  16.84
    AppMagnH  16.12
    AppMagnKs 15.41
    AppMagnW1 15.12
    AppMagnW2 14.46
}

Star "WISE 00053-26331/WISE J000536.63-263311.8/2MASS J00053630-2633123"           //Unconfirmed
{
    RA        0  5 36.6
    Dec       -26 33 12
    Class     "L7 V"
    AppMagnJ  17.17
    AppMagnH  15.85
    AppMagnKs 15.19
    AppMagnW1 14.92
    AppMagnW2 14.26
}

Star "WISE 00060-52274/WISE J000603.34-522744.3/2MASS J00060303-5227433"           //Unconfirmed
{
    RA        0  6  3.3
    Dec       -52 27 44
    Class     "L3.5 V"
    AppMagnJ  15.75
    AppMagnH  14.79
    AppMagnKs 14.06
    AppMagnW1 13.6
    AppMagnW2 13.34
}

Star "ULAS 00061+15402/ULAS J000613.24+154020.7"
{
    RA        0  6 13.2
    Dec       +15 40 21
    Class     "L9 V"
    AppMagnr  24.1
    AppMagni  24.16
    AppMagnJ  17.88
    AppMagnH  16.71
    AppMagnK  16.14
    AppMagnW1 15.33
    AppMagnW2 14.87
    AppMagnW3 12.14
}

Star "ULAS 00073+01124/ULAS J000734.90+011247.1"
{
    RA        0  7 34.9
    Dec       +01 12 47
    Class     "T7 V"
    AppMagnJ  18.05
}

Star "ULAS 00104+01001/ULAS J001040.57+010013.1"
{
    RA        0 10 40.6
    Dec       +01  0 13
    Class     "L1 V"
    AppMagnr  24.14
    AppMagni  22.22
    AppMagnJ  18.09
    AppMagnH  17.46
    AppMagnK  16.71
    AppMagnW1 16.48
    AppMagnW2 16.17
    AppMagnW3 12.45
}

Star "2MASS 00182-67031/2MASS J00182834-6703130"
{
    RA        0 18 28.3
    Dec       -67  3 13
    Class     "L0 V"
    AppMagnJ  15.46
    Teff      1700
    Radius    110459.38
    MassSol   0.0133035
}

Star "ULAS 00183-00255/ULAS J001836.51-002559.1"
{
    RA        0 18 36.5
    Dec      -0.433056
    Class     "L9 V"
    AppMagnr  24.2
    AppMagni  23.11
    AppMagnJ  17.67
    AppMagnH  16.61
    AppMagnW1 14.95
    AppMagnW2 14.34
    AppMagnW3 12.36
}

Star "2MASS 00191-62260/2MASS J00191296-6226005"
{
    RA        0 19 13.0
    Dec       -62 26  1
    Class     "L1 V"
    AppMagnJ  15.64
    Teff      1600
    Radius    111158.49
    MassSol   0.0133035
}

Star "2MASS 00193-37243/2MASS J00193927-3724392"
{
    RA        0 19 39.3
    Dec       -37 24 39
    Class     "L3.5 V"
    AppMagnJ  15.52
    Teff      1700
}

Star "ULAS 00240+13470/ULAS J002406.37+134705.3"
{
    RA        0 24  6.4
    Dec       +13 47  5
    Class     "L3 V"
    AppMagnr  23.94
    AppMagni  24.68
    AppMagnJ  18.02
    AppMagnH  17.34
    AppMagnK  16.53
    AppMagnW1 16.05
    AppMagnW2 16.19
    AppMagnW3 12.40
}

Star "ULAS J0026+0632"
{
    RA        0 26 40.5
    Dec       +06 32 15
    Class     "L1 V"
    AppMagnJ  14.42
}

Star "2MASS 00282+22490/2MASS J0028208+224905"
{
    RA        0 28 20.8
    Dec       +22 49  5
    Class     "L7 V"
}

Star "ULAS 00282+14234/ULAS J002827.56+142349.1"
{
    RA        0 28 27.6
    Dec       +14 23 49
    Class     "L8.5 V"
    AppMagnr  25.4
    AppMagni  22.79
    AppMagnJ  17.56
    AppMagnH  16.62
    AppMagnK  15.85
    AppMagnW1 15.04
    AppMagnW2 14.53
    AppMagnW3 11.38
}

Star "ULAS 00291+14560/ULAS J002912.25+145604.9"
{
    RA        0 29 12.3
    Dec       +14 56  5
    Class     "L1 V"
    AppMagnr  24.76
    AppMagni  22.1
    AppMagnJ  17.56
    AppMagnH  16.92
    AppMagnK  16.33
    AppMagnW1 15.82
    AppMagnW2 15.93
    AppMagnW3 12.47
}

Star "ULAS 00371-00540/ULAS J003716.06-005404.7"
{
    RA        0 37 16.1
    Dec      -0.901389
    Class     "L3 V"
    AppMagnr  25.01
    AppMagni  22.59
    AppMagnJ  18.09
    AppMagnH  17.33
    AppMagnK  16.66
    AppMagnW1 16.2
    AppMagnW2 15.97
    AppMagnW3 12.46
}

Star "2MASS 00381-64035/2MASS J00381489-6403529"
{
    RA        0 38 14.9
    Dec       -64  3 53
    Class     "M9.5 V"
    AppMagnJ  14.52
    Teff      1700
    Radius    118848.7
    MassSol   0.01425375
}

Star "2MASS 00425+11421/2MASS J00425923+1142104"
{
    RA        0 42 59.2
    Dec       +11 42 10
    Class     "M9 V"
    AppMagnJ  14.75
    Teff      2300
}

Star "ULAS 00435+14111/ULAS J004355.61+141117.6"
{
    RA        0 43 55.6
    Dec       +14 11 18
    Class     "L0 V"
    AppMagnr  24.63
    AppMagni  21.8
    AppMagnJ  17.33
    AppMagnH  16.69
    AppMagnK  16.12
    AppMagnW1 15.51
    AppMagnW2 15.2
    AppMagnW3 12.52
}

Star "WISE 00455+79584/WISE J004555.13+795848.7"           //Unconfirmed
{
    RA        0 45 55.1
    Dec       +79 58 49
    Class     "L7 V"
    AppMagnH  20.94
}

Star "2MASS 00461+02520/2MASS J00461551+0252004"
{
    RA        0 46 15.5
    Dec       +02 52  0
    Class     "L0 V"
    AppMagnJ  14.4
    Teff      2300
}

Star "ULAS 00475+15464/ULAS J004757.41+154641.4"
{
    RA        0 47 57.4
    Dec       +15 46 41
    Class     "T2 V"
    AppMagnJ  17.83
    AppMagnH  17.16
    AppMagnK  16.42
    AppMagnW1 15.55
    AppMagnW2 14.97
    AppMagnW3 12.28
}

Star "ULAS 00503-00033/ULAS J005038.20-000336.6"
{
    RA        0 50 38.2
    Dec      -0.060278
    Class     "L2 V"
    AppMagnr  23.82
    AppMagni  22.54
    AppMagnJ  17.86
    AppMagnH  17.07
    AppMagnK  16.52
    AppMagnW1 16
    AppMagnW2 16.21
    AppMagnW3 12.14
}

Star "WISE 01063-23141/WISE J010631.20-231415.1"           //Unconfirmed
{
    RA        1  6 31.2
    Dec       -23 14 15
    Class     "L8 V"
}

Star "ULAS 01115-01053/ULAS J011151.89-010534.2"
{
    RA        1 11 51.9
    Dec       -01  5 34
    Class     "L3.5 V"
    AppMagnr  25.03
    AppMagni  22.3
    AppMagnJ  17.34
    AppMagnH  16.53
    AppMagnK  15.93
    AppMagnW1 15.4
    AppMagnW2 14.93
    AppMagnW3 12.5
}

Star "ULAS 01164+14433/ULAS J011645.47+144335.3"
{
    RA        1 16 45.5
    Dec       +14 43 35
    Class     "L3.5 V"
    AppMagnJ  17.96
    AppMagnH  17.01
    AppMagnK  16.3
    AppMagnW1 15.72
    AppMagnW2 15.65
    AppMagnW3 12.36
}

Star "2MASS 01205-52003/2MASS J01205114-5200349"
{
    RA        1 20 51.1
    Dec       -52  0 35
    Class     "L1 V"
    AppMagnJ  15.64
    Teff      1700
    Radius    107662.94
    MassSol   0.01235325
}

Star "2MASS 01265-55055/2MASS J01265327-5505506"
{
    RA        1 26 53.3
    Dec       -55  5 51
    Class     "M6 V"
    AppMagnJ  12.04
    Teff      2900
    Radius    167786.4
    MassSol   0.07126875
}

Star "ULAS 01273+15390/ULAS J012735.66+153905.9"
{
    RA        1 27 35.7
    Dec       +15 39  6
    Class     "T6.5 V"
    AppMagnJ  18.22
    AppMagnH  18.62
}

Star "ULAS 01285+06335/ULAS J012855.07+063357.0"
{
    RA        1 28 55.1
    Dec       +06 33 57
    Class     "T6 V"
    AppMagnJ  18.93
}

Star "ULAS 01290+01135/ULAS J012906.88+011350.4"
{
    RA        1 29  6.9
    Dec       +01 13 50
    Class     "L6 V"
    AppMagnJ  18.14
    AppMagnH  17.23
    AppMagnK  16.28
    AppMagnW1 15.57
    AppMagnW2 15.06
    AppMagnW3 12.86
}

Star "ULAS 01301+08045/ULAS J013017.79+080453.9"
{
    RA        1 30 17.8
    Dec       +08  4 54
    Class     "T6 V"
    AppMagnJ  17.93
    AppMagnH  18.21
    AppMagnK  18.35
}

Star "ULAS 01324+05523/ULAS J013243.81+055232.2"
{
    RA        1 32 43.8
    Dec       +05 52 32
    Class     "L5 V"
    AppMagnr  23.27
    AppMagni  21.33
    AppMagnJ  16.41
    AppMagnH  15.48
    AppMagnK  14.75
    AppMagnW1 14.2
    AppMagnW2 13.9
    AppMagnW3 11.87
}

Star "ULAS 01361+07173/ULAS J013619.79+071737.9"
{
    RA        1 36 19.8
    Dec       +07 17 38
    Class     "L4 V"
    AppMagnJ  18.01
    AppMagnH  17.1
    AppMagnK  16.47
    AppMagnW1 15.99
    AppMagnW2 15.38
    AppMagnW3 12.84
}

Star "ULAS 01380-01041/ULAS J013807.67-010417.0"
{
    RA        1 38  7.7
    Dec       -01  4 17
    Class     "L1.5 V"
    AppMagnr  23.93
    AppMagni  22.4
    AppMagnJ  18.01
    AppMagnH  17.33
    AppMagnW1 16.15
    AppMagnW2 15.68
    AppMagnW3 12.7
}

Star "ULAS 01395+15030/ULAS J013950.51+150307.6"
{
    RA        1 39 50.5
    Dec       +15  3  8
    Class     "T7 V"
    AppMagnJ  18.44
    AppMagnH  18.53
}

Star "2MASS 01400+27015/2MASS J01400263+2701505"
{
    RA        1 40  2.6
    Dec       +27  1 51
    Class     "M8.5 V"
    AppMagnJ  12.49
}

Star "ULAS 01410+13183/ULAS J014103.30+131832.6"
{
    RA        1 41  3.3
    Dec       +13 18 33
    Class     "L3.5 V"
    AppMagnr  24.11
    AppMagni  22.4
    AppMagnJ  17.95
    AppMagnH  17.1
    AppMagnK  16.58
    AppMagnW1 14.08
    AppMagnW2 13.93
    AppMagnW3 12.53
}

Star "ULAS 01481+14002/ULAS J014811.69+140028.4"
{
    RA        1 48 11.7
    Dec       +14  0 28
    Class     "M9.5 V"
    AppMagnr  22.14
    AppMagni  21.33
    AppMagnJ  17.97
    AppMagnH  17.16
    AppMagnK  16.55
    AppMagnW1 16.03
    AppMagnW2 15.78
    AppMagnW3 12.89
}

Star "ULAS 01492+14410/ULAS J014927.11+144108.2"
{
    RA        1 49 27.1
    Dec       +14 41  8
    Class     "L5 V"
    AppMagnr  24.37
    AppMagni  23.49
    AppMagnJ  18.04
    AppMagnH  17.1
    AppMagnK  16.32
    AppMagnW1 15.57
    AppMagnW2 14.99
    AppMagnW3 12.76
}

Star "ULAS 01514+13464/ULAS J015144.10+134645.8"
{
    RA        1 51 44.1
    Dec       +13 46 46
    Class     "L5 V"
    AppMagnr  25.77
    AppMagni  23.18
    AppMagnJ  17.66
    AppMagnH  16.84
    AppMagnK  16.09
    AppMagnW1 15.49
    AppMagnW2 15.08
    AppMagnW3 12.90
}

Star "ULAS 02001+09083/ULAS J020013.18+090835.2"
{
    RA        2  0 13.2
    Dec       +09  8 35
    Class     "T6 V"
    AppMagnJ  17.81
    AppMagnH  18.18
    AppMagnK  18.18
}

Star "ULAS 02052+14211/ULAS J020529.62+142114.0"
{
    RA        2  5 29.6
    Dec       +14 21 14
    Class     "T1 V"
    AppMagnr  24.96
    AppMagni  25.17
    AppMagnJ  17.99
    AppMagnH  17.27
    AppMagnK  16.93
    AppMagnW1 16.56
    AppMagnW2 15.44
    AppMagnW3 12.16
}

Star "ULAS 02060+05495/ULAS J020604.27+054958.8"
{
    RA        2  6  4.3
    Dec       +05 49 59
    Class     "L0.5 V"
    AppMagnr  25.11
    AppMagni  22.31
    AppMagnJ  17.92
    AppMagnH  17.41
    AppMagnK  16.8
    AppMagnW1 16.53
    AppMagnW2 16.82
    AppMagnW3 12.98
}

Star "WISE 02204-55062/WISE J022045.20-550622.7"           //Unconfirmed
{
    RA        2 20 45.2
    Dec       -55  6 23
    Class     "L0.5 V"
    AppMagnH  19.31
}

Star "2MASS 02265-53270/2MASS J02265658-5327032"
{
    RA        2 26 56.6
    Dec       -53 27  3
    Class     "L0 V"
    AppMagnJ  15.4
    Teff      1700
    Radius    111158.49
    MassSol   0.0133035
}

Star "2MASS 02404-42533/2MASS J02404759-4253377"
{
    RA        2 40 47.6
    Dec       -42 53 38
    Class     "M6 V"
    AppMagnJ  12.2
    Teff      2900
    Radius    155202.42
    MassSol   0.05986575
}

Star "2MASS 02410-55114/2MASS J02410564-5511466"
{
    RA        2 41  5.6
    Dec       -55 11 47
    Class     "L1 V"
    AppMagnJ  15.39
    Teff      1700
    Radius    109760.27
    MassSol   0.0133035
}

Star "2MASS 02441-35480/2MASS J02441019-3548036"
{
    RA        2 44 10.2
    Dec       -35 48  4
    Class     "L1 V"
    AppMagnJ  15.34
    Teff      1700
}

Star "WISE 02450-74451/WISE J024502.87-744519.3"           //Unconfirmed
{
    RA        2 45  2.9
    Dec       -74 45 19
    Class     "L7 V"
}

Star "ULAS 02470-01070/ULAS J024703.40-010700.8"
{
    RA        2 47  3.4
    Dec       -01  7  1
    Class     "L4.5 V"
    AppMagnJ  17.77
    AppMagnH  16.83
    AppMagnK  15.99
    AppMagnW1 15.41
    AppMagnW2 14.95
    AppMagnW3 12.56
}

Star "2MASS 02501-01512/2MASS J02501167-0151295"
{
    RA        2 50 11.7
    Dec       -01 51 30
    Class     "M7 V"
    AppMagnJ  12.89
    Teff      2800
    Radius    133530.01
    MassSol   0.02185575
}

Star "2MASS 02522+00562/2MASS J02522628+0056223"           //Unconfirmed
{
    RA        2 52 26.3
    Dec       +00 56 22
    Class     "M9 V"
}

Star "ULAS 02554+06165/ULAS J025545.28+061655.7"
{
    RA        2 55 45.3
    Dec       +06 16 56
    Class     "T6 V"
    AppMagnJ  17.99
    AppMagnH  18.67
}

Star "WISE 02563-66344/WISE J025635.13-663443.9"           //Unconfirmed
{
    RA        2 56 35.1
    Dec       -66 34 44
    Class     "L0 V"
}

Star "2MASS 02583-15205/2MASS J02583123-1520536"
{
    RA        2 58 31.2
    Dec       -15 20 54
    Class     "L3 V"
    AppMagnJ  15.91
    Teff      1700
    Radius    104866.5
    MassSol   0.01235325
}

Star "ULAS 02594+05493/ULAS J025940.95+054934.8"
{
    RA        2 59 41.0
    Dec       +05 49 35
    Class     "L3 V"
    AppMagnJ  18.02
    AppMagnH  17.19
    AppMagnK  16.48
    AppMagnW1 16.02
    AppMagnW2 15.49
    AppMagnW3 12.38
}

Star "WISE 03042-39455/WISE J030421.32-394550.8"           //Unconfirmed
{
    RA        3  4 21.3
    Dec       -39 45 51
    Class     "L3.5 V"
    AppMagnH  19.28
}

Star "ULAS 03145+04534/ULAS J031451.72+045346.2"
{
    RA        3 14 51.7
    Dec       +04 53 46
    Class     "L5.5 V"
    AppMagnr  24.66
    AppMagni  22.37
    AppMagnJ  17.3
    AppMagnH  16.39
    AppMagnK  15.59
    AppMagnW1 14.83
    AppMagnW2 14.39
    AppMagnW3 12.41
}

Star "ULAS 03195+06174/ULAS J031959.75+061740.7"
{
    RA        3 19 59.8
    Dec       +06 17 41
    Class     "L1.5 V"
    AppMagnJ  17.79
    AppMagnH  17.03
    AppMagnK  16.4
    AppMagnW1 15.91
    AppMagnW2 16.35
    AppMagnW3 12.32
}

Star "ULAS 03204+06183/ULAS J032042.15+061837.1"
{
    RA        3 20 42.2
    Dec       +06 18 37
    Class     "L0 V"
    AppMagnr  25.37
    AppMagni  22.42
    AppMagnJ  18.06
    AppMagnH  17.48
    AppMagnK  16.91
    AppMagnW1 16.71
    AppMagnW2 16.21
    AppMagnW3 11.87
}

Star "ULAS 03214+05452/ULAS J032143.05+054524.3"
{
    RA        3 21 43.1
    Dec       +05 45 24
    Class     "L4 V"
    AppMagnr  23.22
    AppMagni  22.42
    AppMagnJ  17.33
    AppMagnH  16.61
    AppMagnK  15.97
    AppMagnW1 15.43
    AppMagnW2 15.14
    AppMagnW3 12.36
}

Star "ULAS 03235+06135/ULAS J032353.82+061352.3"
{
    RA        3 23 53.8
    Dec       +06 13 52
    Class     "L1 V"
    AppMagnJ  17.64
    AppMagnH  16.99
    AppMagnK  16.31
    AppMagnW1 15.92
    AppMagnW2 15.32
    AppMagnW3 12.22
}

Star "WISE 03274-62033/WISE J032744.41-620336.3"           //Unconfirmed
{
    RA        3 27 44.4
    Dec       -62  3 36
    Class     "L7.5 V"
}

Star "WISE 03283+01551/WISE J032838.73+015517.7"           //Unconfirmed
{
    RA        3 28 38.7
    Dec       +01 55 18
    Class     "L8.5 V"
}

Star "ULAS 03300+05565/ULAS J033005.72+055653.4"
{
    RA        3 30  5.7
    Dec       +05 56 53
    Class     "L5 V"
    AppMagnJ  17.95
    AppMagnH  16.84
    AppMagnK  15.95
    AppMagnW1 15.39
    AppMagnW2 15.24
    AppMagnW3 12.56
}

Star "ULAS 03302+05362/ULAS J033027.97+053626.6"
{
    RA        3 30 28.0
    Dec       +05 36 27
    Class     "L1 V"
    AppMagnJ  18.11
    AppMagnH  17.57
    AppMagnK  16.72
    AppMagnW1 16.54
    AppMagnW2 16.35
    AppMagnW3 12.62
}

Star "ULAS 03303+04265/ULAS J033036.84+042657.7"
{
    RA        3 30 36.8
    Dec       +04 26 58
    Class     "L4 V"
    AppMagnr  24.44
    AppMagni  22.14
    AppMagnJ  17.29
    AppMagnH  16.44
    AppMagnK  15.75
    AppMagnW1 15.18
    AppMagnW2 14.98
    AppMagnW3 12.37
}

Star "WISE 03334+38515/WISE J033346.88+385152.6"           //Unconfirmed
{
    RA        3 33 46.9
    Dec       +38 51 53
    Class     "L1.5 V"
    AppMagnH  19.1
}

Star "ULAS 03415+04232/ULAS J034150.21+042324.9"
{
    RA        3 41 50.2
    Dec       +04 23 25
    Class     "L5 V"
    AppMagnr  24.13
    AppMagni  21.9
    AppMagnJ  16.85
    AppMagnH  15.95
    AppMagnK  15.2
    AppMagnW1 14.53
    AppMagnW2 14.21
    AppMagnW3 12.68
}

Star "WISE 03440+01364/WISE J034409.71+013641.5"           //Unconfirmed
{
    RA        3 44  9.7
    Dec       +01 36 42
    Class     "L9 V"
}

Star "2MASS 03550-10324/2MASS J03550477-1032415"
{
    RA        3 55  4.8
    Dec       -10 32 42
    Class     "M8.5 V"
    AppMagnJ  13.08
    Teff      2700
}

Star "WISE 04011+25575/WISE J040116.80+255752.2"           //Unconfirmed
{
    RA        4  1 16.8
    Dec       +25 57 52
    Class     "L V"      //Unknown
    AppMagnJ  16.93
    AppMagnH  16.1
    AppMagnK  15.53
    AppMagnW1 15.05
    AppMagnW2 14.36
    AppMagnW3 12.39
}

Star "WISE 04131+21032/WISE J041318.68+210326.5"           //Unconfirmed
{
    RA        4 13 18.7
    Dec       +21  3 27
    Class     "L7.5 V"
}

Star "J041836"           //Unconfirmed
{
    RA        4 18 36.3
    Dec       +27 14 43
    Class     "L V"      //Unknown
    Teff      377
}

Star "J041847"           //Unconfirmed
{
    RA        4 18 47.9
    Dec       +27 47 26
    Class     "L V"      //Unknown
    Teff      126
}

Star "J041938"           //Unconfirmed
{
    RA        4 19 38.8
    Dec       +28 23 41
    Class     "L V"      //Unknown
    Teff      147
}

Star "2MASS 04400-51265/2MASS J04400972-5126544"
{
    RA        4 40  9.7
    Dec       -51 26 54
    Class     "L0 V"
    AppMagnJ  15.69
    Teff      1700
}

Star "2MASS 04493+16072/2MASS J04493288+1607226"
{
    RA        4 49 32.9
    Dec       +16  7 23
    Class     "M9 V"
    AppMagnJ  14.27
    Teff      2300
    Radius    129335.35
    MassSol   0.0171045
}

Star "WISE 05075-03424/WISE J050750.72-034245.8"           //Unconfirmed
{
    RA        5  7 50.7
    Dec       -03 42 46
    Class     "L2 V"
}

Star "WISE 05082+24225/WISE J050824.82+242251.1"           //Unconfirmed
{
    RA        5  8 24.8
    Dec       +24 22 51
    Class     "L V"      //Unknown
    AppMagnJ  17.06
    AppMagnH  16.31
    AppMagnK  15.59
    AppMagnW1 15.3
    AppMagnW2 14.51
    AppMagnW3 12.37
}

Star "2MASS 05104-18435/2MASS J05104958-1843548"
{
    RA        5 10 49.6
    Dec       -18 43 55
    Class     "L2 V"
    AppMagnJ  15.35
}

Star "WISE 05152-23095/WISE J051526.68-230954.2"           //Unconfirmed
{
    RA        5 15 26.7
    Dec       -23  9 54
    Class     "L7 V"
}

Star "2MASS 05264-18243/2MASS J05264316-1824315"           //Unconfirmed
{
    RA        5 26 43.2
    Dec       -18 24 32
    Class     "M7 V"
    AppMagnJ  12.36
    Teff      2800
    Radius    176175.72
    MassSol   0.07887075
}

Star "WISE 06285+34524/WISE J062858.69+345249.2"           //Unconfirmed
{
    RA        6 28 58.7
    Dec       +34 52 49
    Class     "L7 V"
}

Star "WISE 06355+51482/WISE J063552.52+514820.4"           //Unconfirmed
{
    RA        6 35 52.5
    Dec       +51 48 20
    Class     "L7.5 V"
}

Star "ULAS J0709+0625"
{
    RA        7  9  7.4
    Dec       +06 25 59
    Class     "L1 V"
    AppMagnJ  14.49
}

Star "2MASS 07202-56172/2MASS J07202582-5617224"
{
    RA        7 20 25.8
    Dec       -56 17 22
    Class     "M6 V"
    AppMagnJ  12.88
    Teff      2900
    Radius    125140.69
    MassSol   0.015204
}

Star "ULAS J0741+2316"
{
    RA        7 41  4.4
    Dec       +23 16 38
    Class     "L1 V"
    AppMagnJ  16.04
}

Star "ULAS 07450+23324/ULAS J074502.79+233240.3"
{
    RA        7 45  2.8
    Dec       +23 32 40
    Class     "T8.5 V"
    AppMagnJ  18.88
}

Star "ULAS 07593+18555/ULAS J075937.75+185555.0"
{
    RA        7 59 37.8
    Dec       +18 55 55
    Class     "T6 V"
    AppMagnJ  18.7
}

Star "ULAS 08005+19383/ULAS J080055.05+193838.1"
{
    RA        8  0 55.1
    Dec       +19 38 38
    Class     "L1 V"
    AppMagnr  25.61
    AppMagni  22.4
    AppMagnJ  17.71
    AppMagnH  16.96
    AppMagnK  16.25
}

Star "ULAS 08044+18261/ULAS J080441.05+182611.6"
{
    RA        8  4 41.1
    Dec       +18 26 12
    Class     "L5 V"
    AppMagnr  24.8
    AppMagni  23.11
    AppMagnJ  17.57
    AppMagnH  16.54
    AppMagnK  15.83
    AppMagnW1 15.07
    AppMagnW2 14.51
    AppMagnW3 11.78
}

Star "ULAS 08111+25293/ULAS J081110.86+252931.8"
{
    RA        8 11 10.9
    Dec       +25 29 32
    Class     "T7 V"
    AppMagnJ  17.57
    AppMagnH  18.19
    AppMagnK  18.02
}

Star "2MASS 08194-04500/2MASS J08194351-0450071"
{
    RA        8 19 43.5
    Dec       -04 50  7
    Class     "L1 V"
    AppMagnJ  14.82
}

Star "2MASS 08204-75145/2MASS J08204440-7514571"
{
    RA        8 20 44.4
    Dec       -75 14 57
    Class     "L3.5 V"
    AppMagnJ  16.59
    Teff      1700
}

Star "ULAS 08242+05574/ULAS J082428.08+055742.5"
{
    RA        8 24 28.1
    Dec       +05 57 43
    Class     "L1 V"
    AppMagnr  24.06
    AppMagni  22.49
    AppMagnJ  17.49
    AppMagnH  16.89
    AppMagnK  16.26
    AppMagnW1 15.95
    AppMagnW2 15.44
    AppMagnW3 12.19
}

Star "2MASS 08254-00291/2MASS J08254335-0029110"
{
    RA        8 25 43.4
    Dec      -0.486389
    Class     "L0.5 V"
    AppMagnJ  15.45
    Teff      2100
}

Star "ULAS 08384+08170/ULAS J083842.51+081700.5"
{
    RA        8 38 42.5
    Dec       +08 17  1
    Class     "L1 V"
    AppMagnr  24.4
    AppMagni  22.12
    AppMagnJ  17.72
    AppMagnH  17.04
    AppMagnK  16.34
    AppMagnW1 16.03
    AppMagnW2 16.24
    AppMagnW3 12.51
}

Star "ULAS 08430+00124/ULAS J084302.02+001246.9"
{
    RA        8 43  2.0
    Dec       +00 12 47
    Class     "L9.5 V"
    AppMagnr  24.45
    AppMagni  23.25
    AppMagnJ  17.76
    AppMagnH  16.8
    AppMagnK  16.29
    AppMagnW1 15.65
    AppMagnW2 14.95
    AppMagnW3 11.96
}

Star "ULAS 08471+02041/ULAS J084710.35+020413.3"
{
    RA        8 47 10.4
    Dec       +02  4 13
    Class     "L5.5 V"
    AppMagnJ  18.18
    AppMagnH  17.16
    AppMagnK  16.41
    AppMagnW1 16.04
    AppMagnW2 15.97
    AppMagnW3 12.55
}

Star "ULAS 08484+07151/ULAS J084849.71+071512.0"
{
    RA        8 48 49.7
    Dec       +07 15 12
    Class     "L1 V"
    AppMagnJ  18.02
    AppMagnH  17.42
    AppMagnK  16.76
    AppMagnW1 14.69
    AppMagnW2 14.58
    AppMagnW3 12.55
}

Star "WISE 08490+51185/WISE J084903.52+511850.3"           //Unconfirmed
{
    RA        8 49  3.5
    Dec       +51 18 50
    Class     "L2.5 V"
    AppMagnH  20.32
}

Star "ULAS J0849+2739"
{
    RA        8 49 37.1
    Dec       +27 39 27
    Class     "L1 V"
    AppMagnJ  16.37
}

Star "ULAS 08531+03214/ULAS J085311.68+032147.7"
{
    RA        8 53 11.7
    Dec       +03 21 48
    Class     "L1 V"
    AppMagnr  24.23
    AppMagni  22.87
    AppMagnJ  17.91
    AppMagnH  17.04
    AppMagnK  16.43
    AppMagnW1 16.21
    AppMagnW2 15.92
    AppMagnW3 12.77
}

Star "ULAS 08555+00304/ULAS J085559.77+003048.3"
{
    RA        8 55 59.8
    Dec       +00 30 48
    Class     "L3.5 V"
    AppMagnr  24.21
    AppMagni  22.06
    AppMagnJ  17.54
    AppMagnH  16.78
    AppMagnK  16
    AppMagnW1 15.29
    AppMagnW2 14.95
    AppMagnW3 11.95
}

Star "2MASS 08561-13422/2MASS J08561384-1342242"
{
    RA        8 56 13.8
    Dec       -13 42 24
    Class     "M8 V"
    AppMagnJ  13.6
    Teff      2300
    Radius    130034.46
    MassSol   0.0133035
}

Star "ULAS 09071-02214/ULAS J090710.26-022145.7"
{
    RA        9  7 10.3
    Dec       -02 21 46
    Class     "L4 V"
    AppMagnJ  17.93
    AppMagnH  17.01
    AppMagnK  16.31
    AppMagnW1 15.65
    AppMagnW2 15.39
    AppMagnW3 12.22
}

Star "ULAS 09174+00425/ULAS J091740.85+004254.0"
{
    RA        9 17 40.9
    Dec       +00 42 54
    Class     "L1 V"
    AppMagnr  24.95
    AppMagni  22.69
    AppMagnJ  17.61
    AppMagnH  16.89
    AppMagnK  16.16
    AppMagnW1 15.32
    AppMagnW2 15.15
    AppMagnW3 12.52
}

Star "ULAS 09243+00583/ULAS J092432.13+005835.6"
{
    RA        9 24 32.1
    Dec       +00 58 36
    Class     "L0 V"
    AppMagnr  24.17
    AppMagni  22.44
    AppMagnJ  17.93
    AppMagnH  17.26
    AppMagnK  16.56
    AppMagnW1 16.72
    AppMagnW2 16.49
    AppMagnW3 12.69
}

Star "ULAS 09260+04023/ULAS J092608.82+040239.7"
{
    RA        9 26  8.8
    Dec       +04  2 40
    Class     "T6 V"
    AppMagnJ  18.59
}

Star "ULAS 09264-01515/ULAS J092646.81-015150.0"
{
    RA        9 26 46.8
    Dec       -01 51 50
    Class     "L5 V"
    AppMagnJ  17.72
    AppMagnH  16.79
    AppMagnK  16.14
    AppMagnW1 15.33
    AppMagnW2 15.12
    AppMagnW3 12.76
}

Star "ULAS 09265-00561/ULAS J092659.46-005611.1"
{
    RA        9 26 59.5
    Dec      -0.936389
    Class     "L3 V"
    AppMagnJ  17.97
    AppMagnH  17.37
    AppMagnK  16.89
    AppMagnW1 16.58
    AppMagnW2 15.93
    AppMagnW3 12.35
}

Star "ULAS 09274+34130/ULAS J092744.20+341308.7"
{
    RA        9 27 44.2
    Dec       +34 13  9
    Class     "T5.5 V"
    AppMagnJ  18.77
}

Star "ULAS 09312-02090/ULAS J093129.56-020902.8"
{
    RA        9 31 29.6
    Dec       -02  9  3
    Class     "L0 V"
    AppMagnJ  18.09
    AppMagnH  17.31
    AppMagnK  16.77
    AppMagnW1 16.85
    AppMagnW2 16.42
    AppMagnW3 12.73
}

Star "ULAS 09393+06530/ULAS J093930.74+065309.8"
{
    RA        9 39 30.7
    Dec       +06 53 10
    Class     "L5 V"
    AppMagnr  24.06
    AppMagni  21.7
    AppMagnJ  16.79
    AppMagnH  15.86
    AppMagnK  15.16
    AppMagnW1 14.57
    AppMagnW2 14.29
    AppMagnW3 12.75
}

Star "ULAS 09413+09421/ULAS J094136.50+094214.2"
{
    RA        9 41 36.5
    Dec       +09 42 14
    Class     "L6.5 V"
    AppMagnr  24.02
    AppMagni  23.16
    AppMagnJ  17.51
    AppMagnH  16.46
    AppMagnK  15.55
    AppMagnW1 14.43
    AppMagnW2 13.96
    AppMagnW3 12.75
}

Star "ULAS 09442+02442/ULAS J094420.32+024422.7"
{
    RA        9 44 20.3
    Dec       +02 44 23
    Class     "L2 V"
    AppMagnJ  18.05
    AppMagnH  17.12
    AppMagnK  16.42
    AppMagnW1 15.97
    AppMagnW2 16.02
    AppMagnW3 12.39
}

Star "2MASS 09451-77531/2MASS J09451445-7753150"
{
    RA        9 45 14.5
    Dec       -77 53 15
    Class     "M9 V"
    AppMagnJ  13.89
    Teff      2600
    Radius    128636.24
    MassSol   0.0361095
}

Star "ULAS 09474+07423/ULAS J094742.01+074232.3"
{
    RA        9 47 42.0
    Dec       +07 42 32
    Class     "L1 V"
    AppMagnr  24.03
    AppMagni  22.41
    AppMagnJ  17.76
    AppMagnH  17.06
    AppMagnK  16.41
    AppMagnW1 16.35
    AppMagnW2 15.97
    AppMagnW3 12.58
}

Star "WISE 09481-29032/WISE J094812.21-290329.5"           //Unconfirmed
{
    RA        9 48 12.2
    Dec       -29  3 30
    Class     "L2 V"
    AppMagnH  18.76
}

Star "WISE 09490+02325/WISE J094904.92+023251.4"           //Unconfirmed
{
    RA        9 49  4.9
    Dec       +02 32 51
    Class     "L5.5 V"
    AppMagnH  19.44
}

Star "ULAS 09512+07575/ULAS J095126.87+075756.8"
{
    RA        9 51 26.9
    Dec       +07 57 57
    Class     "L6 V"
    AppMagnr  25.2
    AppMagni  22.61
    AppMagnJ  17.62
    AppMagnH  16.64
    AppMagnK  15.87
    AppMagnW1 15.05
    AppMagnW2 14.8
    AppMagnW3 12.93
}

Star "ULAS 09560+08211/ULAS J095606.72+082115.7"
{
    RA        9 56  6.7
    Dec       +08 21 16
    Class     "L5 V"
    AppMagnr  23.84
    AppMagni  23.16
    AppMagnJ  17.98
    AppMagnH  17.1
    AppMagnK  16.46
    AppMagnW1 15.66
    AppMagnW2 15.35
    AppMagnW3 12.32
}

Star "2MASS 09572+46241/2MASS J09572983+4624177"
{
    RA        9 57 29.8
    Dec       +46 24 18
    Class     "L6 V"
    AppMagnJ  16.62
    AppMagnH  15.39
    AppMagnKs 14.59
}

Star "ULAS 10031+07522/ULAS J100310.96+075220.3"
{
    RA        10  3 11.0
    Dec       +07 52 20
    Class     "L4 V"
    AppMagnJ  17.73
    AppMagnH  16.87
    AppMagnK  16.21
    AppMagnW1 15.65
    AppMagnW2 15.49
    AppMagnW3 12.38
}

Star "ULAS 10064+12111/ULAS J100647.06+121117.2"
{
    RA        10  6 47.1
    Dec       +12 11 17
    Class     "L1 V"
    AppMagnr  23.8
    AppMagni  22.07
    AppMagnJ  17.64
    AppMagnH  16.97
    AppMagnK  16.34
    AppMagnW1 16.18
    AppMagnW2 15.68
    AppMagnW3 12.51
}

Star "ULAS 10070+01301/ULAS J100703.55+013017.0"
{
    RA        10  7  3.6
    Dec       +01 30 17
    Class     "L1 V"
    AppMagnr  25.38
    AppMagni  22.27
    AppMagnJ  17.69
    AppMagnH  16.95
    AppMagnK  16.26
    AppMagnW1 15.72
    AppMagnW2 15.18
    AppMagnW3 12.66
}

Star "ULAS 10073+10475/ULAS J100731.32+104758.8"
{
    RA        10  7 31.3
    Dec       +10 47 59
    Class     "L2 V"
    AppMagnr  23.89
    AppMagni  22.58
    AppMagnJ  17.63
    AppMagnH  16.85
    AppMagnK  16.24
    AppMagnW1 15.9
    AppMagnW2 15.83
    AppMagnW3 12.16
}

Star "ULAS 10161+00002/ULAS J101618.77+000028.0"
{
    RA        10 16 18.8
    Dec       +00  0 28
    Class     "L5 V"
    AppMagnJ  17.44
    AppMagnH  16.55
    AppMagnK  15.76
    AppMagnW1 15.14
    AppMagnW2 14.45
    AppMagnW3 12.05
}

Star "ULAS 10165-01325/ULAS J101658.05-013258.0"
{
    RA        10 16 58.1
    Dec       -01 32 58
    Class     "L3 V"
    AppMagnJ  17.94
    AppMagnH  17.48
    AppMagnK  16.99
    AppMagnW1 17.02
    AppMagnW2 16.17
    AppMagnW3 12.41
}

Star "ULAS 10214+05444/ULAS J102144.87+054446.1"
{
    RA        10 21 44.9
    Dec       +05 44 46
    Class     "T6 V"
    AppMagnJ  17.66
    AppMagnH  17.96
    AppMagnK  17.97
}

Star "ULAS J1029+0620"
{
    RA        10 29 35.2
    Dec       +06 20 29
    Class     "L9.5 V"
    AppMagnJ  16.71
}

Star "ULAS 10422+12120/ULAS J104224.20+121206.8"
{
    RA        10 42 24.2
    Dec       +12 12  7
    Class     "T7.5 V"
    AppMagnJ  18.52
    AppMagnH  18.9
}

Star "ULAS 10435+10480/ULAS J104355.37+104803.4"
{
    RA        10 43 55.4
    Dec       +10 48  3
    Class     "T8 V"
    AppMagnJ  18.23
    AppMagnH  18.58
    AppMagnK  18.66
}

Star "2MASS 10455-28193/2MASS J10455263-2819303"
{
    RA        10 45 52.6
    Dec       -28 19 30
    Class     "M6 V"
    AppMagnJ  12.82
    Teff      2900
    Radius    183865.93
    MassSol   0.026607
}

Star "WISE 10513-14401/WISE J105131.36-144017.2"           //Unconfirmed
{
    RA        10 51 31.4
    Dec       -14 40 17
    Class     "L9.5 V"
}

Star "ULAS 10513-01544/ULAS J105134.32-015449.8"
{
    RA        10 51 34.3
    Dec       -01 54 50
    Class     "T6 V"
    AppMagnJ  17.75
    AppMagnH  18.07
    AppMagnK  18.27
}

Star "ULAS J1053+0452"
{
    RA        10 53 20.2
    Dec       +04 52 22
    Class     "M9 V"
    AppMagnJ  14.78
}

Star "ULAS 10533+01571/ULAS J105334.64+015719.7"
{
    RA        10 53 34.6
    Dec       +01 57 20
    Class     "T6.5 V"
    AppMagnJ  18.5
}

Star "ULAS 10583+08542/ULAS J105836.92+085429.1"
{
    RA        10 58 36.9
    Dec       +08 54 29
    Class     "L1 V"
    AppMagnr  24.11
    AppMagni  22.43
    AppMagnJ  18.06
    AppMagnH  17.28
    AppMagnK  16.77
    AppMagnW1 16.61
    AppMagnW2 16.59
    AppMagnW3 12.31
}

Star "2MASS 11064-37151/2MASS J11064461-3715115"
{
    RA        11  6 44.6
    Dec       -37 15 12
    Class     "M9 V"
    AppMagnJ  14.49
    Teff      2300
    Radius    137025.56
    MassSol   0.015204
}

Star "ULAS 11202-00444/ULAS J112029.65-004440.6"
{
    RA        11 20 29.7
    Dec      -0.744722
    Class     "L2 V"
    AppMagnr  23.97
    AppMagni  21.63
    AppMagnJ  16.93
    AppMagnH  16.03
    AppMagnK  15.4
    AppMagnW1 14.74
    AppMagnW2 14.38
    AppMagnW3 12.62
}

Star "ULAS 11204+09042/ULAS J112043.11+090429.8"
{
    RA        11 20 43.1
    Dec       +09  4 30
    Class     "L4 V"
    AppMagnJ  17.83
    AppMagnH  17.14
    AppMagnW1 15.98
    AppMagnW2 15.75
    AppMagnW3 12.30
}

Star "ULAS 11192+00213/ULAS J111929.43+002133.1"
{
    RA        11 19 29.4
    Dec       +00 21 33
    Class     "L4.5 V"
    AppMagnr  25.14
    AppMagni  22.34
    AppMagnJ  17.5
    AppMagnH  16.65
    AppMagnK  15.94
}

Star "2MASS 11260+48192/2MASS J11260310+4819256"
{
    RA        11 26  3.1
    Dec       +48 19 26
    Class     "L5 V"
    AppMagnJ  17.2
    AppMagnH  16.14
    AppMagnKs 15.44
}

Star "ULAS 11315-00362/ULAS J113151.32-003620.8"
{
    RA        11 31 51.3
    Dec      -0.605833
    Class     "L0 V"
    AppMagnJ  18.08
    AppMagnH  17.48
    AppMagnK  16.91
    AppMagnW1 16.8
    AppMagnW2 16
    AppMagnW3 12.60
}

Star "ULAS 11385-00245/ULAS J113850.09-002451.3"
{
    RA        11 38 50.1
    Dec      -0.414167
    Class     "L2.5 V"
    AppMagnr  24.74
    AppMagni  21.72
    AppMagnJ  16.84
    AppMagnH  15.91
    AppMagnK  15.23
    AppMagnW1 14.61
    AppMagnW2 14.38
    AppMagnW3 11.89
}

Star "ULAS 11441+09102/ULAS J114418.08+091025.1"
{
    RA        11 44 18.1
    Dec       +09 10 25
    Class     "L1 V"
    AppMagnr  24.4
    AppMagni  23.1
    AppMagnJ  18
    AppMagnH  17.2
    AppMagnK  16.53
    AppMagnW1 16.27
    AppMagnW2 16.04
    AppMagnW3 12.74
}

Star "ULAS 12000+12082/ULAS J120009.69+120821.4"
{
    RA        12  0  9.7
    Dec       +12  8 21
    Class     "L6 V"
    AppMagnJ  17.59
    AppMagnH  16.8
    AppMagnK  16.22
    AppMagnW1 15.53
    AppMagnW2 15.26
    AppMagnW3 12.71
}

Star "ULAS 12031+09505/ULAS J120315.34+095054.8"
{
    RA        12  3 15.3
    Dec       +09 50 55
    Class     "L0 V"
    AppMagnr  23.89
    AppMagni  22.26
    AppMagnJ  17.94
    AppMagnH  17.31
    AppMagnK  16.74
    AppMagnW1 16.62
    AppMagnW2 15.67
    AppMagnW3 12.68
}

Star "ULAS 12032-01565/ULAS J120323.74-015655.8"
{
    RA        12  3 23.7
    Dec       -01 56 56
    Class     "L1 V"
    AppMagnr  24.38
    AppMagni  22.38
    AppMagnJ  17.73
    AppMagnH  17.21
    AppMagnK  16.71
    AppMagnW1 16.5
    AppMagnW2 16.11
    AppMagnW3 11.92
}

Star "2MASS 12042-28063/2MASS J12042529-2806364"
{
    RA        12  4 25.3
    Dec       -28  6 36
    Class     "L0.5 V"
    AppMagnJ  16.11
}

Star "ULAS 12054+08420/ULAS J120545.92+084206.8"
{
    RA        12  5 45.9
    Dec       +08 42  7
    Class     "L3 V"
    AppMagnr  23.54
    AppMagni  22.07
    AppMagnJ  17.26
    AppMagnH  16.36
    AppMagnK  15.71
    AppMagnW1 15.09
    AppMagnW2 14.99
    AppMagnW3 12.12
}

Star "WISE 12075+30280/WISE J120751.17+302808.9"           //Unconfirmed
{
    RA        12  7 51.2
    Dec       +30 28  9
    Class     "L0.5 V"
}

Star "ULAS 12094+06533/ULAS J120943.05+065333.0"
{
    RA        12  9 43.1
    Dec       +06 53 33
    Class     "L9 V"
    AppMagnr  25.8
    AppMagni  23.36
    AppMagnJ  18.1
    AppMagnH  17.17
    AppMagnK  16.59
    AppMagnW1 15.75
    AppMagnW2 14.99
    AppMagnW3 12.58
}

Star "ULAS 12123+00072/ULAS J121238.72+000721.9"
{
    RA        12 12 38.7
    Dec       +00  7 22
    Class     "L0.5 V"
    AppMagnr  24.82
    AppMagni  20.29
    AppMagnJ  15.68
    AppMagnH  15.04
    AppMagnK  14.46
}

Star "ULAS 12132+15023/ULAS J121320.56+150235.1"
{
    RA        12 13 20.6
    Dec       +15  2 35
    Class     "L1 V"
    AppMagnJ  17.65
    AppMagnH  16.87
    AppMagnK  16.2
    AppMagnW1 15.99
    AppMagnW2 15.88
    AppMagnW3 12.82
}

Star "ULAS 12181+13495/ULAS J121816.52+134953.8"
{
    RA        12 18 16.5
    Dec       +13 49 54
    Class     "L2 V"
    AppMagnJ  17.95
    AppMagnH  17.32
    AppMagnK  16.6
    AppMagnW1 16.53
    AppMagnW2 16.35
    AppMagnW3 12.26
}

Star "ULAS 12211+12221/ULAS J122111.67+122217.0"
{
    RA        12 21 11.7
    Dec       +12 22 17
    Class     "L4 V"
    AppMagnr  24.34
    AppMagni  22.37
    AppMagnJ  17.97
    AppMagnH  17.09
    AppMagnK  16.31
    AppMagnW1 15.66
    AppMagnW2 15.39
    AppMagnW3 12.66
}

Star "ULAS 12232+04482/ULAS J122325.69+044827.6"
{
    RA        12 23 25.7
    Dec       +04 48 28
    Class     "L5 V"
    AppMagnr  22.88
    AppMagni  21.47
    AppMagnJ  16.37
    AppMagnH  15.45
    AppMagnK  14.65
    AppMagnW1 13.99
    AppMagnW2 13.65
    AppMagnW3 11.97
}

Star "ULAS 12234-01310/ULAS J122343.35-013100.7"
{
    RA        12 23 43.4
    Dec       -01 31  1
    Class     "T6 V"
    AppMagnJ  18.7
}

Star "WISE 12235+55105/WISE J122355.12+551050.3"           //Unconfirmed
{
    RA        12 23 55.1
    Dec       +55 10 50
    Class     "L2 V"
}

Star "ULAS 12343+01074/ULAS J123433.51+010742.0"
{
    RA        12 34 33.5
    Dec       +01  7 42
    Class     "L1 V"
    AppMagnr  25.14
    AppMagni  22.61
    AppMagnJ  17.82
    AppMagnH  17.09
    AppMagnK  16.38
    AppMagnW1 16.17
    AppMagnW2 15.56
    AppMagnW3 12.15
}

Star "ULAS 12405+11294/ULAS J124052.92+112940.4"
{
    RA        12 40 52.9
    Dec       +11 29 40
    Class     "L1 V"
    AppMagnr  22.66
    AppMagni  21.52
    AppMagnJ  15.51
    AppMagnH  14.83
    AppMagnK  14.24
    AppMagnW1 10.8
    AppMagnW2 10.65
    AppMagnW3 10.53
}

Star "ULAS 12441+12320/ULAS J124413.03+123201.1"
{
    RA        12 44 13.0
    Dec       +12 32  1
    Class     "T4 V"
    AppMagnJ  17.64
    AppMagnH  17.42
    AppMagnK  17.46
    AppMagnW1 17.34
    AppMagnW2 16.36
    AppMagnW3 12.82
}

Star "2MASS 12474-38164/2MASS J12474428-3816464"
{
    RA        12 47 44.3
    Dec       -38 16 46
    Class     "M9 V"
    AppMagnJ  14.78
    Teff      2100
    Radius    150308.65
    MassSol   0.01615425
}

Star "2MASS 12574-41113/2MASS J12574941-4111373"
{
    RA        12 57 49.4
    Dec       -41 11 37
    Class     "M6 V"
    AppMagnJ  13.02
    Teff      2900
    Radius    217423.21
    MassSol   0.049413
}

Star "ULAS 12593+29332/ULAS J125939.44+293322.4"
{
    RA        12 59 39.4
    Dec       +29 33 22
    Class     "T5 V"
    AppMagnJ  18.39
    AppMagnH  18.55
}

Star "ULAS 13022+14342/ULAS J130227.54+143428.0"
{
    RA        13  2 27.5
    Dec       +14 34 28
    Class     "T4.5 V"
    AppMagnJ  18.6
    AppMagnH  18.8
}

Star "ULAS 13110-01374/ULAS J131106.96-013742.3"
{
    RA        13 11  7.0
    Dec       -01 37 42
    Class     "L3 V"
    AppMagnr  25.31
    AppMagni  22.49
    AppMagnJ  17.83
    AppMagnH  17.28
    AppMagnK  16.63
}

Star "WISE 13224-33183/WISE J132240.10-331836.4"           //Unconfirmed
{
    RA        13 22 40.1
    Dec       -33 18 36
    Class     "L1 V"
    AppMagnH  18.75
}

Star "ULAS 13241+02504/ULAS J132410.21+025040.6"
{
    RA        13 24 10.2
    Dec       +02 50 41
    Class     "L2 V"
    AppMagnr  24.62
    AppMagni  22.67
    AppMagnJ  18.07
    AppMagnH  17.25
    AppMagnK  16.66
    AppMagnW1 16.2
    AppMagnW2 16.21
    AppMagnW3 12.58
}

Star "ULAS 13272+10113/ULAS J132720.56+101138.5"
{
    RA        13 27 20.6
    Dec       +10 11 39
    Class     "L4.5 V"
    AppMagnr  24.44
    AppMagni  22.93
    AppMagnJ  17.48
    AppMagnH  16.58
    AppMagnK  15.83
    AppMagnW1 15.3
    AppMagnW2 14.8
    AppMagnW3 12.89
}

Star "ULAS 13314-01170/ULAS J133148.66-011700.6"
{
    RA        13 31 48.7
    Dec       -01 17  1
    Class     "L6 V"
    AppMagnJ  15.33
    AppMagnH  14.67
    AppMagnK  14.05
    AppMagnW1 13.41
    AppMagnW2 13.12
    AppMagnW3 12.26
}

Star "ULAS 13350+15065/ULAS J133502.11+150653.5"
{
    RA        13 35  2.1
    Dec       +15  6 54
    Class     "T6 V"
    AppMagnJ  17.97
    AppMagnH  18.3
    AppMagnK  18.23
}

Star "WISE 13352-07084/WISE J133520.09-070849.3"           //Unconfirmed
{
    RA        13 35 20.1
    Dec       -07  8 49
    Class     "L2.5 V"
    AppMagnH  19.22
}

Star "ULAS 13441+09240/ULAS J134414.90+092405.0"
{
    RA        13 44 14.9
    Dec       +09 24  5
    Class     "L6 V"
    AppMagnr  24.79
    AppMagni  22.79
    AppMagnJ  17.29
    AppMagnH  16.3
    AppMagnK  15.46
    AppMagnW1 14.59
    AppMagnW2 14.06
    AppMagnW3 13.02
}

Star "ULAS 13461+08250/ULAS J134612.77+082503.3"
{
    RA        13 46 12.8
    Dec       +08 25  3
    Class     "L2 V"
    AppMagnr  23.89
    AppMagni  22.84
    AppMagnJ  18.01
    AppMagnH  17.26
    AppMagnK  16.5
    AppMagnW1 15.97
    AppMagnW2 15.47
    AppMagnW3 12.95
}

Star "WISE 13550-82583/WISE J135501.90-825838.9"           //Unconfirmed
{
    RA        13 55  1.9
    Dec       -82 58 39
    Class     "L7 V"
}

Star "ULAS 13555+08505/ULAS J135556.12+085054.3"
{
    RA        13 55 56.1
    Dec       +08 50 54
    Class     "L3 V"
    AppMagnr  24.01
    AppMagni  22.2
    AppMagnJ  17.3
    AppMagnH  16.39
    AppMagnK  15.63
    AppMagnW1 14.85
    AppMagnW2 14.72
    AppMagnW3 12.73
}

Star "ULAS 14015+09073/ULAS J140152.43+090733.1"
{
    RA        14  1 52.4
    Dec       +09  7 33
    Class     "L5 V"
    AppMagnr  24.28
    AppMagni  22.72
    AppMagnJ  17.32
    AppMagnH  16.4
    AppMagnK  15.63
    AppMagnW1 15.04
    AppMagnW2 14.85
    AppMagnW3 12.96
}

Star "WISE 14112-48115/WISE J141127.86-481150.6"           //Unconfirmed
{
    RA        14 11 27.9
    Dec       -48 11 51
    Class     "T0.5 V"
}

Star "ULAS 14120+12160/ULAS J141203.85+121609.9"
{
    RA        14 12  3.9
    Dec       +12 16 10
    Class     "L4 V"
    AppMagnr  23.89
    AppMagni  21.32
    AppMagnJ  16.33
    AppMagnH  15.85
    AppMagnK  15.43
    AppMagnW1 14.77
    AppMagnW2 14.53
    AppMagnW3 12.72
}

Star "ULAS 14171+13173/ULAS J141710.01+131737.1"
{
    RA        14 17 10.0
    Dec       +13 17 37
    Class     "L4 V"
    AppMagnr  24.3
    AppMagni  21.68
    AppMagnJ  16.69
    AppMagnH  15.91
    AppMagnK  15.21
    AppMagnW1 14.57
    AppMagnW2 14.22
    AppMagnW3 12.31
}

Star "ULAS 14230+04102/ULAS J142300.38+041026.4"
{
    RA        14 23  0.4
    Dec       +04 10 26
    Class     "L3 V"
    AppMagnr  23.68
    AppMagni  22.22
    AppMagnJ  17.39
    AppMagnH  16.55
    AppMagnK  15.8
    AppMagnW1 15.51
    AppMagnW2 15.25
    AppMagnW3 12.65
}

Star "ULAS 14253+04513/ULAS J142536.35+045132.3"
{
    RA        14 25 36.4
    Dec       +04 51 32
    Class     "T6.5 V"
    AppMagnJ  18.7
}

Star "ULAS 14271+01120/ULAS J142718.33+011206.2"
{
    RA        14 27 18.3
    Dec       +01 12  6
    Class     "T0 V"
    AppMagnr  23.64
    AppMagni  22.68
    AppMagnJ  17.48
    AppMagnH  16.75
    AppMagnK  16.39
    AppMagnW1 15.53
    AppMagnW2 14.89
    AppMagnW3 12.24
}

Star "ULAS 14361+07205/ULAS J143615.75+072056.8"
{
    RA        14 36 15.8
    Dec       +07 20 57
    Class     "L5 V"
    AppMagnr  24.18
    AppMagni  22.55
    AppMagnJ  17.11
    AppMagnH  16.18
    AppMagnK  15.53
    AppMagnW1 14.75
    AppMagnW2 14.36
    AppMagnW3 13.02
}

Star "ULAS 14362+01425/ULAS J143623.86+014257.6"
{
    RA        14 36 23.9
    Dec       +01 42 58
    Class     "L1 V"
    AppMagnr  24.04
    AppMagni  22.87
    AppMagnJ  17.6
    AppMagnH  16.79
    AppMagnK  16.06
    AppMagnW1 15.6
    AppMagnW2 15.75
    AppMagnW3 12.65
}

Star "WISE 14394-11004/WISE J143942.79-110045.4"           //Unconfirmed
{
    RA        14 39 42.8
    Dec       -11  0 45
    Class     "L2 V"
}

Star "ULAS 14415+04373/ULAS J144151.55+043738.5"
{
    RA        14 41 51.6
    Dec       +04 37 39
    Class     "L1 V"
    AppMagnJ  17.33
    AppMagnH  16.78
    AppMagnK  16.41
    AppMagnW1 15.89
    AppMagnW2 15.46
    AppMagnW3 12.98
}

Star "ULAS 14422+08494/ULAS J144220.94+084945.9"
{
    RA        14 42 20.9
    Dec       +08 49 46
    Class     "L5 V"
    AppMagnr  24.25
    AppMagni  22.44
    AppMagnJ  17.3
    AppMagnH  16.43
    AppMagnK  15.71
    AppMagnW1 15.24
    AppMagnW2 14.99
    AppMagnW3 13.10
}

Star "ULAS 14481-00001/ULAS J144812.93-000018.6"
{
    RA        14 48 12.9
    Dec      -0.005278
    Class     "L2 V"
    AppMagnr  25.16
    AppMagni  22.48
    AppMagnJ  17.6
    AppMagnH  17.12
    AppMagnK  16.55
    AppMagnW1 16.08
    AppMagnW2 15.61
    AppMagnW3 13.09
}

Star "ULAS 14523+03394/ULAS J145231.11+033944.0"
{
    RA        14 52 31.1
    Dec       +03 39 44
    Class     "L0 V"
    AppMagnJ  18.07
    AppMagnH  17.19
    AppMagnK  16.51
    AppMagnW1 16.13
    AppMagnW2 15.85
    AppMagnW3 13.06
}

Star "ULAS 14554+00222/ULAS J145541.74+002224.3"
{
    RA        14 55 41.7
    Dec       +00 22 24
    Class     "L2 V"
    AppMagnr  24.18
    AppMagni  22.46
    AppMagnJ  17.61
    AppMagnH  16.73
    AppMagnK  15.98
    AppMagnW1 15.69
    AppMagnW2 15.26
    AppMagnW3 13.08
}

Star "2MASS 14574-39045/2MASS J14574906-3904511"
{
    RA        14 57 49.1
    Dec       -39  4 51
    Class     "L V"      //Unknown
}

Star "ULAS 15014-00514/ULAS J150140.69-005146.8"
{
    RA        15  1 40.7
    Dec      -0.863056
    Class     "L7 V"
    AppMagnJ  17.57
    AppMagnH  16.56
    AppMagnK  15.62
    AppMagnW1 13.41
    AppMagnW2 13.34
    AppMagnW3 12.83
}

Star "ULAS 15053+01023/ULAS J150531.70+010232.7"
{
    RA        15  5 31.7
    Dec       +01  2 33
    Class     "L2 V"
    AppMagnr  24.55
    AppMagni  22.73
    AppMagnJ  17.44
    AppMagnH  16.87
    AppMagnK  16.43
    AppMagnW1 15.84
    AppMagnW2 15.63
    AppMagnW3 13.08
}

Star "ULAS 15092+03444/ULAS J150927.83+034449.7"
{
    RA        15  9 27.8
    Dec       +03 44 50
    Class     "L2 V"
    AppMagnJ  17.25
    AppMagnH  16.18
    AppMagnK  15.26
    AppMagnW1 14.61
    AppMagnW2 14.22
    AppMagnW3 12.85
}

Star "ULAS 15114-02172/ULAS J151145.75-021726.5"
{
    RA        15 11 45.8
    Dec       -02 17 27
    Class     "L0 V"
    AppMagnJ  17.42
    AppMagnH  16.78
    AppMagnK  16.24
    AppMagnW1 16.01
    AppMagnW2 15.6
    AppMagnW3 11.75
}

Star "ULAS 15135-01330/ULAS J151355.05-013300.6"
{
    RA        15 13 55.1
    Dec       -01 33  1
    Class     "L1 V"
    AppMagnr  23.24
    AppMagni  21.48
    AppMagnJ  16.76
    AppMagnH  16.07
    AppMagnK  15.47
    AppMagnW1 15.23
    AppMagnW2 15.04
    AppMagnW3 11.86
}

Star "WISE 15144-29423/WISE J151442.58-294231.9"           //Unconfirmed
{
    RA        15 14 42.6
    Dec       -29 42 32
    Class     "L V"      //Unknown
    AppMagnJ  16.72
    AppMagnH  16.18
    AppMagnK  15.37
    AppMagnW1 14.95
    AppMagnW2 14.29
    AppMagnW3 12.53
}

Star "ULAS 15163+01105/ULAS J151637.89+011050.1"
{
    RA        15 16 37.9
    Dec       +01 10 50
    Class     "T6.5 V"
    AppMagnJ  18.41
    AppMagnH  18.67
    AppMagnK  18.49
}

Star "ULAS 15164+08360/ULAS J151649.84+083607.1"
{
    RA        15 16 49.8
    Dec       +08 36  7
    Class     "L5 V"
    AppMagnr  24.17
    AppMagni  22.69
    AppMagnJ  17.35
    AppMagnH  16.71
    AppMagnK  16.26
    AppMagnW1 15.68
    AppMagnW2 15.51
    AppMagnW3 13.11
}

Star "WISE 15165-26402/WISE J151656.50-264025.3"           //Unconfirmed
{
    RA        15 16 56.5
    Dec       -26 40 25
    Class     "L V"      //Unknown
    AppMagnJ  16.76
    AppMagnH  15.85
    AppMagnK  15.14
    AppMagnW1 14.8
    AppMagnW2 14.39
    AppMagnW3 12.59
}

Star "ULAS 15182+08551/ULAS J151821.34+085517.5"
{
    RA        15 18 21.3
    Dec       +08 55 18
    Class     "L5 V"
    AppMagnr  24.15
    AppMagni  22.55
    AppMagnJ  17.42
    AppMagnH  16.53
    AppMagnK  15.78
    AppMagnW1 14.81
    AppMagnW2 14.54
    AppMagnW3 12.88
}

Star "WISE 15270-26265/WISE J152709.58-262657.7"           //Unconfirmed
{
    RA        15 27  9.6
    Dec       -26 26 58
    Class     "L V"      //Unknown
    AppMagnJ  15.98
    AppMagnH  15.25
    AppMagnK  14.64
    AppMagnW1 14.25
    AppMagnW2 13.85
    AppMagnW3 12.48
}

Star "WISE 15273-29033/WISE J152734.62-290335.7"           //Unconfirmed
{
    RA        15 27 34.6
    Dec       -29  3 36
    Class     "L V"      //Unknown
    AppMagnJ  15.72
    AppMagnH  14.91
    AppMagnK  14.29
    AppMagnW1 13.87
    AppMagnW2 13.43
    AppMagnW3 11.32
}

Star "ULAS 15315+03360/ULAS J153156.73+033605.9"
{
    RA        15 31 56.7
    Dec       +03 36  6
    Class     "L4 V"
    AppMagnr  25.45
    AppMagni  22.33
    AppMagnJ  17.29
    AppMagnH  16.4
    AppMagnK  15.75
    AppMagnW1 15.14
    AppMagnW2 14.82
    AppMagnW3 12.47
}

Star "ULAS 15325-01251/ULAS J153256.84-012511.0"
{
    RA        15 32 56.8
    Dec       -01 25 11
    Class     "L4.5 V"
    AppMagnJ  17.65
    AppMagnH  16.83
    AppMagnK  16.06
    AppMagnW1 15.53
    AppMagnW2 14.97
    AppMagnW3 12.63
}

Star "ULAS 15340+05564/ULAS J153406.06+055643.9"
{
    RA        15 34  6.1
    Dec       +05 56 44
    Class     "T5 V"
    AppMagnJ  19.02
}

Star "ULAS 15403-00125/ULAS J154038.87-001256.7"
{
    RA        15 40 38.9
    Dec      -0.215833
    Class     "L4 V"
    AppMagnr  23.56
    AppMagni  21.66
    AppMagnJ  16.63
    AppMagnH  15.81
    AppMagnK  15.18
    AppMagnW1 14.46
    AppMagnW2 14.15
    AppMagnW3 12.77
}

Star "ULAS 15431+08044/ULAS J154319.80+080446.3"
{
    RA        15 43 19.8
    Dec       +08  4 46
    Class     "L1 V"
    AppMagnr  23.99
    AppMagni  21.99
    AppMagnJ  17.66
    AppMagnH  16.94
    AppMagnK  16.54
}

Star "ULAS 15444+09425/ULAS J154448.83+094256.9"
{
    RA        15 44 48.8
    Dec       +09 42 57
    Class     "L4 V"
    AppMagnr  23.81
    AppMagni  22.72
    AppMagnJ  17.67
    AppMagnH  16.98
    AppMagnK  16.37
    AppMagnW1 15.74
    AppMagnW2 15.68
    AppMagnW3 12.77
}

Star "WISE 15483-23085/WISE J154835.30-230855.4"           //Unconfirmed
{
    RA        15 48 35.3
    Dec       -23  8 55
    Class     "L V"      //Unknown
    AppMagnJ  14.73
    AppMagnH  14.19
    AppMagnK  13.57
    AppMagnW1 12.94
    AppMagnW2 12.4
    AppMagnW3 10.66
}

Star "ULAS 15491+26214/ULAS J154914.45+262145.6"
{
    RA        15 49 14.5
    Dec       +26 21 46
    Class     "T5 V"
    AppMagnJ  18.05
    AppMagnH  18.29
    AppMagnK  18.18
}

Star "WISE 15584-23155/WISE J155848.37-231559.1"           //Unconfirmed
{
    RA        15 58 48.4
    Dec       -23 15 59
    Class     "L V"      //Unknown
    AppMagnJ  16.25
    AppMagnH  15.54
    AppMagnK  15.02
    AppMagnW1 14.44
    AppMagnW2 13.86
    AppMagnW3 12.38
}

Star "2MASS 16005+30215/2MASS J16005759+3021571"
{
    RA        16  0 57.6
    Dec       +30 21 57
    Class     "L5 V"
    AppMagnJ  17.33
    AppMagnH  16.3
    AppMagnKs 15.66
}

Star "2MASS 16091+21165/2MASS J16091143+2116584"
{
    RA        16  9 11.4
    Dec       +21 16 58
    Class     "L2 V"
    AppMagnJ  17.19
    AppMagnH  16.25
    AppMagnKs 15.62
}

Star "2MASS 16094+14264/2MASS J16094569+1426422"
{
    RA        16  9 45.7
    Dec       +14 26 42
    Class     "L4 V"
    AppMagnJ  16.92
    AppMagnH  15.93
    AppMagnKs 15.28
}

Star "2MASS 16135+40191/2MASS J16135698+4019158"
{
    RA        16 13 57.0
    Dec       +40 19 16
    Class     "L5 V"
    AppMagnJ  17.46
    AppMagnH  16.3
    AppMagnKs 15.54
}

Star "ULAS 16143+24423/ULAS J161436.96+244230.1"
{
    RA        16 14 37.0
    Dec       +24 42 30
    Class     "T7 V"
    AppMagnJ  18.52
}

Star "ULAS 16171+23503/ULAS J161710.39+235031.4"
{
    RA        16 17 10.4
    Dec       +23 50 31
    Class     "T6 V"
    AppMagnJ  17.72
    AppMagnH  18.16
}

Star "ULAS 16193+23582/ULAS J161934.78+235829.3"
{
    RA        16 19 34.8
    Dec       +23 58 29
    Class     "T6 V"
    AppMagnJ  18.62
    AppMagnH  18.91
    AppMagnK  18.41
}

Star "ULAS 16193+30075/ULAS J161938.12+300756.4"
{
    RA        16 19 38.1
    Dec       +30  7 56
    Class     "T5 V"
    AppMagnJ  18.61
    AppMagnH  18.79
}

Star "WISE 16204-48595/WISE J162046.30-485952.1"           //Unconfirmed
{
    RA        16 20 46.3
    Dec       -48 59 52
    Class     "L2.5 V"
}

Star "2MASS 16231+39504/2MASS J162313.08+395041.9"
{
    RA        16 23 13.1
    Dec       +39 50 42
    Class     "L3 V"
    AppMagnJ  17.35
    AppMagnH  16.42
    AppMagnKs 15.81
}

Star "2MASS 16242+12514/2MASS J162429.36+125145.1"
{
    RA        16 24 29.4
    Dec       +12 51 45
    Class     "M9 V"
    AppMagnJ  16.68
    AppMagnH  15.88
    AppMagnKs 15.39
}

Star "2MASS 16322+28395/2MASS J163223.60+283956.7"
{
    RA        16 32 23.6
    Dec       +28 39 57
    Class     "L1 V"
    AppMagnJ  17.3
    AppMagnH  16.5
    AppMagnKs 16
}

Star "2MASS 16360+23360/2MASS J163607.52+233601.1"
{
    RA        16 36  7.5
    Dec       +23 36  1
    Class     "L1 V"
    AppMagnJ  17
    AppMagnH  16.16
    AppMagnKs 15.65
}

Star "2MASS 16370+25203/2MASS J163702.38+252038.6"
{
    RA        16 37  2.4
    Dec       +25 20 39
    Class     "L4 V"
    AppMagnJ  17.1
    AppMagnH  16.18
    AppMagnKs 15.61
}

Star "2MASS 16403+52155/2MASS J164038.70+521550.5"
{
    RA        16 40 38.7
    Dec       +52 15 51
    Class     "M9 V"
    AppMagnJ  17.97
    AppMagnH  17.19
    AppMagnKs 16.72
}

Star "2MASS 16410+13355/2MASS J164100.15+133559.1"
{
    RA        16 41  0.2
    Dec       +13 35 59
    Class     "L2 V"
    AppMagnJ  17.48
    AppMagnH  16.56
    AppMagnKs 15.97
}

Star "2MASS 16470+51200/2MASS J16470847+5120088"
{
    RA        16 47  8.5
    Dec       +51 20  9
    Class     "M9 V"
    AppMagnJ  17.1
    AppMagnH  16.36
    AppMagnKs 15.91
}

Star "2MASS 16592+20552/2MASS J16592987+2055298"
{
    RA        16 59 29.9
    Dec       +20 55 30
    Class     "M9 V"
    AppMagnJ  17.75
    AppMagnH  17.06
    AppMagnKs 16.58
}

Star "2MASS 17065-13143/2MASS J17065487-1314396"
{
    RA        17  6 54.9
    Dec       -13 14 40
    Class     "L5 V"
    AppMagnJ  14.52
    Teff      1900
}

Star "2MASS 17081+25574/2MASS J17081563+2557474"
{
    RA        17  8 15.6
    Dec       +25 57 47
    Class     "L5 V"
    AppMagnJ  16.92
    AppMagnH  15.68
    AppMagnKs 14.84
}

Star "2MASS 17145+24390/2MASS J171452.24+243902.4"
{
    RA        17 14 52.2
    Dec       +24 39  2
    Class     "M9 V"
    AppMagnJ  16.67
    AppMagnH  15.86
    AppMagnKs 15.35
}

Star "2MASS 17161+41251/2MASS J17161258+4125143"
{
    RA        17 16 12.6
    Dec       +41 25 14
    Class     "L4 V"
    AppMagnJ  16.82
    AppMagnH  15.83
    AppMagnKs 15.16
}

Star "2MASS 17251+64050/2MASS J172515.57+640500.5"
{
    RA        17 25 15.6
    Dec       +64  5  1
    Class     "L2 V"
    AppMagnJ  17.4
    AppMagnH  16.66
    AppMagnKs 16.2
}

Star "WISE 17400-73372/WISE J174006.68-733720.4"           //Unconfirmed
{
    RA        17 40  6.7
    Dec       -73 37 20
    Class     "L1.5 V"
}

Star "WISE 18083+07002/WISE J180839.55+070021.7"           //Unconfirmed
{
    RA        18  8 39.6
    Dec       +07  0 22
    Class     "L4.5 V"
}

Star "2MASS 18462-57060/2MASS J18462188-5706040"
{
    RA        18 46 21.9
    Dec       -57  6  4
    Class     "L1 V"
    AppMagnJ  15.06
}

Star "WISE 19271+38375/WISE J192714.29+383754.2"           //Unconfirmed
{
    RA        19 27 14.3
    Dec       +38 37 54
    Class     "L7 V"
}

Star "2MASS 19350-62004/2MASS J19350976-6200473"
{
    RA        19 35  9.8
    Dec       -62  0 47
    Class     "L1 V"
    AppMagnJ  16.25
    Teff      2100
    Radius    107662.94
    MassSol   0.0133035
}

Star "2MASS 19395-52164/2MASS J19395435-5216468"
{
    RA        19 39 54.4
    Dec       -52 16 47
    Class     "L1 V"
    AppMagnJ  14.66
}

Star "2MASS 20135-28060/2MASS J20135152-2806020"
{
    RA        20 13 51.5
    Dec       -28  6  2
    Class     "L0 V"
    Radius    76902.1
    MassSol   0.015204
}

Star "2MASS 20282-56370/2MASS J20282203-5637024"
{
    RA        20 28 22.0
    Dec       -56 37  2
    Class     "M8.5 V"
    AppMagnJ  13.84
    Teff      2300
    Radius    127937.13
    MassSol   0.034209
}

Star "2MASS 20334-56353/2MASS J20334473-5635338"
{
    RA        20 33 44.7
    Dec       -56 35 34
    Class     "L0 V"
    AppMagnJ  15.72
    Teff      2100
    Radius    109061.16
    MassSol   0.0133035
}

Star "2MASS 20391-11265/2MASS J20391314-1126531"
{
    RA        20 39 13.1
    Dec       -11 26 53
    Class     "M7 V"
    AppMagnJ  13.79
    Teff      2600
    Radius    106963.83
    MassSol   0.0703185
}

Star "2MASS 20484-51274/2MASS J20484222-5127435"
{
    RA        20 48 42.2
    Dec       -51 27 44
    Class     "L2 V"
    AppMagnJ  15.38
    Teff      1900
}

Star "2MASS 21050-05335/2MASS J210501.30-053350.5"
{
    RA        21  5  1.3
    Dec       -05 33 51
    Class     "M7 V"
    AppMagnJ  16.32
    AppMagnH  15.65
    AppMagnKs 15.28
}

Star "ULAS 21104+00055/ULAS J211045.61+000557.0"
{
    RA        21 10 45.6
    Dec       +00  5 57
    Class     "L1.5 V"
}

Star "2MASS 21111-05434/2MASS J211115.59-054343.7"
{
    RA        21 11 15.6
    Dec       -05 43 44
    Class     "M9 V"
    AppMagnJ  16.46
    AppMagnH  15.67
    AppMagnKs 15.17
}

Star "2MASS 21115-06441/2MASS J211153.35-064417.2"
{
    RA        21 11 53.4
    Dec       -06 44 17
    Class     "M9 V"
    AppMagnJ  17.38
    AppMagnH  16.6
    AppMagnKs 16.06
}

Star "WISE 21115-52111/WISE J211157.84-521111.3"           //Unconfirmed
{
    RA        21 11 57.8
    Dec       -52 11 11
    Class     "L9.5 V"
}

Star "WISE 21121-49171/WISE J211219.83-491717.0"           //Unconfirmed
{
    RA        21 12 19.8
    Dec       -49 17 17
    Class     "L8 V"
}

Star "ULAS 21161-01012/ULAS J211616.26-010124.3"
{
    RA        21 16 16.3
    Dec       -01  1 24
    Class     "T6 V"
    AppMagnJ  18.27
}

Star "2MASS 21203-07473/2MASS J212034.83-074737.8"
{
    RA        21 20 34.8
    Dec       -07 47 38
    Class     "L2 V"
    AppMagnJ  17.17
    AppMagnH  16.24
    AppMagnKs 15.68
}

Star "WISE 21351-04315/WISE J213512.09-043155.0"           //Unconfirmed
{
    RA        21 35 12.1
    Dec       -04 31 55
    Class     "L0.5 V"
}

Star "2MASS 21392+11243/2MASS J213922.24+112432.3"
{
    RA        21 39 22.2
    Dec       +11 24 32
    Class     "M8 V"
    AppMagnJ  17.54
    AppMagnH  16.81
    AppMagnKs 16.39
}

Star "WISE 21433-17072/WISE J214338.47-170723.8"           //Unconfirmed
{
    RA        21 43 38.5
    Dec       -17  7 24
    Class     "L0.5 V"
    AppMagnH  18.84
}

Star "2MASS 21512+35472/2MASS J215122797+3547206"           //Unconfirmed
{
    RA        21 51 28.0
    Dec       +35 47 21
    Class     "M9 V"
}

Star "2MASS 21544-74591/2MASS J21544859-7459134"
{
    RA        21 54 48.6
    Dec       -74 59 13
    Class     "M9.5 V"
    AppMagnJ  14.29
    Teff      2300
    Radius    125839.8
    MassSol   0.019005
}

Star "ULAS 21570+00561/ULAS J215700.47+005614.5"
{
    RA        21 57  0.5
    Dec       +00 56 15
    Class     "L5.5 V"
    AppMagnr  24.27
    AppMagni  22.27
    AppMagnJ  17.85
    AppMagnH  16.87
    AppMagnK  16.11
}

Star "ULAS 21592+00330/ULAS J215920.00+003309.7"
{
    RA        21 59 20.0
    Dec       +00 33 10
    Class     "L4.5 V"
    AppMagnr  24.52
    AppMagni  23.01
    AppMagnJ  17.73
    AppMagnH  16.99
    AppMagnK  16.37
    AppMagnW1 15.84
    AppMagnW2 15.9
    AppMagnW3 12.53
}

Star "2MASS 22025-56050/2MASS J22025794-5605087"
{
    RA        22  2 57.9
    Dec       -56  5  9
    Class     "M9 V"
    AppMagnJ  14.36
    Teff      2600
    Radius    125140.69
    MassSol   0.019005
}

Star "2MASS 22062-61162/2MASS J22062157-6116284"
{
    RA        22  6 21.6
    Dec       -61 16 28
    Class     "L0 V"
    AppMagnJ  16.61
    Teff      2100
}

Star "ULAS 22091-00525/ULAS J220917.12-005259.9"
{
    RA        22  9 17.1
    Dec      -0.883333
    Class     "L1 V"
    AppMagnr  23.74
    AppMagni  22.8
    AppMagnJ  18.01
    AppMagnH  17.26
    AppMagnK  16.64
    AppMagnW1 16.36
    AppMagnW2 16.28
    AppMagnW3 12.53
}

Star "WISE 22112-19220/WISE J221126.37-192207.4"           //Unconfirmed
{
    RA        22 11 26.4
    Dec       -19 22  7
    Class     "L0 V"
}

Star "WISE 22173-35524/WISE J221737.41-355242.7"           //Unconfirmed
{
    RA        22 17 37.4
    Dec       -35 52 43
    Class     "L0.5 V"
}

Star "ULAS 22190+06305/ULAS J221904.07+063059.1"
{
    RA        22 19  4.1
    Dec       +06 30 59
    Class     "L5 V"
    AppMagnJ  18.12
    AppMagnH  17.21
    AppMagnK  16.45
    AppMagnW1 15.88
    AppMagnW2 15.61
    AppMagnW3 12.69
}

Star "2MASS 22191-68280/2MASS J22191486-6828018"
{
    RA        22 19 14.9
    Dec       -68 28  2
    Class     "M6 V"
    AppMagnJ  13.92
    Teff      3100
    Radius    123043.36
    MassSol   0.030408
}

Star "ULAS 22334+00221/ULAS J223347.82+002214.0"
{
    RA        22 33 47.8
    Dec       +00 22 14
    Class     "T0 V"
    AppMagnr  23.36
    AppMagni  21.93
    AppMagnJ  18.07
    AppMagnH  17.36
    AppMagnK  16.64
    AppMagnW1 16.08
    AppMagnW2 15.7
    AppMagnW3 12.57
}

Star "WISE 22344-23091/WISE J223444.44-230916.1"           //Unconfirmed
{
    RA        22 34 44.4
    Dec       -23  9 16
    Class     "L7.5 V"
}

Star "2MASS 22351-38441/2MASS J22351658-3844154"
{
    RA        22 35 16.6
    Dec       -38 44 15
    Class     "L1.5 V"
    AppMagnJ  15.18
    Teff      1600
    Radius    113255.82
    MassSol   0.0133035
}

Star "2MASS 22353-59063/2MASS J22353560-5906306"
{
    RA        22 35 35.6
    Dec       -59  6 31
    Class     "M8.5 V"
    AppMagnJ  14.28
    Teff      2300
    Radius    123043.36
    MassSol   0.0171045
}

Star "ULAS 22363+01113/ULAS J223636.89+011132.3"
{
    RA        22 36 36.9
    Dec       +01 11 32
    Class     "L3.5 V"
    AppMagnr  23.67
    AppMagni  22.18
    AppMagnJ  17.11
    AppMagnH  16.24
    AppMagnK  15.47
    AppMagnW1 14.98
    AppMagnW2 14.72
    AppMagnW3 12.37
}

Star "ULAS 22375+07165/ULAS J223756.91+071656.8"
{
    RA        22 37 56.9
    Dec       +07 16 57
    Class     "L7.5 V"
    AppMagnr  24.5
    AppMagni  23.2
    AppMagnJ  17.49
    AppMagnH  16.45
    AppMagnK  15.66
    AppMagnW1 14.85
    AppMagnW2 14.49
    AppMagnW3 12.02
}

Star "ULAS 22405+00082/ULAS J224051.81+000822.0"
{
    RA        22 40 51.8
    Dec       +00  8 22
    Class     "L1 V"
    AppMagnr  24.14
    AppMagni  22.29
    AppMagnJ  17.82
    AppMagnH  17.12
    AppMagnK  16.58
    AppMagnW1 16.28
    AppMagnW2 15.93
    AppMagnW3 11.79
}

Star "2MASS 22483+13014/2MASS J224835.13+130145.3"
{
    RA        22 48 35.1
    Dec       +13  1 45
    Class     "M9 V"
    AppMagnJ  17.14
    AppMagnH  16.38
    AppMagnKs 15.92
}

Star "ULAS 22492+07152/ULAS J224922.85+071527.9"
{
    RA        22 49 22.9
    Dec       +07 15 28
    Class     "L1 V"
    AppMagnJ  18.09
    AppMagnH  17.54
    AppMagnK  16.86
}

Star "ULAS 22501+08082/ULAS J225016.39+080822.4"
{
    RA        22 50 16.4
    Dec       +08  8 22
    Class     "L3 V"
    AppMagnr  22.86
    AppMagni  20.36
    AppMagnJ  15.5
    AppMagnH  15.05
    AppMagnK  14.51
    AppMagnW1 13.99
    AppMagnW2 13.68
    AppMagnW3 12.44
}

Star "ULAS 22502-00160/ULAS J225023.52-001605.9"
{
    RA        22 50 23.5
    Dec      -0.268333
    Class     "T7 V"
    AppMagnJ  18.97
}

Star "ULAS 22511-00072/ULAS J225114.89-000724.4"
{
    RA        22 51 14.9
    Dec      -0.123333
    Class     "L1 V"
    AppMagnr  25.11
    AppMagni  22.11
    AppMagnJ  17.95
    AppMagnH  17.35
    AppMagnK  16.49
    AppMagnW1 16.81
    AppMagnW2 14.87
    AppMagnW3 11.30
}

Star "ULAS 22562+06215/ULAS J225624.82+062152.9"
{
    RA        22 56 24.8
    Dec       +06 21 53
    Class     "T3 V"
    AppMagnJ  18.14
    AppMagnH  17.93
    AppMagnK  17.65
}

Star "ULAS 23004+07033/ULAS J230049.08+070338.0"
{
    RA        23  0 49.1
    Dec       +07  3 38
    Class     "T4.5 V"
    AppMagnJ  17.67
    AppMagnH  17.77
    AppMagnK  17.74
}

Star "ULAS 23020+07003/ULAS J230203.04+070038.8"
{
    RA        23  2  3.0
    Dec       +07  0 39
    Class     "T4 V"
    AppMagnJ  17.63
    AppMagnH  17.38
    AppMagnK  17.51
    AppMagnW1 16.93
    AppMagnW2 15.89
    AppMagnW3 12.71
}

Star "2MASS 23023-09351/2MASS J230233.19-093518.8"
{
    RA        23  2 33.2
    Dec       -09 35 19
    Class     "M7 V"
    AppMagnJ  17.41
    AppMagnH  16.75
    AppMagnKs 16.36
}

Star "ULAS 23035+00580/ULAS J230358.64+005807.3"
{
    RA        23  3 58.6
    Dec       +00 58  7
    Class     "L5 V"
    AppMagnr  24.06
    AppMagni  23.27
    AppMagnJ  17.82
    AppMagnH  16.99
    AppMagnK  16.15
    AppMagnW1 15.66
    AppMagnW2 15.18
    AppMagnW3 12.69
}

Star "ULAS 23042+13011/ULAS J230424.80+130111.3"
{
    RA        23  4 24.8
    Dec       +13  1 11
    Class     "L5 V"
    AppMagnr  24.16
    AppMagni  21.53
    AppMagnJ  16.69
    AppMagnH  15.93
    AppMagnK  15.2
    AppMagnW1 14.69
    AppMagnW2 14.64
    AppMagnW3 12.76
}

Star "ULAS 23043+08040/ULAS J230434.41+080401.4"
{
    RA        23  4 34.4
    Dec       +08  4  1
    Class     "T2 V"
    AppMagnJ  17.89
    AppMagnH  17.48
    AppMagnK  17.22
    AppMagnW1 16.9
    AppMagnW2 15.7
    AppMagnW3 12.63
}

Star "ULAS 23123+00060/ULAS J231236.55+000602.3"
{
    RA        23 12 36.6
    Dec       +00  6  2
    Class     "L3 V"
    AppMagnr  23.72
    AppMagni  22.35
    AppMagnJ  17.65
    AppMagnH  17.05
    AppMagnK  16.41
    AppMagnW1 16.14
    AppMagnW2 15.96
    AppMagnW3 12.61
}

Star "2MASS 23155-47473/2MASS J23155665-4747315"
{
    RA        23 15 56.7
    Dec       -47 47 32
    Class     "L3 V"
    AppMagnJ  16.08
    Teff      1800
}

Star "ULAS 23164+01001/ULAS J231645.70+010012.5"
{
    RA        23 16 45.7
    Dec       +01  0 13
    Class     "L2 V"
    AppMagnr  25.36
    AppMagni  23.02
    AppMagnJ  17.95
    AppMagnH  17.26
    AppMagnK  16.7
    AppMagnW1 16.49
    AppMagnW2 15.92
    AppMagnW3 12.51
}

Star "ULAS 23212-00455/ULAS J232122.72-004557.3"
{
    RA        23 21 22.7
    Dec      -0.765833
    Class     "L3 V"
    AppMagnr  25.19
    AppMagni  22.96
    AppMagnJ  18
    AppMagnH  17.6
    AppMagnK  17.13
}

Star "ULAS 23225+00054/ULAS J232259.58+000541.5"
{
    RA        23 22 59.6
    Dec       +00  5 42
    Class     "L3 V"
    AppMagnr  24.1
    AppMagni  22.71
    AppMagnJ  18.01
    AppMagnH  17.26
    AppMagnK  16.86
    AppMagnW1 16.61
    AppMagnW2 16.29
    AppMagnW3 12.70
}

Star "2MASS 23231-02443/2MASS J23231347-0244360"
{
    RA        23 23 13.5
    Dec       -02 44 36
    Class     "M8 V"
    AppMagnJ  13.58
    Teff      2600
    Radius    129335.35
    MassSol   0.01615425
}

Star "ULAS 23231+07193/ULAS J232315.39+071931.0"
{
    RA        23 23 15.4
    Dec       +07 19 31
    Class     "T2 V"
    AppMagnr  25.32
    AppMagni  23.73
    AppMagnJ  17.3
    AppMagnH  16.55
    AppMagnK  16.2
    AppMagnW1 15.54
    AppMagnW2 14.78
    AppMagnW3 12.59
}

Star "2MASS 23254+42514/2MASS J23254530+4251488 B"
{
    RA        23 25 45.3
    Dec       +42 51 49
    Class     "L7 V"
    Teff      1200
}

Star "2MASS 23255-02595/2MASS J23255604-0259508"
{
    RA        23 25 56.0
    Dec       -02 59 51
    Class     "L1 V"
    AppMagnJ  15.96
    Teff      1800
    Radius    85291.42
    MassSol   0.02945775
}

Star "ULAS 23260+02013/ULAS J232600.40+020139.2"
{
    RA        23 26  0.4
    Dec       +02  1 39
    Class     "T8 V"
    AppMagnJ  17.98
    AppMagnH  18.46
    AppMagnK  18.41
}

Star "ULAS 23271+15172/ULAS J232715.67+151729.5"
{
    RA        23 27 15.7
    Dec       +15 17 30
    Class     "L3.5 V"
    AppMagnr  23.74
    AppMagni  21.3
    AppMagnJ  16.2
    AppMagnH  15.36
    AppMagnK  14.68
    AppMagnW1 14.15
    AppMagnW2 13.99
    AppMagnW3 12.09
}

Star "ULAS 23273+01025/ULAS J232732.12+010252.7"
{
    RA        23 27 32.1
    Dec       +01  2 53
    Class     "L4 V"
    AppMagnJ  18.07
    AppMagnH  17.24
    AppMagnK  16.61
    AppMagnW1 16.11
    AppMagnW2 15.54
    AppMagnW3 12.41
}

Star "ULAS 23300+14032/ULAS J233002.13+140329.9"
{
    RA        23 30  2.1
    Dec       +14  3 30
    Class     "L1 V"
    AppMagnJ  17.37
    AppMagnH  16.79
    AppMagnK  16.11
    AppMagnW1 15.76
    AppMagnW2 15.4
    AppMagnW3 12.15
}

Star "2MASS 23355-34014/2MASS J23355015-3401477"
{
    RA        23 35 50.2
    Dec       -34  1 48
    Class     "M6 V"
    AppMagnJ  11.64
    Teff      3000
    Radius    165689.07
    MassSol   0.05606475
}

Star "2MASS 23360-35414/2MASS J23360735-3541489"
{
    RA        23 36  7.4
    Dec       -35 41 49
    Class     "M9 V"
    AppMagnJ  14.65
    Teff      2300
}

Star "ULAS 23394+07532/ULAS J233942.81+075327.2"
{
    RA        23 39 42.8
    Dec       +07 53 27
    Class     "L4 V"
    AppMagnJ  18.13
    AppMagnH  17.34
    AppMagnK  16.54
    AppMagnW1 16.08
    AppMagnW2 16.13
    AppMagnW3 12.45
}

Star "2MASS 23433-36460/2MASS J23433470-3646021"
{
    RA        23 43 34.7
    Dec       -36 46  2
    Class     "L4 V"
    AppMagnJ  16.57
    Teff      1500
}

Star "WISE 23440-25004/WISE J234404.85-250042.2"           //Unconfirmed
{
    RA        23 44  4.9
    Dec       -25  0 42
    Class     "L2 V"
}

Star "2MASS 23443-08550/2MASS J234437.44-085507.5"
{
    RA        23 44 37.4
    Dec       -08 55  8
    Class     "M9 V"
    AppMagnJ  16.96
    AppMagnH  16.24
    AppMagnKs 15.79
}

Star "ULAS 23471-01100/ULAS J234716.98-011009.1"
{
    RA        23 47 17.0
    Dec       -01 10  9
    Class     "L9 V"
    AppMagnr  24.38
    AppMagni  22.62
    AppMagnJ  17.57
    AppMagnH  16.72
    AppMagnK  15.9
    AppMagnW1 15.04
    AppMagnW2 14.65
    AppMagnW3 12.14
}

Star "ULAS 23520+12444/ULAS J235204.62+124444.9"
{
    RA        23 52  4.6
    Dec       +12 44 45
    Class     "T6.5 V"
    AppMagnJ  18.27
    AppMagnH  18.55
    AppMagnK  18.41
}

Star "ULAS 23561+07542/ULAS J235618.01+075420.4"
{
    RA        23 56 18.0
    Dec       +07 54 20
    Class     "T0 V"
    AppMagnJ  18.09
    AppMagnH  16.99
    AppMagnK  16.22
    AppMagnW1 15.72
    AppMagnW2 15.5
    AppMagnW3 12.10
}