// Star solver log level:
// 0 - do not log
// 1 - log errors and warnings only
// 2 - log everything
LogLevel    1

///////////////////////////////////////////////////////////
//        Some famous binary and multiple stars          //
///////////////////////////////////////////////////////////

RemoveStar	"ALF Cen A"
RemoveStar	"ALF Cen B"
StarBarycenter	"ALF Cen/Toliman/Bungula/Rigel Kentaurus/Gliese 559"
{
	RA      14.6611677
	Dec    -60.837128
	Dist    1.339
}

StarBarycenter "Sirius/Alhabor/ALF CMa/9 CMa/Gliese 244/HIP 32349/HD 48915/SAO 151881"
{
	RA      6.7524722
	Dec    -16.716111
	Dist    2.587687
}

StarBarycenter "Procyon/Elgomaisa/ALF CMi/10 CMi/Gliese 280"
{
	RA      07 39 18.1
	Dec    +05 13 29
	Dist    3.496
}

StarBarycenter	"Keid/OMI2 Eri/40 Eri/Gliese 166/HIP 19849/HD 26965"
{
	RA      4.25489941
	Dec     -7.64455786
	Dist    5.0443904
}

StarBarycenter "Polaris/Cynosura/Alrukaba/ALF UMi/1 UMi/HR 424/HD 8890/HIP 11767/SAO 308"
{
	RA      02 31 49.09
	Dec    +89 15 50.8
	Dist    99
	AppMagn 1.98
}

StarBarycenter "Algol/BET Per/26 Per/HIP 14576/HD 19356"
{
	RA      03 08 10.1315
	Dec    +40 57 20.332
	Dist    28.5
	AppMagn 2.2
}

RemoveStar "BET1 Cyg"
RemoveStar "BET2 Cyg"
StarBarycenter "Albireo/BET Cyg/6 Cyg"
{
	RA      19.5124414	// barycenter
	Dec     27.9636766	// barycenter
	Dist    118.2033
	AppMagn 3.08
}

StarBarycenter "Castor/ALF Gem/66 Gem/HIP 36850/HD 60179/SAO 60198"
{
	RA      07 34 36
	Dec    +31 53 18
	Dist    15.3
}

StarBarycenter "Mizar/Mizat/Mirza/Mitsar/Vasistha/ZET UMa/79 UMa"
{
	RA       13 23 55.5
	Dec     +54 55 31
	Dist     23.964 // using the same as in .dat catalog
	AppMagn  2.23
}

StarBarycenter "Alcor/Saidak/Suha/Arundhati/g UMa/80 UMa"
{
	RA       13 25 13.5
	Dec     +54 59 17
	Dist     23.964 // using the same as in .dat catalog
	AppMagn  3.99
}

StarBarycenter "Mira/Stella Mira/Collum Cet/Wonderful Star/OMI Cet/68 Cet/HIP 10826/HD 14386/HR 681/ADS 1778/WDS 02193-0259"
{
	RA      02 19 20.79210
	Dec     -02 58 39.4956
	Dist    91.7178
	AppMagn 6.47
}

RemoveStar	"GJ 2130 A"
RemoveStar	"GJ 2130 B"
StarBarycenter "Gliese 2130/GJ 2130"
{
	RA       17.77043482465 // (17.770184326 + 17.7706853233) / 2
	Dec     -32.102215045   // (-32.10277328 - 32.10165681)   / 2
	Dist     6.181616
}

StarBarycenter	"DEL Tri/8 Tri"
{
	RA	    2.2842306
	Dec     34.2242294
	Dist	10.784
}

RemoveStar	"36 Oph C"
StarBarycenter	"36 Oph"
{
	RA      17 15 20.9783
	Dec     -26 36 10.186
	Dist    5.97
}

StarBarycenter	"RHO1 Cnc/55 Cnc/HIP 43587/HD 75732"
{
	RA      8.8767041
	Dec     28.3313888
	Dist    12.5313281
}

RemoveStar	"Struve 2398 A"
RemoveStar	"Struve 2398 B"
StarBarycenter "Struve 2398/Gliese 725"
{
	RA       18 42 46.8
	Dec     +59 37 42.5
	Dist     3.53357
}

StarBarycenter	"EZ Aqr/Gliese 866/GJ 866/Luyten 789-6"
{
	RA			22 38 33.73
	Dec		   -15 17 57.3
	Dist		3.45
	AppMagn		12.87
	Class	   "M5V"
}

StarBarycenter	"V1581 Cyg/Gliese 1245/GJ 1245"
{
	RA				19 53 54.492
	Dec			   +44 24 53.41
	Dist			4.65
	AppMagn			13.41
	Class		   "M5 V"
}

StarBarycenter	"Luyten 726-8/Gliese 65"
{
	RA			01 39 01.54
	Dec		   -17 57 01.8
	Dist		2.68
	Class	   "M6 V"
	AppMagn		12.54
	MassSol		0.1
	Radius		97370
}

StarBarycenter	"Wolf 424/FL Vir/LHS 333"
{
	RA			12 33 17.38
	Dec		   +09 01 15.8
	Dist		4.39
	AppMagn		13.21
	Class	   "M6V"
}

RemoveStar	"Gliese 820 A"
RemoveStar	"Gliese 820 B"
StarBarycenter	"61 Cyg/Gliese 820/Struve 2758"
{
	RA			21 06 53.9434
	Dec		   +38 44 57.898
	Dist		3.498
	AppMagn		5
}

RemoveStar	"Lalande 21258"
StarBarycenter	"Gliese 412/BD+44 2051"
{
	RA				11 05 28.5777
	Dec			   +43 31 36.394
	Dist			4.83
    AbsMagn			10.34
	Class		   "M2V"
	FeH			   -0.43
}

///////////////////////////////////////////////////////////
//                 Brown dwarf systems                   //
///////////////////////////////////////////////////////////

StarBarycenter	"Luhman 16/LUH 16/Luhman-Wise 1/WISE 1049/WISE J104915.57-531906.1/IRAS Z10473-5303/AKARI J1049166-531907"
{
	RA     10 49 18.723
	Dec   -53 19 09.86
	Dist   2.0245
}

StarBarycenter	"Gliese 570/GJ 570/HR 5568"
{
	RA      14 57 28
	Dec    -21 24 55
	Dist    5.84
	AppMagn 5.64
	Class  "K4V"
}

StarBarycenter "Oph 162225-240515"
{
	RA       16 22 25
	Dec     -24 05 15
	Dist     122
}

StarBarycenter "SCR 1845-6357"
{
	RA      18 45 05.26
	Dec    -63 57 47.8
	Dist    3.865
}

StarBarycenter	"WISE 0458+6434"
{
	RA      4.981666668
	Dec     64.58138891
	Dist    10.5
	Class  "T8.5"
}

StarBarycenter	"WISE 1217+1626"
{
	RA      12.29916667
	Dec     16.44444446
	Dist    10
	AppMagn 18.8	// K band
	Class  "T8.5"
}

StarBarycenter	"CFBDSIR J145829+101343"
{
	RA      14.97472227
	Dec     10.228611
	Dist    23.1
	AppMagn 20.18
	Class  "T9.5"
}

StarBarycenter	"WISE J0720-0846"
{
	RA      7.334166667
	Dec     -8.78083336
	Dist    6.8
	AppMagn 18.3
	Class  "M9V"
}

///////////////////////////////////////////////////////////
//  Barycenters of multiple stars - hosts of exoplanets  //
///////////////////////////////////////////////////////////

StarBarycenter	"2M 0103-55/2MASS J01033563-5515561"
{
	RA      1.06
	Dec     -55.2656
	Dist    47.2
	AppMagn 7.5
	Class  "M"
	MassSol 0.4
	Age     0.03
}

StarBarycenter	"DP Leo"
{
	RA      11.2877778
	Dec     17.961417
	Dist    400
	AppMagn 17.5
	Class  "DA1"
	MassSol 0.69
}

StarBarycenter	"Ross 458/Gliese 494/Wolf 462/DT Vir/HIP 63510"
{
	RA      13.01293947
	Dec     12.375724
	Dist    11.43
	AppMagn 9.72
	Class  "M0.5"
	MassSol 0.6
	Age     0.475
}

StarBarycenter	"FW Tau"
{
	RA      4.491666667
	Dec     26.28138891
	Dist    145
	AppMagn 15.5
	Class  "M4"
	MassSol 0.26
	Teff    3270
	Age     0.0018
}

StarBarycenter	"HU Aqr"
{
	RA      21.13277778
	Dec     -5.2947222
	Dist    180
	AppMagn 15
	Class  "DA1"
	MassSol 1
}

StarBarycenter	"HW Vir"
{
	RA      12.73888889
	Dec     -8.6713889
	Dist    181
	AppMagn 10.9
	Class  "DA1"
	MassSol 0.627
}

StarBarycenter	"Kepler-444/KOI-3158/KIC 6278762/HIP 94931"
{
	RA      19.31681927
	Dec     41.634605
	Dist    35.7
	AppMagn 8.88
	Class  "K0V"
}

StarBarycenter	"Kepler-453/KOI-1451/KIC 9632895"
{
	RA      18.88275306
	Dec     46.37847224
	AppMagn 13.552   // KOI-1451 value from the article
	Dist    515.0738 // calculated from AppMagn and calculated luminosity
	MassSol 0.934
	RadSol  0.833
	Teff    5527
}

StarBarycenter	"HR 7162/BD+32 3267/HD 176051/HIP 93017/SAO 67612"
{
	RA      18.95055555
	Dec     32.9013889
	Dist    14.99
	AppMagn 5.22
}

RemoveStar	"HD 178911 B"
StarBarycenter	"HD 178911/HR 7272"
{
	RA      19.1508626
	Dec     34.59985
	Dist    46.73
	AppMagn 7.792
}

RemoveStar	"HD 99492" // 83 Leo B
StarBarycenter "83 Leo/Gliese 429/HD 99491"
{
	RA       11 26 45.32
	Dec     +03 00 47.18
	Dist     17.67
}

RemoveStar "HD 89484"
StarBarycenter	"Algieba/GAM Leo/41 Leo"
{
	RA      10.3328766
	Dec     19.841488
	Dist    38.52
	AppMagn 1.98
	Class  "K1IIIb"
	MassSol 1.23
	RadSol  31.88
	Teff    4330
	FeH    -0.51
}

RemoveStar	"16 Cyg A"
RemoveStar	"16 Cyg B"
StarBarycenter	"16 Cyg"
{
	RA      19 41 50.46	// center of mass of A and B components
	Dec    +50 31 16.65	// center of mass of A and B components
	Dist    21.41
}

StarBarycenter	"HD 41004/HIP 28393"
{
	RA      5.9971254 // center of mass of A and B components
	Dec    -48.239787 // center of mass of A and B components
	Dist    43.03
	AppMagn 8.621
	Class  "K1V"
}

StarBarycenter	"NN Ser"
{
	RA      15.88222222
	Dec     12.9130556
	Dist    500
	AppMagn 16.6
	Class  "M"
	MassSol 0.646
	Teff    57000
}

StarBarycenter	"NY Vir"
{
	RA      13.64666667
	Dec     -2.0302778
	AppMagn 13.3
	Class  "WD"
	MassSol 0.6
	Teff    33000
}

StarBarycenter	"RR Cae/Gliese 2034"
{
	RA      4.3515452
	Dec     -48.651978
	Dist    20.1
	AppMagn 14.4
	Class  "M"
	MassSol 0.44
}

StarBarycenter	"SR 12"
{
	RA      16.45541993
	Dec     -24.694553
	Dist    125
	AppMagn 13.265
	Class  "K4V"
	Age     0.001
}

StarBarycenter	"ROXs 42B"
{
	RA      16.52083333
	Dec     -24.5456
	Dist    135
	AppMagn 14.27
	Class  "M0V"
	MassSol 0.6
	Teff    2200
}

StarBarycenter	"Kepler-16"
{
	RA      19.27171427
	Dec     51.757439
	Dist    61
	AppMagn 12
	Class  "K"
	MassSol 0.69
	RadSol  0.65
	Teff    4450
	FeH    -0.3
}

StarBarycenter	"Kepler-34"
{
	RA      19.7625
	Dec     44.6416667
	Dist    1499
	AppMagn 15
	Class  "G"
	MassSol 2.0687
	RadSol  1.1
	Teff    5913
	FeH    -0.07
}

StarBarycenter	"Kepler-35"
{
	RA      19.63313193
	Dec     46.689762
	Dist    1645
	AppMagn 16
	Class  "G"
	MassSol 0.89
	RadSol  1.03
	Teff    5606
	FeH    -0.34
}

StarBarycenter	"Kepler-38"
{
	RA      19.12194667
	Dec     42.2792
	Dist    600
	AppMagn 14.3
	Class  "G4V"
	MassSol 0.949
	RadSol  1.757
	Teff    5640
	FeH    -0.158
}

StarBarycenter	"Kepler-47"
{
	RA      19.68652667
	Dec     46.92
	Dist    1500
	AppMagn 13.639
	MassSol 1.043
	RadSol  0.964
	Teff    5636
	FeH    -0.25
}

StarBarycenter	"Kepler-64"
{
	RA      19.88111333
	Dec     39.955
	Dist    1000
	AppMagn 12.461
	Class  "F"
	MassSol 1.93
	RadSol  1.7
	Teff    6407
	FeH     0.21
}

StarBarycenter	"Kepler-413"
{
	RA      19.23416667
	Dec     51.1625
	Dist    705.5
	AppMagn 13.505
	MassSol 1.3623
	RadSol  0.7761
	Teff    4700
	FeH    -0.2
}

RemoveStar "30 Ari A"
RemoveStar "30 Ari B"
StarBarycenter	"30 Ari"
{
	RA      2.616039
	Dec     24.648064
	Dist    39.43
	AppMagn 7.1
	Class  "F6V"
	MassSol 1.16
	RadSol  1.13
	Teff    6300
	FeH     0.245
	Age     0.91
}

StarBarycenter	"Gliese 15/Groombridge 34/HD 1326/HIP 1475/SAO 36248"
{
	RA      0.3063570667
	Dec     44.022953
	Dist    3.57
	AppMagn 8.08
	Class  "M2V"
	MassSol 0.38
	RadSol  0.39
	Teff    3567
	FeH    -0.32
}

StarBarycenter	"Gliese 3021/GJ 3021/HD 1237/HIP 1292"
{
	RA      0.27
	Dec     -79.8511111
	Dist    17.62
	AppMagn 6.59
	Class  "G6V"
	MassSol 0.9
	RadSol  0.9
	Teff    5540
	FeH     0.1
	Age     8.77
}

StarBarycenter	"Gliese 667/GJ 667/HD 156384/HIP 84709/HR 6426/SAO 208670"
{
	RA      17.31583333
	Dec     -34.9897222
	Dist    6.84
	AppMagn 10.22
	Class  "M1.5V"
	MassSol 0.33
	Teff    3600
	FeH    -0.55
	Age     2
}

StarBarycenter	"Gliese 676/HIP 85647"
{
	RA      17.50305555
	Dec     -51.6369444
	Dist    16.45
	AppMagn 9.59
	Class  "M0V"
	MassSol 0.71
	FeH     0.23
}

StarBarycenter	"EPS Ret/HD 27442/HIP 19921"
{
	RA      4.2747304
	Dec     -59.302155
	Dist    18.24
	AppMagn 4.44
	Class  "K2IV"
	MassSol 1.2
	RadSol  6.6
	Teff    4749
	FeH     0.22
	Age     7.15
}

StarBarycenter	"HIP 101966/HD 196885/HR 7907/SAO 106360"
{
	RA      20.6644104
	Dec     11.249649
	Dist    32.99
	AppMagn 6.398
	Class  "F8V"
	MassSol 1.28
	RadSol  1.31
	Teff    6254
	FeH     0.22
	Age     2
}

StarBarycenter	"WASP-70"
{
	RA      21.03166667
	Dec     -13.43333336
	Dist    245
	AppMagn 10.79
	Class  "G4V"
	MassSol 1.106
	RadSol  1.215
	Teff    5763
	FeH    -0.006
	Age     9.5
}

StarBarycenter	"KELT-2/HD 42176/HIP 29301/SAO 58830"
{
	RA      6.177596533
	Dec     30.957144
	Dist    124.22
	AppMagn 8.713
	Class  "F8"
	MassSol 1.31
	RadSol  1.83
	Teff    6151
	FeH    -0.015
}

StarBarycenter	"HD 106515/HIP 59743"
{
	RA      12.25182393
	Dec     -7.257327
	Dist    36.36
	AppMagn 7.971
	Class  "G5"
	MassSol 0.97
	RadSol  1.62
	Teff    5362
	FeH     0.03
	Age     6
}

RemoveStar "HIP 102125"
RemoveStar "HIP 102128"
StarBarycenter	"MU2 Oct/51 Oct/IDS 20298-7542"
{
	RA      20.69555555
	Dec     -75.3508333
	Dist    44.3
	AppMagn 6.02
	Class  "G0V"
	MassSol 1.29
	RadSol  1.73
	Teff    6017
	FeH     0.18
}

StarBarycenter	"Kepler-410/KOI-42/KIC 8866102"
{
	RA      18.87666667
	Dec     45.13972223
	Dist    132
	AppMagn 9.5
	MassSol 1.3
	RadSol  1.41
	Teff    6375
	FeH     0.09
	Age     2.76
}

StarBarycenter	"Kepler-420/KOI-1257/KIC 8751933"
{
	RA      19.4150126
	Dec     44.927383
	Dist    900
	AppMagn 14.867
	Class  "G5V"
	MassSol 0.99
	RadSol  1.13
	Teff    5520
	FeH     0.27
	Age     9.3
}

StarBarycenter	"WASP-77/BD-07 436"
{
	RA      2.476946667
	Dec    -7.0606
	Dist    93
	AppMagn 11.29
	Class  "G8V"
	MassSol 1.002
	RadSol  0.955
	Teff    5500
	FeH     0
	Age     1
}

StarBarycenter	"WASP-87"
{
	RA      12.355
	Dec    -52.84083336
	Dist    240
	AppMagn 10.7
	Class  "F5"
	MassSol 1.204
	RadSol  1.627
	Teff    6450
	FeH    -0.41
	Age     3.8
}

StarBarycenter	"WASP-94"
{
	RA      20.919038316	// barycenter
	Dec    -34.13552778		// barycenter
	Dist    180
}

RemoveStar "HD 20781"
RemoveStar "HD 20782"
StarBarycenter	"LDS 93 AB/WDS J03201-2851 AB"
{
	RA      03 20 03.58	// SIMBAD
	Dec    -28 51 14.7	// SIMBAD
	Dist    180
}

StarBarycenter	"XO-2/BVD 68 AB"
{
	RA      07 48 06.468
	Dec    +50 13 32.96
	Dist    148
	AppMagn 11.18
}

StarBarycenter	"Kepler-132/KOI-284/KIC 6021275"
{
	RA      18.88238729
	Dec     41.343037
	AppMagn 11.818
	Dist    500
}

StarBarycenter	"Kepler-296/KOI-1422/KIC 11497958"
{
	RA      19.10266724
	Dec     49.437325
	Dist    226
	AppMagn 15.921
	MassSol 0.45
	RadSol  0.56
	Teff    4249
	FeH     0.168
}

StarBarycenter	"HD 132563/HIP 73261"
{
	RA      14.97264407
	Dec     44.043148
	Dist    98.52
	AppMagn 8.928
	Class  "F8"
}

RemoveStar "HD 2567"
RemoveStar "HD 2638"
StarBarycenter	"WDS 00293-0555"
{
	RA      0.49972222
	Dec     -5.7638889
	Dist    56.72
	AppMagn 9.44
	Class  "G0"
	MassSol 0.93
	Teff    5192
	FeH     0.16
	Age     3
}
